<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Weiter<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GetoptionWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509-Zertifikatsverwaltung<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Selection/@reuse='true'">
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db ist schreibgesch&#252;tzt, das Zertifikat konnte nicht erstellt werden. Verwenden Sie ein bestehendes X.509-Zertifikat wieder.<!--XLATESTOP-->
									</xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db ist schreibgesch&#252;tzt, das Zertifikat konnte nicht importiert werden. Verwenden Sie ein bestehendes X.509-Zertifikat wieder.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>							
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->W&#228;hlen Sie eine der folgenden Optionen zur Erstellung eines X.509-Zertifikats, Wiederverwendung eines bestehenden X.509-Zertifikats, Importierung eines Root-Zertifikats oder Importierung einer Zertifikatkette von einer vertrauensw&#252;rdigen Zertifizierungsstelle.<!--XLATESTOP-->
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db ist schreibgesch&#252;tzt, das Zertifikat konnte nicht erstellt werden.<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db ist schreibgesch&#252;tzt, das Zertifikat konnte nicht importiert werden.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->keystore.db enth&#228;lt kein Zertifikat; erstellen Sie ein neues X.509-Zertifikat, da der Web-Server beim Neustart andernfalls nicht ausgef&#252;hrt werden kann.<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</PromptText>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->X.509-Zertifikat-Option<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->X.509-Zertifikat-Option<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:choose>
					<xsl:when test="WriteAccess"></xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="option" display=" " returnvalue ="gen" editable="true" type="radio" state="1" align="left">
								<xsl:attribute name="value"><!--XLATESTART-->Ein neues Zertifikat erstellen.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="Selection/@reuse='true'">
					<Row>
						<Data name="option" display=" " returnvalue ="reuse" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Ein bestehendes Zertifikat wiederverwenden.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="state"><xsl:if test="WriteAccess">1</xsl:if></xsl:attribute>
						</Data>
					</Row>
					<Row>
						<Data name="option" display=" " returnvalue ="importroot" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Ein Root-Zertifikat importieren.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
					<xsl:choose>
						<xsl:when test="WriteAccess"></xsl:when>
						<xsl:otherwise>
							<Row>
								<Data name="option" display=" " returnvalue ="importchain" editable="true" type="radio" align="left">
									<xsl:attribute name="value"><!--XLATESTART-->Eine Zertifikatkette importieren.<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Row>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>

