<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Zertifikat-Eintrag<!--XLATESTOP--></xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->X.509-Zertifikatinhalt<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Alias-Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Alias"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Erstellungsdatum<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/CreationDate"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Anbieter<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Provider"/></xsl:attribute>
			</Data>	
		</ListData>
		<ListData>
			<Data value="">
				<xsl:attribute name="display"><!--XLATESTART-->Zertifikatkette: <!--XLATESTOP--></xsl:attribute>
			</Data>
		</ListData>
		<xsl:for-each select="CertEntry/CertChainElement">
			<xsl:call-template name="CertificateDisplay"/>
		</xsl:for-each>		
	</DataArea>
</xsl:template>

<xsl:template name ="CertificateDisplay">
		<TableData columnspacing="true">
			<xsl:attribute name="name">certchain<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->Zertifikat-Kettenelement<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</xsl:attribute>
			<PromptText><!--XLATESTART-->Zertifikat-Kettenelement<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</PromptText>	
			<Header>
				<Data width="250">
					<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Zertifikatwert<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Zertifikatwert<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Type"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Ist g&#252;ltig<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Ist g&#252;ltig<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Valid"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Valid"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Thema<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Thema<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Subject"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Aussteller<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Aussteller<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Issuer"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->G&#252;ltig ab<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->G&#252;ltig ab<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidFrom"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidFrom"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->G&#252;ltig bis<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->G&#252;ltig bis<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidTo"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidTo"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Seriennummer<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Seriennummer<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SerialNumber"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SerialNumber"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#214;ffentlicher Schl&#252;ssel<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#214;ffentlicher Schl&#252;ssel<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKey"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKey"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#214;ffentlicher Schl&#252;ssel-Algorithmus<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#214;ffentlicher Schl&#252;ssel-Algorithmus<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Schl&#252;sselverwendung<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Schl&#252;sselverwendung<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="KeyUsage"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="KeyUsage"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Signatur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Signatur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Signature"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Signature"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Signatur-Algorithmusname<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Signatur-Algorithmusname<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgName"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Signatur-Algorithmus-OID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Signatur-Algorithmus-OID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Signatur-Algorithmus-Parameter<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Signatur-Algorithmus-Parameter<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->TBS-Zertifikat<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->TBS-Zertifikat<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="TBSCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="TBSCert"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Basiseinschr&#228;nkung<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Basiseinschr&#228;nkung<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Eindeutige Kennung des Subjekts<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Eindeutige Kennung des Subjekts<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Eindeutige Kennung des Ausstellers<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Eindeutige Kennung des Ausstellers<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->MD5-Fingerabdr&#252;cke<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->MD5-Fingerabdr&#252;cke<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->SHA1-Fingerabdr&#252;cke<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->SHA1-Fingerabdr&#252;cke<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Codiertes Zertifikat<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Codiertes Zertifikat<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="EncodedCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="EncodedCert"/></xsl:attribute>
				</Data>		
			</Row>
		</TableData>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/CertEntry/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
