<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Zertifikatsverwaltung<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GenerateWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Erstellen<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509-Zertifikat-Erstellung<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="Generator/@status">
					<xsl:choose>
						<xsl:when test="Generator/@status='duplicate'">
							<PromptText status="3"><!--XLATESTART-->Alias-Name <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> besteht bereits. F&#252;llen Sie alle Zertifikatdetails aus.<!--XLATESTOP--></PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText status="4"><!--XLATESTART-->Konnte Zertifikat nicht mit Alias-Namen erstellen <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> . F&#252;llen Sie alle Zertifikatdetails erneut aus.<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<ListData type="custom">
						<Data name="alias" value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Schl&#252;sselerstellungs-Algorithmus: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize" editable="true" type="editbox" align="left" size="10" unit="Bits">
							<xsl:attribute name="display"><!--XLATESTART-->Schl&#252;sselgr&#246;&#223;e: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@keysize"/></xsl:attribute>
						</Data>
						<Data name="validity" editable="true" type="editbox" align="left" size="10" unit="Tage">
							<xsl:attribute name="display"><!--XLATESTART-->G&#252;ltigkeitszeitraum: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@validity"/></xsl:attribute>
						</Data>
						<Data name="comname" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Allgemeiner Name (AN): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@comname"/></xsl:attribute>
						</Data>
						<Data name="org" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organisation (O): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@org"/></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organisationseinheit (OU): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@orgunit"/></xsl:attribute>
						</Data>
						<Data name="locality" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Ort (O): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@locality"/></xsl:attribute>
						</Data>
						<Data name="state" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Bundesland oder Kanton (B): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@state"/></xsl:attribute>
						</Data>
						<Data name="country" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Land (L): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test="@value = /OMA/Generator/@country">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->Tragen Sie alle Zertifikatdetails unten ein und klicken Sie auf Erstellen, um ein neues X.509-Zertifikat zu erstellen.<!--XLATESTOP--></PromptText>
					<ListData type="custom">
						<Data name="alias"  value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Schl&#252;sselerstellungs-Algorithmus: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize"   value="1024" editable="true" type="editbox" align="left" size="10" unit="Bits">
							<xsl:attribute name="display"><!--XLATESTART-->Schl&#252;sselgr&#246;&#223;e: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="validity"  value="" editable="true" type="editbox" align="left" size="10" unit="Tage">
							<xsl:attribute name="display"><!--XLATESTART-->G&#252;ltigkeitszeitraum: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="comname"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Allgemeiner Name (AN): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="org"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organisation (O): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organisationseinheit (OE): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="locality"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Ort (O): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="state"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Bundesland oder Kanton (B): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="country" display="Land (L): " editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Land (L): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test=".='UNITED STATES'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
			<script language="javascript">
				var keysize ; 
				var validity ;	
				
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", nur Zeichen und Zahlen verwenden.");
						return false;
					}
					return true;
				}
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue ="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", nur Zeichen und Zahlen verwenden.");
						return false;
					}
					return true;
				}

				function is_valid(validity)
				{
				var isValid=true;
				var validValues="0123456789";
				var indx;
				for (indx=0; indx &lt; validity.length; indx++)
				{
					if (validValues.indexOf(validity.charAt(indx)) &lt; 0)
					{	
						isValid=false;
						break;
					}
				}
				return isValid;
				}


				
				function validate()
				{
					keysize = document.dataarea.keysize.value;
					validity = document.dataarea.validity.value;
					logresult = new Number(Math.log(parseInt(keysize))/Math.log(2));
					logresStr = logresult.toString();
					
					if (document.dataarea.alias.value== "" ){
						alert("Alias-Name ist erforderlich");
						document.dataarea.alias.focus();
					}
					else if(document.dataarea.keysize.value== "" ){
						alert("Schl&#252;sselgr&#246;&#223;e ist erforderlich");
						document.dataarea.keysize.focus();
					}
					else if(document.dataarea.validity.value== ""){
						alert("G&#252;ltigkeitszeitraum ist erforderlich");
						document.dataarea.validity.focus();
					}
					else if(document.dataarea.comname.value== "" ){
						alert("Allgemeiner Name (AN) ist erforderlich");
						document.dataarea.comname.focus();
					}
					else if(document.dataarea.org.value== "" ){
						alert("Organisation (O) ist erforderlich");
						document.dataarea.org.focus();
					}
					else if(document.dataarea.orgunit.value== "" ){
						alert("Organisationseinheit (OE) ist erforderlich");
						document.dataarea.orgunit.focus();
					}
					else if(document.dataarea.locality.value== "" ){
						alert("Ort (O) ist erforderlich");
						document.dataarea.locality.focus();
					}
					else if(document.dataarea.state.value== "" ){
						alert("Bundesland oder Kanton (B) ist erforderlich");
						document.dataarea.state.focus();
					}
					else{
						if(isNaN(keysize) == true){
							alert("Schl&#252;sselgr&#246;&#223;e ist keine Zahl");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if((parseInt(keysize) &lt; 512) || (parseInt(keysize) &gt; 2048)){
							alert("Schl&#252;sselgr&#246;&#223;e sollte zwischen 512 und 2048 liegen");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(logresStr.indexOf(".") != -1){
							alert("Schl&#252;sselgr&#246;&#223;e muss eine Potenz von zwei sein");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(isNaN(validity) == true){
							alert("G&#252;ltigkeitszeitraum ist keine Zahl");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if((parseInt(validity) &lt;= 0) || (parseInt(validity) &gt;= 3651)){
							alert("G&#252;ltigkeitszeitraum sollte zwischen 1 - 3650 Tagen liegen");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if (keysize.indexOf('.')!= -1)
						{
						alert ("Schl&#252;sselgr&#246;&#223;e kann nur Ganzzahlwerte aufweisen.");
						}
						else if(is_valid(validity) == false)
						{
						alert ("G&#252;ltigkeit kann nur Ganzzahlwerte aufweisen.");
						}
						else if( ! isAlphaNumericsp(document.dataarea.alias.value, "Alias-Name")){
							document.dataarea.alias.value = "";
							document.dataarea.alias.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.comname.value, "Allgemeiner Name (AN)")){
							document.dataarea.comname.value = "";
							document.dataarea.comname.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.org.value, "Organisation(O)")){
							document.dataarea.org.value = "";
							document.dataarea.org.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.orgunit.value, "Organisationseinheit(OE)")){
							document.dataarea.orgunit.value = "";
							document.dataarea.orgunit.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.locality.value, "Ort(O)")){
							document.dataarea.locality.value = "";
							document.dataarea.locality.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.state.value, "Bundesland oder Kanton (B)")){
							document.dataarea.state.value = "";
							document.dataarea.state.focus();
						}
						else {
								var newalias = document.getElementById("alias").value;
								var aliasname = newalias.toLowerCase();
								var curalias = "<xsl:value-of select="Generator/@currentalias"/>";

							if (aliasname == curalias){
								alert ("Alias " +  newalias + " existiert schon.");
								document.dataarea.alias.value ="";
								document.dataarea.alias.focus();
							}
							else {
													
								if (confirm("Die Erstellung eines neuen Zertifikats erstellt eine Sicherungskopie und l&#246;scht das bestehende Zertifikat. Vorgang fortsetzen? ")){
									return true;
								}
								else{
									return false;
								}
							}
							return false;
						}
						return false;
					}
					return false;				
				}			
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
