<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Siguiente<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GetoptionWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Administraci&#243;n de certificado X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Selection/@reuse='true'">
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db est&#225; protegido contra escritura; no se puede generar el certificado. Vuelva a utilizar un certificado X.509 existente.<!--XLATESTOP-->
									</xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db est&#225; protegido contra escritura; no se puede importar el certificado. Vuelva a utilizar un certificado X.509 existente<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>							
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->Seleccione una de las opciones siguientes para generar un certificado X.509, para volver a utilizar un certificado X.509 existente, para importar un certificado ra&#237;z o para importar una cadena de certificados desde una entidad emisora de certificados (CA) de confianza.<!--XLATESTOP-->
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db est&#225; protegido contra escritura; no se puede generar el certificado.<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db est&#225; protegido contra escritura; no se puede importar el certificado.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->No hay certificado en keystore.db; genere un nuevo certificado X.509 o no podr&#225; ejecutar el Web Server al reiniciar.<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</PromptText>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Opci&#243;n de certificado X.509<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Opci&#243;n de certificado X.509<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:choose>
					<xsl:when test="WriteAccess"></xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="option" display=" " returnvalue ="gen" editable="true" type="radio" state="1" align="left">
								<xsl:attribute name="value"><!--XLATESTART-->Generar un nuevo certificado.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="Selection/@reuse='true'">
					<Row>
						<Data name="option" display=" " returnvalue ="reuse" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Volver a utilizar un certificado existente.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="state"><xsl:if test="WriteAccess">1</xsl:if></xsl:attribute>
						</Data>
					</Row>
					<Row>
						<Data name="option" display=" " returnvalue ="importroot" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Importar un certificado ra&#237;z.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
					<xsl:choose>
						<xsl:when test="WriteAccess"></xsl:when>
						<xsl:otherwise>
							<Row>
								<Data name="option" display=" " returnvalue ="importchain" editable="true" type="radio" align="left">
									<xsl:attribute name="value"><!--XLATESTART-->Importar una cadena de certificados.<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Row>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>

