<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" enctype="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Administraci&#243;n de certificados<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/UploadCertServlet</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Actualizar y continuar<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Importaci&#243;n de CA (autoridad de certificados) ra&#237;z<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Seleccione el certificado de CA ra&#237;z para actualizar CACERTS.<!--XLATESTOP--></PromptText>
			<ListData type="custom">
				<Data name="file" editable="true" type="file">
					<xsl:attribute name="display"><!--XLATESTART-->Seleccionar certificado de: <!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="root" display=" "  type="hidden" returnvalue="true"/>
			</ListData>
			<script language="javascript">
			
				function validate()
				{
					var temp = document.getElementById("file");
					if(temp.value == "")
					{
						alert("Es necesario el nombre de archivo del certificado de CA ra&#237;z.");
						document.getElementById("file").focus();
						return false;
					}
					else if (!isValid(temp.value)){
						alert("El nombre de archivo del certificado no es v&#225;lido.");
						document.getElementById("file").select();
						document.getElementById("file").focus();
						return false;					
					}

					return true;
				}
				
				function isValid(text){
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!():[]+/~\\";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}

					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == -1)
						{
							if(temp != " ")
							{
								ok = "no";
								break;
							}
						}
					}
					if (ok == "no")
					{
						return false;
					}
					return true;
				}
				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
