<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Entrada de certificado<!--XLATESTOP--></xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Contenido de certificado X.509<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Alias<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Alias"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Fecha de creaci&#243;n<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/CreationDate"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Proveedor<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Provider"/></xsl:attribute>
			</Data>	
		</ListData>
		<ListData>
			<Data value="">
				<xsl:attribute name="display"><!--XLATESTART-->Cadena de certificados: <!--XLATESTOP--></xsl:attribute>
			</Data>
		</ListData>
		<xsl:for-each select="CertEntry/CertChainElement">
			<xsl:call-template name="CertificateDisplay"/>
		</xsl:for-each>		
	</DataArea>
</xsl:template>

<xsl:template name ="CertificateDisplay">
		<TableData columnspacing="true">
			<xsl:attribute name="name">certchain<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->Elemento de cadena de certificados<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</xsl:attribute>
			<PromptText><!--XLATESTART-->Elemento de cadena de certificados<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</PromptText>	
			<Header>
				<Data width="250">
					<xsl:attribute name="display"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valor de certificado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valor de certificado<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Type"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Versi&#243;n<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Versi&#243;n<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Es v&#225;lido<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Es v&#225;lido<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Valid"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Valid"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Asunto<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Asunto<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Subject"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Emisor<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Emisor<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Issuer"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->V&#225;lido desde<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->V&#225;lido desde<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidFrom"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidFrom"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->V&#225;lido hasta<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->V&#225;lido hasta<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidTo"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidTo"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->N&#250;mero de serie<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->N&#250;mero de serie<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SerialNumber"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SerialNumber"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Clave p&#250;blica<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Clave p&#250;blica<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKey"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKey"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Algoritmo de clave p&#250;blica<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Algoritmo de clave p&#250;blica<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Uso de claves<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Uso de claves<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="KeyUsage"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="KeyUsage"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Firma<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Firma<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Signature"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Signature"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Nombre del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nombre del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgName"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Identificaci&#243;n de objeto del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Identificaci&#243;n de objeto del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Par&#225;metros del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Par&#225;metros del algoritmo de la firma<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Certificado TBS<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Certificado TBS<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="TBSCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="TBSCert"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Restricciones b&#225;sicas<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Restricciones b&#225;sicas<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Identificaci&#243;n &#250;nica del sujeto<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Identificaci&#243;n &#250;nica del sujeto<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Identificaci&#243;n &#250;nica del emisor<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Identificaci&#243;n &#250;nica del emisor<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Huellas digitales MD5<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Huellas digitales MD5<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Huellas digitales SHA1<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Huellas digitales SHA1<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Certificado codificado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Certificado codificado<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="EncodedCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="EncodedCert"/></xsl:attribute>
				</Data>		
			</Row>
		</TableData>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/CertEntry/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
