<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Reiniciar para activar el nuevo certificado<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin&amp;closeBrowserOnly=true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="MakeActive/@mode = 'generate'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Activar certificado X.509<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
				<xsl:when test="MakeActive/@mode = 'import'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Activar certificado X.509 de confianza<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
			</xsl:choose>
			<PromptText status="3"><!--XLATESTART-->Haga clic en el bot&#243;n de reinicio para completar este procedimiento y activar el nuevo certificado. Si el nuevo certificado no se activa tras reiniciar, utilice los pasos siguientes para restaurar el certificado anterior.<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Pasos para restaurar keystore.db<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Pasos para restaurar keystore.db<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
					<xsl:attribute name="value"><!--XLATESTART-->1. Detenga el servidor de web <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART--> como se indica en la gu&#237;a del usuario.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->2. Elimine el archivo <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->2. Elimine el archivo <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->3. Renombre el archivo <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db.bak<!--XLATESTART--> a la <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->3. Renombre el archivo <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db.bak<!--XLATESTART--> a la <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->4. Inicie el servidor de web <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART--> como se indica en la gu&#237;a del usuario.<!--XLATESTOP--></xsl:attribute>
					</Data>					
				</Row>
			</TableData>
			<script language="javascript">
				function validate()
				{
					alert("Esto reiniciar&#225; el servidor de web. Sin embargo, se recomienda reiniciar el sistema cuando sea oportuno.");
					return true;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>