<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Administraci&#243;n de certificados<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.ReqoptionWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Siguiente<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Certificados X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Seleccione el certificado en la lista siguiente y la acci&#243;n que desea realizar.<!--XLATESTOP--></PromptText>
			
			<ListData type="custom">
				<xsl:choose>
					<xsl:when test="count(CertentryList/.) &gt; '1'">
						<Data name="option" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Certificados: <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="CertentryList/Certentry">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test="@select='true'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Certificados: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data name="subreq" editable="true"  type="select" align="left">
					<xsl:attribute name="display"><!--XLATESTART-->Seleccione la acci&#243;n adecuada: <!--XLATESTOP--></xsl:attribute>
					<xsl:for-each select="OptionList/Option">
						<xsl:sort select="." order="ascending"/>
						<Choice>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test=".='Display Contents'"><!--XLATESTART-->Mostrar el contenido<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Delete'"><!--XLATESTART-->Delete<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Certificate Signing Request(CSR)'"><!--XLATESTART-->Pedido de firma de certificado (CSR)<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Export Certificate in BASE64-encoded format'"><!--XLATESTART-->Exportar el certificado en formato codificado con BASE64<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Make Active'"><!--XLATESTART-->Activar<!--XLATESTOP--></xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="default">
								<xsl:if test=".='Display Contents'">true</xsl:if>
							</xsl:attribute>
						</Choice>
					</xsl:for-each>
				</Data>
			</ListData>
			<ListData>
				<xsl:if test="count(CertentryList/.) =  '1'">
					<Data name="option" display=" "  type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
					</Data>
				</xsl:if>
			</ListData>
			<script language="javascript">
				var optval ;
				var reqval;

				function validate(){
				
					optval = document.dataarea.option.value;
					reqval = document.dataarea.subreq.value;
					
					if (optval == "" ){
						alert("No hay ning&#250;n certificado en keystore.db. Genere uno nuevo primero.");
					}
					else{
						if(reqval == "Eliminar"){
							if (confirm("&#191;Seguro que desea eliminar?")){
								return true;
							}
							else{
								return false;
							}
						}
						return true;
					}
					return false;	
				}								
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
