<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Suivant<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GetoptionWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Gestion de certificat X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Selection/@reuse='true'">
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db est prot&#233;g&#233; contre l'&#233;criture ; impossible de g&#233;n&#233;rer le certificat. R&#233;utilisez un certificat X.509 existant.<!--XLATESTOP-->
									</xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db est prot&#233;g&#233; contre l'&#233;criture, impossible d'importer le certificat. R&#233;utilisez un certificat X.509 existant.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>							
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->S&#233;lectionnez une des options suivantes pour g&#233;n&#233;rer un certificat X.509, pour r&#233;utiliser un certificat X.509 existant, pour importer un certificat racine ou pour importer une cha&#238;ne de certificats depuis une autorit&#233; de certification (CA) agr&#233;&#233;e.<!--XLATESTOP-->
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db est prot&#233;g&#233; contre l'&#233;criture, impossible de g&#233;n&#233;rer le certificat.<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db est prot&#233;g&#233; contre l'&#233;criture, impossible d'importer le certificat.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->Il n'y a pas de certificat dans keystore.db ; g&#233;n&#233;rez un nouveau certificat X.509 ou il sera impossible d'ex&#233;cuter le serveur Web au red&#233;marrage.<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</PromptText>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Option de certificat X.509<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Option de certificat X.509<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:choose>
					<xsl:when test="WriteAccess"></xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="option" display=" " returnvalue ="gen" editable="true" type="radio" state="1" align="left">
								<xsl:attribute name="value"><!--XLATESTART-->G&#233;n&#233;rer un nouveau certificat.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="Selection/@reuse='true'">
					<Row>
						<Data name="option" display=" " returnvalue ="reuse" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->R&#233;utiliser un certificat existant.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="state"><xsl:if test="WriteAccess">1</xsl:if></xsl:attribute>
						</Data>
					</Row>
					<Row>
						<Data name="option" display=" " returnvalue ="importroot" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Importer un certificat racine.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
					<xsl:choose>
						<xsl:when test="WriteAccess"></xsl:when>
						<xsl:otherwise>
							<Row>
								<Data name="option" display=" " returnvalue ="importchain" editable="true" type="radio" align="left">
									<xsl:attribute name="value"><!--XLATESTART-->Importer une cha&#238;ne de certificats.<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Row>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>

