<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" enctype="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Gestion de certificat<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/UploadCertServlet</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Importer<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Importation de certificat<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->S&#233;lectionnez le certificat &#224; importer<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Valeur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Valeur<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>				
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->Alias : <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:choose>
						<xsl:when test="count(Import/.) =  '1'">
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="Import/Alias"/></xsl:attribute>
							</Data>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="Import/*">
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
								</Data>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
					<Data name="root"  type="hidden" returnvalue="false"/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->S&#233;lectionner le certificat dans : <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="file" type="file"/>
					<xsl:choose>
						<xsl:when test="count(Import/.) =  '1'">
							<Data  type="hidden">
								<xsl:attribute name="name">alias</xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="Import/Alias"/></xsl:attribute>
							</Data>
						</xsl:when>
					</xsl:choose>
				</Row>
			</TableData>
			<script language="javascript">
			
				function validate()
				{
					var certtemp = document.getElementById("file");
					var certalias = document.getElementById("alias");

					if(certtemp.value == "")
					{
						alert("Le nom du fichier de r&#233;ponse du certificat est requis.");
						document.getElementById("file").focus();
						return false;
					}
					else if(certalias.value == "")
					{
						alert("L'alias est requis.");
						document.getElementById("alias").focus();
						return false;					
					}
					else if (!isValid(certtemp.value)){
						alert("Le nom du fichier de certificat n'est pas valide.");
						document.getElementById("file").select();
						document.getElementById("file").focus();
						return false;					
					}

					return true;
				}
				
				function isValid(text){
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!():[]+/~\\";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}

					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == -1)
						{
							if(temp != " ")
							{
								ok = "no";
								break;
							}
						}
					}
					if (ok == "no")
					{
						return false;
					}
					return true;
				}


			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
