<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" enctype="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Gestion de certificat<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/UploadCertServlet</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Mettre &#224; jour et continuer<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Importer un certificat racine d'une autorit&#233; de certification (CA)<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->S&#233;lectionnez le certificat racine de l'autorit&#233; de certification pour mettre le fichier CACERTS &#224; jour.<!--XLATESTOP--></PromptText>
			<ListData type="custom">
				<Data name="file" editable="true" type="file">
					<xsl:attribute name="display"><!--XLATESTART-->S&#233;lectionner le certificat dans : <!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="root" display=" "  type="hidden" returnvalue="true"/>
			</ListData>
			<script language="javascript">
			
				function validate()
				{
					var temp = document.getElementById("file");
					if(temp.value == "")
					{
						alert("Le nom du fichier du certificat racine CA est requis.");
						document.getElementById("file").focus();
						return false;
					}
					else if (!isValid(temp.value)){
						alert("Le nom du fichier du certificat n'est pas valide.");
						document.getElementById("file").select();
						document.getElementById("file").focus();
						return false;					
					}
					return true;
				}
				
				function isValid(text){
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!():[]+/~\\";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}

					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == -1)
						{
							if(temp != " ")
							{
								ok = "no";
								break;
							}
						}
					}
					if (ok == "no")
					{
						return false;
					}
					return true;
				}
				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
