<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Entr&#233;e de certificat<!--XLATESTOP--></xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Sommaire du certificat X.509<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Alias<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Alias"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Date de cr&#233;ation<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/CreationDate"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Prestataire<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Provider"/></xsl:attribute>
			</Data>	
		</ListData>
		<ListData>
			<Data value="">
				<xsl:attribute name="display"><!--XLATESTART-->Cha&#238;ne de certificat : <!--XLATESTOP--></xsl:attribute>
			</Data>
		</ListData>
		<xsl:for-each select="CertEntry/CertChainElement">
			<xsl:call-template name="CertificateDisplay"/>
		</xsl:for-each>		
	</DataArea>
</xsl:template>

<xsl:template name ="CertificateDisplay">
		<TableData columnspacing="true">
			<xsl:attribute name="name">certchain<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->&#201;l&#233;ment de cha&#238;ne de certificat<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</xsl:attribute>
			<PromptText><!--XLATESTART-->&#201;l&#233;ment de cha&#238;ne de certificat<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</PromptText>	
			<Header>
				<Data width="250">
					<xsl:attribute name="display"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valeur du certificat<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valeur du certificat<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Type"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valide ?<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valide ?<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Valid"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Valid"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Sujet<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Sujet<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Subject"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#201;metteur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#201;metteur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Issuer"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valide du<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valide du<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidFrom"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidFrom"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valide jusqu'au<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valide jusqu'au<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidTo"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidTo"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Num&#233;ro de s&#233;rie<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Num&#233;ro de s&#233;rie<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SerialNumber"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SerialNumber"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Cl&#233; publique<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Cl&#233; publique<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKey"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKey"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Algorithme de cl&#233; publique<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Algorithme de cl&#233; publique<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Utilisation de la cl&#233;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Utilisation de la cl&#233;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="KeyUsage"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="KeyUsage"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Signature<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Signature<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Signature"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Signature"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Nom de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nom de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgName"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->OID de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->OID de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Param&#232;tres de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Param&#232;tres de l'algorithme de la signature<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Certificat TBS<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Certificat TBS<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="TBSCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="TBSCert"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Contraintes de base<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Contraintes de base<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->ID unique du sujet<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ID unique du sujet<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->ID unique de l'&#233;metteur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ID unique de l'&#233;metteur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Empreintes MD5<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Empreintes MD5<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Empreintes SHA1<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Empreintes SHA1<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Certificat encod&#233;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Certificat encod&#233;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="EncodedCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="EncodedCert"/></xsl:attribute>
				</Data>		
			</Row>
		</TableData>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/CertEntry/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
