<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Gestion de certificat<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GenerateWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->G&#233;n&#233;rer<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->G&#233;n&#233;ration de certificat X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="Generator/@status">
					<xsl:choose>
						<xsl:when test="Generator/@status='duplicate'">
							<PromptText status="3"><!--XLATESTART-->Alias <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> existe d&#233;j&#224;. Veuillez remplir &#224; nouveau tous les d&#233;tails du certificat.<!--XLATESTOP--></PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText status="4"><!--XLATESTART-->La cr&#233;ation de certificat avec alias a &#233;chou&#233;. <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> . Veuillez remplir &#224; nouveau tous les d&#233;tails du certificat.<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<ListData type="custom">
						<Data name="alias" value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Algorithme de g&#233;n&#233;ration de cl&#233; : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize" editable="true" type="editbox" align="left" size="10" unit="bits">
							<xsl:attribute name="display"><!--XLATESTART-->Taille de la cl&#233; : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@keysize"/></xsl:attribute>
						</Data>
						<Data name="validity" editable="true" type="editbox" align="left" size="10" unit="jours">
							<xsl:attribute name="display"><!--XLATESTART-->P&#233;riode de validit&#233; : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@validity"/></xsl:attribute>
						</Data>
						<Data name="comname" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Nom de domaine (ND) : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@comname"/></xsl:attribute>
						</Data>
						<Data name="org" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Compagnie (C) : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@org"/></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Service (S) : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@orgunit"/></xsl:attribute>
						</Data>
						<Data name="locality" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Ville (V) : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@locality"/></xsl:attribute>
						</Data>
						<Data name="state" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->D&#233;partement (Dt) : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@state"/></xsl:attribute>
						</Data>
						<Data name="country" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Pays (P) : <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test="@value = /OMA/Generator/@country">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->Remplissez tous les d&#233;tails du certificat ci-dessous et cliquez sur G&#233;n&#233;rer pour &#233;tablir un nouveau certificat X.509.<!--XLATESTOP--></PromptText>
					<ListData type="custom">
						<Data name="alias"  value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Algorithme de g&#233;n&#233;ration de cl&#233; : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize"   value="1024" editable="true" type="editbox" align="left" size="10" unit="bits">
							<xsl:attribute name="display"><!--XLATESTART-->Taille de la cl&#233; : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="validity"  value="" editable="true" type="editbox" align="left" size="10" unit="jours">
							<xsl:attribute name="display"><!--XLATESTART-->P&#233;riode de validit&#233; : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="comname"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Nom de domaine (ND) : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="org"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Compagnie (C) : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Service (S) : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="locality"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Ville (V) : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="state"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->D&#233;partement (Dt) : <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="country" display="Pays (P) : " editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Pays (P) : <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test=".='UNITED STATES'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
			<script language="javascript">
				var keysize ; 
				var validity ;	
				
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("La valeur de \"" + varname + "\", n'utilise que des lettres et des chiffres.");
						return false;
					}
					return true;
				}
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}                               
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("La valeur de \"" + varname + "\"  n'est pas valide ; n'utilisez que des lettres et des chiffres.");
						return false;
					}
					return true;
				}


				
				function validate()
				{
					keysize = document.dataarea.keysize.value;
					validity = document.dataarea.validity.value;
					logresult = new Number(Math.log(parseInt(keysize))/Math.log(2));
					logresStr = logresult.toString();
					
					if (document.dataarea.alias.value== "" ){
						alert("Le champ Alias ne peut pas rester vide.");
						document.dataarea.alias.focus();
					}
					else if(document.dataarea.keysize.value== "" ){
						alert("Le champ Taille de la cl&#233; ne peut pas rester vide.");
						document.dataarea.keysize.focus();
					}
					else if(document.dataarea.validity.value== ""){
						alert("Le champ P&#233;riode de validit&#233; ne peut pas rester vide.");
						document.dataarea.validity.focus();
					}
					else if(document.dataarea.comname.value== "" ){
						alert("Le champ Nom de domaine (ND) ne peut pas rester vide.");
						document.dataarea.comname.focus();
					}
					else if(document.dataarea.org.value== "" ){
						alert("Le champ Compagnie (C) ne peut pas rester vide.");
						document.dataarea.org.focus();
					}
					else if(document.dataarea.orgunit.value== "" ){
						alert("Le champ Service (S) ne peut pas rester vide.");
						document.dataarea.orgunit.focus();
					}
					else if(document.dataarea.locality.value== "" ){
						alert("Le champ Ville (V) ne peut pas rester vide.");
						document.dataarea.locality.focus();
					}
					else if(document.dataarea.state.value== "" ){
						alert("Le champ D&#233;partement (Dt) ne peut pas rester vide.");
						document.dataarea.state.focus();
					}
					else{
						if(isNaN(keysize) == true){
							alert("La taille de la cl&#233; n'est pas un nombre.");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if((parseInt(keysize) &lt; 512) || (parseInt(keysize) &gt; 2048)){
							alert("La taille de la cl&#233; doit &#234;tre comprise entre 512 et 2048.");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(logresStr.indexOf(".") != -1){
							alert("La taille de cl&#233; doit &#234;tre une puissance de 2");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(isNaN(validity) == true){
							alert("La p&#233;riode de validit&#233; n'est pas un nombre.");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if((parseInt(validity) &lt;= 0) || (parseInt(validity) &gt;= 3650)){
							alert("La p&#233;riode de validit&#233; se situe entre 1 et 3650 jours.");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if (keysize.indexOf('.')!= -1)
						{
						alert ("La taille de la cl&#233; ne peut &#234;tre qu'un nombre entier.");
						}
						else if(validity.indexOf('.')!= -1) 
						{
						alert ("La validit&#233; ne peut &#234;tre qu'un nombre entier.");
						}
						else if( ! isAlphaNumericsp(document.dataarea.alias.value, "Alias")){
							document.dataarea.alias.value = "";
							document.dataarea.alias.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.comname.value, "Nom de domaine (ND)")){
							document.dataarea.comname.value = "";
							document.dataarea.comname.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.org.value, "Compagnie (C)")){
							document.dataarea.org.value = "";
							document.dataarea.org.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.orgunit.value, "Service (S)")){
							document.dataarea.orgunit.value = "";
							document.dataarea.orgunit.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.locality.value, "Ville (V)")){
							document.dataarea.locality.value = "";
							document.dataarea.locality.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.state.value, "D&#233;partement (Dt)")){
							document.dataarea.state.value = "";
							document.dataarea.state.focus();
						}
						else {
								var newalias = document.getElementById("alias").value;
								var aliasname = newalias.toLowerCase();
								var curalias = "<xsl:value-of select="Generator/@currentalias"/>";

							if (aliasname == curalias){
								alert ("L'alias " +  newalias + " existe d&#233;j&#224;.");
								document.dataarea.alias.value ="";
								document.dataarea.alias.focus();
							}
							else {
													
								if (confirm("Si un nouveau certificat est g&#233;n&#233;r&#233;, le certificat existant sera sauvegard&#233; et supprim&#233;. Voulez-vous continuer ?")){
									return true;
								}
								else{
									return false;
								}
							}
							return false;
						}
						return false;
					}
					return false;				
				}			
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
