<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Red&#233;marrer pour activer le nouveau certificat<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin&amp;closeBrowserOnly=true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="MakeActive/@mode = 'generate'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Activez le certificat X.509<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
				<xsl:when test="MakeActive/@mode = 'import'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Activez le certificat X.509 agr&#233;&#233;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
			</xsl:choose>
			<PromptText status="3"><!--XLATESTART-->Cliquez sur le bouton Red&#233;marrer pour terminer cette proc&#233;dure et activer le nouveau certificat. Si le nouveau certificat n'est pas actif apr&#232;s le red&#233;marrage, utilisez les &#233;tapes suivantes pour restaurer le certificat pr&#233;c&#233;dent.<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#201;tapes pour restaurer keystore.db<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#201;tapes pour restaurer keystore.db<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
					<xsl:attribute name="value"><!--XLATESTART-->1. Arr&#234;tez <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web Server comme indiqu&#233; dans le guide d'utilisation.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->2. Supprimez le fichier <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->2. Supprimez le fichier <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->3. Renommez le fichier <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db.bak<!--XLATESTART--> &#224;   <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->3. Renommez le fichier <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db.bak<!--XLATESTART--> &#224;   <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->4. D&#233;marrer <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web Server comme indiqu&#233; dans le guide d'utilisation.<!--XLATESTOP--></xsl:attribute>
					</Data>					
				</Row>
			</TableData>
			<script language="javascript">
				function validate()
				{
					alert("Cela red&#233;marrera automatiquement Web Server. Cependant, il est recommand&#233; de red&#233;marrer votre syst&#232;me au moment le plus opportun.");
					return true;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>