<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Gestion de certificat<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.ReqoptionWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Suivant<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Certificats X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->S&#233;lectionnez le certificat et l'action &#224; prendre dans la liste suivante.<!--XLATESTOP--></PromptText>
			
			<ListData type="custom">
				<xsl:choose>
					<xsl:when test="count(CertentryList/.) &gt; '1'">
						<Data name="option" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Certificats : <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="CertentryList/Certentry">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default"><xsl:if test="@select='true'">true</xsl:if></xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Certificats : <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data name="subreq" editable="true"  type="select" align="left">
					<xsl:attribute name="display"><!--XLATESTART-->S&#233;lectionnez l'action appropri&#233;e : <!--XLATESTOP--></xsl:attribute>
					<xsl:for-each select="OptionList/Option">
						<xsl:sort select="." order="ascending"/>
						<Choice>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test=".='Display Contents'"><!--XLATESTART-->Afficher le contenu<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Delete'"><!--XLATESTART-->Delete<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Certificate Signing Request(CSR)'"><!--XLATESTART-->Requ&#234;te de signature de certificat (CSR)<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Export Certificate in BASE64-encoded format'"><!--XLATESTART-->Exporter le certificat en format crypt&#233; BASE64<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Make Active'"><!--XLATESTART-->Activer<!--XLATESTOP--></xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="default">
								<xsl:if test=".='Display Contents'">true</xsl:if>
							</xsl:attribute>
						</Choice>
					</xsl:for-each>
				</Data>
			</ListData>
			<ListData>
				<xsl:if test="count(CertentryList/.) =  '1'">
					<Data name="option" display=" "  type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
					</Data>
				</xsl:if>
			</ListData>
			<script language="javascript">
				var optval ;
				var reqval;

				function validate(){
				
					optval = document.dataarea.option.value;
					reqval = document.dataarea.subreq.value;
					
					if (optval == "" ){
						alert("Il n'y a pas de certificat dans votre keystore.db. Commencez par en g&#233;n&#233;rer un.");
					}
					else{
						if(reqval == "Delete"){
							if (confirm("&#202;tes-vous s&#251;r de vouloir supprimer ?")){
								return true;
							}
							else{
								return false;
							}
						}
						return true;
					}
					return false;	
				}								
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
