<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" enctype="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/UploadCertServlet</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#12452;&#12531;&#12509;&#12540;&#12488;&#12377;&#12427;&#35388;&#26126;&#26360;&#12434;&#36984;&#25246;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>				
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;: <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:choose>
						<xsl:when test="count(Import/.) =  '1'">
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="Import/Alias"/></xsl:attribute>
							</Data>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="Import/*">
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
								</Data>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
					<Data name="root"  type="hidden" returnvalue="false"/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#36984;&#25246;&#20803;: <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="file" type="file"/>
					<xsl:choose>
						<xsl:when test="count(Import/.) =  '1'">
							<Data  type="hidden">
								<xsl:attribute name="name">alias</xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="Import/Alias"/></xsl:attribute>
							</Data>
						</xsl:when>
					</xsl:choose>
				</Row>
			</TableData>
			<script language="javascript">
			
				function validate()
				{
					var certtemp = document.getElementById("file");
					var certalias = document.getElementById("alias");

					if(certtemp.value == "")
					{
						alert("&#35388;&#26126;&#26360;&#12524;&#12473;&#12509;&#12531;&#12473;&#12398;&#12501;&#12449;&#12452;&#12523;&#21517;&#12364;&#24517;&#35201;&#12391;&#12377;&#12290;");
						document.getElementById("file").focus();
						return false;
					}
					else if(certalias.value == "")
					{
						alert("&#12456;&#12452;&#12522;&#12450;&#12473;&#12364;&#24517;&#35201;&#12391;&#12377;&#12290;");
						document.getElementById("alias").focus();
						return false;					
					}
					else if (!isValid(certtemp.value)){
						alert("&#35388;&#26126;&#26360;&#12501;&#12449;&#12452;&#12523;&#21517;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;");
						document.getElementById("file").select();						
						document.getElementById("file").focus();
						return false;					
					}

					return true;
				}
				
				function isValid(text){
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!():[]+/~\\";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}

					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == -1)
						{
							if(temp != " ")
							{
								ok = "no";
								break;
							}
						}
					}
					if (ok == "no")
					{
						return false;
					}
					return true;
				}



			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
