<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12456;&#12531;&#12488;&#12522;<!--XLATESTOP--></xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;&#12398;&#20869;&#23481;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Alias"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20316;&#25104;&#26085;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/CreationDate"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Provider"/></xsl:attribute>
			</Data>	
		</ListData>
		<ListData>
			<Data value="">
				<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12481;&#12455;&#12540;&#12531;: <!--XLATESTOP--></xsl:attribute>
			</Data>
		</ListData>
		<xsl:for-each select="CertEntry/CertChainElement">
			<xsl:call-template name="CertificateDisplay"/>
		</xsl:for-each>		
	</DataArea>
</xsl:template>

<xsl:template name ="CertificateDisplay">
		<TableData columnspacing="true">
			<xsl:attribute name="name">certchain<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12481;&#12455;&#12540;&#12531;&#35201;&#32032;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</xsl:attribute>
			<PromptText><!--XLATESTART-->&#35388;&#26126;&#26360;&#12481;&#12455;&#12540;&#12531;&#35201;&#32032;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</PromptText>	
			<Header>
				<Data width="200">
					<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#20516;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#20516;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Type"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Valid"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Valid"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12479;&#12452;&#12488;&#12523;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12479;&#12452;&#12488;&#12523;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Subject"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#30330;&#34892;&#32773;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#30330;&#34892;&#32773;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Issuer"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;&#12398;&#38283;&#22987;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;&#12398;&#38283;&#22987;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidFrom"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidFrom"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;&#12398;&#32066;&#20102;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;&#12398;&#32066;&#20102;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidTo"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidTo"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12522;&#12450;&#12523;&#12490;&#12531;&#12496;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12471;&#12522;&#12450;&#12523;&#12490;&#12531;&#12496;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SerialNumber"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SerialNumber"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#38283;&#12461;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20844;&#38283;&#12461;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKey"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKey"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#38283;&#12461;&#12540; &#12450;&#12523;&#12468;&#12522;&#12474;&#12512;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20844;&#38283;&#12461;&#12540; &#12450;&#12523;&#12468;&#12522;&#12474;&#12512;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12461;&#12540;&#20351;&#29992;&#27861;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12461;&#12540;&#20351;&#29992;&#27861;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="KeyUsage"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="KeyUsage"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32626;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Signature"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Signature"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgName"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512; OID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512; OID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512; &#12497;&#12521;&#12513;&#12540;&#12479;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32626;&#21517;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512; &#12497;&#12521;&#12513;&#12540;&#12479;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->TBS &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->TBS &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="TBSCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="TBSCert"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#22522;&#26412;&#21046;&#38480;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22522;&#26412;&#21046;&#38480;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12479;&#12452;&#12488;&#12523;&#12395;&#22266;&#26377;&#12398; ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12479;&#12452;&#12488;&#12523;&#12395;&#22266;&#26377;&#12398; ID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#30330;&#34892;&#32773;&#12395;&#22266;&#26377;&#12398; ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#30330;&#34892;&#32773;&#12395;&#22266;&#26377;&#12398; ID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->MD5 &#12501;&#12451;&#12531;&#12460;&#12540;&#12503;&#12522;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->MD5 &#12501;&#12451;&#12531;&#12460;&#12540;&#12503;&#12522;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->SHA1 &#12501;&#12451;&#12531;&#12460;&#12540;&#12503;&#12522;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->SHA1 &#12501;&#12451;&#12531;&#12460;&#12540;&#12503;&#12522;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12531;&#12467;&#12540;&#12489; &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12531;&#12467;&#12540;&#12489; &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="EncodedCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="EncodedCert"/></xsl:attribute>
				</Data>		
			</Row>
		</TableData>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/CertEntry/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
