<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GenerateWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#29983;&#25104;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;&#29983;&#25104;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="Generator/@status">
					<xsl:choose>
						<xsl:when test="Generator/@status='duplicate'">
							<PromptText status="3"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473; <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> &#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;&#12290; &#12377;&#12409;&#12390;&#12398;&#35388;&#26126;&#26360;&#12398;&#35443;&#32048;&#12434;&#20877;&#24230;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText status="4"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;&#12434;&#25345;&#12388;&#35388;&#26126;&#26360;&#12398;&#29983;&#25104;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290; <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> &#12377;&#12409;&#12390;&#12398;&#35388;&#26126;&#26360;&#12398;&#35443;&#32048;&#12434;&#20877;&#24230;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<ListData type="custom">
						<Data name="alias" value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12461;&#12540;&#29983;&#25104;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512;: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize" editable="true" type="editbox" align="left" size="10" unit="&#12499;&#12483;&#12488;">
							<xsl:attribute name="display"><!--XLATESTART-->&#12461;&#12540;&#12469;&#12452;&#12474;: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@keysize"/></xsl:attribute>
						</Data>
						<Data name="validity" editable="true" type="editbox" align="left" size="10" unit="&#26085;">
							<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@validity"/></xsl:attribute>
						</Data>
						<Data name="comname" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#20849;&#36890;&#21517; (CN): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@comname"/></xsl:attribute>
						</Data>
						<Data name="org" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32068;&#32340;&#21517; (O): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@org"/></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#37096;&#38272;&#21517; (OU): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@orgunit"/></xsl:attribute>
						</Data>
						<Data name="locality" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#22320;&#22495; (L): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@locality"/></xsl:attribute>
						</Data>
						<Data name="state" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#24030; (ST): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@state"/></xsl:attribute>
						</Data>
						<Data name="country" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->&#22269; (C): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test="@value = /OMA/Generator/@country">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->&#20197;&#19979;&#12395;&#35388;&#26126;&#26360;&#12398;&#35443;&#32048;&#12434;&#12377;&#12409;&#12390;&#35352;&#20837;&#12375;&#12390;&#12289;[&#29983;&#25104;] &#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#26032;&#12375;&#12356; X.509 &#35388;&#26126;&#26360;&#12364;&#20316;&#25104;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
					<ListData type="custom">
						<Data name="alias"  value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12461;&#12540;&#29983;&#25104;&#12450;&#12523;&#12468;&#12522;&#12474;&#12512;: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize"   value="1024" editable="true" type="editbox" align="left" size="10" unit="&#12499;&#12483;&#12488;">
							<xsl:attribute name="display"><!--XLATESTART-->&#12461;&#12540;&#12469;&#12452;&#12474;: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="validity"  value="" editable="true" type="editbox" align="left" size="10" unit="&#26085;">
							<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#21177;&#26399;&#38291;: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="comname"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#20849;&#36890;&#21517; (CN): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="org"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32068;&#32340;&#21517; (O): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#37096;&#38272;&#21517; (OU): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="locality"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#22320;&#22495; (L): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="state"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#24030; (ST): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="country" display="&#22269;&#21517; (C): " editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->&#22269; (C): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test=".='UNITED STATES'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
			<script language="javascript">
				var keysize ; 
				var validity ;	
				
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("\"" + varname + "\", &#25991;&#23383;&#12392;&#25968;&#23383;&#12398;&#12415;&#12434;&#20351;&#29992;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
						return false;
					}
					return true;
				}
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("\"" + varname + "\"&#12398;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;");
						return false;
					}
					return true;
				}


				function is_valid(validity)
				{
				var isValid=true;
				var validValues="0123456789";
				var indx;
				for (indx=0; indx &lt; validity.length; indx++)
				{
					if (validValues.indexOf(validity.charAt(indx)) &lt; 0)
					{	
						isValid=false;
						break;
					}
				}
				return isValid;
				}


				
				function validate()
				{
					keysize = document.dataarea.keysize.value;
					validity = document.dataarea.validity.value;
					logresult = new Number(Math.log(parseInt(keysize))/Math.log(2));
					logresStr = logresult.toString();
					
					if (document.dataarea.alias.value== "" ){
						alert("&#12456;&#12452;&#12522;&#12450;&#12473;&#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.alias.focus();
					}
					else if(document.dataarea.keysize.value== "" ){
						alert("&#12461;&#12540;&#12469;&#12452;&#12474;&#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.keysize.focus();
					}
					else if(document.dataarea.validity.value== ""){
						alert("&#26377;&#21177;&#26399;&#38291;&#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.validity.focus();
					}
					else if(document.dataarea.comname.value== "" ){
						alert("&#20849;&#36890;&#21517; (CN) &#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.comname.focus();
					}
					else if(document.dataarea.org.value== "" ){
						alert("&#32068;&#32340;&#21517; (O) &#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.org.focus();
					}
					else if(document.dataarea.orgunit.value== "" ){
						alert("&#37096;&#38272;&#21517; (OU) &#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.orgunit.focus();
					}
					else if(document.dataarea.locality.value== "" ){
						alert("&#22320;&#22495;&#21517; (L) &#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.locality.focus();
					}
					else if(document.dataarea.state.value== "" ){
						alert("&#24030; (ST) &#12364;&#24517;&#35201;&#12391;&#12377;");
						document.dataarea.state.focus();
					}
					else{
						if(isNaN(keysize) == true){
							alert("&#12461;&#12540;&#12469;&#12452;&#12474;&#12399;&#25968;&#23383;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if((parseInt(keysize) &lt; 512) || (parseInt(keysize) &gt; 2048)){
							alert("&#12461;&#12540;&#12469;&#12452;&#12474;&#12399; 512 ~ 2048 &#12395;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(logresStr.indexOf(".") != -1){
							alert("&#12461;&#12540;&#12469;&#12452;&#12474;&#12399; 2 &#20055;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(isNaN(validity) == true){
							alert("&#26377;&#21177;&#26399;&#38291;&#12399;&#25968;&#23383;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if((parseInt(validity) &lt;= 0) || (parseInt(validity) &gt;= 3651)){
							alert("&#26377;&#21177;&#26399;&#38291;&#12399; 1 - 3650 &#26085;&#12395;&#12375;&#12414;&#12377;");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if(is_valid(validity) == false)
						{
						alert ("&#12461;&#12540;&#12469;&#12452;&#12474;&#12399;&#25972;&#25968;&#20516;&#12398;&#12415;&#12434;&#25345;&#12388;&#12371;&#12392;&#12364;&#12391;&#12365;&#12414;&#12377;&#12290;");
						}
						else if(validity.indexOf('.')!= -1) 
						{
						alert ("&#25972;&#25968;&#20516;&#12398;&#12415;&#12434;&#26377;&#21177;&#12392;&#12375;&#12414;&#12377;");
						}
						else if( ! isAlphaNumericsp(document.dataarea.alias.value, "&#12456;&#12452;&#12522;&#12450;&#12473;")){
							document.dataarea.alias.value = "";
							document.dataarea.alias.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.comname.value, "&#20849;&#36890;&#21517; (CN)")){
							document.dataarea.comname.value = "";
							document.dataarea.comname.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.org.value, "&#32068;&#32340;&#21517; (O)")){
							document.dataarea.org.value = "";
							document.dataarea.org.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.orgunit.value, "&#37096;&#38272;&#21517; (OU)")){
							document.dataarea.orgunit.value = "";
							document.dataarea.orgunit.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.locality.value, "&#22320;&#22495; (L)")){
							document.dataarea.locality.value = "";
							document.dataarea.locality.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.state.value, "&#24030; (ST)")){
							document.dataarea.state.value = "";
							document.dataarea.state.focus();
						}
						else {
								var newalias = document.getElementById("alias").value;
								var aliasname = newalias.toLowerCase();
								var curalias = "<xsl:value-of select="Generator/@currentalias"/>";

							if (aliasname == curalias){
								alert (newalias + " &#12398;&#12456;&#12452;&#12522;&#12450;&#12473;&#12399;&#12377;&#12391;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;&#12290;");
								document.dataarea.alias.value ="";
								document.dataarea.alias.focus();
							}
							else {
													
								if (confirm("&#26032;&#35215;&#35388;&#26126;&#26360;&#12434;&#29983;&#25104;&#12377;&#12427;&#12392;&#12289;&#26082;&#23384;&#12398;&#35388;&#26126;&#26360;&#12364;&#12496;&#12483;&#12463;&#12450;&#12483;&#12503;&#12373;&#12428;&#12390;&#21066;&#38500;&#12373;&#12428;&#12414;&#12377;&#12290; &#32154;&#34892;&#12375;&#12390;&#12424;&#12429;&#12375;&#12356;&#12391;&#12377;&#12363;?")){
									return true;
								}
								else{
									return false;
								}
							}
							return false;
						}
						return false;
					}
					return false;				
				}			
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
