<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.ReqoptionWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#27425;&#12408;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#27425;&#12398;&#12522;&#12473;&#12488;&#12363;&#12425;&#35388;&#26126;&#26360;&#12392;&#23455;&#34892;&#12377;&#12427;&#25805;&#20316;&#12434;&#36984;&#25246;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
			
			<ListData type="custom">
				<xsl:choose>
					<xsl:when test="count(CertentryList/.) &gt; '1'">
						<Data name="option" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;: <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="CertentryList/Certentry">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default"><xsl:if test="@select='true'">true</xsl:if></xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data name="subreq" editable="true"  type="select" align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#36969;&#20999;&#12394;&#20966;&#32622;&#12398;&#36984;&#25246;: <!--XLATESTOP--></xsl:attribute>
					<xsl:for-each select="OptionList/Option">
						<xsl:sort select="." order="ascending"/>
						<Choice>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test=".='Display Contents'"><!--XLATESTART-->&#20869;&#23481;&#12398;&#34920;&#31034;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Delete'"><!--XLATESTART-->&#21066;&#38500;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Certificate Signing Request(CSR)'"><!--XLATESTART-->&#35388;&#26126;&#26360;&#32626;&#21517;&#35201;&#27714;&#65288;CSR&#65289;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Export Certificate in BASE64-encoded format'"><!--XLATESTART-->BASE64 &#12456;&#12531;&#12467;&#12540;&#12489;&#24418;&#24335;&#12391;&#35388;&#26126;&#26360;&#12434;&#12456;&#12463;&#12473;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Make Active'"><!--XLATESTART-->&#26377;&#21177;&#21270;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="default">
								<xsl:if test=".='Display Contents'">true</xsl:if>
							</xsl:attribute>
						</Choice>
					</xsl:for-each>
				</Data>
			</ListData>
			<ListData>
				<xsl:if test="count(CertentryList/.) =  '1'">
					<Data name="option" display=" "  type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
					</Data>
				</xsl:if>
			</ListData>
			<script language="javascript">
				var optval ;
				var reqval;

				function validate(){
				
					optval = document.dataarea.option.value;
					reqval = document.dataarea.subreq.value;
					
					if (optval == "" ){
						alert("keystore.db &#12395;&#35388;&#26126;&#26360;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;&#12290;. &#26368;&#21021;&#12395;&#26032;&#35215;&#35388;&#26126;&#26360;&#12434;&#29983;&#25104;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
					}
					else{
						if(reqval == "Delete"){
							if (confirm("&#21066;&#38500;&#12375;&#12390;&#12424;&#12429;&#12375;&#12356;&#12391;&#12377;&#12363;?")){
								return true;
							}
							else{
								return false;
							}
						}
						return true;
					}
					return false;	
				}								
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
