<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Next<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GetoptionWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 Certificate Management<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Selection/@reuse='true'">
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db is write-protected, could not generate the certificate. Reuse an existing X.509 certificate.<!--XLATESTOP-->
									</xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db is write-protected, could not import the certificate. Reuse an existing X.509 certificate<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>							
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->Select one of the following options to generate an X.509 certificate, to reuse an existing X.509 certificate, to import a root certificate, or to import a certificate chain from a trusted Certificate Authority (CA).<!--XLATESTOP-->
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db is write-protected, could not generate the certificate.<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db is write-protected, could not import the certificate.<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->There is no certificate in keystore.db generate a new X.509 certificate, otherwise can not run webserver on restart.<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</PromptText>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->X.509 Certificate Option<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->X.509 Certificate Option<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:choose>
					<xsl:when test="WriteAccess"></xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="option" display=" " returnvalue ="gen" editable="true" type="radio" state="1" align="left">
								<xsl:attribute name="value"><!--XLATESTART-->Generate a new certificate.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="Selection/@reuse='true'">
					<Row>
						<Data name="option" display=" " returnvalue ="reuse" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Reuse an existing certificate.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="state"><xsl:if test="WriteAccess">1</xsl:if></xsl:attribute>
						</Data>
					</Row>
					<Row>
						<Data name="option" display=" " returnvalue ="importroot" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->Import a root certificate.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
					<xsl:choose>
						<xsl:when test="WriteAccess"></xsl:when>
						<xsl:otherwise>
							<Row>
								<Data name="option" display=" " returnvalue ="importchain" editable="true" type="radio" align="left">
									<xsl:attribute name="value"><!--XLATESTART-->Import a certificate chain.<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Row>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>

