<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Certificate Management<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GenerateWebPlugin&amp;generated=true</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Generate<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 Certificate Generation<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="Generator/@status">
					<xsl:choose>
						<xsl:when test="Generator/@status='duplicate'">
							<PromptText status="3"><!--XLATESTART-->Alias <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> already exists. Fill in all certificate details again.<!--XLATESTOP--></PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText status="4"><!--XLATESTART-->Failed to generate certificate with alias <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> . Fill in all certificate details again.<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<ListData type="custom">
						<Data name="alias" value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Key Generation Algorithm: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize" editable="true" type="editbox" align="left" size="10" unit="Bits">
							<xsl:attribute name="display"><!--XLATESTART-->Key Size: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@keysize"/></xsl:attribute>
						</Data>
						<Data name="validity" editable="true" type="editbox" align="left" size="10" unit="Days">
							<xsl:attribute name="display"><!--XLATESTART-->Validity Period: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@validity"/></xsl:attribute>
						</Data>
						<Data name="comname" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Common Name (CN): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@comname"/></xsl:attribute>
						</Data>
						<Data name="org" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organization (O): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@org"/></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organization Unit (OU): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@orgunit"/></xsl:attribute>
						</Data>
						<Data name="locality" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Locality (L): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@locality"/></xsl:attribute>
						</Data>
						<Data name="state" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->State (ST): <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@state"/></xsl:attribute>
						</Data>
						<Data name="country" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Country (C): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default">
										<xsl:if test="@value = /OMA/Generator/@country">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->Fill in all certificate details below and click Generate to make a new X.509 certificate.<!--XLATESTOP--></PromptText>
					<ListData type="custom">
						<Data name="alias"  value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Key Generation Algorithm: <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize"   value="1024" editable="true" type="editbox" align="left" size="10" unit="Bits">
							<xsl:attribute name="display"><!--XLATESTART-->Key Size: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="validity"  value="" editable="true" type="editbox" align="left" size="10" unit="Days">
							<xsl:attribute name="display"><!--XLATESTART-->Validity Period: <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="comname"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Common Name (CN): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="org"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organization (O): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Organization Unit (OU): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="locality"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->Locality (L): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="state"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->State (ST): <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="country" display="Country (C): " editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->Country (C): <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default">
										<xsl:if test=".='UNITED STATES'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
			<script language="javascript">
				var keysize ; 
				var validity ;	
				
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Invalid value for \"" + varname + "\", use characters and numbers only.");
						return false;
					}
					return true;
				}
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Invalid value for \"" + varname + "\", use characters and numbers only.");
						return false;
					}
					return true;
				}


				function is_valid(validity)
				{
				var isValid=true;
				var validValues="0123456789";
				var indx;
				for (indx=0; indx &lt; validity.length; indx++)
				{
					if (validValues.indexOf(validity.charAt(indx)) &lt; 0)
					{	
						isValid=false;
						break;
					}
				}
				return isValid;
				}

				
				function validate()
				{
					keysize = document.dataarea.keysize.value;
					validity = document.dataarea.validity.value;
					logresult = new Number(Math.log(parseInt(keysize))/Math.log(2));
					logresStr = logresult.toString();
					
					if (document.dataarea.alias.value== "" ){
						alert("Alias is Required");
						document.dataarea.alias.focus();
					}
					else if(document.dataarea.keysize.value== "" ){
						alert("Keysize is Required");
						document.dataarea.keysize.focus();
					}
					else if(document.dataarea.validity.value== ""){
						alert("Validity Period is Required");
						document.dataarea.validity.focus();
					}
					else if(document.dataarea.comname.value== "" ){
						alert("Common Name(CN) is Required");
						document.dataarea.comname.focus();
					}
					else if(document.dataarea.org.value== "" ){
						alert("Organization(O) is Required");
						document.dataarea.org.focus();
					}
					else if(document.dataarea.orgunit.value== "" ){
						alert("Organization Unit(OU) is Required");
						document.dataarea.orgunit.focus();
					}
					else if(document.dataarea.locality.value== "" ){
						alert("Locality(L) is Required");
						document.dataarea.locality.focus();
					}
					else if(document.dataarea.state.value== "" ){
						alert("State(ST) is Required");
						document.dataarea.state.focus();
					}
					else{
						if(isNaN(keysize) == true){
							alert("Keysize is not a number");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if((parseInt(keysize) &lt; 512) || (parseInt(keysize) &gt; 2048)){
							alert("Keysize should be between 512 and 2048");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(logresStr.indexOf(".") != -1){
							alert("Keysize should be a power of 2");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(isNaN(validity) == true){
							alert("Validity Period is not a number");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if((parseInt(validity) &lt;= 0) || (parseInt(validity) &gt;= 3651)){
							alert("Validity Period falls between 1 - 3650 days");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if (keysize.indexOf('.')!= -1)
						{
						alert ("keysize can have only integer values.");
						}
						else if(is_valid(validity) == false)
						{
						alert ("Validity can have only integer values.");
						}
						else if( ! isAlphaNumericsp(document.dataarea.alias.value, "Alias")){
							document.dataarea.alias.value = "";
							document.dataarea.alias.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.comname.value, "Common Name (CN)")){
							document.dataarea.comname.value = "";
							document.dataarea.comname.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.org.value, "Organization (O)")){
							document.dataarea.org.value = "";
							document.dataarea.org.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.orgunit.value, "Organization Unit (OU)")){
							document.dataarea.orgunit.value = "";
							document.dataarea.orgunit.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.locality.value, "Locality (L)")){
							document.dataarea.locality.value = "";
							document.dataarea.locality.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.state.value, "State (ST)")){
							document.dataarea.state.value = "";
							document.dataarea.state.focus();
						}
						else {
								var newalias = document.getElementById("alias").value;
								var aliasname = newalias.toLowerCase();
								var curalias = "<xsl:value-of select="Generator/@currentalias"/>";

							if (aliasname == curalias){
								alert ("Alias " +  newalias + " already exists.");
								document.dataarea.alias.value ="";
								document.dataarea.alias.focus();
							}
							else {
													
								if (confirm("Generating a new certificate will backup and delete the existing certificate. Do you want to continue?")){
									return true;
								}
								else{
									return false;
								}
							}
							return false;
						}
						return false;
					}
					return false;				
				}			
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
