<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Restart To Activate New Certificate<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin&amp;closeBrowserOnly=true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="MakeActive/@mode = 'generate'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Make X.509 Certificate Active<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
				<xsl:when test="MakeActive/@mode = 'import'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Make X.509 Trusted Certificate Active<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
			</xsl:choose>
			<PromptText status="3"><!--XLATESTART-->Click on the restart button to complete this procedure and activate the new certificate. If the new certificate is not active after restart, use the following steps to restore the previous certificate.<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Steps to restore keystore.db<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Steps to restore keystore.db<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
					<xsl:attribute name="value"><!--XLATESTART-->1. Stop the Web Server as outlined in the User's Guide.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->2. Delete File <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->2. Delete File <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->3. Rename File <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db.bak<!--XLATESTART--> to <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->3. Rename File <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db.bak<!--XLATESTART--> to <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->4. Start the Web Server as outlined in the User's Guide.<!--XLATESTOP--></xsl:attribute>
					</Data>					
				</Row>
			</TableData>
			<script language="javascript">
				function validate()
				{
					alert("This will restart the web server. However, it is recommended to restart your system when convenient.");
					return true;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>