<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#19979;&#19968;&#20010;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GetoptionWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Selection/@reuse='true'">
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db &#26377;&#20889;&#20445;&#25252;&#65292;&#26080;&#27861;&#23548;&#20837;&#35748;&#35777;&#12290; &#37325;&#22797;&#20351;&#29992;&#29616;&#26377;&#30340; X.509 &#35748;&#35777;&#12290;<!--XLATESTOP-->
									</xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db &#26377;&#20889;&#20445;&#25252;&#65292;&#26080;&#27861;&#23548;&#20837;&#35748;&#35777;&#12290; &#37325;&#22797;&#20351;&#29992;&#29616;&#26377;&#30340; X.509 &#35748;&#35777;<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>							
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#36873;&#25321;&#20197;&#19979;&#36873;&#39033;&#20043;&#19968;&#65306;&#29983;&#25104; X.509 &#35748;&#35777;&#65292;&#37325;&#22797;&#20351;&#29992;&#29616;&#26377; X.509 &#35748;&#35777;&#65292;&#23548;&#20837;&#26681;&#35748;&#35777;&#65292;&#25110;&#20174;&#25480;&#26435;&#30340;&#35748;&#35777;&#26426;&#26500; (CA)&#12288;&#23548;&#20837;&#35748;&#35777;&#38142;&#12290;<!--XLATESTOP-->
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="WriteAccess">
								<xsl:attribute name="status">4</xsl:attribute>
								<xsl:choose>
									<xsl:when test="WriteAccess/@mode='generate'"><!--XLATESTART-->Keystore.db &#26377;&#20889;&#20445;&#25252;&#65292;&#26080;&#27861;&#23548;&#20837;&#35748;&#35777;&#12290;<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Keystore.db &#26377;&#20889;&#20445;&#25252;&#65292;&#26080;&#27861;&#23548;&#20837;&#35748;&#35777;&#12290;<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise><!--XLATESTART-->keystore.db &#20013;&#27809;&#26377;&#35748;&#35777;&#12290;&#35831;&#29983;&#25104;&#26032;&#30340; X.509 &#35748;&#35777;&#65292;&#21542;&#21017;&#22312;&#37325;&#26032;&#21551;&#21160;&#21518;&#23558;&#26080;&#27861;&#36816;&#34892; Web &#26381;&#21153;&#22120;&#12290;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</PromptText>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;&#36873;&#39033;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->X.509 &#35748;&#35777;&#36873;&#39033;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:choose>
					<xsl:when test="WriteAccess"></xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="option" display=" " returnvalue ="gen" editable="true" type="radio" state="1" align="left">
								<xsl:attribute name="value"><!--XLATESTART-->&#29983;&#25104;&#26032;&#35748;&#35777;&#12290;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="Selection/@reuse='true'">
					<Row>
						<Data name="option" display=" " returnvalue ="reuse" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#22797;&#20351;&#29992;&#29616;&#26377;&#30340;&#35748;&#35777;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="state"><xsl:if test="WriteAccess">1</xsl:if></xsl:attribute>
						</Data>
					</Row>
					<Row>
						<Data name="option" display=" " returnvalue ="importroot" editable="true" type="radio" align="left">
							<xsl:attribute name="value"><!--XLATESTART-->&#23548;&#20837;&#26681;&#35748;&#35777;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
					<xsl:choose>
						<xsl:when test="WriteAccess"></xsl:when>
						<xsl:otherwise>
							<Row>
								<Data name="option" display=" " returnvalue ="importchain" editable="true" type="radio" align="left">
									<xsl:attribute name="value"><!--XLATESTART-->&#23548;&#20837;&#35748;&#35777;&#38142;&#12290;<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Row>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>

