<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#26465;&#30446;<!--XLATESTOP--></xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;&#20869;&#23481;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#21035;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Alias"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#21019;&#24314;&#26085;&#26399;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/CreationDate"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20379;&#24212;&#21830;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertEntry/Provider"/></xsl:attribute>
			</Data>	
		</ListData>
		<ListData>
			<Data value="">
				<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#38142;&#65306; <!--XLATESTOP--></xsl:attribute>
			</Data>
		</ListData>
		<xsl:for-each select="CertEntry/CertChainElement">
			<xsl:call-template name="CertificateDisplay"/>
		</xsl:for-each>		
	</DataArea>
</xsl:template>

<xsl:template name ="CertificateDisplay">
		<TableData columnspacing="true">
			<xsl:attribute name="name">certchain<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#38142;&#35201;&#32032;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</xsl:attribute>
			<PromptText><!--XLATESTART-->&#35748;&#35777;&#38142;&#35201;&#32032;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text>
				<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param></xsl:call-template>
			</PromptText>	
			<Header>
				<Data width="150">
					<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#35748;&#35777;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Type"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#25928;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#25928;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Valid"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Valid"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#25910;&#32773;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#25910;&#32773;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Subject"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#39041;&#21457;&#32773;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#39041;&#21457;&#32773;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Issuer"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#25928;&#36215;&#22987;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#25928;&#36215;&#22987;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidFrom"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidFrom"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#25928;&#32467;&#26463;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#25928;&#32467;&#26463;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ValidTo"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ValidTo"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#24207;&#21015;&#21495;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#24207;&#21015;&#21495;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SerialNumber"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SerialNumber"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#20849;&#23494;&#38053;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20844;&#20849;&#23494;&#38053;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKey"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKey"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#20849;&#23494;&#38053;&#31639;&#27861;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20844;&#20849;&#23494;&#38053;&#31639;&#27861;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PublicKeyAlg"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#23494;&#38053;&#29992;&#36884;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23494;&#38053;&#29992;&#36884;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="KeyUsage"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="KeyUsage"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31614;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31614;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Signature"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Signature"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgName"/></xsl:attribute>
				</Data>		
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861; OID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861; OID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgOID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861;&#21442;&#25968;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31614;&#21517;&#31639;&#27861;&#21442;&#25968;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SigAlgPara"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->TBS &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->TBS &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="TBSCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="TBSCert"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#22522;&#26412;&#32422;&#26463;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22522;&#26412;&#32422;&#26463;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BasicConstraints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#25910;&#32773;&#21807;&#19968; ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#25910;&#32773;&#21807;&#19968; ID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#39041;&#21457;&#32773;&#21807;&#19968; ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#39041;&#21457;&#32773;&#21807;&#19968; ID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IssuerUNID"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->MD5 &#25351;&#32441;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->MD5 &#25351;&#32441;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MD5FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->SHA1 &#25351;&#32441;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->SHA1 &#25351;&#32441;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SHA1FingerPrints"/></xsl:attribute>
				</Data>		
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32534;&#30721;&#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32534;&#30721;&#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="EncodedCert"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="EncodedCert"/></xsl:attribute>
				</Data>		
			</Row>
		</TableData>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/CertEntry/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
