<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.GenerateWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#29983;&#25104;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;&#29983;&#25104;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="Generator/@status">
					<xsl:choose>
						<xsl:when test="Generator/@status='duplicate'">
							<PromptText status="3"><!--XLATESTART-->&#21035;&#21517; <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> &#24050;&#23384;&#22312;&#12290; &#37325;&#26032;&#22635;&#20889;&#25152;&#26377;&#35748;&#35777;&#35814;&#24773;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText status="4"><!--XLATESTART-->&#26080;&#27861;&#29983;&#25104;&#20197;&#19979;&#21035;&#21517;&#30340;&#35748;&#35777;&#65306; <!--XLATESTOP--><xsl:value-of select="Generator/@aliasused"/><!--XLATESTART--> &#12290;&#37325;&#26032;&#22635;&#20889;&#25152;&#26377;&#35748;&#35777;&#35814;&#24773;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<ListData type="custom">
						<Data name="alias" value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->&#21035;&#21517;&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#23494;&#38053;&#29983;&#25104;&#31639;&#27861;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize" editable="true" type="editbox" align="left" size="10" unit="&#20301;">
							<xsl:attribute name="display"><!--XLATESTART-->&#23494;&#38053;&#22823;&#23567;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@keysize"/></xsl:attribute>
						</Data>
						<Data name="validity" editable="true" type="editbox" align="left" size="10" unit="&#22825;">
							<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#25928;&#26399;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@validity"/></xsl:attribute>
						</Data>
						<Data name="comname" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#29992;&#21517; (CN)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@comname"/></xsl:attribute>
						</Data>
						<Data name="org" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32452;&#32455; (O)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@org"/></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32452;&#32455;&#37096;&#38376; (OU)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@orgunit"/></xsl:attribute>
						</Data>
						<Data name="locality" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#22320;&#22336; (L)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@locality"/></xsl:attribute>
						</Data>
						<Data name="state" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#24030;&#30465; (ST)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/@state"/></xsl:attribute>
						</Data>
						<Data name="country" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->&#22269;&#23478;&#25110;&#22320;&#21306; (C)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test="@value = /OMA/Generator/@country">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->&#22635;&#20889;&#20197;&#19979;&#25152;&#26377;&#35748;&#35777;&#35814;&#24773;&#65292;&#28982;&#21518;&#21333;&#20987;&#29983;&#25104;&#20197;&#29983;&#25104;&#26032;&#30340; X.509 &#35748;&#35777;&#12290;<!--XLATESTOP--></PromptText>
					<ListData type="custom">
						<Data name="alias"  value="" editable="true" type="editbox" align="left" maxlength="10">
							<xsl:attribute name="display"><!--XLATESTART-->&#21035;&#21517;&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#23494;&#38053;&#29983;&#25104;&#31639;&#27861;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Generator/KeyAlg/Keypair"/></xsl:attribute>
						</Data>
						<Data name="keysize"   value="1024" editable="true" type="editbox" align="left" size="10" unit="&#20301;">
							<xsl:attribute name="display"><!--XLATESTART-->&#23494;&#38053;&#22823;&#23567;&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="validity"  value="" editable="true" type="editbox" align="left" size="10" unit="&#22825;">
							<xsl:attribute name="display"><!--XLATESTART-->&#26377;&#25928;&#26399;&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="comname"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#20844;&#29992;&#21517; (CN)&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="org"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32452;&#32455; (O)&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="orgunit"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#32452;&#32455;&#37096;&#38376; (OU)&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="locality"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#22320;&#22336; (L)&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="state"  value="" editable="true" type="editbox" align="left" size="45">
							<xsl:attribute name="display"><!--XLATESTART-->&#24030;&#30465; (ST)&#65306; <!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="country" display="&#22269;&#23478;&#25110;&#22320;&#21306; (C)&#65306;" editable="true" type="select" align="left">							<xsl:attribute name="display"><!--XLATESTART-->&#22269;&#23478;&#25110;&#22320;&#21306; (C)&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="Generator/CountryGroup/Country">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					<xsl:attribute name="default"><xsl:if test=".='UNITED STATES'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
			<script language="javascript">
				var keysize ; 
				var validity ;	
				
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("&#26080;&#25928;&#20540; \"" + varname + "\", &#21482;&#33021;&#20351;&#29992;&#23383;&#27597;&#21644;&#25968;&#23383;&#12290;");
						return false;
					}
					return true;
				}
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("&#26080;&#25928;&#20540; \"" + varname + "\", &#21482;&#33021;&#20351;&#29992;&#23383;&#27597;&#21644;&#25968;&#23383;&#12290;");
						return false;
					}
					return true;
				}

				
				function is_valid(validity)
				{
				var isValid=true;
				var validValues="0123456789";
				var indx;
				for (indx=0; indx &lt; validity.length; indx++)
				{
					if (validValues.indexOf(validity.charAt(indx)) &lt; 0)
					{	
						isValid=false;
						break;
					}
				}
				return isValid;
				}


				
				function validate()
				{
					keysize = document.dataarea.keysize.value;
					validity = document.dataarea.validity.value;
					logresult = new Number(Math.log(parseInt(keysize))/Math.log(2));
					logresStr = logresult.toString();
					
					if (document.dataarea.alias.value== "" ){
						alert("&#24517;&#39035;&#26377;&#21035;&#21517;");
						document.dataarea.alias.focus();
					}
					else if(document.dataarea.keysize.value== "" ){
						alert("&#24517;&#39035;&#26377;&#23494;&#38053;&#22823;&#23567;");
						document.dataarea.keysize.focus();
					}
					else if(document.dataarea.validity.value== ""){
						alert("&#24517;&#39035;&#26377;&#26377;&#25928;&#26399;");
						document.dataarea.validity.focus();
					}
					else if(document.dataarea.comname.value== "" ){
						alert("&#24517;&#39035;&#26377;&#20844;&#29992;&#21517;(CN)");
						document.dataarea.comname.focus();
					}
					else if(document.dataarea.org.value== "" ){
						alert(" &#24517;&#39035;&#26377;&#32452;&#32455;(O)");
						document.dataarea.org.focus();
					}
					else if(document.dataarea.orgunit.value== "" ){
						alert("&#24517;&#39035;&#26377;&#32452;&#32455;&#37096;&#38376;(OU)");
						document.dataarea.orgunit.focus();
					}
					else if(document.dataarea.locality.value== "" ){
						alert("&#24517;&#39035;&#26377;&#22320;&#22336;(L)");
						document.dataarea.locality.focus();
					}
					else if(document.dataarea.state.value== "" ){
						alert("&#24517;&#39035;&#26377;&#24030;&#30465;(ST)");
						document.dataarea.state.focus();
					}
					else{
						if(isNaN(keysize) == true){
							alert("&#23494;&#38053;&#22823;&#23567;&#19981;&#26159;&#25968;&#20540;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if((parseInt(keysize) &lt; 512) || (parseInt(keysize) &gt; 2048)){
							alert("&#23494;&#38053;&#22823;&#23567;&#24212;&#22312; 512 &#21644; 2048 &#20043;&#38388;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(logresStr.indexOf(".") != -1){
							alert("&#23494;&#38053;&#22823;&#23567;&#24212;&#35813;&#26159; 2 &#30340;&#20056;&#26041;");
							document.dataarea.keysize.value = "";
							document.dataarea.keysize.focus();
						}
						else if(isNaN(validity) == true){
							alert("&#26377;&#25928;&#26399;&#19981;&#26159;&#25968;&#20540;");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if((parseInt(validity) &lt;= 0) || (parseInt(validity) &gt;= 3651)){
							alert("&#26377;&#25928;&#26399;&#22312; 1 &#21040; 3650 &#22825;&#20043;&#38388;");
							document.dataarea.validity.value = "";
							document.dataarea.validity.focus();
						}
						else if (keysize.indexOf('.')!= -1)
						{
						alert ("&#23494;&#38053;&#22823;&#23567;&#21482;&#33021;&#20855;&#26377;&#25972;&#25968;&#20540;&#12290;");
						}
						else if(is_valid(validity) == false)
						{
						alert ("&#26377;&#25928;&#26399;&#21482;&#33021;&#20855;&#26377;&#25972;&#25968;&#20540;&#12290;");
						}
						else if( ! isAlphaNumericsp(document.dataarea.alias.value, "&#21035;&#21517;&#65306;")){
							document.dataarea.alias.value = "";
							document.dataarea.alias.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.comname.value, "&#20844;&#29992;&#21517; (CN)&#65306;")){
							document.dataarea.comname.value = "";
							document.dataarea.comname.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.org.value, "&#32452;&#32455; (O)&#65306;")){
							document.dataarea.org.value = "";
							document.dataarea.org.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.orgunit.value, "&#32452;&#32455;&#37096;&#38376; (OU)&#65306;")){
							document.dataarea.orgunit.value = "";
							document.dataarea.orgunit.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.locality.value, "&#22320;&#22336; (L)&#65306;")){
							document.dataarea.locality.value = "";
							document.dataarea.locality.focus();
						}
						else if( ! isAlphaNumeric(document.dataarea.state.value, "&#24030;&#30465; (ST)&#65306;")){
							document.dataarea.state.value = "";
							document.dataarea.state.focus();
						}
						else {
								var newalias = document.getElementById("alias").value;
								var aliasname = newalias.toLowerCase();
								var curalias = "<xsl:value-of select="Generator/@currentalias"/>";

							if (aliasname == curalias){
								alert ("&#21035;&#21517; " +  newalias + " &#24050;&#23384;&#22312;&#12290;");
								document.dataarea.alias.value ="";
								document.dataarea.alias.focus();
							}
							else {
													
								if (confirm("&#29983;&#25104;&#26032;&#35748;&#35777;&#23558;&#22791;&#20221;&#24182;&#21024;&#38500;&#29616;&#26377;&#35748;&#35777;&#12290; &#26159;&#21542;&#35201;&#32487;&#32493;&#65311;")){
									return true;
								}
								else{
									return false;
								}
							}
							return false;
						}
						return false;
					}
					return false;				
				}			
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
