<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" validate="true">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=security.X509.webplugins.ReqoptionWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#19979;&#19968;&#20010;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#20174;&#19979;&#34920;&#20013;&#36873;&#25321;&#35748;&#35777;&#20197;&#21450;&#35201;&#25191;&#34892;&#30340;&#25805;&#20316;&#12290;<!--XLATESTOP--></PromptText>
			
			<ListData type="custom">
				<xsl:choose>
					<xsl:when test="count(CertentryList/.) &gt; '1'">
						<Data name="option" editable="true" type="select" align="left">
							<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:for-each select="CertentryList/Certentry">
								<xsl:sort select="." order="ascending"/>
								<Choice>
									<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default">
										<xsl:if test="@select='true'">true</xsl:if>
									</xsl:attribute>
								</Choice>
							</xsl:for-each>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#65306; <!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data name="subreq" editable="true"  type="select" align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#36873;&#25321;&#36866;&#24403;&#30340;&#25805;&#20316;&#65306; <!--XLATESTOP--></xsl:attribute>
					<xsl:for-each select="OptionList/Option">
						<xsl:sort select="." order="ascending"/>
						<Choice>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test=".='Display Contents'"><!--XLATESTART-->&#26174;&#31034;&#20869;&#23481;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Delete'"><!--XLATESTART-->Delete<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Certificate Signing Request(CSR)'"><!--XLATESTART-->&#35748;&#35777;&#31614;&#21517;&#35831;&#27714; (CSR)<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Export Certificate in BASE64-encoded format'"><!--XLATESTART-->&#23558;&#35777;&#20070;&#20197;BASE64&#32534;&#30721;&#26684;&#24335;&#23548;&#20986;<!--XLATESTOP--></xsl:when>
									<xsl:when test=".='Make Active'"><!--XLATESTART-->&#20351;&#25104;&#20026;&#29616;&#26377;&#30340;<!--XLATESTOP--></xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="default">
								<xsl:if test=".='Display Contents'">true</xsl:if>
							</xsl:attribute>
						</Choice>
					</xsl:for-each>
				</Data>
			</ListData>
			<ListData>
				<xsl:if test="count(CertentryList/.) =  '1'">
					<Data name="option" display=" "  type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="CertentryList/Certentry"/></xsl:attribute>
					</Data>
				</xsl:if>
			</ListData>
			<script language="javascript">
				var optval ;
				var reqval;

				function validate(){
				
					optval = document.dataarea.option.value;
					reqval = document.dataarea.subreq.value;
					
					if (optval == "" ){
						alert("&#20320;&#30340;keystore.db &#25991;&#20214;&#20013;&#27809;&#26377;&#35748;&#35777;&#12290; &#39318;&#20808;&#29983;&#25104;&#19968;&#20010;&#26032;&#35748;&#35777;&#12290;");
					}
					else{
						if(reqval == "Delete"){
							if (confirm("&#30830;&#35748;&#26159;&#21542;&#24819;&#35201;&#21024;&#38500;&#65311;")){
								return true;
							}
							else{
								return false;
							}
						}
						return true;
					}
					return false;	
				}								
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
