<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle display="AC Power Switch"/>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data>
								<xsl:attribute name="display">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<DataArea>
							<xsl:if test="(Redundancy/RedunStatus!='4') or (ACSwitchObj/Capabilities &gt; '1') or (/OMA/ACSwitchObj/RedundancyExpected = '1')">
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetACSwitchWebPlugin&amp;oid=<xsl:value-of select="ACSwitchObj/@oid"/>&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/></xsl:attribute>
							</xsl:if>
							<PageTitle>
    							<xsl:attribute name="display">
    								<xsl:choose>
    									<xsl:when test="ACSwitchObj/ACSwitchName='AC Failover Switch'"><!--XLATESTART-->AC Failover Switch<!--XLATESTOP--></xsl:when>
    									<xsl:otherwise><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:otherwise>
    								</xsl:choose>
                                </xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
										<xsl:attribute name="display"><!--XLATESTART-->AC Switch Redundancy<!--XLATESTOP--></xsl:attribute>
										<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
							<script language="javascript">
								<xsl:if test="((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1'))">
									function setRedundancy()
									{
										document.getElementById("redundancy").value = "true";
									}
								</xsl:if>
								<xsl:if test="ACSwitchObj/Capabilities &gt; '1'">
									function setCapabilities()
									{
										document.getElementById("capabilities").value = "true";
									}
								</xsl:if>
							</script>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
									<xsl:attribute name="display"><!--XLATESTART-->AC Switch Redundancy<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Redundancy Status<!--XLATESTOP--></xsl:attribute>
			<xsl:call-template name="RedStatus">
				<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
			</xsl:call-template>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Number of devices required for full redundancy<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="ACSwitchObj">
		<xsl:call-template name="ACMode">
			<xsl:with-param name="mode"><xsl:value-of select="RedundancyExpected"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="ACConfig">
			<xsl:with-param name="settings"><xsl:value-of select="Settings"/></xsl:with-param>
			<xsl:with-param name="capabilities"><xsl:value-of select="Capabilities"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ACCordList">
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->AC Power Lines<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->AC Present<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->AC Present<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Active Source<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Active Source<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="ACCord"/>
		</TableData>
	</xsl:template>
	<xsl:template match="ACCord">
		<Row>
			<Data type="status">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="ACCordName"/></xsl:attribute>
			</Data>
			<xsl:call-template name="ACPower">
				<xsl:with-param name="present"><xsl:value-of select="ACPresent"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="ACActive">
				<xsl:with-param name="active"><xsl:value-of select="ACActiveSrc"/></xsl:with-param>
			</xsl:call-template>
		</Row>
	</xsl:template>
	<xsl:template name="ACPower">
	<xsl:param name="present"/>
		<xsl:choose>
			<xsl:when test="$present = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Power Present<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Power Absent<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACActive">
	<xsl:param name="active"/>
		<xsl:choose>
			<xsl:when test="$active = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Active<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Not Active<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->NA<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Full<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->Degraded<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Lost<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACMode">
		<xsl:param name="mode"/>
		<xsl:choose>
			<xsl:when test="(((/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')) and ((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1')))">
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Redundancy Mode<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Redundant<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="$mode = '2'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Not Redundant<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue"><xsl:value-of select="$mode"/></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$mode='1'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$mode = '1'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Mode<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Not Redundant<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:when test="$mode = '2'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Mode<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Redundant<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Mode<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACConfig">
		<xsl:param name="settings"/>
		<xsl:param name="capabilities"/>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')">
				<xsl:choose>
					<xsl:when test="$capabilities= '15'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input source Line 1, upon redundancy restoration, remain on Line 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 1, upon redundancy restoration, return to Line 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, remain on Line 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, return to Line 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="$settings = '8'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '7'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input source Line 1, upon redundancy restoration, remain on Line 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 1, upon redundancy restoration, return to Line 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, remain on Line 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '3'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input source Line 1, upon redundancy restoration, remain on Line 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 1, upon redundancy restoration, return to Line 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display">Redundancy Configuration</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Shared Input Mode<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 1, upon redundancy restoration, return to Line 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, remain on Line 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, return to Line 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Input source Line 1, upon redundancy restoration, remain on Line 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Shared Input Mode<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 1, upon redundancy restoration, return to Line 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, remain on Line 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Input Source Line 2, upon redundancy restoration, return to Line 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Input source Line 1, upon redundancy restoration, remain on Line 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
				</Data>
				<Data type="hidden" name="capabilities" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Command Successful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->AC Power Switch Object not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->AC Power Switch Object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->AC Power Switch Object already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
