<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" />
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:variable name="displaytype"><xsl:value-of select="Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PromptText>
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							<xsl:with-param name="mssg"><xsl:value-of select="SMStatus/@mssg"/></xsl:with-param>
						</xsl:call-template>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="$displaytype = 'list'">
								<DataArea>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Asset Information<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->Click the individual items to view/set properties.<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data name=""><xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetInfo</xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:call-template name="List"/>
								</DataArea>
							</xsl:when>			
							<xsl:when test="$displaytype = 'summary'">
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Asset Sections<!--XLATESTOP--></xsl:attribute>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Summary of Asset Information<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->Click the individual item for the asset information you want to view.<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetSummary</xsl:attribute>
										</Data>
									</CustomButton>
									<SummaryData>
										<xsl:apply-templates select="AssetInfo"/>
										<xsl:call-template name="OwnerInfo"/>
									</SummaryData>
								</DataArea>
							</xsl:when>
							<xsl:otherwise>
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo" validate="true">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Asset Sections<!--XLATESTOP--></xsl:attribute>
									<xsl:choose>
										<xsl:when test="(Arguments ='acquisition') or (Arguments ='extwarranty') or (Arguments ='warranty') or (Arguments ='lease') or (Arguments 		='maintenance')">
											<xsl:attribute name="date">true</xsl:attribute>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='lease'"></xsl:when>
										<xsl:when test="Arguments ='support'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='maintenance'"></xsl:when>
										<xsl:when test="Arguments ='system'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<PageTitle >
										<xsl:attribute name="display">
											<xsl:choose>
												<xsl:when test="DisplayString='Acquisition'"><!--XLATESTART-->Acquisition<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Depreciation'"><!--XLATESTART-->Depreciation<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Extended Warranty Information'"><!--XLATESTART-->Extended Warranty Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Lease Information'"><!--XLATESTART-->Lease Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Maintenance Information'"><!--XLATESTART-->Maintenance Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Out Source Information'"><!--XLATESTART-->Out Source Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Owner Information'"><!--XLATESTART-->Owner Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Service Contract'"><!--XLATESTART-->Service Contract<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Support Information'"><!--XLATESTART-->Support Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='System Information'"><!--XLATESTART-->System Information<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Warranty Information'"><!--XLATESTART-->Warranty Information<!--XLATESTOP--></xsl:when>
											</xsl:choose>
										</xsl:attribute>
									</PageTitle>
									<xsl:variable name="helpattrib">
										<xsl:choose>
											<xsl:when test="Arguments='acquisition'">Acquisition</xsl:when>
											<xsl:when test="Arguments='extwarranty'">ExtWarranty</xsl:when>																					<xsl:when test="Arguments='warranty'">Warranty</xsl:when>
											<xsl:when test="Arguments='outsource'">OutSource</xsl:when>
											<xsl:when test="Arguments='owner'">Owner</xsl:when>
											<xsl:when test="Arguments='depreciation'">Depreciation</xsl:when>
											<xsl:when test="Arguments='servicecontract'">Service</xsl:when>
											<xsl:when test="Arguments='lease'">Lease</xsl:when>
											<xsl:when test="Arguments='maintenance'">Maintenance</xsl:when>
											<xsl:when test="Arguments='support'">Support</xsl:when>
											<xsl:when test="Arguments='system'">SystemInfo</xsl:when>
											<xsl:when test="Arguments='summary'">AssetSummary</xsl:when>
										</xsl:choose>
									</xsl:variable>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=<xsl:value-of select="$helpattrib"/></xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:apply-templates/>
									<script>
										function validate()
										{
											var section = "<xsl:value-of select="Arguments"/>";
											<xsl:variable name="arg"><xsl:value-of select="Arguments"/></xsl:variable>
											<xsl:choose>
												<xsl:when test="$arg = 'acquisition'">
													var tempacqpcost 		= document.getElementById("acqpcost").value;
													var tempacqwbillnum 	= document.getElementById("acqwbillnum").value;
													var tempacqponum		= document.getElementById("acqponum").value;
													var tempacqsignauth		= document.getElementById("acqsignauth").value;
													var tempcstctr				= document.getElementById("cstctr").value;

													<!-- 1. Purchase Cost -->
													if(tempacqpcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if( (isNaN(tempacqpcost) == true) || (tempacqpcost &lt; 0) || (tempacqpcost.indexOf(".") != "-1") )
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Purchase Cost\", read: " + tempacqpcost<!--XLATESTOP-->);
															document.getElementById("acqpcost").focus();
															document.getElementById("acqpcost").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Purchase Cost\"<!--XLATESTOP-->");
														document.getElementById("acqpcost").focus();
														document.getElementById("acqpcost").select();
														return false;
													}

													<!-- 2. Way Bill Num -->
													if(tempacqwbillnum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqwbillnum) == true) || (tempacqwbillnum &lt; 0) || (tempacqwbillnum.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Way Bill Num\", read: " + tempacqwbillnum<!--XLATESTOP-->);
															document.getElementById("acqwbillnum").focus();
															document.getElementById("acqwbillnum").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Way Bill Num\"<!--XLATESTOP-->");
														document.getElementById("acqwbillnum").focus();
														document.getElementById("acqwbillnum").select();
														return false;
													}
													
													<!-- 3. PO Num -->
													if(tempacqponum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqponum) == true) || (tempacqponum &lt; 0) || (tempacqponum.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"PO Num\", read: " + tempacqponum<!--XLATESTOP-->);
															document.getElementById("acqponum").focus();
															document.getElementById("acqponum").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"PO Num\"<!--XLATESTOP-->");
														document.getElementById("acqponum").focus();
														document.getElementById("acqponum").select();
														return false;
													}
													
													<!-- 4. Who Signed for -->
													if(tempacqsignauth != '')
													{
														if( ! isAlphaNumeric(tempacqsignauth, "<!--XLATESTART-->Who Signed for<!--XLATESTOP-->"))
														{
															document.getElementById("acqsignauth").focus();
															document.getElementById("acqsignauth").select();
															return false;
														}												
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Who Signed for\"<!--XLATESTOP-->");
														document.getElementById("acqsignauth").focus();
														document.getElementById("acqsignauth").select();
														return false;
													}
													
													<!-- 5. Cost Center -->
													if(tempcstctr != '')
													{
														if( ! isAlphaNumeric(tempcstctr, "<!--XLATESTART-->Cost Center<!--XLATESTOP-->"))
														{
															document.getElementById("cstctr").focus();
															document.getElementById("cstctr").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Cost Center\"<!--XLATESTOP-->");
														document.getElementById("cstctr").focus();
														document.getElementById("cstctr").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'extwarranty'">
													var tempextwcost		= document.getElementById("extwcost").value;
													var tempextwprovider	= document.getElementById("extwprovider").value;
													var tempextwsdate		= document.getElementById("extwsdate").value;
													var tempextwedate		= document.getElementById("extwedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->Start date cannot be after end date.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->Start date and end date cannot be the same.<!--XLATESTOP-->";
													
													if(tempextwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempextwcost) == true) || (tempextwcost &lt; 0) || (tempextwcost.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Cost\", read: " + tempextwcost<!--XLATESTOP-->);
															document.getElementById("extwcost").focus();
															document.getElementById("extwcost").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Cost\"<!--XLATESTOP-->");
														document.getElementById("extwcost").focus();
														document.getElementById("extwcost").select();
														return false;
													}
													
													if(tempextwprovider != '')
													{
														if( ! isAlphaNumeric(tempextwprovider, "<!--XLATESTART-->Provider<!--XLATESTOP-->"))
														{
															document.getElementById("extwprovider").focus();
															document.getElementById("extwprovider").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Provider\"<!--XLATESTOP-->");
														document.getElementById("extwprovider").focus();
														document.getElementById("extwprovider").select();
														return false;
													}
													
													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
												</xsl:when>
												<xsl:when test="$arg = 'warranty'">
													var tempwduration	= document.getElementById("wduration").value;
													var tempwcost			= document.getElementById("wcost").value;
												
													if(tempwduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwduration) == true) || (tempwduration &lt; 0) || (tempwduration.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Duration\", read: " + tempwduration<!--XLATESTOP-->);
															document.getElementById("wduration").focus();
															document.getElementById("wduration").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Duration\"<!--XLATESTOP-->");
														document.getElementById("wduration").focus();
														document.getElementById("wduration").select();
														return false;
													}
													
													if(tempwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwcost) == true) || (tempwcost &lt; 0) || (tempwcost.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Cost\", read: " + tempwcost<!--XLATESTOP-->);
															document.getElementById("wcost").focus();
															document.getElementById("wcost").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Cost\"<!--XLATESTOP-->");
														document.getElementById("wcost").focus();
														document.getElementById("wcost").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'outsource'">
													var tempoutsservfee 	= document.getElementById("outsservfee").value;
													var tempoutsprovfee		= document.getElementById("outsprovfee").value;
													var tempoutsprobcomp	= document.getElementById("outsprobcomp").value;
													var tempoutssigna		= document.getElementById("outssigna").value;
													var tempoutsslalvl		= document.getElementById("outsslalvl").value;
													
													if(tempoutsservfee != '')
													{
														if( ! isAlphaNumeric(tempoutsservfee, "<!--XLATESTART-->Service Fee<!--XLATESTOP-->"))
														{
															document.getElementById("outsservfee").focus();
															document.getElementById("outsservfee").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Service Fee\"<!--XLATESTOP-->");
														document.getElementById("outsservfee").focus();
														document.getElementById("outsservfee").select();
														return false;														
													}
		
													if(tempoutsprovfee != '')
													{
														if( ! isAlphaNumeric(tempoutsprovfee, "<!--XLATESTART-->Provider Fee<!--XLATESTOP-->"))
														{
															document.getElementById("outsprovfee").focus();
															document.getElementById("outsprovfee").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Provider Fee\"<!--XLATESTOP-->");
														document.getElementById("outsprovfee").focus();
														document.getElementById("outsprovfee").select();
														return false;
													}
		
													if(tempoutsprobcomp != '')
													{
														if( ! isAlphaNumeric(tempoutsprobcomp, "<!--XLATESTART-->Problem Component<!--XLATESTOP-->"))
														{
															document.getElementById("outsprobcomp").focus();
															document.getElementById("outsprobcomp").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Problem Component\"<!--XLATESTOP-->");
														document.getElementById("outsprobcomp").focus();
														document.getElementById("outsprobcomp").select();
														return false;
													}
													
													if(tempoutssigna != '')
													{
														if( ! isAlphaNumeric(tempoutssigna, "<!--XLATESTART-->Who Signed for<!--XLATESTOP-->"))
														{
															document.getElementById("outssigna").focus();
															document.getElementById("outssigna").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Who Signed for\"<!--XLATESTOP-->");
														document.getElementById("outssigna").focus();
														document.getElementById("outssigna").select();
														return false;
													}
													
													if(tempoutsslalvl != '')
													{
														if( ! isAlphaNumeric(tempoutsslalvl, "<!--XLATESTART-->SLA Level<!--XLATESTOP-->"))
														{
															document.getElementById("outsslalvl").focus();
															document.getElementById("outsslalvl").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"SLA Level\"<!--XLATESTOP-->");
														document.getElementById("outsslalvl").focus();
														document.getElementById("outsslalvl").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'owner'">
													var tempcorpownername = document.getElementById("corpownername").value;
													var tempinsurancecomp = document.getElementById("insurancecomp").value;

													if(tempcorpownername != '')
													{
														if( ! isAlphaNumeric(tempcorpownername, "<!--XLATESTART-->Owner Name<!--XLATESTOP-->"))
														{
															document.getElementById("corpownername").focus();
															document.getElementById("corpownername").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Owner Name\"<!--XLATESTOP-->");
														document.getElementById("corpownername").focus();
														document.getElementById("corpownername").select();
														return false;
													}
													
													if(tempinsurancecomp != '')
													{
														if( ! isAlphaNumeric(tempinsurancecomp, "<!--XLATESTART-->Insurance Company<!--XLATESTOP-->"))
														{
															document.getElementById("insurancecomp").focus();
															document.getElementById("insurancecomp").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Insurance Company\"<!--XLATESTOP-->");
														document.getElementById("insurancecomp").focus();
														document.getElementById("insurancecomp").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'depreciation'">
													var tempdeprduration	= document.getElementById("deprduration").value;
													var tempdeprpercent 	= document.getElementById("deprpercent").value;
													var tempdeprmethod  	= document.getElementById("deprmethod").value;
												
													if(tempdeprduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprduration) == true) || (tempdeprduration &lt; 0) || (tempdeprduration.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Duration\", read: " + tempdeprduration<!--XLATESTOP-->);
															document.getElementById("deprduration").focus();
															document.getElementById("deprduration").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Duration\"<!--XLATESTOP-->");
														document.getElementById("deprduration").focus();
														document.getElementById("deprduration").select();
														return false;
													}
		
													if(tempdeprpercent != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprpercent) == true) || (tempdeprpercent &lt; 0) || (tempdeprpercent.indexOf(".") != "-1") || (tempdeprpercent &gt; 100))
														{
															alert(<!--XLATESTART-->"Error! Whole number (0-100) expected for \"Percentage\", read: " + tempdeprpercent<!--XLATESTOP-->);
															document.getElementById("deprpercent").focus();
															document.getElementById("deprpercent").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Percentage\"<!--XLATESTOP-->");
														document.getElementById("deprpercent").focus();
														document.getElementById("deprpercent").select();
														return false;
													}
													
													if(tempdeprmethod != '')
													{
														if( ! isAlphaNumeric(tempdeprmethod, "<!--XLATESTART-->Method<!--XLATESTOP-->"))
														{
															document.getElementById("deprmethod").focus();
															document.getElementById("deprmethod").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Method\"<!--XLATESTOP-->");
														document.getElementById("deprmethod").focus();
														document.getElementById("deprmethod").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'servicecontract'">
													var tempsrvcnttype		= document.getElementById("srvcnttype").value;
													var tempsrvcntvendor	= document.getElementById("srvcntvendor").value;
													
													if(tempsrvcnttype != '')
													{
														if( ! isAlphaNumeric(tempsrvcnttype, "<!--XLATESTART-->Type<!--XLATESTOP-->"))
														{
															document.getElementById("srvcnttype").focus();
															document.getElementById("srvcnttype").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Type\"<!--XLATESTOP-->");
														document.getElementById("srvcnttype").focus();
														document.getElementById("srvcnttype").select();
														return false;
													}	
													
													if(tempsrvcntvendor != '')
													{
														if( ! isAlphaNumeric(tempsrvcntvendor, "<!--XLATESTART-->Vendor<!--XLATESTOP-->"))
														{
															document.getElementById("srvcntvendor").focus();
															document.getElementById("srvcntvendor").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Vendor\"<!--XLATESTOP-->");
														document.getElementById("srvcntvendor").focus();
														document.getElementById("srvcntvendor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'lease'">
													var templeasebyoamt	= document.getElementById("leasebyoamt").value;
													var templeasertfact		= document.getElementById("leasertfact").value;
													var tempeasefrmrktval	= document.getElementById("leasefrmrktval").value;
													var templeaselessor		= document.getElementById("leaselessor").value;
													
													if(templeasebyoamt != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasebyoamt) == true) || (templeasebyoamt &lt; 0) || (templeasebyoamt.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Buyout Amount\", read: " + templeasebyoamt<!--XLATESTOP-->);
															document.getElementById("leasebyoamt").focus();
															document.getElementById("leasebyoamt").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Buyout Amount\"<!--XLATESTOP-->");
														document.getElementById("leasebyoamt").focus();
														document.getElementById("leasebyoamt").select();
														return false;
													}
													
													if(templeasertfact != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasertfact) == true) || (templeasertfact &lt; 0) || (templeasertfact.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Rate Factor\", read: " + templeasertfact<!--XLATESTOP-->);
															document.getElementById("leasertfact").focus();
															document.getElementById("leasertfact").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Rate Factor\"<!--XLATESTOP-->");
														document.getElementById("leasertfact").focus();
														document.getElementById("leasertfact").select();
														return false;
													}
													
													if(tempeasefrmrktval != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempeasefrmrktval) == true) || (tempeasefrmrktval &lt; 0) || (tempeasefrmrktval.indexOf(".") != "-1"))
														{
															alert(<!--XLATESTART-->"Error! Whole number expected for \"Fair Market Value\", read: " + tempeasefrmrktval<!--XLATESTOP-->);
															document.getElementById("leasefrmrktval").focus();
															document.getElementById("leasefrmrktval").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Fair Market Value\"<!--XLATESTOP-->");
														document.getElementById("leasefrmrktval").focus();
														document.getElementById("leasefrmrktval").select();
														return false;
													}
													
													if(templeaselessor != '')
													{
														if( ! isAlphaNumeric(templeaselessor, "<!--XLATESTART-->Lessor<!--XLATESTOP-->"))
														{
															document.getElementById("leaselessor").focus();
															document.getElementById("leaselessor").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Lessor\"<!--XLATESTOP-->");
														document.getElementById("leaselessor").focus();
														document.getElementById("leaselessor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'maintenance'">
													var tempmaintprovider	= document.getElementById("maintprovider").value;
													var tempmaintrest		= document.getElementById("maintrest").value;
													var tempextwsdate 		= document.getElementById("maintsdate").value;
													var tempextwedate 		= document.getElementById("maintedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->Start date cannot be after end date.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->Start date and end date cannot be the same.<!--XLATESTOP-->";

													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
													
													if(tempmaintprovider != '')
													{
														if( ! isAlphaNumeric(tempmaintprovider, "<!--XLATESTART-->Provider<!--XLATESTOP-->"))
														{
															document.getElementById("maintprovider").focus();
															document.getElementById("maintprovider").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Provider\"<!--XLATESTOP-->");
														document.getElementById("maintprovider").focus();
														document.getElementById("maintprovider").select();
														return false;
													}
													
													if(tempmaintrest != '')
													{
														if( ! isAlphaNumeric(tempmaintrest, "<!--XLATESTART-->Restrictions<!--XLATESTOP-->"))
														{
															document.getElementById("maintrest").focus();
															document.getElementById("maintrest").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Restrictions\"<!--XLATESTOP-->");
														document.getElementById("maintrest").focus();
														document.getElementById("maintrest").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'support'">
													var tempsuphlpdesk	= document.getElementById("suphlpdesk").value;
													var tempsupautofix	= document.getElementById("supautofix").value;
													
													if(tempsuphlpdesk != '')
													{
														if( ! isAlphaNumeric(tempsuphlpdesk, "<!--XLATESTART-->Help Desk<!--XLATESTOP-->"))
														{
															document.getElementById("suphlpdesk").focus();
															document.getElementById("suphlpdesk").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Help Desk\"<!--XLATESTOP-->");
														document.getElementById("suphlpdesk").focus();
														document.getElementById("suphlpdesk").select();
														return false;
													}
													
													if(tempsupautofix != '')
													{
														if( ! isAlphaNumeric(tempsupautofix, "<!--XLATESTART-->Automatic Fix<!--XLATESTOP-->"))
														{
															document.getElementById("supautofix").focus();
															document.getElementById("supautofix").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Automatic Fix\"<!--XLATESTOP-->");
														document.getElementById("supautofix").focus();
														document.getElementById("supautofix").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'system'">
													var tempsyspuserphone	= document.getElementById("syspuserphone").value;
													var tempsyslocation		= document.getElementById("syslocation").value;
													var tempsyspusername	= document.getElementById("syspusername").value;
													
													if(tempsyspuserphone != '')
													{
														if( ! isAlphaNumericPhone(tempsyspuserphone, "<!--XLATESTART-->Primary User Phone<!--XLATESTOP-->"))
														{
															document.getElementById("syspuserphone").focus();
															document.getElementById("syspuserphone").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Primary User Phone\"<!--XLATESTOP-->");
														document.getElementById("syspuserphone").focus();
														document.getElementById("syspuserphone").select();
														return false;
													}
													
													if(tempsyslocation != '')
													{
														if( ! isAlphaNumeric(tempsyslocation, "<!--XLATESTART-->System Location<!--XLATESTOP-->"))
														{
															document.getElementById("syslocation").focus();
															document.getElementById("syslocation").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"System Location\"<!--XLATESTOP-->");
														document.getElementById("syslocation").focus();
														document.getElementById("syslocation").select();
														return false;
													}
													
													if(tempsyspusername != '')
													{
														if( ! isAlphaNumeric(tempsyspusername, "<!--XLATESTART-->Primary User Name<!--XLATESTOP-->"))
														{
															document.getElementById("syspusername").focus();
															document.getElementById("syspusername").select();
															return false;
														}
													}
													else
													{
														alert("<!--XLATESTART-->Enter the value for \"Primary User Name\"<!--XLATESTOP-->");
														document.getElementById("syspusername").focus();
														document.getElementById("syspusername").select();
														return false;
													}
												</xsl:when>
											</xsl:choose>
											return true;
										}
																																	
										function isAlphaNumeric(text, varname)
										{
											var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
											var ok = "yes";
											var temp;
											
											//Eliminate the spaces at the end
											while(''+text.charAt(text.length-1)==' ')
											{
												text = text.substring(0,text.length-1);
											}
											
											for (var i=0; i&lt;text.length; i++)
											{
												temp = "" + text.substring(i, i+1);
												if (validValue.indexOf(temp) == "-1")
												{
													if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert(<!--XLATESTART-->"Error! Invalid value for \"" + varname + "\", use characters and numbers only."<!--XLATESTOP-->);
												return false;
											}
											if(text.length > 63)
											{
												alert(<!--XLATESTART-->"\"" + varname + "\" cannot be more than 64 characters."<!--XLATESTOP-->);
												return false;
											}
											
											return true;
										}
										
										<xsl:if test="$arg = 'system'">											
											function isAlphaNumericPhone(text, varname)
											{
												var validValue = "-0123456789";
												var ok = "yes";
												var temp;
												
												//Eliminate the spaces at the end
												while(''+text.charAt(text.length-1)==' ')
												{
													text = text.substring(0,text.length-1);
												}
												
												for (var i=0; i&lt;text.length; i++)
												{
													temp = "" + text.substring(i, i+1);
													if (validValue.indexOf(temp) == "-1")
													{
														if(temp != " ")
														{
															ok = "no";
														}
													}
												}
												if (ok == "no")
												{
													alert(<!--XLATESTART-->"Error! Invalid value for \"" + varname + "\", use numbers separated with [-] only."<!--XLATESTOP-->);
													return false;
												}
												return true;
											}
										</xsl:if>
									</script>
								</DataArea>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Summary of Asset Information<!--XLATESTOP--></xsl:attribute>
							</PageTitle>					
							<PromptText ignoreoncli="true"><!--XLATESTART-->Click the individual item for the asset information you want to view.<!--XLATESTOP--></PromptText>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
								</Data>
							</CustomButton>
							<SummaryData>
								<xsl:apply-templates select="AssetInfo"/>
								<xsl:call-template name="OwnerInfo"/>
							</SummaryData>
						</DataArea>
					</xsl:otherwise>
		</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="List">
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Asset Sections<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Asset Sections<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Acquisition<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=acquisition&amp;help=Acquisition</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Depreciation<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=depreciation&amp;help=Depreciation</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Extended Warranty Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=extwarranty&amp;help=ExtWarranty</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Lease Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=lease&amp;help=Lease</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Maintenance Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=maintenance&amp;help=Maintenance</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Out Source Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=outsource&amp;help=OutSource</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Owner Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=owner&amp;help=Owner</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Service Contract<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=servicecontract&amp;help=Service</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Summary<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Support Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=support&amp;help=Support</xsl:attribute>						</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->System Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=system&amp;help=SystemInfo</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Warranty Information<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=warranty&amp;help=Warranty</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template match="AssetInfo">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="Acquisition">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
				<Section name="Acquisition"><xsl:attribute name="display"><!--XLATESTART-->Acquisition<!--XLATESTOP--></xsl:attribute>
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Purchase Cost<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Reference to Delivery Slip number (Way Bill)<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Reference to PO number<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Who Signed for<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Installation Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Purchase Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>	
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Expensed<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
									<xsl:attribute name="value"><!--XLATESTART-->Yes<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->No<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Cost Center<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
						</Data>
					</ListData>
				</Section>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data type="editbox" name="acqpcost" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Purchase Cost<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqwbillnum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Reference to Delivery Slip number (Way Bill)<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqponum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Reference to PO number<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqsignauth" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Who Signed for<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
					</Data>
					<Data type="date" name="acqinstalldate">
						<xsl:attribute name="display"><!--XLATESTART-->Installation Date<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data type="date" name="acqprchsedate">
						<xsl:attribute name="display"><!--XLATESTART-->Purchase Date<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>	
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
					</Data>
					<Data type="radio" name="omcnfgexpnsd" splcase="true">
						<xsl:attribute name="display"><!--XLATESTART-->Expensed<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">Yes</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<ExtraItem type="radio" name="omcnfgexpnsd">
							<xsl:attribute name="value">No</xsl:attribute>
							<xsl:attribute name="returnvalue">false</xsl:attribute>
							<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='false'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
						</ExtraItem>
					</Data>
					<Data type="editbox" name="cstctr" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Cost Center<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="acqoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="omcnfgoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/OMConfig/@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="cstctroid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/CostCenter/@oid"/></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Warranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="Warranty"><xsl:attribute name="display"><!--XLATESTART-->Warranty <!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Duration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Unit Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:choose>
										<xsl:when test="UnitType ='0'"><!--XLATESTART-->Days<!--XLATESTOP--></xsl:when>
										<xsl:when test="UnitType ='1'"><!--XLATESTART-->Months<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><!--XLATESTART-->Other<!--XLATESTOP--></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DisplayDate">
										<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Cost<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="woid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="wduration" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Duration<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="wunittype">
							<xsl:attribute name="display"><!--XLATESTART-->Unit Type<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="(UnitType ='0') or (UnitType ='1')">
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
										<xsl:if test="UnitType = '0'"><xsl:attribute name="default">true</xsl:attribute>
										</xsl:if>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
										<xsl:if test="UnitType = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
									</Choice>
								</xsl:when>
								<xsl:otherwise>
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Other</xsl:attribute>
										<xsl:attribute name="returnvalue"><xsl:value-of select="UnitType"/></xsl:attribute>
										<xsl:attribute name="default">true</xsl:attribute>
									</Choice>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="date" name="wedate">
							<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="wcost" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Cost<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ExtWarranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="ExtWarranty"><xsl:attribute name="display"><!--XLATESTART-->Extended Warranty <!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Start Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Cost<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Provider<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="date" name="extwsdate" state="2"><xsl:attribute name="display"><!--XLATESTART-->Start Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="date" name="extwedate" state="2"><xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="extwcost" size="29" maxlength="9"><xsl:attribute name="display"><!--XLATESTART-->Cost<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="extwprovider" size="29" maxlength="63"><xsl:attribute name="display"><!--XLATESTART-->Provider<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="extwoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="OwnerInfo">
		<Section name="owner"><xsl:attribute name="display"><!--XLATESTART-->Owner<!--XLATESTOP--></xsl:attribute>
			<ListData>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="OwnerType">
							<xsl:with-param name="type"><xsl:value-of select="/OMA/AssetInfo/OwnerShipCodes/Type"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Owner Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CorporateOwner/OwnerName"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Insurance Company<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/Insurance/InsuranceCompany"/></xsl:attribute>
				</Data>
			</ListData>
		</Section>
	</xsl:template>
	<xsl:template match="Owner">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="Owner"><xsl:attribute name="display"><!--XLATESTART-->Owner<!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="OwnerType">
										<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Owner Name<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Insurance Company<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="select" name="ownershiptype">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="OwnerType">
								<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
								<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="corpownername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Owner Name<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="insurancecomp"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Insurance Company<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="ownershipoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="OwnerShipCodes/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="corpowneroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="CorporateOwner/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="insuranceoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="Insurance/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="chassisprops1oid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template match="Depreciation">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="Depreciation"><xsl:attribute name="display"><!--XLATESTART-->Depreciation<!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Method<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Duration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Duration Unit Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DurationUnitType">
										<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Percentage<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="deproid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprmethod"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Method<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprduration"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Duration<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="depcdutype">
							<xsl:attribute name="display"><!--XLATESTART-->Duration Unit Type<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="DurationUnitType">
								<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
								<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="deprpercent"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Percentage<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="SupportInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="SupportInfo"><xsl:attribute name="display"><!--XLATESTART-->Support <!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Outsourced<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Outsourced"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="SupportType">
										<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Help Desk<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Automatic Fix<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="supoutsrc" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Outsourced<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Outsourced ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="supoutsrc">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Outsourced ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="suptype" type="select">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="SupportType">
								<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
								<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data name="suphlpdesk" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Help Desk<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
						</Data>
						<Data name="supautofix" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Automatic Fix<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="supoid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Outsourcing">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="Outsourcing"><xsl:attribute name="display"><!--XLATESTART-->Out Source <!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Problem Component<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Service Fee<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Who Signed for<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Provider Fee<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->SLA Level<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
				<ListData>
						<Data type="editbox" name="outsprobcomp" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Problem Component<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsservfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Service Fee<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outssigna" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Who Signed for<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsprovfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Provider Fee<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsslalvl" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->SLA Level<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="outsoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="ServiceContract">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="Service Contract"><xsl:attribute name="display"><!--XLATESTART-->Service Contract<!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Renewed<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Renewed"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData >
						<Data type="radio" name="srvcntrenewed" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Renewed<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Renewed ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="srvcntrenewed">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Renewed ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="srvcnttype" type="editbox"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
						</Data>
						<Data name="srvcntvendor" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="servcroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="LeaseInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="LeaseInfo"><xsl:attribute name="display"><!--XLATESTART-->Lease <!--XLATESTOP--></xsl:attribute>
						<ListData>						
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Multiple Schedules<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="IsMultiSchedules"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Buyout Amount<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Rate Factor<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fair Market Value<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Lessor<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="leasemschd" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Multiple Schedules<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">Yes</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="IsMultiSchedules ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="leasemschd">
								<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="IsMultiSchedules ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data type="editbox" name="leasebyoamt" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Buyout Amount<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leasertfact" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Rate Factor<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
						</Data>
						<Data type="date" name="leaseedate">
							<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="leasefrmrktval" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Fair Market Value<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leaselessor" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Lessor<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="leaseoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="MaintInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="MaintInfo"><xsl:attribute name="display"><!--XLATESTART-->Maintenance <!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Start Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Provider<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Restrictions<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="date" name="maintsdate">
							<xsl:attribute name="display"><!--XLATESTART-->Start Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="date" name="maintedate">
							<xsl:attribute name="display"><!--XLATESTART-->End Date<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="maintprovider" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Provider<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="maintrest" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Restrictions<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="maintoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section name="SystemInfo"><xsl:attribute name="display"><!--XLATESTART-->System<!--XLATESTOP--></xsl:attribute>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->System Bootup Time<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->System Time<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->System Name<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->System Location<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Primary User Name<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Primary User Telephone Number<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->System Bootup Time<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->System Time<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->System Name<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syslocation" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->System Location<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspusername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Primary User Name<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspuserphone" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Primary User Telephone Number<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="sysoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DurationUnitType">
		<xsl:param name="unit"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<Choice returnvalue="0">
					<xsl:attribute name="value"><!--XLATESTART-->Months<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '0'">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
				<Choice returnvalue="1">
					<xsl:attribute name="value"><!--XLATESTART-->Years<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '1'">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$unit = '0'"><!--XLATESTART-->Months<!--XLATESTOP--></xsl:when>
					<xsl:when test="$unit = '1'"><!--XLATESTART-->Years<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SupportType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
			<xsl:choose>
				<xsl:when test="$edit = 'true'">
					<xsl:choose>
						<xsl:when test="($type = '0') or ($type = '1')">
							<Choice returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->Network<!--XLATESTOP--></xsl:attribute>
								<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Storage<!--XLATESTOP--></xsl:attribute>
								<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
						</xsl:when>
						<xsl:otherwise>
							<Choice default="true">
								<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
							</Choice>
							<Choice  returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->Network<!--XLATESTOP--></xsl:attribute>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Storage<!--XLATESTOP--></xsl:attribute>
							</Choice>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$type = '0'"><!--XLATESTART-->Network<!--XLATESTOP--></xsl:when>
						<xsl:when test="$type = '1'"><!--XLATESTART-->Storage<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template name="OwnerType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<xsl:choose>
					<xsl:when test="($type = '0') or ($type = '1') or ($type = '2')">
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Owned<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Leased<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Rented<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '2'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
					</xsl:when>
					<xsl:otherwise>
						<Choice default="true">
							<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
						</Choice>
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Owned<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Leased<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Rented<!--XLATESTOP--></xsl:attribute>
						</Choice>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$type = '0'"><!--XLATESTART-->Owned<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '1'"><!--XLATESTART-->Leased<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '2'"><!--XLATESTART-->Rented<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemClass">
		<xsl:param name="class"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">				
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Workstation<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">3</xsl:attribute>
					<xsl:if test="$class = '3'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Server<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">4</xsl:attribute>
					<xsl:if test="$class = '4'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Desktop<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">5</xsl:attribute>
					<xsl:if test="$class = '5'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Portable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">6</xsl:attribute>
					<xsl:if test="$class = '6'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->NetPC<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">7</xsl:attribute>
					<xsl:if test="$class = '7'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Storage<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:if test="$class = '8'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Reserved<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="$class = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$class = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="($class = '2') or ($class > '8') or ('0' > $class)"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$class = '0'"><!--XLATESTART-->Reserved<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '3'"><!--XLATESTART-->Workstation<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '4'"><!--XLATESTART-->Server<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '5'"><!--XLATESTART-->Desktop<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '6'"><!--XLATESTART-->Portable<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '7'"><!--XLATESTART-->NetPC<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '8'"><!--XLATESTART-->Storage<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>[No Value]</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Command Successful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Asset Info Object not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Asset Info Object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Asset Info Object already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
	
	<xsl:template name="DisplayDate">
		<xsl:param name="dateName"/>
		<xsl:choose>
			<xsl:when test="($dateName= '-1') or ($dateName='0')">
			     <xsl:text>Please set the value</xsl:text>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$dateName"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
