<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<xsl:choose>
		<xsl:when test="@cli='true'">
			<DataArea>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Error! Processor not found/absent.<!--XLATESTOP--></xsl:attribute></PageTitle>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Processors<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cache<!--XLATESTOP--></xsl:attribute></PageTitle>
				<TableData>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data name=""  display="">
							<xsl:attribute name="value">
								<xsl:call-template name="smstatus">
									<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="success">
	<xsl:variable name="FoundExternal" select="count(CacheList/DevCache[Location='4'])"/>
	<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Processors<!--XLATESTOP--></xsl:attribute>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cache<!--XLATESTOP--></xsl:attribute></PageTitle>		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
		</CustomButton>		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Cache Information For Processor on Connector: <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="ProcessorConn/ExtName"/></xsl:attribute>	
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display">Cache <xsl:call-template name="count"/></xsl:attribute>
						<xsl:attribute name="value">Cache <xsl:call-template name="count"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="desc"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="desc"/></xsl:attribute>
						</Data>			
					</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Level<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Level<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="level"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="level"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data >
						<xsl:attribute name="display"><!--XLATESTART-->Speed<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Speed<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</Row>
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Max Size<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Max Size<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="maxsize"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="maxsize"/></xsl:attribute>
						</Data>
					</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Installed Size<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Installed Size<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="installedsize"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="installedsize"/></xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="type"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="location"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="location"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Write Policy<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Write Policy<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="writepolicy"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="writepolicy"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Associativity<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Associativity<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="associativity"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="associativity"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Cache Device Supported Type<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Cache Device Supported Type<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Cache Device Current Type<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Cache Device Current Type<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->External Socket Name<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->External Socket Name<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="extsock"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="extsock"/></xsl:attribute>
						</Data>	
					</xsl:for-each>
				</Row>	
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Error Correction Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error Correction Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="errcorr"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="errcorr"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
		</TableData>		
	</DataArea>
</xsl:template>
<xsl:template name="count">
	<xsl:choose>
		<xsl:when test="/OMA/CacheList/@count='1'"></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index" select="@index"/>
			<xsl:value-of select="number($index)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="desc">
	<xsl:if test="CacheStatus='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='3'"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='4'"><!--XLATESTART-->User Disabled<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='5'"><!--XLATESTART-->BIOS Disabled<!--XLATESTOP--></xsl:if>
</xsl:template>
<xsl:template name="level">
	<xsl:choose>
		<xsl:when test="CacheLevel= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '3'"><!--XLATESTART-->Primary<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '4'"><!--XLATESTART-->Secondary<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '5'"><!--XLATESTART-->Tertiary<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="CacheType= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '3'"><!--XLATESTART-->Instruction<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '4'"><!--XLATESTART-->Data<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '5'"><!--XLATESTART-->Unified<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="location">
	<xsl:choose>
		<xsl:when test="Location= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '3'"><!--XLATESTART-->Internal<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '4'"><!--XLATESTART-->External<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="writepolicy">
	<xsl:choose>
		<xsl:when test="WritePolicy= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '3'"><!--XLATESTART-->Write Back<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '4'"><!--XLATESTART-->Write Through<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '5'"><!--XLATESTART-->Varies with Address<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="associativity">
	<xsl:choose>
		<xsl:when test="Associativity= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '3'"><!--XLATESTART-->Direct Mapped<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '4'"><!--XLATESTART-->2-way Set-Associative<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '5'"><!--XLATESTART-->4-way Set-Associative<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '6'"><!--XLATESTART-->Fully Associative<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '7'"><!--XLATESTART-->8-way Set-Associative<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '8'"><!--XLATESTART-->16-way Set-Associative<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="supsram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="cursram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="extsock">
	<xsl:choose>
		<xsl:when test="IsSocketed='false'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="SocketExtName"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="errcorr">
	<xsl:choose>
		<xsl:when test="ErrCorrType= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '3'"><!--XLATESTART-->None<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '4'"><!--XLATESTART-->Parity<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '5'"><!--XLATESTART-->Single Bit ECC<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '6'"><!--XLATESTART-->MultiBit ECC<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="maxsize">
	<xsl:choose>
		<xsl:when test="MaxSize='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="MaxSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="MaxSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="installedsize">
	<xsl:choose>
		<xsl:when test="InstalledSize='0'"><!--XLATESTART-->Unknown/Not-Installed<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="InstalledSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="InstalledSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="pindex">		
	<xsl:variable name="pindex" select="CacheList/@pindex"/>
	<xsl:value-of select="number($pindex)+1"/>	
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Cache not found/absent, Invalid index number.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Cache malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Cache already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
