<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:if test="(OMAUserRights = '7') or (OMAUserRights = '3')">
		<xsl:choose>
			<xsl:when test="SMStatus='0'"><xsl:apply-templates select="CurrentProbe"/></xsl:when>
			<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>
<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Current Probe<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbe">
	<DataArea  backpagedisplay="Current Probes" validate="true"  onLoad="true">
		<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetCurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;poid=<xsl:value-of select="@poid"/>&amp;help=ListCurrent</xsl:attribute>
		<PageTitle>PageTitle</PageTitle>
		<Header>Header</Header>
		<SubHeader>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="@status"/></xsl:attribute>
		</SubHeader>
		<CustomButton>
			<Data name="Refresh">
			<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.CurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="@poid"/>&amp;help=EditCurrentProbes
				</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:choose>
			<xsl:when test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
				<Guage digits="3">
					<xsl:attribute name="units"><!--XLATESTART-->Amps<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="showdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:attribute>
					<Reading>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
						</xsl:call-template>
					</Reading>
					<MFThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MFThresh>
					<MXFThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MXFThresh>
					<MWThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MWThresh>
					<MXWThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MXWThresh>
					<ListData>
						<Data display="Status" type="status-text">
							<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
						</Data>
						<Data display="Reading" reading="true">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
								</xsl:call-template>Amps
							</xsl:attribute>
						</Data>
						<Data display="Min Failure Threshold">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
								</xsl:call-template>Amps
							</xsl:attribute>
						</Data>
						<Data display="Max Failure Threshold">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
								</xsl:call-template>Amps
							</xsl:attribute>
						</Data>
						<Data display="Threshold Settings" type="radio"  state="1">
							<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">default</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToDef()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Set to Default<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data type="radio">
							<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">uservalues</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToVal()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Set to Values<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data display="Min Warning Threshold" type="editbox">
							<xsl:attribute name="textboxname">LNCVal</xsl:attribute>
							<xsl:attribute name="textboxvalue">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:attribute name="unit"> Amps</xsl:attribute>
						</Data>
						<Data display="Max Warning Threshold" type="editbox">
							<xsl:attribute name="textboxname">UNCVal</xsl:attribute>
							<xsl:attribute name="textboxvalue">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:attribute name="unit"> Amps</xsl:attribute>
						</Data>
					</ListData>
				</Guage>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data name="plugin" type="hidden">
						<xsl:attribute name="returnvalue">com.dell.hip.webplugins.SetCurrentWebPlugin</xsl:attribute>
					</Data>
					<Data name="oid" type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="type">status-text</xsl:attribute>
						<xsl:attribute name="name">Status</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> Amps<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Minimum Failure Threshhold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"> <!--XLATESTART-->Amps<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> Amps<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<Data display="Threshold Settings" type="radio"  state="1">
						<xsl:attribute name="name">threshsetting</xsl:attribute>
						<xsl:attribute name="returnvalue">default</xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setToDef()</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Set to Default<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="radio">
						<xsl:attribute name="name">threshsetting</xsl:attribute>
						<xsl:attribute name="returnvalue">uservalues</xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setToVal()</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Set to Values<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display="Min Warning Threshold" type="editbox" size="6">
						<xsl:attribute name="name">LNCVal</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> Amps<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display="Max Warning Threshold" type="editbox" size="6">
						<xsl:attribute name="name">UNCVal</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> Amps<!--XLATESTOP--></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
		
		<script language="javascript" src="/oma/js/Probe.js" />
		
		<script language="javascript">
		
			var setToDefault	= true;
			var setToValues	= false;
			var UC;
			var LC;
			var preUNC;
			var preLNC;
			var UCTxt;
			var LCTxt;
			var preUNCTxt;
			var preLNCTxt;
			var toggleunivDecsep = <!--XLATESTART-->"."<!--XLATESTOP-->; //In German , French and Spanish, change it to ",". In en, it should be ".".
			var togglelocalDecsep = <!--XLATESTART-->","<!--XLATESTOP-->;//In German , French and Spanish, change it to ".".In en, it should be ",".
			var univDecsep = "."; // don't translate.
			var unit =  <!--XLATESTART-->"Amps"<!--XLATESTOP-->;
			var multiplier = 1000;
			var lengthval = 4;
			var msg1 = <!--XLATESTART-->"Error! Number with up to 1 digit after decimal separator  expected, read: "<!--XLATESTOP-->;
			var msg2 = <!--XLATESTART-->"Error! The value ["<!--XLATESTOP-->;
			var msg3 = <!--XLATESTART-->"] is not between the range "<!--XLATESTOP-->;
			var msg4 = <!--XLATESTART-->"  to "<!--XLATESTOP-->;
			var msg5 = <!--XLATESTART-->"  for minimum warning threshold."<!--XLATESTOP-->;
			var msg6 = <!--XLATESTART-->"  for maximum warning threshold."<!--XLATESTOP-->;
			var msg7 = <!--XLATESTART-->"Error! Minimum warning threshold value cannot be greater than or equal to maximum warning threshold value."<!--XLATESTOP-->;
			
			function initializationRoutine()
			{
				document.getElementById("UNCVal").value = '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>';
				document.getElementById("LNCVal").value = '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>';
				
				document.getElementById("UNCVal").disabled = true;
				document.getElementById("LNCVal").disabled = true;
				document.getElementById("threshsetting").checked = true;
				assignVal();
			}
			
			function assignVal(){
					var UCloc 			= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param></xsl:call-template>");
					var LCloc 			= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param></xsl:call-template>");
					var preUNCloc 		= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>");
					var preLNCloc 		= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>");
			
					var UCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param></xsl:call-template>';
					var LCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param></xsl:call-template>';
		
					var preUNCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>';
					var preLNCTxtloc 		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>';

					UC = UCloc;
					LC = LCloc;
					preUNC = preUNCloc;
					preLNC = preLNCloc;
					UCTxt = trim(UCTxtloc);
					LCTxt = trim(LCTxtloc);
					preUNCTxt = trim(preUNCTxtloc);
					preLNCTxt = trim(preLNCTxtloc);
			}
		</script>
	</DataArea>
</xsl:template>

<xsl:template name="showcalCrnt">
	<xsl:param name="crnt"/>
		<xsl:variable name="formatval"><xsl:value-of select="format-number($crnt div 1000,'##0.000')"/></xsl:variable>
		<xsl:variable name="univdecsep">
			<xsl:choose>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="localdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:variable>
		<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/>	
</xsl:template>

<xsl:template name="calCrnt">
	<xsl:param name="crnt"/>
		<xsl:variable name="formatval"><xsl:value-of select="format-number($crnt div 1000,'##0.000')"/></xsl:variable>
		<xsl:variable name="univdecsep">
			<xsl:choose>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="localdecsep">.</xsl:variable>
		<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/>	
</xsl:template>

<xsl:template name="smstatus">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '256'"><!--XLATESTART-->Current probe not found<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '257'"><!--XLATESTART-->object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '258'"><!--XLATESTART-->object already exists<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value <!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*">
</xsl:template>
</xsl:stylesheet>
