<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetFanControlWebPlugin&amp;oid=<xsl:value-of select="/OMA/ChassisProps2/@oid"/>&amp;poid=2</xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Fan Control<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;poid=2&amp;help=FanControl</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<PromptText><!--XLATESTART-->Select the type of cooling desired.<!--XLATESTOP--></PromptText>
							</xsl:if>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:apply-templates select="FanControl"/>
	</xsl:template>
	<xsl:template match="FanControl">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test=".='0'">
						<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Error! No Fan control feature found on this system.<!--XLATESTOP--></xsl:attribute></PageTitle>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->Fan Control<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Cooling Level<!--XLATESTOP--></xsl:attribute>
								<xsl:if test=".='1'">
									<xsl:attribute name="value"><!--XLATESTART-->Quiet Mode<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
								<xsl:if test=".='2'">
									<xsl:attribute name="value"><!--XLATESTART-->Max Cooling Mode<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test=".='0'">
						<ListData type="custom">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fan Control<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Not Applicable<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<TableData>
									<Header>
									<Data>
										<xsl:attribute name="value"><!--XLATESTART-->Cooling Level<!--XLATESTOP--></xsl:attribute>
									</Data>	
									</Header>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="1">
											<xsl:attribute name="value"><!--XLATESTART-->Quiet Mode<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='1'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="2">
											<xsl:attribute name="value"><!--XLATESTART-->Max Cooling Mode<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='2'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
								</TableData>
							</xsl:when>
							<xsl:otherwise>
								<ListData type="custom">
									<Data width="250">
										<xsl:attribute name="display"><!--XLATESTART-->Cooling Level<!--XLATESTOP--></xsl:attribute>
										<xsl:if test=".='1'">
											<xsl:attribute name="value"><!--XLATESTART-->Quiet Mode<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
										<xsl:if test=".='2'">
											<xsl:attribute name="value"><!--XLATESTART-->Max Cooling Mode<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
									</Data>
								</ListData>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Error! Command Unsuccessful.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Error! Command Successful.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Error! Command Not Implemented.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Error! Bad Command.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Error! Command Timeout.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Error! Command Cancelled.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Error! Command Aborted.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Error! Command Pending.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Error! No such device.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Error! Device busy.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Error! Bad device.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Error! Spurious Interrupt.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Error! Resource locked.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Error! Invalid index.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error! SMB error.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Error! Data requested is not available.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Error! Data requested is more than data available.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Error! Data requested is less than data available.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Error! Device not yet ready to accept commands. Try later.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Error! Device does not have data.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Error! Device out of memory.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Error! Device already exists.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Error! No Fan Control feature found on this system.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Error! Fan control object malformed, corrupt or bad.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Error! Fan control object already exists.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Error! INI file not found.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->Error! INI malformed, corrupt or bad.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->Error! INI section does not exist.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->Error! INI key does not exist.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Error! INI value malformed, corrupt or bad.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Error! Insufficient access rights.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Error! Invalid parameter name or value.</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Error! Out of memory.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Error! XML file not found.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Error! XML malformed, corrupt or bad.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Error! XML node does not exist.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Error! XML value malformed, corrupt or bad.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
