<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:apply-templates select="ChassisInfo"/>
		</DataArea>
	</xsl:template>
	
	
	<xsl:template match="ChassisInfo">
		<xsl:choose>
	         <xsl:when test="(ChassisProps2/IdentifySupport != 'true' ) and ( ChassisProps2/HdLedSupport != 'true') and 	(ChassisProps2/FaultLEDControl = '0')">
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Error! No leds found on this chassis.<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
			</xsl:when>
			<xsl:otherwise>
				<PageTitle>
					<xsl:attribute name="display"><xsl:value-of select="/OMA/Chassis/@display"/></xsl:attribute>
				</PageTitle>
				<ListData>
					<xsl:if test="ChassisProps2/IdentifySupport">
						<xsl:if test="ChassisProps2 /IdentifySupport = 'true'">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Flash chassis identify LED state<!--XLATESTOP-->		</xsl:attribute>
								<xsl:attribute name="value">
									<xsl:choose>
							              <xsl:when test="ChassisProps2/ ChassIdentifyState = '0'"><!--XLATESTART-->Off<!--XLATESTOP-->
							              </xsl:when>
							              <xsl:when test="ChassisProps2/ ChassIdentifyState = '1'"><!--XLATESTART-->Flashing<!--	XLATESTOP-->
							              </xsl:when>
							              <xsl:otherwise><!--XLATESTART-->Undefined<!--XLATESTOP-->
							              </xsl:otherwise>
						               </xsl:choose>
				 				</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Flash chassis identify LED timeout value<!--XLATESTOP-->			</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ChassisProps2 /ChassIdentifyTimeout " /></xsl:attribute>
							</Data>
						</xsl:if>
					</xsl:if>
					<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Clear hard drive fault<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Supported<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:if>
					<xsl:if test="ChassisProps2/FaultLEDControl">
						<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Flash fault led on severity level<!--XLATESTOP-->	</xsl:attribute>
								<xsl:attribute name="value">
							 		<xsl:call-template name="FaultLEDSeverity">
										<xsl:with-param name="Severity">
				  						<xsl:value-of select="ChassisProps2 /FaultLEDControl" /> 
				  						</xsl:with-param>
									</xsl:call-template>
				 				</xsl:attribute>
							</Data>
						</xsl:if>
					</xsl:if>
			</ListData>
		</xsl:otherwise>
      	</xsl:choose>
	</xsl:template>
	
	<xsl:template name="FaultLEDSeverity">
		<xsl:param name="Severity"/>
		<xsl:choose>
			<xsl:when test="$Severity = '8'"><!--XLATESTART-->Warning<!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$Severity = '16'"><!--XLATESTART-->Critical<!--XLATESTOP-->
			</xsl:when>
			<xsl:otherwise><!--XLATESTART-->Undefined<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
