<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle display="Intrusion">
				<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Chassis intrusion status shows.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">
						/servlet/DataArea?plugin=com.dell.hip.webplugins.IntrusionWebPlugin&amp;poid=2
					</xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:choose>
				<xsl:when test="IntrusionList/@count = '0'">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Intrusion information not found.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Intrusion information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="IntrusionList"/>
				</xsl:otherwise>
			</xsl:choose>		
		</DataArea>
	</xsl:template>
	<xsl:template match="IntrusionList">
		<TableData>
			<Header>
				<Data name="status" align="center">
					<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="name">
					<xsl:attribute name="value"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="state">
					<xsl:attribute name="value"><!--XLATESTART-->State<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->State<!--XLATESTOP--></xsl:attribute>
				</Data> 
			</Header>
			<xsl:apply-templates select="Intrusion"/>
		</TableData>
	</xsl:template>
	<xsl:template match="Intrusion">
		<Row>
			<Data name="status" type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data name="name">
				<xsl:attribute name="value">
					<xsl:value-of select="IntrusionLoc"/>
				</xsl:attribute>
			</Data>
			<Data name="State">
				<xsl:attribute name="value">
					<xsl:call-template name="status2txt">
						<xsl:with-param name="Status"><xsl:value-of select="IntrusionStatus"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
<xsl:template name="status2txt">
	<xsl:param name="Status"/>
	<xsl:choose>
		<xsl:when test="$Status=1"><!--XLATESTART-->Chassis is open<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=2"><!--XLATESTART-->Chassis is closed<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=3"><!--XLATESTART-->Chassis is previously opened<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>
