<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:apply-templates select="LRAResponse"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<DataArea backpagedisplay="Alert Actions" validate="true" onLoad="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetLRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;help=ListLRA&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<script language="javascript">
				function initializationRoutine()
				{
					document.getElementById("setDef").value = "false";
				}
				function validate()
				{
					if(document.getElementById("ExecApp").checked == true)
					{
						var EPFval = document.getElementById("EPFName").value;
						
						if(EPFval == "" || EPFval == null)
						{
							alert('Enter absolute path to the application');
							document.getElementById("EPFName").focus();
							return false;
						}
						
						if(document.getElementById("EPFName").value.length > 255)
						{
							alert('Absolute path to the application can\'t be more than 255 characters');
							document.getElementById("EPFName").focus();
							return false;
						}
					}
					return true;
				}
				function clearAll()
				{
					document.getElementById("EPFName").value = "";
					document.getElementById("BeepSpkr").checked = false;
					document.getElementById("ConsAlert").checked = false;
					document.getElementById("BcastMssg").checked = false;
					document.getElementById("ExecApp").checked = false;
					document.getElementById("dataarea").submit();
				}
				function setDefault()
				{
					document.getElementById("setDef").value = "true";
					document.getElementById("dataarea").submit();
				}
				function checkExecApp()
				{
					document.getElementById("ExecApp").checked = true;
				}
			</script>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Set Alert  Actions for <!--XLATESTOP-->
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>				
				</xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Check the action to be set and press Apply Changes. To clear all the actions press Clear All. To set default actions press Set to Default.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="default">
					<xsl:attribute name="display"><!--XLATESTART-->Set to Default<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:setDefault();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="ClearAll">
					<xsl:attribute name="display"><!--XLATESTART-->Clear All<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:clearAll();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BeepSpkr</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Beep speaker on the server<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Beep speaker on the server.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BeepSpkr='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ConsAlert</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Display an alert message on the server<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Display an alert message on the server.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ConsAlert='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">type</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">setDef</xsl:attribute>
						<xsl:attribute name="value"> false</xsl:attribute>
						<xsl:attribute name="returnvalue">false</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BcastMssg</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Broadcast a message<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Broadcast a message.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BcastMssg='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ExecApp</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Execute an application<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Execute application.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>						
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ExecApp='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><!--XLATESTART-->Absolute path to the application: <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="align">right</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">checkExecApp();</xsl:attribute>
						<xsl:attribute name="name">EPFName</xsl:attribute>
						<xsl:attribute name="display"></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="maxlength">255</xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>			
				</Row>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->Power Supply Critical<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->Temperature Probe Warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->Temperature Probe Failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->Fan Probe Warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->Fan Probe Failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->Voltage Probe Warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->Voltage Probe Failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->Current Probe Warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->Current Probe Failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->Chassis Intrusion<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->Redundancy Degraded<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->Redundancy Lost<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->Memory Pre-failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->Memory Failure<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
