<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:apply-templates select="CurrentProbeList"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="failure">
	<DataArea>
		<PageTitle display="Current Probes"/>
		<TableData>
			<Header>
				<Data name="" display="Current Probes" value="Current Probes"/>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbeList">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Current Probes<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
		</PageTitle>
		<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
			<PromptText><!--XLATESTART-->Click the probe name to configure thresholds (if applicable).<!--XLATESTOP--></PromptText>
		</xsl:if>
		<CustomButton>
			<Data name="Refresh" display="Refresh">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;poid=<xsl:value-of select="@poid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum Warning Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum Warning Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum Warning Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum Warning Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum Failure Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum Failure Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="WarningThreshold"  colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="FailureThreshold" colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
			<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.CurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of 	select="@poid"/>&amp;help=EditCurrentProbes</xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:attribute name="align">left</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
			<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
		<xsl:when test="$volt = '-2147483648'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 1000,'##0.000')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> Amps<!--XLATESTOP-->
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Current probes not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->object already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
