<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Memory<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<xsl:if test="OMAUserRights='7'">
			<xsl:if test="MemoryConfig and ((MemoryConfig/Capabilities/SpareBank!='false') or (MemoryConfig/Capabilities/Mirroring!='false'))">
				<xsl:attribute name="validate">true</xsl:attribute>
				<xsl:attribute name="onLoad">true</xsl:attribute>
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetMemConfigWebPlugin&amp;oid=<xsl:value-of select="MemoryConfig/@oid"/>&amp;poid=2</xsl:attribute>
				<script language="javascript">

					var memconfig;
					function validate()
					{
						var memconfig1;
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{
								memconfig1 = document.getElementById("dataarea").redconfg[i].value;
							}
						}
						if (memconfig1 == memconfig) {
							var confgval = ((memconfig1 == "2") ? "<!--XLATESTART-->Disabled<!--XLATESTOP-->" : ((memconfig1 == "1") ? "<!--XLATESTART-->SpareBank<!--XLATESTOP-->" : "<!--XLATESTART-->Mirroring<!--XLATESTOP-->"));
							alert(confgval + " is already set. Please specify some other value.");
							return false;
						}
						else {
							alert("You need to reboot the server to make your change effective.");
							return true;
						}
					}

					function initializationRoutine()
					{
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{
								memconfig = document.getElementById("dataarea").redconfg[i].value;
							}
						}
					}

				</script>
			</xsl:if>
		</xsl:if>

		<xsl:if test="OMAUserRights='7'">
			<xsl:if test="ShutDownFlag='true'">
				<script language="javascript">
					function restart()
					{
						if (confirm("Are you done with Redundancy Configuration?")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8		&amp;action1=1';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2	&amp;help=Memory';
							document.getElementById("dataarea").submit();
						}
					}
				</script>
			</xsl:if>
		</xsl:if>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Memory<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>

		<CustomButton>
			<xsl:if test="OMAUserRights='7'">
				<xsl:if test="ShutDownFlag='true'">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->Reboot System<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:if test="MemoryConfig">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Memory Redundancy<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
			</SubHeader>
			<ListData>
				<xsl:apply-templates select="Redundancy"/>
				<xsl:apply-templates select="MemoryConfig"/>
			</ListData>
		</xsl:if>
		<xsl:call-template name="MemoryArray"/>
	</DataArea>
</xsl:template>

<xsl:template match="Redundancy">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->Redundancy Status<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="RedStat">
			<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
		</xsl:call-template>
	</Data>
</xsl:template>

<xsl:template name="RedStat">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = 1">
			<xsl:attribute name="value"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 2">
			<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 3">
			<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 4">
			<xsl:attribute name="value"><!--XLATESTART-->Full<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 5">
			<xsl:attribute name="value"><!--XLATESTART-->Degraded<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 6">
			<xsl:attribute name="value"><!--XLATESTART-->Lost<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="MemoryConfig">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->Fail Over State<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="FOS">
			<xsl:with-param name="state"><xsl:value-of select="FailOverState"/></xsl:with-param>
		</xsl:call-template>
	</Data>
	<xsl:choose>
		<xsl:when test="/OMA/@cli='true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="State='0'"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='2'"><!--XLATESTART-->Mirroring<!--XLATESTOP--></xsl:if>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="/OMA/OMAUserRights='7'">
					<xsl:choose>
						<xsl:when test="(Capabilities/SpareBank != 'false') or (Capabilities/Mirroring != 'false')">
							<Data>
								<xsl:attribute name="name">redconfg</xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
								<xsl:attribute name="returnvalue">2</xsl:attribute>
								<xsl:attribute name="state"><xsl:if test="State='0'">1</xsl:if></xsl:attribute>
							</Data>
							<xsl:for-each select="Capabilities/*">
							<xsl:if test=".='true'">
								<Data type="radio">
									<xsl:attribute name="name">redconfg</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									<xsl:attribute name="returnvalue">
										<xsl:if test="name()='SpareBank'">1</xsl:if>
										<xsl:if test="name()='Mirroring'">3</xsl:if>
									</xsl:attribute>
									<xsl:attribute name="state">
										<xsl:if test="name()='SpareBank'"><xsl:if test="/OMA/MemoryConfig/State='1'">1</xsl:if></xsl:if>
										<xsl:if test="name()='Mirroring'"><xsl:if test="/OMA/MemoryConfig/State='2'">1</xsl:if></xsl:if>
									</xsl:attribute>
								</Data>
							</xsl:if>
						</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:attribute>
							</Data>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Redundancy Configuration<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:if test="State='0'"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='2'"><!--XLATESTART-->Mirroring<!--XLATESTOP--></xsl:if>
						</xsl:attribute>
					</Data>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="FOS">
	<xsl:param name="state"/>
	<xsl:choose>
		<xsl:when test="$state = 0">
			<xsl:attribute name="value"><!--XLATESTART-->Inactive<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$state = 1">
			<xsl:attribute name="value"><!--XLATESTART-->Active<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="MemoryArray">
	<TableData name="genprop">
		<xsl:attribute name="display"><!--XLATESTART-->Attributes of Memory Array(s)<!--XLATESTOP--></xsl:attribute>
		<SubHeader>
			<xsl:attribute name="display"><!--XLATESTART-->Attributes of Memory Array(s)<!--XLATESTOP--></xsl:attribute>
		</SubHeader>
		<Header>
			<xsl:choose>
				<xsl:when test="MemoryArrayList/@count='1'">
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Memory Array <!--XLATESTOP--><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Memory Array <!--XLATESTOP--><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="MemoryArrayList/MemoryArray">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Memory Array <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Memory Array <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>
		</Header>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->System Board or Motherboard<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->ISA Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->EISA Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->PCI Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->MCA Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='8'"><!--XLATESTART-->PCMCIA Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='9'"><!--XLATESTART-->Proprietary Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='16'"><!--XLATESTART-->NuBus<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='160'"><!--XLATESTART-->PC-98/C20 Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='161'"><!--XLATESTART-->PC-98/C24 Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='162'"><!--XLATESTART-->PC-98/E Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='163'"><!--XLATESTART-->PC-98/Local Bus Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='164'"><!--XLATESTART-->PC-98/Card Slot Add-on Card<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Use<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Use<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->System Memory<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->Video Memory<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->Flash Memory<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->Non-Volatile RAM<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->Cache Memory<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Installed Capacity<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Installed Capacity<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display">
							<xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Maximum Capacity<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Maximum Capacity<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
		<Row>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Slots Available<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Slots Available<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="MemoryArrayList/MemoryArray">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
				</Data>
			</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Slots Used<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Slots Used<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Error Correction<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ECC Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ErrCorrType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='3'"><!--XLATESTART-->None<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='4'"><!--XLATESTART-->Parity<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='5'"><!--XLATESTART-->Single Bit ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='6'"><!--XLATESTART-->Multibit ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='7'"><!--XLATESTART-->CRC<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>

		</TableData>
		<TableData name="totprop">
			<xsl:attribute name="display"><!--XLATESTART-->Total of Memory Array(s)<!--XLATESTOP--></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Total of Memory Array(s)<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->Total Installed Capacity<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Total Installed Capacity<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->Total Installed Capacity Available to the OS<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Total Installed Capacity Available to the OS<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->Total Maximum Capacity<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Total Maximum Capacity<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
	</TableData>

	<xsl:for-each select="MemoryArrayList/MemoryArray">
		<xsl:apply-templates select="MemPortConnList">
			<xsl:with-param name="memindex"><xsl:value-of select="@index"/></xsl:with-param>
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:template>

<xsl:template match="MemPortConnList">
	<xsl:param name="memindex"/>
	<TableData>
		<xsl:attribute name="name">memarr<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<xsl:attribute name="display"><!--XLATESTART-->Connector Details of Memory Array<!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text>
			<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template>
		</xsl:attribute>
		<PromptText><!--XLATESTART-->Click the connector name of Memory Array<!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESART-->to view its memory device details.<!--XLATESTOP--></PromptText>

		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data align="center">
				<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Connector Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Connector Name<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>

		<xsl:for-each select="PortGeneric">
			<xsl:sort select="ExtName" order="ascending"/>
			<xsl:call-template name="portgeneric">
				<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>

	</TableData>
</xsl:template>

<xsl:template name="portgeneric">
<xsl:param name="index"/>
<Row>
	<Data ignoreonweb="true">
		<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="status" align="center">
		<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		<xsl:call-template name="link"/>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="occupied"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="size"><xsl:with-param name="unit"><xsl:value-of select="MemoryDevice/SizeMB/@unit"/></xsl:with-param></xsl:call-template></xsl:attribute>
	</Data>
</Row>
</xsl:template>

<xsl:template name="link">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=MemoryDevice</xsl:attribute>
			<xsl:attribute name="link">true</xsl:attribute>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="occupied">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:call-template name="Type"/>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->[Not Occupied]<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="size">
	<xsl:param name="unit"/>
	<xsl:choose>
		<xsl:when test="IsOccupied='true'"><xsl:value-of select="MemoryDevice/SizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
			<xsl:choose>
				<xsl:when test="$unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
				<xsl:otherwise><xsl:value-of select="$unit"/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/MemoryArrayList/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemoryDevice/MemDevType= '1'"><!--XLATESTART-->OTHER<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '2'"><!--XLATESTART-->UNKNOWN<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="MemoryDevice/TypeDetail= '1'">-<!--XLATESTART-->OTHER<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '2'">-<!--XLATESTART-->UNKNOWN<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '3'">-<!--XLATESTART-->FAST PAGED<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '4'">-<!--XLATESTART-->STATIC COL<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIC<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '7'">-<!--XLATESTART-->SYNCHRONOUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '11'">-<!--XLATESTART-->CACHE DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '12'">-<!--XLATESTART-->NON VOLATILE<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Memory object not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Memory object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Memory object already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
