<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>

<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Memory<!--XLATESTOP--></xsl:attribute>	
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Memory Device<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>			
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Memory<!--XLATESTOP--></xsl:attribute>	
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		
		<xsl:if test="(OMAUserRights='7') or (OMAUserRights='3')">
			<script language="javascript">
				function clearErr()
				{
					var oid 	= <xsl:value-of select="ServletArguments/@oid"/>;
					var check 	= <xsl:value-of select="MemDevList/MemoryDevice/@oid"/>;
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.ClrMemErrCountWebPlugin&amp;oid=' + oid + '&amp;check=' + check;
					document.getElementById("dataarea").submit();
				}
			</script>
		</xsl:if>
		
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Memory Device<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<xsl:call-template name="submit"/>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=MemoryDevice</xsl:attribute>
			</Data>
		</CustomButton>
		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display">
					<xsl:call-template name="devlocator">
						<xsl:with-param name="count"><xsl:value-of select="MemDevList/@count"/></xsl:with-param>
						<xsl:with-param name="locator"><xsl:value-of select="ExtName"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>	
			</SubHeader>
			
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Values<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Values<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data type="status-text">
						<xsl:attribute name="value"><xsl:value-of select="@status" /></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Device Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Device Name<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="devname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="devname"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="Type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="Type"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Speed<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Speed<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
						
			<Row>
				<Data valign="top">
					<xsl:attribute name="display"><!--XLATESTART-->Failures<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Failures<!--XLATESTOP--></xsl:attribute>
				</Data>
				
				<xsl:for-each select="MemDevList/MemoryDevice">
					<xsl:apply-templates select="FailureModes" />
				</xsl:for-each>
			</Row>
						
	
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="devname">
	<xsl:choose>
		<xsl:when test="BankLocator!=''">
			<xsl:value-of select="BankLocator"/>/<xsl:value-of select="DeviceLocator"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="DeviceLocator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemDevType= '1'"><!--XLATESTART-->OTHER<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '2'"><!--XLATESTART-->UNKNOWN<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="TypeDetail= '1'">-<!--XLATESTART-->OTHER<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '2'">-<!--XLATESTART-->UNKNOWN<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '3'">-<!--XLATESTART-->FAST PAGED<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '4'">-<!--XLATESTART-->STATIC COL<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIC<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '7'">-<!--XLATESTART-->SYNCHRONOUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '11'">-<!--XLATESTART-->CACHE DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '12'">-<!--XLATESTART-->NON VOLATILE<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="FailureModes">
	<Data>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:attribute name="value">
					<xsl:choose>
					    <xsl:when test="Value='0'"><!--XLATESTART-->None<!--XLATESTOP--></xsl:when>
					    <xsl:otherwise>
								<xsl:if test="SB_WRATE='true'"><!--XLATESTART-->Single bit warning error rate exceeded. <!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_FRATE='true'"><!--XLATESTART-->Single bit failure error rate exceeded. <!--XLATESTOP--></xsl:if>
								<xsl:if test="MB_ERR='true'"><!--XLATESTART-->Multi bit error encountered. <!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_LOG_DISABLE='true'"><!--XLATESTART-->Single bit error logging disabled. <!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_SPARE_BANK='true'"><!--XLATESTART-->DIMM disabled via spare bank activation. <!--XLATESTOP--></xsl:if>
					    </xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
			    <ValueList>
					<xsl:choose>
					    <xsl:when test="Value='0'">
						<value><!--XLATESTART-->None<!--XLATESTOP--></value>
					    </xsl:when>
					    <xsl:otherwise>
						<xsl:if test="SB_WRATE='true'">
						    <value><!--XLATESTART-->Single bit warning error rate exceeded<!--XLATESTOP--></value>
						</xsl:if>
						<xsl:if test="SB_FRATE='true'">
						    <value><!--XLATESTART-->Single bit failure error rate exceeded <!--XLATESTOP--></value>
						</xsl:if>
						<xsl:if test="MB_ERR='true'">
						    <value><!--XLATESTART-->Multi bit error encountered<!--XLATESTOP--></value>
						</xsl:if>
						<xsl:if test="SB_LOG_DISABLE='true'">
						    <value><!--XLATESTART-->Single bit error logging disabled<!--XLATESTOP--></value>
						</xsl:if>
						<xsl:if test="SB_SPARE_BANK='true'">
						    <value><!--XLATESTART-->DIMM disabled via spare bank activation<!--XLATESTOP--></value>
						</xsl:if>
					    </xsl:otherwise>
					</xsl:choose>
			    </ValueList>
			</xsl:otherwise>
		</xsl:choose>
	</Data>
</xsl:template>

<xsl:template name="submit">
	<xsl:choose>
		<xsl:when test="(OMAUserRights='7') or (OMAUserRights='3')">
			<xsl:choose>
			<xsl:when test="(MemDevList/@count='1') and (MemDevList/MemoryDevice/ErrCount='0')"></xsl:when>
			</xsl:choose>		
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="devlocator">
	<xsl:param name="count"/>
	<xsl:param name="locator"/>
	<xsl:choose>
		<xsl:when test="$count='0'"><!--XLATESTART-->Memory Device on Connector<!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->is Not Occupied<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->Memory Device on Connector: <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Memory Device not found. Invalid Index Number.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Memory Device malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Memory Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
