<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus != '0'">
		<DataArea printable="false">
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->NIC Object not found.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->NIC Object not found.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</DataArea>
	</xsl:when>
	<xsl:otherwise>
		<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Network Cards<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Network Card Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<SubHeader>
			 	<xsl:attribute name="display"><!--XLATESTART-->Card: <!--XLATESTOP--><xsl:value-of select="NICCard/Description"/></xsl:attribute>		
			</SubHeader>			
			<CustomButton>
				<Data name="Refresh" display="Refresh">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="NICCard/@oid"/></xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:apply-templates select="NICCard"/>
		</DataArea>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="NICCard">
	<xsl:choose>
		<xsl:when test="/OMA/OSType='1'">
			<xsl:call-template name="SYSTEM_WINNT"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='2'">
			<xsl:call-template name="SYSTEM_LINUX"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='3'">
			<xsl:call-template name="SYSTEM_NETWARE"/>
		</xsl:when>
	</xsl:choose>	
</xsl:template>
<xsl:template name="SYSTEM_WINNT">
	<ListData type="custom">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Current MAC Address<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP Address<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Subnet Mask<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->DHCP Server<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DHCPServer=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DHCPServer"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Default Gateway<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DefaultGateway=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Connection Status<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->Disconnected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->Driver Not Installed Or Not Functioning<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initializing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Resetting<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Closing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adapter Not Ready<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Driver Image Path<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverImagePath=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverImagePath"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Driver Version<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_NETWARE">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Current MAC Address<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Driver Version<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Connection Status<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->Disconnected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->Driver Not Installed Or Not Functioning<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initializing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Resetting<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Closing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adapter Not Ready<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Logical Name of LAN Driver<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="ServiceName=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="ServiceName"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>			
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_LINUX">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Current MAC Address<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Vendor<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP Address<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Subnet Mask<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Connection Status<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->Disconnected<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->Driver Not Installed Or Not Functioning<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initializing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Resetting<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Closing<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adapter Not Ready<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IRQ Used by Card<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>	
				<xsl:when test="IRQ=''">
					<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IRQ"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>		
	</ListData>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
