<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Processors Information<!--XLATESTOP--></xsl:attribute></PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Processors Information<!--XLATESTOP--></xsl:attribute></PageTitle>	
		<PromptText ignoreoncli="true"><!--XLATESTART-->Click the connector name to view its cache details.<!--XLATESTOP--></PromptText>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
			</Data>
		</CustomButton>	
		<TableData columnspacing="true">
			<Header>
				<Data ignoreonweb="true" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Connector Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Connector Name<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="115">
					<xsl:attribute name="display"><!--XLATESTART-->Processor Manufacturer<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Processor Manufacturer<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Processor Family<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Processor Family<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="120">
					<xsl:attribute name="display"><!--XLATESTART-->Processor Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Processor Version<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Maximum Speed<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Maximum Speed<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Current Speed<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Current Speed<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->External Clock Speed<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->External Clock Speed<!--XLATESTOP--></xsl:attribute>	
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Processor Upgrade<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Processor Upgrade<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->State<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->State<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<xsl:for-each select="ProcessorList/ProcessorConn">
				<xsl:if test="IsOccupied='true'">
					<xsl:call-template name="Processor">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="IsOccupied='false'">
					<xsl:call-template name="Processor1">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="Processor">
	<xsl:param name="index"/>
		<Row>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
			</Data>
			<Data link="true"  align="left">
				<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="DevProcessor/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Manufacturer" /></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value">
					<xsl:call-template name="family"/>
				</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Version"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="maxsp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="cursp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="extclksp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="upgrade"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="display"><xsl:call-template name="imagedesc1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="imagedesc1"/></xsl:attribute>
			</Data>
		</Row>
</xsl:template>
<xsl:template name="family">
	<xsl:choose>
		<xsl:when test="DevProcessor/Family= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '3'"><!--XLATESTART-->8086<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '4'"><!--XLATESTART-->80286<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '5'"><!--XLATESTART-->80386<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '6'"><!--XLATESTART-->80486<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '7'"><!--XLATESTART-->8087<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '8'"><!--XLATESTART-->80287<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '9'"><!--XLATESTART-->80387<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '10'"><!--XLATESTART-->80487<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '11'"><!--XLATESTART-->Pentium Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '12'"><!--XLATESTART-->Pentium Pro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '13'"><!--XLATESTART-->Pentium II<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '14'"><!--XLATESTART-->Pentium MMX<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '15'"><!--XLATESTART-->Celeron<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '16'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '17'"><!--XLATESTART-->Pentium III<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '18'"><!--XLATESTART-->M1 Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '19'"><!--XLATESTART-->M2 Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '25'"><!--XLATESTART-->K5 Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '26'"><!--XLATESTART-->K6 Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '32'"><!--XLATESTART-->Power PC Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '33'"><!--XLATESTART-->Power PC 601<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '34'"><!--XLATESTART-->Power PC 603<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '35'"><!--XLATESTART-->Power PC 603+<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '36'"><!--XLATESTART-->Power PC 604<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '48'"><!--XLATESTART-->Alpha Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '64'"><!--XLATESTART-->MIPS Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '80'"><!--XLATESTART-->SPARC Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '96'"><!--XLATESTART-->68040<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '97'"><!--XLATESTART-->68xxx Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '98'"><!--XLATESTART-->68000<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '99'"><!--XLATESTART-->68010<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '100'"><!--XLATESTART-->68020<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '101'"><!--XLATESTART-->68030<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '112'"><!--XLATESTART-->Hobbit Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '128'"><!--XLATESTART-->Weitek<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '144'"><!--XLATESTART-->PA-RISC Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '160'"><!--XLATESTART-->V30 Family<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '176'"><!--XLATESTART-->Pentium III Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '177'"><!--XLATESTART-->Pentium III with Intel SpeedStep Technology<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '178'"><!--XLATESTART-->Pentium IV<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '179'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '181'"><!--XLATESTART-->Xeon MP<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="DevProcessor/ProcessorType= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '3'"><!--XLATESTART-->Central Processor<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '4'"><!--XLATESTART-->Math Processor<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '5'"><!--XLATESTART-->DSP Processor<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '6'"><!--XLATESTART-->Video Processor<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="imagedesc1">
	<xsl:if test="DevProcessor/ProcessorStatus='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='3'"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='4'"><!--XLATESTART-->User Disabled<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='5'"><!--XLATESTART-->BIOS Disabled<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='6'"><!--XLATESTART-->Idle<!--XLATESTOP--></xsl:if>
</xsl:template>

<xsl:template name="maxsp">
	<xsl:choose>
		<xsl:when test="DevProcessor/MaxSpeed='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/MaxSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/MaxSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="cursp">
	<xsl:choose>
		<xsl:when test="DevProcessor/CurSpeed='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/CurSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/CurSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="extclksp">
	<xsl:choose>
		<xsl:when test="DevProcessor/ExtClockSpeed='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/ExtClockSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/ExtClockSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="upgrade">
	<xsl:choose>
		<xsl:when test="DevProcessor/Upgrade= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '2'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '3'"><!--XLATESTART-->Daughter Board<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '4'"><!--XLATESTART-->ZIF Socket<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '5'"><!--XLATESTART-->Replacement/Piggy Back<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '6'"><!--XLATESTART-->None<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '7'"><!--XLATESTART-->LIF Socket<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '8'"><!--XLATESTART-->Slot 1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '9'"><!--XLATESTART-->Slot 2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '10'"><!--XLATESTART-->370 Pin Socket<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="Processor1">
	<xsl:param name="index"/>
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><xsl:value-of select="ExtName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><!--XLATESTART-->[Not Occupied]<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->[Not Occupied]<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data  ignoreonweb="true" display="NA" value="NA" align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA" align="left"/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
	</Row>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Processor not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Processor malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Processor already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>

