<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"/>
	
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->Power Supplies<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Power Supplies <!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">	</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisPwrSup"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisPwrSup"/></xsl:otherwise>
	                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ServletArguments">
		<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
	</xsl:template>
		
	<xsl:template name="ChassisPwrSup">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->Redundancy<!--XLATESTOP--></xsl:attribute>
						       <xsl:if test="/OMA/@cli = 'true'">		
	 							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies </xsl:attribute>
										   <xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									             <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->Power Supply Redundancy <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/> 
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Power Supplies<!--XLATESTOP--></xsl:attribute>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Power Supplies <!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply </xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(PowerSupplyList/PowerSupply) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Powert Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="PowerSupplyList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->Redundancy Status<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		
		<!--check for Yellowstone-->
		<Row>
			
		 <xsl:if test="(RedunCount > '0')">
			<Data>
			     
				<xsl:attribute name="value"><!--XLATESTART-->Number of devices required for full redundancy<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</xsl:if>	
		</Row>
	</xsl:template>
		
	<xsl:template match="PowerSupplyList">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Individual Power Supply Elements<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="center">
					<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Maximum Wattage<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Maximum Wattage<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="1">
					<xsl:attribute name="display"><!--XLATESTART-->Online Status<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Online Status<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="PowerSupply"/>
	</xsl:template>
		
	<xsl:template match="PowerSupply">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="PSLocation"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:choose>
					<xsl:when test="Type = 1"><xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 2"><xsl:attribute name="value"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 3"><xsl:attribute name="value"><!--XLATESTART-->Linear<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 4"><xsl:attribute name="value"><!--XLATESTART-->Switching<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 5"><xsl:attribute name="value"><!--XLATESTART-->Battery<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 6"><xsl:attribute name="value"><!--XLATESTART-->UPS<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 7"><xsl:attribute name="value"><!--XLATESTART-->Converter<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 8"><xsl:attribute name="value"><!--XLATESTART-->Regulator<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 9"><xsl:attribute name="value"><!--XLATESTART-->AC<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 10"><xsl:attribute name="value"><!--XLATESTART-->DC<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<xsl:choose>
				<xsl:when test="OutputWatts &gt; 0">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="OutputWatts div 10"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:when test="OutputWatts = ''">
					<Data><xsl:attribute name="value"><!--XLATESTART-->Not available<!--XLATESTOP--></xsl:attribute></Data>
				</xsl:when>
				<xsl:otherwise>
					<Data><xsl:attribute name="value"><!--XLATESTART-->[No Value] <!--XLATESTOP--></xsl:attribute></Data>
				</xsl:otherwise>
			</xsl:choose>
			<Data>
				<xsl:call-template name="OnlineStatus">
					<xsl:with-param name="boolstatus"><xsl:value-of select="PSOnlineStatus"/></xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
	</xsl:template>
	
	<xsl:template name="OnlineStatus">
		<xsl:param name="boolstatus"/>
		<xsl:choose>
			<xsl:when test="$boolstatus = 'true'">
				<xsl:attribute name="value"><!--XLATESTART-->Online<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->Not Applicable<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Full<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->Degraded<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Lost<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="DataType">
		<xsl:param name="name"/>
		<xsl:param name="display"/>
		<xsl:param name="value"/>
		<xsl:param name="editable"/>
		<xsl:param name="type"/>
		<xsl:param name="link"/>
		<xsl:param name="href"/>
		<Data >
			<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="$display"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$value"/></xsl:attribute>
			<xsl:attribute name="editable"><xsl:value-of select="$editable"/></xsl:attribute>
			<xsl:attribute name="link"><xsl:value-of select="$link"/></xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
			<xsl:attribute name="type"><xsl:value-of select="$type"/></xsl:attribute>
		</Data>
	</xsl:template>
	
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Command Successful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Power Supply Object not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Power Supply Object malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Power Supply Object already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
