<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="onLoad">
				<xsl:attribute name="onLoad"><!--XLATESTART-->true<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="callerReplace">true</xsl:attribute>
				<xsl:attribute name="paramReplaced">onload</xsl:attribute>
				<xsl:attribute name="paramReplacing">load</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Apply Changes<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->SNMP Configuration<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Configure SNMP Root Password.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPconfgWebPlugin&amp;help=snmp</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->User : <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">root</xsl:attribute>
				</Data>
				<Data name="oldpwd" editable="true" id="oldpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Old Root Password :<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="newpwd" editable="true" id="newpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->New Root Password :<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="confnewpwd" editable="true" id="confnewpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Confirm New Root Password :<!--XLATESTOP--></xsl:attribute>
				</Data>
			</ListData>
			<ListData>
				<Data  display=" "  type="hidden" state="" align="left">
					<xsl:attribute name="name">caller</xsl:attribute>
					<xsl:attribute name="returnvalue">none</xsl:attribute>
				</Data>
			</ListData>
			<Table-Data>
				<PromptText><!--XLATESTART-->Enable SNMP Warning Message.<!--XLATESTOP--></PromptText>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->SNMP Warning Message<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP Warning Message<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">snmp_warn_msg</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Enable SNMP Warning Message<!--XLATESTOP--></xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</Row>
			</Table-Data>
			
			<script language="javascript">
			
				<xsl:if test="onLoad">
					function initializationRoutine()
					{
						alert("SNMP root password was set successfully.");
					}
				</xsl:if>
			
				function validate()
				{
					var oldpwd = document.getElementById("oldpwd").value;
					var newpwd = document.getElementById("newpwd").value;
					var confnewpwd = document.getElementById("confnewpwd").value;
					
					if (oldpwd == "")
					{
						alert("\"Old Password\" field can not be blank.");
						document.getElementById("oldpwd").focus();
					}
					else if (newpwd == "")
					{
						alert("\"New Password\" field can not be blank.");
						document.getElementById("newpwd").focus();
					}
					else if (confnewpwd == "")
					{
						alert("\"Confirm New Password\" field can not be blank.");
						document.getElementById("confnewpwd").focus();
					}
					else 
					{
						if(newpwd != confnewpwd) {	
							alert("New password fields do not match.");
							document.getElementById("confnewpwd").value = "";
							document.getElementById("confnewpwd").focus();						
						}
						else{
							document.getElementById("caller").value=document.location.href;
							return true;
						}						
					}
					return false;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
