<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="(SMStatus = '0' ) or (BIOSSetupListCount &gt; 0) ">
				<xsl:call-template name="success"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="failure"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="failure">
		<DataArea>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus = '256'">
						<xsl:attribute name="display"><!--XLATESTART-->Error! No <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><!--XLATESTART-->Error! <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
		</DataArea>
	</xsl:template>
	<xsl:template name="success">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->BIOS Setup<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="OMAUserRights='7'">
					<PromptText><!--XLATESTART-->Click each BIOS setup object to set its state.<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Setting<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Setting<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:for-each select="BIOSSetupList/BIOSSetup">
					<Row>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:value-of select="ObjName"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/OMAUserRights='7'">
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=BiosSetup</xsl:attribute>
									<xsl:attribute name="link">true</xsl:attribute>
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</Data>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:call-template name="state"><xsl:with-param name="type"><xsl:value-of select="@objtype"/></xsl:with-param><xsl:with-param name="state"><xsl:value-of select="State"/></xsl:with-param><xsl:with-param name="objname"><xsl:value-of select="ObjName"/></xsl:with-param></xsl:call-template></xsl:attribute>
						</Data>
					</Row>
				</xsl:for-each>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="state">
		<xsl:param name="type"/>
		<xsl:param name="state"/>
		<xsl:param name="objname"/>
		<xsl:choose>
			<xsl:when test="$type='241'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Auto<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Write Protect<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='242'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Enabled Without PXE<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='246'">
				<xsl:if test="$objname='OnBoard RAID'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Primary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->On<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Secondary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->On<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$type='247'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Floppy Diskette First<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Hard Disk Only<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Device List<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->CD-ROM First Then Others<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='249'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->LPT1 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->LPT2 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->LPT3 Mode<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='250'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->AT Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->PS2 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->ECP Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->EPP Mode<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='251'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Auto<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->COM1 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->COM2 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->COM3 Mode<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='6'"><!--XLATESTART-->COM4 Mode<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='252'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->On<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Low<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Medium<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->High<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='253'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disable<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Enable WOL for NIC plugged into expansion slot<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Enable WOL for on-board NIC<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Enable WOL for add-in and<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='244'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='260'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Enabled with BIOS support<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Off<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->On<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Command Unsuccessful<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Command Not Implemented<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Bad Command<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Command Timeout<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Command Cancelled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Command Aborted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Command Pending<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Device not yet ready to accept commands. Try later<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->BIOS Setup found on this system.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->BIOS Setup malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->BIOS Setup already exists<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Invalid parameter name or value: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
