<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Ports<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Port<!--XLATESTOP--> <xsl:value-of select="Port/@portid" /><!--XLATESTART--> Device Information<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="PortDevice/@status" /></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="Refresh">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortDeviceWebPlugin&amp;poid=<xsl:value-of select="Port/@oid"/>&amp;id=<xsl:value-of select="Port/@portid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:apply-templates select="PortDevice"/>
	</DataArea>
</xsl:template>

<xsl:template match="PortDevice">
	<ListData>
		<Data name="Status"  editable="false" type="status-text">
			<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
		</Data>
		<xsl:if test="TypeName">
			<Data name="TypeName"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="TypeName">
			<Data name="Layout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Layout<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="PointingDevType">
			<Data name="PointingDevType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Pointing Device Type<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PointingDevType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='3'"><!--XLATESTART-->Serial<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='5'"><!--XLATESTART-->Infrared<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='160'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='161'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='162'"><!--XLATESTART-->Access Bus/USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="NumButtons">
			<Data name="NumButtons"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Number of Buttons<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
			</Data>
		</xsl:if>
	</ListData>
</xsl:template>
<xsl:template match="*"/>

</xsl:stylesheet>
