<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus !='0'">
			<DataArea>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Port Information not found.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Port Information not found.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Ports Information<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Refresh">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText><!--XLATESTART--><!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="PortsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="PortsList">
	<TableData name="" display="" columnspacing="true">
		<Header>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Port Type<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Port Type<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->External Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->External Name<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Base I/O Addr<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Base I/O Addr<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ Lvl<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IRQ Lvl<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Connector Type<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Connector Type<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Maximum Speed<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Maximum Speed<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Port"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Port">
	<Row>
		<Data name="PortType"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@objtype='192'"><!--XLATESTART-->Parallel<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='193'"><!--XLATESTART-->Serial<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='194'"><!--XLATESTART-->Pointing Device<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='195'"><!--XLATESTART-->Keyboard<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='196'"><!--XLATESTART-->Processor<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='197'"><!--XLATESTART-->Memory Device<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='198'"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='199'"><!--XLATESTART-->Monitor<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='200'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring" align="left">
			<xsl:attribute name="value"><xsl:value-of select="ExtName" /></xsl:attribute>
		</Data>
		<Data name="BaseIOAddr"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="BaseIOAddr = '0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="BaseIOAddr"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name="IrqLevel"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IrqLevel= '0'"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="IrqLevel"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<xsl:choose>
			<!-- objtype 192 is for parallel port-->
			<xsl:when test="@objtype='192'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-25 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-25 Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Mini-Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->Proprietary<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->DB-36 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:when>
			<!-- objtype 193 is for serial port-->
			<xsl:when test="@objtype='193'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Proprietary<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='10'"><!--XLATESTART-->Circular DIN-8 Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='11'"><!--XLATESTART-->Circular DIN-8 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring">
					<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data name="SmbiosConnType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->None<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Proprietary<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25 Pin Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25 Pin Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15 Pin Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15 Pin Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9 Pin Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9 Pin Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50 Pin MiniSCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrared<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Access Bus (USB)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA SCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->Circular DIN-8 Male<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->Circular DIN-8 Female<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->On-Board IDE<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->On-Board Floppy<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 Pin Dual Inline (Pin 10 cut)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 Pin Dual Inline (Pin 26 cut)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 Pin Dual Inline<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 Pin Dual Inline<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->On Board Sound Input from CD-ROM<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-jack (headphones)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Other<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:otherwise>
		</xsl:choose>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
