<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Slots Information<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Slot information not found. Index may be inavlid.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Slot information not found. Index may be inavlid.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Slots Information<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Refresh">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText ignoreoncli="true"><!--XLATESTART-->Click a slot identifier or an adapter name to view its details.<!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="SlotsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="SlotsList">
	<TableData name="" display="">
		<Header>
			<Data name="" editable="" type="" align="center" ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="" width="80">
				<xsl:attribute name="display"><!--XLATESTART-->Slot ID<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Slot ID<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Adapter<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Adapter<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Data Bus Width<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Data Bus Width<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Slot"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Slot">
	<Row>
		<Data name=""  display="" editable="false" align="center" ignoreonweb="true">
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
               		<xsl:when test="ExtName='Embedded'">
						<!--XLATESTART-->Embedded<!--XLATESTOP-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="ExtName"/>
					</xsl:otherwise>
            		</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotID!='0'">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=SlotDevice</xsl:attribute>
				<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="SlotDevice">
						<xsl:choose>
							<xsl:when test="SlotDevice/DeviceDesc = 'ERA'">Embedded Remote Access</xsl:when>
							<xsl:otherwise><xsl:value-of select="SlotDevice/DeviceDesc" /></xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise><!--XLATESTART-->[Not Occupied]<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotDevice">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotDeviceWebPlugin&amp;poid=<xsl:value-of select="@oid" />&amp;slotid=<xsl:value-of select="SlotID"/>&amp;help=Adapter</xsl:attribute>
				<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='3'"><!--XLATESTART-->8 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='4'"><!--XLATESTART-->16 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='5'"><!--XLATESTART-->32 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='6'"><!--XLATESTART-->64 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='7'"><!--XLATESTART-->128 Bits<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->[No Value]<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
