<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" />
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:variable name="displaytype"><xsl:value-of select="Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PromptText>
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							<xsl:with-param name="mssg"><xsl:value-of select="SMStatus/@mssg"/></xsl:with-param>
						</xsl:call-template>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="$displaytype = 'list'">
								<DataArea>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Bestandsinformationen<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->Klicken Sie auf die einzelnen Elemente zum Einsehen bzw. Festsetzen der Eigenschaften<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data name="" display="Aktualisieren">
											<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetInfo</xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:call-template name="List"/>
								</DataArea>
							</xsl:when>			
							<xsl:when test="$displaytype = 'summary'">
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Bestandsabschnitte<!--XLATESTOP--></xsl:attribute>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Zusammenfassung der Bestandsinformationen<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->Klicken Sie auf das jeweilige Element f&#252;r die gew&#252;nschten Bestandsinformationen.<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetSummary</xsl:attribute>
										</Data>
									</CustomButton>
									<SummaryData>
										<xsl:apply-templates select="AssetInfo"/>
										<xsl:call-template name="OwnerInfo"/>
									</SummaryData>
								</DataArea>
							</xsl:when>
							<xsl:otherwise>
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo" validate="true">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Bestandsabschnitte<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(Arguments ='acquisition') or (Arguments ='extwarranty') or (Arguments ='warranty') or (Arguments ='lease') or (Arguments 		='maintenance')">
						<xsl:attribute name="date">true</xsl:attribute>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='lease'"></xsl:when>
										<xsl:when test="Arguments ='support'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='maintenance'"></xsl:when>
										<xsl:when test="Arguments ='system'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<PageTitle >
										<xsl:attribute name="display">
											<xsl:choose>
												<xsl:when test="DisplayString='Acquisition'"><!--XLATESTART-->Erwerbung<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Depreciation'"><!--XLATESTART-->Abschreibung<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Extended Warranty Information'"><!--XLATESTART-->Informationen zur erweiterten Garantie<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Lease Information'"><!--XLATESTART-->Leasing-Informationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Maintenance Information'"><!--XLATESTART-->Wartungsinformationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Out Source Information'"><!--XLATESTART-->Outsourcing-Informationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Owner Information'"><!--XLATESTART-->Besitzer-Informationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Service Contract'"><!--XLATESTART-->Servicevertrag<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Support Information'"><!--XLATESTART-->Support-Informationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='System Information'"><!--XLATESTART-->Systeminformationen<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Warranty Information'"><!--XLATESTART-->Garantie-Informationen<!--XLATESTOP--></xsl:when>
											</xsl:choose>
										</xsl:attribute>
									</PageTitle>
									<xsl:variable name="helpattrib">
										<xsl:choose>
											<xsl:when test="Arguments='acquisition'">Acquisition</xsl:when>
											<xsl:when test="Arguments='extwarranty'">ExtWarranty</xsl:when>																					<xsl:when test="Arguments='warranty'">Warranty</xsl:when>
											<xsl:when test="Arguments='outsource'">OutSource</xsl:when>
											<xsl:when test="Arguments='owner'">Owner</xsl:when>
											<xsl:when test="Arguments='depreciation'">Depreciation</xsl:when>
											<xsl:when test="Arguments='servicecontract'">Service</xsl:when>
											<xsl:when test="Arguments='lease'">Lease</xsl:when>
											<xsl:when test="Arguments='maintenance'">Maintenance</xsl:when><xsl:when test="Arguments='support'">Support</xsl:when>
											<xsl:when test="Arguments='system'">SystemInfo</xsl:when>
											<xsl:when test="Arguments='summary'">AssetSummary</xsl:when>
										</xsl:choose>
									</xsl:variable>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=<xsl:value-of select="$helpattrib"/></xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:apply-templates/>
									<script>
										function validate()
										{
											var section = "<xsl:value-of select="Arguments"/>";
											<xsl:variable name="arg"><xsl:value-of select="Arguments"/></xsl:variable>
											<xsl:choose>
												<xsl:when test="$arg = 'acquisition'">
													var tempacqpcost 		= document.getElementById("acqpcost").value;
													var tempacqwbillnum 	= document.getElementById("acqwbillnum").value;
													var tempacqponum		= document.getElementById("acqponum").value;
													var tempacqsignauth		= document.getElementById("acqsignauth").value;
													var tempcstctr				= document.getElementById("cstctr").value;

													<!-- 1. Purchase Cost -->
													if(tempacqpcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if( (isNaN(tempacqpcost) == true) || (tempacqpcost &lt; 0) || (tempacqpcost.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Erwerbungskosten\", gelesen: " + tempacqpcost);
															document.getElementById("acqpcost").focus();
															document.getElementById("acqpcost").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Erwerbungskosten\" ein");
														document.getElementById("acqpcost").focus();
														document.getElementById("acqpcost").select();
														return false;
													}

													<!-- 2. Way Bill Num -->
													if(tempacqwbillnum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqwbillnum) == true) || (tempacqwbillnum &lt; 0) || (tempacqwbillnum.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Begleitbrief-Nr.\", gelesen: " + tempacqwbillnum);
															document.getElementById("acqwbillnum").focus();
															document.getElementById("acqwbillnum").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \" Begleitbrief-Nr.\" ein");
														document.getElementById("acqwbillnum").focus();
														document.getElementById("acqwbillnum").select();
														return false;
													}
													
													<!-- 3. PO Num -->
													if(tempacqponum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqponum) == true) || (tempacqponum &lt; 0) || (tempacqponum.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Auftrags-Nr.\", gelesen: " + tempacqponum);
															document.getElementById("acqponum").focus();
															document.getElementById("acqponum").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Auftrags-Nr.\" ein");
														document.getElementById("acqponum").focus();
														document.getElementById("acqponum").select();
														return false;
													}
													
													<!-- 4. Who Signed for -->
													if(tempacqsignauth != '')
													{
														if( ! isAlphaNumeric(tempacqsignauth, "Who Signed for"))
														{
															document.getElementById("acqsignauth").focus();
															document.getElementById("acqsignauth").select();
															return false;
														}												
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Unterzeichnender\" ein");
														document.getElementById("acqsignauth").focus();
														document.getElementById("acqsignauth").select();
														return false;
													}
													
													<!-- 5. Cost Center -->
													if(tempcstctr != '')
													{
														if( ! isAlphaNumeric(tempcstctr, "Cost Center"))
														{
															document.getElementById("cstctr").focus();
															document.getElementById("cstctr").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Kostenstelle\" ein");
														document.getElementById("cstctr").focus();
														document.getElementById("cstctr").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'extwarranty'">
													var tempextwcost		= document.getElementById("extwcost").value;
													var tempextwprovider	= document.getElementById("extwprovider").value;
													var tempextwsdate		= document.getElementById("extwsdate").value;
													var tempextwedate		= document.getElementById("extwedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->Startdatum darf nicht hinter Enddatum liegen.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->Startdatum und Enddatum d&#252;rfen nicht gleich sein.<!--XLATESTOP-->";
													
													if(tempextwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempextwcost) == true) || (tempextwcost &lt; 0) || (tempextwcost.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Kosten\", gelesen: " + tempextwcost);
															document.getElementById("extwcost").focus();
															document.getElementById("extwcost").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r\"Kosten\" ein");
														document.getElementById("extwcost").focus();
														document.getElementById("extwcost").select();
														return false;
													}
													
													if(tempextwprovider != '')
													{
														if( ! isAlphaNumeric(tempextwprovider, "Provider"))
														{
															document.getElementById("extwprovider").focus();
															document.getElementById("extwprovider").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie einen Wert f&#252;r \"Anbieter\" ein");
														document.getElementById("extwprovider").focus();
														document.getElementById("extwprovider").select();
														return false;
													}
													
													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
												</xsl:when>
												<xsl:when test="$arg = 'warranty'">
													var tempwduration	= document.getElementById("wduration").value;
													var tempwcost			= document.getElementById("wcost").value;
												
													if(tempwduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwduration) == true) || (tempwduration &lt; 0) || (tempwduration.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Dauer\", gelesen: " + tempwduration);
															document.getElementById("wduration").focus();
															document.getElementById("wduration").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Dauer\" ein");
														document.getElementById("wduration").focus();
														document.getElementById("wduration").select();
														return false;
													}
													
													if(tempwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwcost) == true) || (tempwcost &lt; 0) || (tempwcost.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Kosten\", gelesen: " + tempwcost);
															document.getElementById("wcost").focus();
															document.getElementById("wcost").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Kosten\" ein");
														document.getElementById("wcost").focus();
														document.getElementById("wcost").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'outsource'">
													var tempoutsservfee 	= document.getElementById("outsservfee").value;
													var tempoutsprovfee		= document.getElementById("outsprovfee").value;
													var tempoutsprobcomp	= document.getElementById("outsprobcomp").value;
													var tempoutssigna		= document.getElementById("outssigna").value;
													var tempoutsslalvl		= document.getElementById("outsslalvl").value;
													
													if(tempoutsservfee != '')
													{
														if( ! isAlphaNumeric(tempoutsservfee, "Service Fee"))
														{
															document.getElementById("outsservfee").focus();
															document.getElementById("outsservfee").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Service-Kosten\" ein");
														document.getElementById("outsservfee").focus();
														document.getElementById("outsservfee").select();
														return false;														
													}
		
													if(tempoutsprovfee != '')
													{
														if( ! isAlphaNumeric(tempoutsprovfee, "Provider Fee"))
														{
															document.getElementById("outsprovfee").focus();
															document.getElementById("outsprovfee").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Anbietergeb&#252;hr\" ein");
														document.getElementById("outsprovfee").focus();
														document.getElementById("outsprovfee").select();
														return false;
													}
		
													if(tempoutsprobcomp != '')
													{
														if( ! isAlphaNumeric(tempoutsprobcomp, "Problem Component"))
														{
															document.getElementById("outsprobcomp").focus();
															document.getElementById("outsprobcomp").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Problem-Komponente\" ein");
														document.getElementById("outsprobcomp").focus();
														document.getElementById("outsprobcomp").select();
														return false;
													}
													
													if(tempoutssigna != '')
													{
														if( ! isAlphaNumeric(tempoutssigna, "Who Signed for"))
														{
															document.getElementById("outssigna").focus();
															document.getElementById("outssigna").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Wer hat unterschrieben f&#252;r\" ein");
														document.getElementById("outssigna").focus();
														document.getElementById("outssigna").select();
														return false;
													}
													
													if(tempoutsslalvl != '')
													{
														if( ! isAlphaNumeric(tempoutsslalvl, "SLA Level"))
														{
															document.getElementById("outsslalvl").focus();
															document.getElementById("outsslalvl").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"SLA-Stufe\" ein");
														document.getElementById("outsslalvl").focus();
														document.getElementById("outsslalvl").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'owner'">
													var tempcorpownername = document.getElementById("corpownername").value;
													var tempinsurancecomp = document.getElementById("insurancecomp").value;

													if(tempcorpownername != '')
													{
														if( ! isAlphaNumeric(tempcorpownername, "Owner Name"))
														{
															document.getElementById("corpownername").focus();
															document.getElementById("corpownername").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Besitzername\" ein");
														document.getElementById("corpownername").focus();
														document.getElementById("corpownername").select();
														return false;
													}
													
													if(tempinsurancecomp != '')
													{
														if( ! isAlphaNumeric(tempinsurancecomp, "Insurance Company"))
														{
															document.getElementById("insurancecomp").focus();
															document.getElementById("insurancecomp").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Versicherung\" ein");
														document.getElementById("insurancecomp").focus();
														document.getElementById("insurancecomp").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'depreciation'">
													var tempdeprduration	= document.getElementById("deprduration").value;
													var tempdeprpercent 	= document.getElementById("deprpercent").value;
													var tempdeprmethod  	= document.getElementById("deprmethod").value;
												
													if(tempdeprduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprduration) == true) || (tempdeprduration &lt; 0) || (tempdeprduration.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Dauer\", gelesen: " + tempdeprduration);
															document.getElementById("deprduration").focus();
															document.getElementById("deprduration").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Dauer\" ein");
														document.getElementById("deprduration").focus();
														document.getElementById("deprduration").select();
														return false;
													}
		
													if(tempdeprpercent != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprpercent) == true) || (tempdeprpercent &lt; 0) || (tempdeprpercent.indexOf(".") != "-1") || (tempdeprpercent &gt; 100))
														{
															alert("Fehler! Ganze Zahl (0-100) erwartet f&#252;r \"Prozentsatz\", gelesen: " + tempdeprpercent);
															document.getElementById("deprpercent").focus();
															document.getElementById("deprpercent").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Prozentsatz\" ein");
														document.getElementById("deprpercent").focus();
														document.getElementById("deprpercent").select();
														return false;
													}
													
													if(tempdeprmethod != '')
													{
														if( ! isAlphaNumeric(tempdeprmethod, "Method"))
														{
															document.getElementById("deprmethod").focus();
															document.getElementById("deprmethod").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Methode\" ein");
														document.getElementById("deprmethod").focus();
														document.getElementById("deprmethod").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'servicecontract'">
													var tempsrvcnttype		= document.getElementById("srvcnttype").value;
													var tempsrvcntvendor	= document.getElementById("srvcntvendor").value;
													
													if(tempsrvcnttype != '')
													{
														if( ! isAlphaNumeric(tempsrvcnttype, "Type"))
														{
															document.getElementById("srvcnttype").focus();
															document.getElementById("srvcnttype").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Typ\" ein");
														document.getElementById("srvcnttype").focus();
														document.getElementById("srvcnttype").select();
														return false;
													}	
													
													if(tempsrvcntvendor != '')
													{
														if( ! isAlphaNumeric(tempsrvcntvendor, "Vendor"))
														{
															document.getElementById("srvcntvendor").focus();
															document.getElementById("srvcntvendor").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Hersteller\" ein");
														document.getElementById("srvcntvendor").focus();
														document.getElementById("srvcntvendor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'lease'">
													var templeasebyoamt	= document.getElementById("leasebyoamt").value;
													var templeasertfact		= document.getElementById("leasertfact").value;
													var tempeasefrmrktval	= document.getElementById("leasefrmrktval").value;
													var templeaselessor		= document.getElementById("leaselessor").value;
													
													if(templeasebyoamt != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasebyoamt) == true) || (templeasebyoamt &lt; 0) || (templeasebyoamt.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Aufkaufbetrag\", gelesen: " + templeasebyoamt);
															document.getElementById("leasebyoamt").focus();
															document.getElementById("leasebyoamt").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Aufkaufbetrag\" ein");
														document.getElementById("leasebyoamt").focus();
														document.getElementById("leasebyoamt").select();
														return false;
													}
													
													if(templeasertfact != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasertfact) == true) || (templeasertfact &lt; 0) || (templeasertfact.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl wurde erwartet f&#252;r \"Tarif-Faktor\", gelesen: " + templeasertfact);
															document.getElementById("leasertfact").focus();
															document.getElementById("leasertfact").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Tarif-Faktor\" ein");
														document.getElementById("leasertfact").focus();
														document.getElementById("leasertfact").select();
														return false;
													}
													
													if(tempeasefrmrktval != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempeasefrmrktval) == true) || (tempeasefrmrktval &lt; 0) || (tempeasefrmrktval.indexOf(".") != "-1") )
														{
															alert("Fehler! Ganze Zahl erwartet f&#252;r \"Marktwert\", gelesen: " + tempeasefrmrktval);
															document.getElementById("leasefrmrktval").focus();
															document.getElementById("leasefrmrktval").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Marktwert\" ein");
														document.getElementById("leasefrmrktval").focus();
														document.getElementById("leasefrmrktval").select();
														return false;
													}
													
													if(templeaselessor != '')
													{
														if( ! isAlphaNumeric(templeaselessor, "Lessor"))
														{
															document.getElementById("leaselessor").focus();
															document.getElementById("leaselessor").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Leasingfirma\" ein");
														document.getElementById("leaselessor").focus();
														document.getElementById("leaselessor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'maintenance'">
													var tempmaintprovider	= document.getElementById("maintprovider").value;
													var tempmaintrest		= document.getElementById("maintrest").value;
													var tempextwsdate 		= document.getElementById("maintsdate").value;
													var tempextwedate 		= document.getElementById("maintedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->Startdatum darf nicht hinter Enddatum liegen.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->Startdatum und Enddatum d&#252;rfen nicht gleich sein.<!--XLATESTOP-->";

													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
													
													if(tempmaintprovider != '')
													{
														if( ! isAlphaNumeric(tempmaintprovider, "Provider"))
														{
															document.getElementById("maintprovider").focus();
															document.getElementById("maintprovider").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Anbieter\" ein");
														document.getElementById("maintprovider").focus();
														document.getElementById("maintprovider").select();
														return false;
													}
													
													if(tempmaintrest != '')
													{
														if( ! isAlphaNumeric(tempmaintrest, "Restrictions"))
														{
															document.getElementById("maintrest").focus();
															document.getElementById("maintrest").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Beschr&#228;nkungen\" ein");
														document.getElementById("maintrest").focus();
														document.getElementById("maintrest").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'support'">
													var tempsuphlpdesk	= document.getElementById("suphlpdesk").value;
													var tempsupautofix	= document.getElementById("supautofix").value;
													
													if(tempsuphlpdesk != '')
													{
														if( ! isAlphaNumeric(tempsuphlpdesk, "Help Desk"))
														{
															document.getElementById("suphlpdesk").focus();
															document.getElementById("suphlpdesk").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Help-Desk\" ein");
														document.getElementById("suphlpdesk").focus();
														document.getElementById("suphlpdesk").select();
														return false;
													}
													
													if(tempsupautofix != '')
													{
														if( ! isAlphaNumeric(tempsupautofix, "Automatic Fix"))
														{
															document.getElementById("supautofix").focus();
															document.getElementById("supautofix").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Automatische Behebung\" ein");
														document.getElementById("supautofix").focus();
														document.getElementById("supautofix").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'system'">
													var tempsyspuserphone	= document.getElementById("syspuserphone").value;
													var tempsyslocation		= document.getElementById("syslocation").value;
													var tempsyspusername	= document.getElementById("syspusername").value;
													
													if(tempsyspuserphone != '')
													{
														if( ! isAlphaNumericPhone(tempsyspuserphone, "Primary User Phone"))
														{
															document.getElementById("syspuserphone").focus();
															document.getElementById("syspuserphone").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Prim&#228;res Benutzertelefon\" ein");
														document.getElementById("syspuserphone").focus();
														document.getElementById("syspuserphone").select();
														return false;
													}
													
													if(tempsyslocation != '')
													{
														if( ! isAlphaNumeric(tempsyslocation, "System Location"))
														{
															document.getElementById("syslocation").focus();
															document.getElementById("syslocation").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Systemstandort\" ein");
														document.getElementById("syslocation").focus();
														document.getElementById("syslocation").select();
														return false;
													}
													
													if(tempsyspusername != '')
													{
														if( ! isAlphaNumeric(tempsyspusername, "Primary User Name"))
														{
															document.getElementById("syspusername").focus();
															document.getElementById("syspusername").select();
															return false;
														}
													}
													else
													{
														alert("Geben Sie den Wert f&#252;r \"Prim&#228;rer Benutzername\" ein");
														document.getElementById("syspusername").focus();
														document.getElementById("syspusername").select();
														return false;
													}
												</xsl:when>
											</xsl:choose>
											return true;
										}
																																	
										function isAlphaNumeric(text, varname)
										{
											var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
											
											//Eliminate the spaces at the end
											while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("Fehler! Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", verwenden Sie nur Zeichen und Zahlen.");
												return false;
											}
											if(text.length > 63)
											{
												alert("\"" + varname + "\" kann nicht aus mehr als 64 Zeichen bestehen.");
												return false;
											}
											
											return true;
										}
										
										<xsl:if test="$arg = 'system'">											
											function isAlphaNumericPhone(text, varname)
											{
												var validValue = "-0123456789";
												var ok = "yes";
												var temp;
												
												//Eliminate the spaces at the end
												while(''+text.charAt(text.length-1)==' ')
												{
													text = text.substring(0,text.length-1);
												}
												
												for (var i=0; i&lt;text.length; i++)
												{
													temp = "" + text.substring(i, i+1);
													if (validValue.indexOf(temp) == "-1")
													{
														if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("Fehler! Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", nur mit [-] getrennte Zahlen verwenden.");
													return false;
					}
					
					return true;
				}
										</xsl:if>
									</script>
								</DataArea>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Zusammenfassung der Bestandsinformationen<!--XLATESTOP--></xsl:attribute>
							</PageTitle>					
							<PromptText ignoreoncli="true"><!--XLATESTART-->Klicken Sie auf das Element der Bestandsinformationen, das Sie anzeigen m&#246;chten.<!--XLATESTOP--></PromptText>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
								</Data>
							</CustomButton>
							<SummaryData>
								<xsl:apply-templates select="AssetInfo"/>
								<xsl:call-template name="OwnerInfo"/>
							</SummaryData>
						</DataArea>
					</xsl:otherwise>
		</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="List">
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Bestandsabschnitte<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Bestandsabschnitte<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Erwerbung<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=acquisition&amp;help=Acquisition</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Abschreibung<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=depreciation&amp;help=Depreciation</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informationen zur erweiterten Garantie<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=extwarranty&amp;help=ExtWarranty</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Leasing-Informationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=lease&amp;help=Lease</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Wartungsinformationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=maintenance&amp;help=Maintenance</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Outsourcing-Informationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=outsource&amp;help=OutSource</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Besitzer-Informationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=owner&amp;help=Owner</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Servicevertrag<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=servicecontract&amp;help=Service</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Zusammenfassung<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Support-Informationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=support&amp;help=Support</xsl:attribute>						</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Systeminformationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=system&amp;help=SystemInfo</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Garantie-Informationen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=warranty&amp;help=Warranty</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template match="AssetInfo">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="Acquisition">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
				<Section display="Erwerbung" name="Acquisition">
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Erwerbskosten<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Bezug auf Lieferschein Nr. (Frachtbrief)<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Bezug auf Auftragsnummer.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Unterzeichnender<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Installationsdatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Kaufdatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>	
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Hersteller<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Kosten verrechnet<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
									<xsl:attribute name="value"><!--XLATESTART-->Ja<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Nein<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Kostenstelle<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
						</Data>
					</ListData>
				</Section>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data type="editbox" name="acqpcost" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Erwerb	skosten<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqwbillnum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Bezug auf Lieferschein Nr. (Frachtbrief)<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqponum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Bezug auf Auftragsnummer<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqsignauth" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Unterzeichnender<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
					</Data>
					<Data type="date" name="acqinstalldate">
						<xsl:attribute name="display"><!--XLATESTART-->Installationsdatum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data type="date" name="acqprchsedate">
						<xsl:attribute name="display"><!--XLATESTART-->Kaufdatum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>	
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Hersteller<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
					</Data>
					<Data type="radio" name="omcnfgexpnsd" splcase="true">
						<xsl:attribute name="display"><!--XLATESTART-->Kosten verrechnet<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">Yes</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<ExtraItem type="radio" name="omcnfgexpnsd">
							<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
							<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='false'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
						</ExtraItem>
					</Data>
					<Data type="editbox" name="cstctr" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Kostenstelle<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="acqoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="omcnfgoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/OMConfig/@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="cstctroid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/CostCenter/@oid"/></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Warranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Garantie " name="Warranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Dauer<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Art der Einheit<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:choose>
										<xsl:when test="UnitType ='0'"><!--XLATESTART-->Tage<!--XLATESTOP--></xsl:when>
										<xsl:when test="UnitType ='1'"><!--XLATESTART-->Monate<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DisplayDate">
										<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Kosten<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="woid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="wduration" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Dauer<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="wunittype">
							<xsl:attribute name="display"><!--XLATESTART-->Art der Einheit<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="(UnitType ='0') or (UnitType ='1')">
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="UnitType = '0'"><xsl:attribute name="default">true</xsl:attribute>
										</xsl:if>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="UnitType = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
									</Choice>
								</xsl:when>
								<xsl:otherwise>
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Other</xsl:attribute>
										<xsl:attribute name="returnvalue"><xsl:value-of select="UnitType"/></xsl:attribute>
						<xsl:attribute name="default">true</xsl:attribute>
									</Choice>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="date" name="wedate">
							<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="wcost" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Kosten<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ExtWarranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Erweiterte Garantie " name="ExtWarranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Startdatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Kosten<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Anbieter<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data display="Startdatum" type="date" name="extwsdate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="Enddatum" type="date" name="extwedate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="Kosten" type="editbox" name="extwcost" size="29" maxlength="9">
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
						<Data display="Anbieter" type="editbox" name="extwprovider" size="29" maxlength="63">
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="extwoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="OwnerInfo">
		<Section display="Besitzer" name="owner">
			<ListData>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="OwnerType">
							<xsl:with-param name="type"><xsl:value-of select="/OMA/AssetInfo/OwnerShipCodes/Type"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Besitzername<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CorporateOwner/OwnerName"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Versicherung<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/Insurance/InsuranceCompany"/></xsl:attribute>
				</Data>
			</ListData>
		</Section>
	</xsl:template>
	<xsl:template match="Owner">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Besitzer" name="Owner">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="OwnerType">
										<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Besitzername<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Versicherung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="select" name="ownershiptype">
							<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="OwnerType">
								<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="corpownername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Besitzername<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="insurancecomp"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Versicherung<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="ownershipoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="OwnerShipCodes/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="corpowneroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="CorporateOwner/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="insuranceoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="Insurance/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="chassisprops1oid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template match="Depreciation">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Abschreibung" name="Depreciation">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Methode<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Dauer<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Art der Einheit - Dauer<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DurationUnitType">
										<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Prozentsatz<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="deproid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprmethod"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Methode<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprduration"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Dauer<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="depcdutype">
							<xsl:attribute name="display"><!--XLATESTART-->Art der Einheit - Dauer<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="DurationUnitType">
								<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="deprpercent"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Prozentsatz<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="SupportInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Support " name="SupportInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Outsourcing<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Outsourced"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="SupportType">
										<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Help-Desk<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Automatische Behebung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="supoutsrc" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Outsourcing<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Outsourced ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="supoutsrc">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Outsourced ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="suptype" type="select">
							<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="SupportType">
								<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data name="suphlpdesk" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Help-Desk<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
						</Data>
						<Data name="supautofix" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Automatische Behebung<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="supoid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Outsourcing">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Outsourcing " name="Outsourcing">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Problem-Komponente<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Service-Geb&#252;hr<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Unterzeichnender<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Anbietergeb&#252;hr<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->SLA-Stufe<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
				<ListData>
						<Data type="editbox" name="outsprobcomp" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Problem-Komponente<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsservfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Service-Geb&#252;hr<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outssigna" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Unterzeichnender<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsprovfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Anbietergeb&#252;hr<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsslalvl" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->SLA-Stufe<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="outsoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="ServiceContract">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Wartungsvertrag" name="Service Contract">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Erneuert<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Renewed"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Hersteller<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData >
						<Data type="radio" name="srvcntrenewed" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Erneuert<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Renewed ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="srvcntrenewed">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Renewed ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="srvcnttype" type="editbox"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
						</Data>
						<Data name="srvcntvendor" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Hersteller<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="servcroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="LeaseInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Leasing " name="LeaseInfo">
						<ListData>						
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Mehrfache Zeitpl&#228;ne<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="IsMultiSchedules"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Aufkaufbetrag<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Raten-Faktor<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Marktwert<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Leasingfirma<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="leasemschd" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Mehrfache Zeitpl&#228;ne<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">Yes</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="IsMultiSchedules ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="leasemschd">
								<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="IsMultiSchedules ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data type="editbox" name="leasebyoamt" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Aufkaufbetrag<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leasertfact" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Raten-Faktor<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
						</Data>
						<Data type="date" name="leaseedate">
							<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="leasefrmrktval" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Marktwert<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leaselessor" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Leasingfirma<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="leaseoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="MaintInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Service " name="MaintInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Startdatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Anbieter<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Beschr&#228;nkungen<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="date" name="maintsdate">
							<xsl:attribute name="display"><!--XLATESTART-->Startdatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="date" name="maintedate">
							<xsl:attribute name="display"><!--XLATESTART-->Enddatum<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="maintprovider" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Anbieter<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="maintrest" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Beschr&#228;nkungen<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="maintoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="System" name="SystemInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->System-Startzeit<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Systemzeit<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Systemname<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Systemstandort<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Prim&#228;rer Benutzername<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Telefonnummer des prim&#228;ren Benutzers<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->System-Startzeit<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Systemzeit<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Systemname<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syslocation" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Systemstandort<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspusername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Prim&#228;rer Benutzername<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspuserphone" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Telefonnummer des prim&#228;ren Benutzers<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="sysoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DurationUnitType">
		<xsl:param name="unit"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<Choice returnvalue="0">
					<xsl:attribute name="value"><!--XLATESTART-->Monate<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '0'"><xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
				<Choice returnvalue="1">
					<xsl:attribute name="value"><!--XLATESTART-->Jahre<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '1'">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$unit = '0'"><!--XLATESTART-->Monate<!--XLATESTOP--></xsl:when>
					<xsl:when test="$unit = '1'"><!--XLATESTART-->Jahre<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SupportType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
			<xsl:choose>
				<xsl:when test="$edit = 'true'">
					<xsl:choose>
						<xsl:when test="($type = '0') or ($type = '1')">
							<Choice returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->Netzwerk<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
						</xsl:when>
						<xsl:otherwise>
							<Choice default="true">
								<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
							</Choice>
							<Choice  returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->Netzwerk<!--XLATESTOP--></xsl:attribute>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:attribute>
							</Choice>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$type = '0'"><!--XLATESTART-->Netzwerk<!--XLATESTOP--></xsl:when>
						<xsl:when test="$type = '1'"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template name="OwnerType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<xsl:choose>
					<xsl:when test="($type = '0') or ($type = '1') or ($type = '2')">
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Besitz<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Geleased<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Gemietet<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '2'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
					</xsl:when>
					<xsl:otherwise>
						<Choice default="true">
							<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
						</Choice>
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Besitz<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Geleased<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Gemietet<!--XLATESTOP--></xsl:attribute>
						</Choice>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$type = '0'"><!--XLATESTART-->Besitz<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '1'"><!--XLATESTART-->Geleased<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '2'"><!--XLATESTART-->Gemietet<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemClass">
		<xsl:param name="class"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">				
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Workstation<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">3</xsl:attribute>
					<xsl:if test="$class = '3'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Server<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">4</xsl:attribute>
					<xsl:if test="$class = '4'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Desktop<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">5</xsl:attribute>
					<xsl:if test="$class = '5'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Portable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">6</xsl:attribute>
					<xsl:if test="$class = '6'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->NetPC<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">7</xsl:attribute>
					<xsl:if test="$class = '7'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:if test="$class = '8'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Reserviert<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="$class = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$class = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="($class = '2') or ($class > '8') or ('0' &gt; $class)"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$class = '0'"><!--XLATESTART-->Reserviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '1'"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '3'"><!--XLATESTART-->Workstation<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '4'"><!--XLATESTART-->Server<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '5'"><!--XLATESTART-->Desktop<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '6'"><!--XLATESTART-->Portable<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '7'"><!--XLATESTART-->NetPC<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '8'"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>Unknown</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Befehl erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Befehls-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Befehl anstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Bestandsinfo-Objekt nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Bestandsinfo-Objekt verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Bestandsinfo-Objekt besteht bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Ung&#252;ltiger Parametername oder -wert <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
	
	<xsl:template name="DisplayDate">
		<xsl:param name="dateName"/>
		<xsl:choose>
			<xsl:when test="($dateName= '-1') or ($dateName='0')">
			     <xsl:text>Please set the value</xsl:text>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$dateName"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>