<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;ChassisProps1Oid=<xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/>&amp;ChassisProps2Oid=<xsl:value-of select="ChassisInfo/ChassisProps2/@oid"/>&amp;SystemInfoOid=<xsl:value-of select="ChassisInfo/SystemInfo/@oid"/></xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display">
					<xsl:choose>
						<xsl:when test="ChassisInfo/ChassisProps1/ChassName='Main System Chassis'">
							<!--XLATESTART-->Hauptsystemgeh&#228;use<!--XLATESTOP-->
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="ChassisInfo/ChassisProps1/ChassName"/></xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->Informationen<!--XLATESTOP-->
				</xsl:attribute>
			</PageTitle>
		<Header>Header</Header>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;help=Chassis</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData type="custom">
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
			<script language="javascript">
				function validate()
				{
					//Eliminate the spaces at the end
					while(document.dataarea.AssetTag.value.charAt(document.dataarea.AssetTag.value.length-1)==' ')
					{
						document.dataarea.AssetTag.value= document.dataarea.AssetTag.value.substring(0,document.dataarea.AssetTag.value.length-1);
					}
					if(!isAlphaNumeric(document.dataarea.AssetTag.value))
					{
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					if(document.dataarea.AssetTag.value.length > 10)
					{
						alert("Systemkennnummer kann nicht l&#228;nger als 10 Zeichen sein");
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					//Check to see if the chassis led is there
					<xsl:if test="//ChassisProps2/IdentifySupport='true'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							var pretimeout = <xsl:value-of select="//ChassisProps2/ChassIdentifyTimeout"/>;													var timeout 	= document.getElementById("timeout").value;
							if(isNaN(timeout) == true)
							{
								alert("Fehler! Ganzzahl f&#252;r Geh&#228;useidentifizierungs-Zeit&#252;berschreitung erwartet, gelesen: " + timeout );
								document.getElementById("timeout").value = pretimeout ;
								return false;
							}
							if(timeout &lt; 1) {
								alert("Fehler! Geh&#228;useidentifizierungs-Zeit&#252;berschreitung muss gr&#246;&#223;er als 0 sein, gelesen: " + timeout );
								document.getElementById("timeout").value = pretimeout ;								
								return false;
							}
							else
							{
								if(timeout.indexOf(".") != "-1")
						{
							alert("Fehler! Ganzzahl f&#252;r Zeit&#252;berschreitung der Geh&#228;useidentifizierung erwartet, gelesen: " + timeout );
									document.getElementById("timeout").value = pretimeout ;						
									return false;
								}
							}
						</xsl:if>
					</xsl:if>
					<xsl:if test="/OMA/Chassis/@oid != '2'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							if(!isAlphaNumeric(document.dataarea.ChassisName.value))
								{
									document.dataarea.ChassisName.focus();
									document.dataarea.ChassisName.select();
									return false;
								}
						</xsl:if>
					</xsl:if>
					return true;
				}
				function isAlphaNumeric(text) {
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							ok = "no";
						}
						//Check for space
						if(temp == " ")
						{
							ok = "yes";
						}
					}
					if (ok == "no")
					{
						alert("Fehler! Alphanumerische Zahl oder Symbol erwartet, gelesen: " + text);
						return false;
					}
					return true;
				}				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="/OMA/Chassis/@oid = '2'">
			<Data name="HostName">
				<xsl:attribute name="display"><!--XLATESTART-->Host-Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:apply-templates select="FirmwareList"/>
		<Data name="SystemModel" width="300">
			<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;use-Modell<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassModel"/></xsl:attribute>
		</Data>
		<Data name="ChassLock">
			<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;useschloss<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="ChassisProps1/ChassLockPresent='true'"><!--XLATESTART-->Vorhanden<!--XLATESTOP--></xsl:when>
					<xsl:when test="ChassisProps1/ChassLockPresent='false'"><!--XLATESTART-->Nicht vorhanden<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		
		<xsl:apply-templates select="ChassisProps2"/>				
		<xsl:if test="/OMA/Chassis/@oid != '2'">
			<Data name="ChassisName">
				<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;use-Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassName"/></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					 <xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">31</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		
		<xsl:if test="/OMA/BaseBoardList/@count > '0'">
			<xsl:apply-templates select="/OMA/BaseBoardList"/>
		</xsl:if>

			
		
		<xsl:if test="ChassisProps2/IdentifySupport='true'">
			<Data name="indentify" returnvalue="1" type="checkbox">
				<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;useidentifizierung<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:if test="ChassisProps2/ChassIdentifyState = '1'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="ChassisProps2/ChassIdentifyState = '1'">
								<xsl:attribute name="state">3</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>	
			</Data>
			<Data name="timeout">
				<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;useidentifizierungs-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps2/ChassIdentifyTimeout"/></xsl:attribute>
				<xsl:attribute name="unit"><!--XLATESTART-->Sekunden<!--XLATESTOP--></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
					<Data name="hdfault" type="checkbox">
						<xsl:attribute name="display"><!--XLATESTART-->Festplatten-Fehler l&#246;schen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</xsl:if>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault" type="select">
						<xsl:attribute name="display"><!--XLATESTART-->Blinken der Fehler-LED bei Schweregrad<!--XLATESTOP--></xsl:attribute>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Kritisch<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">16</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=16">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Warnung<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=8">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
					</Data>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault">
						<xsl:attribute name="display"><!--XLATESTART-->Blinkende Fehler-LED bei diesem Schweregrad<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="ChassisProps2/FaultLEDControl=8"><!--XLATESTART-->Warnung<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><!--XLATESTART-->Kritisch<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ChassisProps2">	
		<Data name="ServiceTag" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Geh&#228;use-Service-Tag-Nummer<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
		</Data>		
		<Data name="AssetTag">
			<xsl:attribute name="display">
					<xsl:choose>
					<xsl:when test="/OMA/BaseBoardList/BaseBoard">
						<!--XLATESTART-->Server Module Asset Tag<!--XLATESTOP-->
					</xsl:when>
					<xsl:otherwise><!--XLATESTART-->Geh&#228;use-Systemkennnummer<!--XLATESTOP-->
					</xsl:otherwise>
				    </xsl:choose>
				</xsl:attribute>
				
			<xsl:attribute name="value"><xsl:value-of select="AssetTag"/></xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="type">editbox</xsl:attribute>
				<xsl:attribute name="size">12</xsl:attribute>
				<xsl:attribute name="maxlength">10</xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	
	<xsl:template match="/OMA/BaseBoardList">
		<xsl:for-each select="BaseBoard">
			<xsl:if test="FeatureFlags/HostingBoard='true'">
				<Data name="BladeServiceTag" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Servermodul-Service-Tag-Nummer<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
				</Data>
				<Data name="BladeLocation" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Servermodul-Position<!--XLATESTOP--> </xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BoardLocation"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="FirmwareList">
		<xsl:apply-templates select="Firmware"/>
	</xsl:template>
	
	<xsl:template match="Firmware">
		<Data name="fwtype">
			<xsl:attribute name="display">
				<xsl:call-template name="getFWType">
					<xsl:with-param name="type">
						<xsl:value-of select="FWType"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>			
		</Data>
	</xsl:template>
	
	<xsl:template name="status2txt">
		<xsl:param name="Status"/>
		<xsl:choose>
			<xsl:when test="$Status=1"><!--XLATESTART-->Geh&#228;use ist offen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=2"><!--XLATESTART-->Geh&#228;use ist geschlossen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=3"><!--XLATESTART-->Geh&#228;use wurde ge&#246;ffnet<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getFWType">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='3'"><!-- XLATESTART-->BIOS-Version<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='4'"><!-- XLATESTART-->ESM-Firmware-Version<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='5'"><!-- XLATESTART-->Version der Netzteil-Parallelschaltungsplatine<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='6'"><!-- XLATESTART-->Backplane-Firmware-Version<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='7'"><!-- XLATESTART-->Kernel-Version<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='8'"><!-- XLATESTART-->Anwendungsversion<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='9'"><!-- XLATESTART-->Frontblenden-Controller-Version<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='10'"><!-- XLATESTART-->Version des Verwaltungs-Controllers der Basisplatine<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='11'"><!-- XLATESTART-->Version des hot-plug-f&#228;higen PCI-Controllers<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='12'"><!-- XLATESTART-->Version der Sensor-Dateneintr&#228;ge<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='13'"><!-- XLATESTART-->Version des externen Schachts der R&#252;ckwandplatine<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='14'"><!-- XLATESTART-->Version der sekund&#228;ren R&#252;ckwandplatine des PowerEdge 2450<!-- XLATESTOP--></xsl:when>			
			<xsl:otherwise><!-- XLATESTART-->Unbekannte Firmware-Version<!-- XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
