<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					
						
							
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetFanControlWebPlugin&amp;oid=<xsl:value-of select="/OMA/ChassisProps2/@oid"/>&amp;poid=2</xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->L&#252;ftersteuerung<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;poid=2&amp;help=FanControl</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<PromptText><!--XLATESTART-->W&#228;hlen Sie die gew&#252;nschte K&#252;hlungsart.<!--XLATESTOP--></PromptText>
							</xsl:if>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:apply-templates select="FanControl"/>
	</xsl:template>
	<xsl:template match="FanControl">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test=".='0'">
						<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Fehler! L&#252;ftersteuerungsfunktion nicht in diesem System gefunden.<!--XLATESTOP--></xsl:attribute></PageTitle>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->L&#252;ftersteuerung<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->K&#252;hlungsstufe<!--XLATESTOP--></xsl:attribute>
								<xsl:if test=".='1'">
									<xsl:attribute name="value"><!--XLATESTART-->Ruhiger Modus<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
								<xsl:if test=".='2'">
									<xsl:attribute name="value"><!--XLATESTART-->Max. K&#252;hlmodus<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test=".='0'">
						<ListData type="custom">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->L&#252;ftersteuerung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<TableData>
									<Header>
									<Data>
										<xsl:attribute name="value"><!--XLATESTART-->K&#252;hlungsstufe<!--XLATESTOP--></xsl:attribute>
									</Data>
									</Header>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="1">
											<xsl:attribute name="value"><!--XLATESTART-->Ruhiger Modus<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='1'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="2">
											<xsl:attribute name="value"><!--XLATESTART-->Max. K&#252;hlmodus<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='2'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
								</TableData>
							</xsl:when>
							<xsl:otherwise>
								<ListData type="custom">
									<Data width="250">
										<xsl:attribute name="display"><!--XLATESTART-->K&#252;hlungsstufe<!--XLATESTOP--></xsl:attribute>
										<xsl:if test=".='1'">
											<xsl:attribute name="value"><!--XLATESTART-->Ruhiger Modus<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
										<xsl:if test=".='2'">
											<xsl:attribute name="value"><!--XLATESTART-->Max. K&#252;hlmodus<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
									</Data>
								</ListData>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Fehler! Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Fehler! Befehl erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Fehler! Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Fehler! Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Fehler! Befehls-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Fehler! Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Fehler! Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Fehler! Befehl ausstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Fehler! Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Fehler! Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehler! Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fehler! Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Fehler! Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Fehler! Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Fehler! SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Fehler! Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Fehler! Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Fehler! Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Fehler! Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Fehler! Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Fehler! Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Fehler! Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Fehler! L&#252;ftersteuerungsfunktion nicht in diesem System gefunden.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Fehler! L&#252;ftersteuerungsobjekt verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Fehler! L&#252;ftersteuerungsobjekt existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Fehler! INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->Fehler! INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->Fehler! INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->Fehler! INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Fehler! INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Fehler! Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Fehler! Ung&#252;ltiger Parametername oder -wert</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Fehler! Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Fehler! XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Fehler! XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Fehler! XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Fehler! XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
