<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="Chassis/@display"/></xsl:attribute>
			</PageTitle>
			<ListData>
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="ChassisProps2/IdentifySupport">
			<xsl:if test="ChassisProps2 /IdentifySupport = 'true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Blinkzustand der Geh&#228;useidentifizierungs-LED<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '0'"><!--XLATESTART-->Aus<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '1'"><!--XLATESTART-->Blinken<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:otherwise><!--XLATESTART-->Nicht definiert<!--XLATESTOP-->
				              </xsl:otherwise>
			               </xsl:choose>
	 				</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Zeit&#252;berschreitungswert des Blinkens der Geh&#228;useidentifizierungs-LED<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ChassisProps2 /ChassIdentifyTimeout " /></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
		<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Festplatten-Fehler l&#246;schen<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Blinken der Fehler-LED bei Schweregrad<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
			 		<xsl:call-template name="FaultLEDSeverity">
						<xsl:with-param name="Severity">
  						<xsl:value-of select="ChassisProps2 /FaultLEDControl" /> 
  						</xsl:with-param>
					</xsl:call-template>
 				</xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="FaultLEDSeverity">
		<xsl:param name="Severity"/>
		<xsl:choose>
			<xsl:when test="$Severity = '8'"><!--XLATESTART-->Warnung<!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$Severity = '16'"><!--XLATESTART-->Kritisch<!--XLATESTOP-->
			</xsl:when>
			<xsl:otherwise><!--XLATESTART-->Nicht definiert<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
