<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->L&#252;ftersonden<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->L&#252;ftersonden<!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">
							</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanProbesWebPlugin&amp;poid=<xsl:value-of select="/OMA/FanProbeList/@poid"/>&amp;help=Fans</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisFans"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisFans"/></xsl:otherwise>
                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ChassisFans">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->Redundanz<!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->L&#252;fter-Redundanz<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/>
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Sonden-Liste<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->Klicken Sie zur Konfiguration der Schwellenwerte (falls anwendbar) auf den Sondennamen.<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Sonden-Liste <!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->Klicken Sie zur Konfiguration der Schwellenwerte (falls anwendbar) auf den Sondennamen.<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
						<xsl:otherwise>
							<PromptText><!--XLATESTART-->Klicken Sie zur Konfiguration der Schwellenwerte (falls anwendbar) auf den Sondennamen.<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(FanProbeList/FanProbe) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="FanProbeList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
<xsl:template match="FanProbeList">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					</Data>

					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Sondenname<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Sondenname<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Lesen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Lesen<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimaler Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimaler Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximaler Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximaler Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimaler Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimaler Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximaler Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximaler Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<!--Data name="" display="" value="" ignoreonweb="true"/-->
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Sondenname<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Sondenname<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Lesen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Lesen<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Warnungsschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Fehlerschwellenwert<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->Redundanz-Status<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->Anzahl der f&#252;r komplette Redundanz erforderlichen Ger&#228;te<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="FanProbe">
		<xsl:choose>
			<xsl:when test="(SubType != '1') and (SubType != '3')">
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:variable name="reading">
							<xsl:choose>
								<xsl:when test="ProbeReading = 'true'">
									<!--XLATESTART-->Ein<!--XLATESTOP-->
								</xsl:when>
								<xsl:otherwise>
									<!--XLATESTART-->Aus<!--XLATESTOP-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:attribute name="value"><xsl:value-of select="$reading"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$reading"/></xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Nicht anwendbar<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
				</Row>
			</xsl:when>
			<xsl:otherwise>
				<Row>
					<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
	<xsl:if test="((/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')) and (ProbeThresholds/LNCThreshold &gt; 0) and ( ProbeThresholds/UNCThreshold &gt; 0)">
							<xsl:attribute name="link">true</xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.EditFanProbeWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="@poid"/>&amp;help=EditFanProbe</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeReading &gt;= 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeReading"/><!--XLATESTART--> U/min<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/><!--XLATESTART--> U/min<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeReading &lt; 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART-->U/min<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</Row>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Voll<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->Herabgesetzt<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Verloren<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Befehl erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Befehls-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Befehl anstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Keine L&#252;ftersonde gefunden.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->L&#252;fter-Objekt verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->L&#252;fter-Objekt existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Ung&#252;ltiger Parametername oder -wert <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
