<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:apply-templates select="LRAList"/>
	</xsl:template>
	<xsl:template match="LRAList">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Warnungsma&#223;nahmen<!--XLATESTOP--></xsl:attribute>
			</PageTitle>

			<Header>Header</Header>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<PromptText><!--XLATESTART-->Klicken Sie zur Einstellung der Ma&#223;nahme auf den Ereignisnamen.<!--XLATESTOP--></PromptText>
			</xsl:if>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Ereignis<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Ereignis<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Signalton-Lautsprecher<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Signalton-Lautsprecher<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Konsolenwarnung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Konsolenwarnung<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Broadcast-Meldung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Broadcast-Meldung<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Anwendung ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Anwendung ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Absoluter Pfad zur Anwendung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Absoluter Pfad zur Anwendung<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:when>
					<xsl:otherwise>
						<Header>
							<Data name="Event">
								<xsl:attribute name="display"></xsl:attribute>
							</Data>
							<Data name="Action" colspan="7" underlined="true" align="center">
								<xsl:attribute name="display"><!--XLATESTART-->Derzeit aktive Ma&#223;nahme<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Derzeit aktive Ma&#223;nahme<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Header>
							<Data name=" " value="" width="300">
								<xsl:attribute name="display"><!--XLATESTART-->Ereignis<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Ereignis<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Signalton-Lautsprecher<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Signalton-Lautsprecher<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Warnung auf der Konsole <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Warnung auf der Konsole <!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Broadcast-Meldung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Broadcast-Meldung<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Anwendung ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Anwendung ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" ignoreonweb="true">
								<xsl:attribute name="display"><!--XLATESTART-->Absoluter Pfad zur Anwendung<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Absoluter Pfad zur Anwendung<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="LRAResponse"/>			
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<Row>
			<xsl:element name="Data">
				<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')"><xsl:attribute name="link">true</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
			</xsl:element>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ExecApp = 'true'">
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="EPFName"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->Nicht ausgew&#228;hlt<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Nicht ausgew&#228;hlt<!--XLATESTOP--></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->Netzteil kritisch<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->Temperatursonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->Temperatursonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->L&#252;ftersonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->L&#252;ftersonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->Spannungssonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->Spannungssonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->Stromzufuhrsonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->Stromzufuhrsonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->Geh&#228;useeingriff festgestellt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->Redundanz herabgesetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->Redundanz verloren<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->Speicher-Vorfehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->Speicherfehler<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getaction">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif-->/oma/images/check.gif</xsl:if>
		<xsl:if test="$status='false'">/oma/images/blank.gif</xsl:if>
	</xsl:template>
	<xsl:template name="getactiontxt">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif--><!--XLATESTART-->Ausgew&#228;hlt<!--XLATESTOP--></xsl:if>
		<xsl:if test="$status='false'"><!--XLATESTART-->Nicht ausgew&#228;hlt<!--XLATESTOP--></xsl:if>
	</xsl:template>
</xsl:stylesheet>
