<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Speicher<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<xsl:if test="OMAUserRights='7'">
					<xsl:if test="MemoryConfig and ((MemoryConfig/Capabilities/SpareBank!='false') or (MemoryConfig/Capabilities/Mirroring!='false'))"><xsl:attribute name="validate">true</xsl:attribute>
				<xsl:attribute name="onLoad">true</xsl:attribute>
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetMemConfigWebPlugin&amp;oid=<xsl:value-of select="MemoryConfig/@oid"/>&amp;poid=2</xsl:attribute>
				<script language="javascript">
				
					var memconfig;
					function validate()
					{
						var memconfig1;
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig1 = document.getElementById("dataarea").redconfg[i].value;
							}
						}
						if (memconfig1 == memconfig) {
							var confgval = ((memconfig1 == "2") ? "Disabled" : ((memconfig1 == "1") ? "SpareBank" : "Mirroring"));
							alert(confgval + " ist bereits eingestellt. Bitte bestimmen Sie einen anderen Wert.");
							return false;
						}
						else {
							alert("Der Server muss neu gestartet werden, damit die &#196;nderungen wirksam werden.");
							return true;
						}
					}
					
					function initializationRoutine()
					{
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig = document.getElementById("dataarea").redconfg[i].value;
							}
						}
					}
					
				</script>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="OMAUserRights='7'">
			<xsl:if test="ShutDownFlag='true'">
				<script language="javascript">
					function restart()
					{
						if (confirm("Haben Sie die Redundanz-Konfiguration beendet?")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8		&amp;action1=1';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2	&amp;help=Memory';
							document.getElementById("dataarea").submit();
						}	
					}
				</script>
			</xsl:if>
		</xsl:if>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Speicher<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		
		<CustomButton>
			<xsl:if test="OMAUserRights='7'">
				<xsl:if test="ShutDownFlag='true'">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->System neu starten<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>						
					</Data>			
				</xsl:if>
			</xsl:if>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:if test="MemoryConfig">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Speicherredundanz<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
			</SubHeader>
			<ListData>
				<xsl:apply-templates select="Redundancy"/>
				<xsl:apply-templates select="MemoryConfig"/>
			</ListData>
		</xsl:if>
		<xsl:call-template name="MemoryArray"/>
	</DataArea>
</xsl:template>

<xsl:template match="Redundancy">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->Redundanz-Status<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="RedStat">
			<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
		</xsl:call-template>
	</Data>
</xsl:template>

<xsl:template name="RedStat">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = 1">
			<xsl:attribute name="value"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 2">
			<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 3">
			<xsl:attribute name="value"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 4">
			<xsl:attribute name="value"><!--XLATESTART-->Voll<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 5">
			<xsl:attribute name="value"><!--XLATESTART-->Herabgesetzt<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 6">
			<xsl:attribute name="value"><!--XLATESTART-->Verloren<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="MemoryConfig">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->Failover-Zustand<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="FOS">
			<xsl:with-param name="state"><xsl:value-of select="FailOverState"/></xsl:with-param>
		</xsl:call-template>
	</Data>
	<xsl:choose>
		<xsl:when test="/OMA/@cli='true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Redundanz-Konfiguration<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="State='0'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='2'"><!--XLATESTART-->Datenspiegelung<!--XLATESTOP--></xsl:if>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="/OMA/OMAUserRights='7'">
					<xsl:choose>
						<xsl:when test="(Capabilities/SpareBank != 'false') or (Capabilities/Mirroring != 'false')">
							<Data>
								<xsl:attribute name="name">redconfg</xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->Redundanz-Konfiguration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
								<xsl:attribute name="returnvalue">2</xsl:attribute>
								<xsl:attribute name="state"><xsl:if test="State='0'">1</xsl:if></xsl:attribute>
							</Data>
							<xsl:for-each select="Capabilities/*">
							<xsl:if test=".='true'">
								<Data type="radio">
									<xsl:attribute name="name">redconfg</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									<xsl:attribute name="returnvalue">
										<xsl:if test="name()='SpareBank'">1</xsl:if>
										<xsl:if test="name()='Mirroring'">3</xsl:if>
									</xsl:attribute>
									<xsl:attribute name="state">
										<xsl:if test="name()='SpareBank'"><xsl:if test="/OMA/MemoryConfig/State='1'">1</xsl:if></xsl:if>
										<xsl:if test="name()='Mirroring'"><xsl:if test="/OMA/MemoryConfig/State='2'">1</xsl:if></xsl:if>
									</xsl:attribute>
								</Data>
							</xsl:if>			
						</xsl:for-each>				
						</xsl:when>
						<xsl:otherwise>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Redundanz-Konfiguration<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:attribute>
							</Data>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Redundanz-Konfiguration<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:if test="State='0'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='2'"><!--XLATESTART-->Datenspiegelung<!--XLATESTOP--></xsl:if>
						</xsl:attribute>
					</Data>		
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="FOS">
	<xsl:param name="state"/>
	<xsl:choose>
		<xsl:when test="$state = 0">
			<xsl:attribute name="value"><!--XLATESTART-->Nicht aktiv<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$state = 1">
			<xsl:attribute name="value"><!--XLATESTART-->Aktiv<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="MemoryArray">
	<TableData name="genprop">
		<xsl:attribute name="display"><!--XLATESTART-->Attribute von Speicher-Array(s)<!--XLATESTOP--></xsl:attribute>
		<SubHeader>
			<xsl:attribute name="display"><!--XLATESTART-->Attribute von Speicher-Array(s)<!--XLATESTOP--></xsl:attribute>
		</SubHeader>
		<Header>
			<xsl:choose>
				<xsl:when test="MemoryArrayList/@count='1'">
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Speicher-Array <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Speicher-Array <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
					</Data>		
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="MemoryArrayList/MemoryArray">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Speicher-Array <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Speicher-Array <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
						</Data>		
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		</Header>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Standort<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Standort<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->System- oder Hauptplatine<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->ISA-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->EISA-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->PCI-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->MCA-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='8'"><!--XLATESTART-->PMCIA-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='9'"><!--XLATESTART-->Propriet&#228;re Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='16'"><!--XLATESTART-->NuBus<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='160'"><!--XLATESTART-->PC-98/C20-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='161'"><!--XLATESTART-->PC-98/C24-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='162'"><!--XLATESTART-->PC-98/E-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='163'"><!--XLATESTART-->PC-98/Local Bus-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='164'"><!--XLATESTART-->PC-98/Kartensteckplatz-Zusatzkarte<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>	
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Verwenden<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Verwenden<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->Systemspeicher<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->Videospeicher<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->Flash-Speicher<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->Nichtfl&#252;chtiger RAM<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->Cache-Speicher<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Installierte Kapazit&#228;t<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Installierte Kapazit&#228;t<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display">
							<xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->H&#246;chstkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->H&#246;chstkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
		<Row>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Verf&#252;gbare Steckpl&#228;tze<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Verf&#252;gbare Steckpl&#228;tze<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="MemoryArrayList/MemoryArray">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
				</Data>			
			</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Verwendete Steckpl&#228;tze<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Verwendete Steckpl&#228;tze<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Fehlerkorrektur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ECC-Typ<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ErrCorrType='1'"><!--XLATESTART-->Anderes<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='3'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='4'"><!--XLATESTART-->Parit&#228;t<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='5'"><!--XLATESTART-->Einzel-Bit-ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='6'"><!--XLATESTART-->Multibit-ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='7'"><!--XLATESTART-->CRC<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>

		</TableData>
		<TableData name="totprop">
			<xsl:attribute name="display"><!--XLATESTART-->Gesamtzahl an Speicher-Arrays<!--XLATESTOP--></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Gesamtzahl an Speicher-Arrays<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->Installierte Gesamtkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Installierte Gesamtkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->Gesamte installierte Kapazit&#228;t, die dem Betriebssystem zur Verf&#252;gung steht<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Gesamte installierte Kapazit&#228;t, die dem Betriebssystem zur Verf&#252;gung steht<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->H&#246;chst-Gesamtkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->H&#246;chst-Gesamtkapazit&#228;t<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
	</TableData>
	
	<xsl:for-each select="MemoryArrayList/MemoryArray">
		<xsl:apply-templates select="MemPortConnList">
			<xsl:with-param name="memindex"><xsl:value-of select="@index"/></xsl:with-param>
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:template>	
	
<xsl:template match="MemPortConnList">
	<xsl:param name="memindex"/>
	<TableData>
		<xsl:attribute name="name">memarr<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<xsl:attribute name="display"><!--XLATESTART-->Steckplatz-Details des Speicher-Arrays<xsl:text disable-output-escaping="yes"> </xsl:text>
			<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><!--XLATESTOP-->
		</xsl:attribute>
		<PromptText><!--XLATESTART-->Klicken Sie auf den Steckplatznamen des Speicher-Arrays<xsl:text disable-output-escaping="yes"> </xsl:text><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><xsl:text disable-output-escaping="yes"> </xsl:text>, um die Details zum Speicherger&#228;t einsehen zu k&#246;nnen.<!--XLATESTOP--></PromptText>
		
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data align="center">
				<xsl:attribute name="display"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatzname<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Steckplatzname<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Gr&#246;&#223;e<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Gr&#246;&#223;e<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		
		<xsl:for-each select="PortGeneric">
			<xsl:sort select="ExtName" order="ascending"/>
			<xsl:call-template name="portgeneric">
				<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>     

	</TableData>
</xsl:template>

<xsl:template name="portgeneric">
<xsl:param name="index"/>
<Row>
	<Data ignoreonweb="true">
		<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="status" align="center">
		<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		<xsl:call-template name="link"/>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="occupied"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="size"><xsl:with-param name="unit"><xsl:value-of select="MemoryDevice/SizeMB/@unit"/></xsl:with-param></xsl:call-template></xsl:attribute>
	</Data>
</Row>
</xsl:template>

<xsl:template name="link">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=MemoryDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="occupied">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:call-template name="Type"/>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->Nicht belegt<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="size">
	<xsl:param name="unit"/>
	<xsl:choose>
		<xsl:when test="IsOccupied='true'"><xsl:value-of select="MemoryDevice/SizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
			<xsl:choose>
				<xsl:when test="$unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
				<xsl:otherwise><xsl:value-of select="$unit"/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/MemoryArrayList/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemoryDevice/MemDevType= '1'"><!--XLATESTART-->ANDERES<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '2'"><!--XLATESTART-->UNBEKANNT<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="MemoryDevice/TypeDetail= '1'">-<!--XLATESTART-->ANDERES<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '2'">-<!--XLATESTART-->UNBEKANNT<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '3'">-<!--XLATESTART-->FAST PAGE<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '4'">-<!--XLATESTART-->STATISCHE KOL.<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '5'">-<!--XLATESTART-->PSEUDO-STATISCH<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '7'">-<!--XLATESTART-->SYNCHRON<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '11'">-<!--XLATESTART-->CACHE-DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '12'">-<!--XLATESTART-->NICHT FL&#220;CHTIG<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Befehls-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Befehl anstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Speicherobjekt nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Speicherobjekt verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Speicherobjekt existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Ung&#252;ltiger Parametername oder -wert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <xsl:value-of select="$status"/><!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
