<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="onLoad">
				<xsl:attribute name="onLoad"><!--XLATESTART-->true<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="callerReplace">true</xsl:attribute>
				<xsl:attribute name="paramReplaced">onload</xsl:attribute>
				<xsl:attribute name="paramReplacing">load</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#196;nderungen anwenden<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->SNMP-Konfiguration<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->SNMP-Root-Kennwort konfigurieren.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPconfgWebPlugin&amp;help=snmp</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Benutzer: <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">root</xsl:attribute>
				</Data>
				<Data name="oldpwd" editable="true" id="oldpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Altes Root-Kennwort:<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="newpwd" editable="true" id="newpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Neues Root-Kennwort:<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="confnewpwd" editable="true" id="confnewpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Neues Root-Kennwort best&#228;tigen:<!--XLATESTOP--></xsl:attribute>
				</Data>
			</ListData>
			<ListData>
				<Data  display=" "  type="hidden" state="" align="left">
					<xsl:attribute name="name">caller</xsl:attribute>
					<xsl:attribute name="returnvalue">none</xsl:attribute>
				</Data>
			</ListData>
			<Table-Data>
				<PromptText><!--XLATESTART-->SNMP-Warnmeldung aktivieren.<!--XLATESTOP--></PromptText>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->SNMP-Warnmeldung<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP-Warnmeldung<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">snmp_warn_msg</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP-Warnmeldung aktivieren<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</Row>
			</Table-Data>
			
			<script language="javascript">
			
				<xsl:if test="onLoad">
					function initializationRoutine()
					{
						alert("SNMP-Root-Kennwort erfolgreich festgelegt.");
					}
				</xsl:if>
				
				
				function validate()
				{
					var oldpwd = document.getElementById("oldpwd").value;
					var newpwd = document.getElementById("newpwd").value;
					var confnewpwd = document.getElementById("confnewpwd").value;
					
					if (oldpwd == "")
					{
						alert("Das Feld \"Altes Root-Kennwort\" darf nicht leer sein.");
						document.getElementById("oldpwd").focus();
					}
					else if (newpwd == "")
					{
						alert("Das Feld \"Neues Root-Kennwort\" darf nicht leer sein.");
						document.getElementById("newpwd").focus();
					}
					else if (confnewpwd == "")
					{
						alert("Das Feld \"Neues Root-Kennwort best&#228;tigen\" darf nicht leer sein.");
						document.getElementById("confnewpwd").focus();
					}
					else 
					{
						if(newpwd != confnewpwd) 
								{	
									alert("Neue Root-Kennwortfelder stimmen nicht &#252;berein.");
									document.getElementById("confnewpwd").value = "";
									document.getElementById("confnewpwd").focus();						
								}
							else
								{
									document.getElementById("caller").value=document.location.href;
									return true;
								}							
					}
							return false;
						}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
