<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="(SMStatus = '0' ) or (BIOSSetupListCount &gt; 0) ">
				<xsl:call-template name="success"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="failure"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="failure">
		<DataArea>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus = '256'">
						<xsl:attribute name="display"><!--XLATESTART-->Fehler! Nein <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><!--XLATESTART-->Fehler! <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
		</DataArea>
	</xsl:template>
	<xsl:template name="success">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->BIOS-Setup<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="OMAUserRights='7'">
					<PromptText><!--XLATESTART-->Klicken Sie auf jedes BIOS-Setupobjekt, um dessen Zustand festzusetzen.<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Einstellung<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Einstellung<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:for-each select="BIOSSetupList/BIOSSetup">
					<Row>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:value-of select="ObjName"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/OMAUserRights='7'">
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=BiosSetup</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</Data>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:call-template name="state"><xsl:with-param name="type"><xsl:value-of select="@objtype"/></xsl:with-param><xsl:with-param name="state"><xsl:value-of select="State"/></xsl:with-param><xsl:with-param name="objname"><xsl:value-of select="ObjName"/></xsl:with-param></xsl:call-template></xsl:attribute>
						</Data>
					</Row>
				</xsl:for-each>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="state">
		<xsl:param name="type"/>
		<xsl:param name="state"/>
		<xsl:param name="objname"/>
		<xsl:choose>
			<xsl:when test="$type='241'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Automatisch<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Schreibgesch&#252;tzt<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='242'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Aktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Aktiviert ohne PXE<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='246'">
				<xsl:if test="$objname='OnBoard RAID'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Primary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Ein<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Secondary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Ein<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$type='247'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Zuerst Diskette<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Nur Festplatte<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Ger&#228;teliste<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->CD-ROM zuerst, dann andere<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='249'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->LPT1-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->LPT2-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->LPT3-Modus<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='250'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->AT-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->PS2-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->ECP-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->EPP-Modus<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='251'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Automatisch<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->COM1-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->COM2-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->COM3-Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='6'"><!--XLATESTART-->COM4-Modus<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='252'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Ein<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Niedrig<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Mittlere Geschwindigkeit<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->Hoch<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='253'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Deaktivieren<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->WOL f&#252;r in Erweiterungssteckplatz gesteckte NIC aktivieren<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->WOL f&#252;r integrierte NIC aktivieren<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->WOL f&#252;r Add-In aktivieren und<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='244'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Aktiviert<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='260'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Aktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Aktiviert mit BIOS-Support<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Aus<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Ein<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Befehl-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Befehl anstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Auf diesem System gefundenes BIOS-Setup.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->BIOS-Setup verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->BIOS-Setup existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Ung&#252;ltiger Parametername oder -wert <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
