<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus[0] = '0' or SMStatus[1] = '0'">
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Schnittstellen<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Schnittstelle<!--XLATESTOP--> <xsl:value-of select="Port/@index" /><xsl:text> </xsl:text><!--XLATESTART-->Informationen<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Aktualisieren">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortWebPlugin&amp;oid=<xsl:value-of select="Port/@oid"/></xsl:attribute>
					</Data>
				</CustomButton>
				<ListData>
					<xsl:apply-templates select="Port"/>
					<xsl:apply-templates select="PortDevice"/>
				</ListData>			
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Schnittstellen-Informationen<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->Schnittstellen-Informationen nicht gefunden. Index ist u.U. ung&#252;ltig<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Schnittstellen-Informationen nicht gefunden<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="Port">
	<Data name="ExtName"  editable="false" type="ustring">
		<xsl:attribute name="display"><!--XLATESTART-->Externer Name<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
	</Data>
	<xsl:choose>
		<xsl:when test="ExtName='PARALLEL'">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->E/A-Basisadresse<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ-Stufe<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatztyp<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->IEEE 1284<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->PC-98-Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='163'"><!--XLATESTART-->PC-98 - Anmerkung<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='164'"><!--XLATESTART-->PC-98 - Voll<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="ConnectorPinout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatz-Stiftbelegung<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorPinout='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='3'"><!--XLATESTART-->DB-25-Buchse - IEEE1284-A-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='4'"><!--XLATESTART-->DB-25-Stecker; IEEE 1284-A-Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='5'"><!--XLATESTART-->Centronics - IEEE 1284-B-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='6'"><!--XLATESTART-->Mini-Centronics - IEEE 1284-C-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='7'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='161'"><!--XLATESTART-->DB-36-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->F&#228;higkeiten<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="Capabilities/XT_AT='true'"><!--XLATESTART-->XT AT<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PS2='true'"><!--XLATESTART-->PS2<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/ECP='true'"><!--XLATESTART-->ECP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/EPP='true'"><!--XLATESTART-->EPP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98='true'"><!--XLATESTART-->PC-98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98_HIRESO='true'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PCH98='true'"><!--XLATESTART-->PC-H98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
				</xsl:attribute>
			</Data>
			<Data name="DmaSupported"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->DMA-unterst&#252;tzt<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="DmaSupported='true'"><!--XLATESTART-->Ja<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Nein<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Sicherheits-Einstellungen<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Externe Schnittstelle blockiert<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Externe Schnittstelle aktiviert<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Start-Umgehung<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:when test="starts-with(ExtName,'SERIAL')">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->E/A-Basisadresse<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ-Stufe<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatztyp<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9-Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25-Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='10'"><!--XLATESTART-->runder Din-8-Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='11'"><!--XLATESTART-->runde Din-8-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->F&#228;higkeiten<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->16450-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->16550-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->16550A-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->8251-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->8251FIFO-kompatibel<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="MaxSpeed"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->H&#246;chstgeschwindigkeit<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Sicherheits-Einstellungen<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Externe Schnittstelle blockiert<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Externe Schnittstelle aktiviert<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Start-Umgehung<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatztyp<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Mikro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Infrarot<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Zugriffs-Bus/USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Sicherheits-Einstellungen<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Externe Schnittstelle blockiert<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Externe Schnittstelle aktiviert<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SmbiosConnType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->SMBIOS Steckplatz-Typ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25-poliger Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25-polige Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15-poliger Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15-polige Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9-poliger Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9-polige Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50-polige MiniSCSI<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Mikro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrarot<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Zugriffs-Bus (USB)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA-SCSI<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->runder Din-8-Stecker<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->runde Din-8-Buchse<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->integrierte IDE<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->Integrierte Diskette<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9-polig mit zwei Kontaktreihen (Stift 10 gekappt)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25-polig mit zwei Kontaktreihen (Stift 26 gekappt)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50-polig mit zwei Kontaktreihen<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68-polig mit zwei Kontaktreihen<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->Integrierter Toneingang von CD-ROM<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-Buchse (Kopfh&#246;rer)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 - Anmerkung<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 - Voll<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="IsOccupied"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Belegt<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="IsOccupied='true'"><!--XLATESTART-->Ja<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Nein<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="PortDevice">
	<xsl:if test="TypeName">
		<Data name="TypeName"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="TypeName">
		<Data name="Layout"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Layout<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="PointingDevType">
		<Data name="PointingDevType"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Zeigeger&#228;tetyp<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="PointingDevType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='3'"><!--XLATESTART-->Seriell<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='5'"><!--XLATESTART-->Infrarot<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='160'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='161'"><!--XLATESTART-->Mikro-DIN<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='162'"><!--XLATESTART-->Zugriffs-Bus/USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="NumButtons">
		<Data name="NumButtons"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Anzahl der Schaltfl&#228;chen<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
		</Data>
	</xsl:if>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
