<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus !='0'">
			<DataArea>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Keine Schnittstellen-Information gefunden.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Keine Schnittstellen-Information gefunden.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Schnittstellen-Information<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Aktualisieren">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText><!--XLATESTART--><!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="PortsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="PortsList">
	<TableData name="" display="" columnspacing="true">
		<Header>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Anschlusstyp<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Anschlusstyp<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Externer Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Externer Name<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->A-Basisadresse<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->A-Basisadresse<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ-Stufe<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IRQ-Stufe<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatztyp<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Steckplatztyp<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->H&#246;chstgeschwindigkeit<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->H&#246;chstgeschwindigkeit<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Port"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Port">
	<Row>
		<Data name="PortType"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@objtype='192'"><!--XLATESTART-->Parallel<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='193'"><!--XLATESTART-->Seriell<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='194'"><!--XLATESTART-->Zeigeger&#228;t<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='195'"><!--XLATESTART-->Tastatur<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='196'"><!--XLATESTART-->Prozessor<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='197'"><!--XLATESTART-->Speicherger&#228;t<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='198'"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='199'"><!--XLATESTART-->Monitor<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='200'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring" align="left">
			<xsl:attribute name="value"><xsl:value-of select="ExtName" /></xsl:attribute>
		</Data>
		<Data name="BaseIOAddr"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="BaseIOAddr = '0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="BaseIOAddr"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name="IrqLevel"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IrqLevel= '0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="IrqLevel"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<xsl:choose>
			<!-- objtype 192 is for parallel port-->
			<xsl:when test="@objtype='192'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-25-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-25-Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Mini-Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->DB-36-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:when>
			<!-- objtype 193 is for serial port-->
			<xsl:when test="@objtype='193'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9-Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25-Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='10'"><!--XLATESTART-->Runder Din-8-Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='11'"><!--XLATESTART-->Runde Din-8-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring">
					<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data name="SmbiosConnType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Kein(e)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25-poliger Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25-polige Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15-poliger Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15-polige Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9-poliger Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9-polige Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50-polige MiniSCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Mikro-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrarot<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Zugriffs-Bus (USB)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA-SCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->Runder Din-8-Stecker<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->Runde Din-8-Buchse<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->Integrierte IDE<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->Integrierte Diskette<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9-polig mit zwei Kontaktreihen (Stift 10 gekappt)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25-polig mit zwei Kontaktreihen (Stift 26 gekappt)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50-polig mit zwei Kontaktreihen<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68-polig mit zwei Kontaktreihen<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->Integrierter Toneingang von CD-ROM<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-Buchse (Kopfh&#246;rer)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 - Anmerkung<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 - Voll<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:otherwise>
		</xsl:choose>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
