<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<xsl:choose>
		<xsl:when test="@cli='true'"><xsl:call-template name="cli"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="web"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="web">	
	<xsl:choose>
		<xsl:when test="OMAUserRights='7'"><xsl:call-template name="edit"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="view"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="edit">
	<DataArea validate="true">
		<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;oid=<xsl:value-of select="HostControl/@oid"/></xsl:attribute>
		<xsl:attribute name="submitdisplay"><!--XLATESTART-->Herunterfahren<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
			
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->Betriebssystem-Herunterfahren ist deaktiviert<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->Betriebssystem-Herunterfahren ist deaktiviert<!--XLATESTOP-->
				</PromptText>
			</xsl:when>
			<xsl:otherwise>
				<TableData name="osshutdown">
					<xsl:attribute name="display"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="name">os</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Betriebssystem zuerst herunterfahren<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:attribute name="state"><xsl:call-template name="OSselect1"/></xsl:attribute>
						</Data>
					</Row>
				</TableData>			
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/Reboot='false') and (HostControl/Settings/Reboot='false') and (HostControl/Capabilities/PwrOff='false') and (HostControl/Settings/PwrOff='false') and (HostControl/Capabilities/PwrCycle='false') and (HostControl/Settings/PwrCycle='false')">				
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->Die Ma&#223;nahme Remote-Herunterfahren ist deaktiviert<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->Die Ma&#223;nahme Remote-Herunterfahren ist deaktiviert<!--XLATESTOP-->
				</PromptText>				
			</xsl:when>
			<xsl:otherwise>
				<TableData name="rshutdownaction">
					<xsl:attribute name="display"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:call-template name="edit1"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
		
		<script language="javascript">
			function validate(){
				<xsl:choose>				
					<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
						if (confirm("Wollen Sie wirklich mit dem Vorgang Remote-Herunterfahren fortfahren?")){
							return true;
						}
						else{
							return false;
						}				
					</xsl:when>
					<xsl:otherwise>
						if (document.getElementById("dataarea").os.checked == true){
							if (confirm("Wollen Sie mit dem Vorgang Entferntes Herunterfahren wirklich fortfahren?")){
								return true;
							}
							else{
								return false;
							}	
						}
						else {
							if (confirm("Sie haben ausgew&#228;hlt, das Betriebssystem nicht zuerst herunterzufahren. Dies kann zu Datensch&#228;den bzw. -verlust f&#252;hren. Sind Sie sich sicher?")){
								return true;
							}
							else{
								return false;
							}	
						}
						
					</xsl:otherwise>
				</xsl:choose>
				
			}								
		</script>
			
	</DataArea>
</xsl:template>
<xsl:template name="edit1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="returnvalue">1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->System neu starten<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="rebootselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->System ausschalten<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">2</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="poweroffselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->System aus- und einschalten<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">4</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="powercycleselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
</xsl:template>
<xsl:template name="rebootselect1">
<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">1</xsl:when>
			</xsl:choose>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="powercycleselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="OSselect1">
<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:otherwise>1</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="view">
	<DataArea>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Herunterfahren<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData name="osshutdown">
			<xsl:attribute name="display"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Betriebssystem-Herunterfahren<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="name">os</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Betriebssystem zuerst herunterfahren<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:attribute name="state"><xsl:call-template name="OSselect"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
		<TableData name="rshutdownaction">
			<xsl:attribute name="display"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Ma&#223;nahme Remote-Herunterfahren<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="view1"/>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="view1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">Reboot</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->System neu starten<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">1</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="rebootselect"/></xsl:attribute>
		</Data>
	</Row>
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerOff</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->System ausschalten<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">2</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="poweroffselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerCycle</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->System aus- und einschalten<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">4</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="powercycleselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>	
</xsl:template>
<xsl:template name="rebootselect">
	<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
	<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
	<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">3</xsl:when>
				<xsl:otherwise>2</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="powercycleselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="OSselect">
	<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>3</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="cli">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Herunterfahren<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="HostControl/Settings/Reboot='false'">
				<xsl:choose>
					<xsl:when test="HostControl/Settings/PwrOff='false'">
						<xsl:choose>
							<xsl:when test="HostControl/Settings/PwrCycle='false'">
								<xsl:choose>
									<xsl:when test="HostControl/Settings/OSShutdown='false'">
										<ListData>
											<Data value="None">
												<xsl:attribute name="display"><!--XLATESTART-->Die Ma&#223;nahme Herunterfahren steht an<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ListData>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="cliotherwise"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="cliotherwise"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="cliotherwise"/>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="cliotherwise"/>				
			</xsl:otherwise>
		</xsl:choose>
	</DataArea>
</xsl:template>


<xsl:template name="cliotherwise">
	<ListData>
		<xsl:for-each select="HostControl/Capabilities/*">
			<xsl:if test=".='true'">
				<xsl:call-template name="cliotherwise1">
					<xsl:with-param name="name1"><xsl:value-of select="name()"/></xsl:with-param>
				</xsl:call-template>
			</xsl:if>	
		</xsl:for-each>
	</ListData>	
</xsl:template>

<xsl:template name="cliotherwise1">
	<xsl:param name="name1"/>
	<xsl:for-each select="/OMA/HostControl/Settings/*">
		<xsl:if test="$name1=name()">
			<xsl:if test=".='true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Ma&#223;nahme Herunterfahren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$name1"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Befehl nicht erfolgreich<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Befehl nicht implementiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Inkorrekter Befehl<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Befehl-Zeit&#252;berschreitung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Befehl storniert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Befehl abgebrochen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Befehl anstehend<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Kein derartiges Ger&#228;t vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Ger&#228;t besetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Fehlerhaftes Ger&#228;t<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Unechter Interrupt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource gesperrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Ung&#252;ltiger Index<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB-Fehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Angeforderte Daten sind nicht verf&#252;gbar<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Angeforderte Daten &#252;bersteigen die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Angeforderte Daten sind weniger als die verf&#252;gbaren Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Ger&#228;t noch nicht zum Befehlsempfang bereit. Sp&#228;ter versuchen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Ger&#228;t hat keine Daten<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Ger&#228;t hat nicht gen&#252;gend Speicher<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Ger&#228;t existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Objekt nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Objekt verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Objekt existiert bereits<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI-Abschnitt existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI-Schl&#252;ssel existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Ungen&#252;gende Zugriffsrechte<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Ung&#252;ltiger Parametername oder -wert <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Nicht gen&#252;gend Speicher vorhanden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML-Datei nicht gefunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML-Knoten existiert nicht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML-Wert verformt, besch&#228;digt oder fehlerhaft<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
