<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Steckpl&#228;tze<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2&amp;help=Slots</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Informationen zu Steckplatz<!--XLATESTOP--><xsl:text> </xsl:text><xsl:value-of select="Slot/ExtName" /><xsl:text> </xsl:text><!--XLATESTART--><!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="Aktualisieren">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="Slot/@oid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<xsl:choose>
				<xsl:when test="SMStatus[1] = '0' or SMStatus[2] = '0'">
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Attribute<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Werte<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Werte<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="Slot"/>
					<xsl:apply-templates select="SlotDevice"/>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Keine Steckplatz-Informationen gefunden. Index ist u. U. ung&#252;ltig<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Keine Steckplatz-Informationen gefunden. Index ist u. U. ung&#252;ltig<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</xsl:otherwise>
			</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="Slot">
	<Row>
		<Data name="ID"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->ID<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->ID<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="ID_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="SlotID"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Type"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Typ<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Type_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Type='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='3'"><!--XLATESTART-->ISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='4'"><!--XLATESTART-->MCA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='5'"><!--XLATESTART-->EISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='6'"><!--XLATESTART-->PCI<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='7'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='8'"><!--XLATESTART-->VL VESA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='9'"><!--XLATESTART-->Propriet&#228;r<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='10'"><!--XLATESTART-->Prozessorkarte<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='11'"><!--XLATESTART-->Propriet&#228;re Speicherkarte<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='12'"><!--XLATESTART-->A-Kartenerweiterung<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='13'"><!--XLATESTART-->Nu-Bus<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='14'"><!--XLATESTART-->PCI 66Mhz<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='15'"><!--XLATESTART-->AGP<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='16'"><!--XLATESTART-->AGP 2X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='17'"><!--XLATESTART-->AGP 4X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='18'"><!--XLATESTART-->PCI X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='160'"><!--XLATESTART-->PC98 C20<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='161'"><!--XLATESTART-->PC98 C24<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='162'"><!--XLATESTART-->PC98 E<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='163'"><!--XLATESTART-->PC98 Local Bus<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='164'"><!--XLATESTART-->PC98-Karte<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Length"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Steckplatzl&#228;nge<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Steckplatzl&#228;nge<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Length_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Length='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='3'"><!--XLATESTART-->Kurz<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='4'"><!--XLATESTART-->Lang<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Speed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Geschwindigkeit<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Geschwindigkeit<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Speed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/SlotSpeed='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="HotPlugSystemSlot/SlotSpeed"/><xsl:text> </xsl:text><xsl:value-of select="HotPlugSystemSlot/SlotSpeed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Category"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Kategorie<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Kategorie<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Category_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Category='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='3'"><!--XLATESTART-->Bus-Anschluss<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='4'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='5'"><!--XLATESTART-->Hauptplatine<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsHotPlugCapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Hot-plug-f&#228;hig<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Hot-plug-f&#228;hig<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsHotPlugCapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/IsHotPlugCapable='true'"><!--XLATESTART-->Ja<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nein<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="VoltSupply"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Spannungsversorgung<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Spannungsversorgung<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="VoltSupply_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:if test="IsVolt33='true'"><!--XLATESTART-->3,3 Volt<!--XLATESTOP--><xsl:if test="IsVolt5='true'">, </xsl:if></xsl:if>
				<xsl:if test="IsVolt5='true'"><!--XLATESTART-->5 Volt<!--XLATESTOP--></xsl:if>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsShared"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Freigegebener Steckplatz<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Freigegebener Steckplatz<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsShared_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsShared='true'"><!--XLATESTART-->Ja<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nein<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCard16"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->PC-Karte-16<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->PC-Karte-16<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCard16_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCard16='true'"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht unterst&#252;tzt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCardBus"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Karten-Bus<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Karten-Bus<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCardBus_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCardBus='true'"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht unterst&#252;tzt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsZoomVideo"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Zoom-Video<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Zoom-Video<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsZoomVideo_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsZoomVideo='true'"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht unterst&#252;tzt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsModemRingResume"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Modem-Klingeln wiederaufnehmen<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Modem-Klingeln wiederaufnehmen<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsModemRingResume_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsModemRingResume='true'"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht unterst&#252;tzt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsPMECapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Stromverwaltung aktivieren (PME#) -Signal<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Stromverwaltung aktivieren (PME#) -Signal<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsPMECapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsPMECapable='true'"><!--XLATESTART-->Unterst&#252;tzt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht unterst&#252;tzt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="SlotDevice">
	<Row>
		<Data name="DeviceManufacturer"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Adapter-Hersteller<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Adapter-Hersteller<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceManufacturer_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Manufacturer"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDesc"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Adapter-Beschreibung<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Adapter-Beschreibung<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDesc_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="DeviceDesc"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDataBusWidth"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Adapter-Datenbusbreite<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Adapter-Datenbusbreite<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDataBusWidth_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="DataBusWidth = '0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="DataBusWidth"/> <!--XLATESTART-->Bit<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceSpeed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Adapter-Geschwindigkeit<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Adapter-Geschwindigkeit<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceSpeed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Speed='0'"><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
