<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Steckplatz-Informationen<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Keine Steckplatz-Informationen gefunden. Index ist u. U. ung&#252;ltig<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Keine Steckplatz-Informationen gefunden. Index ist u. U. ung&#252;ltig<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Steckplatz-Informationen<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Aktualisieren">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText ignoreoncli="true"><!--XLATESTART-->Klicken Sie auf eine Steckplatzkennung oder einen Adapternamen, um dessen Details einzusehen.<!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="SlotsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="SlotsList">
	<TableData columnspacing="true" name="" display="">
		<Header>
			<Data name="" editable="" type="" align="center" ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="" width="80">
				<xsl:attribute name="display"><!--XLATESTART-->Steckplatzkennung<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Steckplatzkennung<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Adapter<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Adapter<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Datenbusbreite<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Datenbusbreite<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Slot"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Slot">
	<Row>
		<Data name=""  display="" editable="false" align="center" ignoreonweb="true">
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
               		<xsl:when test="ExtName='Embedded'">
						<!--XLATESTART-->Integriert<!--XLATESTOP-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="ExtName"/>
					</xsl:otherwise>
            		</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotID!='0'">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=SlotDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="SlotDevice"><xsl:value-of select="SlotDevice/DeviceDesc" /></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Nicht belegt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotDevice">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotDeviceWebPlugin&amp;poid=<xsl:value-of select="@oid" />&amp;slotid=<xsl:value-of select="SlotID"/>&amp;help=Adapter</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='1'"><!--XLATESTART-->Andere<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='3'"><!--XLATESTART-->8 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='4'"><!--XLATESTART-->16 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='5'"><!--XLATESTART-->32 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='6'"><!--XLATESTART-->64 Bits<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='7'"><!--XLATESTART-->128 Bits<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Unbekannt<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
