<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle display="Interruptor de corriente alterna"/>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data>
								<xsl:attribute name="display">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<DataArea>
							<xsl:if test="(Redundancy/RedunStatus!='4') or (ACSwitchObj/Capabilities &gt; '1') or (/OMA/ACSwitchObj/RedundancyExpected = '1')">
			
				
					
						
							
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetACSwitchWebPlugin&amp;oid=<xsl:value-of select="ACSwitchObj/@oid"/>&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/></xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display">
									<xsl:choose>
										<xsl:when test="ACSwitchObj/ACSwitchName='AC Failover Switch'"><!--XLATESTART-->Conmutador de CA<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
										<xsl:attribute name="display"><!--XLATESTART-->Redundancia de interruptor de corriente alterna<!--XLATESTOP--></xsl:attribute>
										<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
							<script language="javascript">
								<xsl:if test="((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1'))">
									function setRedundancy()
									{
										document.getElementById("redundancy").value = "true";
									}
								</xsl:if>
								<xsl:if test="ACSwitchObj/Capabilities &gt; '1'">
									function setCapabilities()
									{
										document.getElementById("capabilities").value = "true";
									}
								</xsl:if>
							</script>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
									<xsl:attribute name="display"><!--XLATESTART-->Redundancia de interruptor de corriente alterna<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Estado de redundancia<!--XLATESTOP--></xsl:attribute>
			<xsl:call-template name="RedStatus">
				<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
			</xsl:call-template>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->N&#250;mero de dispositivos necesarios para redundancia total<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="ACSwitchObj">
		<xsl:call-template name="ACMode">
			<xsl:with-param name="mode"><xsl:value-of select="RedundancyExpected"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="ACConfig">
			<xsl:with-param name="settings"><xsl:value-of select="Settings"/></xsl:with-param>
			<xsl:with-param name="capabilities"><xsl:value-of select="Capabilities"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ACCordList">
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->L&#237;neas de corriente alterna<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->corriente alterna presente<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->corriente alterna presente<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Fuente activa<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Fuente activa<!--XLATESTOP--></xsl:attribute>	
				</Data>
			</Header>
			<xsl:apply-templates select="ACCord"/>
		</TableData>
	</xsl:template>
	<xsl:template match="ACCord">
		<Row>
			<Data type="status">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="ACCordName"/></xsl:attribute>
			</Data>
			<xsl:call-template name="ACPower">
				<xsl:with-param name="present"><xsl:value-of select="ACPresent"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="ACActive">
				<xsl:with-param name="active"><xsl:value-of select="ACActiveSrc"/></xsl:with-param>
			</xsl:call-template>
		</Row>
	</xsl:template>
	<xsl:template name="ACPower">
	<xsl:param name="present"/>
		<xsl:choose>
			<xsl:when test="$present = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Alimentaci&#243;n presente<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Alimentaci&#243;n ausente<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACActive">
	<xsl:param name="active"/>
		<xsl:choose>
			<xsl:when test="$active = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Activa<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->No activa<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Fuera de l&#237;nea<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Total<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->Degradado<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Perdida<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACMode">
		<xsl:param name="mode"/>
		<xsl:choose>
			<xsl:when test="(((/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')) and ((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1')))">
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Modo de redundancia<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Redundante<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="$mode = '2'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->No redundante<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue"><xsl:value-of select="$mode"/></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$mode='1'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$mode = '1'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Modo de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->No redundante<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:when test="$mode = '2'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Modo de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Redundante<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Modo de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACConfig">
		<xsl:param name="settings"/>
		<xsl:param name="capabilities"/>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')">
				<xsl:choose>
					<xsl:when test="$capabilities= '15'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, permanecer en l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, volver a l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, permanecer en l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, volver a l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="$settings = '8'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '7'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, permanecer en l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, volver a l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, permanecer en l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '3'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, permanecer en l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, volver a l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display">Configuraci&#243;n de redundancia</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Modo de entrada compartido<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, volver a l&#237;nea 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, permanecer en l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, volver a l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, permanecer en l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n de redundancia<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Modo de entrada compartido<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, volver a l&#237;nea 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, permanecer en l&#237;nea 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 2, tras restaurar redundancia, volver a l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Fuente de entrada l&#237;nea 1, tras restaurar redundancia, permanecer en l&#237;nea 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
				</Data>
				<Data type="hidden" name="capabilities" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Comando satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->No se encuentra el objeto de interruptor de corriente alterna<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Objeto de interruptor de corriente alterna mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->El objeto de interruptor de corriente alterna ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
