<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<xsl:choose>
		<xsl:when test="@cli='true'">
			<DataArea>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Error: Procesador no encontrado o ausente.<!--XLATESTOP--></xsl:attribute></PageTitle>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Procesadores<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cach&#233;<!--XLATESTOP--></xsl:attribute></PageTitle>
				<TableData>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data name=""  display="">
							<xsl:attribute name="value">
								<xsl:call-template name="smstatus">
									<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="success">
	<xsl:variable name="FoundExternal" select="count(CacheList/DevCache[Location='4'])"/>
	<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Procesadores<!--XLATESTOP--></xsl:attribute>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cach&#233;<!--XLATESTOP--></xsl:attribute></PageTitle>		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
		</CustomButton>		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n de cach&#233; del procesador en conector: <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="ProcessorConn/ExtName"/></xsl:attribute>	
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display">Cache <xsl:call-template name="count"/></xsl:attribute>
						<xsl:attribute name="value">Cache <xsl:call-template name="count"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="desc"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="desc"/></xsl:attribute>
						</Data>			
					</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Nivel<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nivel<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="level"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="level"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data >
						<xsl:attribute name="display"><!--XLATESTART-->Velocidad<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Velocidad<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</Row>
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tama&#241;o m&#225;ximo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tama&#241;o m&#225;ximo<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="maxsize"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="maxsize"/></xsl:attribute>
						</Data>
					</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tama&#241;o instalado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tama&#241;o instalado<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="installedsize"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="installedsize"/></xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="type"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="location"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="location"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Pol&#237;tica de escritura<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Pol&#237;tica de escritura<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="writepolicy"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="writepolicy"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Asociatividad<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Asociatividad<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="associativity"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="associativity"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Tipo admitido de dispositivo cach&#233;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Tipo admitido de dispositivo cach&#233;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Tipo actual de dispositivo cach&#233;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Tipo actual de dispositivo cach&#233;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Nombre de z&#243;calo externo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nombre de z&#243;calo externo<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="extsock"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="extsock"/></xsl:attribute>
						</Data>	
					</xsl:for-each>
				</Row>	
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tipo de correcci&#243;n de errores<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tipo de correcci&#243;n de errores<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="errcorr"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="errcorr"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
		</TableData>		
	</DataArea>
</xsl:template>
<xsl:template name="count">
	<xsl:choose>
		<xsl:when test="/OMA/CacheList/@count='1'"></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index" select="@index"/>
			<xsl:value-of select="number($index)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="desc">
	<xsl:if test="CacheStatus='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='3'"><!--XLATESTART-->Activada<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='4'"><!--XLATESTART-->Usuario desactivado<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='5'"><!--XLATESTART-->BIOS desactivado<!--XLATESTOP--></xsl:if>
</xsl:template>
<xsl:template name="level">
	<xsl:choose>
		<xsl:when test="CacheLevel= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '3'"><!--XLATESTART-->Principal<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '4'"><!--XLATESTART-->Secundaria<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '5'"><!--XLATESTART-->Terciaria<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="CacheType= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '3'"><!--XLATESTART-->Instrucci&#243;n<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '4'"><!--XLATESTART-->Datos<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '5'"><!--XLATESTART-->Unificado<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="location">
	<xsl:choose>
		<xsl:when test="Location= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '3'"><!--XLATESTART-->Interno<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '4'"><!--XLATESTART-->Externo<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="writepolicy">
	<xsl:choose>
		<xsl:when test="WritePolicy= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '3'"><!--XLATESTART-->Escritura no simult&#225;nea<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '4'"><!--XLATESTART-->Escritura simult&#225;nea<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '5'"><!--XLATESTART-->Var&#237;a con la direcci&#243;n<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="associativity">
	<xsl:choose>
		<xsl:when test="Associativity= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '3'"><!--XLATESTART-->Asignado directamente<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '4'"><!--XLATESTART-->Asociativa de conjunto de 2 v&#237;as<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '5'"><!--XLATESTART-->Asociativa de conjunto de 4 v&#237;as<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '6'"><!--XLATESTART-->Totalmente asociativa<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '7'"><!--XLATESTART-->Asociativa de conjunto de 8 v&#237;as<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '8'"><!--XLATESTART-->Asociativa de conjunto de 16 v&#237;as<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="supsram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="cursram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="extsock">
	<xsl:choose>
		<xsl:when test="IsSocketed='false'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="SocketExtName"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="errcorr">
	<xsl:choose>
		<xsl:when test="ErrCorrType= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '3'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '4'"><!--XLATESTART-->Paridad<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '5'"><!--XLATESTART-->ECC de un bit<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '6'"><!--XLATESTART-->ECC de bits m&#250;ltiples<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="maxsize">
	<xsl:choose>
		<xsl:when test="MaxSize='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="MaxSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="MaxSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="installedsize">
	<xsl:choose>
		<xsl:when test="InstalledSize='0'"><!--XLATESTART-->Desconocido o no instalado<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="InstalledSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="InstalledSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="pindex">		
	<xsl:variable name="pindex" select="CacheList/@pindex"/>
	<xsl:value-of select="number($pindex)+1"/>	
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->found/Cach&#233; no encontrada o ausente, n&#250;mero de &#237;ndice no v&#225;lido.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Cach&#233; mal formada, da&#241;ada o err&#243;nea<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->La cach&#233; ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
