<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;ChassisProps1Oid=<xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/>&amp;ChassisProps2Oid=<xsl:value-of select="ChassisInfo/ChassisProps2/@oid"/>&amp;SystemInfoOid=<xsl:value-of select="ChassisInfo/SystemInfo/@oid"/></xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display">
					<xsl:choose>
						<xsl:when test="ChassisInfo/ChassisProps1/ChassName='Main System Chassis'">
							<!--XLATESTART-->Chasis del sistema principal<!--XLATESTOP-->
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="ChassisInfo/ChassisProps1/ChassName"/></xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->Informaci&#243;n<!--XLATESTOP-->
				</xsl:attribute>
			</PageTitle>
		<Header>Header</Header>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;help=Chassis</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData type="custom">
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
			<script language="javascript">
				function validate()
				{
					//Eliminate the spaces at the end
					while(document.dataarea.AssetTag.value.charAt(document.dataarea.AssetTag.value.length-1)==' ')
					{
						document.dataarea.AssetTag.value= document.dataarea.AssetTag.value.substring(0,document.dataarea.AssetTag.value.length-1);
					}
					if(!isAlphaNumeric(document.dataarea.AssetTag.value))
					{
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					if(document.dataarea.AssetTag.value.length > 10)
					{
						alert("La etiqueta de propiedad no puede tener m&#225;s de 10 caracteres");
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					//Check to see if the chassis led is there
					<xsl:if test="//ChassisProps2/IdentifySupport='true'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							var pretimeout = <xsl:value-of select="//ChassisProps2/ChassIdentifyTimeout"/>;													var timeout 	= document.getElementById("timeout").value;
							if(isNaN(timeout) == true)
							{
								alert("Error: Se esperaba un n&#250;mero entero para el tiempo de espera de identificaci&#243;n de chasis, lectura: " + timeout );
								document.getElementById("timeout").value = pretimeout ;
								return false;
							}
							if(timeout &lt; 1) {
								alert("Error: El tiempo de espera de identificaci&#243;n de chasis debe ser superior a 0, lectura: " + timeout );
								document.getElementById("timeout").value = pretimeout ;								
								return false;
							}
							else
							{
								if(timeout.indexOf(".") != "-1")
														{
															alert("Error: Se esperaba un n&#250;mero entero para el tiempo de espera de identificaci&#243;n de chasis, lectura: " + timeout );
									document.getElementById("timeout").value = pretimeout ;						
									return false;
								}
							}
						</xsl:if>
					</xsl:if>
					<xsl:if test="/OMA/Chassis/@oid != '2'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							if(!isAlphaNumeric(document.dataarea.ChassisName.value))
								{
									document.dataarea.ChassisName.focus();
									document.dataarea.ChassisName.select();
									return false;
								}
						</xsl:if>
					</xsl:if>
					return true;
				}
				function isAlphaNumeric(text) {
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							ok = "no";
						}
						//Check for space
						if(temp == " ")
						{
							ok = "yes";
						}
					}
					if (ok == "no")
					{
						alert("Error: Se esperaba un valor alfanum&#233;rico o s&#237;mbolo, lectura: " + text);
						return false;
					}
					return true;
				}				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="/OMA/Chassis/@oid = '2'">
			<Data name="HostName">
				<xsl:attribute name="display"><!--XLATESTART-->Nombre de host<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:apply-templates select="FirmwareList"/>
		<Data name="SystemModel" width="300">
			<xsl:attribute name="display"><!--XLATESTART-->Modelo de chasis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassModel"/></xsl:attribute>
		</Data>
		<Data name="ChassLock">
			<xsl:attribute name="display"><!--XLATESTART-->Seguro del chasis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="ChassisProps1/ChassLockPresent='true'"><!--XLATESTART-->Presente<!--XLATESTOP--></xsl:when>
					<xsl:when test="ChassisProps1/ChassLockPresent='false'"><!--XLATESTART-->Ausente<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		
		<xsl:apply-templates select="ChassisProps2"/>				
		<xsl:if test="/OMA/Chassis/@oid != '2'">
			<Data name="ChassisName">
				<xsl:attribute name="display"><!--XLATESTART-->Nombre de chasis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassName"/></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					 <xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">31</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		
		<xsl:if test="/OMA/BaseBoardList/@count > '0'">
			<xsl:apply-templates select="/OMA/BaseBoardList"/>
		</xsl:if>

			
		
		<xsl:if test="ChassisProps2/IdentifySupport='true'">
			<Data name="indentify" returnvalue="1" type="checkbox">
				<xsl:attribute name="display"><!--XLATESTART-->Identificar chasis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:if test="ChassisProps2/ChassIdentifyState = '1'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="ChassisProps2/ChassIdentifyState = '1'">
								<xsl:attribute name="state">3</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>	
			</Data>
			<Data name="timeout">
				<xsl:attribute name="display"><!--XLATESTART-->Tiempo de espera de identificaci&#243;n de chasis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps2/ChassIdentifyTimeout"/></xsl:attribute>
				<xsl:attribute name="unit"><!--XLATESTART-->segundos<!--XLATESTOP--></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
					<Data name="hdfault" type="checkbox">
						<xsl:attribute name="display"><!--XLATESTART-->Borrar falla de unidad de disco duro<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</xsl:if>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault" type="select">
						<xsl:attribute name="display"><!--XLATESTART-->LED de falla parpadea con nivel de gravedad<!--XLATESTOP--></xsl:attribute>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Cr&#237;tica<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">16</xsl:attribute>
					<xsl:if test="ChassisProps2/FaultLEDControl=16">
						<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Advertencia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=8">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
					</Data>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault">
						<xsl:attribute name="display"><!--XLATESTART-->Hacer parpadear LED de falla en este nivel de gravedad<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="ChassisProps2/FaultLEDControl=8"><!--XLATESTART-->Advertencia<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><!--XLATESTART-->Cr&#237;tica<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ChassisProps2">	
		<Data name="ServiceTag" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Etiqueta de servicio del chasis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
		</Data>		
		<Data name="AssetTag">
			<xsl:attribute name="display">
				<xsl:choose>
				<xsl:when test="/OMA/BaseBoardList/BaseBoard">
					<!--XLATESTART-->Server Module Asset Tag<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise><!--XLATESTART-->Etiqueta de propiedad del chasis<!--XLATESTOP-->
				</xsl:otherwise>
			    </xsl:choose>
			</xsl:attribute>
			
			<xsl:attribute name="value"><xsl:value-of select="AssetTag"/></xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					<xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">10</xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	
	<xsl:template match="/OMA/BaseBoardList">
		<xsl:for-each select="BaseBoard">
			<xsl:if test="FeatureFlags/HostingBoard='true'">
				<Data name="BladeServiceTag" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Etiqueta de servicio del m&#243;dulo de servidor<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
				</Data>
				
				<Data name="BladeLocation" type="ustring">
					<xsl:attribute name="display"> <!--XLATESTART-->Ubicaci&#243;n del m&#243;dulo de servidor<!--XLATESTOP--> </xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BoardLocation"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="FirmwareList">
		<xsl:apply-templates select="Firmware"/>
	</xsl:template>
	
	<xsl:template match="Firmware">
		<Data name="fwtype">
			<xsl:attribute name="display">
				<xsl:call-template name="getFWType">
					<xsl:with-param name="type">
						<xsl:value-of select="FWType"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>			
		</Data>
	</xsl:template>
	
	<xsl:template name="status2txt">
		<xsl:param name="Status"/>
		<xsl:choose>
			<xsl:when test="$Status=1"><!--XLATESTART-->El chasis est&#225; abierto<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=2"><!--XLATESTART-->El chasis est&#225; cerrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=3"><!--XLATESTART-->El chasis se ha abierto previamente<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getFWType">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='3'"><!-- XLATESTART-->Versi&#243;n del BIOS<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='4'"><!-- XLATESTART-->Versi&#243;n del firmware de ESM<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='5'"><!-- XLATESTART-->Versi&#243;n de la placa paralela del suministro de energ&#237;a<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='6'"><!-- XLATESTART-->Versi&#243;n del firmware del plano posterior<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='7'"><!-- XLATESTART-->Versi&#243;n del n&#250;cleo<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='8'"><!-- XLATESTART-->Versi&#243;n de aplicaci&#243;n<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='9'"><!-- XLATESTART-->Versi&#243;n del controlador del panel anterior<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='10'"><!-- XLATESTART-->Versi&#243;n del controlador de administraci&#243;n de la placa base<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='11'"><!-- XLATESTART-->Versi&#243;n del controlador PCI de acoplamiento activo<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='12'"><!-- XLATESTART-->Versi&#243;n de los registros de datos del sensor<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='13'"><!-- XLATESTART-->Versi&#243;n del plano posterior del compartimento de perif&#233;rico<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='14'"><!-- XLATESTART-->Versi&#243;n del plano posterior secundario de PowerEdge 2450<!-- XLATESTOP--></xsl:when>			
			<xsl:otherwise><!-- XLATESTART-->Versi&#243;n del firmware desconocida<!-- XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
