<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:if test="(OMAUserRights = '7') or (OMAUserRights = '3')">
		<xsl:choose>
			<xsl:when test="SMStatus='0'"><xsl:apply-templates select="CurrentProbe"/></xsl:when>
			<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>
<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Sonda de corriente<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbe">
	<DataArea  backpagedisplay="Sondas de corriente" validate="true"  onLoad="true">
		<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetCurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;poid=<xsl:value-of select="@poid"/>&amp;help=ListCurrent</xsl:attribute>
		<PageTitle>PageTitle</PageTitle>
		<Header>Header</Header>
		<SubHeader>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="@status"/></xsl:attribute>
		</SubHeader>
		<CustomButton>
			<Data name="Refresh">
			<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.CurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="@poid"/>&amp;help=EditCurrentProbes
				</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:choose>
			<xsl:when test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
				<Guage digits="3">
					<xsl:attribute name="units"><!--XLATESTART-->mA<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="showdecsep"><!--XLATESTART-->,<!--XLATESTOP--></xsl:attribute>
					<Reading>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
						</xsl:call-template>
					</Reading>
					<MFThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MFThresh>
					<MXFThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MXFThresh>
					<MWThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MWThresh>
					<MXWThresh>
						<xsl:call-template name="calCrnt">
							<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</MXWThresh>
					<ListData>
						<Data display="Estado" type="status-text">
							<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
						</Data>
						<Data display="Lectura" reading="true">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
								</xsl:call-template>mA
							</xsl:attribute>
						</Data>
						<Data display="Umbral de falla m&#237;nimo">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
								</xsl:call-template>mA
							</xsl:attribute>
						</Data>
						<Data display="Umbral de falla m&#225;ximo">
							<xsl:attribute name="value">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
								</xsl:call-template>mA
							</xsl:attribute>
						</Data>
						<Data display="Valores de umbral" type="radio"  state="1">
							<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">default</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToDef()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Establecer como predeterminado<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data type="radio">
							<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">uservalues</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToVal()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Establecer en valores<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data display="Umbral de advertencia m&#237;nimo" type="editbox">
							<xsl:attribute name="textboxname">LNCVal</xsl:attribute>
							<xsl:attribute name="textboxvalue">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:attribute name="unit"> mA</xsl:attribute>
						</Data>
						<Data display="Umbral de advertencia m&#225;ximo" type="editbox">
							<xsl:attribute name="textboxname">UNCVal</xsl:attribute>
							<xsl:attribute name="textboxvalue">
								<xsl:call-template name="showcalCrnt">
									<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:attribute name="unit"> mA</xsl:attribute>
						</Data>
					</ListData>
				</Guage>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data name="plugin" type="hidden">
						<xsl:attribute name="returnvalue">com.dell.hip.webplugins.SetCurrentWebPlugin</xsl:attribute>
					</Data>
					<Data name="oid" type="hidden">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="type">status-text</xsl:attribute>
						<xsl:attribute name="name">Status</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> mA<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#237;nimo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"> <!--XLATESTART-->mA<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#225;ximo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> mA<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<Data display="Valores de umbral" type="radio"  state="1">
						<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">default</xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToDef()</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Establecer como predeterminado<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="radio">
						<xsl:attribute name="name">threshsetting</xsl:attribute>
							<xsl:attribute name="returnvalue">uservalues</xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setToVal()</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Establecer en valores<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display="Umbral de advertencia m&#237;nimo" type="editbox" size="6">
						<xsl:attribute name="name">LNCVal</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> mA<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display="Umbral de advertencia m&#225;ximo" type="editbox" size="6">
						<xsl:attribute name="name">UNCVal</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="showcalCrnt">
								<xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="unit"><!--XLATESTART--> mA<!--XLATESTOP--></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
		
		<script language="javascript" src="/oma/js/Probe.js" />
		
		<script language="javascript">
		
			var setToDefault	= true;
			var setToValues	= false;
			var UC;
			var LC;
			var preUNC;
			var preLNC;
			var UCTxt;
			var LCTxt;
			var preUNCTxt;
			var preLNCTxt;
			var toggleunivDecsep = <!--XLATESTART-->","<!--XLATESTOP-->; //In German , French and Spanish, change it to ",". In en, it should be ".".
			var togglelocalDecsep = <!--XLATESTART-->"."<!--XLATESTOP-->;//In German , French and Spanish, change it to ".".In en, it should be ",".
			var univDecsep = "."; // don't translate.
			var unit =  <!--XLATESTART-->"mA"<!--XLATESTOP-->;
			var multiplier = 1000;
			var lengthval = 4;
			var msg1 = <!--XLATESTART-->"Error: Se esperaba un n&#250;mero con hasta un d&#237;gito despu&#233;s del separador decimal, se ley&#243;: "<!--XLATESTOP-->;
			var msg2 = <!--XLATESTART-->"Error: el valor ["<!--XLATESTOP-->;
			var msg3 = <!--XLATESTART-->"] no est&#225; dentro del rango de"<!--XLATESTOP-->;
			var msg4 = <!--XLATESTART-->"  a "<!--XLATESTOP-->;
			var msg5 = <!--XLATESTART-->"  para el umbral de advertencia m&#237;nimo"<!--XLATESTOP-->;
			var msg6 = <!--XLATESTART-->"  para el umbral de advertencia m&#225;ximo"<!--XLATESTOP-->;
			var msg7 = <!--XLATESTART-->"Error: el valor del umbral de advertencia m&#237;nimo no puede ser mayor o igual que el valor del umbral de advertencia m&#225;ximo"<!--XLATESTOP-->;
			
			function initializationRoutine()
			{
				document.getElementById("UNCVal").value = '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>';
				document.getElementById("LNCVal").value = '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>';
				
				document.getElementById("UNCVal").disabled = true;
				document.getElementById("LNCVal").disabled = true;
				document.getElementById("threshsetting").checked = true;
				assignVal();
			}
			
			function assignVal(){
					var UCloc 			= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param></xsl:call-template>");
					var LCloc 			= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param></xsl:call-template>");
					var preUNCloc 		= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>");
					var preLNCloc 		= parseFloat("<xsl:call-template name="calCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>");
			
					var UCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param></xsl:call-template>';
					var LCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param></xsl:call-template>';
		
					var preUNCTxtloc		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param></xsl:call-template>';
					var preLNCTxtloc 		= '<xsl:call-template name="showcalCrnt"><xsl:with-param name="crnt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param></xsl:call-template>';

					UC = UCloc;
					LC = LCloc;
					preUNC = preUNCloc;
					preLNC = preLNCloc;
					UCTxt = trim(UCTxtloc);
					LCTxt = trim(LCTxtloc);
					preUNCTxt = trim(preUNCTxtloc);
					preLNCTxt = trim(preLNCTxtloc);
			}
		</script>
	</DataArea>
</xsl:template>

<xsl:template name="showcalCrnt">
	<xsl:param name="crnt"/>
		<xsl:variable name="formatval"><xsl:value-of select="format-number($crnt div 1000,'##0.000')"/></xsl:variable>
		<xsl:variable name="univdecsep">
			<xsl:choose>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="localdecsep"><!--XLATESTART-->,<!--XLATESTOP--></xsl:variable>
		<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/>	
</xsl:template>

<xsl:template name="calCrnt">
	<xsl:param name="crnt"/>
		<xsl:variable name="formatval"><xsl:value-of select="format-number($crnt div 1000,'##0.000')"/></xsl:variable>
		<xsl:variable name="univdecsep">
			<xsl:choose>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
				<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="localdecsep">.</xsl:variable>
		<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/>	
</xsl:template>

<xsl:template name="smstatus">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '256'"><!--XLATESTART-->No se encuentra la sonda de corriente<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '257'"><!--XLATESTART-->Objeto mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '258'"><!--XLATESTART-->El objeto ya existe<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido <!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
		<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="*">
</xsl:template>
</xsl:stylesheet>
