<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA" priority="1">
		<xsl:choose>
			<xsl:when test="SMStatus = 0">
				<DataArea>
					<PageTitle> 
						<xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n del firmware<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<xsl:call-template name="FirmwareList"/>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FirmwareList" priority="2">
		<TableData>
			<Header>
				<Data name="Name" editable="false" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Nombre<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nombre<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Version" editable="false" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Versi&#243;n<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Versi&#243;n<!--XLATESTOP--></xsl:attribute>
				</Data>
				<!--Data name="Status" display="Status" value="" editable="false" type="ustring"/-->
			</Header>
			<xsl:for-each select="FirmwareList/Firmware">
				<Row>
					<Data value="{FWText}"/>
					<Data value="{FWVersion}"/>
				</Row>
			</xsl:for-each>
		</TableData>
		<CustomButton>
			<Data name="Refresh" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FWViewWebPlugin&amp;help=Firmware">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
	</xsl:template>
	<xsl:template match="*/OMAUserRights"/>
		<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Error: Comando no satisfactorio.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Error: Comando satisfactorio.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Error: Comando no implementado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Error: Comando err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Error: Tiempo de espera de comando.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Error: Comando cancelado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Error: Comando anulado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Error: Comando pendiente.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Error: No existe ese dispositivo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Error: Dispositivo ocupado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Error: Dispositivo err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Error: Interrupci&#243;n falsa.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Error: Recurso bloqueado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Error: &#205;ndice no v&#225;lido.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error: Error SMB.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Error: Los datos solicitados no est&#225;n disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Error: Los datos solicitados son m&#225;s que los disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Error: Los datos solicitados son menos que los disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Error: El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Error: El dispositivo no tiene datos.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Error: El dispositivo no dispone de memoria suficiente.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Error: El dispositivo ya existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Error: No hay firmware en este sistema.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Error: Objeto de firmware mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Error: El objeto de firmware ya existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Error: No se encuentra el archivo INI.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->Error: INI mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->Error: La secci&#243;n de INI no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->Error: La clave de INI no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Error: Valor de INI mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Error: Derechos de acceso insuficientes.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Error: Valor o nombre de par&#225;metro no v&#225;lido.</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Error: Sin memoria.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Error: No se encuentra el archivo XML.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Error: XML mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Error: El nodo de XML no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Error: Valor de XML mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
