<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					
						
							
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetFanControlWebPlugin&amp;oid=<xsl:value-of select="/OMA/ChassisProps2/@oid"/>&amp;poid=2</xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Control de ventilador<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;poid=2&amp;help=FanControl</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<PromptText><!--XLATESTART-->Seleccione el tipo de enfriamiento deseado.<!--XLATESTOP--></PromptText>
							</xsl:if>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:apply-templates select="FanControl"/>
	</xsl:template>
	<xsl:template match="FanControl">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test=".='0'">
						<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Error: No se encuentra la caracter&#237;stica de control de ventilador en este sistema.<!--XLATESTOP--></xsl:attribute></PageTitle>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->Control de ventilador<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Nivel de enfriamiento<!--XLATESTOP--></xsl:attribute>
								<xsl:if test=".='1'">
									<xsl:attribute name="value"><!--XLATESTART-->Modo silencioso<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
								<xsl:if test=".='2'">
									<xsl:attribute name="value"><!--XLATESTART-->Modo de enfriamiento m&#225;ximo<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test=".='0'">
						<ListData type="custom">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Control de ventilador<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->No aplicable<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<TableData>
									<Header>
									<Data>
										<xsl:attribute name="value"><!--XLATESTART-->Nivel de enfriamiento<!--XLATESTOP--></xsl:attribute>
									</Data>
									</Header>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="1">
											<xsl:attribute name="value"><!--XLATESTART-->Modo silencioso<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='1'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="2">
											<xsl:attribute name="value"><!--XLATESTART-->Modo de enfriamiento m&#225;ximo<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='2'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
								</TableData>
							</xsl:when>
							<xsl:otherwise>
								<ListData type="custom">
									<Data width="250">
										<xsl:attribute name="display"><!--XLATESTART-->Nivel de enfriamiento<!--XLATESTOP--></xsl:attribute>
										<xsl:if test=".='1'">
											<xsl:attribute name="value"><!--XLATESTART-->Modo silencioso<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
										<xsl:if test=".='2'">
											<xsl:attribute name="value"><!--XLATESTART-->Modo de enfriamiento m&#225;ximo<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
									</Data>
								</ListData>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Error: Comando no satisfactorio.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Error: Comando satisfactorio.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Error: Comando no implementado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Error: Comando err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Error: Tiempo de espera de comando.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Error: Comando cancelado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Error: Comando anulado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Error: Comando pendiente.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Error: No existe ese dispositivo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Error: Dispositivo ocupado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Error: Dispositivo err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Error: Interrupci&#243;n falsa.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Error: Recurso bloqueado.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Error: &#205;ndice no v&#225;lido.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error: Error SMB.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Error: Los datos solicitados no est&#225;n disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Error: Los datos solicitados son m&#225;s que los disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Error: Los datos solicitados son menos que los disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Error: El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Error: El dispositivo no tiene datos.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Error: El dispositivo no dispone de memoria suficiente.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Error: El dispositivo ya existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Error: No se encuentra la caracter&#237;stica de control de ventilador en este sistema.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Error: Objeto de control de ventilador mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Error: El objeto de control de ventilador ya existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Error: No se encuentra el archivo INI.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->Error: INI mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->Error: La secci&#243;n de INI no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->Error: La clave de INI no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Error: Valor de INI mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Error: Derechos de acceso insuficientes.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Error: Valor o nombre de par&#225;metro no v&#225;lido.</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Error: Sin memoria.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Error: No se encuentra el archivo XML.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Error: XML mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Error: El nodo de XML no existe.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Error: Valor de XML mal formado, da&#241;ado o err&#243;neo.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
