<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:apply-templates select="LRAResponse"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<DataArea backpagedisplay="Acciones de alerta" validate="true" onLoad="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetLRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;help=ListLRA&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<script language="javascript">
				function initializationRoutine()
				{
					document.getElementById("setDef").value = "false";
				}
				function validate()
				{
					if(document.getElementById("ExecApp").checked == true)
					{
						var EPFval = document.getElementById("EPFName").value;
						
						if(EPFval == "" || EPFval == null)
						{
							alert('Introduzca la ruta de acceso absoluta a la aplicaci&#243;n');
							document.getElementById("EPFName").focus();
							return false;
						}

						if(document.getElementById("EPFName").value.length > 255)
						{
							alert('La ruta de acceso absoluta a la aplicaci&#243;n no puede tener m&#225;s de 255 caracteres');
							document.getElementById("EPFName").focus();
							return false;
						}
					}
					return true;
				}
				function clearAll()
				{
					document.getElementById("EPFName").value = "";
					document.getElementById("BeepSpkr").checked = false;
					document.getElementById("ConsAlert").checked = false;
					document.getElementById("BcastMssg").checked = false;
					document.getElementById("ExecApp").checked = false;
					document.getElementById("dataarea").submit();
				}
				function setDefault()
				{
					document.getElementById("setDef").value = "true";
					document.getElementById("dataarea").submit();
				}
				function checkExecApp()
				{
					document.getElementById("ExecApp").checked = true;
				}
			</script>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Establecer acciones de alerta para <!--XLATESTOP-->
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>				
				</xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Marque la acci&#243;n que desea establecer y presione Aplicar cambios. Para borrar todas las acciones presione Borrar todo. Para establecer acciones predeterminadas presione Establecer como predeterminado.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="default">
					<xsl:attribute name="display"><!--XLATESTART-->Establecer como predeterminado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:setDefault();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="ClearAll">
					<xsl:attribute name="display"><!--XLATESTART-->Borrar todo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:clearAll();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BeepSpkr</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Sonido de altavoz en el servidor<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Sonido de altavoz en el servidor.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BeepSpkr='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ConsAlert</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Mostrar un mensaje de alerta en el servidor<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Mostrar un mensaje de alerta en el servidor.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ConsAlert='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">type</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">setDef</xsl:attribute>
						<xsl:attribute name="value"> false</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BcastMssg</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Difundir un mensaje<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Difundir un mensaje.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BcastMssg='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ExecApp</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Ejecutar una aplicaci&#243;n<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Ejecutar aplicaci&#243;n.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>						
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ExecApp='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><!--XLATESTART-->Ruta de acceso absoluta a la aplicaci&#243;n: <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="align">right</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">						
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">checkExecApp();</xsl:attribute>
						<xsl:attribute name="name">EPFName</xsl:attribute>
						<xsl:attribute name="display"></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="maxlength">255</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>			
				</Row>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->Suministro de energ&#237;a cr&#237;tico<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->Advertencia de sonda de temperatura<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->Falla de sonda de temperatura<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->Advertencia de sonda de ventilador<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->Falla de sonda de ventilador<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->Advertencia de sonda de voltaje<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->Falla de sonda de voltaje<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->Advertencia de sonda de corriente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->Falla de sonda de corriente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->Intromisi&#243;n al chasis<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->Redundancia del sistema de alimentaci&#243;n degradada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->Redundancia del sistema de alimentaci&#243;n perdida<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->Prefalla de memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->Falla de memoria<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
