<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:apply-templates select="CurrentProbeList"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="failure">
	<DataArea>
		<PageTitle display="Sondas actuales"/>
		<TableData>
			<Header>
				<Data name="" display="Sondas actuales" value="Current Probes"/>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbeList">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Sondas actuales<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
		</PageTitle>
		<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
			<PromptText><!--XLATESTART-->Haga clic en el nombre de sonda para configurar los umbrales (si corresponde).<!--XLATESTOP--></PromptText>
		</xsl:if>
		<CustomButton>
			<Data name="Refresh" display="Actualizar">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;poid=<xsl:value-of select="@poid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia m&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia m&#237;nimo<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia m&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia m&#225;ximo<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla m&#237;nimo<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla m&#225;ximo<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="WarningThreshold"  colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="FailureThreshold" colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
					<xsl:attribute name="link">true</xsl:attribute>
				<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.CurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of 	select="@poid"/>&amp;help=EditCurrentProbes
					</xsl:attribute>
				</xsl:if>
			</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
		<xsl:when test="$volt = '-2147483648'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 1000,'##0.000')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->,<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> mA<!--XLATESTOP-->
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->No se encuentran las sondas actuales<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Objeto mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->El objeto ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
