<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:choose>
		<xsl:when test="VoltageProbeList/@count = '0' or SMStatus != '0'">
			<xsl:call-template name="failure"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="VoltageProbeList"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Sondas de voltaje<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
				 	<xsl:attribute name="value"><!--XLATESTART-->No se encuentra la sonda de voltaje. El &#237;ndice puede no ser v&#225;lido<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template match="VoltageProbeList">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Sondas de voltaje<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
		</PageTitle>
		<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
			<PromptText><!--XLATESTART-->Haga clic en el nombre de sonda para configurar los umbrales (si corresponde).<!--XLATESTOP--></PromptText>
		</xsl:if>
		<CustomButton>
			<Data name="Refresh" display="Actualizar">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListVoltageWebPlugin&amp;help=Voltages&amp;poid=<xsl:value-of select="@poid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true">
			<xsl:choose>
				<xsl:when test="/OMA/@cli = 'true'">
					<Header>
						<Data name="index">
							<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Status" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="ProbeName">
							<xsl:attribute name="display"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Reading" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia m&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia m&#237;nimo<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia m&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia m&#225;ximo<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla m&#237;nimo<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla m&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla m&#225;ximo<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data name="" display="" value="" ignoreonweb="true"/>
						<Data name="" display="" value=""/>
						<Data name="" display="" value=""/>
						<Data name="" display="" value=""/>
						<Data name="MinimumThreshold"  colspan="3" underlined="true" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="MaximumThreshold" colspan="3" underlined="true" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Header>
						<Data name="index">
							<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Status" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="ProbeName">
							<xsl:attribute name="display"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Nombre de sonda<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Reading" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Lectura<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->Umbral de advertencia<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->M&#237;nimo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->M&#225;ximo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->Umbral de falla<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
				</xsl:otherwise>
			</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="VoltageProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="VoltageProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="VoltageProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
			<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.VoltageWebPlugin&amp;help=EditVoltageProbes&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="$poid"/>
					</xsl:attribute>
				</xsl:if>
			</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
		<xsl:when test="$volt = '-2147483648'">Unknown</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 1000,'##0.000')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->,<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> Volt<!--XLATESTOP-->
		</xsl:otherwise>	
	</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
