<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea printable="false">
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->No se encuentra el objeto de NIC.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->No se encuentra el objeto de NIC.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n de tarjetas de red<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Actualizar">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<xsl:call-template name="MainHeading"/>
				<xsl:apply-templates select="NICList "/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="MainHeading">
	<ListData type="custom">
		<Data width="200">
			<xsl:attribute name="display"><!--XLATESTART-->N&#250;mero total de tarjetas de red<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/OMA/NICList/@count"/></xsl:attribute>
		</Data>
	</ListData>
</xsl:template>
<xsl:template match="NICList ">
	<TableData columnspacing="true">
		<PromptText><!--XLATESTART-->Haga clic en la direcci&#243;n IP para ver sus detalles.<!--XLATESTOP--></PromptText>
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Direcci&#243;n IP<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Direcci&#243;n IP<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Proveedor<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Proveedor<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Descripci&#243;n<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Descripci&#243;n<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Estado de conexi&#243;n<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Estado de conexi&#243;n<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="NICCard"/>		
	</TableData>
</xsl:template>
<xsl:template match="NICCard">
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:choose>
				<xsl:when test="IPAddress = ''">
					<xsl:attribute name="display"><!--XLATESTART-->No obtenido<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->No obtenido<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><xsl:value-of select="IPAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
						<xsl:attribute name="link">true</xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
		</Data>
		<Data name="Vendor" display="Proveedor" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Vendor"/></xsl:attribute>
		</Data>
		<Data name="Description" display="Descripci&#243;n" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Description"/></xsl:attribute>
		</Data>
		<Data name="Connection Status" display="Estado de conexi&#243;n" type="ustring">
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="display"><!--XLATESTART-->Conectado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Conectado<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="display"><!--XLATESTART-->Desconectado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Desconectado<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="display"><!--XLATESTART-->El controlador no est&#225; instalado o no funciona<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->El controlador no est&#225; instalado o no funciona<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="display"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="display"><!--XLATESTART-->Inicializando<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Inicializando<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="display"><!--XLATESTART-->Restableciendo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Restableciendo<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="display"><!--XLATESTART-->Cerrando<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Cerrando<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="display"><!--XLATESTART-->El adaptador no est&#225; listo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->El adaptador no est&#225; listo<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
	</Row>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
