<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n de procesadores<!--XLATESTOP--></xsl:attribute></PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n de procesadores<!--XLATESTOP--></xsl:attribute></PageTitle>	
		<PromptText ignoreoncli="true"><!--XLATESTART-->Haga clic en el nombre del conector para ver sus detalles de cach&#233;.<!--XLATESTOP--></PromptText>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
			</Data>
		</CustomButton>	
		<TableData columnspacing="true">
			<Header>
				<Data ignoreonweb="true" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#205;ndice<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Nombre de conector<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nombre de conector<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="115">
					<xsl:attribute name="display"><!--XLATESTART-->Fabricante del procesador<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Fabricante del procesador<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Familia del procesador<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Familia del procesador<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="120">
					<xsl:attribute name="display"><!--XLATESTART-->Versi&#243;n del procesador<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Versi&#243;n del procesador<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Velocidad m&#225;xima<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Velocidad m&#225;xima<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Velocidad actual<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Velocidad actual<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Velocidad del reloj externo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Velocidad del reloj externo<!--XLATESTOP--></xsl:attribute>	
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Actualizaci&#243;n del procesador<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Actualizaci&#243;n del procesador<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<xsl:for-each select="ProcessorList/ProcessorConn">
				<xsl:if test="IsOccupied='true'">
					<xsl:call-template name="Processor">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="IsOccupied='false'">
					<xsl:call-template name="Processor1">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="Processor">
	<xsl:param name="index"/>
		<Row>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
			</Data>
			<Data link="true"  align="left">
				<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="DevProcessor/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Manufacturer" /></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value">
					<xsl:call-template name="family"/>
				</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Version"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="maxsp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="cursp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="extclksp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="upgrade"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="display"><xsl:call-template name="imagedesc1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="imagedesc1"/></xsl:attribute>
			</Data>
		</Row>
</xsl:template>
<xsl:template name="family">
	<xsl:choose>
		<xsl:when test="DevProcessor/Family= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '3'"><!--XLATESTART-->8086<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '4'"><!--XLATESTART-->80286<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '5'"><!--XLATESTART-->80386<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '6'"><!--XLATESTART-->80486<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '7'"><!--XLATESTART-->8087<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '8'"><!--XLATESTART-->80287<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '9'"><!--XLATESTART-->80387<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '10'"><!--XLATESTART-->80487<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '11'"><!--XLATESTART-->Familia Pentium<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '12'"><!--XLATESTART-->Pentium Pro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '13'"><!--XLATESTART-->Pentium II<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '14'"><!--XLATESTART-->Pentium MMX<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '15'"><!--XLATESTART-->Celeron<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '16'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '17'"><!--XLATESTART-->Pentium III<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '18'"><!--XLATESTART-->Familia M1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '19'"><!--XLATESTART-->Familia M2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '25'"><!--XLATESTART-->Familia K5<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '26'"><!--XLATESTART-->Familia K6<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '32'"><!--XLATESTART-->Familia Power PC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '33'"><!--XLATESTART-->Power PC 601<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '34'"><!--XLATESTART-->Power PC 603<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '35'"><!--XLATESTART-->Power PC 603+<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '36'"><!--XLATESTART-->Power PC 604<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '48'"><!--XLATESTART-->Familia Alpha<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '64'"><!--XLATESTART-->Familia MIPS<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '80'"><!--XLATESTART-->Familia SPARC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '96'"><!--XLATESTART-->68040<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '97'"><!--XLATESTART-->Familia 68xxx<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '98'"><!--XLATESTART-->68000<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '99'"><!--XLATESTART-->68010<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '100'"><!--XLATESTART-->68020<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '101'"><!--XLATESTART-->68030<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '112'"><!--XLATESTART-->Familia Hobbit<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '128'"><!--XLATESTART-->Weitek<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '144'"><!--XLATESTART-->Familia PA-RISC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '160'"><!--XLATESTART-->Familia V30<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '176'"><!--XLATESTART-->Pentium III Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '177'"><!--XLATESTART-->Pentium III con tecnolog&#237;a Intel SpeedStep<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '178'"><!--XLATESTART-->Pentium IV<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '179'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '181'"><!--XLATESTART-->Xeon MP<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="DevProcessor/ProcessorType= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '3'"><!--XLATESTART-->Procesador central<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '4'"><!--XLATESTART-->Procesador matem&#225;tico<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '5'"><!--XLATESTART-->Procesador DSP<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '6'"><!--XLATESTART-->Procesador de v&#237;deo<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="imagedesc1">
	<xsl:if test="DevProcessor/ProcessorStatus='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='3'"><!--XLATESTART-->Activada<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='4'"><!--XLATESTART-->Usuario desactivado<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='5'"><!--XLATESTART-->BIOS desactivado<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='6'"><!--XLATESTART-->Inactivo<!--XLATESTOP--></xsl:if>
</xsl:template>

<xsl:template name="maxsp">
	<xsl:choose>
		<xsl:when test="DevProcessor/MaxSpeed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/MaxSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/MaxSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="cursp">
	<xsl:choose>
		<xsl:when test="DevProcessor/CurSpeed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/CurSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/CurSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="extclksp">
	<xsl:choose>
		<xsl:when test="DevProcessor/ExtClockSpeed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/ExtClockSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/ExtClockSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="upgrade">
	<xsl:choose>
		<xsl:when test="DevProcessor/Upgrade= '1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '2'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '3'"><!--XLATESTART-->Tarjeta dependiente<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '4'"><!--XLATESTART-->Z&#243;calo ZIF<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '5'"><!--XLATESTART-->Sustituci&#243;n o Superpuesto<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '6'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '7'"><!--XLATESTART-->Z&#243;calo LIF<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '8'"><!--XLATESTART-->Ranura 1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '9'"><!--XLATESTART-->Ranura 2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '10'"><!--XLATESTART-->Z&#243;calo de 370 patas<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="Processor1">
	<xsl:param name="index"/>
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><xsl:value-of select="ExtName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><!--XLATESTART-->No ocupado<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->No ocupado<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data  ignoreonweb="true" display="-" value="NA" align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA" align="left"/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
	</Row>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->No se encuentra el procesador<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Procesador mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->El procesador ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>

