<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"/>
	
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->Suministros de energ&#237;a<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Suministros de energ&#237;a <!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">	</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisPwrSup"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisPwrSup"/></xsl:otherwise>
	                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ServletArguments">
		<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
	</xsl:template>
		
	<xsl:template name="ChassisPwrSup">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->Redundancia<!--XLATESTOP--></xsl:attribute>
						       <xsl:if test="/OMA/@cli = 'true'">		
	 							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies </xsl:attribute>
										   <xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									             <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->Redundancia de suministro de energ&#237;a <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/> 
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Suministros de energ&#237;a<!--XLATESTOP--></xsl:attribute>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->Suministros de energ&#237;a <!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply </xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(PowerSupplyList/PowerSupply) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Powert Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="PowerSupplyList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Atributo<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Atributo<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Valor<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Valor<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->Estado de redundancia<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->N&#250;mero de dispositivos necesarios para redundancia total<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
		
	<xsl:template match="PowerSupplyList">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Elementos de suministro de energ&#237;a individual<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="center">
					<xsl:attribute name="display"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Estado<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Ubicaci&#243;n<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Potencia m&#225;xima<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Potencia m&#225;xima<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="1">
					<xsl:attribute name="display"><!--XLATESTART-->Estado en l&#237;nea<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Estado en l&#237;nea<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="PowerSupply"/>
	</xsl:template>
		
	<xsl:template match="PowerSupply">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="PSLocation"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:choose>
					<xsl:when test="Type = 1"><xsl:attribute name="value"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 2"><xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 3"><xsl:attribute name="value"><!--XLATESTART-->Lineal<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 4"><xsl:attribute name="value"><!--XLATESTART-->Conmutador<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 5"><xsl:attribute name="value"><!--XLATESTART-->Bater&#237;a<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 6"><xsl:attribute name="value"><!--XLATESTART-->UPS<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 7"><xsl:attribute name="value"><!--XLATESTART-->Convertidor<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 8"><xsl:attribute name="value"><!--XLATESTART-->Regulador<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 9"><xsl:attribute name="value"><!--XLATESTART-->CA<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 10"><xsl:attribute name="value"><!--XLATESTART-->CC<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<xsl:choose>
				<xsl:when test="OutputWatts &gt; 0">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="OutputWatts div 10"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:when test="OutputWatts = ''">
					<Data><xsl:attribute name="value"><!--XLATESTART-->No disponible<!--XLATESTOP--></xsl:attribute></Data>
				</xsl:when>
				<xsl:otherwise>
					<Data><xsl:attribute name="value"><!--XLATESTART-->Desconocido <!--XLATESTOP--></xsl:attribute></Data>
				</xsl:otherwise>
			</xsl:choose>
			<Data>
				<xsl:call-template name="OnlineStatus">
					<xsl:with-param name="boolstatus"><xsl:value-of select="PSOnlineStatus"/></xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
	</xsl:template>
	
	<xsl:template name="OnlineStatus">
		<xsl:param name="boolstatus"/>
		<xsl:choose>
			<xsl:when test="$boolstatus = 'true'">
				<xsl:attribute name="value"><!--XLATESTART-->En l&#237;nea<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Fuera de l&#237;nea<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Fuera de l&#237;nea<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Total<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->Degradado<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Perdida<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="DataType">
		<xsl:param name="name"/>
		<xsl:param name="display"/>
		<xsl:param name="value"/>
		<xsl:param name="editable"/>
		<xsl:param name="type"/>
		<xsl:param name="link"/>
		<xsl:param name="href"/>
		<Data >
			<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="$display"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$value"/></xsl:attribute>
			<xsl:attribute name="editable"><xsl:value-of select="$editable"/></xsl:attribute>
			<xsl:attribute name="link"><xsl:value-of select="$link"/></xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
			<xsl:attribute name="type"><xsl:value-of select="$type"/></xsl:attribute>
		</Data>
	</xsl:template>
	
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Comando satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->No se encuentra el objeto de fuente de alimentaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Objeto de fuente de alimentaci&#243;n mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->El objeto de suministro de energ&#237;a ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
