<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="onLoad">
				<xsl:attribute name="onLoad"><!--XLATESTART-->true<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="callerReplace">true</xsl:attribute>
				<xsl:attribute name="paramReplaced">onload</xsl:attribute>
				<xsl:attribute name="paramReplacing">load</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Aplicar cambios<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n de SNMP<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Configurar contrase&#241;a ra&#237;z de SNMP.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPconfgWebPlugin&amp;help=snmp</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Usuario : <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">root</xsl:attribute>
				</Data>
				<Data name="oldpwd" editable="true" id="oldpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Contrase&#241;a ra&#237;z anterior:<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="newpwd" editable="true" id="newpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Nueva contrase&#241;a ra&#237;z:<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="confnewpwd" editable="true" id="confnewpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->Confirmar nueva contrase&#241;a ra&#237;z:<!--XLATESTOP--></xsl:attribute>
				</Data>
			</ListData>
			<ListData>
				<Data  display=" "  type="hidden" state="" align="left">
					<xsl:attribute name="name">caller</xsl:attribute>
					<xsl:attribute name="returnvalue">none</xsl:attribute>
				</Data>
			</ListData>
			<Table-Data>
				<PromptText><!--XLATESTART-->Activar mensaje de advertencia de SNMP.<!--XLATESTOP--></PromptText>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Mensaje de advertencia de SNMP.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Mensaje de advertencia de SNMP.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">snmp_warn_msg</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Activar mensaje de advertencia de SNMP<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</Row>
			</Table-Data>
			
			<script language="javascript">
			
				<xsl:if test="onLoad">
					function initializationRoutine()
					{
						alert("La contrase&#241;a ra&#237;z de SNMP se ha establecido satisfactoriamente.");
					}
				</xsl:if>
				function validate()
				{
					var oldpwd = document.getElementById("oldpwd").value;
					var newpwd = document.getElementById("newpwd").value;
					var confnewpwd = document.getElementById("confnewpwd").value;
					
					if (oldpwd == "")
					{
						alert("El campo \"Contrase&#241;a anterior\" no puede estar en blanco.");
						document.getElementById("oldpwd").focus();
					}
					else if (newpwd == "")
					{
						alert("El campo \"Nueva contrase&#241;a\" no puede estar en blanco.");
						document.getElementById("newpwd").focus();
					}
					else if (confnewpwd == "")
					{
						alert("El campo \"Confirmar nueva contrase&#241;a\" no puede estar en blanco.");
						document.getElementById("confnewpwd").focus();
					}
					else 
					{
						
						if(newpwd != confnewpwd) {	
							alert("Los campos de la contrase&#241;a nueva no coinciden.");
							document.getElementById("confnewpwd").value = "";
							document.getElementById("confnewpwd").focus();						

					}
						else
						{
							document.getElementById("caller").value=document.location.href;
							return true;
						}			
					}
					return false;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
