<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="(SMStatus = '0' ) or (BIOSSetupListCount &gt; 0) ">
				<xsl:call-template name="success"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="failure"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="failure">
		<DataArea>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus = '256'">
						<xsl:attribute name="display"><!--XLATESTART-->&#161;Error! No <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><!--XLATESTART-->&#161;Error! <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
		</DataArea>
	</xsl:template>
	<xsl:template name="success">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Configuraci&#243;n del BIOS<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="OMAUserRights='7'">
					<PromptText><!--XLATESTART-->Haga clic en cada objeto de configuraci&#243;n del BIOS para establecer su estado.<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Atributo<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Atributo<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Valor<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Valor<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:for-each select="BIOSSetupList/BIOSSetup">
					<Row>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:value-of select="ObjName"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/OMAUserRights='7'">
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=BiosSetup</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</Data>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:call-template name="state"><xsl:with-param name="type"><xsl:value-of select="@objtype"/></xsl:with-param><xsl:with-param name="state"><xsl:value-of select="State"/></xsl:with-param><xsl:with-param name="objname"><xsl:value-of select="ObjName"/></xsl:with-param></xsl:call-template></xsl:attribute>
						</Data>
					</Row>
				</xsl:for-each>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="state">
		<xsl:param name="type"/>
		<xsl:param name="state"/>
		<xsl:param name="objname"/>
		<xsl:choose>
			<xsl:when test="$type='241'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Autom&#225;tico<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Protegido contra escritura<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='242'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activado sin PXE<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='246'">
				<xsl:if test="$objname='OnBoard RAID'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Primary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Encendido<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Secondary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Encendido<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$type='247'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disco primero<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->S&#243;lo disco duro<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Lista de dispositivos<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Primero CD-ROM, luego otros<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='249'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Modo LPT1<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Modo LPT2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Modo LPT3<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='250'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Modo AT<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Modo PS2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Modo ECP<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Modo EPP<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='251'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Autom&#225;tico<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Modo COM1<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Modo COM2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->Modo COM3<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='6'"><!--XLATESTART-->Modo COM4<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='252'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Encendido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Bajo<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Media<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->Alto<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='253'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activar WOL para NIC conectado en ranura de expansi&#243;n<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activar WOL para NIC integrado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Activar WOL para complemento y<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='244'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activado<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='260'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activada con asistencia de BIOS<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Encendido<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Configuraci&#243;n de BIOS encontrada en este sistema.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Configuraci&#243;n de BIOS mal formada, da&#241;ada o err&#243;nea<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->La configuraci&#243;n del BIOS ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
