<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus[0] = '0' or SMStatus[1] = '0'">
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Puertos<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Puerto<!--XLATESTOP--> <xsl:value-of select="Port/@index" /><xsl:text> </xsl:text><!--XLATESTART-->Informaci&#243;n<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Actualizar">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortWebPlugin&amp;oid=<xsl:value-of select="Port/@oid"/></xsl:attribute>
					</Data>
				</CustomButton>
				<ListData>
					<xsl:apply-templates select="Port"/>
					<xsl:apply-templates select="PortDevice"/>
				</ListData>			
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n del puerto<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->No se encuentra la informaci&#243;n del puerto. El &#237;ndice puede no ser v&#225;lido<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->No se encuentra la informaci&#243;n del puerto<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="Port">
	<Data name="ExtName"  editable="false" type="ustring">
		<xsl:attribute name="display"><!--XLATESTART-->Nombre externo<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
	</Data>
	<xsl:choose>
		<xsl:when test="ExtName='PARALLEL'">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Direcci&#243;n E/S base<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Nivel de l&#237;nea IRQ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Tipo de conector<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->IEEE 1284<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Patentado<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->PC-98-Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="ConnectorPinout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Asignaci&#243;n de patas de conector<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorPinout='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='3'"><!--XLATESTART-->Conector DB de 25 patas hembra - Enchufe IEEE1284-A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='4'"><!--XLATESTART-->Conector DB de 25 patas macho - Conector IEEE 1284-A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='5'"><!--XLATESTART-->Centronics - Enchufe IEEE 1284-B<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='6'"><!--XLATESTART-->Mini-Centronics - Enchufe IEEE 1284-C<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='7'"><!--XLATESTART-->Patentado<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='161'"><!--XLATESTART-->Conector DB de 36 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Capacidades<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="Capabilities/XT_AT='true'"><!--XLATESTART-->XT AT<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PS2='true'"><!--XLATESTART-->PS2<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/ECP='true'"><!--XLATESTART-->ECP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/EPP='true'"><!--XLATESTART-->EPP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98='true'"><!--XLATESTART-->PC-98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98_HIRESO='true'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PCH98='true'"><!--XLATESTART-->PC-H98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
				</xsl:attribute>
			</Data>
			<Data name="DmaSupported"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Compatible con DMA<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="DmaSupported='true'"><!--XLATESTART-->S&#237;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->No<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Valores de seguridad<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interfaz externa bloqueada<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interfaz externa activada<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Omisi&#243;n de inicio<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:when test="starts-with(ExtName,'SERIAL')">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Direcci&#243;n E/S base<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Nivel de l&#237;nea IRQ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Tipo de conector<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Conector DB de 9 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Conector DB de 9 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Conector DB de 25 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Conector DB de 25 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->Conector RJ de 11 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->Conector RJ de 45 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Patentado<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='10'"><!--XLATESTART-->Conector circular DIN de 8 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='11'"><!--XLATESTART-->Conector circular DIN de 8 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics tipo 14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics tipo 26<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Capacidades<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Compatible con XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Compatible con 16450<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Compatible con 16550<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Compatible con 16550A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Compatible con 8251<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Compatible con 8251FIFO<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="MaxSpeed"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Velocidad m&#225;xima<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Valores de seguridad<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interfaz externa bloqueada<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interfaz externa activada<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Omisi&#243;n de inicio<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Tipo de conector<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Infrarrojos<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->Conector DB de 9 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Bus de Bus/USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Valores de seguridad<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interfaz externa bloqueada<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interfaz externa activada<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SmbiosConnType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Tipo de conector SMBIOS<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Ninguna<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Patentado<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->Conector DB de 25 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->Conector DB de 25 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->Conector DB de 15 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->Conector DB de 15 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->Conector DB de 9 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->Conector DB de 9 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->Conector RJ de 11 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->Conector RJ de 45 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->MiniSCSI de 50 patas<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrarrojos<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Bus de acceso (USB)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA SCSI<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->Conector circular DIN de 8 patas macho<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->Conector circular DIN de 8 patas hembra<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->IDE integrado<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->Disco integrado<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 patas dual en l&#237;nea (corte en pata 10)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 patas dual en l&#237;nea (corte en pata 26)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 patas dual en l&#237;nea<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 patas dual en l&#237;nea<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->Entrada de sonido integrada desde CD-ROM<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics tipo 14<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics tipo 26<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Minienchufe (auriculares)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="IsOccupied"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Ocupado<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="IsOccupied='true'"><!--XLATESTART-->S&#237;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->No<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="PortDevice">
	<xsl:if test="TypeName">
		<Data name="TypeName"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="TypeName">
		<Data name="Layout"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Dise&#241;o<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="PointingDevType">
		<Data name="PointingDevType"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Tipo de dispositivo se&#241;alador<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="PointingDevType='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='3'"><!--XLATESTART-->Serie<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='5'"><!--XLATESTART-->Infrarrojos<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='160'"><!--XLATESTART-->Conector DB de 9 patas<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='161'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='162'"><!--XLATESTART-->Bus de Bus/USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="NumButtons">
		<Data name="NumButtons"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->N&#250;mero de botones<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
		</Data>
	</xsl:if>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
