<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Apagado remoto<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<xsl:choose>
		<xsl:when test="@cli='true'"><xsl:call-template name="cli"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="web"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="web">	
	<xsl:choose>
		<xsl:when test="OMAUserRights='7'"><xsl:call-template name="edit"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="view"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="edit">
	<DataArea validate="true">
		<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;oid=<xsl:value-of select="HostControl/@oid"/></xsl:attribute>
		<xsl:attribute name="submitdisplay"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
			
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Apagado remoto<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->El apagado del sistema operativo est&#225; desactivado<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->El apagado del sistema operativo est&#225; desactivado.<!--XLATESTOP-->
				</PromptText>
			</xsl:when>
			<xsl:otherwise>
				<TableData name="osshutdown">
					<xsl:attribute name="display"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="name">os</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Apagar sistema operativo primero<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:attribute name="state"><xsl:call-template name="OSselect1"/></xsl:attribute>
						</Data>
					</Row>
				</TableData>			
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/Reboot='false') and (HostControl/Settings/Reboot='false') and (HostControl/Capabilities/PwrOff='false') and (HostControl/Settings/PwrOff='false') and (HostControl/Capabilities/PwrCycle='false') and (HostControl/Settings/PwrCycle='false')">				
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->La acci&#243;n de apagado remoto est&#225; desactivada<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->La acci&#243;n de apagado remoto est&#225; desactivada<!--XLATESTOP-->
				</PromptText>				
			</xsl:when>
			<xsl:otherwise>
				<TableData name="rshutdownaction">
					<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:call-template name="edit1"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
		
		<script language="javascript">
			function validate(){
				<xsl:choose>				
					<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
						if (confirm("&#191;Realmente desea continuar con la operaci&#243;n de apagado remoto?")){
							return true;
						}
						else{
							return false;
						}				
					</xsl:when>
					<xsl:otherwise>
						if (document.getElementById("dataarea").os.checked == true){
							if (confirm("&#191;Realmente desea continuar con la operaci&#243;n de apagado remoto?")){
								return true;
							}
							else{
								return false;
							}	
						}
						else {
							if (confirm("Ha seleccionado que no se apague el sistema operativo primero. Esto puede provocar que los datos se pierdan o resulten da&#241;ados. &#191;Est&#225; seguro?")){
								return true;
							}
							else{
								return false;
							}	
						}
						
					</xsl:otherwise>
				</xsl:choose>
				
			}								
		</script>
			
	</DataArea>
</xsl:template>
<xsl:template name="edit1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="returnvalue">1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Reiniciar sistema<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="rebootselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Apagar el sistema<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">2</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="poweroffselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Ciclo de encendido del sistema<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">4</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="powercycleselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
</xsl:template>
<xsl:template name="rebootselect1">
<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">1</xsl:when>
			</xsl:choose>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="powercycleselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="OSselect1">
<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:otherwise>1</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="view">
	<DataArea>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData name="osshutdown">
			<xsl:attribute name="display"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Apagado del sistema operativo<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="name">os</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Apagar sistema operativo primero<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:attribute name="state"><xsl:call-template name="OSselect"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
		<TableData name="rshutdownaction">
			<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Acci&#243;n de apagado remoto<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="view1"/>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="view1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">Reboot</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Reiniciar sistema<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">1</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="rebootselect"/></xsl:attribute>
		</Data>
	</Row>
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerOff</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Apagar el sistema<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">2</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="poweroffselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerCycle</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Ciclo de encendido del sistema<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">4</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="powercycleselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>	
</xsl:template>
<xsl:template name="rebootselect">
	<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
	<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
	<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">3</xsl:when>
				<xsl:otherwise>2</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="powercycleselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="OSselect">
	<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>3</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="cli">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Apagado<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="HostControl/Settings/Reboot='false'">
				<xsl:choose>
					<xsl:when test="HostControl/Settings/PwrOff='false'">
						<xsl:choose>
							<xsl:when test="HostControl/Settings/PwrCycle='false'">
								<xsl:choose>
									<xsl:when test="HostControl/Settings/OSShutdown='false'">
										<ListData>
											<Data value="None">
												<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado pendiente<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ListData>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="cliotherwise"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="cliotherwise"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="cliotherwise"/>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="cliotherwise"/>				
			</xsl:otherwise>
		</xsl:choose>
	</DataArea>
</xsl:template>


<xsl:template name="cliotherwise">
	<ListData>
		<xsl:for-each select="HostControl/Capabilities/*">
			<xsl:if test=".='true'">
				<xsl:call-template name="cliotherwise1">
					<xsl:with-param name="name1"><xsl:value-of select="name()"/></xsl:with-param>
				</xsl:call-template>
			</xsl:if>	
		</xsl:for-each>
	</ListData>	
</xsl:template>

<xsl:template name="cliotherwise1">
	<xsl:param name="name1"/>
	<xsl:for-each select="/OMA/HostControl/Settings/*">
		<xsl:if test="$name1=name()">
			<xsl:if test=".='true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Acci&#243;n de apagado<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$name1"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Comando no satisfactorio<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Comando no implementado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Comando err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Tiempo de espera de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Comando cancelado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Comando anulado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Comando pendiente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->No existe ese dispositivo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Dispositivo ocupado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Dispositivo err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Interrupci&#243;n falsa<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Recurso bloqueado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#205;ndice no v&#225;lido<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Error SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Los datos solicitados no est&#225;n disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Los datos solicitados son m&#225;s que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Los datos solicitados son menos que los disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->El dispositivo no est&#225; listo para aceptar comandos. Int&#233;ntelo m&#225;s tarde<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->El dispositivo no tiene datos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->El dispositivo se ha quedado sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->El dispositivo ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->no se encuentra el objeto<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Objeto mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->El objeto ya existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->No se encuentra el archivo INI<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La secci&#243;n de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La clave de INI no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Valor de INI mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Derechos de acceso insuficientes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Valor o nombre de par&#225;metro no v&#225;lido: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Sin memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->No se encuentra el archivo XML<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->El nodo de XML no existe<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Valor de XML mal formado, da&#241;ado o err&#243;neo<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
