<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Ranuras<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2&amp;help=Slots</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Informaci&#243;n de ranura<!--XLATESTOP--><xsl:text> </xsl:text><xsl:value-of select="Slot/ExtName" /><xsl:text> </xsl:text><!--XLATESTART--><!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="Actualizar">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="Slot/@oid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<xsl:choose>
				<xsl:when test="SMStatus[1] = '0' or SMStatus[2] = '0'">
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Atributos<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Valores<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Valores<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="Slot"/>
					<xsl:apply-templates select="SlotDevice"/>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Error<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->No se encuentra la informaci&#243;n de ranura. El &#237;ndice puede no ser v&#225;lido.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->No se encuentra la informaci&#243;n de ranura. El &#237;ndice puede no ser v&#225;lido.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</xsl:otherwise>
			</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="Slot">
	<Row>
		<Data name="ID"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Identificaci&#243;n<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Identificaci&#243;n<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="ID_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="SlotID"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Type"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Tipo<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Type_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Type='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='3'"><!--XLATESTART-->ISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='4'"><!--XLATESTART-->MCA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='5'"><!--XLATESTART-->EISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='6'"><!--XLATESTART-->PCI<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='7'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='8'"><!--XLATESTART-->VL VESA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='9'"><!--XLATESTART-->Patentado<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='10'"><!--XLATESTART-->Tarjeta de procesador<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='11'"><!--XLATESTART-->Tarjeta de memoria patentada<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='12'"><!--XLATESTART-->Tarjeta vertical de S<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='13'"><!--XLATESTART-->Nu Bus<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='14'"><!--XLATESTART-->PCI 66Mhz<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='15'"><!--XLATESTART-->AGP<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='16'"><!--XLATESTART-->AGP 2X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='17'"><!--XLATESTART-->AGP 4X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='18'"><!--XLATESTART-->PCI X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='160'"><!--XLATESTART-->PC98 C20<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='161'"><!--XLATESTART-->PC98 C24<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='162'"><!--XLATESTART-->PC98 E<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='163'"><!--XLATESTART-->PC98 Bus local<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='164'"><!--XLATESTART-->Tarjeta PC98<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Length"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Longitud de ranura<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Longitud de ranura<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Length_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Length='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='3'"><!--XLATESTART-->Corta<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='4'"><!--XLATESTART-->Larga<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Speed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Velocidad<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Velocidad<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Speed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/SlotSpeed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="HotPlugSystemSlot/SlotSpeed"/><xsl:text> </xsl:text><xsl:value-of select="HotPlugSystemSlot/SlotSpeed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Category"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Categor&#237;a<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Categor&#237;a<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Category_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Category='1'"><!--XLATESTART-->Otro<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='3'"><!--XLATESTART-->Conector de bus<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='4'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='5'"><!--XLATESTART-->Placa base<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsHotPlugCapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Admite acoplamiento activo<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Admite acoplamiento activo<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsHotPlugCapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/IsHotPlugCapable='true'"><!--XLATESTART-->S&#237;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="VoltSupply"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Voltaje de alimentaci&#243;n<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Voltaje de alimentaci&#243;n<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="VoltSupply_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:if test="IsVolt33='true'"><!--XLATESTART-->3,3 voltios<!--XLATESTOP--><xsl:if test="IsVolt5='true'">, </xsl:if></xsl:if>
				<xsl:if test="IsVolt5='true'"><!--XLATESTART-->5 voltios<!--XLATESTOP--></xsl:if>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsShared"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Ranura compartida<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Ranura compartida<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsShared_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsShared='true'"><!--XLATESTART-->S&#237;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCard16"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Tarjeta PC-16<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Tarjeta PC-16<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCard16_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCard16='true'"><!--XLATESTART-->Admitido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No admitida<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCardBus"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Bus de tarjeta<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Bus de tarjeta<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCardBus_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCardBus='true'"><!--XLATESTART-->Admitido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No admitida<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsZoomVideo"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->V&#237;deo Zoom<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->V&#237;deo Zoom<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsZoomVideo_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsZoomVideo='true'"><!--XLATESTART-->Admitido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No admitida<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsModemRingResume"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Reanudaci&#243;n de timbre de m&#243;dem<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Reanudaci&#243;n de timbre de m&#243;dem<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsModemRingResume_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsModemRingResume='true'"><!--XLATESTART-->Admitido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No admitida<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsPMECapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Se&#241;al de administraci&#243;n de energ&#237;a activada (PME#)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Se&#241;al de administraci&#243;n de energ&#237;a activada (PME#)<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsPMECapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsPMECapable='true'"><!--XLATESTART-->Admitido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->No admitida<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="SlotDevice">
	<Row>
		<Data name="DeviceManufacturer"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Fabricante del adaptador<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Fabricante del adaptador<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceManufacturer_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Manufacturer"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDesc"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Descripci&#243;n del adaptador<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Descripci&#243;n del adaptador<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDesc_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="DeviceDesc"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDataBusWidth"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Amplitud del bus de datos del adaptador<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Amplitud del bus de datos del adaptador<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDataBusWidth_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="DataBusWidth = '0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="DataBusWidth"/> <!--XLATESTART-->Bits<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceSpeed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Velocidad del adaptador<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Velocidad del adaptador<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceSpeed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Speed='0'"><!--XLATESTART-->Desconocido<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
