<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle display="Commutateur d'alimentation en CA"/>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data>
								<xsl:attribute name="display">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<DataArea>
							<xsl:if test="(Redundancy/RedunStatus!='4') or (ACSwitchObj/Capabilities &gt; '1') or (/OMA/ACSwitchObj/RedundancyExpected = '1')">
			
				
					
						
							
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetACSwitchWebPlugin&amp;oid=<xsl:value-of select="ACSwitchObj/@oid"/>&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/></xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display">
									<xsl:choose>
										<xsl:when test="ACSwitchObj/ACSwitchName='AC Failover Switch'"><!--XLATESTART-->Commutateur de basculement de CA<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
										<xsl:attribute name="display"><!--XLATESTART-->Redondance du commutateur en CA<!--XLATESTOP--></xsl:attribute>
										<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
							<script language="javascript">
								<xsl:if test="((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1'))">
									function setRedundancy()
									{
										document.getElementById("redundancy").value = "true";
									}
								</xsl:if>
								<xsl:if test="ACSwitchObj/Capabilities &gt; '1'">
									function setCapabilities()
									{
										document.getElementById("capabilities").value = "true";
									}
								</xsl:if>
							</script>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><xsl:value-of select="ACSwitchObj/ACSwitchName"/></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;poid=<xsl:value-of select="ServletArguments/@POID"/></xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
								<SubHeader>
									<xsl:attribute name="display"><!--XLATESTART-->Redondance du commutateur en CA<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
								</SubHeader>
							</xsl:if>
							<ListData>
								<xsl:if test="ACSwitchObj/RedundancyExpected != '1'">
									<xsl:apply-templates select="Redundancy"/>
								</xsl:if>
								<xsl:apply-templates select="ACSwitchObj"/>
							</ListData>
							<xsl:apply-templates select="ACCordList"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#201;tat de la redondance<!--XLATESTOP--></xsl:attribute>
			<xsl:call-template name="RedStatus">
				<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
			</xsl:call-template>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Nombre de p&#233;riph&#233;riques requis pour une redondance totale<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="ACSwitchObj">
		<xsl:call-template name="ACMode">
			<xsl:with-param name="mode"><xsl:value-of select="RedundancyExpected"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="ACConfig">
			<xsl:with-param name="settings"><xsl:value-of select="Settings"/></xsl:with-param>
			<xsl:with-param name="capabilities"><xsl:value-of select="Capabilities"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ACCordList">
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Lignes d'alimentation en CA<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Emplacement<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Emplacement<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->CA pr&#233;sent<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->CA pr&#233;sent<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Source active<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Source active<!--XLATESTOP--></xsl:attribute>	
				</Data>
			</Header>
			<xsl:apply-templates select="ACCord"/>
		</TableData>
	</xsl:template>
	<xsl:template match="ACCord">
		<Row>
			<Data type="status">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="ACCordName"/></xsl:attribute>
			</Data>
			<xsl:call-template name="ACPower">
				<xsl:with-param name="present"><xsl:value-of select="ACPresent"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="ACActive">
				<xsl:with-param name="active"><xsl:value-of select="ACActiveSrc"/></xsl:with-param>
			</xsl:call-template>
		</Row>
	</xsl:template>
	<xsl:template name="ACPower">
	<xsl:param name="present"/>
		<xsl:choose>
			<xsl:when test="$present = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Alimentation pr&#233;sente<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Alimentation absente<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACActive">
	<xsl:param name="active"/>
		<xsl:choose>
			<xsl:when test="$active = 1">
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Active<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Pas active<!--XLATESTOP--></xsl:attribute>
				</Data>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->Hors ligne<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->Totale<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->D&#233;grad&#233;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->Perdue<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACMode">
		<xsl:param name="mode"/>
		<xsl:choose>
			<xsl:when test="(((/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')) and ((/OMA/Redundancy/RedunStatus != '4') or (/OMA/ACSwitchObj/RedundancyExpected = '1')))">
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->Mode de redondance<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Redondant<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="$mode = '2'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="radio" name="select_redunmode">
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:setRedundancy()</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Non redondant<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue"><xsl:value-of select="$mode"/></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$mode='1'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:if>
				</Data>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$mode = '1'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Mode de redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Non redondant<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:when test="$mode = '2'">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Mode de redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Redondant<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Mode de redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
						</Data>
					</xsl:otherwise>
				</xsl:choose>
				<Data type="hidden" name="redundancy" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ACConfig">
		<xsl:param name="settings"/>
		<xsl:param name="capabilities"/>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights='7') or (/OMA/OMAUserRights='3')">
				<xsl:choose>
					<xsl:when test="$capabilities= '15'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuration de la redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, rester sur la ligne 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, retourner sur la ligne 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, rester sur la ligne 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, retourner sur la ligne 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="$settings = '8'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '7'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuration de la redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, rester sur la ligne 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, retourner sur la ligne 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, rester sur la ligne 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">4</xsl:attribute>
							<xsl:if test="$settings = '4'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:when test="$capabilities= '3'">
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Configuration de la redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, rester sur la ligne 2<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">1</xsl:attribute>
							<xsl:if test="$settings = '1'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="radio" name="select_redunconfig">
							<xsl:attribute name="event">onClick</xsl:attribute>
							<xsl:attribute name="handler">javascript:setCapabilities()</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, retourner sur la ligne 1<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">2</xsl:attribute>
							<xsl:if test="$settings = '2'"><xsl:attribute name="state">1</xsl:attribute></xsl:if>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:when>
					<xsl:otherwise>
						<Data>
							<xsl:attribute name="display">Configuration de la redondance</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Mode d'entr&#233;e partag&#233;e<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, retourner sur la ligne 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, rester sur la ligne 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, retourner sur la ligne 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, rester sur la ligne 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="hidden" name="capabilities" returnvalue="false"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Configuration de la redondance<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="$settings = '16'">
									<xsl:attribute name="value"><!--XLATESTART-->Mode d'entr&#233;e partag&#233;e<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '2'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, retourner sur la ligne 1 <!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '4'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, rester sur la ligne 1<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:when test="$settings = '8'">
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 2, apr&#232;s restauration de la redondance, retourner sur la ligne 2<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Source d'entr&#233;e ligne 1, apr&#232;s restauration de la redondance, rester sur la ligne 2<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
				</Data>
				<Data type="hidden" name="capabilities" returnvalue="false"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Commande r&#233;ussie<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande non impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayer plus tard<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->L'objet Commutateur d'alimentation en CA est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->L'objet Commutateur d'alimentation en CA est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->L'objet Commutateur d'alimentation en CA existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Le XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
