<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" />
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:variable name="displaytype"><xsl:value-of select="Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PromptText>
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							<xsl:with-param name="mssg"><xsl:value-of select="SMStatus/@mssg"/></xsl:with-param>
						</xsl:call-template>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="$displaytype = 'list'">
								<DataArea>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Informations sur l'inventaire<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->view/Cliquez sur les &#233;l&#233;ments isol&#233;s pour afficher ou d&#233;finir les propri&#233;t&#233;s.<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data name="" display="Actualiser">
											<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetInfo</xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:call-template name="List"/>
								</DataArea>
							</xsl:when>			
							<xsl:when test="$displaytype = 'summary'">
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Sections de l'inventaire<!--XLATESTOP--></xsl:attribute>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->Informations sur l'inventaire<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->Cliquez sur l'&#233;l&#233;ment qui correspond aux informations sur l'inventaire que vous souhaitez voir.<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetSummary</xsl:attribute>
										</Data>
									</CustomButton>
									<SummaryData>
										<xsl:apply-templates select="AssetInfo"/>
										<xsl:call-template name="OwnerInfo"/>
									</SummaryData>
								</DataArea>
							</xsl:when>
							<xsl:otherwise>
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo" validate="true">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Sections de l'inventaire<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(Arguments ='acquisition') or (Arguments ='extwarranty') or (Arguments ='warranty') or (Arguments ='lease') or (Arguments 		='maintenance')">
						<xsl:attribute name="date">true</xsl:attribute>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='lease'"></xsl:when>
										<xsl:when test="Arguments ='support'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='maintenance'"></xsl:when>
										<xsl:when test="Arguments ='system'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<PageTitle >
										<xsl:attribute name="display">
											<xsl:choose>
												<xsl:when test="DisplayString='Acquisition'"><!--XLATESTART-->Acquisition<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Depreciation'"><!--XLATESTART-->D&#233;pr&#233;ciation<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Extended Warranty Information'"><!--XLATESTART-->Informations sur garantie prorog&#233;e<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Lease Information'"><!--XLATESTART-->Informations sur le cr&#233;dit-bail<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Maintenance Information'"><!--XLATESTART-->Informations sur la maintenance<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Out Source Information'"><!--XLATESTART-->Informations sur le sous-traitant<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Owner Information'"><!--XLATESTART-->Informations sur le propri&#233;taire<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Service Contract'"><!--XLATESTART-->Contrat de service<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Support Information'"><!--XLATESTART-->Informations sur l'assistance<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='System Information'"><!--XLATESTART-->Informations sur le syst&#232;me<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Warranty Information'"><!--XLATESTART-->Informations sur la garantie<!--XLATESTOP--></xsl:when>
											</xsl:choose>
										</xsl:attribute>
									</PageTitle>
									<xsl:variable name="helpattrib">
										<xsl:choose>
											<xsl:when test="Arguments='acquisition'">Acquisition</xsl:when>
											<xsl:when test="Arguments='extwarranty'">ExtWarranty</xsl:when>																					<xsl:when test="Arguments='warranty'">Warranty</xsl:when>
											<xsl:when test="Arguments='outsource'">OutSource</xsl:when>
											<xsl:when test="Arguments='owner'">Owner</xsl:when>
											<xsl:when test="Arguments='depreciation'">Depreciation</xsl:when>
											<xsl:when test="Arguments='servicecontract'">Service</xsl:when>
											<xsl:when test="Arguments='lease'">Lease</xsl:when>
											<xsl:when test="Arguments='maintenance'">Maintenance</xsl:when>
											<xsl:when test="Arguments='support'">Support</xsl:when>
											<xsl:when test="Arguments='system'">SystemInfo</xsl:when>
											<xsl:when test="Arguments='summary'">AssetSummary</xsl:when>
										</xsl:choose>
									</xsl:variable>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=<xsl:value-of select="$helpattrib"/></xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:apply-templates/>
									<script>
										function validate()
										{
											var section = "<xsl:value-of select="Arguments"/>";
											<xsl:variable name="arg"><xsl:value-of select="Arguments"/></xsl:variable>
											<xsl:choose>
												<xsl:when test="$arg = 'acquisition'">
													var tempacqpcost 		= document.getElementById("acqpcost").value;
													var tempacqwbillnum 	= document.getElementById("acqwbillnum").value;
													var tempacqponum		= document.getElementById("acqponum").value;
													var tempacqsignauth		= document.getElementById("acqsignauth").value;
													var tempcstctr				= document.getElementById("cstctr").value;

													<!-- 1. Purchase Cost -->
													if(tempacqpcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if( (isNaN(tempacqpcost) == true) || (tempacqpcost &lt; 0) || (tempacqpcost.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Co&#251;t d'achat &#187;, a lu : " + tempacqpcost);
															document.getElementById("acqpcost").focus();
															document.getElementById("acqpcost").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur de &#171; Co&#251;t d'achat &#187;");
														document.getElementById("acqpcost").focus();
														document.getElementById("acqpcost").select();
														return false;
													}

													<!-- 2. Way Bill Num -->
													if(tempacqwbillnum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqwbillnum) == true) || (tempacqwbillnum &lt; 0) || (tempacqwbillnum.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour  &#171; N&#176; de bordereau &#187;, a lu : " + tempacqwbillnum);
															document.getElementById("acqwbillnum").focus();
															document.getElementById("acqwbillnum").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur de &#171; N&#176; de bordereau &#187;");
														document.getElementById("acqwbillnum").focus();
														document.getElementById("acqwbillnum").select();
														return false;
													}
													
													<!-- 3. PO Num -->
													if(tempacqponum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqponum) == true) || (tempacqponum &lt; 0) || (tempacqponum.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; N&#176; de bon de commande &#187;, a lu : " + tempacqponum);
															document.getElementById("acqponum").focus();
															document.getElementById("acqponum").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; N&#176; de bon de commande &#187;");
														document.getElementById("acqponum").focus();
														document.getElementById("acqponum").select();
														return false;
													}
													
													<!-- 4. Who Signed for -->
													if(tempacqsignauth != '')
													{
														if( ! isAlphaNumeric(tempacqsignauth, "Who Signed for"))
														{
															document.getElementById("acqsignauth").focus();
															document.getElementById("acqsignauth").select();
															return false;
														}												
													}
													else
													{
														alert("Entrez la valeur pour &#171; Signataire &#187;");
														document.getElementById("acqsignauth").focus();
														document.getElementById("acqsignauth").select();
														return false;
													}
													
													<!-- 5. Cost Center -->
													if(tempcstctr != '')
													{
														if( ! isAlphaNumeric(tempcstctr, "Cost Center"))
														{
															document.getElementById("cstctr").focus();
															document.getElementById("cstctr").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Centre de co&#251;ts &#187;");
														document.getElementById("cstctr").focus();
														document.getElementById("cstctr").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'extwarranty'">
													var tempextwcost		= document.getElementById("extwcost").value;
													var tempextwprovider	= document.getElementById("extwprovider").value;
													var tempextwsdate		= document.getElementById("extwsdate").value;
													var tempextwedate		= document.getElementById("extwedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->La date de d&#233;but ne peut pas &#234;tre apr&#232;s la date de fin.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->La date de d&#233;but et la date de fin ne peuvent pas &#234;tre les m&#234;mes.<!--XLATESTOP-->";
													
													if(tempextwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempextwcost) == true) || (tempextwcost &lt; 0) || (tempextwcost.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier  pour &#171; Co&#251;t &#187;, a lu : " + tempextwcost);
															document.getElementById("extwcost").focus();
															document.getElementById("extwcost").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Co&#251;t &#187;");
														document.getElementById("extwcost").focus();
														document.getElementById("extwcost").select();
														return false;
													}
													
													if(tempextwprovider != '')
													{
														if( ! isAlphaNumeric(tempextwprovider, "Fournisseur"))
														{
															document.getElementById("extwprovider").focus();
															document.getElementById("extwprovider").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur pour &#171; Fournisseur &#187;");
														document.getElementById("extwprovider").focus();
														document.getElementById("extwprovider").select();
														return false;
													}
													
													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															 {
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
												</xsl:when>
												<xsl:when test="$arg = 'warranty'">
													var tempwduration	= document.getElementById("wduration").value;
													var tempwcost			= document.getElementById("wcost").value;
												
													if(tempwduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwduration) == true) || (tempwduration &lt; 0) || (tempwduration.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Dur&#233;e &#187;, a lu : " + tempwduration);
															document.getElementById("wduration").focus();
															document.getElementById("wduration").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Dur&#233;e &#187;");
														document.getElementById("wduration").focus();
														document.getElementById("wduration").select();
														return false;
													}
													
													if(tempwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwcost) == true) || (tempwcost &lt; 0) || (tempwcost.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier  pour &#171; Co&#251;t &#187;, a lu : " + tempwcost);
															document.getElementById("wcost").focus();
															document.getElementById("wcost").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Co&#251;t &#187;");
														document.getElementById("wcost").focus();
														document.getElementById("wcost").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'outsource'">
													var tempoutsservfee 	= document.getElementById("outsservfee").value;
													var tempoutsprovfee		= document.getElementById("outsprovfee").value;
													var tempoutsprobcomp	= document.getElementById("outsprobcomp").value;
													var tempoutssigna		= document.getElementById("outssigna").value;
													var tempoutsslalvl		= document.getElementById("outsslalvl").value;
													
													if(tempoutsservfee != '')
													{
														if( ! isAlphaNumeric(tempoutsservfee, "Service Fee"))
														{
															document.getElementById("outsservfee").focus();
															document.getElementById("outsservfee").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Prestation de service &#187;");
														document.getElementById("outsservfee").focus();
														document.getElementById("outsservfee").select();
														return false;														
													}
		
													if(tempoutsprovfee != '')
													{
														if( ! isAlphaNumeric(tempoutsprovfee, "Provider Fee"))
														{
															document.getElementById("outsprovfee").focus();
															document.getElementById("outsprovfee").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Commission du prestataire &#187;");
														document.getElementById("outsprovfee").focus();
														document.getElementById("outsprovfee").select();
														return false;
													}
		
													if(tempoutsprobcomp != '')
													{
														if( ! isAlphaNumeric(tempoutsprobcomp, "Problem Component"))
														{
															document.getElementById("outsprobcomp").focus();
															document.getElementById("outsprobcomp").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Composant probl&#233;matique &#187;");
														document.getElementById("outsprobcomp").focus();
														document.getElementById("outsprobcomp").select();
														return false;
													}
													
													if(tempoutssigna != '')
													{
														if( ! isAlphaNumeric(tempoutssigna, "Who Signed for"))
														{
															document.getElementById("outssigna").focus();
															document.getElementById("outssigna").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Signataire &#187;");
														document.getElementById("outssigna").focus();
														document.getElementById("outssigna").select();
														return false;
													}
													
													if(tempoutsslalvl != '')
													{
														if( ! isAlphaNumeric(tempoutsslalvl, "SLA Level"))
														{
															document.getElementById("outsslalvl").focus();
															document.getElementById("outsslalvl").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Niveau SLA &#187;");
														document.getElementById("outsslalvl").focus();
														document.getElementById("outsslalvl").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'owner'">
													var tempcorpownername = document.getElementById("corpownername").value;
													var tempinsurancecomp = document.getElementById("insurancecomp").value;

													if(tempcorpownername != '')
													{
														if( ! isAlphaNumeric(tempcorpownername, "Owner Name"))
														{
															document.getElementById("corpownername").focus();
															document.getElementById("corpownername").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Nom du propri&#233;taire &#187;");
														document.getElementById("corpownername").focus();
														document.getElementById("corpownername").select();
														return false;
													}
													
													if(tempinsurancecomp != '')
													{
														if( ! isAlphaNumeric(tempinsurancecomp, "Insurance Company"))
														{
															document.getElementById("insurancecomp").focus();
															document.getElementById("insurancecomp").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Compagnie d'assurance &#187;");
														document.getElementById("insurancecomp").focus();
														document.getElementById("insurancecomp").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'depreciation'">
													var tempdeprduration	= document.getElementById("deprduration").value;
													var tempdeprpercent 	= document.getElementById("deprpercent").value;
													var tempdeprmethod  	= document.getElementById("deprmethod").value;
												
													if(tempdeprduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprduration) == true) || (tempdeprduration &lt; 0) || (tempdeprduration.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Dur&#233;e &#187;, a lu : " + tempdeprduration);
															document.getElementById("deprduration").focus();
															document.getElementById("deprduration").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Dur&#233;e &#187;");
														document.getElementById("deprduration").focus();
														document.getElementById("deprduration").select();
														return false;
													}
		
													if(tempdeprpercent != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprpercent) == true) || (tempdeprpercent &lt; 0) || (tempdeprpercent.indexOf(".") != "-1") || (tempdeprpercent &gt; 100))
														{
															alert("Erreur ! attendait un nombre entier (0-100) pour &#171; Pourcentage &#187;, a lu : " + tempdeprpercent);
															document.getElementById("deprpercent").focus();
															document.getElementById("deprpercent").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Pourcentage &#187;");
														document.getElementById("deprpercent").focus();
														document.getElementById("deprpercent").select();
														return false;
													}
													
													if(tempdeprmethod != '')
													{
														if( ! isAlphaNumeric(tempdeprmethod, "Method"))
														{
															document.getElementById("deprmethod").focus();
															document.getElementById("deprmethod").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; M&#233;thode &#187;");
														document.getElementById("deprmethod").focus();
														document.getElementById("deprmethod").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'servicecontract'">
													var tempsrvcnttype		= document.getElementById("srvcnttype").value;
													var tempsrvcntvendor	= document.getElementById("srvcntvendor").value;
													
													if(tempsrvcnttype != '')
													{
														if( ! isAlphaNumeric(tempsrvcnttype, "Type"))
														{
															document.getElementById("srvcnttype").focus();
															document.getElementById("srvcnttype").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Type &#187;");
														document.getElementById("srvcnttype").focus();
														document.getElementById("srvcnttype").select();
														return false;
													}	
													
													if(tempsrvcntvendor != '')
													{
														if( ! isAlphaNumeric(tempsrvcntvendor, "Vendor"))
														{
															document.getElementById("srvcntvendor").focus();
															document.getElementById("srvcntvendor").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Fournisseur &#187;");
														document.getElementById("srvcntvendor").focus();
														document.getElementById("srvcntvendor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'lease'">
													var templeasebyoamt	= document.getElementById("leasebyoamt").value;
													var templeasertfact		= document.getElementById("leasertfact").value;
													var tempeasefrmrktval	= document.getElementById("leasefrmrktval").value;
													var templeaselessor		= document.getElementById("leaselessor").value;
													
													if(templeasebyoamt != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasebyoamt) == true) || (templeasebyoamt &lt; 0) || (templeasebyoamt.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Prix de rachat &#187;, a lu : " + templeasebyoamt);
															document.getElementById("leasebyoamt").focus();
															document.getElementById("leasebyoamt").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Prix de rachat &#187;");
														document.getElementById("leasebyoamt").focus();
														document.getElementById("leasebyoamt").select();
														return false;
													}
													
													if(templeasertfact != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasertfact) == true) || (templeasertfact &lt; 0) || (templeasertfact.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Facteur de r&#233;tention &#187;, a lu : " + templeasertfact);
															document.getElementById("leasertfact").focus();
															document.getElementById("leasertfact").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Facteur de r&#233;tention &#187;");
														document.getElementById("leasertfact").focus();
														document.getElementById("leasertfact").select();
														return false;
													}
													
													if(tempeasefrmrktval != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempeasefrmrktval) == true) || (tempeasefrmrktval &lt; 0) || (tempeasefrmrktval.indexOf(".") != "-1")
														{
															alert("Erreur ! attendait un nombre entier pour &#171; Valeur marchande &#187;, a lu : " + tempeasefrmrktval);
															document.getElementById("leasefrmrktval").focus();
															document.getElementById("leasefrmrktval").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Valeur marchande &#187;");
														document.getElementById("leasefrmrktval").focus();
														document.getElementById("leasefrmrktval").select();
														return false;
													}
													
													if(templeaselessor != '')
													{
														if( ! isAlphaNumeric(templeaselessor, "Lessor"))
														{
															document.getElementById("leaselessor").focus();
															document.getElementById("leaselessor").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Preneur &#187;");
														document.getElementById("leaselessor").focus();
														document.getElementById("leaselessor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'maintenance'">
													var tempmaintprovider	= document.getElementById("maintprovider").value;
													var tempmaintrest		= document.getElementById("maintrest").value;
													var tempextwsdate 		= document.getElementById("maintsdate").value;
													var tempextwedate 		= document.getElementById("maintedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->La date de mise en vigueur ne peut pas &#234;tre apr&#232;s la date de fin.<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->La date de mise en vigueur et la date de fin ne peuvent pas &#234;tre les m&#234;mes.<!--XLATESTOP-->";

													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
													
													if(tempmaintprovider != '')
													{
														if( ! isAlphaNumeric(tempmaintprovider, "Prestataire"))
														{
															document.getElementById("maintprovider").focus();
															document.getElementById("maintprovider").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Prestataire &#187;");
														document.getElementById("maintprovider").focus();
														document.getElementById("maintprovider").select();
														return false;
													}
													
													if(tempmaintrest != '')
													{
														if( ! isAlphaNumeric(tempmaintrest, "Restrictions"))
														{
															document.getElementById("maintrest").focus();
															document.getElementById("maintrest").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Restrictions &#187;");
														document.getElementById("maintrest").focus();
														document.getElementById("maintrest").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'support'">
													var tempsuphlpdesk	= document.getElementById("suphlpdesk").value;
													var tempsupautofix	= document.getElementById("supautofix").value;
													
													if(tempsuphlpdesk != '')
													{
														if( ! isAlphaNumeric(tempsuphlpdesk, "Help Desk"))
														{
															document.getElementById("suphlpdesk").focus();
															document.getElementById("suphlpdesk").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Centre d'assistance &#187;");
														document.getElementById("suphlpdesk").focus();
														document.getElementById("suphlpdesk").select();
														return false;
													}
													
													if(tempsupautofix != '')
													{
														if( ! isAlphaNumeric(tempsupautofix, "Automatic Fix"))
														{
															document.getElementById("supautofix").focus();
															document.getElementById("supautofix").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; T&#233;l&#233;d&#233;pannage &#187;");
														document.getElementById("supautofix").focus();
														document.getElementById("supautofix").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'system'">
													var tempsyspuserphone	= document.getElementById("syspuserphone").value;
													var tempsyslocation		= document.getElementById("syslocation").value;
													var tempsyspusername	= document.getElementById("syspusername").value;
													
													if(tempsyspuserphone != '')
													{
														if( ! isAlphaNumericPhone(tempsyspuserphone, "Primary User Phone"))
														{
															document.getElementById("syspuserphone").focus();
															document.getElementById("syspuserphone").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; T&#233;l&#233;phone de l'utilisateur principal &#187;");
														document.getElementById("syspuserphone").focus();
														document.getElementById("syspuserphone").select();
														return false;
													}
													
													if(tempsyslocation != '')
													{
														if( ! isAlphaNumeric(tempsyslocation, "System Location"))
														{
															document.getElementById("syslocation").focus();
															document.getElementById("syslocation").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Emplacement du syst&#232;me &#187;");
														document.getElementById("syslocation").focus();
														document.getElementById("syslocation").select();
														return false;
													}
													
													if(tempsyspusername != '')
													{
														if( ! isAlphaNumeric(tempsyspusername, "Primary User Name"))
														{
															document.getElementById("syspusername").focus();
															document.getElementById("syspusername").select();
															return false;
														}
													}
													else
													{
														alert("Entrez la valeur qui correspond &#224; &#171; Nom de l'utilisateur principal &#187;");
														document.getElementById("syspusername").focus();
														document.getElementById("syspusername").select();
														return false;
													}
												</xsl:when>
											</xsl:choose>
											return true;
										}
																																	
										function isAlphaNumeric(text, varname)
										{
											var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
											
											//Eliminate the spaces at the end
											while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("Erreur ! La valeur de &#171; " + varname + " &#187; n'est pas valide, n'utilisez que des caract&#232;res et des chiffres.");
												return false;
											}
											if(text.length > 63)
											{
												alert("&#171; " + varname + " &#187; ne peut pas contenir plus de 64 caract&#232;res.");
												return false;
											}
											
											return true;
										}
										
										<xsl:if test="$arg = 'system'">											
											function isAlphaNumericPhone(text, varname)
											{
												var validValue = "-0123456789";
												var ok = "yes";
												var temp;
												
												//Eliminate the spaces at the end
												while(''+text.charAt(text.length-1)==' ')
												{
													text = text.substring(0,text.length-1);
												}
												
												for (var i=0; i&lt;text.length; i++)
												{
													temp = "" + text.substring(i, i+1);
													if (validValue.indexOf(temp) == "-1")
													{
														if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("Erreur ! La valeur de &#171; " + varname + " &#187; n'est pas valide, n'utilisez que des chiffres s&#233;par&#233;s par [-].");
													return false;
					}
					
					return true;
				}
										</xsl:if>
									</script>
								</DataArea>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Informations sur l'inventaire<!--XLATESTOP--></xsl:attribute>
							</PageTitle>					
							<PromptText ignoreoncli="true"><!--XLATESTART-->Cliquez sur l'&#233;l&#233;ment qui correspond aux informations sur l'inventaire que vous souhaitez voir.<!--XLATESTOP--></PromptText>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
								</Data>
							</CustomButton>
							<SummaryData>
								<xsl:apply-templates select="AssetInfo"/>
								<xsl:call-template name="OwnerInfo"/>
							</SummaryData>
						</DataArea>
					</xsl:otherwise>
		</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="List">
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Sections de l'inventaire<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Sections de l'inventaire<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Acquisition<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=acquisition&amp;help=Acquisition</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;pr&#233;ciation<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=depreciation&amp;help=Depreciation</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur la garantie prorog&#233;e<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=extwarranty&amp;help=ExtWarranty</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur le cr&#233;dit-bail<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=lease&amp;help=Lease</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur la maintenance<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=maintenance&amp;help=Maintenance</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur le sous-traitant<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=outsource&amp;help=OutSource</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur le propri&#233;taire<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=owner&amp;help=Owner</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Contrat de service<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=servicecontract&amp;help=Service</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->R&#233;sum&#233;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur l'assistance<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=support&amp;help=Support</xsl:attribute>						</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur le syst&#232;me<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=system&amp;help=SystemInfo</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Informations sur la garantie<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=warranty&amp;help=Warranty</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template match="AssetInfo">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="Acquisition">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
				<Section display="Acquisition" name="Acquisition">
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Co&#251;t d'achat<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->R&#233;f&#233;rence au bon de livraison (bordereau)<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->R&#233;f&#233;rence au bon de commande<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Signataire<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Date d'installation<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Date d'achat<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>	
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Pass&#233; en charges<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
									<xsl:attribute name="value"><!--XLATESTART-->Oui<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->Non<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Centre de co&#251;ts<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
						</Data>
					</ListData>
				</Section>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data type="editbox" name="acqpcost" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->Co&#251;t d'achat<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqwbillnum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->R&#233;f&#233;rence au bon de livraison (bordereau)<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqponum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->R&#233;f&#233;rence au bon de commande<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqsignauth" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Signataire<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
					</Data>
					<Data type="date" name="acqinstalldate">
						<xsl:attribute name="display"><!--XLATESTART-->Date d'installation<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data type="date" name="acqprchsedate">
						<xsl:attribute name="display"><!--XLATESTART-->Date d'achat<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>	
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
					</Data>
					<Data type="radio" name="omcnfgexpnsd" splcase="true">
						<xsl:attribute name="display"><!--XLATESTART-->Pass&#233; en charges<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">Yes</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<ExtraItem type="radio" name="omcnfgexpnsd">
							<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
							<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='false'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
						</ExtraItem>
					</Data>
					<Data type="editbox" name="cstctr" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->Centre de co&#251;ts<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="acqoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="omcnfgoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/OMConfig/@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="cstctroid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/CostCenter/@oid"/></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Warranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Garantie " name="Warranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type d'unit&#233;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:choose>
										<xsl:when test="UnitType ='0'"><!--XLATESTART-->Jours<!--XLATESTOP--></xsl:when>
										<xsl:when test="UnitType ='1'"><!--XLATESTART-->Mois<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DisplayDate">
										<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Co&#251;t<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="woid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="wduration" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="wunittype">
							<xsl:attribute name="display"><!--XLATESTART-->Type d'unit&#233;<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="(UnitType ='0') or (UnitType ='1')">
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="UnitType = '0'"><xsl:attribute name="default">true</xsl:attribute>
										</xsl:if>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="UnitType = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
									</Choice>
								</xsl:when>
								<xsl:otherwise>
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Other</xsl:attribute>
										<xsl:attribute name="returnvalue"><xsl:value-of select="UnitType"/></xsl:attribute>
						<xsl:attribute name="default">true</xsl:attribute>
									</Choice>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="date" name="wedate">
							<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="wcost" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Co&#251;t<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ExtWarranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Garantie &#233;tendue " name="ExtWarranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de d&#233;but<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Co&#251;t<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data display="Date de d&#233;but" type="date" name="extwsdate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="Date de fin" type="date" name="extwedate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="Co&#251;t" type="editbox" name="extwcost" size="29" maxlength="9">
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
						<Data display="Fournisseur" type="editbox" name="extwprovider" size="29" maxlength="63">
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="extwoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="OwnerInfo">
		<Section display="Propri&#233;taire" name="owner">
			<ListData>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="OwnerType">
							<xsl:with-param name="type"><xsl:value-of select="/OMA/AssetInfo/OwnerShipCodes/Type"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Nom du propri&#233;taire<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CorporateOwner/OwnerName"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Compagnie d'assurance<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/Insurance/InsuranceCompany"/></xsl:attribute>
				</Data>
			</ListData>
		</Section>
	</xsl:template>
	<xsl:template match="Owner">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Propri&#233;taire" name="Owner">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="OwnerType">
										<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Nom du propri&#233;taire<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Compagnie d'assurance<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="select" name="ownershiptype">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="OwnerType">
								<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="corpownername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Nom du propri&#233;taire<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="insurancecomp"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Compagnie d'assurance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="ownershipoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="OwnerShipCodes/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="corpowneroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="CorporateOwner/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="insuranceoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="Insurance/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="chassisprops1oid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template match="Depreciation">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="D&#233;pr&#233;ciation" name="Depreciation">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->M&#233;thode<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type d'unit&#233; de dur&#233;e<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DurationUnitType">
										<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Pourcentage<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="deproid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprmethod"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->M&#233;thode<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprduration"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="depcdutype">
							<xsl:attribute name="display"><!--XLATESTART-->Type d'unit&#233; de dur&#233;e<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="DurationUnitType">
								<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="deprpercent"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Pourcentage<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="SupportInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Assistance" name="SupportInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Sous-trait&#233;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Outsourced"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="SupportType">
										<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Centre d'assistance<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->T&#233;l&#233;d&#233;pannage<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="supoutsrc" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Sous-trait&#233;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Outsourced ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="supoutsrc">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Outsourced ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="suptype" type="select">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="SupportType">
								<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data name="suphlpdesk" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Centre d'assistance<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
						</Data>
						<Data name="supautofix" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->T&#233;l&#233;d&#233;pannage<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="supoid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Outsourcing">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Sous-traitance" name="Outsourcing">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Composant probl&#233;matique<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Prestation de service<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Signataire<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Commission prestataire<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Niveau SLA<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
				<ListData>
						<Data type="editbox" name="outsprobcomp" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Composant probl&#233;matique<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsservfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Prestation de service<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outssigna" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Signataire<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsprovfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Commission du prestataire<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsslalvl" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Niveau SLA<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="outsoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="ServiceContract">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Contrat de service" name="Service Contract">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Renouvel&#233;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Renewed"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData >
						<Data type="radio" name="srvcntrenewed" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->Renouvel&#233;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">True</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Renewed ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="srvcntrenewed">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Renewed ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="srvcnttype" type="editbox"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
						</Data>
						<Data name="srvcntvendor" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="servcroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="LeaseInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Cr&#233;dit-bail " name="LeaseInfo">
						<ListData>						
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#201;ch&#233;ances multiples<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="IsMultiSchedules"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Prix de rachat<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Facteur de r&#233;tention<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Valeur marchande<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Preneur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="leasemschd" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->&#201;ch&#233;ances multiples<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">Yes</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="IsMultiSchedules ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="leasemschd">
								<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="IsMultiSchedules ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data type="editbox" name="leasebyoamt" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Prix de rachat<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leasertfact" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Facteur de r&#233;tention<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
						</Data>
						<Data type="date" name="leaseedate">
							<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="leasefrmrktval" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->Valeur marchande<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leaselessor" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Preneur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="leaseoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="MaintInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Maintenance " name="MaintInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de d&#233;but<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Restrictions<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="date" name="maintsdate">
							<xsl:attribute name="display"><!--XLATESTART-->Date de d&#233;but<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="date" name="maintedate">
							<xsl:attribute name="display"><!--XLATESTART-->Date de fin<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="maintprovider" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="maintrest" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Restrictions<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="maintoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="Syst&#232;me" name="SystemInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Heure d'initialisation du syst&#232;me<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Heure syst&#232;me<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Nom du syst&#232;me<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Emplacement du syst&#232;me<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Nom de l'utilisateur principal<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Num&#233;ro de t&#233;l&#233;phone de l'utilisateur principal<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Heure d'initialisation du syst&#232;me<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Heure syst&#232;me<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Nom du syst&#232;me<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syslocation" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Emplacement du syst&#232;me<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspusername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Nom de l'utilisateur principal<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspuserphone" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->Num&#233;ro de t&#233;l&#233;phone de l'utilisateur principal<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="sysoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DurationUnitType">
		<xsl:param name="unit"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<Choice returnvalue="0">
					<xsl:attribute name="value"><!--XLATESTART-->Mois<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '0'"><xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
				<Choice returnvalue="1">
					<xsl:attribute name="value"><!--XLATESTART-->Ann&#233;es<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '1'">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$unit = '0'"><!--XLATESTART-->Mois<!--XLATESTOP--></xsl:when>
					<xsl:when test="$unit = '1'"><!--XLATESTART-->Ann&#233;es<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SupportType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
			<xsl:choose>
				<xsl:when test="$edit = 'true'">
					<xsl:choose>
						<xsl:when test="($type = '0') or ($type = '1')">
							<Choice returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->R&#233;seau<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Stockage<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
						</xsl:when>
						<xsl:otherwise>
							<Choice default="true">
								<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
							</Choice>
							<Choice  returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->R&#233;seau<!--XLATESTOP--></xsl:attribute>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->Stockage<!--XLATESTOP--></xsl:attribute>
							</Choice>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$type = '0'"><!--XLATESTART-->R&#233;seau<!--XLATESTOP--></xsl:when>
						<xsl:when test="$type = '1'"><!--XLATESTART-->Stockage<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template name="OwnerType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<xsl:choose>
					<xsl:when test="($type = '0') or ($type = '1') or ($type = '2')">
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Cr&#233;dit-bail<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '2'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
					</xsl:when>
					<xsl:otherwise>
						<Choice default="true">
							<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
						</Choice>
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->Cr&#233;dit-bail<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:attribute>
						</Choice>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$type = '0'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '1'"><!--XLATESTART-->Cr&#233;dit-bail<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '2'"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemClass">
		<xsl:param name="class"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">				
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Station de travail<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">3</xsl:attribute>
					<xsl:if test="$class = '3'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Serveur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">4</xsl:attribute>
					<xsl:if test="$class = '4'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Ordinateur de bureau<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">5</xsl:attribute>
					<xsl:if test="$class = '5'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Ordinateur portable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">6</xsl:attribute>
					<xsl:if test="$class = '6'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->PC r&#233;seau<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">7</xsl:attribute>
					<xsl:if test="$class = '7'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Stockage<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:if test="$class = '8'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->R&#233;serv&#233;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="$class = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$class = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="($class = '2') or ($class > '8') or ('0' &gt; $class)"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$class = '0'"><!--XLATESTART-->R&#233;serv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '3'"><!--XLATESTART-->Station de travail<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '4'"><!--XLATESTART-->Serveur<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '5'"><!--XLATESTART-->Ordinateur de bureau<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '6'"><!--XLATESTART-->Ordinateur portable<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '7'"><!--XLATESTART-->PC r&#233;seau<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '8'"><!--XLATESTART-->Stockage<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>Unknown</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Commande &#233;x&#233;cut&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande pas impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayez plus tard.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->L'objet Infos d'inventaire est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->L'objet Infos d'inventaire est mal form&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->L'objet Infos d'inventaire existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI est mal form&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est mal form&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML est mal form&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est mal form&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
	
	<xsl:template name="DisplayDate">
		<xsl:param name="dateName"/>
		<xsl:choose>
			<xsl:when test="($dateName= '-1') or ($dateName='0')">
			     <xsl:text>Please set the value</xsl:text>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$dateName"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>