<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="BIOSView1/SMStatus = 0">
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Informations sur le BIOS<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<ListData type="custom">
						<xsl:call-template name="SystemBIOS"/>
						<xsl:call-template name="LastBIOSUpdate"/>
					</ListData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Informations sur le BIOS<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<PromptText status="3">
						<!--XLATESTART-->Impossible d'obtenir des informations sur la version du BIOS.<!--XLATESTOP-->
					</PromptText>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemBIOS">
		<Data name="Name">
			<xsl:attribute name="display"><!--XLATESTART-->Fabricant<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Manufacturer"/></xsl:attribute>
		</Data>
		<Data name="Version">
			<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Version"/></xsl:attribute>
		</Data>
		<Data name="ReleaseDate">
			<xsl:attribute name="display"><!--XLATESTART-->Date de diffusion<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/ReleaseDate"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template name="LastBIOSUpdate">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Mise &#224; jour du BIOS de Server Administrator prise en charge<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable = '1'">
				<xsl:if test="UserAdmin = '1'">
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
						<xsl:attribute name="value"><!--XLATESTART-->Oui<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
						<xsl:attribute name="value"><!--XLATESTART-->Non<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(UserAdmin ) = '0'">
					<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Date de la derni&#232;re mise &#224; jour du BIOS de Server Administrator<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable  = '1'">
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
					<xsl:choose>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 17">
							<xsl:attribute name="value"><!--XLATESTART-->Non effectu&#233;e<!--XLATESTOP--></xsl:attribute>
						</xsl:when>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 3">
							<xsl:attribute name="value"><xsl:value-of select="concat(BIOSView2/LastBIOSUpdate/LastUpdateMonth, '/', BIOSView2/LastBIOSUpdate/LastUpdateDay, '/', BIOSView2/LastBIOSUpdate/LastUpdateYear)"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
					<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->-<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	<xsl:template match="OMAUserRights"/>
</xsl:stylesheet>
