<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<xsl:choose>
		<xsl:when test="@cli='true'">
			<DataArea>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Erreur ! Le processeur est introuvable/manquant.<!--XLATESTOP--></xsl:attribute></PageTitle>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Processeurs<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cache<!--XLATESTOP--></xsl:attribute></PageTitle>
				<TableData>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data name=""  display="">
							<xsl:attribute name="value">
								<xsl:call-template name="smstatus">
									<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="success">
	<xsl:variable name="FoundExternal" select="count(CacheList/DevCache[Location='4'])"/>
	<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Processeurs<!--XLATESTOP--></xsl:attribute>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Cache<!--XLATESTOP--></xsl:attribute></PageTitle>		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
		</CustomButton>		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->Informations sur les caches du processeur connect&#233;s &#224; : <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="ProcessorConn/ExtName"/></xsl:attribute>	
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display">Cache <xsl:call-template name="count"/></xsl:attribute>
						<xsl:attribute name="value">Cache <xsl:call-template name="count"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="desc"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="desc"/></xsl:attribute>
						</Data>			
					</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Niveau<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Niveau<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="level"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="level"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data >
						<xsl:attribute name="display"><!--XLATESTART-->Vitesse<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Vitesse<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</Row>
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Taille max<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Taille max<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="maxsize"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="maxsize"/></xsl:attribute>
						</Data>
					</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Taille install&#233;e<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Taille install&#233;e<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="installedsize"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="installedsize"/></xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="type"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Emplacement<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Emplacement<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="location"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="location"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->R&#232;gle d'&#233;criture<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->R&#232;gle d'&#233;criture<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="writepolicy"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="writepolicy"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Associativit&#233;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Associativit&#233;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="associativity"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="associativity"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Type de dispositif de cache pris en charge<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Type de dispositif de cache pris en charge<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Type de dispositif de cache pr&#233;sent<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Type de dispositif de cache pr&#233;sent<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Nom du logement ext&#233;rieur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Nom du logement ext&#233;rieur<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="extsock"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="extsock"/></xsl:attribute>
						</Data>	
					</xsl:for-each>
				</Row>	
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type de correction d'erreur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type de correction d'erreur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="errcorr"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="errcorr"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
		</TableData>		
	</DataArea>
</xsl:template>
<xsl:template name="count">
	<xsl:choose>
		<xsl:when test="/OMA/CacheList/@count='1'"></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index" select="@index"/>
			<xsl:value-of select="number($index)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="desc">
	<xsl:if test="CacheStatus='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='3'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='4'"><!--XLATESTART-->Utilisateur d&#233;sactiv&#233;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='5'"><!--XLATESTART-->BIOS d&#233;sactiv&#233;<!--XLATESTOP--></xsl:if>
</xsl:template>
<xsl:template name="level">
	<xsl:choose>
		<xsl:when test="CacheLevel= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '3'"><!--XLATESTART-->Principal<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '4'"><!--XLATESTART-->Secondaire<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '5'"><!--XLATESTART-->Tertiaire<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="CacheType= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '3'"><!--XLATESTART-->Instruction<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '4'"><!--XLATESTART-->Donn&#233;es<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '5'"><!--XLATESTART-->Unifi&#233;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="location">
	<xsl:choose>
		<xsl:when test="Location= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '3'"><!--XLATESTART-->Interne<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '4'"><!--XLATESTART-->Externe<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="writepolicy">
	<xsl:choose>
		<xsl:when test="WritePolicy= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '3'"><!--XLATESTART-->&#201;criture diff&#233;r&#233;e<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '4'"><!--XLATESTART-->&#201;criture simultan&#233;e<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '5'"><!--XLATESTART-->Varie en fonction de l'adresse<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="associativity">
	<xsl:choose>
		<xsl:when test="Associativity= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '3'"><!--XLATESTART-->Adressage direct<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '4'"><!--XLATESTART-->Associatif &#224; 2 directions<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '5'"><!--XLATESTART-->Associatif &#224; 4 directions<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '6'"><!--XLATESTART-->Pleinement associatif<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '7'"><!--XLATESTART-->Associatif &#224; 8 directions<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '8'"><!--XLATESTART-->Associatif &#224; 16 directions<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="supsram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="cursram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="extsock">
	<xsl:choose>
		<xsl:when test="IsSocketed='false'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="SocketExtName"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="errcorr">
	<xsl:choose>
		<xsl:when test="ErrCorrType= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '3'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '4'"><!--XLATESTART-->Parit&#233;<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '5'"><!--XLATESTART-->ECC bit simple<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '6'"><!--XLATESTART-->ECC multi-bits<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="maxsize">
	<xsl:choose>
		<xsl:when test="MaxSize='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="MaxSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="MaxSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="installedsize">
	<xsl:choose>
		<xsl:when test="InstalledSize='0'"><!--XLATESTART-->Inconnu ou Pas install&#233;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="InstalledSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="InstalledSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="pindex">		
	<xsl:variable name="pindex" select="CacheList/@pindex"/>
	<xsl:value-of select="number($pindex)+1"/>	
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande non impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayer plus tard<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Le cache est found/absent, le num&#233;ro d'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Le cache est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Le cache existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Le XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
