<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;ChassisProps1Oid=<xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/>&amp;ChassisProps2Oid=<xsl:value-of select="ChassisInfo/ChassisProps2/@oid"/>&amp;SystemInfoOid=<xsl:value-of select="ChassisInfo/SystemInfo/@oid"/></xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display">
					<xsl:choose>
						<xsl:when test="ChassisInfo/ChassisProps1/ChassName='Main System Chassis'">
							<!--XLATESTART-->Ch&#226;ssis principal du syst&#232;me<!--XLATESTOP-->
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="ChassisInfo/ChassisProps1/ChassName"/></xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->Informations<!--XLATESTOP-->
				</xsl:attribute>
			</PageTitle>
		<Header>Header</Header>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;help=Chassis</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData type="custom">
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
			<script language="javascript">
				function validate()
				{
					//Eliminate the spaces at the end
					while(document.dataarea.AssetTag.value.charAt(document.dataarea.AssetTag.value.length-1)==' ')
					{
						document.dataarea.AssetTag.value= document.dataarea.AssetTag.value.substring(0,document.dataarea.AssetTag.value.length-1);
					}
					if(!isAlphaNumeric(document.dataarea.AssetTag.value))
					{
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					if(document.dataarea.AssetTag.value.length > 10)
					{
						alert("Le num&#233;ro d'inventaire ne peut pas contenir plus de 10 caract&#232;res");
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					//Check to see if the chassis led is there
					<xsl:if test="//ChassisProps2/IdentifySupport='true'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							var pretimeout = <xsl:value-of select="//ChassisProps2/ChassIdentifyTimeout"/>;													var timeout 	= document.getElementById("timeout").value;
							if(isNaN(timeout) == true)
							{
								alert("Erreur !nombre entier attendu pour l'expiration du d&#233;lai d'identification du ch&#226;ssis, il faut lire : " + timeout );
								document.getElementById("timeout").value = pretimeout ;
								return false;
							}
							if(timeout &lt; 1) {
								alert("Erreur ! le d&#233;lai d'expiration d'identification du ch&#226;ssis doit &#234;tre sup&#233;rieur &#224; z&#233;ro, il faut lire : " + timeout );
								document.getElementById("timeout").value = pretimeout ;								
								return false;
							}
							else
							{
								if(timeout.indexOf(".") != "-1")
														{
															alert("Erreur ! nombre entier attendu pour l'expiration du d&#233;lai d'identification du ch&#226;ssis, il faut lire : " + timeout );
									document.getElementById("timeout").value = pretimeout ;						
									return false;
								}
							}
						</xsl:if>
					</xsl:if>
					<xsl:if test="/OMA/Chassis/@oid != '2'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							if(!isAlphaNumeric(document.dataarea.ChassisName.value))
								{
									document.dataarea.ChassisName.focus();
									document.dataarea.ChassisName.select();
									return false;
								}
						</xsl:if>
					</xsl:if>
					return true;
				}
				function isAlphaNumeric(text) {
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							ok = "no";
						}
						//Check for space
						if(temp == " ")
						{
							ok = "yes";
						}
					}
					if (ok == "no")
					{
						alert("Erreur ! caract&#232;re alphanum&#233;rique ou symbole attendu, a lu : " + text);
						return false;
					}
					return true;
				}				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="/OMA/Chassis/@oid = '2'">
			<Data name="HostName">
				<xsl:attribute name="display"><!--XLATESTART-->Nom d'h&#244;te<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:apply-templates select="FirmwareList"/>
		<Data name="SystemModel" width="300">
			<xsl:attribute name="display"><!--XLATESTART-->Mod&#232;le de ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassModel"/></xsl:attribute>
		</Data>
		<Data name="ChassLock">
			<xsl:attribute name="display"><!--XLATESTART-->Verrou du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="ChassisProps1/ChassLockPresent='true'"><!--XLATESTART-->Pr&#233;sent<!--XLATESTOP--></xsl:when>
					<xsl:when test="ChassisProps1/ChassLockPresent='false'"><!--XLATESTART-->Absent<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		
		<xsl:apply-templates select="ChassisProps2"/>				
		<xsl:if test="/OMA/Chassis/@oid != '2'">
			<Data name="ChassisName">
				<xsl:attribute name="display"><!--XLATESTART-->Nom du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassName"/></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					 <xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">31</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		
		<xsl:if test="/OMA/BaseBoardList/@count > '0'">
			<xsl:apply-templates select="/OMA/BaseBoardList"/>
		</xsl:if>

			
		
		<xsl:if test="ChassisProps2/IdentifySupport='true'">
			<Data name="indentify" returnvalue="1" type="checkbox">
				<xsl:attribute name="display"><!--XLATESTART-->Identifier le ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:if test="ChassisProps2/ChassIdentifyState = '1'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="ChassisProps2/ChassIdentifyState = '1'">
								<xsl:attribute name="state">3</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>	
			</Data>
			<Data name="timeout">
				<xsl:attribute name="display"><!--XLATESTART-->D&#233;lai d'identification du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps2/ChassIdentifyTimeout"/></xsl:attribute>
				<xsl:attribute name="unit"><!--XLATESTART-->secondes<!--XLATESTOP--></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
					<Data name="hdfault" type="checkbox">
						<xsl:attribute name="display"><!--XLATESTART-->Effacer l'erreur du disque dur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</xsl:if>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault" type="select">
						<xsl:attribute name="display"><!--XLATESTART-->Clignotement de LED d'erreur pour le niveau de gravit&#233;.<!--XLATESTOP--></xsl:attribute>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Critique<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">16</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=16">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->Avertissement<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=8">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
					</Data>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault">
						<xsl:attribute name="display"><!--XLATESTART-->Faire clignoter la LED de panne &#224; ce niveau d'importance<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="ChassisProps2/FaultLEDControl=8"><!--XLATESTART-->Avertissement<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><!--XLATESTART-->Critique<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ChassisProps2">	
		<Data name="ServiceTag" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#201;tiquette de service du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
		</Data>		
		<Data name="AssetTag">
			<xsl:attribute name="display">
				 <xsl:choose>
				<xsl:when test="/OMA/BaseBoardList/BaseBoard">
					<!--XLATESTART-->Server Module Asset Tag<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise><!--XLATESTART-->Num&#233;ro d'inventaire du ch&#226;ssis<!--XLATESTOP--></xsl:otherwise>
			    </xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="AssetTag"/></xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					<xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">10</xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	
	<xsl:template match="/OMA/BaseBoardList">
		<xsl:for-each select="BaseBoard">
			<xsl:if test="FeatureFlags/HostingBoard='true'">
				<Data name="BladeServiceTag" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#201;tiquette de service du module de Serveur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
				</Data>
					<Data name="BladeLocation" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->Emplacement du module de serveur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BoardLocation"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="FirmwareList">
		<xsl:apply-templates select="Firmware"/>
	</xsl:template>
	
	<xsl:template match="Firmware">
		<Data name="fwtype">
			<xsl:attribute name="display">
				<xsl:call-template name="getFWType">
					<xsl:with-param name="type">
						<xsl:value-of select="FWType"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>			
		</Data>
	</xsl:template>
	
	<xsl:template name="status2txt">
		<xsl:param name="Status"/>
		<xsl:choose>
			<xsl:when test="$Status=1"><!--XLATESTART-->Le ch&#226;ssis est ouvert.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=2"><!--XLATESTART-->Le ch&#226;ssis est ferm&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=3"><!--XLATESTART-->Le ch&#226;ssis a &#233;t&#233; ouvert.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getFWType">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='3'"><!-- XLATESTART-->Version du BIOS<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='4'"><!-- XLATESTART-->Version du micrologiciel ESM<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='5'"><!-- XLATESTART-->Bloc d'alimentation parall&#232;le &#224; la version de la carte<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='6'"><!-- XLATESTART-->Version micrologicielle du fond de panier<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='7'"><!-- XLATESTART-->Version du noyau<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='8'"><!-- XLATESTART-->Version de l'application<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='9'"><!-- XLATESTART-->Version du contr&#244;leur du panneau avant<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='10'"><!-- XLATESTART-->Version du contr&#244;leur de gestion de la carte m&#232;re<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='11'"><!-- XLATESTART-->Version du contr&#244;leur PCI enfichable &#224; chaud<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='12'"><!-- XLATESTART-->Version SDR<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='13'"><!-- XLATESTART-->Version du fond de panier de la baie de p&#233;riph&#233;riques<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='14'"><!-- XLATESTART-->Version du fond de panier secondaire PowerEdge 2450<!-- XLATESTOP--></xsl:when>			
			<xsl:otherwise><!-- XLATESTART-->Version micrologicielle inconnue<!-- XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
