<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="Chassis/@display"/></xsl:attribute>
			</PageTitle>
			<ListData>
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="ChassisProps2/IdentifySupport">
			<xsl:if test="ChassisProps2 /IdentifySupport = 'true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#201;tat de clignotement de la LED d'identification du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '0'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '1'"><!--XLATESTART-->Clignotement<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:otherwise><!--XLATESTART-->Non d&#233;fini<!--XLATESTOP-->
				              </xsl:otherwise>
			               </xsl:choose>
	 				</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e de clignotement de la LED d'identification du ch&#226;ssis<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ChassisProps2 /ChassIdentifyTimeout " /></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
		<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Effacer l'erreur de disque dur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Pris en charge<!--XLATESTOP--></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Clignotement LED d'erreur pour le niveau de gravit&#233;.<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
			 		<xsl:call-template name="FaultLEDSeverity">
						<xsl:with-param name="Severity">
  						<xsl:value-of select="ChassisProps2 /FaultLEDControl" /> 
  						</xsl:with-param>
					</xsl:call-template>
 				</xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="FaultLEDSeverity">
		<xsl:param name="Severity"/>
		<xsl:choose>
			<xsl:when test="$Severity = '8'"><!--XLATESTART-->Avertissement<!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$Severity = '16'"><!--XLATESTART-->Critique<!--XLATESTOP-->
			</xsl:when>
			<xsl:otherwise><!--XLATESTART-->Non d&#233;fini<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
