<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:apply-templates select="LRAResponse"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<DataArea backpagedisplay="Actions d'alerte" validate="true" onLoad="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetLRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;help=ListLRA&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<script language="javascript">
				function initializationRoutine()
				{
					document.getElementById("setDef").value = "false";
				}
				function validate()
				{
					if(document.getElementById("ExecApp").checked == true)
					{
						var EPFval = document.getElementById("EPFName").value;
						
						if(EPFval == "" || EPFval == null)
						{
							alert('Entrez le chemin absolu vers l\'application');
							document.getElementById("EPFName").focus();
							return false;
						}

						if(document.getElementById("EPFName").value.length > 255)
						{
							alert('Le chemin absolu vers l\'application ne peut pas avoir plus de 255 caract&#232;res');
							document.getElementById("EPFName").focus();
							return false;
						}
					}
					return true;
				}
				function clearAll()
				{
					document.getElementById("EPFName").value = "";
					document.getElementById("BeepSpkr").checked = false;
					document.getElementById("ConsAlert").checked = false;
					document.getElementById("BcastMssg").checked = false;
					document.getElementById("ExecApp").checked = false;
					document.getElementById("dataarea").submit();
				}
				function setDefault()
				{
					document.getElementById("setDef").value = "true";
					document.getElementById("dataarea").submit();
				}
				function checkExecApp()
				{
					document.getElementById("ExecApp").checked = true;
				}
			</script>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->D&#233;finir les mesures d'alerte pour <!--XLATESTOP-->
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>				
				</xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->Cochez l'action &#224; effectuer et appuyez sur Appliquer les changements. Pour effacer toutes les actions, appuyez sur Effacer tout. Pour utiliser les valeurs par d&#233;faut, appuyez sur D&#233;finir sur les valeurs par d&#233;faut.<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="default">
					<xsl:attribute name="display"><!--XLATESTART-->D&#233;finir sur les valeurs par d&#233;faut<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:setDefault();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="ClearAll">
					<xsl:attribute name="display"><!--XLATESTART-->Effacer tout<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:clearAll();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BeepSpkr</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Bip de haut-parleur sur le serveur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Bip de haut-parleur sur le serveur.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BeepSpkr='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ConsAlert</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Afficher un message d'alerte sur le serveur.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Afficher un message d'alerte sur le serveur.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ConsAlert='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">type</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">setDef</xsl:attribute>
						<xsl:attribute name="value"> false</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BcastMssg</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Diffuser un message<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Diffuser un message.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BcastMssg='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ExecApp</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cuter une application<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Ex&#233;cuter l'application.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>						
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ExecApp='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><!--XLATESTART-->Chemin absolu vers l'application : <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="align">right</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">						
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">checkExecApp();</xsl:attribute>
						<xsl:attribute name="name">EPFName</xsl:attribute>
						<xsl:attribute name="display"></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="maxlength">255</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>			
				</Row>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->Bloc d'alimentation critique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de temp&#233;rature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->Panne du capteur de temp&#233;rature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de ventilateur<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->Panne du capteur du ventilateur<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de tension<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->Panne du capteur de tension<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de courant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->Panne du capteur de courant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->Intrusion dans le ch&#226;ssis<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->La redondance de l'alimentation du syst&#232;me a &#233;t&#233; d&#233;grad&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->La redondance de l'alimentation du syst&#232;me a &#233;t&#233; perdue.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->&#201;chec anticip&#233; de la m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->&#201;chec de la m&#233;moire<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
