<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:apply-templates select="LRAList"/>
	</xsl:template>
	<xsl:template match="LRAList">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
			</PageTitle>

			<Header>Header</Header>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<PromptText><!--XLATESTART-->Cliquez sur le nom de l'&#233;v&#233;nement pour d&#233;finir la mesure &#224; prendre.<!--XLATESTOP--></PromptText>
			</xsl:if>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#201;v&#233;nement<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#201;v&#233;nement<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Bip de haut-parleur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Bip de haut-parleur<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Alerte de console<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Alerte de console<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Diffuser le message<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Diffuser le message<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cuter l'application<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Ex&#233;cuter l'application<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Chemin absolu vers l'application<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Chemin absolu vers l'application<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:when>
					<xsl:otherwise>
						<Header>
							<Data name="Event">
								<xsl:attribute name="display"></xsl:attribute>
							</Data>
							<Data name="Action" colspan="7" underlined="true" align="center">
								<xsl:attribute name="display"><!--XLATESTART-->Actions actuellement actives<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Actions actuellement actives<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Header>
							<Data name=" " value="" width="300">
								<xsl:attribute name="display"><!--XLATESTART-->&#201;v&#233;nement<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#201;v&#233;nement<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Bip de haut-parleur<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Bip de haut-parleur<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Alerte sur console <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Alerte sur console <!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Diffuser le message<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Diffuser le message<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cuter l'application<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Ex&#233;cuter l'application<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" ignoreonweb="true">
								<xsl:attribute name="display"><!--XLATESTART-->Chemin absolu vers l'application<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Chemin absolu vers l'application<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="LRAResponse"/>			
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<Row>
			<xsl:element name="Data">
				<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')"><xsl:attribute name="link">true</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
			</xsl:element>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ExecApp = 'true'">
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="EPFName"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->Pas s&#233;lectionn&#233;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Pas s&#233;lectionn&#233;<!--XLATESTOP--></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->Bloc d'alimentation critique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de temp&#233;rature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->Le capteur de temp&#233;rature d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de ventilateur<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->Le capteur du ventilateur d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de tension<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->Le capteur de tension d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->Avertissement des capteurs de courant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->Le capteur de courant d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->Une intrusion dans le ch&#226;ssis a &#233;t&#233; d&#233;tect&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->La redondance a &#233;t&#233; d&#233;grad&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->La redondance a &#233;t&#233; perdue.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->&#201;chec anticip&#233; de la m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->&#201;chec de la m&#233;moire<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getaction">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif-->/oma/images/check.gif</xsl:if>
		<xsl:if test="$status='false'">/oma/images/blank.gif</xsl:if>
	</xsl:template>
	<xsl:template name="getactiontxt">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif--><!--XLATESTART-->S&#233;lectionn&#233;<!--XLATESTOP--></xsl:if>
		<xsl:if test="$status='false'"><!--XLATESTART-->Pas s&#233;lectionn&#233;<!--XLATESTOP--></xsl:if>
	</xsl:template>
</xsl:stylesheet>
