<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>

<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->M&#233;moire<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->P&#233;riph&#233;rique de m&#233;moire<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>			
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->M&#233;moire<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		
		<xsl:if test="(OMAUserRights='7') or (OMAUserRights='3')">
			<script language="javascript">
				function clearErr()
				{
					var oid 	= <xsl:value-of select="ServletArguments/@oid"/>;
					var check 	= <xsl:value-of select="MemDevList/MemoryDevice/@oid"/>;
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.ClrMemErrCountWebPlugin&amp;oid=' + oid + '&amp;check=' + check;
					document.getElementById("dataarea").submit();
				}
			</script>
		</xsl:if>
		
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->P&#233;riph&#233;rique de m&#233;moire<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<xsl:call-template name="submit"/>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=MemoryDevice</xsl:attribute>
			</Data>
		</CustomButton>
		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display">
					<xsl:call-template name="devlocator">
						<xsl:with-param name="count"><xsl:value-of select="MemDevList/@count"/></xsl:with-param>
						<xsl:with-param name="locator"><xsl:value-of select="ExtName"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>	
			</SubHeader>
			
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Attributs<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Valeurs<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Valeurs<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Condition<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data type="status-text">
						<xsl:attribute name="value"><xsl:value-of select="@status" /></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Nom du p&#233;riph&#233;rique<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nom du p&#233;riph&#233;rique<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="devname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="devname"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Taille<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Taille<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="Type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="Type"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Vitesse<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Vitesse<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
						
			<Row>
				<Data valign="top">
					<xsl:attribute name="display"><!--XLATESTART-->Pannes<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Pannes<!--XLATESTOP--></xsl:attribute>
				</Data>
				
				<xsl:for-each select="MemDevList/MemoryDevice">
					<xsl:apply-templates select="FailureModes" />
				</xsl:for-each>
			</Row>
						
	
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="devname">
	<xsl:choose>
		<xsl:when test="BankLocator!=''">
			<xsl:value-of select="BankLocator"/>/<xsl:value-of select="DeviceLocator"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="DeviceLocator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemDevType= '1'"><!--XLATESTART-->AUTRE<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '2'"><!--XLATESTART-->INCONNU<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="TypeDetail= '1'">-<!--XLATESTART-->AUTRE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '2'">-<!--XLATESTART-->INCONNU<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '3'">-<!--XLATESTART-->PAGIN&#201;E RAPIDE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '4'">-<!--XLATESTART-->COL STATIQUE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIQUE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '7'">-<!--XLATESTART-->SYNCHRONE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '10'">-<!--XLATESTART-->DRAM WIN<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '11'">-<!--XLATESTART-->DRAM CACHE<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '12'">-<!--XLATESTART-->R&#201;MANENTE<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="FailureModes">
	<Data>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:attribute name="value">
					<xsl:choose>
					    <xsl:when test="Value='0'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
					    <xsl:otherwise>
		<xsl:if test="SB_WRATE='true'"><!--XLATESTART-->Le taux d'erreur d'avertissement portant sur un bit a &#233;t&#233; d&#233;pass&#233;.<!--XLATESTOP--></xsl:if>
		<xsl:if test="SB_FRATE='true'"><!--XLATESTART-->Le taux d'erreur de panne portant sur un bit a &#233;t&#233; d&#233;pass&#233;. <!--XLATESTOP--></xsl:if>
		<xsl:if test="MB_ERR='true'"><!--XLATESTART-->Il y a eu une erreur portant sur plusieurs bits.<!--XLATESTOP--></xsl:if>
<xsl:if test="SB_LOG_DISABLE='true'"><!--XLATESTART-->La journalisation des erreurs portant sur un bit a &#233;t&#233; d&#233;sactiv&#233;e.<!--XLATESTOP--></xsl:if>
<xsl:if test="SB_SPARE_BANK='true'"><!--XLATESTART-->Un DIMM a &#233;t&#233; d&#233;sactiv&#233; par l'activation du banc de m&#233;moire de r&#233;serve.<!--XLATESTOP--></xsl:if>
					    </xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
			    <ValueList>
				<xsl:choose>
				    <xsl:when test="Value='0'">
					<value><!--XLATESTART-->Aucun<!--XLATESTOP--></value>
				    </xsl:when>
				    <xsl:otherwise>
					<xsl:if test="SB_WRATE='true'">
					    <value><!--XLATESTART-->Le taux d'erreur d'avertissement portant sur un bit a &#233;t&#233; d&#233;pass&#233;.<!--XLATESTOP--></value>
					</xsl:if>
					<xsl:if test="SB_FRATE='true'">
					    <value><!--XLATESTART-->Le taux d'erreur de panne portant sur un bit a &#233;t&#233; d&#233;pass&#233;. <!--XLATESTOP--></value>
					</xsl:if>
					<xsl:if test="MB_ERR='true'">
					    <value><!--XLATESTART-->Il y a eu une erreur portant sur plusieurs bits.<!--XLATESTOP--></value>
					</xsl:if>
					<xsl:if test="SB_LOG_DISABLE='true'">
					    <value><!--XLATESTART-->La journalisation des erreurs portant sur un bit a &#233;t&#233; d&#233;sactiv&#233;e.<!--XLATESTOP--></value>
					</xsl:if>
					<xsl:if test="SB_SPARE_BANK='true'">
					    <value><!--XLATESTART-->Un DIMM a &#233;t&#233; d&#233;sactiv&#233; par l'activation du banc de m&#233;moire de r&#233;serve.<!--XLATESTOP-->		</value>
					</xsl:if>
				    </xsl:otherwise>
				</xsl:choose>
			    </ValueList>
			</xsl:otherwise>
		</xsl:choose>
	</Data>
</xsl:template>

<xsl:template name="submit">
	<xsl:choose>
		<xsl:when test="(OMAUserRights='7') or (OMAUserRights='3')">
			<xsl:choose>
			<xsl:when test="(MemDevList/@count='1') and (MemDevList/MemoryDevice/ErrCount='0')"></xsl:when>
			</xsl:choose>		
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="devlocator">
	<xsl:param name="count"/>
	<xsl:param name="locator"/>
	<xsl:choose>
		<xsl:when test="$count='0'"><!--XLATESTART-->P&#233;riph&#233;rique de m&#233;moire sur le connecteur<!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->n'est pas occup&#233;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->P&#233;riph&#233;rique de m&#233;moire sur le connecteur : <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande pas impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayez plus tard.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'a pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Le p&#233;riph&#233;rique m&#233;moire est introuvable. Le num&#233;ro de l'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->L'objet P&#233;riph&#233;rique de m&#233;moire est malform&#233;, corrompu ou mauvais<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Le p&#233;riph&#233;rique de m&#233;moire existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->&#201;tat SM : <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
