<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus != '0'">
		<DataArea printable="false">
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->L'objet NIC est introuvable.<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->L'objet NIC est introuvable.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</DataArea>
	</xsl:when>
	<xsl:otherwise>
		<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Cartes r&#233;seau<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Informations sur les cartes r&#233;seau<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<SubHeader>
			 	<xsl:attribute name="display"><!--XLATESTART-->Carte : <!--XLATESTOP--><xsl:value-of select="NICCard/Description"/></xsl:attribute>		
			</SubHeader>			
			<CustomButton>
				<Data name="Refresh" display="Actualiser">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="NICCard/@oid"/></xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:apply-templates select="NICCard"/>
		</DataArea>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="NICCard">
	<xsl:choose>
		<xsl:when test="/OMA/OSType='1'">
			<xsl:call-template name="SYSTEM_WINNT"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='2'">
			<xsl:call-template name="SYSTEM_LINUX"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='3'">
			<xsl:call-template name="SYSTEM_NETWARE"/>
		</xsl:when>
	</xsl:choose>	
</xsl:template>
<xsl:template name="SYSTEM_WINNT">
	<ListData type="custom">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Adresse MAC actuelle<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Adresse IP<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Masque de sous-r&#233;seau<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Serveur DHCP<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DHCPServer=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DHCPServer"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Passerelle par d&#233;faut<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DefaultGateway=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#201;tat de la connexion<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->le p&#233;riph&#233;rique n'est pas install&#233; ou ne fonctionne pas<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initialisation<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Restauration<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Fermeture<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adaptateur pas pr&#234;t<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Chemin de l'image du pilote<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverImagePath=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverImagePath"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Version du pilote<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_NETWARE">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Adresse MAC actuelle<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Version du pilote<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#201;tat de la connexion<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->le p&#233;riph&#233;rique n'est pas install&#233; ou ne fonctionne pas<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initialisation<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Restauration<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Fermeture<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adaptateur pas pr&#234;t<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Nom logique du pilote LAN<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="ServiceName=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="ServiceName"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>			
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_LINUX">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Adresse MAC actuelle<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Fournisseur<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Adresse IP<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Masque de sous-r&#233;seau<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#201;tat de la connexion<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->Connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;connect&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->le p&#233;riph&#233;rique n'est pas install&#233; ou ne fonctionne pas<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->Initialisation<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->Restauration<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->Fermeture<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->Adaptateur pas pr&#234;t<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IRQ utilis&#233;e par la carte<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>	
				<xsl:when test="IRQ=''">
					<xsl:attribute name="value"><!--XLATESTART-->Pas obtenu<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IRQ"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>		
	</ListData>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
