<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		
		<xsl:choose>
			<xsl:when test="POSTLog"><xsl:apply-templates select="POSTLog"/></xsl:when>
			<xsl:otherwise><DataArea><PageTitle display="Erreur! Journal du POST introuvable sur le syst&#232;me."></PageTitle></DataArea></xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="POSTLog">
		<DataArea>
			<script language="javascript">
				function saveLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
					document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
					document.dataarea.submit();
				}
			</script>		
			<Header>Header</Header>
			<PageTitle display=" Journal de l'auto-test de d&#233;marrage (POST)"/>
			<xsl:choose>
				<xsl:when test="NumRecords = '0'">
					<PromptText><!--XLATESTART-->Le journal du POST contient... aucune entr&#233;e trouv&#233;e.<!--XLATESTOP--></PromptText>			
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->Le journal du POST contient...<!--XLATESTOP--></PromptText>			
				</xsl:otherwise>
			</xsl:choose>
			<CustomButton>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">		
					<Data name="Save" display="Enregistrer sous">
						<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>
				</xsl:if>
				<Data name="Refresh" display="Actualiser">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PostLogWebPlugin</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="Log" display="Code de POST: description" value="Code de POST: description"/>
				</Header>
				<xsl:apply-templates select="LogEntry"/>
			</TableData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="LogEntry">
		<Row>
			<Data name="description" type="ustring">
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
