<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Informations sur les processeurs<!--XLATESTOP--></xsl:attribute></PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->Informations sur les processeurs<!--XLATESTOP--></xsl:attribute></PageTitle>	
		<PromptText ignoreoncli="true"><!--XLATESTART-->Cliquez sur le nom du connecteur pour afficher les d&#233;tails sur son cache.<!--XLATESTOP--></PromptText>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
			</Data>
		</CustomButton>	
		<TableData columnspacing="true">
			<Header>
				<Data ignoreonweb="true" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Nom du connecteur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Nom du connecteur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="115">
					<xsl:attribute name="display"><!--XLATESTART-->Fabricant du processeur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Fabricant du processeur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Famille du processeur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Famille du processeur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="120">
					<xsl:attribute name="display"><!--XLATESTART-->Version du processeur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Version du processeur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Vitesse maximale<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Vitesse maximale<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Vitesse actuelle<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Vitesse actuelle<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Vitesse de l'horloge externe<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Vitesse de l'horloge externe<!--XLATESTOP--></xsl:attribute>	
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->Mise &#224; niveau du processeur<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Mise &#224; niveau du processeur<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#201;tat<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#201;tat<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<xsl:for-each select="ProcessorList/ProcessorConn">
				<xsl:if test="IsOccupied='true'">
					<xsl:call-template name="Processor">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="IsOccupied='false'">
					<xsl:call-template name="Processor1">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="Processor">
	<xsl:param name="index"/>
		<Row>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
			</Data>
			<Data link="true"  align="left">
				<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="DevProcessor/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Manufacturer" /></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value">
					<xsl:call-template name="family"/>
				</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Version"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="maxsp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="cursp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="extclksp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="upgrade"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="display"><xsl:call-template name="imagedesc1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="imagedesc1"/></xsl:attribute>
			</Data>
		</Row>
</xsl:template>
<xsl:template name="family">
	<xsl:choose>
		<xsl:when test="DevProcessor/Family= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '3'"><!--XLATESTART-->8086<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '4'"><!--XLATESTART-->80286<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '5'"><!--XLATESTART-->80386<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '6'"><!--XLATESTART-->80486<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '7'"><!--XLATESTART-->8087<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '8'"><!--XLATESTART-->80287<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '9'"><!--XLATESTART-->80387<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '10'"><!--XLATESTART-->80487<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '11'"><!--XLATESTART-->Famille Pentium<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '12'"><!--XLATESTART-->Pentium Pro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '13'"><!--XLATESTART-->Pentium II<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '14'"><!--XLATESTART-->Pentium MMX<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '15'"><!--XLATESTART-->Celeron<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '16'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '17'"><!--XLATESTART-->Pentium III<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '18'"><!--XLATESTART-->Famille M1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '19'"><!--XLATESTART-->Famille M2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '25'"><!--XLATESTART-->Famille K5<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '26'"><!--XLATESTART-->Famille K6<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '32'"><!--XLATESTART-->Famille Power PC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '33'"><!--XLATESTART-->Power PC 601<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '34'"><!--XLATESTART-->Power PC 603<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '35'"><!--XLATESTART-->Power PC 603+<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '36'"><!--XLATESTART-->Power PC 604<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '48'"><!--XLATESTART-->Famille Alpha<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '64'"><!--XLATESTART-->Famille MIPS<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '80'"><!--XLATESTART-->Famille SPARC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '96'"><!--XLATESTART-->68040<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '97'"><!--XLATESTART-->Famille 68xxx<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '98'"><!--XLATESTART-->68000<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '99'"><!--XLATESTART-->68010<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '100'"><!--XLATESTART-->68020<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '101'"><!--XLATESTART-->68030<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '112'"><!--XLATESTART-->Famille Hobbit<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '128'"><!--XLATESTART-->Weitek<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '144'"><!--XLATESTART-->Famille PA-RISC<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '160'"><!--XLATESTART-->Famille V30<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '176'"><!--XLATESTART-->Pentium III Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '177'"><!--XLATESTART-->Pentium III avec technologie Intel SpeedStep<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '178'"><!--XLATESTART-->Pentium IV<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '179'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '181'"><!--XLATESTART-->Xeon MP<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="DevProcessor/ProcessorType= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '3'"><!--XLATESTART-->Processeur central<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '4'"><!--XLATESTART-->Processeur math&#233;matique<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '5'"><!--XLATESTART-->Processeur DSP<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '6'"><!--XLATESTART-->Processeur vid&#233;o<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="imagedesc1">
	<xsl:if test="DevProcessor/ProcessorStatus='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='3'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='4'"><!--XLATESTART-->Utilisateur d&#233;sactiv&#233;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='5'"><!--XLATESTART-->BIOS d&#233;sactiv&#233;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='6'"><!--XLATESTART-->Inactif<!--XLATESTOP--></xsl:if>
</xsl:template>

<xsl:template name="maxsp">
	<xsl:choose>
		<xsl:when test="DevProcessor/MaxSpeed='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/MaxSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/MaxSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="cursp">
	<xsl:choose>
		<xsl:when test="DevProcessor/CurSpeed='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/CurSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/CurSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="extclksp">
	<xsl:choose>
		<xsl:when test="DevProcessor/ExtClockSpeed='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/ExtClockSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/ExtClockSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="upgrade">
	<xsl:choose>
		<xsl:when test="DevProcessor/Upgrade= '1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '2'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '3'"><!--XLATESTART-->Carte fille<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '4'"><!--XLATESTART-->Support ZIF<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '5'"><!--XLATESTART-->Replacement/Superposition<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '6'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '7'"><!--XLATESTART-->Support LIF<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '8'"><!--XLATESTART-->Logement  1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '9'"><!--XLATESTART-->Logement  2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '10'"><!--XLATESTART-->Support &#224; 370 broches<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="Processor1">
	<xsl:param name="index"/>
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><xsl:value-of select="ExtName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><!--XLATESTART-->Vide<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->Vide<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data  ignoreonweb="true" display="-" value="NA" align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="-" value="NA" align="left"/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
	</Row>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande non impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayer plus tard<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Le processeur est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Le processeur est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Le processeur existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Le XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>

