<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea>
							<xsl:apply-templates select="ChassisInfo/ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:if test="/OMA/ChassisInfo/ChassisProps2/PowerButtonControl != '0'">
						
							
								
									<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetPwrButtonWebPlugin</xsl:attribute>
								</xsl:if>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->Commande du bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PwrButtonWebPlugin&amp;poid=<xsl:value-of select="/OMA/Chassis/@oid"/>&amp;help=pwrbutton&amp;app=hip&amp;ct=MainChassis&amp;snb=Properties&amp;lsnb=PowerButton</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:apply-templates select="ChassisInfo/ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test="PowerButtonControl='1'">
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->Commande du bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:when test="PowerButtonControl='2'">
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->Commande du bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->Erreur ! La fonction de commande du bouton d'alimentation est introuvable sur ce syst&#232;me.<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<TableData>
							<Row>
								<Data name="oid" type="hidden">
									<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
								</Data>
								<xsl:choose>
									<xsl:when test="PowerButtonControl='1'">
										<Data name="PowerButtonControl" returnvalue="1" type="radio" state="1">
											<xsl:attribute name="value"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:attribute>
										</Data>
										<Data name="PowerButtonControl" returnvalue="2" type="radio">
											<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
										</Data>
									</xsl:when>
									<xsl:when test="PowerButtonControl='2'">
										<Data name="PowerButtonControl" returnvalue="1" type="radio">
											<xsl:attribute name="value"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:attribute>
										</Data>
										<Data name="PowerButtonControl" returnvalue="2" type="radio" state="1">
											<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
										</Data>
									</xsl:when>
									<xsl:otherwise>
										<Data name="pwrbtn">
											<xsl:attribute name="value"><!--XLATESTART-->Non applicable<!--XLATESTOP--></xsl:attribute>
										</Data>
									</xsl:otherwise>
								</xsl:choose>
							</Row>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<ListData type="custom">
							<Data  width="250">
								<xsl:attribute name="display"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
								<xsl:choose>
									<xsl:when test="PowerButtonControl='1'">
										<xsl:attribute name="value"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="PowerButtonControl='2'">
										<xsl:attribute name="value"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><!--XLATESTART-->Non applicable<!--XLATESTOP--></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->Erreur ! &#201;chec de la commande.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->Erreur ! Commande r&#233;ussie.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Erreur ! Commande non impl&#233;ment&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Erreur ! Mauvaise commande.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Erreur ! Expiration du d&#233;lai de la commande.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Erreur ! Commande annul&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Erreur ! Commande interrompue.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Erreur ! Commande en attente.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Erreur ! Pas de p&#233;riph&#233;rique de ce type.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->Erreur ! P&#233;riph&#233;rique occup&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Erreur ! Mauvais p&#233;riph&#233;rique.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Erreur ! Interruption parasite.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Erreur ! Ressource verrouill&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->Erreur ! L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur ! Erreur SMB.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Erreur ! Les donn&#233;es requises ne sont pas disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Erreur ! Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Erreur ! Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayez plus tard.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Erreur ! La fonction de commande du bouton d'alimentation est introuvable sur ce syst&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->Erreur ! L'objet Bouton d'alimentation est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->Erreur ! L'objet Bouton d'alimentation existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Erreur ! Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->Erreur ! L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->Erreur ! La section INI est inexistante.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->Erreur ! La cl&#233; INI est inexistante.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->Erreur ! La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Erreur ! Privil&#232;ges d'acc&#232;s insuffisants.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Erreur ! Le nom ou la valeur du param&#232;tre n'est pas valide.</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->Erreur ! &#192; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Erreur ! Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Erreur ! Le XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Erreur ! Le n&#339;ud XML est inexistant.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->Erreur ! La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus : <xsl:value-of select="$status"/><!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
