<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="(SMStatus = '0' ) or (BIOSSetupListCount &gt; 0) ">
				<xsl:call-template name="success"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="failure"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="failure">
		<DataArea>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus = '256'">
						<xsl:attribute name="display"><!--XLATESTART-->Erreur ! Non <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><!--XLATESTART-->Erreur ! <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
		</DataArea>
	</xsl:template>
	<xsl:template name="success">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Configuration du BIOS<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="OMAUserRights='7'">
					<PromptText><!--XLATESTART-->Cliquez sur chaque objet de la configuration du BIOS pour d&#233;finir son &#233;tat.<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->Param&#232;tre<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Param&#232;tre<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:for-each select="BIOSSetupList/BIOSSetup">
					<Row>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:value-of select="ObjName"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/OMAUserRights='7'">
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=BiosSetup</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</Data>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:call-template name="state"><xsl:with-param name="type"><xsl:value-of select="@objtype"/></xsl:with-param><xsl:with-param name="state"><xsl:value-of select="State"/></xsl:with-param><xsl:with-param name="objname"><xsl:value-of select="ObjName"/></xsl:with-param></xsl:call-template></xsl:attribute>
						</Data>
					</Row>
				</xsl:for-each>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="state">
		<xsl:param name="type"/>
		<xsl:param name="state"/>
		<xsl:param name="objname"/>
		<xsl:choose>
			<xsl:when test="$type='241'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Automatique<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Prot&#233;g&#233; contre l'&#233;criture<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='242'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activ&#233; sans PXE<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='246'">
				<xsl:if test="$objname='OnBoard RAID'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Primary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Secondary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$type='247'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Disquette en premier<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Disque dur uniquement<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Liste des p&#233;riph&#233;riques<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->CD-ROM en premier puis les autres<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='249'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Mode LPT1<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Mode LPT2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Mode LPT3<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='250'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->Mode AT<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Mode PS2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Mode ECP<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Mode EPP<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='251'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Automatique<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Mode COM1<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Mode COM2<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->Mode COM3<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='6'"><!--XLATESTART-->Mode COM4<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='252'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Faible<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Moyenne<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->&#201;lev&#233;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='253'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiver<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activer WOL pour le NIC branch&#233; dans le logement d'extension<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activer WOL pour le NIC int&#233;gr&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->Activer WOL pour le NIC suppl&#233;mentaire et<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='244'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='260'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->Activ&#233; avec prise en charge du BIOS<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#201;chec de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->Commande non impl&#233;ment&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->Mauvaise commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->Expiration du d&#233;lai de la commande<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->Commande annul&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->Commande interrompue<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->Commande en attente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->Pas de p&#233;riph&#233;rique de ce type<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->P&#233;riph&#233;rique occup&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->Mauvais p&#233;riph&#233;rique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->Fausse interruption<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->Ressource verrouill&#233;e<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->L'index n'est pas valide.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->Erreur SMB<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->Les donn&#233;es requises ne sont pas disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayer plus tard<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->Configuration du BIOS trouv&#233;e sur ce syst&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->La configuration du BIOS est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->La configuration du BIOS existe d&#233;j&#224;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->Le fichier INI est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->La section INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->La cl&#233; INI n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->Privil&#232;ges d'acc&#232;s insuffisants<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->Le nom ou la valeur du param&#232;tre n'est pas valide : <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#192; cours de m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->Le fichier XML est introuvable.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->Le XML est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->La valeur XML est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
