<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus[0] = '0' or SMStatus[1] = '0'">
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Ports<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Informations sur les<!--XLATESTOP--> <xsl:value-of select="Port/@index" /><xsl:text> </xsl:text><!--XLATESTART-->ports<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Actualiser">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortWebPlugin&amp;oid=<xsl:value-of select="Port/@oid"/></xsl:attribute>
					</Data>
				</CustomButton>
				<ListData>
					<xsl:apply-templates select="Port"/>
					<xsl:apply-templates select="PortDevice"/>
				</ListData>			
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Informations sur les ports<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->Les infos sur les ports sont introuvables. L'index n'est peut-&#234;tre pas valide.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->Les infos sur le port sont introuvables.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="Port">
	<Data name="ExtName"  editable="false" type="ustring">
		<xsl:attribute name="display"><!--XLATESTART-->Nom externe<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
	</Data>
	<xsl:choose>
		<xsl:when test="ExtName='PARALLEL'">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Adresse d'E/S de base<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Niveau d'IRQ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Type de connecteur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->IEEE 1284<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->PC-98-Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='164'"><!--XLATESTART-->PC-98 Complet<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="ConnectorPinout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Brochage du connecteur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorPinout='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='3'"><!--XLATESTART-->DB-25 femelle - R&#233;ceptacle IEEE1284-A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='4'"><!--XLATESTART-->DB-25 m&#226;le; Prise IEEE 1284-A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='5'"><!--XLATESTART-->Centronics - R&#233;ceptacle IEEE 1284-B<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='6'"><!--XLATESTART-->Mini-Centronics - R&#233;ceptacle IEEE 1284-C<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='7'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='161'"><!--XLATESTART-->DB-36 femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Capacit&#233;s<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="Capabilities/XT_AT='true'"><!--XLATESTART-->XT AT<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PS2='true'"><!--XLATESTART-->PS2<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/ECP='true'"><!--XLATESTART-->ECP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/EPP='true'"><!--XLATESTART-->EPP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98='true'"><!--XLATESTART-->PC-98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98_HIRESO='true'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PCH98='true'"><!--XLATESTART-->PC-H98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
				</xsl:attribute>
			</Data>
			<Data name="DmaSupported"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->DMA pris en charge<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="DmaSupported='true'"><!--XLATESTART-->Oui<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Non<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Param&#232;tres de s&#233;curit&#233;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interface externe verrouill&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interface externe activ&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Contournement du d&#233;marrage<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:when test="starts-with(ExtName,'SERIAL')">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Adresse d'E/S de base<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Niveau d'IRQ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Type de connecteur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 m&#226;le<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 m&#226;le<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='10'"><!--XLATESTART-->DIN-8 m&#226;le rond<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='11'"><!--XLATESTART-->DIN-8 femelle rond<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Capacit&#233;s<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Compatible XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Compatible 16450<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Compatible 16550<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Compatible 16550A<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Compatible 8251<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Compatible 8251FIFO<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="MaxSpeed"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Vitesse maximale<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Param&#232;tres de s&#233;curit&#233;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interface externe verrouill&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interface externe activ&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->Contournement du d&#233;marrage<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Type de connecteur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Infrarouge<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Bus d'acc&#232;Bus/USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Param&#232;tres de s&#233;curit&#233;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->Interface externe verrouill&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->Interface externe activ&#233;e<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SmbiosConnType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Type de connecteur SMBIOS<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB 25 broches m&#226;le<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB 25 broches femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB 15 broches m&#226;le<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB 15 broches femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB 9 broches m&#226;le<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB 9 broches femelle<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->Mini SCSI 50 broches<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrarouge<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Bus d'acc&#232;s (USB)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SCSI SSA<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->DIN-8 m&#226;le rond<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->DIN-8 femelle rond<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->Interface IDE int&#233;gr&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->Disquette int&#233;gr&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 broches sur deux rang&#233;es (broche 10 coup&#233;e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 broches sur deux rang&#233;es (broche 26 coup&#233;e)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 broches sur deux rang&#233;es<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 broches sur deux rang&#233;es<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->Entr&#233;e son du CD-ROM int&#233;gr&#233;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-jack (&#233;couteurs)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Complet<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="IsOccupied"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->Occup&#233;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="IsOccupied='true'"><!--XLATESTART-->Oui<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->Non<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="PortDevice">
	<xsl:if test="TypeName">
		<Data name="TypeName"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="TypeName">
		<Data name="Layout"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Disposition<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="PointingDevType">
		<Data name="PointingDevType"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Type du p&#233;riph&#233;rique de pointage<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="PointingDevType='1'"><!--XLATESTART-->Autres<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='3'"><!--XLATESTART-->S&#233;rie<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='5'"><!--XLATESTART-->Infrarouge<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='160'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='161'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='162'"><!--XLATESTART-->Bus d'acc&#232;Bus/USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="NumButtons">
		<Data name="NumButtons"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->Nombre de boutons<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
		</Data>
	</xsl:if>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
