<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus !='0'">
			<DataArea>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Erreur<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->Les informations sur les ports sont introuvables.<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->Les informations sur les ports sont introuvables.<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Informations sur les ports<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="Actualiser">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText><!--XLATESTART--><!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="PortsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="PortsList">
	<TableData name="" display="" columnspacing="true">
		<Header>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Type de port<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Type de port<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Nom externe<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Nom externe<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Adresse d'E-S de base<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Adresse d'E-S de base<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Niveau d'IRQ<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Niveau d'IRQ<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Type de connecteur<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Type de connecteur<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->Vitesse maximale<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Vitesse maximale<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Port"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Port">
	<Row>
		<Data name="PortType"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@objtype='192'"><!--XLATESTART-->Parall&#232;le<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='193'"><!--XLATESTART-->S&#233;rie<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='194'"><!--XLATESTART-->P&#233;riph&#233;rique de pointage<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='195'"><!--XLATESTART-->Clavier<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='196'"><!--XLATESTART-->Processeur<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='197'"><!--XLATESTART-->P&#233;riph&#233;rique de m&#233;moire<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='198'"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='199'"><!--XLATESTART-->Moniteur<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='200'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring" align="left">
			<xsl:attribute name="value"><xsl:value-of select="ExtName" /></xsl:attribute>
		</Data>
		<Data name="BaseIOAddr"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="BaseIOAddr = '0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="BaseIOAddr"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name="IrqLevel"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IrqLevel= '0'"><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="IrqLevel"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<xsl:choose>
			<!-- objtype 192 is for parallel port-->
			<xsl:when test="@objtype='192'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autre<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-25 femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-25 m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Mini-Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->DB-36 femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:when>
			<!-- objtype 193 is for serial port-->
			<xsl:when test="@objtype='193'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->Autre<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='9'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='10'"><!--XLATESTART-->DIN-8 m&#226;le rond<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='11'"><!--XLATESTART-->DIN-8 femelle rond<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Inconnu<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring">
					<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data name="SmbiosConnType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Aucun<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->Propri&#233;taire<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB 25 broches m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB 25 broches femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB 15 broches m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB 15 broches femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB 9 broches m&#226;le<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB 9 broches femelle<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->Mini SCSI 50 broches<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->Infrarouge<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->Bus d'acc&#232;s (USB)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SCSI SSA<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->DIN-8 m&#226;le rond<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->DIN-8 femelle rond<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->Interface IDE int&#233;gr&#233;e<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->Disquette int&#233;gr&#233;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 broches sur deux rang&#233;es (broche 10 coup&#233;e)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 broches sur deux rang&#233;es (broche 26 coup&#233;e)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 broches sur deux rang&#233;es<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 broches sur deux rang&#233;es<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->Entr&#233;e son int&#233;gr&#233;e du CD-ROM<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics Type-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics Type-26<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-jack (&#233;couteurs)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Complet<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Autre<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:otherwise>
		</xsl:choose>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
