<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- Main Component Tree -->
	<xsl:template match="/">
		<ComponentTree>
			<Component name="System" help="System">
				<xsl:attribute name="display"><!--XLATESTART-->Syst&#232;me<!--XLATESTOP--></xsl:attribute>
				<SNBMenuItem name="Properties" help="">
					<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
					<LSNBMenuItem name="Health" help="OverallHealth" app="oma">
						<xsl:attribute name="display"><!--XLATESTART-->Int&#233;grit&#233;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
					<LSNBMenuItem name="Summary" help="Summary" app="oma">
						<xsl:attribute name="display"><!--XLATESTART-->R&#233;sum&#233;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>					
					<LSNBMenuItem name="SystemInfo" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;amp;cmd=list" help="AssetInfo">
						<xsl:attribute name="display"><!--XLATESTART-->Informations sur l'inventaire<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
					<xsl:apply-templates select="/OMA/System/OSWatchdog"/>
				</SNBMenuItem>
				<SNBMenuItem name="Shutdown" help="">
					<xsl:attribute name="display"><!--XLATESTART-->Arr&#234;t<!--XLATESTOP--></xsl:attribute>
					<xsl:apply-templates select="/OMA/System/Shutdown"/>
					<xsl:apply-templates select="/OMA/System/ThermalShutdown"/>
				</SNBMenuItem>
				<xsl:apply-templates select="/OMA/System/Logs"/>
				<SNBMenuItem name="alertmgmt" help="">
					<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
					<xsl:apply-templates select="/OMA/System/AlertActions"/>
					<LSNBMenuItem name="snmptraps" help="snmptraps" app="hip">
						<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsWebPlugin</xsl:attribute>
					</LSNBMenuItem>
				</SNBMenuItem>
				<xsl:variable name="MainChassisName" select="/OMA/System/Hardware/MainChassis/@name"/>
				<xsl:variable name="OID" select="/OMA/System/Hardware/MainChassis/@oid"/>
				
				<Component name="MainChassis" help="Chassis" app="hip">
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="$OID='2'"><!--XLATESTART-->Ch&#226;ssis principal du syst&#232;me<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="$MainChassisName"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:variable name="ESMLogOid" select="/OMA/System/Logs/ESMLog/@poid"/>
					<VirtualComponent name="HardwareLog" app="hip" cl="System" snb="Logs" lsnb="Hardware">
						<xsl:attribute name="display"><!--XLATESTART-->Journal du mat&#233;riel<!--XLATESTOP--></xsl:attribute>
						<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
							<param name="poid" value="{$ESMLogOid}"/>
							<param name="comp" value="esmlog"/>
						</HealthCommand>
					</VirtualComponent>
					<SNBMenuItem name="Properties">
						<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
						<LSNBMenuItem name="Health" default="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.OverallHealthWebPlugin&amp;amp;component=MainChassis" help="MainChassis" app="hip">
							<xsl:attribute name="display"><!--XLATESTART-->Int&#233;grit&#233;  <!--XLATESTOP--></xsl:attribute>
						</LSNBMenuItem>
						<xsl:variable name="MainChassisOid" select="/OMA/System/Hardware/MainChassis/@oid"/>
						<LSNBMenuItem name="Information" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;amp;oid={$MainChassisOid}" help="Chassis" app="hip">
							<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
						</LSNBMenuItem>
						<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/PowerButton"/>
					</SNBMenuItem>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/ACSwitch"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/BIOS"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Currents"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Fans"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Firmware"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Intrusion"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Memory"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Nic"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Ports"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/PowerSupply"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Processor"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Slots"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Temperatures"/>
					<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Voltages"/>
				</Component>
				<!--<xsl:apply-templates select="/OMA/System/Hardware/ExtChassis"/>-->
				<xsl:for-each select="/OMA/System/Hardware/ExtChassis">
					<xsl:variable name="count" select="position()"/>
					<xsl:variable name="ExtChassisOid" select="@oid"/>
					<xsl:variable name="ExtChassisName" select="@name"/>
					<Component name="ExtChassis{$count}" display="{$ExtChassisName}" help="ExtChassis" app="hip">
						<!--<xsl:attribute name="name">ExtChassis<xsl:value-of select="$count"/></xsl:attribute>-->
						<SNBMenuItem name="Properties">
							<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
							<LSNBMenuItem name="Health" default="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.OverallHealthWebPlugin&amp;amp;component=ExtChassis{$count}" help="ExtChassis" app="hip">
								<xsl:attribute name="display"><!--XLATESTART-->Int&#233;grit&#233;  <!--XLATESTOP--></xsl:attribute>
							</LSNBMenuItem>
							<LSNBMenuItem name="Information" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;amp;oid={$ExtChassisOid}" help="ExtChassis" app="hip">
								<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
							</LSNBMenuItem>
						</SNBMenuItem>
						<xsl:if test="Fans">
							<xsl:variable name="ExtFansOid" select="Fans/@poid"/>
							<Component name="ExtFans{$count}" help="Fans">
								<xsl:attribute name="display"><!--XLATESTART-->Ventilateurs<!--XLATESTOP--></xsl:attribute>
								<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
									<param name="poid" value="{$ExtFansOid}"/>
									<param name="comp" value="fans"/>
								</HealthCommand>
								<SNBMenuItem name="Properties" default="true">
									<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
									<LSNBMenuItem name="Probes" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FanProbesWebPlugin&amp;amp;poid={$ExtFansOid}&amp;amp;objtype=23" help="Fans"><xsl:attribute name="display"><!--XLATESTART-->Capteurs<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
									<xsl:if test="FanControl">
										<xsl:variable name="FanCtrlOid" select="/OMA/System/Hardware/ExtChassis/Fans/FanControl/@poid"/>
										<LSNBMenuItem name="FanControl" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;amp;poid={$FanCtrlOid}" help="FanControl">
											<xsl:attribute name="display"><!--XLATESTART-->Contr&#244;le des ventilateurs<!--XLATESTOP--></xsl:attribute>
										</LSNBMenuItem>
									</xsl:if>
									<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=fan" help="ListLRA">
										<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
									</LSNBMenuItem>
								</SNBMenuItem>
							</Component>
						</xsl:if>
						<xsl:if test="Intrusion">
							<xsl:variable name="ExtIntrusionOid" select="Intrusion/@poid"/>
							<Component name="ExtIntrusion{$count}" help="Intrusion">
								<xsl:attribute name="display"><!--XLATESTART-->Intrusion<!--XLATESTOP--></xsl:attribute>
								<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
									<param name="poid" value="{$ExtIntrusionOid}"/>
									<param name="comp" value="intrusion"/>
								</HealthCommand>
								<SNBMenuItem name="Properties" default="true">
									<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
									<LSNBMenuItem name="Intrusion" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.IntrusionWebPlugin&amp;amp;poid={$ExtIntrusionOid}" help="Intrusion"><xsl:attribute name="display"><!--XLATESTART-->Intrusion<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
									<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=intrusion" help="ListLRA">
										<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
									</LSNBMenuItem>
								</SNBMenuItem>
							</Component>
						</xsl:if>
						<xsl:if test="PowerSupply">
							<xsl:variable name="ExtPwrSupplyOid" select="PowerSupply/@poid"/>
							<Component name="ExtPowerSupply{$count}" help="PowerSupply">
								<xsl:attribute name="display"><!--XLATESTART-->Bloc d'alimentation<!--XLATESTOP--></xsl:attribute>
								<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
									<param name="poid" value="{$ExtPwrSupplyOid}"/>
									<param name="comp" value="powersupply"/>
								</HealthCommand>
								<SNBMenuItem name="Properties">
									<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
									<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;amp;poid={$ExtPwrSupplyOid}" help="PowerSupply">
										<xsl:attribute name="display"><!--XLATESTART-->&#201;l&#233;ments<!--XLATESTOP--></xsl:attribute>
									</LSNBMenuItem>
									<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=powersupply" help="ListLRA">
										<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
									</LSNBMenuItem>
								</SNBMenuItem>
							</Component>
						</xsl:if>
						<xsl:if test="Temperatures">
							<xsl:variable name="ExtTempOid" select="Temperatures/@poid"/>
							<Component name="ExtTemperatures{$count}" help="Temperatures">
								<xsl:attribute name="display"><!--XLATESTART-->Temp&#233;ratures<!--XLATESTOP--></xsl:attribute>
								<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
									<param name="poid" value="{$ExtTempOid}"/>
									<param name="comp" value="temperatures"/>
								</HealthCommand>
								<SNBMenuItem name="Properties" default="true">
									<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
									<LSNBMenuItem name="Probes" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListTemperatureWebPlugin&amp;amp;poid={$ExtTempOid}" help="Temperatures"><xsl:attribute name="display"><!--XLATESTART-->Capteurs<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
									<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=temperature" help="ListLRA">
										<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
									</LSNBMenuItem>
								</SNBMenuItem>
							</Component>
						</xsl:if>
					</Component>
				</xsl:for-each>
				<Component name="Software" help="">
					<xsl:attribute name="display"><!--XLATESTART-->Logiciels<!--XLATESTOP--></xsl:attribute>
					<Component name="OperatingSystem">
						<xsl:attribute name="display"><!--XLATESTART-->Syst&#232;me d'exploitation<!--XLATESTOP--></xsl:attribute>
						<SNBMenuItem name="Properties">
							<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
							<LSNBMenuItem name="Information" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.OSInfoWebPlugin" help="OSInfo" app="hip">
								<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
							</LSNBMenuItem>
						</SNBMenuItem>
					</Component>
				</Component>
			</Component>
		</ComponentTree>
	</xsl:template>
	<!-- End of Main Component Tree -->
	<!-- Templates for Checking for specific components -->
	<xsl:template match="AlertActions">
		<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin" help="ListLRA">
			<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="OSWatchdog">
		<LSNBMenuItem name="OSRecovery" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.WatchdogWebPlugin" help="AutoRecovery">
			<xsl:attribute name="display"><!--XLATESTART-->R&#233;cup&#233;ration automatique<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="Shutdown">
		<LSNBMenuItem name="RemoteShutdown" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin" help="Shutdown">
			<xsl:attribute name="display"><!--XLATESTART-->Arr&#234;t &#224; distance<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="ThermalShutdown">
		<xsl:variable name="ThermalShutdownOid" select="/OMA/System/ThermalShutdown/@poid"/>
		<LSNBMenuItem name="ThermalShutdown" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAProtectWebPlugin&amp;amp;poid={$ThermalShutdownOid}" help="ThermalShutdown">
			<xsl:attribute name="display"><!--XLATESTART-->Arr&#234;t thermique<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="Logs">
		<SNBMenuItem name="Logs" help="HardwareLog" app="help">
			<xsl:attribute name="display"><!--XLATESTART-->Journaux<!--XLATESTOP--></xsl:attribute>
			<xsl:apply-templates select="/OMA/System/Logs/ESMLog"/>
			<xsl:apply-templates select="/OMA/System/Logs/AlertLog"/>
			<xsl:apply-templates select="/OMA/System/Logs/PostLog"/>
			<xsl:apply-templates select="/OMA/System/Logs/CommandLog"/>
			<LSNBMenuItem name="logsnmptraps" help="snmptraps">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=31</xsl:attribute>
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
			</LSNBMenuItem>
		</SNBMenuItem>
	</xsl:template>
	<xsl:template match="ESMLog">
		<LSNBMenuItem name="ESMLog" help="HardwareLog">
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ESMLogWebPlugin&amp;amp;sortkey=date&amp;amp;order=ascending</xsl:attribute>
			<xsl:attribute name="display"><!--XLATESTART-->Mat&#233;riel<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="PostLog">
		<LSNBMenuItem name="PostLog" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.PostLogWebPlugin" help="PostLog">
			<xsl:attribute name="display"><!--XLATESTART-->POST<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="AlertLog">
		<LSNBMenuItem name="AlertLog" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin" help="AlertLog">
			<xsl:attribute name="display"><!--XLATESTART-->Alerte<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="CommandLog">
		<LSNBMenuItem name="CommandLog" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin" help="CommandLog">
			<xsl:attribute name="display"><!--XLATESTART-->Commande<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/PowerButton">
		<xsl:variable name="PwrButtonOid" select="/OMA/System/Hardware/MainChassis/PowerButton/@poid"/>
		<LSNBMenuItem name="PowerButton" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.PwrButtonWebPlugin&amp;amp;poid={$PwrButtonOid}" help="pwrbutton">
			<xsl:attribute name="display"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Intrusion">
		<xsl:variable name="IntrusionOid" select="/OMA/System/Hardware/MainChassis/Intrusion/@poid"/>
		<Component name="Intrusion" help="Intrusion">
			<xsl:attribute name="display"><!--XLATESTART-->Intrusion<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$IntrusionOid}"/>
				<param name="comp" value="intrusion"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Intrusion" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.IntrusionWebPlugin&amp;amp;poid={$IntrusionOid}" help="Intrusion">
					<xsl:attribute name="display"><!--XLATESTART-->Intrusion<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="intrusionalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=intrusion" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="intrusionsnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=28" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Voltages">
		<xsl:variable name="VoltagesOid" select="/OMA/System/Hardware/MainChassis/Voltages/@poid"/>
		<Component name="Voltages" help="Voltages">
			<xsl:attribute name="display"><!--XLATESTART-->Tensions<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$VoltagesOid}"/>
				<param name="comp" value="voltages"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Probes" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListVoltageWebPlugin&amp;amp;poid={$VoltagesOid}" help="Voltages">
					<xsl:attribute name="display"><!--XLATESTART-->Capteurs de tension<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="voltalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=voltage" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="voltsnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=24" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Temperatures">
		<xsl:variable name="TemperaturesOid" select="/OMA/System/Hardware/MainChassis/Temperatures/@poid"/>
		<Component name="Temperatures" help="Temperatures">
			<xsl:attribute name="display"><!--XLATESTART-->Temp&#233;ratures<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$TemperaturesOid}"/>
				<param name="comp" value="temperatures"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Probes" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListTemperatureWebPlugin&amp;amp;poid={$TemperaturesOid}" help="Temperatures">
					<xsl:attribute name="display"><!--XLATESTART-->Capteurs de temp&#233;rature<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="tempalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=temperature" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="tempsnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=22" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Fans">
		<xsl:variable name="FansOid" select="/OMA/System/Hardware/MainChassis/Fans/@poid"/>
		<Component name="Fans" help="Fans">
			<xsl:attribute name="display"><!--XLATESTART-->Ventilateurs<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$FansOid}"/>
				<param name="comp" value="fans"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<xsl:variable name="FansObjType" select="/OMA/System/Hardware/MainChassis/Fans/@objtype"/>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FanProbesWebPlugin&amp;amp;poid={$FansOid}&amp;amp;objtype={$FansObjType}" help="Fans">
					<xsl:attribute name="display"><!--XLATESTART-->Capteurs des ventilateurs<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/Fans/FanControl"/>
			</SNBMenuItem>
			<SNBMenuItem name="fanalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=fan" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="fansnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=23" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Fans/FanControl">
		<xsl:variable name="FanCtrlOid" select="/OMA/System/Hardware/MainChassis/Fans/FanControl/@poid"/>
		<LSNBMenuItem name="FanControl" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;amp;poid={$FanCtrlOid}" help="FanControl">
			<xsl:attribute name="display"><!--XLATESTART-->Contr&#244;le des ventilateurs<!--XLATESTOP--></xsl:attribute>
		</LSNBMenuItem>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/ACSwitch">
		<xsl:variable name="ACSwitchOid" select="/OMA/System/Hardware/MainChassis/ACSwitch/@poid"/>
		<Component name="ACSwitch" help="ACSwitch">
			<xsl:attribute name="display"><!--XLATESTART-->Commutateur de CA<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$ACSwitchOid}"/>
				<param name="comp" value="acswitch"/>
			</HealthCommand>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ACSwitchWebPlugin&amp;amp;poid={$ACSwitchOid}" help="ACSwitch">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="accordsnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=37" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Currents">
		<xsl:variable name="CurrentsOid" select="/OMA/System/Hardware/MainChassis/Currents/@poid"/>
		<Component name="Currents" help="ListCurrent">
			<xsl:attribute name="display"><!--XLATESTART-->Courants<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$CurrentsOid}"/>
				<param name="comp" value="currents"/>
			</HealthCommand>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<xsl:variable name="CurrentsObjType" select="/OMA/System/Hardware/MainChassis/Currents/@objtype"/>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;amp;poid={$CurrentsOid}&amp;amp;objtype={$CurrentsObjType}" help="ListCurrent">
					<xsl:attribute name="display"><!--XLATESTART-->Capteurs<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="currentalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=current" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="currentsnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=25" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/PowerSupply">
		<xsl:variable name="PowerSupplyOid" select="/OMA/System/Hardware/MainChassis/PowerSupply/@poid"/>
		<Component name="PowerSupply" help="PowerSupply">
			<xsl:attribute name="display"><!--XLATESTART-->Blocs d'alimentation<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$PowerSupplyOid}"/>
				<param name="comp" value="powersupply"/>
			</HealthCommand>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;amp;poid={$PowerSupplyOid}" help="PowerSupply">
					<xsl:attribute name="display"><!--XLATESTART-->&#201;l&#233;ments<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="pwrsupplyalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=powersupply" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="pwrsupplysnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=21" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Processor">
		<xsl:variable name="ProcessorOid" select="/OMA/System/Hardware/MainChassis/Processor/@poid"/>
		<Component name="Processor" help="Processor">
			<xsl:attribute name="display"><!--XLATESTART-->Processeurs<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;amp;poid={$ProcessorOid}" help="Processor">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Memory">
		<xsl:variable name="MemoryOid" select="/OMA/System/Hardware/MainChassis/Memory/@poid"/>
		<Component name="Memory" help="Memory">
			<xsl:attribute name="display"><!--XLATESTART-->M&#233;moire<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$MemoryOid}"/>
				<param name="comp" value="memory"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Memory" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;amp;poid={$MemoryOid}" help="Memory">
					<xsl:attribute name="display"><!--XLATESTART-->M&#233;moire<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<SNBMenuItem name="memoryalertmgmt">
				<xsl:attribute name="display"><!--XLATESTART-->Gestion des alertes<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="AlertActions" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;amp;type=memory" help="ListLRA">
					<xsl:attribute name="display"><!--XLATESTART-->Actions d'alerte<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
				<LSNBMenuItem name="memorysnmptraps" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;amp;objtype=225" help="snmptraps">
					<xsl:attribute name="display"><!--XLATESTART-->Interruptions SNMP<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Nic">
		<xsl:variable name="NicOid" select="/OMA/System/Hardware/MainChassis/Nic/@poid"/>
		<Component name="Network" help="NIC">
			<xsl:attribute name="display"><!--XLATESTART-->R&#233;seau<!--XLATESTOP--></xsl:attribute>
			<HealthCommand application="hip" databridge="hipda" omacmd="getcomphealth">
				<param name="poid" value="{$NicOid}"/>
				<param name="comp" value="network"/>
			</HealthCommand>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;amp;poid={$NicOid}" help="NIC">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Slots">
		<xsl:variable name="SlotsOid" select="/OMA/System/Hardware/MainChassis/Slots/@poid"/>
		<Component name="Slots" help="Slots">
			<xsl:attribute name="display"><!--XLATESTART-->Logements<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;amp;poid={$SlotsOid}" help="Slots">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Ports">
		<xsl:variable name="PortPOID" select="/OMA/System/Hardware/MainChassis/Ports/@poid"/>
		<Component name="Ports" help="Ports">
			<xsl:attribute name="display"><!--XLATESTART-->Ports<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" default="true">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="View" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;amp;poid={$PortPOID}" help="Ports">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/BIOS">
		<Component name="BIOS" help="Bios">
			<xsl:attribute name="display"><!--XLATESTART-->BIOS<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="BIOSView" help="Bios" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.BIOSViewWebPlugin">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
			<xsl:apply-templates select="/OMA/System/Hardware/MainChassis/BIOSSetup"/>
		</Component>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/BIOSSetup">
		<SNBMenuItem name="BIOSSetup">
			<xsl:attribute name="display"><!--XLATESTART-->Configuration<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="BIOSSetup" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin" help="BiosSetup">
				<xsl:attribute name="display"><!--XLATESTART-->BIOS<!--XLATESTOP--></xsl:attribute>
			</LSNBMenuItem>
		</SNBMenuItem>
	</xsl:template>
	<xsl:template match="/OMA/System/Hardware/MainChassis/Firmware">
		<Component name="Firmware" help="Firmware">
			<xsl:attribute name="display"><!--XLATESTART-->Micrologiciel<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties">
				<xsl:attribute name="display"><!--XLATESTART-->Propri&#233;t&#233;s<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="FWView" help="Firmware" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FWViewWebPlugin">
					<xsl:attribute name="display"><!--XLATESTART-->Informations<!--XLATESTOP--></xsl:attribute>
				</LSNBMenuItem>
			</SNBMenuItem>
		</Component>
	</xsl:template>
	<!-- End of Templates for Checking for specific components -->
</xsl:stylesheet>
