<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" />
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:variable name="displaytype"><xsl:value-of select="Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PromptText>
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							<xsl:with-param name="mssg"><xsl:value-of select="SMStatus/@mssg"/></xsl:with-param>
						</xsl:call-template>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(OMAUserRights = '7') or (OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="$displaytype = 'list'">
								<DataArea>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;&#12434;&#34920;&#31034;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#20491;&#12293;&#12398;&#12450;&#12452;&#12486;&#12512;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data name="" display="&#12522;&#12501;&#12524;&#12483;&#12471;&#12517;">
											<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetInfo</xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:call-template name="List"/>
								</DataArea>
							</xsl:when>			
							<xsl:when test="$displaytype = 'summary'">
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12450;&#12475;&#12483;&#12488;&#38917;&#30446;<!--XLATESTOP--></xsl:attribute>
									<PageTitle>
										<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12475;&#12483;&#12488;&#24773;&#22577;&#12398;&#27010;&#35201;<!--XLATESTOP--></xsl:attribute>
									</PageTitle>
									<PromptText ignoreoncli="true"><!--XLATESTART-->&#20491;&#12293;&#12398;&#12450;&#12452;&#12486;&#12512;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#24076;&#26395;&#12398;&#12450;&#12475;&#12483;&#12488;&#24773;&#22577;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=AssetSummary</xsl:attribute>
										</Data>
									</CustomButton>
									<SummaryData>
										<xsl:apply-templates select="AssetInfo"/>
										<xsl:call-template name="OwnerInfo"/>
									</SummaryData>
								</DataArea>
							</xsl:when>
							<xsl:otherwise>
								<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=list&amp;help=AssetInfo" validate="true">
									<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12450;&#12475;&#12483;&#12488;&#38917;&#30446;<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(Arguments ='acquisition') or (Arguments ='extwarranty') or (Arguments ='warranty') or (Arguments ='lease') or (Arguments 		='maintenance')">
						<xsl:attribute name="date">true</xsl:attribute>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='lease'"></xsl:when>
										<xsl:when test="Arguments ='support'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:when test="Arguments ='maintenance'"></xsl:when>
										<xsl:when test="Arguments ='system'">
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetAssetInfoWebPlugin&amp;cmd=<xsl:value-of 	select="Arguments"/>	</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<PageTitle >
										<xsl:attribute name="display">
											<xsl:choose>
												<xsl:when test="DisplayString='Acquisition'"><!--XLATESTART-->&#21462;&#24471;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Depreciation'"><!--XLATESTART-->&#28187;&#20385;&#20767;&#21364;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Extended Warranty Information'"><!--XLATESTART-->&#24310;&#38263;&#20445;&#35388;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Lease Information'"><!--XLATESTART-->&#12522;&#12540;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Maintenance Information'"><!--XLATESTART-->&#12513;&#12531;&#12486;&#12490;&#12531;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Out Source Information'"><!--XLATESTART-->&#12450;&#12454;&#12488;&#12477;&#12540;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Owner Information'"><!--XLATESTART-->&#25152;&#26377;&#32773;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Service Contract'"><!--XLATESTART-->&#12469;&#12540;&#12499;&#12473;&#22865;&#32004;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Support Information'"><!--XLATESTART-->&#12469;&#12509;&#12540;&#12488;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='System Information'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
												<xsl:when test="DisplayString='Warranty Information'"><!--XLATESTART-->&#20445;&#35388;&#24773;&#22577;<!--XLATESTOP--></xsl:when>
											</xsl:choose>
										</xsl:attribute>
									</PageTitle>
									<xsl:variable name="helpattrib">
										<xsl:choose>
											<xsl:when test="Arguments='acquisition'">Acquisition</xsl:when>
											<xsl:when test="Arguments='extwarranty'">ExtWarranty</xsl:when>																					<xsl:when test="Arguments='warranty'">Warranty</xsl:when>
											<xsl:when test="Arguments='outsource'">OutSource</xsl:when>
											<xsl:when test="Arguments='owner'">Owner</xsl:when>
											<xsl:when test="Arguments='depreciation'">Depreciation</xsl:when>
											<xsl:when test="Arguments='servicecontract'">Service</xsl:when>
											<xsl:when test="Arguments='lease'">Lease</xsl:when>
											<xsl:when test="Arguments='maintenance'">Maintenance</xsl:when>
											<xsl:when test="Arguments='support'">Support</xsl:when>
											<xsl:when test="Arguments='system'">SystemInfo</xsl:when>
											<xsl:when test="Arguments='summary'">AssetSummary</xsl:when>
										</xsl:choose>
									</xsl:variable>
									<CustomButton>
										<Data>
											<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=<xsl:value-of select="Arguments"/>&amp;help=<xsl:value-of select="$helpattrib"/></xsl:attribute>
										</Data>
									</CustomButton>
									<xsl:apply-templates/>
									<script>
										function validate()
										{
											var section = "<xsl:value-of select="Arguments"/>";
											<xsl:variable name="arg"><xsl:value-of select="Arguments"/></xsl:variable>
											<xsl:choose>
												<xsl:when test="$arg = 'acquisition'">
													var tempacqpcost 		= document.getElementById("acqpcost").value;
													var tempacqwbillnum 	= document.getElementById("acqwbillnum").value;
													var tempacqponum		= document.getElementById("acqponum").value;
													var tempacqsignauth		= document.getElementById("acqsignauth").value;
													var tempcstctr				= document.getElementById("cstctr").value;

													<!-- 1. Purchase Cost -->
													if(tempacqpcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if( (isNaN(tempacqpcost) == true) || (tempacqpcost &lt; 0) || (tempacqpcost.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#36092;&#20837;&#36027;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempacqpcost);
															document.getElementById("acqpcost").focus();
															document.getElementById("acqpcost").select();
															return false;
														}
													}
													else
													{
														alert("\"&#36092;&#20837;&#36027;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("acqpcost").focus();
														document.getElementById("acqpcost").select();
														return false;
													}

													<!-- 2. Way Bill Num -->
													if(tempacqwbillnum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqwbillnum) == true) || (tempacqwbillnum &lt; 0) || (tempacqwbillnum.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#36939;&#36865;&#30446;&#37682;&#30058;&#21495;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempacqwbillnum);
															document.getElementById("acqwbillnum").focus();
															document.getElementById("acqwbillnum").select();
															return false;
														}
													}
													else
													{
														alert("\"&#36939;&#36865;&#30446;&#37682;&#30058;&#21495;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("acqwbillnum").focus();
														document.getElementById("acqwbillnum").select();
														return false;
													}
													
													<!-- 3. PO Num -->
													if(tempacqponum != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempacqponum) == true) || (tempacqponum &lt; 0) || (tempacqponum.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#30330;&#27880;&#30058;&#21495;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempacqponum);
															document.getElementById("acqponum").focus();
															document.getElementById("acqponum").select();
															return false;
														}
													}
													else
													{
														alert("\"&#30330;&#27880;&#30058;&#21495;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("acqponum").focus();
														document.getElementById("acqponum").select();
														return false;
													}
													
													<!-- 4. Who Signed for -->
													if(tempacqsignauth != '')
													{
														if( ! isAlphaNumeric(tempacqsignauth, "Who Signed for"))
														{
															document.getElementById("acqsignauth").focus();
															document.getElementById("acqsignauth").select();
															return false;
														}												
													}
													else
													{
														alert("\"&#32626;&#21517;&#32773;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("acqsignauth").focus();
														document.getElementById("acqsignauth").select();
														return false;
													}
													
													<!-- 5. Cost Center -->
													if(tempcstctr != '')
													{
														if( ! isAlphaNumeric(tempcstctr, "Cost Center"))
														{
															document.getElementById("cstctr").focus();
															document.getElementById("cstctr").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12467;&#12473;&#12488;&#12475;&#12531;&#12479;&#12540;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("cstctr").focus();
														document.getElementById("cstctr").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'extwarranty'">
													var tempextwcost		= document.getElementById("extwcost").value;
													var tempextwprovider	= document.getElementById("extwprovider").value;
													var tempextwsdate		= document.getElementById("extwsdate").value;
													var tempextwedate		= document.getElementById("extwedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->&#38283;&#22987;&#26085;&#12399;&#32066;&#20102;&#26085;&#12398;&#21069;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->&#38283;&#22987;&#26085;&#12392;&#32066;&#20102;&#26085;&#12399;&#21516;&#12376;&#12391;&#12399;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP-->";
													
													if(tempextwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempextwcost) == true) || (tempextwcost &lt; 0) || (tempextwcost.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#21407;&#20385;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempextwcost);
															document.getElementById("extwcost").focus();
															document.getElementById("extwcost").select();
															return false;
														}
													}
													else
													{
														alert("\"&#21407;&#20385;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("extwcost").focus();
														document.getElementById("extwcost").select();
														return false;
													}
													
													if(tempextwprovider != '')
													{
														if( ! isAlphaNumeric(tempextwprovider, "Provider"))
														{
															document.getElementById("extwprovider").focus();
															document.getElementById("extwprovider").select();
															return false;
														}
													}
													else
													{
														alert(" \"&#12503;&#12525;&#12496;&#12452;&#12480;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("extwprovider").focus();
														document.getElementById("extwprovider").select();
														return false;
													}
													
													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
												</xsl:when>
												<xsl:when test="$arg = 'warranty'">
													var tempwduration	= document.getElementById("wduration").value;
													var tempwcost			= document.getElementById("wcost").value;
												
													if(tempwduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwduration) == true) || (tempwduration &lt; 0) || (tempwduration.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#26399;&#38291;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempwduration);
															document.getElementById("wduration").focus();
															document.getElementById("wduration").select();
															return false;
														}
													}
													else
													{
														alert("\"&#26399;&#38291;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("wduration").focus();
														document.getElementById("wduration").select();
														return false;
													}
													
													if(tempwcost != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempwcost) == true) || (tempwcost &lt; 0) || (tempwcost.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#21407;&#20385;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempwcost);
															document.getElementById("wcost").focus();
															document.getElementById("wcost").select();
															return false;
														}
													}
													else
													{
														alert("\"&#21407;&#20385;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("wcost").focus();
														document.getElementById("wcost").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'outsource'">
													var tempoutsservfee 	= document.getElementById("outsservfee").value;
													var tempoutsprovfee		= document.getElementById("outsprovfee").value;
													var tempoutsprobcomp	= document.getElementById("outsprobcomp").value;
													var tempoutssigna		= document.getElementById("outssigna").value;
													var tempoutsslalvl		= document.getElementById("outsslalvl").value;
													
													if(tempoutsservfee != '')
													{
														if( ! isAlphaNumeric(tempoutsservfee, "Service Fee"))
														{
															document.getElementById("outsservfee").focus();
															document.getElementById("outsservfee").select();
															return false;
														}
													}
													else
													{
														alert(" \"&#12469;&#12540;&#12499;&#12473;&#26009;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("outsservfee").focus();
														document.getElementById("outsservfee").select();
														return false;														
													}
		
													if(tempoutsprovfee != '')
													{
														if( ! isAlphaNumeric(tempoutsprovfee, "Provider Fee"))
														{
															document.getElementById("outsprovfee").focus();
															document.getElementById("outsprovfee").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12503;&#12525;&#12496;&#12452;&#12480;&#26009;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("outsprovfee").focus();
														document.getElementById("outsprovfee").select();
														return false;
													}
		
													if(tempoutsprobcomp != '')
													{
														if( ! isAlphaNumeric(tempoutsprobcomp, "Problem Component"))
														{
															document.getElementById("outsprobcomp").focus();
															document.getElementById("outsprobcomp").select();
															return false;
														}
													}
													else
													{
														alert("\"&#21839;&#38988;&#12398;&#12354;&#12427;&#12467;&#12531;&#12509;&#12540;&#12493;&#12531;&#12488;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("outsprobcomp").focus();
														document.getElementById("outsprobcomp").select();
														return false;
													}
													
													if(tempoutssigna != '')
													{
														if( ! isAlphaNumeric(tempoutssigna, "Who Signed for"))
														{
															document.getElementById("outssigna").focus();
															document.getElementById("outssigna").select();
															return false;
														}
													}
													else
													{
														alert("\"&#32626;&#21517;&#32773;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("outssigna").focus();
														document.getElementById("outssigna").select();
														return false;
													}
													
													if(tempoutsslalvl != '')
													{
														if( ! isAlphaNumeric(tempoutsslalvl, "SLA Level"))
														{
															document.getElementById("outsslalvl").focus();
															document.getElementById("outsslalvl").select();
															return false;
														}
													}
													else
													{
														alert("\"SLA &#12524;&#12505;&#12523;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("outsslalvl").focus();
														document.getElementById("outsslalvl").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'owner'">
													var tempcorpownername = document.getElementById("corpownername").value;
													var tempinsurancecomp = document.getElementById("insurancecomp").value;

													if(tempcorpownername != '')
													{
														if( ! isAlphaNumeric(tempcorpownername, "Owner Name"))
														{
															document.getElementById("corpownername").focus();
															document.getElementById("corpownername").select();
															return false;
														}
													}
													else
													{
														alert("\"&#25152;&#26377;&#32773;&#21517;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("corpownername").focus();
														document.getElementById("corpownername").select();
														return false;
													}
													
													if(tempinsurancecomp != '')
													{
														if( ! isAlphaNumeric(tempinsurancecomp, "Insurance Company"))
														{
															document.getElementById("insurancecomp").focus();
															document.getElementById("insurancecomp").select();
															return false;
														}
													}
													else
													{
														alert("\"&#20445;&#38522;&#20250;&#31038;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("insurancecomp").focus();
														document.getElementById("insurancecomp").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'depreciation'">
													var tempdeprduration	= document.getElementById("deprduration").value;
													var tempdeprpercent 	= document.getElementById("deprpercent").value;
													var tempdeprmethod  	= document.getElementById("deprmethod").value;
												
													if(tempdeprduration != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprduration) == true) || (tempdeprduration &lt; 0) || (tempdeprduration.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#26399;&#38291;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempdeprduration);
															document.getElementById("deprduration").focus();
															document.getElementById("deprduration").select();
															return false;
														}
													}
													else
													{
														alert("\"&#26399;&#38291;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("deprduration").focus();
														document.getElementById("deprduration").select();
														return false;
													}
		
													if(tempdeprpercent != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempdeprpercent) == true) || (tempdeprpercent &lt; 0) || (tempdeprpercent.indexOf(".") != "-1") || (tempdeprpercent &gt; 100))
														{
															alert("&#12456;&#12521;&#12540;! \"&#12497;&#12540;&#12475;&#12531;&#12488; (%)\"&#12399;&#25972;&#25968; (0&#65374;100) &#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempdeprpercent);
															document.getElementById("deprpercent").focus();
															document.getElementById("deprpercent").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12497;&#12540;&#12475;&#12531;&#12488; (%)\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("deprpercent").focus();
														document.getElementById("deprpercent").select();
														return false;
													}
													
													if(tempdeprmethod != '')
													{
														if( ! isAlphaNumeric(tempdeprmethod, "Method"))
														{
															document.getElementById("deprmethod").focus();
															document.getElementById("deprmethod").select();
															return false;
														}
													}
													else
													{
														alert("\"&#26041;&#27861;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("deprmethod").focus();
														document.getElementById("deprmethod").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'servicecontract'">
													var tempsrvcnttype		= document.getElementById("srvcnttype").value;
													var tempsrvcntvendor	= document.getElementById("srvcntvendor").value;
													
													if(tempsrvcnttype != '')
													{
														if( ! isAlphaNumeric(tempsrvcnttype, "Type"))
														{
															document.getElementById("srvcnttype").focus();
															document.getElementById("srvcnttype").select();
															return false;
														}
													}
													else
													{
														alert("\"&#31278;&#39006;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("srvcnttype").focus();
														document.getElementById("srvcnttype").select();
														return false;
													}	
													
													if(tempsrvcntvendor != '')
													{
														if( ! isAlphaNumeric(tempsrvcntvendor, "Vendor"))
														{
															document.getElementById("srvcntvendor").focus();
															document.getElementById("srvcntvendor").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12505;&#12531;&#12480;&#12540;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("srvcntvendor").focus();
														document.getElementById("srvcntvendor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'lease'">
													var templeasebyoamt	= document.getElementById("leasebyoamt").value;
													var templeasertfact		= document.getElementById("leasertfact").value;
													var tempeasefrmrktval	= document.getElementById("leasefrmrktval").value;
													var templeaselessor		= document.getElementById("leaselessor").value;
													
													if(templeasebyoamt != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasebyoamt) == true) || (templeasebyoamt &lt; 0) || (templeasebyoamt.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#36023;&#21462;&#38989;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + templeasebyoamt);
															document.getElementById("leasebyoamt").focus();
															document.getElementById("leasebyoamt").select();
															return false;
														}
													}
													else
													{
														alert("\"&#36023;&#21462;&#38989;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("leasebyoamt").focus();
														document.getElementById("leasebyoamt").select();
														return false;
													}
													
													if(templeasertfact != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(templeasertfact) == true) || (templeasertfact &lt; 0) || (templeasertfact.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#36895;&#24230;&#27604;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + templeasertfact);
															document.getElementById("leasertfact").focus();
															document.getElementById("leasertfact").select();
															return false;
														}
													}
													else
													{
														alert("\"&#36895;&#24230;&#27604;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("leasertfact").focus();
														document.getElementById("leasertfact").select();
														return false;
													}
													
													if(tempeasefrmrktval != '')
													{
														// do error checking for 1.strings 2.-ve numbers and 3.floats
														if((isNaN(tempeasefrmrktval) == true) || (tempeasefrmrktval &lt; 0) || (tempeasefrmrktval.indexOf(".") != "-1") )
														{
															alert("&#12456;&#12521;&#12540;! \"&#36969;&#27491;&#24066;&#22580;&#20385;&#26684;\"&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + tempeasefrmrktval);
															document.getElementById("leasefrmrktval").focus();
															document.getElementById("leasefrmrktval").select();
															return false;
														}
													}
													else
													{
														alert(" \"&#36969;&#27491;&#24066;&#22580;&#20385;&#26684;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("leasefrmrktval").focus();
														document.getElementById("leasefrmrktval").select();
														return false;
													}
													
													if(templeaselessor != '')
													{
														if( ! isAlphaNumeric(templeaselessor, "Lessor"))
														{
															document.getElementById("leaselessor").focus();
															document.getElementById("leaselessor").select();
															return false;
														}
													}
													else
													{
														alert("\"&#36035;&#36024;&#32773;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("leaselessor").focus();
														document.getElementById("leaselessor").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'maintenance'">
													var tempmaintprovider	= document.getElementById("maintprovider").value;
													var tempmaintrest		= document.getElementById("maintrest").value;
													var tempextwsdate 		= document.getElementById("maintsdate").value;
													var tempextwedate 		= document.getElementById("maintedate").value;
													var startDateIsBiggerMsg = "<!--XLATESTART-->&#38283;&#22987;&#26085;&#12399;&#32066;&#20102;&#26085;&#12398;&#21069;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP-->";
													var bothDatesEqualMsg	= "<!--XLATESTART-->&#38283;&#22987;&#26085;&#12392;&#32066;&#20102;&#26085;&#12399;&#21516;&#12376;&#12391;&#12399;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP-->";

													if( (tempextwsdate != '') &amp;&amp; (tempextwedate != '') )
													{
														if( isNaN(tempextwsdate) &amp;&amp; isNaN(tempextwedate) )
														{
															//user did not change anything.
															if( ( tempextwsdate != 'Please set the value' ) &amp;&amp; ( tempextwedate != 'Please set the value' ) )
															{
																var currentStartDate = new Date(tempextwsdate);
																var currentEndDate = new Date(tempextwedate);

																if( currentStartDate.getTime() &gt; currentEndDate.getTime() )
																{
																	alert( startDateIsBiggerMsg );
																	return false;
																}
																else if( currentStartDate.getTime() == currentEndDate.getTime() )
																{
																	alert( bothDatesEqualMsg );
																	return false;
																}
															}															
														}
														else if( isNaN(tempextwsdate) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed the start date but end date is still the previous value.
															var currentStartDate = new Date(tempextwsdate);
															
															if( currentStartDate.getTime() &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( currentStartDate.getTime() == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( (! isNaN(tempextwsdate) ) &amp;&amp; isNaN(tempextwedate) )
														{
															// user changed the end date but start date is still the previous value.
															var currentEndDate = new Date(tempextwedate);

															if( tempextwsdate &gt; currentEndDate.getTime() )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == currentEndDate.getTime() )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
														else if( ( ! isNaN(tempextwsdate) ) &amp;&amp; ( ! isNaN(tempextwedate) ) )
														{
															// user changed both the values.
															if( tempextwsdate &gt; tempextwedate )
															{
																alert( startDateIsBiggerMsg );
																return false;
															}
															else if( tempextwsdate == tempextwedate )
															{
																alert( bothDatesEqualMsg );
																return false;
															}
														}
													}
													
													if(tempmaintprovider != '')
													{
														if( ! isAlphaNumeric(tempmaintprovider, "Provider"))
														{
															document.getElementById("maintprovider").focus();
															document.getElementById("maintprovider").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12503;&#12525;&#12496;&#12452;&#12480;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("maintprovider").focus();
														document.getElementById("maintprovider").select();
														return false;
													}
													
													if(tempmaintrest != '')
													{
														if( ! isAlphaNumeric(tempmaintrest, "Restrictions"))
														{
															document.getElementById("maintrest").focus();
															document.getElementById("maintrest").select();
															return false;
														}
													}
													else
													{
														alert("\"&#21046;&#38480;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("maintrest").focus();
														document.getElementById("maintrest").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'support'">
													var tempsuphlpdesk	= document.getElementById("suphlpdesk").value;
													var tempsupautofix	= document.getElementById("supautofix").value;
													
													if(tempsuphlpdesk != '')
													{
														if( ! isAlphaNumeric(tempsuphlpdesk, "Help Desk"))
														{
															document.getElementById("suphlpdesk").focus();
															document.getElementById("suphlpdesk").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12504;&#12523;&#12503;&#12487;&#12473;&#12463;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("suphlpdesk").focus();
														document.getElementById("suphlpdesk").select();
														return false;
													}
													
													if(tempsupautofix != '')
													{
														if( ! isAlphaNumeric(tempsupautofix, "Automatic Fix"))
														{
															document.getElementById("supautofix").focus();
															document.getElementById("supautofix").select();
															return false;
														}
													}
													else
													{
														alert("\"&#33258;&#21205;&#20462;&#24489;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("supautofix").focus();
														document.getElementById("supautofix").select();
														return false;
													}
												</xsl:when>
												<xsl:when test="$arg = 'system'">
													var tempsyspuserphone	= document.getElementById("syspuserphone").value;
													var tempsyslocation		= document.getElementById("syslocation").value;
													var tempsyspusername	= document.getElementById("syspusername").value;
													
													if(tempsyspuserphone != '')
													{
														if( ! isAlphaNumericPhone(tempsyspuserphone, "Primary User Phone"))
														{
															document.getElementById("syspuserphone").focus();
															document.getElementById("syspuserphone").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12503;&#12521;&#12452;&#12510;&#12522; &#12518;&#12540;&#12470;&#38651;&#35441;&#30058;&#21495;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("syspuserphone").focus();
														document.getElementById("syspuserphone").select();
														return false;
													}
													
													if(tempsyslocation != '')
													{
														if( ! isAlphaNumeric(tempsyslocation, "System Location"))
														{
															document.getElementById("syslocation").focus();
															document.getElementById("syslocation").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12471;&#12473;&#12486;&#12512;&#12398;&#22580;&#25152;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("syslocation").focus();
														document.getElementById("syslocation").select();
														return false;
													}
													
													if(tempsyspusername != '')
													{
														if( ! isAlphaNumeric(tempsyspusername, "Primary User Name"))
														{
															document.getElementById("syspusername").focus();
															document.getElementById("syspusername").select();
															return false;
														}
													}
													else
													{
														alert("\"&#12503;&#12521;&#12452;&#12510;&#12522; &#12518;&#12540;&#12470;&#21517;\"&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;");
														document.getElementById("syspusername").focus();
														document.getElementById("syspusername").select();
														return false;
													}
												</xsl:when>
											</xsl:choose>
											return true;
										}
																																	
										function isAlphaNumeric(text, varname)
										{
											var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
											
											//Eliminate the spaces at the end
											while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("&#12456;&#12521;&#12540;!  \"" + varname + "\"&#12398;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;&#25991;&#23383;&#12392;&#25968;&#20516;&#12398;&#12415;&#12434;&#20351;&#29992;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
												return false;
											}
											if(text.length > 63)
											{
												alert("\"" + varname + "\"&#12399; 64 &#25991;&#23383;&#12434;&#36229;&#12360;&#12427;&#12371;&#12392;&#12399;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;");
												return false;
											}
											
											return true;
										}
										
										<xsl:if test="$arg = 'system'">											
											function isAlphaNumericPhone(text, varname)
											{
												var validValue = "-0123456789";
												var ok = "yes";
												var temp;
												
												//Eliminate the spaces at the end
												while(''+text.charAt(text.length-1)==' ')
												{
													text = text.substring(0,text.length-1);
												}
												
												for (var i=0; i&lt;text.length; i++)
												{
													temp = "" + text.substring(i, i+1);
													if (validValue.indexOf(temp) == "-1")
													{
														if(temp != " ")
													{
														ok = "no";
													}
												}
											}
											if (ok == "no")
											{
												alert("&#12456;&#12521;&#12540;! \"" + varname + "\"&#12398;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290; [-] &#12391;&#21306;&#20999;&#12387;&#12383;&#25968;&#20516;&#12384;&#12369;&#12434;&#20351;&#29992;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
													return false;
					}
					
					return true;
				}
										</xsl:if>
									</script>
								</DataArea>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12475;&#12483;&#12488;&#24773;&#22577;&#12398;&#27010;&#35201;<!--XLATESTOP--></xsl:attribute>
							</PageTitle>					
							<PromptText ignoreoncli="true"><!--XLATESTART-->&#20491;&#12293;&#12398;&#12450;&#12452;&#12486;&#12512;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#24076;&#26395;&#12398;&#12450;&#12475;&#12483;&#12488;&#24773;&#22577;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
								</Data>
							</CustomButton>
							<SummaryData>
								<xsl:apply-templates select="AssetInfo"/>
								<xsl:call-template name="OwnerInfo"/>
							</SummaryData>
						</DataArea>
					</xsl:otherwise>
		</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="List">
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#36039;&#29987;&#38917;&#30446;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36039;&#29987;&#38917;&#30446;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=acquisition&amp;help=Acquisition</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#28187;&#20385;&#20767;&#21364;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=depreciation&amp;help=Depreciation</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#24310;&#38263;&#20445;&#35388;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=extwarranty&amp;help=ExtWarranty</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12540;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=lease&amp;help=Lease</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12513;&#12531;&#12486;&#12490;&#12531;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=maintenance&amp;help=Maintenance</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12454;&#12488;&#12477;&#12540;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=outsource&amp;help=OutSource</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#25152;&#26377;&#32773;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=owner&amp;help=Owner</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12540;&#12499;&#12473;&#22865;&#32004;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=servicecontract&amp;help=Service</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#27010;&#35201;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=summary&amp;help=AssetSummary</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12509;&#12540;&#12488;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=support&amp;help=Support</xsl:attribute>						</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=system&amp;help=SystemInfo</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#20445;&#35388;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AssetInfoWebPlugin&amp;cmd=warranty&amp;help=Warranty</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template match="AssetInfo">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="Acquisition">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
				<Section display="&#21462;&#24471;" name="Acquisition">
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#36092;&#20837;&#36027;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#32013;&#21697;&#26360;&#30058;&#21495;&#12398;&#21442;&#29031; (&#36939;&#36865;&#30446;&#37682;)<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#30330;&#27880;&#30058;&#21495;&#12398;&#21442;&#29031;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#32773;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#35373;&#32622;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#36092;&#20837;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>	
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#20986;<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
									<xsl:attribute name="value"><!--XLATESTART-->&#12399;&#12356;<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="value"><!--XLATESTART-->&#12356;&#12356;&#12360;<!--XLATESTOP--></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12473;&#12488;&#12475;&#12531;&#12479;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
						</Data>
					</ListData>
				</Section>
			</xsl:when>
			<xsl:otherwise>
				<ListData>
					<Data type="editbox" name="acqpcost" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->&#36092;&#20837;&#36027;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PurchaseCost"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqwbillnum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->&#32013;&#21697;&#26360;&#30058;&#21495;&#12398;&#21442;&#29031; (&#36939;&#36865;&#30446;&#37682;)<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="WayBillNum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqponum" size="29" maxlength="9">
						<xsl:attribute name="display"><!--XLATESTART-->&#30330;&#27880;&#30058;&#21495;&#12398;&#21442;&#29031;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="PONum"/></xsl:attribute>
					</Data>
					<Data type="editbox" name="acqsignauth" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#32773;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
					</Data>
					<Data type="date" name="acqinstalldate">
						<xsl:attribute name="display"><!--XLATESTART-->&#35373;&#32622;&#26085;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfInstallation"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data type="date" name="acqprchsedate">
						<xsl:attribute name="display"><!--XLATESTART-->&#36092;&#20837;&#26085;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="DateOfPurchase"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>	
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/OMConfig/Vendor"/></xsl:attribute>
					</Data>
					<Data type="radio" name="omcnfgexpnsd" splcase="true">
						<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#20986;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">Yes</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<ExtraItem type="radio" name="omcnfgexpnsd">
							<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
							<xsl:if test="/OMA/AssetInfo/OMConfig/Expensed ='false'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
						</ExtraItem>
					</Data>
					<Data type="editbox" name="cstctr" size="29" maxlength="63">
						<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12473;&#12488;&#12475;&#12531;&#12479;&#12540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CostCenter/CostCenter"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="acqoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="omcnfgoid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/OMConfig/@oid"/></xsl:attribute>
					</Data>
					<Data type="hidden" name="cstctroid">
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/AssetInfo/CostCenter/@oid"/></xsl:attribute>
					</Data>
				</ListData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Warranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#20445;&#35388; " name="Warranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12491;&#12483;&#12488;&#12479;&#12452;&#12503;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:choose>
										<xsl:when test="UnitType ='0'"><!--XLATESTART-->&#26085;<!--XLATESTOP--></xsl:when>
										<xsl:when test="UnitType ='1'"><!--XLATESTART-->&#26376;<!--XLATESTOP--></xsl:when>
										<xsl:otherwise><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DisplayDate">
										<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#21407;&#20385;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="woid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="wduration" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="wunittype">
							<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12491;&#12483;&#12488;&#12479;&#12452;&#12503;<!--XLATESTOP--></xsl:attribute>
							<xsl:choose>
								<xsl:when test="(UnitType ='0') or (UnitType ='1')">
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="UnitType = '0'"><xsl:attribute name="default">true</xsl:attribute>
										</xsl:if>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="UnitType = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
									</Choice>
								</xsl:when>
								<xsl:otherwise>
									<Choice>
										<xsl:attribute name="value">Days</xsl:attribute>
										<xsl:attribute name="returnvalue">0</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Months</xsl:attribute>
										<xsl:attribute name="returnvalue">1</xsl:attribute>
									</Choice>
									<Choice>
										<xsl:attribute name="value">Other</xsl:attribute>
										<xsl:attribute name="returnvalue"><xsl:value-of select="UnitType"/></xsl:attribute>
						<xsl:attribute name="default">true</xsl:attribute>
									</Choice>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
						<Data type="date" name="wedate">
							<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="wcost" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#21407;&#20385;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ExtWarranty">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#24310;&#38263;&#20445;&#35388; " name="ExtWarranty">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#38283;&#22987;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#21407;&#20385;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data display="&#38283;&#22987;&#26085;" type="date" name="extwsdate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="&#32066;&#20102;&#26085;" type="date" name="extwedate" state="2">
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data display="&#12467;&#12473;&#12488;" type="editbox" name="extwcost" size="29" maxlength="9">
							<xsl:attribute name="value"><xsl:value-of select="Cost"/></xsl:attribute>
						</Data>
						<Data display="&#12503;&#12525;&#12496;&#12452;&#12480;" type="editbox" name="extwprovider" size="29" maxlength="63">
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="extwoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="OwnerInfo">
		<Section display="&#25152;&#26377;&#32773;" name="owner">
			<ListData>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="OwnerType">
							<xsl:with-param name="type"><xsl:value-of select="/OMA/AssetInfo/OwnerShipCodes/Type"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#25152;&#26377;&#32773;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/CorporateOwner/OwnerName"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20445;&#38522;&#20250;&#31038;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/AssetInfo/Insurance/InsuranceCompany"/></xsl:attribute>
				</Data>
			</ListData>
		</Section>
	</xsl:template>
	<xsl:template match="Owner">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#25152;&#26377;&#32773;" name="Owner">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="OwnerType">
										<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#25152;&#26377;&#32773;&#21517;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#20445;&#38522;&#20250;&#31038;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="select" name="ownershiptype">
							<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="OwnerType">
								<xsl:with-param name="type"><xsl:value-of select="OwnerShipCodes/Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="corpownername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#25152;&#26377;&#32773;&#21517;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="CorporateOwner/OwnerName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="insurancecomp"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#20445;&#38522;&#20250;&#31038;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Insurance/InsuranceCompany"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="ownershipoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="OwnerShipCodes/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="corpowneroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="CorporateOwner/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="insuranceoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="Insurance/@oid"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="chassisprops1oid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template match="Depreciation">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#28187;&#20385;&#20767;&#21364;" name="Depreciation">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#26041;&#27861;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12491;&#12483;&#12488;&#12479;&#12452;&#12503;&#12398;&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="DurationUnitType">
										<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12497;&#12540;&#12475;&#12531;&#12488; (%)<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="hidden" name="deproid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprmethod"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#26041;&#27861;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Method"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="deprduration"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Duration"/></xsl:attribute>
						</Data>
						<Data type="select" name="depcdutype">
							<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12491;&#12483;&#12488;&#12479;&#12452;&#12503;&#12398;&#26399;&#38291;<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="DurationUnitType">
								<xsl:with-param name="unit"><xsl:value-of select="Unit"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data type="editbox" name="deprpercent"  size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#12497;&#12540;&#12475;&#12531;&#12488; (%)<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Percentage"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="SupportInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12469;&#12509;&#12540;&#12488;" name="SupportInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12454;&#12488;&#12477;&#12540;&#12473;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Outsourced"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
									<xsl:call-template name="SupportType">
										<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12504;&#12523;&#12503;&#12487;&#12473;&#12463;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21205;&#20462;&#24489;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="supoutsrc" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12454;&#12488;&#12477;&#12540;&#12473;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">true</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Outsourced ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="supoutsrc">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Outsourced ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="suptype" type="select">
							<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
							<xsl:call-template name="SupportType">
								<xsl:with-param name="type"><xsl:value-of select="Type"/></xsl:with-param>
						<xsl:with-param name="edit">true</xsl:with-param>
							</xsl:call-template>
						</Data>
						<Data name="suphlpdesk" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12504;&#12523;&#12503;&#12487;&#12473;&#12463;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="HelpDesk"/></xsl:attribute>
						</Data>
						<Data name="supautofix" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21205;&#20462;&#24489;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="AutomaticFix"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="supoid">
								<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Outsourcing">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12450;&#12454;&#12488;&#12477;&#12540;&#12473;" name="Outsourcing">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#21839;&#38988;&#12398;&#12354;&#12427;&#12467;&#12531;&#12509;&#12540;&#12493;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12499;&#12473;&#26009;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#32773;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;&#26009;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->SLA &#12524;&#12505;&#12523;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
				<ListData>
						<Data type="editbox" name="outsprobcomp" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#21839;&#38988;&#12398;&#12354;&#12427;&#12467;&#12531;&#12509;&#12540;&#12493;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SysComponent"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsservfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12499;&#12473;&#26009;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ServiceFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outssigna" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#32626;&#21517;&#32773;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SignAuthority"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsprovfee" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;&#26009;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="ProviderFee"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="outsslalvl" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->SLA &#12524;&#12505;&#12523;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Levels"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="outsoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="ServiceContract">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12469;&#12540;&#12499;&#12473;&#22865;&#32004;" name="Service Contract">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Renewed"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData >
						<Data type="radio" name="srvcntrenewed" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">true</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="Renewed ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="srvcntrenewed">
								<xsl:attribute name="value">False</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="Renewed ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data name="srvcnttype" type="editbox"  size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
						</Data>
						<Data name="srvcntvendor" type="editbox" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="servcroid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="LeaseInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12522;&#12540;&#12473;" name="LeaseInfo">
						<ListData>						
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#35079;&#25968;&#12398;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="IsMultiSchedules"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#36023;&#21462;&#38989;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#36895;&#24230;&#27604;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#36969;&#27491;&#24066;&#22580;&#20385;&#26684;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#36035;&#36024;&#32773;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="radio" name="leasemschd" splcase="true">
							<xsl:attribute name="display"><!--XLATESTART-->&#35079;&#25968;&#12398;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">Yes</xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
							<xsl:if test="IsMultiSchedules ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:if>
							<ExtraItem type="radio" name="leasemschd">
								<xsl:attribute name="value">No</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								<xsl:if test="IsMultiSchedules ='false'">
									<xsl:attribute name="state">1</xsl:attribute>
								</xsl:if>
							</ExtraItem>
						</Data>
						<Data type="editbox" name="leasebyoamt" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#36023;&#21462;&#38989;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="BuyoutAmt"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leasertfact" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#36895;&#24230;&#27604;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="RateFactor"/></xsl:attribute>
						</Data>
						<Data type="date" name="leaseedate">
							<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="leasefrmrktval" size="29" maxlength="9">
							<xsl:attribute name="display"><!--XLATESTART-->&#36969;&#27491;&#24066;&#22580;&#20385;&#26684;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="FairMarketVal"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="leaselessor" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#36035;&#36024;&#32773;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Lessor"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="leaseoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="MaintInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12513;&#12531;&#12486;&#12490;&#12531;&#12473;" name="MaintInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#38283;&#22987;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value">
								<xsl:call-template name="DisplayDate">
									<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
								</xsl:call-template>
								</xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#21046;&#38480;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data type="date" name="maintsdate">
							<xsl:attribute name="display"><!--XLATESTART-->&#38283;&#22987;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="StartDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="date" name="maintedate">
							<xsl:attribute name="display"><!--XLATESTART-->&#32066;&#20102;&#26085;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value">
							<xsl:call-template name="DisplayDate">
								<xsl:with-param name="dateName"><xsl:value-of select="EndDate"/></xsl:with-param>
							</xsl:call-template>
							</xsl:attribute>
						</Data>
						<Data type="editbox" name="maintprovider" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12496;&#12452;&#12480;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Provider"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="maintrest" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#21046;&#38480;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="Restrictions"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="maintoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<xsl:variable name="displaytype"><xsl:value-of select="/OMA/Arguments"/></xsl:variable>
		<xsl:if test="$displaytype != 'acquisition'">
			<xsl:choose>
				<xsl:when test="(/OMA/OMAUserRights = '1') or ($displaytype = 'summary') or ($displaytype = '')">
					<Section display="&#12471;&#12473;&#12486;&#12512;" name="SystemInfo">
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#36215;&#21205;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#21517;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12521;&#12452;&#12510;&#12522; &#12518;&#12540;&#12470;&#21517;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12521;&#12452;&#12510;&#12522;&#12518;&#12540;&#12470;&#12398;&#38651;&#35441;&#30058;&#21495;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
							</Data>
						</ListData>
					</Section>
				</xsl:when>
				<xsl:otherwise>
					<ListData>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#36215;&#21205;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#21517;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syslocation" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="SystemLocation"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspusername" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12521;&#12452;&#12510;&#12522; &#12518;&#12540;&#12470;&#21517;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserName"/></xsl:attribute>
						</Data>
						<Data type="editbox" name="syspuserphone" size="29" maxlength="63">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12521;&#12452;&#12510;&#12522;&#12518;&#12540;&#12470;&#12398;&#38651;&#35441;&#30058;&#21495;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="PrimaryUserPhone"/></xsl:attribute>
						</Data>
						<Data type="hidden" name="sysoid">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DurationUnitType">
		<xsl:param name="unit"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<Choice returnvalue="0">
					<xsl:attribute name="value"><!--XLATESTART-->&#26376;<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '0'"><xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
				<Choice returnvalue="1">
					<xsl:attribute name="value"><!--XLATESTART-->&#24180;<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$unit = '1'">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$unit = '0'"><!--XLATESTART-->&#26376;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$unit = '1'"><!--XLATESTART-->&#24180;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SupportType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
			<xsl:choose>
				<xsl:when test="$edit = 'true'">
					<xsl:choose>
						<xsl:when test="($type = '0') or ($type = '1')">
							<Choice returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
							</Choice>
						</xsl:when>
						<xsl:otherwise>
							<Choice default="true">
								<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
								<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
							</Choice>
							<Choice  returnvalue="0">
								<xsl:attribute name="value"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;<!--XLATESTOP--></xsl:attribute>
							</Choice>
							<Choice  returnvalue="1">
								<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
							</Choice>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$type = '0'"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$type = '1'"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	<xsl:template name="OwnerType">
		<xsl:param name="type"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">
				<xsl:choose>
					<xsl:when test="($type = '0') or ($type = '1') or ($type = '2')">
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->&#25152;&#26377;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12540;&#12473;<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$type = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->&#12524;&#12531;&#12479;&#12523;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="$type = '2'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
						</Choice>
					</xsl:when>
					<xsl:otherwise>
						<Choice default="true">
							<xsl:attribute name="value"><xsl:value-of select="$type"/></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="$type"/></xsl:attribute>
						</Choice>
						<Choice returnvalue="0">
							<xsl:attribute name="value"><!--XLATESTART-->&#25152;&#26377;<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="1">
							<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12540;&#12473;<!--XLATESTOP--></xsl:attribute>
						</Choice>
						<Choice returnvalue="2">
							<xsl:attribute name="value"><!--XLATESTART-->&#12524;&#12531;&#12479;&#12523;<!--XLATESTOP--></xsl:attribute>
						</Choice>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$type = '0'"><!--XLATESTART-->&#25152;&#26377;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '1'"><!--XLATESTART-->&#12522;&#12540;&#12473;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$type = '2'"><!--XLATESTART-->&#12524;&#12531;&#12479;&#12523;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemClass">
		<xsl:param name="class"/>
		<xsl:param name="edit"/>
		<xsl:choose>
			<xsl:when test="$edit = 'true'">				
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12527;&#12540;&#12463;&#12473;&#12486;&#12540;&#12471;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">3</xsl:attribute>
					<xsl:if test="$class = '3'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12540;&#12496;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">4</xsl:attribute>
					<xsl:if test="$class = '4'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12487;&#12473;&#12463;&#12488;&#12483;&#12503;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">5</xsl:attribute>
					<xsl:if test="$class = '5'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12494;&#12540;&#12488;&#12502;&#12483;&#12463;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">6</xsl:attribute>
					<xsl:if test="$class = '6'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;PC<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">7</xsl:attribute>
					<xsl:if test="$class = '7'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:if test="$class = '8'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#20104;&#32004;&#28168;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="$class = '0'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:if test="$class = '1'"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
				<Choice>
					<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="returnvalue">2</xsl:attribute>
					<xsl:if test="($class = '2') or ($class > '8') or ('0' &gt; $class)"><xsl:attribute name="default">true</xsl:attribute></xsl:if>
				</Choice>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$class = '0'"><!--XLATESTART-->&#20104;&#32004;&#28168;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '3'"><!--XLATESTART-->&#12527;&#12540;&#12463;&#12473;&#12486;&#12540;&#12471;&#12519;&#12531;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '4'"><!--XLATESTART-->&#12469;&#12540;&#12496;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '5'"><!--XLATESTART-->&#12487;&#12473;&#12463;&#12488;&#12483;&#12503;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '6'"><!--XLATESTART-->&#12494;&#12540;&#12488;&#12502;&#12483;&#12463;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '7'"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;PC<!--XLATESTOP--></xsl:when>
					<xsl:when test="$class = '8'"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>Unknown</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
	
	<xsl:template name="DisplayDate">
		<xsl:param name="dateName"/>
		<xsl:choose>
			<xsl:when test="($dateName= '-1') or ($dateName='0')">
			     <xsl:text>Please set the value</xsl:text>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$dateName"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>