<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="BIOSView1/SMStatus = 0">
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->BIOS &#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<ListData type="custom">
						<xsl:call-template name="SystemBIOS"/>
						<xsl:call-template name="LastBIOSUpdate"/>
					</ListData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->BIOS &#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<PromptText status="3">
						<!--XLATESTART-->BIOS &#12496;&#12540;&#12472;&#12519;&#12531;&#24773;&#22577;&#12434;&#21462;&#24471;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP-->
					</PromptText>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemBIOS">
		<Data name="Name">
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Manufacturer"/></xsl:attribute>
		</Data>
		<Data name="Version">
			<xsl:attribute name="display"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Version"/></xsl:attribute>
		</Data>
		<Data name="ReleaseDate">
			<xsl:attribute name="display"><!--XLATESTART-->&#12522;&#12522;&#12540;&#12473;&#26085;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/ReleaseDate"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template name="LastBIOSUpdate">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496; &#12450;&#12489;&#12511;&#12491;&#12473;&#12488;&#12524;&#12540;&#12479; BIOS &#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#23550;&#24540;<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable = '1'">
				<xsl:if test="UserAdmin = '1'">
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
						<xsl:attribute name="value"><!--XLATESTART-->&#12399;&#12356;<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
						<xsl:attribute name="value"><!--XLATESTART-->&#12356;&#12356;&#12360;<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(UserAdmin ) = '0'">
					<xsl:attribute name="value"><!--XLATESTART-->N/&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->N/&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496; &#12450;&#12489;&#12511;&#12491;&#12473;&#12488;&#12524;&#12540;&#12479; BIOS &#26368;&#32066;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#26085;<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable  = '1'">
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
					<xsl:choose>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 17">
							<xsl:attribute name="value"><!--XLATESTART-->&#23455;&#34892;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
						</xsl:when>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 3">
							<xsl:attribute name="value"><xsl:value-of select="concat(BIOSView2/LastBIOSUpdate/LastUpdateMonth, '/', BIOSView2/LastBIOSUpdate/LastUpdateDay, '/', BIOSView2/LastBIOSUpdate/LastUpdateYear)"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><!--XLATESTART-->N/&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
					<xsl:attribute name="value"><!--XLATESTART-->N/&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->N/&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	<xsl:template match="OMAUserRights"/>
</xsl:stylesheet>
