<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;ChassisProps1Oid=<xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/>&amp;ChassisProps2Oid=<xsl:value-of select="ChassisInfo/ChassisProps2/@oid"/>&amp;SystemInfoOid=<xsl:value-of select="ChassisInfo/SystemInfo/@oid"/></xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display">
					<xsl:choose>
						<xsl:when test="ChassisInfo/ChassisProps1/ChassName='Main System Chassis'">
							<!--XLATESTART-->&#12513;&#12452;&#12531; &#12471;&#12473;&#12486;&#12512; &#12471;&#12515;&#12540;&#12471;<!--XLATESTOP-->
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="ChassisInfo/ChassisProps1/ChassName"/></xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#24773;&#22577;<!--XLATESTOP-->
				</xsl:attribute>
			</PageTitle>
		<Header>Header</Header>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;help=Chassis</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData type="custom">
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
			<script language="javascript">
				function validate()
				{
					//Eliminate the spaces at the end
					while(document.dataarea.AssetTag.value.charAt(document.dataarea.AssetTag.value.length-1)==' ')
					{
						document.dataarea.AssetTag.value= document.dataarea.AssetTag.value.substring(0,document.dataarea.AssetTag.value.length-1);
					}
					if(!isAlphaNumeric(document.dataarea.AssetTag.value))
					{
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					if(document.dataarea.AssetTag.value.length > 10)
					{
						alert("&#31649;&#29702;&#12479;&#12464;&#12399; 10 &#25991;&#23383;&#12434;&#36229;&#12360;&#12427;&#12371;&#12392;&#12399;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;");
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					//Check to see if the chassis led is there
					<xsl:if test="//ChassisProps2/IdentifySupport='true'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							var pretimeout = <xsl:value-of select="//ChassisProps2/ChassIdentifyTimeout"/>;													var timeout 	= document.getElementById("timeout").value;
							if(isNaN(timeout) == true)
							{
								alert("&#12456;&#12521;&#12540;! &#12471;&#12515;&#12540;&#12471;&#35672;&#21029;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + timeout );
								document.getElementById("timeout").value = pretimeout ;
								return false;
							}
							if(timeout &lt; 1) {
								alert("&#12456;&#12521;&#12540;! &#12471;&#12515;&#12540;&#12471;&#35672;&#21029;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;&#12399; 0 &#12424;&#12426;&#22823;&#12365;&#12367;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + timeout );
								document.getElementById("timeout").value = pretimeout ;								
								return false;
							}
							else
							{
								if(timeout.indexOf(".") != "-1")
								{
									alert("&#12456;&#12521;&#12540;! &#12471;&#12515;&#12540;&#12471;&#35672;&#21029;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;&#12399;&#25972;&#25968;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + timeout );
									document.getElementById("timeout").value = pretimeout ;						
									return false;
								}
							}
						</xsl:if>
					</xsl:if>
					<xsl:if test="/OMA/Chassis/@oid != '2'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							if(!isAlphaNumeric(document.dataarea.ChassisName.value))
								{
									document.dataarea.ChassisName.focus();
									document.dataarea.ChassisName.select();
									return false;
								}
						</xsl:if>
					</xsl:if>
					return true;
				}
				function isAlphaNumeric(text) {
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							ok = "no";
						}
						//Check for space
						if(temp == " ")
						{
							ok = "yes";
						}
					}
					if (ok == "no")
					{
						alert("&#12456;&#12521;&#12540;! &#33521;&#25968;&#23383;&#12414;&#12383;&#12399;&#35352;&#21495;&#12391;&#12394;&#12369;&#12428;&#12400;&#12356;&#12369;&#12414;&#12379;&#12435;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: " + text);
						return false;
					}
					return true;
				}				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="/OMA/Chassis/@oid = '2'">
			<Data name="HostName">
				<xsl:attribute name="display"><!--XLATESTART-->&#12507;&#12473;&#12488;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:apply-templates select="FirmwareList"/>
		<Data name="SystemModel" width="300">
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12514;&#12487;&#12523;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassModel"/></xsl:attribute>
		</Data>
		<Data name="ChassLock">
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12525;&#12483;&#12463;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="ChassisProps1/ChassLockPresent='true'"><!--XLATESTART-->&#12354;&#12426;<!--XLATESTOP--></xsl:when>
					<xsl:when test="ChassisProps1/ChassLockPresent='false'"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		
		<xsl:apply-templates select="ChassisProps2"/>				
		<xsl:if test="/OMA/Chassis/@oid != '2'">
			<Data name="ChassisName">
				<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassName"/></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					 <xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">31</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		
		<xsl:if test="/OMA/BaseBoardList/@count > '0'">
			<xsl:apply-templates select="/OMA/BaseBoardList"/>
		</xsl:if>

			
		
		<xsl:if test="ChassisProps2/IdentifySupport='true'">
			<Data name="indentify" returnvalue="1" type="checkbox">
				<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12398;&#35672;&#21029;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:if test="ChassisProps2/ChassIdentifyState = '1'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="ChassisProps2/ChassIdentifyState = '1'">
								<xsl:attribute name="state">3</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>	
			</Data>
			<Data name="timeout">
				<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#35672;&#21029;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps2/ChassIdentifyTimeout"/></xsl:attribute>
				<xsl:attribute name="unit"><!--XLATESTART-->&#31186;<!--XLATESTOP--></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
					<Data name="hdfault" type="checkbox">
						<xsl:attribute name="display"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12489;&#12521;&#12452;&#12502; &#12456;&#12521;&#12540;&#12434;&#12463;&#12522;&#12450;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</xsl:if>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault" type="select">
						<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#22823;&#12524;&#12505;&#12523;&#12391;&#12501;&#12457;&#12540;&#12523;&#12488; LED &#12364;&#28857;&#28357;<!--XLATESTOP--></xsl:attribute>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">16</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=16">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=8">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
					</Data>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault">
						<xsl:attribute name="display"><!--XLATESTART-->&#12371;&#12398;&#37325;&#22823;&#12524;&#12505;&#12523;&#12391;&#12456;&#12521;&#12540; LED &#12434;&#28857;&#28357;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="ChassisProps2/FaultLEDControl=8"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ChassisProps2">	
		<Data name="ServiceTag" type="ustring">
			<xsl:attribute name="display">
				 <xsl:choose>
				<xsl:when test="/OMA/BaseBoardList/BaseBoard">
					<!--XLATESTART-->Server Module Asset Tag<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12469;&#12540;&#12499;&#12473;&#12479;&#12464;<!--XLATESTOP--></xsl:otherwise>
			    </xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
		</Data>		
		<Data name="AssetTag">
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#31649;&#29702;&#12479;&#12464;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="AssetTag"/></xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					<xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">10</xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	
	<xsl:template match="/OMA/BaseBoardList">
		<xsl:for-each select="BaseBoard">
			<xsl:if test="FeatureFlags/HostingBoard='true'">
				<Data name="BladeServiceTag" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12514;&#12472;&#12517;&#12540;&#12523;&#12469;&#12540;&#12499;&#12473;&#12479;&#12464;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
				</Data>
				
				<Data name="BladeLocation" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12514;&#12472;&#12517;&#12540;&#12523;&#12398;&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BoardLocation"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="FirmwareList">
		<xsl:apply-templates select="Firmware"/>
	</xsl:template>
	
	<xsl:template match="Firmware">
		<Data name="fwtype">
			<xsl:attribute name="display">
				<xsl:call-template name="getFWType">
					<xsl:with-param name="type">
						<xsl:value-of select="FWType"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>			
		</Data>
	</xsl:template>
	
	<xsl:template name="status2txt">
		<xsl:param name="Status"/>
		<xsl:choose>
			<xsl:when test="$Status=1"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#38283;&#12356;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=2"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=3"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#20197;&#21069;&#38283;&#12356;&#12390;&#12356;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getFWType">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='3'"><!-- XLATESTART-->BIOS &#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='4'"><!-- XLATESTART-->ESM &#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='5'"><!-- XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#12497;&#12521;&#12524;&#12523;&#12508;&#12540;&#12489;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='6'"><!-- XLATESTART-->&#12496;&#12483;&#12463;&#12503;&#12524;&#12540;&#12531;&#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='7'"><!-- XLATESTART-->&#12459;&#12540;&#12493;&#12523;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='8'"><!-- XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531; &#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='9'"><!-- XLATESTART-->&#21069;&#38754;&#12497;&#12493;&#12523;&#12467;&#12531;&#12488;&#12525;&#12540;&#12521;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='10'"><!-- XLATESTART-->&#12505;&#12540;&#12473;&#12508;&#12540;&#12489;&#31649;&#29702;&#12467;&#12531;&#12488;&#12525;&#12540;&#12521;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='11'"><!-- XLATESTART-->Hot Plug PCI &#12467;&#12531;&#12488;&#12525;&#12540;&#12521;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='12'"><!-- XLATESTART-->&#12475;&#12531;&#12469;&#12540;&#12487;&#12540;&#12479;&#12524;&#12467;&#12540;&#12489;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='13'"><!-- XLATESTART-->&#21608;&#36794;&#27231;&#22120;&#12505;&#12452;&#12496;&#12483;&#12463;&#12503;&#12524;&#12540;&#12531;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='14'"><!-- XLATESTART-->PowerEdge 2450 &#12475;&#12459;&#12531;&#12480;&#12522;&#12496;&#12483;&#12463;&#12503;&#12524;&#12540;&#12531;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:when>			
			<xsl:otherwise><!-- XLATESTART-->&#19981;&#26126;&#12398;&#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450;&#12496;&#12540;&#12472;&#12519;&#12531;<!-- XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
