<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					
						
							
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetFanControlWebPlugin&amp;oid=<xsl:value-of select="/OMA/ChassisProps2/@oid"/>&amp;poid=2</xsl:attribute>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanControlWebPlugin&amp;poid=2&amp;help=FanControl</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<PromptText><!--XLATESTART-->&#24076;&#26395;&#12398;&#20919;&#21364;&#12398;&#31278;&#39006;&#12434;&#36984;&#25246;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
							</xsl:if>
							<xsl:apply-templates select="ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:apply-templates select="FanControl"/>
	</xsl:template>
	<xsl:template match="FanControl">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test=".='0'">
						<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;&#27231;&#33021;&#12364;&#12371;&#12398;&#12471;&#12473;&#12486;&#12512;&#12395;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></PageTitle>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#20919;&#21364;&#12524;&#12505;&#12523;<!--XLATESTOP--></xsl:attribute>
								<xsl:if test=".='1'">
									<xsl:attribute name="value"><!--XLATESTART-->&#38750;&#34920;&#31034;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
								<xsl:if test=".='2'">
									<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#20919;&#21364;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
								</xsl:if>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test=".='0'">
						<ListData type="custom">
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<TableData>
									<Header>
									<Data>
										<xsl:attribute name="value"><!--XLATESTART-->&#20919;&#21364;&#12524;&#12505;&#12523;<!--XLATESTOP--></xsl:attribute>
									</Data>
									</Header>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="1">
											<xsl:attribute name="value"><!--XLATESTART-->&#38750;&#34920;&#31034;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='1'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
									<Row>
										<Data name="FanControl" type="radio" returnvalue="2">
											<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#20919;&#21364;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
											<xsl:if test=".='2'">
												<xsl:attribute name="state">1</xsl:attribute>
											</xsl:if>
										</Data>
									</Row>
								</TableData>
							</xsl:when>
							<xsl:otherwise>
								<ListData type="custom">
									<Data width="250">
										<xsl:attribute name="display"><!--XLATESTART-->&#20919;&#21364;&#12524;&#12505;&#12523;<!--XLATESTOP--></xsl:attribute>
										<xsl:if test=".='1'">
											<xsl:attribute name="value"><!--XLATESTART-->&#38750;&#34920;&#31034;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
										<xsl:if test=".='2'">
											<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#20919;&#21364;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
										</xsl:if>
									</Data>
								</ListData>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->&#12456;&#12521;&#12540;! SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;&#12290;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;&#27231;&#33021;&#12364;&#12371;&#12398;&#12471;&#12473;&#12486;&#12512;&#12395;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523; &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523; &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#12456;&#12521;&#12540;! INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->&#12456;&#12521;&#12540;! INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->&#12456;&#12521;&#12540;! INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->&#12456;&#12521;&#12540;! INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->&#12456;&#12521;&#12540;! INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12513;&#12514;&#12522;&#19981;&#36275;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#12456;&#12521;&#12540;! XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->&#12456;&#12521;&#12540;! XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->&#12456;&#12521;&#12540;! XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->&#12456;&#12521;&#12540;! XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
