<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="Chassis/@display"/></xsl:attribute>
			</PageTitle>
			<ListData>
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="ChassisProps2/IdentifySupport">
			<xsl:if test="ChassisProps2 /IdentifySupport = 'true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#28857;&#28357;&#12471;&#12515;&#12540;&#12471;&#12391; LED &#29366;&#24907;&#12434;&#35672;&#21029;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '0'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '1'"><!--XLATESTART-->&#28857;&#28357;&#20013;<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:otherwise><!--XLATESTART-->&#26410;&#23450;&#32681;<!--XLATESTOP-->
				              </xsl:otherwise>
			               </xsl:choose>
	 				</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#28857;&#28357;&#12471;&#12515;&#12540;&#12471;&#12391; LED &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;&#20516;&#12434;&#35672;&#21029;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ChassisProps2 /ChassIdentifyTimeout " /></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
		<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12489;&#12521;&#12452;&#12502; &#12456;&#12521;&#12540;&#12434;&#12463;&#12522;&#12450;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#22823;&#12394;&#12524;&#12505;&#12523;&#12391;&#12456;&#12521;&#12540; LED &#12434;&#28857;&#28357;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
			 		<xsl:call-template name="FaultLEDSeverity">
						<xsl:with-param name="Severity">
  						<xsl:value-of select="ChassisProps2 /FaultLEDControl" /> 
  						</xsl:with-param>
					</xsl:call-template>
 				</xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="FaultLEDSeverity">
		<xsl:param name="Severity"/>
		<xsl:choose>
			<xsl:when test="$Severity = '8'"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$Severity = '16'"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP-->
			</xsl:when>
			<xsl:otherwise><!--XLATESTART-->&#26410;&#23450;&#32681;<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
