<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle display="&#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;">
				<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#12398;&#29366;&#24907;&#34920;&#31034;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">
						/servlet/DataArea?plugin=com.dell.hip.webplugins.IntrusionWebPlugin&amp;poid=2
					</xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:choose>
				<xsl:when test="IntrusionList/@count = '0'">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="IntrusionList"/>
				</xsl:otherwise>
			</xsl:choose>		
		</DataArea>
	</xsl:template>
	<xsl:template match="IntrusionList">
		<TableData>
			<Header>
				<Data name="status" align="center">
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="name">
					<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="state">
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
				</Data> 
			</Header>
			<xsl:apply-templates select="Intrusion"/>
		</TableData>
	</xsl:template>
	<xsl:template match="Intrusion">
		<Row>
			<Data name="status" type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data name="name">
				<xsl:attribute name="value">
					<xsl:value-of select="IntrusionLoc"/>
				</xsl:attribute>
			</Data>
			<Data name="State">
				<xsl:attribute name="value">
					<xsl:call-template name="status2txt">
						<xsl:with-param name="Status"><xsl:value-of select="IntrusionStatus"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
<xsl:template name="status2txt">
	<xsl:param name="Status"/>
	<xsl:choose>
		<xsl:when test="$Status=1"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#38283;&#12356;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=2"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=3"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#12364;&#20197;&#21069;&#38283;&#12356;&#12390;&#12356;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>
