<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:apply-templates select="LRAResponse"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<DataArea backpagedisplay="&#35686;&#21578;&#20966;&#29702;" validate="true" onLoad="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetLRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;help=ListLRA&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<script language="javascript">
				function initializationRoutine()
				{
					document.getElementById("setDef").value = "false";
				}
				function validate()
				{
					if(document.getElementById("ExecApp").checked == true)
					{
						var EPFval = document.getElementById("EPFName").value;
						
						if(EPFval == "" || EPFval == null)
						{
							alert('&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;');
							document.getElementById("EPFName").focus();
							return false;
						}

						if(document.getElementById("EPFName").value.length > 255)
						{
							alert('&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;&#12399; 255 &#25991;&#23383;&#12434;&#36229;&#12360;&#12427;&#12371;&#12392;&#12399;&#12391;&#12365;&#12414;&#12379;&#12435;');
							document.getElementById("EPFName").focus();
							return false;
						}
					}
					return true;
				}
				function clearAll()
				{
					document.getElementById("EPFName").value = "";
					document.getElementById("BeepSpkr").checked = false;
					document.getElementById("ConsAlert").checked = false;
					document.getElementById("BcastMssg").checked = false;
					document.getElementById("ExecApp").checked = false;
					document.getElementById("dataarea").submit();
				}
				function setDefault()
				{
					document.getElementById("setDef").value = "true";
					document.getElementById("dataarea").submit();
				}
				function checkExecApp()
				{
					document.getElementById("ExecApp").checked = true;
				}
			</script>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#20966;&#32622;&#35373;&#23450;&#12398;&#23550;&#35937; <!--XLATESTOP-->
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>				
				</xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#35373;&#23450;&#12377;&#12427;&#20966;&#32622;&#12434;&#12481;&#12455;&#12483;&#12463;&#12375;&#12390; [&#22793;&#26356;&#12398;&#36969;&#29992;] &#12434;&#25276;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290; &#12377;&#12409;&#12390;&#12398;&#20966;&#32622;&#12434;&#12463;&#12522;&#12450;&#12377;&#12427;&#12395;&#12399;&#12289;[&#12377;&#12409;&#12390;&#12463;&#12522;&#12450;] &#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290; &#12487;&#12501;&#12457;&#12523;&#12488;&#20966;&#32622;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12289;[&#12487;&#12501;&#12457;&#12523;&#12488;&#12395;&#35373;&#23450;] &#12434;&#25276;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="default">
					<xsl:attribute name="display"><!--XLATESTART-->&#12487;&#12501;&#12457;&#12523;&#12488;&#12395;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:setDefault();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="ClearAll">
					<xsl:attribute name="display"><!--XLATESTART-->&#12377;&#12409;&#12390;&#12463;&#12522;&#12450;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">javascript:clearAll();</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BeepSpkr</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12398;&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12398;&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BeepSpkr='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ConsAlert</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12395;&#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#34920;&#31034;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12395;&#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#34920;&#31034;&#12377;&#12427;&#12290;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ConsAlert='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">type</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">setDef</xsl:attribute>
						<xsl:attribute name="value"> false</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BcastMssg</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488;&#12377;&#12427;&#12290;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BcastMssg='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data value="" display=""/>
					<Data value="" display=""/>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ExecApp</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12434;&#23455;&#34892;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12434;&#23455;&#34892;&#12377;&#12427;&#12290;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>						
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ExecApp='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;: <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="align">right</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">						
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">checkExecApp();</xsl:attribute>
						<xsl:attribute name="name">EPFName</xsl:attribute>
						<xsl:attribute name="display"></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="maxlength">255</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>			
				</Row>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->&#37325;&#22823;&#12394;&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502; &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502; &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502; &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->&#38651;&#28304;&#12471;&#12473;&#12486;&#12512;&#20887;&#38263;&#24615;&#20302;&#19979;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->&#38651;&#28304;&#12471;&#12473;&#12486;&#12512;&#20887;&#38263;&#24615;&#21930;&#22833;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#20107;&#21069;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
