<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:apply-templates select="CurrentProbeList"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="failure">
	<DataArea>
		<PageTitle display="&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;"/>
		<TableData>
			<Header>
				<Data name="" display="&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;" value="Current Probes"/>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbeList">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#12503;&#12525;&#12540;&#12502;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
		</PageTitle>
		<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
			<PromptText><!--XLATESTART-->&#12375;&#12365;&#12356;&#20516;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12503;&#12525;&#12540;&#12502;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377; (&#35442;&#24403;&#12377;&#12427;&#22580;&#21512;)&#12290;<!--XLATESTOP--></PromptText>
		</xsl:if>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListCurrentWebPlugin&amp;poid=<xsl:value-of select="@poid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="WarningThreshold"  colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="FailureThreshold" colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data name="index">
						<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
						<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Status" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="ProbeName">
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="Reading" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="min" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="max" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="CurrentProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="CurrentProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
					<xsl:attribute name="link">true</xsl:attribute>
				<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.CurrentWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of 	select="@poid"/>&amp;help=EditCurrentProbes
					</xsl:attribute>
				</xsl:if>
			</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
		<xsl:when test="$volt = '-2147483648'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 1000,'##0.000')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> mA<!--XLATESTOP-->
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#29694;&#22312;&#12398;&#12503;&#12525;&#12540;&#12502;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
