<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531; &#12503;&#12525;&#12540;&#12502;<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531; &#12503;&#12525;&#12540;&#12502;<!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">
							</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanProbesWebPlugin&amp;poid=<xsl:value-of select="/OMA/FanProbeList/@poid"/>&amp;help=Fans</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisFans"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisFans"/></xsl:otherwise>
                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ChassisFans">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;<!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12449;&#12531;&#20887;&#38263;&#24615;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/>
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#12398;&#19968;&#35239;&#34920;&#31034;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#12375;&#12365;&#12356;&#20516;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12503;&#12525;&#12540;&#12502;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377; (&#35442;&#24403;&#12377;&#12427;&#22580;&#21512;)&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#12398;&#19968;&#35239;&#34920;&#31034; <!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#12375;&#12365;&#12356;&#20516;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12503;&#12525;&#12540;&#12502;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377; (&#35442;&#24403;&#12377;&#12427;&#22580;&#21512;)&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
						<xsl:otherwise>
							<PromptText><!--XLATESTART-->&#12375;&#12365;&#12356;&#20516;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12503;&#12525;&#12540;&#12502;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377; (&#35442;&#24403;&#12377;&#12427;&#22580;&#21512;)&#12290;<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(FanProbeList/FanProbe) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="FanProbeList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
<xsl:template match="FanProbeList">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
					</Data>

					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<!--Data name="" display="" value="" ignoreonweb="true"/-->
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;&#20887;&#38263;&#12395;&#24517;&#35201;&#12394;&#12487;&#12496;&#12452;&#12473;&#25968;<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="FanProbe">
		<xsl:choose>
			<xsl:when test="(SubType != '1') and (SubType != '3')">
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:variable name="reading">
							<xsl:choose>
								<xsl:when test="ProbeReading = 'true'">
									<!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP-->
								</xsl:when>
								<xsl:otherwise>
									<!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:attribute name="value"><xsl:value-of select="$reading"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$reading"/></xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#35442;&#24403;&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
				</Row>
			</xsl:when>
			<xsl:otherwise>
				<Row>
					<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
	<xsl:if test="((/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')) and (ProbeThresholds/LNCThreshold &gt; 0) and ( ProbeThresholds/UNCThreshold &gt; 0)">
		<xsl:attribute name="link">true</xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.EditFanProbeWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="@poid"/>&amp;help=EditFanProbe</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeReading &gt;= 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeReading"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeReading &lt; 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</Row>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->&#20302;&#19979;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->&#21930;&#22833;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
