<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:apply-templates select="LRAList"/>
	</xsl:template>
	<xsl:template match="LRAList">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#20966;&#32622;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>

			<Header>Header</Header>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<PromptText><!--XLATESTART-->&#20966;&#32622;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12452;&#12505;&#12531;&#12488;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
			</xsl:if>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12505;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12505;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12531;&#12477;&#12540;&#12523;&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12467;&#12531;&#12477;&#12540;&#12523;&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488; &#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488; &#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12398;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12398;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:when>
					<xsl:otherwise>
						<Header>
							<Data name="Event">
								<xsl:attribute name="display"></xsl:attribute>
							</Data>
							<Data name="Action" colspan="7" underlined="true" align="center">
								<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12450;&#12463;&#12486;&#12451;&#12502;&#12394;&#20966;&#32622;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#29694;&#22312;&#12450;&#12463;&#12486;&#12451;&#12502;&#12394;&#20966;&#32622;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Header>
							<Data name=" " value="" width="300">
								<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12505;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12505;&#12531;&#12488;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12499;&#12540;&#12503;&#38899;&#12473;&#12500;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#12434;&#30330;&#29983;&#12377;&#12427;&#12467;&#12531;&#12477;&#12540;&#12523; <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#12434;&#30330;&#29983;&#12377;&#12427;&#12467;&#12531;&#12477;&#12540;&#12523; <!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488; &#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12502;&#12525;&#12540;&#12489;&#12461;&#12515;&#12473;&#12488; &#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12398;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12398;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" ignoreonweb="true">
								<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12408;&#12398;&#32118;&#23550;&#12497;&#12473;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="LRAResponse"/>			
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<Row>
			<xsl:element name="Data">
				<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')"><xsl:attribute name="link">true</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
			</xsl:element>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ExecApp = 'true'">
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="EPFName"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->&#36984;&#25246;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#36984;&#25246;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->&#37325;&#22823;&#12394;&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->&#20887;&#38263;&#24615;&#20302;&#19979;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->&#20887;&#38263;&#24615;&#21930;&#22833;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#20107;&#21069;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getaction">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif-->/oma/images/check.gif</xsl:if>
		<xsl:if test="$status='false'">/oma/images/blank.gif</xsl:if>
	</xsl:template>
	<xsl:template name="getactiontxt">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif--><!--XLATESTART-->&#36984;&#25246;<!--XLATESTOP--></xsl:if>
		<xsl:if test="$status='false'"><!--XLATESTART-->&#36984;&#25246;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:if>
	</xsl:template>
</xsl:stylesheet>
