<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="OMA">
	<xsl:choose>
		<xsl:when test="VoltageProbeList/@count = '0' or SMStatus != '0'">
			<xsl:call-template name="failure"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="VoltageProbeList"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
				 	<xsl:attribute name="value"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template match="VoltageProbeList">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
		</PageTitle>
		<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
			<PromptText><!--XLATESTART-->&#12375;&#12365;&#12356;&#20516;&#12434;&#35373;&#23450;&#12377;&#12427;&#12395;&#12399;&#12503;&#12525;&#12540;&#12502;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377; (&#35442;&#24403;&#12377;&#12427;&#22580;&#21512;)&#12290;<!--XLATESTOP--></PromptText>
		</xsl:if>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListVoltageWebPlugin&amp;help=Voltages&amp;poid=<xsl:value-of select="@poid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true">
			<xsl:choose>
				<xsl:when test="/OMA/@cli = 'true'">
					<Header>
						<Data name="index">
							<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
							<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Status" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="ProbeName">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Reading" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data name="" display="" value="" ignoreonweb="true"/>
						<Data name="" display="" value=""/>
						<Data name="" display="" value=""/>
						<Data name="" display="" value=""/>
						<Data name="MinimumThreshold"  colspan="3" underlined="true" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="MaximumThreshold" colspan="3" underlined="true" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Header>
						<Data name="index">
							<xsl:attribute name="ignoreonweb">true</xsl:attribute>				
							<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Status" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="ProbeName">
							<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#21517;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="Reading" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="min" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data name="max" align="center">
							<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="append"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12375;&#12365;&#12356;&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
				</xsl:otherwise>
			</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="VoltageProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="VoltageProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
					<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="VoltageProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
			<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648')">
					<xsl:attribute name="link">true</xsl:attribute>
					<xsl:attribute name="href">
					/servlet/DataArea?plugin=com.dell.hip.webplugins.VoltageWebPlugin&amp;help=EditVoltageProbes&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="$poid"/>
					</xsl:attribute>
				</xsl:if>
			</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="value">
				<xsl:call-template name="calVolt">
					<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:attribute name="align">center</xsl:attribute>
		</xsl:element>
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
		<xsl:when test="$volt = '-2147483648'">Unknown</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 1000,'##0.000')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> V<!--XLATESTOP-->
		</xsl:otherwise>	
	</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
