<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<xsl:if test="OMAUserRights='7'">
					<xsl:if test="MemoryConfig and ((MemoryConfig/Capabilities/SpareBank!='false') or (MemoryConfig/Capabilities/Mirroring!='false'))"><xsl:attribute name="validate">true</xsl:attribute>
					<xsl:attribute name="onLoad">true</xsl:attribute>
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetMemConfigWebPlugin&amp;oid=<xsl:value-of select="MemoryConfig/@oid"/>&amp;poid=2</xsl:attribute>
				<script language="javascript">
				
					var memconfig;
					function validate()
					{
						var memconfig1;
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig1 = document.getElementById("dataarea").redconfg[i].value;
							}
						}
						if (memconfig1 == memconfig) {
							var confgval = ((memconfig1 == "2") ? "Disabled" : ((memconfig1 == "1") ? "SpareBank" : "&#12511;&#12521;&#12540;&#12522;&#12531;&#12464;"));
							alert(confgval + " &#12399;&#26082;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;&#12290; &#20182;&#12398;&#20516;&#12434;&#25351;&#23450;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
							return false;
						}
						else {
							alert("&#22793;&#26356;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;&#12395;&#12399;&#12289;&#12469;&#12540;&#12496;&#12434;&#20877;&#36215;&#21205;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;");
							return true;
						}
					}
					
					function initializationRoutine()
					{
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig = document.getElementById("dataarea").redconfg[i].value;
							}
						}
					}
					
				</script>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="OMAUserRights='7'">
			<xsl:if test="ShutDownFlag='true'">
				<script language="javascript">
					function restart()
					{
						if (confirm("&#20887;&#38263;&#24615;&#35373;&#23450;&#12434;&#23436;&#20102;&#12375;&#12414;&#12375;&#12383;&#12363;?")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8		&amp;action1=1';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2	&amp;help=Memory';
							document.getElementById("dataarea").submit();
						}	
					}
				</script>
			</xsl:if>
		</xsl:if>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		
		<CustomButton>
			<xsl:if test="OMAUserRights='7'">
				<xsl:if test="ShutDownFlag='true'">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#20877;&#36215;&#21205;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>						
					</Data>			
				</xsl:if>
			</xsl:if>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:if test="MemoryConfig">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#20887;&#38263;&#24615;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
			</SubHeader>
			<ListData>
				<xsl:apply-templates select="Redundancy"/>
				<xsl:apply-templates select="MemoryConfig"/>
			</ListData>
		</xsl:if>
		<xsl:call-template name="MemoryArray"/>
	</DataArea>
</xsl:template>

<xsl:template match="Redundancy">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="RedStat">
			<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
		</xsl:call-template>
	</Data>
</xsl:template>

<xsl:template name="RedStat">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = 1">
			<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 2">
			<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 3">
			<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 4">
			<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 5">
			<xsl:attribute name="value"><!--XLATESTART-->&#20302;&#19979;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 6">
			<xsl:attribute name="value"><!--XLATESTART-->&#21930;&#22833;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="MemoryConfig">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->&#12501;&#12455;&#12452;&#12523;&#12458;&#12540;&#12496;&#12540;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="FOS">
			<xsl:with-param name="state"><xsl:value-of select="FailOverState"/></xsl:with-param>
		</xsl:call-template>
	</Data>
	<xsl:choose>
		<xsl:when test="/OMA/@cli='true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="State='0'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='2'"><!--XLATESTART-->&#12511;&#12521;&#12540;&#12522;&#12531;&#12464;<!--XLATESTOP--></xsl:if>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="/OMA/OMAUserRights='7'">
					<xsl:choose>
						<xsl:when test="(Capabilities/SpareBank != 'false') or (Capabilities/Mirroring != 'false')">
							<Data>
								<xsl:attribute name="name">redconfg</xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
								<xsl:attribute name="returnvalue">2</xsl:attribute>
								<xsl:attribute name="state"><xsl:if test="State='0'">1</xsl:if></xsl:attribute>
							</Data>
							<xsl:for-each select="Capabilities/*">
							<xsl:if test=".='true'">
								<Data type="radio">
									<xsl:attribute name="name">redconfg</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									<xsl:attribute name="returnvalue">
										<xsl:if test="name()='SpareBank'">1</xsl:if>
										<xsl:if test="name()='Mirroring'">3</xsl:if>
									</xsl:attribute>
									<xsl:attribute name="state">
										<xsl:if test="name()='SpareBank'"><xsl:if test="/OMA/MemoryConfig/State='1'">1</xsl:if></xsl:if>
										<xsl:if test="name()='Mirroring'"><xsl:if test="/OMA/MemoryConfig/State='2'">1</xsl:if></xsl:if>
									</xsl:attribute>
								</Data>
							</xsl:if>			
						</xsl:for-each>				
						</xsl:when>
						<xsl:otherwise>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:if test="State='0'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='1'"><!--XLATESTART-->&#12473;&#12506;&#12450;&#12496;&#12531;&#12463;<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='2'"><!--XLATESTART-->&#12511;&#12521;&#12540;&#12522;&#12531;&#12464;<!--XLATESTOP--></xsl:if>
						</xsl:attribute>
					</Data>		
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="FOS">
	<xsl:param name="state"/>
	<xsl:choose>
		<xsl:when test="$state = 0">
			<xsl:attribute name="value"><!--XLATESTART-->&#38750;&#12450;&#12463;&#12486;&#12451;&#12502;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$state = 1">
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12463;&#12486;&#12451;&#12502;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="MemoryArray">
	<TableData name="genprop">
		<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#12398;&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
		<SubHeader>
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#12398;&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
		</SubHeader>
		<Header>
			<xsl:choose>
				<xsl:when test="MemoryArrayList/@count='1'">
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452; <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452; <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
					</Data>		
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="MemoryArrayList/MemoryArray">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452; <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452; <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
						</Data>		
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		</Header>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12508;&#12540;&#12489;&#12414;&#12383;&#12399;&#12510;&#12470;&#12540;&#12508;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->ISA &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->EISA &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->PCI &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->MCA &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='8'"><!--XLATESTART-->PCMCIA &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='9'"><!--XLATESTART-->&#23554;&#29992;&#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='16'"><!--XLATESTART-->NuBus<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='160'"><!--XLATESTART-->PC-98/C20 &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='161'"><!--XLATESTART-->PC-98/C24 &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='162'"><!--XLATESTART-->PC-98/E &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='163'"><!--XLATESTART-->PC-98/&#12525;&#12540;&#12459;&#12523; &#12496;&#12473; &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='164'"><!--XLATESTART-->PC-98/&#12459;&#12540;&#12489; &#12473;&#12525;&#12483;&#12488; &#12450;&#12489;&#12458;&#12531; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>	
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512; &#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->&#12499;&#12487;&#12458;&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->&#12501;&#12521;&#12483;&#12471;&#12517; &#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->&#38750;&#25582;&#30330;&#24615; RAM<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->&#12461;&#12515;&#12483;&#12471;&#12517; &#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display">
							<xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
		<Row>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;&#12391;&#12365;&#12427;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;&#12391;&#12365;&#12427;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="MemoryArrayList/MemoryArray">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
				</Data>			
			</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12427;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12427;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#20462;&#27491;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ECC &#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ErrCorrType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='3'"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='4'"><!--XLATESTART-->&#12497;&#12522;&#12486;&#12451;&#26377;&#12426;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='5'"><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488; ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='6'"><!--XLATESTART-->&#12510;&#12523;&#12481;&#12499;&#12483;&#12488; ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='7'"><!--XLATESTART-->CRC<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>

		</TableData>
		<TableData name="totprop">
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->OS &#12391;&#20351;&#29992;&#12391;&#12365;&#12427;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12383;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->OS &#12391;&#20351;&#29992;&#12391;&#12365;&#12427;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12383;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
	</TableData>
	
	<xsl:for-each select="MemoryArrayList/MemoryArray">
		<xsl:apply-templates select="MemPortConnList">
			<xsl:with-param name="memindex"><xsl:value-of select="@index"/></xsl:with-param>
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:template>	
	
<xsl:template match="MemPortConnList">
	<xsl:param name="memindex"/>
	<TableData>
		<xsl:attribute name="name">memarr<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#12398;&#12467;&#12493;&#12463;&#12479;&#35443;&#32048;<xsl:text disable-output-escaping="yes"> </xsl:text>
			<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><!--XLATESTOP-->
		</xsl:attribute>
		<PromptText><!--XLATESTART-->&#12513;&#12514;&#12522;&#12450;&#12524;&#12452;&#12398;&#12467;&#12493;&#12463;&#12479;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;<xsl:text disable-output-escaping="yes"> </xsl:text><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><xsl:text disable-output-escaping="yes">  </xsl:text>&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;&#12398;&#35443;&#32048;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
		
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data align="center">
				<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#21517;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12452;&#12474;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12452;&#12474;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		
		<xsl:for-each select="PortGeneric">
			<xsl:sort select="ExtName" order="ascending"/>
			<xsl:call-template name="portgeneric">
				<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>     

	</TableData>
</xsl:template>

<xsl:template name="portgeneric">
<xsl:param name="index"/>
<Row>
	<Data ignoreonweb="true">
		<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="status" align="center">
		<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		<xsl:call-template name="link"/>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="occupied"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="size"><xsl:with-param name="unit"><xsl:value-of select="MemoryDevice/SizeMB/@unit"/></xsl:with-param></xsl:call-template></xsl:attribute>
	</Data>
</Row>
</xsl:template>

<xsl:template name="link">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=MemoryDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="occupied">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:call-template name="Type"/>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="size">
	<xsl:param name="unit"/>
	<xsl:choose>
		<xsl:when test="IsOccupied='true'"><xsl:value-of select="MemoryDevice/SizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
			<xsl:choose>
				<xsl:when test="$unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
				<xsl:otherwise><xsl:value-of select="$unit"/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/MemoryArrayList/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemoryDevice/MemDevType= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="MemoryDevice/TypeDetail= '1'">-<!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '2'">-<!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '3'">-<!--XLATESTART-->FP<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '4'">-<!--XLATESTART-->STATIC COL<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIC<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '7'">-<!--XLATESTART-->&#21516;&#26399;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '11'">-<!--XLATESTART-->&#12461;&#12515;&#12483;&#12471;&#12517; DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '12'">-<!--XLATESTART-->&#38750;&#25582;&#30330;&#24615;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#12513;&#12514;&#12522; &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <xsl:value-of select="$status"/><!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
