<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>

<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522; &#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>			
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
		
		<xsl:if test="(OMAUserRights='7') or (OMAUserRights='3')">
			<script language="javascript">
				function clearErr()
				{
					var oid 	= <xsl:value-of select="ServletArguments/@oid"/>;
					var check 	= <xsl:value-of select="MemDevList/MemoryDevice/@oid"/>;
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.ClrMemErrCountWebPlugin&amp;oid=' + oid + '&amp;check=' + check;
					document.getElementById("dataarea").submit();
				}
			</script>
		</xsl:if>
		
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522; &#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<xsl:call-template name="submit"/>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=MemoryDevice</xsl:attribute>
			</Data>
		</CustomButton>
		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display">
					<xsl:call-template name="devlocator">
						<xsl:with-param name="count"><xsl:value-of select="MemDevList/@count"/></xsl:with-param>
						<xsl:with-param name="locator"><xsl:value-of select="ExtName"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>	
			</SubHeader>
			
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data type="status-text">
						<xsl:attribute name="value"><xsl:value-of select="@status" /></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="devname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="devname"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12452;&#12474;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12469;&#12452;&#12474;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SizeMB"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="SizeMB/@unit"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="Type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="Type"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemDevList/MemoryDevice">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
					</Data>			
				</xsl:for-each>		
			</Row>		
						
			<Row>
				<Data valign="top">
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				
				<xsl:for-each select="MemDevList/MemoryDevice">
					<xsl:apply-templates select="FailureModes" />
				</xsl:for-each>
			</Row>
						
	
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="devname">
	<xsl:choose>
		<xsl:when test="BankLocator!=''">
			<xsl:value-of select="BankLocator"/>/<xsl:value-of select="DeviceLocator"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="DeviceLocator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemDevType= '1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="TypeDetail= '1'">-<!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '2'">-<!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '3'">-<!--XLATESTART-->FP<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '4'">-<!--XLATESTART-->STATIC COL<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIC<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '7'">-<!--XLATESTART-->&#21516;&#26399;<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '11'">-<!--XLATESTART-->&#12461;&#12515;&#12483;&#12471;&#12517; DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="TypeDetail= '12'">-<!--XLATESTART-->&#38750;&#25582;&#30330;&#24615;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="FailureModes">
	<Data>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:attribute name="value">
					<xsl:choose>
					    <xsl:when test="Value='0'"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:when>
					    <xsl:otherwise>
								<xsl:if test="SB_WRATE='true'"><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#35686;&#21578;&#12456;&#12521;&#12540;&#29575;&#12434;&#36229;&#12360;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_FRATE='true'"><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#22833;&#25943;&#12456;&#12521;&#12540;&#29575;&#12434;&#36229;&#12360;&#12414;&#12375;&#12383; <!--XLATESTOP--></xsl:if>
								<xsl:if test="MB_ERR='true'"><!--XLATESTART-->&#35079;&#25968;&#12398;&#12499;&#12483;&#12488;&#12456;&#12521;&#12540;&#12364;&#30330;&#29983;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_LOG_DISABLE='true'"><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#12456;&#12521;&#12540;&#12398;&#12525;&#12464;&#12364;&#28961;&#21177;&#12391;&#12377;<!--XLATESTOP--></xsl:if>
								<xsl:if test="SB_SPARE_BANK='true'"><!--XLATESTART-->&#12473;&#12506;&#12450;&#12496;&#12531;&#12463;&#12434;&#12450;&#12463;&#12486;&#12451;&#12502;&#12394;&#29366;&#24907;&#12395;&#12377;&#12427;&#12371;&#12392;&#12391;&#12289;DIMM &#12434;&#28961;&#21177;&#12395;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:if>
					    </xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
	    <ValueList>
		<xsl:choose>
		    <xsl:when test="Value='0'">
			<value><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></value>
		    </xsl:when>
		    <xsl:otherwise>
			<xsl:if test="SB_WRATE='true'">
			    <value><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#35686;&#21578;&#12456;&#12521;&#12540;&#29575;&#12434;&#36229;&#12360;&#12414;&#12375;&#12383;<!--XLATESTOP--></value>
			</xsl:if>
			<xsl:if test="SB_FRATE='true'">
			    <value><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#22833;&#25943;&#12456;&#12521;&#12540;&#29575;&#12434;&#36229;&#12360;&#12414;&#12375;&#12383; <!--XLATESTOP--></value>
			</xsl:if>
			<xsl:if test="MB_ERR='true'">
			    <value><!--XLATESTART-->&#35079;&#25968;&#12398;&#12499;&#12483;&#12488;&#12456;&#12521;&#12540;&#12364;&#30330;&#29983;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></value>
			</xsl:if>
			<xsl:if test="SB_LOG_DISABLE='true'">
			    <value><!--XLATESTART-->&#12471;&#12531;&#12464;&#12523;&#12499;&#12483;&#12488;&#12456;&#12521;&#12540;&#12398;&#12525;&#12464;&#12364;&#28961;&#21177;&#12391;&#12377;<!--XLATESTOP--></value>
			</xsl:if>
			<xsl:if test="SB_SPARE_BANK='true'">
			    <value><!--XLATESTART-->&#12473;&#12506;&#12450;&#12496;&#12531;&#12463;&#12434;&#12450;&#12463;&#12486;&#12451;&#12502;&#12394;&#29366;&#24907;&#12395;&#12377;&#12427;&#12371;&#12392;&#12391;&#12289;DIMM &#12434;&#28961;&#21177;&#12395;&#12375;&#12414;&#12377;<!--XLATESTOP--></value>
			</xsl:if>
		    </xsl:otherwise>
		</xsl:choose>
	    </ValueList>
			</xsl:otherwise>
		</xsl:choose>
	</Data>
</xsl:template>

<xsl:template name="submit">
	<xsl:choose>
		<xsl:when test="(OMAUserRights='7') or (OMAUserRights='3')">
			<xsl:choose>
			<xsl:when test="(MemDevList/@count='1') and (MemDevList/MemoryDevice/ErrCount='0')"></xsl:when>
			</xsl:choose>		
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="devlocator">
	<xsl:param name="count"/>
	<xsl:param name="locator"/>
	<xsl:choose>
		<xsl:when test="$count='0'"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#12398;&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#12398;&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;: <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="$locator"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#30058;&#21495;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
