<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus != '0'">
		<DataArea printable="false">
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->NIC &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->NIC &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</DataArea>
	</xsl:when>
	<xsl:otherwise>
		<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;&#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;&#12459;&#12540;&#12489;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<SubHeader>
			 	<xsl:attribute name="display"><!--XLATESTART-->&#12459;&#12540;&#12489;: <!--XLATESTOP--><xsl:value-of select="NICCard/Description"/></xsl:attribute>		
			</SubHeader>			
			<CustomButton>
				<Data name="Refresh" display="&#26356;&#26032;">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="NICCard/@oid"/></xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:apply-templates select="NICCard"/>
		</DataArea>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="NICCard">
	<xsl:choose>
		<xsl:when test="/OMA/OSType='1'">
			<xsl:call-template name="SYSTEM_WINNT"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='2'">
			<xsl:call-template name="SYSTEM_LINUX"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='3'">
			<xsl:call-template name="SYSTEM_NETWARE"/>
		</xsl:when>
	</xsl:choose>	
</xsl:template>
<xsl:template name="SYSTEM_WINNT">
	<ListData type="custom">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398; MAC &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12502;&#12493;&#12483;&#12488;&#12510;&#12473;&#12463;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->DHCP &#12469;&#12540;&#12496;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DHCPServer=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DHCPServer"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12487;&#12501;&#12457;&#12523;&#12488; &#12466;&#12540;&#12488;&#12454;&#12455;&#12452;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DefaultGateway=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#32154;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#32154;&#28168;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#20999;&#26029;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#12364;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12390;&#12356;&#12394;&#12356;&#12363;&#27231;&#33021;&#12375;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#21021;&#26399;&#21270;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12475;&#12483;&#12488;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#30011;&#20687;&#12497;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverImagePath=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverImagePath"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496; &#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_NETWARE">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398; MAC &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496; &#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#32154;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#32154;&#28168;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#20999;&#26029;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#12364;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12390;&#12356;&#12394;&#12356;&#12363;&#27231;&#33021;&#12375;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#21021;&#26399;&#21270;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12475;&#12483;&#12488;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->LAN &#12489;&#12521;&#12452;&#12496;&#12398;&#35542;&#29702;&#21517;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="ServiceName=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="ServiceName"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>			
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_LINUX">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398; MAC &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12469;&#12502;&#12493;&#12483;&#12488;&#12510;&#12473;&#12463;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#32154;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#32154;&#28168;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#20999;&#26029;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#12364;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12390;&#12356;&#12394;&#12356;&#12363;&#27231;&#33021;&#12375;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#21021;&#26399;&#21270;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12475;&#12483;&#12488;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12459;&#12540;&#12489;&#12391;&#20351;&#29992;&#12375;&#12390;&#12356;&#12427; IRQ<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>	
				<xsl:when test="IRQ=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IRQ"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>		
	</ListData>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
