<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea printable="false">
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->NIC &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->NIC &#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;&#12459;&#12540;&#12489;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<xsl:call-template name="MainHeading"/>
				<xsl:apply-templates select="NICList "/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="MainHeading">
	<ListData type="custom">
		<Data width="200">
			<xsl:attribute name="display"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;&#12459;&#12540;&#12489;&#25968;&#12398;&#21512;&#35336;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/OMA/NICList/@count"/></xsl:attribute>
		</Data>
	</ListData>
</xsl:template>
<xsl:template match="NICList ">
	<TableData>
		<PromptText><!--XLATESTART-->IP &#12450;&#12489;&#12524;&#12473;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#12381;&#12398;&#35443;&#32048;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->IP &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IP &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12505;&#12531;&#12480;&#12540;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#32154;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#32154;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="NICCard"/>		
	</TableData>
</xsl:template>
<xsl:template match="NICCard">
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:choose>
				<xsl:when test="IPAddress = ''">
					<xsl:attribute name="display"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#21462;&#24471;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><xsl:value-of select="IPAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
						<xsl:attribute name="link">true</xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
		</Data>
		<Data name="Vendor" display="&#12505;&#12531;&#12480;" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Vendor"/></xsl:attribute>
		</Data>
		<Data name="Description" display="&#35500;&#26126;" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Description"/></xsl:attribute>
		</Data>
		<Data name="Connection Status" display="&#25509;&#32154;&#29366;&#24907;" type="ustring">
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="display"><!--XLATESTART-->&#25509;&#32154;&#28168;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25509;&#32154;&#28168;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="display"><!--XLATESTART-->&#20999;&#26029;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20999;&#26029;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="display"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#12364;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12390;&#12356;&#12394;&#12356;&#12363;&#27231;&#33021;&#12375;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12489;&#12521;&#12452;&#12496;&#12364;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12373;&#12428;&#12390;&#12356;&#12394;&#12356;&#12363;&#27231;&#33021;&#12375;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="display"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="display"><!--XLATESTART-->&#21021;&#26399;&#21270;&#20013;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#21021;&#26399;&#21270;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="display"><!--XLATESTART-->&#12522;&#12475;&#12483;&#12488;&#20013;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12522;&#12475;&#12483;&#12488;&#20013;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="display"><!--XLATESTART-->&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38281;&#12376;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
	</Row>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
