<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		
		<xsl:choose>
			<xsl:when test="POSTLog"><xsl:apply-templates select="POSTLog"/></xsl:when>
			<xsl:otherwise><DataArea><PageTitle display="&#12456;&#12521;&#12540;! &#12371;&#12398;&#12471;&#12473;&#12486;&#12512;&#12395; POST &#12525;&#12464;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;"></PageTitle></DataArea></xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="POSTLog">
		<DataArea>
			<script language="javascript">
				function saveLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
					document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
					document.dataarea.submit();
				}
			</script>		
			<Header>Header</Header>
			<PageTitle display="&#38651;&#28304;&#12458;&#12531;&#33258;&#24049;&#35386;&#26029;&#12486;&#12473;&#12488; (POST) &#12398;&#12525;&#12464;"/>
			<xsl:choose>
				<xsl:when test="NumRecords = '0'">
					<PromptText><!--XLATESTART-->&#38651;&#28304;&#12458;&#12531;&#33258;&#24049;&#35386;&#26029;&#12486;&#12473;&#12488;&#12525;&#12464;&#12398;&#20869;&#23481;...&#12456;&#12531;&#12488;&#12522;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></PromptText>			
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->&#38651;&#28304;&#12458;&#12531;&#33258;&#24049;&#35386;&#26029;&#12486;&#12473;&#12488;&#12525;&#12464;&#12398;&#20869;&#23481;...<!--XLATESTOP--></PromptText>			
				</xsl:otherwise>
			</xsl:choose>
			<CustomButton>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">		
					<Data name="Save" display="&#21517;&#21069;&#12434;&#20184;&#12369;&#12390;&#20445;&#23384;">
						<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>
				</xsl:if>
				<Data name="Refresh" display="&#26356;&#26032;">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PostLogWebPlugin</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="Log" display="POST&#12467;&#12540;&#12489;&#65306;&#35500;&#26126;" value="POST&#12467;&#12540;&#12489;&#65306;&#35500;&#26126;"/>
				</Header>
				<xsl:apply-templates select="LogEntry"/>
			</TableData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="LogEntry">
		<Row>
			<Data name="description" type="ustring">
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
