<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute></PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute></PageTitle>	
		<PromptText ignoreoncli="true"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#12461;&#12515;&#12483;&#12471;&#12517;&#12398;&#35443;&#32048;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
			</Data>
		</CustomButton>	
		<TableData columnspacing="true">
			<Header>
				<Data ignoreonweb="true" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#21517;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="115">
					<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="120">
					<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29694;&#22312;&#12398;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#12463;&#12525;&#12483;&#12463;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22806;&#37096;&#12463;&#12525;&#12483;&#12463;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>	
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12450;&#12483;&#12503;&#12464;&#12524;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12450;&#12483;&#12503;&#12464;&#12524;&#12540;&#12489;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<xsl:for-each select="ProcessorList/ProcessorConn">
				<xsl:if test="IsOccupied='true'">
					<xsl:call-template name="Processor">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="IsOccupied='false'">
					<xsl:call-template name="Processor1">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="Processor">
	<xsl:param name="index"/>
		<Row>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
			</Data>
			<Data link="true"  align="left">
				<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="DevProcessor/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Manufacturer" /></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value">
					<xsl:call-template name="family"/>
				</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Version"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="maxsp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="cursp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="extclksp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="upgrade"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="display"><xsl:call-template name="imagedesc1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="imagedesc1"/></xsl:attribute>
			</Data>
		</Row>
</xsl:template>
<xsl:template name="family">
	<xsl:choose>
		<xsl:when test="DevProcessor/Family= '1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '3'"><!--XLATESTART-->8086<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '4'"><!--XLATESTART-->80286<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '5'"><!--XLATESTART-->80386<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '6'"><!--XLATESTART-->80486<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '7'"><!--XLATESTART-->8087<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '8'"><!--XLATESTART-->80287<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '9'"><!--XLATESTART-->80387<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '10'"><!--XLATESTART-->80487<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '11'"><!--XLATESTART-->Pentium &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '12'"><!--XLATESTART-->Pentium Pro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '13'"><!--XLATESTART-->Pentium II<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '14'"><!--XLATESTART-->Pentium MMX<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '15'"><!--XLATESTART-->Celeron<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '16'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '17'"><!--XLATESTART-->Pentium III<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '18'"><!--XLATESTART-->M1 &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '19'"><!--XLATESTART-->M2 &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '25'"><!--XLATESTART-->K5 &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '26'"><!--XLATESTART-->K6 &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '32'"><!--XLATESTART-->Power PC &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '33'"><!--XLATESTART-->Power PC 601<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '34'"><!--XLATESTART-->Power PC 603<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '35'"><!--XLATESTART-->Power PC 603+<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '36'"><!--XLATESTART-->Power PC 604<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '48'"><!--XLATESTART-->Alpha &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '64'"><!--XLATESTART-->MIPS &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '80'"><!--XLATESTART-->SPARC &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '96'"><!--XLATESTART-->68040<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '97'"><!--XLATESTART-->68xxx &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '98'"><!--XLATESTART-->68000<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '99'"><!--XLATESTART-->68010<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '100'"><!--XLATESTART-->68020<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '101'"><!--XLATESTART-->68030<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '112'"><!--XLATESTART-->Hobbit &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '128'"><!--XLATESTART-->Weitek<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '144'"><!--XLATESTART-->PA-RISC &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '160'"><!--XLATESTART-->V30 &#12471;&#12522;&#12540;&#12474;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '176'"><!--XLATESTART-->Pentium III Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '177'"><!--XLATESTART-->Pentium III (Intel SpeedStep &#12486;&#12463;&#12494;&#12525;&#12472;&#12434;&#20351;&#29992;)<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '178'"><!--XLATESTART-->Pentium IV<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '179'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '181'"><!--XLATESTART-->Xeon MP<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="DevProcessor/ProcessorType= '1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '3'"><!--XLATESTART-->&#12475;&#12531;&#12488;&#12521;&#12523; &#12503;&#12525;&#12475;&#12483;&#12469;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '4'"><!--XLATESTART-->&#28436;&#31639;&#12503;&#12525;&#12475;&#12483;&#12469;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '5'"><!--XLATESTART-->DSP &#12503;&#12525;&#12475;&#12483;&#12469;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '6'"><!--XLATESTART-->&#12499;&#12487;&#12458; &#12503;&#12525;&#12475;&#12483;&#12469;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="imagedesc1">
	<xsl:if test="DevProcessor/ProcessorStatus='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='3'"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='4'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12518;&#12540;&#12470;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='5'"><!--XLATESTART-->&#28961;&#21177;&#12394; BIOS<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='6'"><!--XLATESTART-->&#12450;&#12452;&#12489;&#12523;<!--XLATESTOP--></xsl:if>
</xsl:template>

<xsl:template name="maxsp">
	<xsl:choose>
		<xsl:when test="DevProcessor/MaxSpeed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/MaxSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/MaxSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="cursp">
	<xsl:choose>
		<xsl:when test="DevProcessor/CurSpeed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/CurSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/CurSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="extclksp">
	<xsl:choose>
		<xsl:when test="DevProcessor/ExtClockSpeed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/ExtClockSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/ExtClockSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="upgrade">
	<xsl:choose>
		<xsl:when test="DevProcessor/Upgrade= '1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '2'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '3'"><!--XLATESTART-->&#12489;&#12540;&#12479;&#12508;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '4'"><!--XLATESTART-->ZIF &#12477;&#12465;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '5'"><!--XLATESTART-->&#32622;&#25563;/&#12500;&#12462;&#12540;&#12496;&#12483;&#12463;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '6'"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '7'"><!--XLATESTART-->LIF &#12477;&#12465;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '8'"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488; 1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '9'"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488; 2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '10'"><!--XLATESTART-->370 &#12500;&#12531; &#12477;&#12465;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="Processor1">
	<xsl:param name="index"/>
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><xsl:value-of select="ExtName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data  ignoreonweb="true" display="NA" value="NA" align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA"  align="left"/>
		<Data ignoreonweb="true" display="NA" value="NA" align="left"/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
	</Row>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>

