<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"/>
	
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622; <!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">	</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisPwrSup"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisPwrSup"/></xsl:otherwise>
	                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ServletArguments">
		<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PowerSupplyWebPlugin&amp;poid=<xsl:value-of select="/OMA/ServletArguments/@POID"/>&amp;help=PowerSupply</xsl:attribute>
	</xsl:template>
		
	<xsl:template name="ChassisPwrSup">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#38263;&#24615;<!--XLATESTOP--></xsl:attribute>
						       <xsl:if test="/OMA/@cli = 'true'">		
	 							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies </xsl:attribute>
										   <xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									             <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#20887;&#38263;&#24615; <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/> 
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:attribute>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622; <!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(PowerSupplyList/PowerSupply)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supply </xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="PowerSupplyList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(PowerSupplyList/PowerSupply) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Powert Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Power Supplies</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="PowerSupplyList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398;&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;&#20887;&#38263;&#12395;&#24517;&#35201;&#12394;&#12487;&#12496;&#12452;&#12473;&#25968;<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
		
	<xsl:template match="PowerSupplyList">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#20491;&#12293;&#12398;&#38651;&#28304;&#35013;&#32622;&#35201;&#32032;<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22580;&#25152;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#12527;&#12483;&#12488;&#25968;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#12527;&#12483;&#12488;&#25968;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="1">
					<xsl:attribute name="display"><!--XLATESTART-->&#12458;&#12531;&#12521;&#12452;&#12531;&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;&#12521;&#12452;&#12531;&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="PowerSupply"/>
	</xsl:template>
		
	<xsl:template match="PowerSupply">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="PSLocation"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:choose>
					<xsl:when test="Type = 1"><xsl:attribute name="value"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 2"><xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 3"><xsl:attribute name="value"><!--XLATESTART-->&#32218;&#24418;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 4"><xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12452;&#12483;&#12481;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 5"><xsl:attribute name="value"><!--XLATESTART-->&#12496;&#12483;&#12486;&#12522;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 6"><xsl:attribute name="value"><!--XLATESTART-->UPS<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 7"><xsl:attribute name="value"><!--XLATESTART-->&#22793;&#25563;&#22120;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 8"><xsl:attribute name="value"><!--XLATESTART-->&#35519;&#25972;&#22120;<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 9"><xsl:attribute name="value"><!--XLATESTART-->AC<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:when test="Type = 10"><xsl:attribute name="value"><!--XLATESTART-->DC<!--XLATESTOP--></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<xsl:choose>
				<xsl:when test="OutputWatts &gt; 0">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="OutputWatts div 10"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:when test="OutputWatts = ''">
					<Data><xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:attribute></Data>
				</xsl:when>
				<xsl:otherwise>
					<Data><xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126; <!--XLATESTOP--></xsl:attribute></Data>
				</xsl:otherwise>
			</xsl:choose>
			<Data>
				<xsl:call-template name="OnlineStatus">
					<xsl:with-param name="boolstatus"><xsl:value-of select="PSOnlineStatus"/></xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
	</xsl:template>
	
	<xsl:template name="OnlineStatus">
		<xsl:param name="boolstatus"/>
		<xsl:choose>
			<xsl:when test="$boolstatus = 'true'">
				<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->&#20302;&#19979;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->&#21930;&#22833;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="DataType">
		<xsl:param name="name"/>
		<xsl:param name="display"/>
		<xsl:param name="value"/>
		<xsl:param name="editable"/>
		<xsl:param name="type"/>
		<xsl:param name="link"/>
		<xsl:param name="href"/>
		<Data >
			<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="$display"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$value"/></xsl:attribute>
			<xsl:attribute name="editable"><xsl:value-of select="$editable"/></xsl:attribute>
			<xsl:attribute name="link"><xsl:value-of select="$link"/></xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
			<xsl:attribute name="type"><xsl:value-of select="$type"/></xsl:attribute>
		</Data>
	</xsl:template>
	
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
