<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="onLoad">
				<xsl:attribute name="onLoad"><!--XLATESTART-->true<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="callerReplace">true</xsl:attribute>
				<xsl:attribute name="paramReplaced">onload</xsl:attribute>
				<xsl:attribute name="paramReplacing">load</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#22793;&#26356;&#12398;&#36969;&#29992;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->SNMP &#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->SNMP &#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#35373;&#23450;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPconfgWebPlugin&amp;help=snmp</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12540;&#12470;: <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">root</xsl:attribute>
				</Data>
				<Data name="oldpwd" editable="true" id="oldpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#21476;&#12356;&#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489; :<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="newpwd" editable="true" id="newpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26032;&#12375;&#12356;&#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489; :<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="confnewpwd" editable="true" id="confnewpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26032;&#12375;&#12356;&#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#30906;&#35469; :<!--XLATESTOP--></xsl:attribute>
				</Data>
			</ListData>
			<ListData>
				<Data  display=" "  type="hidden" state="" align="left">
					<xsl:attribute name="name">caller</xsl:attribute>
					<xsl:attribute name="returnvalue">none</xsl:attribute>
				</Data>
			</ListData>
			<Table-Data>
				<PromptText><!--XLATESTART-->SNMP &#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></PromptText>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->SNMP &#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP &#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">snmp_warn_msg</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP &#35686;&#21578;&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</Row>
			</Table-Data>
			
			<script language="javascript">
			
				<xsl:if test="onLoad">
					function initializationRoutine()
					{
						alert("SNMP &#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12399;&#27491;&#24120;&#12395;&#35373;&#23450;&#12373;&#12428;&#12414;&#12375;&#12383;&#12290;");
					}
				</xsl:if>
				
				
				function validate()
				{
					var oldpwd = document.getElementById("oldpwd").value;
					var newpwd = document.getElementById("newpwd").value;
					var confnewpwd = document.getElementById("confnewpwd").value;
					
					if (oldpwd == "")
					{
						alert("[&#21476;&#12356;&#12497;&#12473;&#12527;&#12540;&#12489;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;");
						document.getElementById("oldpwd").focus();
					}
					else if (newpwd == "")
					{
						alert("[&#26032;&#12375;&#12356;&#12497;&#12473;&#12527;&#12540;&#12489;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;");
						document.getElementById("newpwd").focus();
					}
					else if (confnewpwd == "")
					{
						alert(" [&#26032;&#12375;&#12356;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#30906;&#35469;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;");
						document.getElementById("confnewpwd").focus();
					}
					else 
					{
						if(newpwd != confnewpwd) 
							{	
								alert("[&#26032;&#12375;&#12356;&#12497;&#12473;&#12527;&#12540;&#12489;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12399;&#19968;&#33268;&#12375;&#12414;&#12379;&#12435;&#12290;");
								document.getElementById("confnewpwd").value = "";
								document.getElementById("confnewpwd").focus();						
							}
						else
							{
								document.getElementById("caller").value=document.location.href;
								return true;
							}											
					}
					return false;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
