<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="(SMStatus = '0' ) or (BIOSSetupListCount &gt; 0) ">
				<xsl:call-template name="success"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="failure"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="failure">
		<DataArea>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus = '256'">
						<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;! &#12356;&#12356;&#12360; <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;! <!--XLATESTOP--><xsl:call-template name="smstatus"><xsl:with-param name="status"><xsl:value-of 		select="SMStatus"/></xsl:with-param></xsl:call-template></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
		</DataArea>
	</xsl:template>
	<xsl:template name="success">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->BIOS &#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="OMAUserRights='7'">
					<PromptText><!--XLATESTART-->&#21508; BIOS &#35373;&#23450;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12390;&#29366;&#24907;&#12434;&#35373;&#23450;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:for-each select="BIOSSetupList/BIOSSetup">
					<Row>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:value-of select="ObjName"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="/OMA/OMAUserRights='7'">
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=BiosSetup</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</Data>
						<Data name="" display="">
							<xsl:attribute name="value"><xsl:call-template name="state"><xsl:with-param name="type"><xsl:value-of select="@objtype"/></xsl:with-param><xsl:with-param name="state"><xsl:value-of select="State"/></xsl:with-param><xsl:with-param name="objname"><xsl:value-of select="ObjName"/></xsl:with-param></xsl:call-template></xsl:attribute>
						</Data>
					</Row>
				</xsl:for-each>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="state">
		<xsl:param name="type"/>
		<xsl:param name="state"/>
		<xsl:param name="objname"/>
		<xsl:choose>
			<xsl:when test="$type='241'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#33258;&#21205;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->&#26360;&#12365;&#36796;&#12415;&#20445;&#35703;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='242'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->PXE &#12394;&#12375;&#12391;&#26377;&#21177;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='246'">
				<xsl:if test="$objname='OnBoard RAID'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Primary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$objname='Secondary SCSI'">
					<xsl:choose>
						<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$state='2'"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$type='247'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#26368;&#21021;&#12395;&#12501;&#12525;&#12483;&#12500;&#12540;&#12487;&#12451;&#12473;&#12465;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12487;&#12451;&#12473;&#12463;&#12398;&#12415;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473; &#12522;&#12473;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->&#26368;&#21021;&#12395; CD-ROM&#12289;&#27425;&#12395;&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='249'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->LPT1 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->LPT2 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->LPT3 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='250'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->AT &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->PS2 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->ECP &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->EPP &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='251'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#33258;&#21205;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->COM1 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->COM2 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->COM3 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='6'"><!--XLATESTART-->COM4 &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='252'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->&#20302;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->&#20013;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='5'"><!--XLATESTART-->&#39640;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='253'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#28961;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#25313;&#24373;&#12473;&#12525;&#12483;&#12488;&#12395;&#25509;&#32154;&#12373;&#12428;&#12390;&#12356;&#12427; NIC &#29992;&#12395; WOL &#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->&#12508;&#12540;&#12489;&#19978;&#12398; NIC &#29992;&#12395; WOL &#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='4'"><!--XLATESTART-->&#12450;&#12489;&#12452;&#12531;&#29992;&#12395; WOL &#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='244'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$type='260'">
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='3'"><!--XLATESTART-->BIOS &#12469;&#12509;&#12540;&#12488;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$state='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='1'"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:when>
					<xsl:when test="$state='2'"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12364;&#12371;&#12398;&#12471;&#12473;&#12486;&#12512;&#12395;&#35211;&#12388;&#12363;&#12426;&#12414;&#12375;&#12383;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
