<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->BIOS &#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
	<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->BIOS &#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
<DataArea>
	<xsl:attribute name="backpagedisplay"><!--XLATESTART-->BIOS &#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
	<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
	<xsl:if test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
		<xsl:attribute name="validate">true</xsl:attribute>
	</xsl:if>
	<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.setbiosobjWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/></xsl:attribute>
	
	<xsl:if test="ShutDownFlag='true'">
		<script language="javascript">
			function restart()
			{
				if (confirm("BIOS &#35373;&#23450;&#25805;&#20316;&#12364;&#23436;&#20102;&#12375;&#12414;&#12375;&#12383;&#12363;?")){
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8&amp;action1=1';
					document.getElementById("dataarea").submit();
				}
				else{
					document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup';
					document.getElementById("dataarea").submit();
				}	
			}
		</script>
	</xsl:if>
	
	<xsl:if test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
		<script language="javascript">
			function validate(){
				if (confirm("&#12371;&#12398;&#35373;&#23450;&#12434;&#22793;&#26356;&#12377;&#12427;&#12392;&#12469;&#12540;&#12496;&#12434;&#25805;&#20316;&#12391;&#12365;&#12394;&#12367;&#12394;&#12426;&#12289;&#12377;&#12409;&#12390;&#12398;&#12458;&#12506;&#12524;&#12540;&#12486;&#12451;&#12531;&#12464; &#12471;&#12473;&#12486;&#12512;&#12434;&#20877;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290; &#32154;&#34892;&#12375;&#12414;&#12377;&#12363;?")){
					return true;
				}
				return false;
			}
		</script>
	</xsl:if>
		
	<PageTitle>
		<xsl:attribute name="display"><xsl:value-of select="BIOSSetup/ObjName"/></xsl:attribute>
	</PageTitle>
	<xsl:choose>
		<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
			<PromptText status="3"><!--XLATESTART-->&#12458;&#12503;&#12471;&#12519;&#12531;&#12398; 1 &#12388;&#12434;&#36984;&#25246;&#12375;&#12390;&#29366;&#27841;&#12434;&#35373;&#23450;&#12375;&#12414;&#12377;&#12364;&#12289;&#12371;&#12398;&#35373;&#23450;&#12434;&#22793;&#26356;&#12377;&#12427;&#12392;&#12469;&#12540;&#12496;&#12434;&#25805;&#20316;&#12391;&#12365;&#12394;&#12367;&#12394;&#12426;&#12377;&#12409;&#12390;&#12398;&#12458;&#12506;&#12524;&#12540;&#12486;&#12451;&#12531;&#12464; &#12471;&#12473;&#12486;&#12512;&#12434;&#20877;&#12452;&#12531;&#12473;&#12488;&#12540;&#12523;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
		</xsl:when>
		<xsl:otherwise><PromptText><!--XLATESTART-->&#12458;&#12503;&#12471;&#12519;&#12531;&#12398; 1 &#12388;&#12434;&#36984;&#25246;&#12375;&#12390;&#29366;&#27841;&#12434;&#35373;&#23450;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText></xsl:otherwise>
	</xsl:choose>
	
	<CustomButton>
		<xsl:if test="ShutDownFlag='true'">
			<Data name="shtdwn">
				<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#20877;&#36215;&#21205;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
			</Data>			
		</xsl:if>
		<Data name="Refresh">
			<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup</xsl:attribute>
		</Data>
	</CustomButton>
	<TableData>
		<Header>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="BIOSSetup/ObjName"/> <!--XLATESTART-->&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BIOSSetup/ObjName"/> <!--XLATESTART-->&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:for-each select="BIOSSetup/Capabilities/*">
			<xsl:if test=".='true'">
				<Row>
					<Data type="radio">
						<xsl:attribute name="name">actionsel</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:call-template name="objstatus">
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/BIOSSetup/@objtype='240'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='241'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Rdonly'">
										<xsl:attribute name="value"><!--XLATESTART-->&#26360;&#12365;&#36796;&#12415;&#20445;&#35703;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='242'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableNonePXE'">
										<xsl:attribute name="value"><!--XLATESTART-->PXE &#12394;&#12375;&#12391;&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='243'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='244'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='245'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='246'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Secondary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Primary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>		
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='249'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='251'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 1'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 2'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='252'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12501;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='260'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#26377;&#21177;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableWithBIOS'">
										<xsl:attribute name="value"><!--XLATESTART-->BIOS &#12469;&#12509;&#12540;&#12488;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="state">
							<xsl:call-template name="objselect">
								<xsl:with-param name="state"><xsl:value-of select="/OMA/BIOSSetup/State"/></xsl:with-param>
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
				</Row>
			</xsl:if>
		</xsl:for-each>
	</TableData>
</DataArea>
</xsl:template>

<xsl:template name="objselect">
	<xsl:param name="type"/>
	<xsl:param name="state"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Rdonly'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Off'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='SCSI'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='HDOnly'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='DeviceList'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='CDRomFirst'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT1'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT2'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT3'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='PS2'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='ECP'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EPP'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com1'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com2'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com3'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com4'">
				<xsl:if test="$state='6'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Low'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Medium'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='High'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAll'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>		
		</xsl:otherwise>		
	</xsl:choose>
</xsl:template>
	
<xsl:template name="objstatus">
	<xsl:param name="type"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>	
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Rdonly'">3</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">3</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">0</xsl:if>
				<xsl:if test="$name='Off'">1</xsl:if>
				<xsl:if test="$name='SCSI'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>	
		</xsl:when>
		
		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">1</xsl:if>
			<xsl:if test="$name='HDOnly'">2</xsl:if>
			<xsl:if test="$name='DeviceList'">3</xsl:if>
			<xsl:if test="$name='CDRomFirst'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='LPT1'">2</xsl:if>
			<xsl:if test="$name='LPT2'">3</xsl:if>
			<xsl:if test="$name='LPT3'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">1</xsl:if>
			<xsl:if test="$name='PS2'">2</xsl:if>
			<xsl:if test="$name='ECP'">3</xsl:if>
			<xsl:if test="$name='EPP'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Com1'">3</xsl:if>
			<xsl:if test="$name='Com2'">4</xsl:if>
			<xsl:if test="$name='Com3'">5</xsl:if>
			<xsl:if test="$name='Com4'">6</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='Low'">3</xsl:if>
			<xsl:if test="$name='Medium'">4</xsl:if>
			<xsl:if test="$name='High'">5</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">2</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">3</xsl:if>
			<xsl:if test="$name='EnableAll'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">3</xsl:if>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>		
		</xsl:otherwise>		
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#22833;&#25943;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#26410;&#23455;&#35013;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#19981;&#27491;&#12467;&#12510;&#12531;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12461;&#12515;&#12531;&#12475;&#12523;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20013;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#20445;&#30041;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#20351;&#29992;&#20013;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#19981;&#27491;&#12394;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#12522;&#12477;&#12540;&#12473;&#12364;&#12525;&#12483;&#12463;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#28961;&#21177;&#12394;&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20837;&#25163;&#12391;&#12365;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19978;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12487;&#12540;&#12479;&#12399;&#20351;&#29992;&#12391;&#12365;&#12427;&#12487;&#12540;&#12479;&#12434;&#19979;&#22238;&#12387;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12391;&#12467;&#12510;&#12531;&#12489;&#12434;&#21463;&#29702;&#12377;&#12427;&#28310;&#20633;&#12364;&#12391;&#12365;&#12390;&#12356;&#12414;&#12379;&#12435; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12395;&#12487;&#12540;&#12479;&#12364;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12364;&#12513;&#12514;&#12522;&#19981;&#36275;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->BIOS &#35373;&#23450;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12399;&#26082;&#12395;&#23384;&#22312;&#12375;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->INI &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#12475;&#12463;&#12471;&#12519;&#12531;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#12461;&#12540;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#27177;&#12364;&#21313;&#20998;&#12391;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#12497;&#12521;&#12513;&#12540;&#12479;&#21517;&#12414;&#12383;&#12399;&#20516;&#12364;&#28961;&#21177;&#12391;&#12377;: <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->XML &#12501;&#12449;&#12452;&#12523;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#12494;&#12540;&#12489;&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#12398;&#20516;&#12398;&#24418;&#24335;&#12364;&#35492;&#12387;&#12390;&#12356;&#12427;&#12363;&#12289;&#30772;&#25613;&#12375;&#12390;&#12356;&#12427;&#12363;&#19981;&#27491;&#12391;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus: <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
	
<xsl:template match="*"/>

</xsl:stylesheet>
