<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:apply-templates select="PerformanceData"/>
</xsl:template>
<xsl:template match="PerformanceData">
	<xsl:choose>
		<xsl:when test="@type='uidata'">
			<DataArea onLoad="true">
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#24615;&#33021;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<script language="javascript">
					function initializationRoutine()
					{
						getUpdate();
					}

					function getUpdate()
					{
						var timerprf1 = setTimeout("getUpdate()", 3000);
						window.frames[0].location.reload(true);
					}
				</script>
				<PerformanceData>
					<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
					<UIData>
						<Update>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PerfMgntWebPlugin&amp;datatype=realdata</xsl:attribute>
						</Update>
						<xsl:for-each select="PerfObjList/PerfObj">
							<xsl:if test="PerfObjName='PerfProcessor'">
								<Graph>
									<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/></xsl:attribute>
									<xsl:attribute name="percent"><xsl:value-of select="PercentProcessorTime"/></xsl:attribute>
									<SubHeader>
										<xsl:attribute name="display"><!--XLATESTART-->Processor_<!--XLATESTOP--><xsl:value-of select="InstanceName"/></xsl:attribute>
									</SubHeader>
									<ListData>
										<Data>
											<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/>_ptime</xsl:attribute>
											<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="PercentProcessorTime"/>%</xsl:attribute>
										</Data>
										<Data>
											<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/>_utime</xsl:attribute>
											<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12540;&#12470;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="PercentUserTime"/>%</xsl:attribute>
										</Data>
										<Data>
											<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/>_pvtime</xsl:attribute>
											<xsl:attribute name="display"><!--XLATESTART-->&#29305;&#27177;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="PercentPrivilegedTime"/>%</xsl:attribute>
										</Data>
										<Data>
											<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/>_intrpts</xsl:attribute>
											<xsl:attribute name="display"><!--XLATESTART-->&#21106;&#12426;&#36796;&#12415;&#31186;<!--XLATESTOP--></xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="InterruptsPerSec"/></xsl:attribute>
										</Data>
									</ListData>
								</Graph>
							</xsl:if>
						</xsl:for-each>
						<BoxData>
							<xsl:for-each select="PerfObjList/PerfObj">
								<xsl:if test="PerfObjName='PerfDisk'">
									<DiskData>
										<SubHeader>
											<xsl:attribute name="display"><xsl:value-of select="InstanceName"/></xsl:attribute>
										</SubHeader>
										<ListData>
											<Data>
												<xsl:attribute name="name">disk_<xsl:value-of select="@oid"/>_wrs</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#26360;&#12365;&#36796;&#12415;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="WritesPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">disk_<xsl:value-of select="@oid"/>_bwps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#26360;&#12365;&#36796;&#12415;&#12496;&#12452;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="BytesWrittenPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">disk_<xsl:value-of select="@oid"/>_rps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="ReadsPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">disk_<xsl:value-of select="@oid"/>_brps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#35501;&#12415;&#21462;&#12426;&#12496;&#12452;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="BytesReadsPerSec"/></xsl:attribute>
											</Data>
										</ListData>
									</DiskData>
								</xsl:if>
							</xsl:for-each>
						</BoxData>
						<BoxData>
							<xsl:for-each select="PerfObjList/PerfObj">
								<xsl:if test="PerfObjName='PerfMemory'">
									<MemData>
										<SubHeader>
											<xsl:attribute name="display"><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:attribute>
										</SubHeader>
										<ListData>
											<Data>
												<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/>_pfps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12506;&#12540;&#12472; &#12501;&#12457;&#12540;&#12523;&#12488;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PageFaultsPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/>_pps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12506;&#12540;&#12472;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PagesPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/>_ab</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;&#21487;&#33021;&#12496;&#12452;&#12488;&#25968;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="AvailableBytes"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/>_cb</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#38306;&#19982;&#12496;&#12452;&#12488;&#25968;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="CommittedBytes"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/>_cl</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12511;&#12483;&#12488;&#21046;&#38480;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="CommitLimit"/></xsl:attribute>
											</Data>
										</ListData>
									</MemData>
								</xsl:if>
								<xsl:if test="PerfObjName='PerfVirtualMemory'">
									<MemData>
										<SubHeader>
											<xsl:attribute name="display"><!--XLATESTART-->&#20206;&#24819;&#12513;&#12514;&#12522; <!--XLATESTOP--><xsl:value-of select="InstanceName"/></xsl:attribute>
										</SubHeader>
										<ListData>
											<Data>
												<xsl:attribute name="name">vrtlmem_<xsl:value-of select="@oid"/>_pu</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#20351;&#29992;&#29575; (%)<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PercentUsage"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">vrtlmem_<xsl:value-of select="@oid"/>_pup</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12500;&#12540;&#12463;&#26178;&#20351;&#29992;&#29575; (%)<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PercentUsagePeak"/></xsl:attribute>
											</Data>
										</ListData>
									</MemData>
								</xsl:if>
							</xsl:for-each>
						</BoxData>
						<BoxData>
							<xsl:for-each select="PerfObjList/PerfObj">
								<xsl:if test="PerfObjName='PerfNetwork'">
									<NTWData>
										<SubHeader>
											<xsl:choose>
												<xsl:when test="InstanceName!=''">
													<xsl:attribute name="display"><xsl:value-of select="InstanceName"/></xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="display"><!--XLATESTART-->&#12493;&#12483;&#12488;&#12527;&#12540;&#12463;<!--XLATESTOP--></xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
										</SubHeader>
										<ListData>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_btps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12496;&#12452;&#12488;&#25968;&#21512;&#35336;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="BytesTotalPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_pps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#12497;&#12465;&#12483;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PacketsPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_prps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#21463;&#20449;&#12497;&#12465;&#12483;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PacketsReceivedPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_psps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#36865;&#20449;&#12497;&#12465;&#12483;&#12488;&#25968;&#31186; <!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="PacketsSentPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_cb</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#24111;&#22495;&#24133;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="CurrentBandwidth"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_brps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#21463;&#20449;&#12496;&#12452;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="BytesReceivedPerSec"/></xsl:attribute>
											</Data>
											<Data>
												<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/>_bsps</xsl:attribute>
												<xsl:attribute name="display"><!--XLATESTART-->&#36865;&#20449;&#12496;&#12452;&#12488;&#25968;&#31186;<!--XLATESTOP--></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="BytesSentPerSec"/></xsl:attribute>
											</Data>
										</ListData>
									</NTWData>
								</xsl:if>
							</xsl:for-each>
						</BoxData>
					</UIData>
				</PerformanceData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PerformanceData>					
					<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
					<UpdateData>
						<xsl:for-each select="PerfObjList/PerfObj">
							<xsl:if test="PerfObjName='PerfProcessor'">
								<Graph>
									<xsl:attribute name="name">processor_<xsl:value-of select="InstanceName"/></xsl:attribute>
									<xsl:attribute name="percent"><xsl:value-of select="PercentProcessorTime"/></xsl:attribute>
									<Data><xsl:attribute name="ptime"><xsl:value-of select="PercentProcessorTime"/></xsl:attribute></Data>
									<Data><xsl:attribute name="utime"><xsl:value-of select="PercentUserTime"/></xsl:attribute></Data>
									<Data><xsl:attribute name="pvtime"><xsl:value-of select="PercentPrivilegedTime"/></xsl:attribute></Data>
									<Data><xsl:attribute name="interrupts"><xsl:value-of select="InterruptsPerSec"/></xsl:attribute></Data>
								</Graph>
							</xsl:if>
						</xsl:for-each>
						<BoxData>
							<xsl:for-each select="PerfObjList/PerfObj">
								<xsl:if test="PerfObjName='PerfDisk'">
									<DiskData>
										<xsl:attribute name="name">disk_<xsl:value-of select="@oid"/></xsl:attribute>
										<Data><xsl:attribute name="wrs"><xsl:value-of select="WritesPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="bwps"><xsl:value-of select="BytesWrittenPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="rps"><xsl:value-of select="ReadsPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="brps"><xsl:value-of select="BytesReadsPerSec"/></xsl:attribute></Data>
									</DiskData>
								</xsl:if>
								<xsl:if test="PerfObjName='PerfMemory'">
									<MemData>
										<xsl:attribute name="name">mem_<xsl:value-of select="PerfObjName"/></xsl:attribute>
										<Data><xsl:attribute name="pfps"><xsl:value-of select="PageFaultsPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="pps"><xsl:value-of select="PagesPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="ab"><xsl:value-of select="AvailableBytes"/></xsl:attribute></Data>
										<Data><xsl:attribute name="cb"><xsl:value-of select="CommittedBytes"/></xsl:attribute></Data>
										<Data><xsl:attribute name="cl"><xsl:value-of select="CommitLimit"/></xsl:attribute></Data>
									</MemData>
								</xsl:if>
								<xsl:if test="PerfObjName='PerfVirtualMemory'">
									<VirMemData>
										<xsl:attribute name="name">vrtlmem_<xsl:value-of select="@oid"/></xsl:attribute>
										<Data><xsl:attribute name="pu"><xsl:value-of select="PercentUsage"/></xsl:attribute></Data>
										<Data><xsl:attribute name="pup"><xsl:value-of select="PercentUsagePeak"/></xsl:attribute></Data>
									</VirMemData>
								</xsl:if>
								<xsl:if test="PerfObjName='PerfNetwork'">
									<NTWData>
										<xsl:attribute name="name">ntwk_<xsl:value-of select="InstanceName"/></xsl:attribute>
										<Data><xsl:attribute name="btps"><xsl:value-of select="BytesTotalPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="pps"><xsl:value-of select="PacketsPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="prps"><xsl:value-of select="PacketsReceivedPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="psps"><xsl:value-of select="PacketsSentPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="cb"><xsl:value-of select="CurrentBandwidth"/></xsl:attribute></Data>
										<Data><xsl:attribute name="brps"><xsl:value-of select="BytesReceivedPerSec"/></xsl:attribute></Data>
										<Data><xsl:attribute name="bsps"><xsl:value-of select="BytesSentPerSec"/></xsl:attribute></Data>
									</NTWData>
								</xsl:if>
							</xsl:for-each>
						</BoxData>
					</UpdateData>
				</PerformanceData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>