<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12509;&#12540;&#12488;<!--XLATESTOP--> <xsl:value-of select="Port/@portid" /><!--XLATESTART--> &#12487;&#12496;&#12452;&#12473;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="PortDevice/@status" /></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortDeviceWebPlugin&amp;poid=<xsl:value-of select="Port/@oid"/>&amp;id=<xsl:value-of select="Port/@portid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:apply-templates select="PortDevice"/>
	</DataArea>
</xsl:template>

<xsl:template match="PortDevice">
	<ListData>
		<Data name="Status"  editable="false" type="status-text">
			<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24907;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
		</Data>
		<xsl:if test="TypeName">
			<Data name="TypeName"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="TypeName">
			<Data name="Layout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#12524;&#12452;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="PointingDevType">
			<Data name="PointingDevType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#12509;&#12452;&#12531;&#12486;&#12451;&#12531;&#12464; &#12487;&#12496;&#12452;&#12473;&#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PointingDevType='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='3'"><!--XLATESTART-->&#12471;&#12522;&#12450;&#12523;<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='5'"><!--XLATESTART-->&#36196;&#22806;&#32218;<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='160'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='161'"><!--XLATESTART-->&#12510;&#12452;&#12463;&#12525; DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='162'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473; Bus/USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="NumButtons">
			<Data name="NumButtons"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#12508;&#12479;&#12531;&#25968;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
			</Data>
		</xsl:if>
	</ListData>
</xsl:template>
<xsl:template match="*"/>

</xsl:stylesheet>
