<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus !='0'">
			<DataArea>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12509;&#12540;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12509;&#12540;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#12509;&#12540;&#12488;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#26356;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText><!--XLATESTART--><!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="PortsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="PortsList">
	<TableData name="" display="" columnspacing="true">
		<Header>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12509;&#12540;&#12488;&#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12509;&#12540;&#12488;&#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#22806;&#37096;&#21517;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12505;&#12540;&#12473; IO &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12505;&#12540;&#12473; IO &#12450;&#12489;&#12524;&#12473;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ Lvl<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IRQ Lvl<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12467;&#12493;&#12463;&#12479;&#12398;&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Port"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Port">
	<Row>
		<Data name="PortType"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@objtype='192'"><!--XLATESTART-->&#12497;&#12521;&#12524;&#12523;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='193'"><!--XLATESTART-->&#12471;&#12522;&#12450;&#12523;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='194'"><!--XLATESTART-->&#12509;&#12452;&#12531;&#12486;&#12451;&#12531;&#12464;&#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='195'"><!--XLATESTART-->&#12461;&#12540;&#12508;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='196'"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='197'"><!--XLATESTART-->&#12513;&#12514;&#12522; &#12487;&#12496;&#12452;&#12473;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='198'"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='199'"><!--XLATESTART-->&#12514;&#12491;&#12479;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='200'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring" align="left">
			<xsl:attribute name="value"><xsl:value-of select="ExtName" /></xsl:attribute>
		</Data>
		<Data name="BaseIOAddr"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="BaseIOAddr = '0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="BaseIOAddr"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name="IrqLevel"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IrqLevel= '0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="IrqLevel"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<xsl:choose>
			<!-- objtype 192 is for parallel port-->
			<xsl:when test="@objtype='192'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-25 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-25 &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->&#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->&#23554;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->&#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->DB-36 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='162'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;-20<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:when>
			<!-- objtype 193 is for serial port-->
			<xsl:when test="@objtype='193'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='9'"><!--XLATESTART-->&#23554;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='10'"><!--XLATESTART-->&#29872;&#29366; DIN-8 &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='11'"><!--XLATESTART-->&#29872;&#29366; DIN-8 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473; &#12479;&#12452;&#12503;-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473; &#12479;&#12452;&#12503;-26<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring">
					<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data name="SmbiosConnType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->&#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->&#23554;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25 &#12500;&#12531; &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25 &#12500;&#12531; &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15 &#12500;&#12531; &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15 &#12500;&#12531; &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9 &#12500;&#12531; &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9 &#12500;&#12531; &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50 Pin MiniSCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->&#12511;&#12491; DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->&#12510;&#12452;&#12463;&#12525; DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->&#36196;&#22806;&#32218;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->&#12450;&#12463;&#12475;&#12473;&#12496;&#12473; (USB)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA SCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->&#29872;&#29366; DIN-8 &#12458;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->&#29872;&#29366; DIN-8 &#12513;&#12473;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->&#12458;&#12531; &#12508;&#12540;&#12489; IDE<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->&#12458;&#12531; &#12508;&#12540;&#12489; &#12501;&#12525;&#12483;&#12500;&#12540;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 &#12500;&#12531; &#12487;&#12517;&#12450;&#12523;&#12452;&#12531;&#12521;&#12452;&#12531; (&#12500;&#12531; 10 &#12459;&#12483;&#12488;)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 &#12500;&#12531; &#12487;&#12517;&#12450;&#12523;&#12452;&#12531;&#12521;&#12452;&#12531; (&#12500;&#12531; 26 &#12459;&#12483;&#12488;)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 &#12500;&#12531; &#12487;&#12517;&#12450;&#12523; &#12452;&#12531;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 &#12500;&#12531; &#12487;&#12517;&#12450;&#12523; &#12452;&#12531;&#12521;&#12452;&#12531;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->CD-ROM &#12363;&#12425;&#12398;&#12508;&#12540;&#12489;&#19978;&#12469;&#12454;&#12531;&#12489;&#20837;&#21147;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473; &#12479;&#12452;&#12503;-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->&#12511;&#12491; &#12475;&#12531;&#12488;&#12525;&#12491;&#12463;&#12473; &#12479;&#12452;&#12503;-26<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->&#12511;&#12491;&#12472;&#12515;&#12483;&#12463; (&#12504;&#12483;&#12489;&#12501;&#12457;&#12531;)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 &#12494;&#12540;&#12488;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 &#12501;&#12523;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:otherwise>
		</xsl:choose>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
