<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2&amp;help=Slots</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--><xsl:text> </xsl:text><xsl:value-of select="Slot/ExtName" /><xsl:text> </xsl:text><!--XLATESTART-->&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="Slot/@oid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<xsl:choose>
				<xsl:when test="SMStatus[1] = '0' or SMStatus[2] = '0'">
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="Slot"/>
					<xsl:apply-templates select="SlotDevice"/>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</xsl:otherwise>
			</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="Slot">
	<Row>
		<Data name="ID"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->ID<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->ID<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="ID_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="SlotID"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Type"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#31278;&#39006;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Type_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Type='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='3'"><!--XLATESTART-->ISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='4'"><!--XLATESTART-->MCA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='5'"><!--XLATESTART-->EISA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='6'"><!--XLATESTART-->PCI<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='7'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='8'"><!--XLATESTART-->VL VESA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='9'"><!--XLATESTART-->&#23554;&#29992;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='10'"><!--XLATESTART-->&#12503;&#12525;&#12475;&#12483;&#12469; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='11'"><!--XLATESTART-->&#23554;&#29992;&#12513;&#12514;&#12522; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='12'"><!--XLATESTART-->IO &#12521;&#12452;&#12470; &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='13'"><!--XLATESTART-->Nu &#12496;&#12473;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='14'"><!--XLATESTART-->PCI 66Mhz<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='15'"><!--XLATESTART-->AGP<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='16'"><!--XLATESTART-->AGP 2&#20493;&#36895;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='17'"><!--XLATESTART-->AGP 4&#20493;&#36895;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='18'"><!--XLATESTART-->PCI X<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='160'"><!--XLATESTART-->PC98 C20<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='161'"><!--XLATESTART-->PC98 C24<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='162'"><!--XLATESTART-->PC98 E<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='163'"><!--XLATESTART-->PC98 &#12525;&#12540;&#12459;&#12523;&#12496;&#12473;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Type='164'"><!--XLATESTART-->PC98 &#12459;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Length"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#38263;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#38263;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Length_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Length='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='3'"><!--XLATESTART-->&#30701;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Length='4'"><!--XLATESTART-->&#38263;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Speed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Speed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/SlotSpeed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="HotPlugSystemSlot/SlotSpeed"/><xsl:text> </xsl:text><xsl:value-of select="HotPlugSystemSlot/SlotSpeed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="Category"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12459;&#12486;&#12468;&#12522;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12459;&#12486;&#12468;&#12522;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="Category_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Category='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='3'"><!--XLATESTART-->&#12496;&#12473;&#12467;&#12493;&#12463;&#12479;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='4'"><!--XLATESTART-->PCMCIA<!--XLATESTOP--></xsl:when>
					<xsl:when test="Category='5'"><!--XLATESTART-->&#12510;&#12470;&#12540;&#12508;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsHotPlugCapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12507;&#12483;&#12488;&#12503;&#12521;&#12464;&#23550;&#24540;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12507;&#12483;&#12488;&#12503;&#12521;&#12464;&#23550;&#24540;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsHotPlugCapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/IsHotPlugCapable='true'"><!--XLATESTART-->&#12399;&#12356;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#12356;&#12356;&#12360;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="VoltSupply"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#22311;&#35013;&#32622;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#38651;&#22311;&#35013;&#32622;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="VoltSupply_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:if test="IsVolt33='true'"><!--XLATESTART-->3.3 &#12508;&#12523;&#12488;<!--XLATESTOP--><xsl:if test="IsVolt5='true'">, </xsl:if></xsl:if>
				<xsl:if test="IsVolt5='true'"><!--XLATESTART-->5 &#12508;&#12523;&#12488;<!--XLATESTOP--></xsl:if>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsShared"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#20849;&#26377;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#20849;&#26377;&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsShared_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsShared='true'"><!--XLATESTART-->&#12399;&#12356;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#12356;&#12356;&#12360;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCard16"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->PC &#12459;&#12540;&#12489;-16<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->PC &#12459;&#12540;&#12489;-16<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCard16_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCard16='true'"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#38750;&#23550;&#24540;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsCardBus"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12459;&#12540;&#12489;&#12496;&#12473;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12459;&#12540;&#12489;&#12496;&#12473;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsCardBus_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsCardBus='true'"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#38750;&#23550;&#24540;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsZoomVideo"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12474;&#12540;&#12512;&#12499;&#12487;&#12458;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12474;&#12540;&#12512;&#12499;&#12487;&#12458;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsZoomVideo_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsZoomVideo='true'"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#38750;&#23550;&#24540;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsModemRingResume"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12514;&#12487;&#12512;&#12522;&#12531;&#12464;&#20877;&#38283;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12514;&#12487;&#12512;&#12522;&#12531;&#12464;&#20877;&#38283;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsModemRingResume_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsModemRingResume='true'"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#38750;&#23550;&#24540;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="IsPMECapable"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#21147;&#31649;&#29702;&#26377;&#21177; (PME#) &#20449;&#21495;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#38651;&#21147;&#31649;&#29702;&#26377;&#21177; (PME#) &#20449;&#21495;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="IsPMECapable_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IsPMECapable='true'"><!--XLATESTART-->&#23550;&#24540;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#38750;&#23550;&#24540;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="SlotDevice">
	<Row>
		<Data name="DeviceManufacturer"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceManufacturer_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Manufacturer"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDesc"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDesc_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="DeviceDesc"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDataBusWidth"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDataBusWidth_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="DataBusWidth = '0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="DataBusWidth"/> <!--XLATESTART-->&#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceSpeed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceSpeed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Speed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
