<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2&amp;help=Slots</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotDeviceWebPlugin&amp;poid=<xsl:value-of select="Slot/@oid"/>&amp;id=<xsl:value-of select="Slot/@slotid"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<xsl:choose>
				<xsl:when test="SMStatus[1] = '0' or SMStatus[2] = '0'">
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12488;&#12522;&#12499;&#12517;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#20516;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="SlotDevice"/>
				</xsl:when>
				<xsl:otherwise>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</xsl:otherwise>
			</xsl:choose>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="SlotDevice">
	<Row>
		<Data name="DeviceManufacturer"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12513;&#12540;&#12459;&#12540;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceManufacturer_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Manufacturer"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDesc"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#12398;&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDesc_value"  editable="false" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="DeviceDesc"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceDataBusWidth"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479; &#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceDataBusWidth_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="DataBusWidth = '0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="DataBusWidth"/> <!--XLATESTART-->&#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data name="DeviceSpeed"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data name="DeviceSpeed_value"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Speed='0'"><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text> </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
