<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12452;&#12531;&#12487;&#12483;&#12463;&#12473;&#12364;&#28961;&#21177;&#12394;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#26356;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText ignoreoncli="true"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488; ID &#12414;&#12383;&#12399;&#12450;&#12480;&#12503;&#12479;&#21517;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#35443;&#32048;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="SlotsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="SlotsList">
	<TableData name="" display="">
		<Header>
			<Data name="" editable="" type="" align="center" ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12452;&#12531;&#12487;&#12483;&#12463;&#12473;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="" width="80">
				<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488; ID<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12473;&#12525;&#12483;&#12488; ID<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12480;&#12503;&#12479;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12487;&#12540;&#12479; &#12496;&#12473;&#12398;&#24133;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Slot"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Slot">
	<Row>
		<Data name=""  display="" editable="false" align="center" ignoreonweb="true">
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
               		<xsl:when test="ExtName='Embedded'">
						<!--XLATESTART-->&#32068;&#12415;&#36796;&#12415;<!--XLATESTOP-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="ExtName"/>
					</xsl:otherwise>
            		</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotID!='0'">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=SlotDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="SlotDevice"><xsl:value-of select="SlotDevice/DeviceDesc" /></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#20351;&#29992;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotDevice">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotDeviceWebPlugin&amp;poid=<xsl:value-of select="@oid" />&amp;slotid=<xsl:value-of select="SlotID"/>&amp;help=Adapter</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='1'"><!--XLATESTART-->&#12381;&#12398;&#20182;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='3'"><!--XLATESTART-->8 &#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='4'"><!--XLATESTART-->16 &#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='5'"><!--XLATESTART-->32 &#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='6'"><!--XLATESTART-->64 &#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='7'"><!--XLATESTART-->128 &#12499;&#12483;&#12488;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
