<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:variable name="userrights"><xsl:value-of select="OMAUserRights"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="SMStatus = 0">
				<DataArea>
					<xsl:attribute name="onLoad">true</xsl:attribute>
					<xsl:choose>
						<xsl:when test="($userrights = '7') or ($userrights = '3')">
							<xsl:attribute name="validate">true</xsl:attribute>
							<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPTrapsWebPlugin</xsl:attribute>
							<PromptText><!--XLATESTART-->&#26377;&#21177;&#12395;&#12377;&#12427;&#12452;&#12505;&#12531;&#12488;&#12434;&#12481;&#12455;&#12483;&#12463;&#12375;&#12390;&#12363;&#12425;&#12289;"&#22793;&#26356;&#12398;&#36969;&#29992;" &#12508;&#12479;&#12531;&#12434;&#12463;&#12522;&#12483;&#12463;&#12375;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->SNMP &#12488;&#12521;&#12483;&#12503;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
						</xsl:when>
						<xsl:otherwise>
							<PageTitle>
								<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#12398;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
							</PageTitle>
						</xsl:otherwise>
					</xsl:choose>
					<script language="javascript">
						var objTypeCount   = '<xsl:value-of select=" count(Events/ObjType)"/>';
						var systemSeverity = '<xsl:value-of select="Events/System/snmptrap/@severity"/>';
						<xsl:choose>
							<xsl:when test="/OMA/CommandType/@type = 'system' ">
								<xsl:choose>
									<xsl:when test="($userrights = '7') or ($userrights = '3')">
										function initializationRoutine()
										{
											<xsl:for-each select="Events/ObjType">
												
												initializeObject( document.getElementById( 'objtypeparentindex<xsl:value-of select="position()"/>' ).value, 
																	   document.getElementById( 'objtypechildindex<xsl:value-of select="position()"/>' ).value, 
																	  '<xsl:value-of select="snmptrap/@severity"/>' );
											</xsl:for-each>
											initializeObject("systemcheckbox", "sysselection", systemSeverity );
											forceSystemSeverityOnObjTypes( systemSeverity, 'initialization' );
										}
										
										function processChildSelection( parentObj, childObj, severity)
										{
											if( parentObj == 'system' )
											{
												initializeObject("systemcheckbox", "sysselection", severity );
												forceSystemSeverityOnObjTypes( severity, '' );
											}
											else
											{
												if( computeSeverityFactor( severity, document.getElementById("sysselection").value ) )
												{										
		alert(<!--XLATESTART-->"&#12471;&#12473;&#12486;&#12512;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById("sysselection").value + <!--XLATESTART-->
		" &#20197;&#19978;"<!--XLATESTOP-->);
													initializeObject( parentObj, childObj, document.getElementById( childObj ).value );
												}
												else
												{
													initializeObject( parentObj, childObj, severity );
												}
											}
										}
										
										function processParentSelection( parentObj, childObj )
										{
											if( parentObj == 'system' )
											{
												if( document.getElementById( 'systemcheckbox' ).checked == true )
												{
													initializeObject("systemcheckbox", "sysselection", "informational" );
													forceSystemSeverityOnObjTypes( "informational", '' );
												}
												else
												{
													initializeObject("systemcheckbox", "sysselection", "none" );
													forceSystemSeverityOnObjTypes( "none", '' );
												}
											}
											else
											{
												if( document.getElementById( parentObj ).checked == true )
												{
													if( computeSeverityFactor( "informational", document.getElementById("sysselection").value ) )
													{
		alert(<!--XLATESTART-->"&#12471;&#12473;&#12486;&#12512;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById("sysselection").value + <!--XLATESTART-->
		" &#20197;&#19978;"<!--XLATESTOP-->);
														initializeObject( parentObj, childObj, "none" );
													}
													else
													{
														initializeObject( parentObj, childObj, "informational" );
													}
												}
												else
												{
													if( computeSeverityFactor( "informational", document.getElementById("sysselection").value ) )
													{
		alert(<!--XLATESTART-->"&#12471;&#12473;&#12486;&#12512;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById("sysselection").value + <!--XLATESTART-->
" &#20197;&#19978;"<!--XLATESTOP-->);
														initializeObject( parentObj, childObj, "informational" );
													}
													else
													{
														initializeObject( parentObj, childObj, "none" );
													}
												}
											}
										}
									</xsl:when>
									<xsl:otherwise>
										function initializationRoutine()
										{
											<xsl:for-each select="Events/ObjType">			
												initializeObject( document.getElementById( 'objtypeparentindex<xsl:value-of select="position()"/>' ).value, 
																	  document.getElementById( 'objtypechildindex<xsl:value-of select="position()"/>' ).value, 
																	  '<xsl:value-of select="snmptrap/@severity"/>' );
											</xsl:for-each>			
											initializeObject("systemcheckbox", "sysselection", systemSeverity );
											forceSystemSeverityOnObjTypes( systemSeverity, 'initialization' );
											disableAll();
										}
										
										function disableAll()
										{
											disableObject( "systemcheckbox", "sysselection" );
											<xsl:for-each select="Events/ObjType">			
												disableObject( document.getElementById( 'objtypeparentindex<xsl:value-of select="position()"/>' ).value, 
																	 document.getElementById( 'objtypechildindex<xsl:value-of select="position()"/>' ).value );
											</xsl:for-each>
										}
										
										function disableObject( parentObj, childObj)
										{
											document.getElementById( parentObj ).disabled = true;
											
											var tempChildObjArray = document.getElementsByName( childObj );
											tempChildObjArray[0].disabled = true;
											tempChildObjArray[1].disabled = true;
											tempChildObjArray[2].disabled = true;
											tempChildObjArray[3].disabled = true;
										}
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test=" /OMA/CommandType/@type = 'objtype' ">
								<xsl:choose>
									<xsl:when test="($userrights = '7') or ($userrights = '3')">
										function initializationRoutine()
										{
											<xsl:for-each select="Events/ObjList/Object">
												
										initializeObject( 'checkbox<xsl:value-of select="@oid"/>',  'selection<xsl:value-of select="@oid"/>', '<xsl:value-of select="snmptrap/@severity"/>' );
											</xsl:for-each>
										initializeObject( 'compgroupcheckbox<xsl:value-of select="Events/ObjType/@type"/>', 'compgroupselection<xsl:value-of select="Events/ObjType/@type"/>', '<xsl:value-of select="Events/ObjType/snmptrap/@severity"/>' );

											forceObjTypeSeverityOnObjects( '<xsl:value-of select="Events/ObjType/snmptrap/@severity"/>', 'initialization' );
										}

										function processChildSelection( parentObj, childObj, severity)
										{
											var parentCheckbox = 'compgroupcheckbox<xsl:value-of select="Events/ObjType/@type"/>' ;
											var parentSelection  = 'compgroupselection<xsl:value-of select="Events/ObjType/@type"/>' ;

											if( parentObj ==  parentCheckbox)
											{
												initializeObject( parentCheckbox, parentSelection, severity );
												forceObjTypeSeverityOnObjects( severity, '' );
											}
											else
											{
												if( computeSeverityFactor( severity, document.getElementById( parentSelection ).value ) )
												{										
		alert(<!--XLATESTART-->"&#12464;&#12523;&#12540;&#12503;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById( parentSelection ).value + <!--XLATESTART-->
" &#20197;&#19978;"<!--XLATESTOP-->);
													initializeObject( parentObj, childObj, document.getElementById( childObj ).value );
												}
												else
												{
													initializeObject( parentObj, childObj, severity );
												}
											}
										}
										
										function processParentSelection( parentObj, childObj )
										{
											var parentCheckbox = 'compgroupcheckbox<xsl:value-of select="Events/ObjType/@type"/>' ;
											var parentSelection  = 'compgroupselection<xsl:value-of select="Events/ObjType/@type"/>' ;
										
											if( parentObj == parentCheckbox )
											{
												if( document.getElementById( parentCheckbox ).checked == true )
												{
													initializeObject( parentCheckbox, parentSelection, "informational" );
													forceObjTypeSeverityOnObjects( "informational", '' );
												}
												else
												{
													initializeObject( parentCheckbox, parentSelection, "none" );
													forceObjTypeSeverityOnObjects( "none", '' );
												}
											}
											else
											{
												if( document.getElementById( parentObj ).checked == true )
												{
													if( computeSeverityFactor( "informational", document.getElementById( parentSelection ).value ) )
													{
		alert(<!--XLATESTART-->"&#12471;&#12473;&#12486;&#12512;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById( parentSelection ).value + <!--XLATESTART-->
" &#20197;&#19978;"<!--XLATESTOP-->);
														initializeObject( parentObj, childObj, "none" );
													}
													else
													{
														initializeObject( parentObj, childObj, "informational" );
													}
												}
												else
												{
													if( computeSeverityFactor( "informational", document.getElementById( parentSelection ).value ) )
													{
		alert(<!--XLATESTART-->"&#12471;&#12473;&#12486;&#12512;&#12399;&#37325;&#22823;&#24230;&#12434;&#25345;&#12388;&#12452;&#12505;&#12531;&#12488;&#12434;&#21463;&#12369;&#21462;&#12427;&#12424;&#12358;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377; "<!--XLATESTOP--> +  document.getElementById( parentSelection ).value + <!--XLATESTART-->
" &#20197;&#19978;"<!--XLATESTOP-->);
														initializeObject( parentObj, childObj, "informational" );
													}
													else
													{
														initializeObject( parentObj, childObj, "none" );
													}
												}
											}
										}
									</xsl:when>
									<xsl:otherwise>
										function initializationRoutine()
										{
											<xsl:for-each select="Events/ObjList/Object">
										initializeObject( 'checkbox<xsl:value-of select="@oid"/>',  'selection<xsl:value-of select="@oid"/>', '<xsl:value-of select="snmptrap/@severity"/>' );
											</xsl:for-each>
										initializeObject( 'compgroupcheckbox<xsl:value-of select="Events/ObjType/@type"/>', 'compgroupselection<xsl:value-of select="Events/ObjType/@type"/>', '<xsl:value-of select="Events/ObjType/snmptrap/@severity"/>' );

											forceObjTypeSeverityOnObjects( '<xsl:value-of select="Events/ObjType/snmptrap/@severity"/>', 'initialization' );
											disableAll();
										}
										
										function disableAll()
										{
											disableObject( 'compgroupcheckbox<xsl:value-of select="Events/ObjType/@type"/>',
																 'compgroupselection<xsl:value-of select="Events/ObjType/@type"/>' );
											
											<xsl:for-each select="Events/ObjList/Object">		
												disableObject( 'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>');
											</xsl:for-each>
										}
										
										function disableObject( parentObj, childObj)
										{
											document.getElementById( parentObj ).disabled = true;
											
											var tempChildObjArray = document.getElementsByName( childObj );
											tempChildObjArray[0].disabled = true;
											tempChildObjArray[1].disabled = true;
											tempChildObjArray[2].disabled = true;
											tempChildObjArray[3].disabled = true;
										}
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
						</xsl:choose>
						
						function initializeObject( parentObj, childTree, severity)
						{
							var checkboxObj = document.getElementById( parentObj );
							var selectionArray = document.getElementsByName( childTree );
							
							if( (checkboxObj != null)  &amp;&amp; (selectionArray != null) )
							{
								if( severity == 'informational' )
								{
									checkboxObj.disabled = false;
									checkboxObj.checked = true;
									selectionArray[0].checked = true;
									document.getElementById( childTree ).value = 'informational'; 
								}
								else if( severity == 'warning' )
								{
									checkboxObj.disabled = false;
									checkboxObj.checked = true;
									checkboxObj.disabled = true;
									
									selectionArray[1].checked = true;
									document.getElementById( childTree ).value = 'warning';
								}
								else if( severity == 'critical' )
								{
									checkboxObj.disabled = false;
									checkboxObj.checked = true;
									checkboxObj.disabled = true;
									
									selectionArray[2].checked = true;
									document.getElementById( childTree ).value = 'critical';
								}
								else if( severity == 'none')
								{
									checkboxObj.disabled = false;
									checkboxObj.checked = false;
									selectionArray[3].checked = true;
									document.getElementById( childTree ).value = 'none';
								}
								else
								{
									// invalid severity do nothing.
								}
							}
						}
						
						function forceObjTypeSeverityOnObjects( severity, state )
						{
							var objectcountvalue = document.getElementById( 'objectcount' ).value;

							for( var i=1; i &lt;= objectcountvalue; i++ )
							{
								var tempoid = document.getElementById( 'oidvalue' + i ).value;
								
								if( state == 'initialization' )
								{
									if( computeSeverityFactor( document.getElementById( 'selection' + tempoid ).value, severity ) )
									{
										initializeObject( 'checkbox' + tempoid, 
															   'selection' + tempoid, 
															   severity );
									}
								}
								else
								{
										initializeObject( 'checkbox' + tempoid, 
															   'selection' + tempoid, 
															   severity );
								}
							}
						}
						
						function forceSystemSeverityOnObjTypes( sysSeverity, state )
						{
							for( var  i=1; i &lt;= objTypeCount ; i++ )
							{
								var temp = document.getElementById( 'objtypechildindex' + i).value;

								if(state == 'initialization')
								{
									if( computeSeverityFactor( document.getElementById( temp).value, sysSeverity ) )
									{
										initializeObject(  document.getElementById( 'objtypeparentindex' + i).value, 
															   document.getElementById( 'objtypechildindex' + i).value, 
															   sysSeverity );
									}
								}
								else
								{
									initializeObject(  document.getElementById( 'objtypeparentindex' + i).value, 
														   document.getElementById( 'objtypechildindex' + i).value, 
														   sysSeverity );
								}
							}
						}
						
						function computeSeverityFactor( childSeverity, sysSeverity)
						{
							return ( mapServerityToInteger( sysSeverity )  &gt; mapServerityToInteger( childSeverity ) );
						}
						
						function mapServerityToInteger( severity )
						{
							if( severity == 'informational' )
							{
								return 1;
							}
							else if( severity == 'warning' )
							{
								return 2;
							}
							else if( severity == 'critical' )
							{
								return 3;
							}
							else if( severity == 'none' )
							{
								return 4;
							}
							else
							{
								// invalid severity do nothing
							}
						}
						
						function validate()
						{
							if(navigator.appName == "Netscape")
							{
								expandSelectionData();
							}						
							return true;
						}
					</script>
					<xsl:choose>
						<xsl:when test="/OMA/CommandType/@type = 'system' ">
							<CustomButton>
								<Data>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsWebPlugin&amp;help=snmptraps&amp;app=hip	</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>							
								</Data>
							</CustomButton>
						</xsl:when>
						<xsl:when test="/OMA/CommandType/@type = 'objtype' ">
							<CustomButton>
								<Data>
<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPTrapsByObjTypeWebPlugin&amp;objtype=<xsl:value-of select="/OMA/CommandType/@value"/>&amp;help=snmptraps&amp;app=hip</xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>							
								</Data>
							</CustomButton>
						</xsl:when>
					</xsl:choose>
					<xsl:apply-templates select="Events"/>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<CustomMessage status="3"><!--XLATESTART-->&#12456;&#12521;&#12540;!<!--XLATESTOP--></CustomMessage>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Events">
		<SelectionData>
			<SelectionTable>
				<Header>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP &#12488;&#12521;&#12483;&#12503;&#12434;&#26377;&#21177;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
					<xsl:choose>
						<xsl:when test="/OMA/CommandType/@type = 'system' ">
							<Row tree="expand" name="systemtreecontrol">
								<SelectDataItem>
									<Data type="checkbox" width="20" name="systemcheckbox">
										<xsl:attribute name="event">onclick</xsl:attribute>
										<xsl:attribute name="handler">javascript:processParentSelection( 'system', '');</xsl:attribute>
									</Data>
								</SelectDataItem>
								<ColumnData>
									<Data>
										<xsl:attribute name="value"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;<!--XLATESTOP--></xsl:attribute>
									</Data>
								</ColumnData>
								<ChildrenRows>
									<Row>
										<SelectDataItem>
											<Data type="radio" returnvalue="sysinfo" name="sysselection" width="20">
												<xsl:attribute name="returnvalue">informational</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection('system', '', 'informational');</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12289;&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" returnvalue="syswarn" name="sysselection" width="20">
												<xsl:attribute name="returnvalue">warning</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection('system', '', 'warning');</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" returnvalue="syscrit" name="sysselection" width="20">
												<xsl:attribute name="returnvalue">critical</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection('system', '', 'critical');</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" returnvalue="sysnone" name="sysselection" width="20">
												<xsl:attribute name="returnvalue">none</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection('system', '', 'none');</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<xsl:for-each select="ObjType">
										<xsl:call-template name="objtype"></xsl:call-template>
									</xsl:for-each>
								</ChildrenRows>
							</Row>
						</xsl:when>
						<xsl:when test="/OMA/CommandType/@type = 'objtype' ">
							<Row tree="expand">
								<xsl:attribute name="name">compgroup<xsl:value-of select="ObjType/@type"/>treecontrol</xsl:attribute>
								<SelectDataItem>
									<Data type="checkbox" width="20">
										<xsl:attribute name="name">compgroupcheckbox<xsl:value-of select="ObjType/@type"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
											<xsl:attribute name="handler">javascript:processParentSelection( 'compgroupcheckbox<xsl:value-of select="ObjType/@type"/>', 																												 'compgroupselection<xsl:value-of select="ObjType/@type"/>');</xsl:attribute>
									</Data>
								</SelectDataItem>
								<ColumnData>
									<Data>
										<xsl:attribute name="value"><xsl:call-template name="getObjTypeName">
											<xsl:with-param name="objtype"><xsl:value-of select="ObjType/@type"/></xsl:with-param>
										</xsl:call-template></xsl:attribute>
									</Data>
								</ColumnData>
								<ChildrenRows>
									<Row>
										<SelectDataItem>
											<Data type="radio" width="20">
												<xsl:attribute name="returnvalue">informational</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="name">compgroupselection<xsl:value-of select="ObjType/@type"/></xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection( 'compgroupcheckbox<xsl:value-of select="ObjType/@type"/>',
																										    'compgroupselection<xsl:value-of select="ObjType/@type"/>', 
																										    'informational' );</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12289;&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" width="20">
												<xsl:attribute name="returnvalue">warning</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="name">compgroupselection<xsl:value-of select="ObjType/@type"/></xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection( 'compgroupcheckbox<xsl:value-of select="ObjType/@type"/>',
																										    'compgroupselection<xsl:value-of select="ObjType/@type"/>', 
																										    'warning' );</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" width="20">
												<xsl:attribute name="returnvalue">critical</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="name">compgroupselection<xsl:value-of select="ObjType/@type"/></xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection( 'compgroupcheckbox<xsl:value-of select="ObjType/@type"/>',
																										    'compgroupselection<xsl:value-of select="ObjType/@type"/>', 
																										    'critical' );</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<Row>
										<SelectDataItem>
											<Data type="radio" width="20">
												<xsl:attribute name="returnvalue">none</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
												<xsl:attribute name="name">compgroupselection<xsl:value-of select="ObjType/@type"/></xsl:attribute>
												<xsl:attribute name="handler">javascript:processChildSelection( 'compgroupcheckbox<xsl:value-of select="ObjType/@type"/>',
																										    'compgroupselection<xsl:value-of select="ObjType/@type"/>', 
																										    'none');</xsl:attribute>
											</Data>
										</SelectDataItem>
										<ColumnData>
											<Data>
												<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ColumnData>
									</Row>
									<xsl:for-each select="ObjList/Object">
										<xsl:call-template name="object"/>
									</xsl:for-each>
								</ChildrenRows>
							</Row>
						</xsl:when>
					</xsl:choose>
			</SelectionTable>
		</SelectionData>
		<xsl:choose>
			<xsl:when test="/OMA/CommandType/@type = 'system' ">
				<HiddenTable>
					<Data type="hidden">
						<xsl:attribute name="name">commandtype</xsl:attribute>
						<xsl:attribute name="returnvalue">bysystem</xsl:attribute>
					</Data>
					<Data type="hidden">
						<xsl:attribute name="name">objtypecount</xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select=" count(ObjType)"/></xsl:attribute>
					</Data>
					<xsl:for-each select="ObjType">
						<Data type="hidden">
							<xsl:attribute name="name">objtypeparentindex<xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="returnvalue">parentobjtype<xsl:value-of select="@type"/></xsl:attribute>
						</Data>
						<Data type="hidden">
							<xsl:attribute name="name">objtypechildindex<xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="returnvalue">objtype<xsl:value-of select="@type"/>selection</xsl:attribute>
						</Data>
						<Data type="hidden">
							<xsl:attribute name="name">objtypechildindex<xsl:value-of select="position()"/>type</xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@type"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</HiddenTable>
			</xsl:when>
			<xsl:when test=" /OMA/CommandType/@type = 'objtype' ">
				<HiddenTable>
					<Data type="hidden">
						<xsl:attribute name="name">commandtype</xsl:attribute>
						<xsl:attribute name="returnvalue">byobjtype</xsl:attribute>
					</Data>
					<Data type="hidden">
						<xsl:attribute name="name">comgroupobjtype</xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="ObjType/@type"/></xsl:attribute>
					</Data>
					<Data type="hidden">
						<xsl:attribute name="name">objectcount</xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="ObjList/@count"/></xsl:attribute>
					</Data>
					<xsl:for-each select="ObjList/Object">
						<Data type="hidden">
							<xsl:attribute name="name">oidvalue<xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</HiddenTable>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="objtype">
		<Row tree="collapse">
			<xsl:attribute name="name">objtype<xsl:value-of select="@type"/>treecontrol</xsl:attribute>
			<SelectDataItem>
				<Data type="checkbox" width="20">
					<xsl:attribute name="name">parentobjtype<xsl:value-of select="@type"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
				<xsl:attribute name="handler">javascript:processParentSelection( 'parentobjtype<xsl:value-of select="@type"/>', 'objtype<xsl:value-of select="@type"/>selection');</xsl:attribute>
				</Data>
			</SelectDataItem>
			<ColumnData>
				<Data>
					<xsl:attribute name="value"><xsl:call-template name="getObjTypeName">
						<xsl:with-param name="objtype"><xsl:value-of select="@type"/></xsl:with-param>
					</xsl:call-template></xsl:attribute>
				</Data>
			</ColumnData>
			<ChildrenRows>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">objtype<xsl:value-of select="@type"/>selection</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
<xsl:attribute name="handler">javascript:processChildSelection( 'parentobjtype<xsl:value-of select="@type"/>' , 'objtype<xsl:value-of select="@type"/>selection', 'informational');</xsl:attribute>
							<xsl:attribute name="returnvalue">informational</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12289;&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">objtype<xsl:value-of select="@type"/>selection</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
<xsl:attribute name="handler">javascript:processChildSelection( 'parentobjtype<xsl:value-of select="@type"/>' , 'objtype<xsl:value-of select="@type"/>selection', 'warning');</xsl:attribute>
							<xsl:attribute name="returnvalue">warning</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">objtype<xsl:value-of select="@type"/>selection</xsl:attribute>
							<xsl:attribute name="event">onclick</xsl:attribute>
							<xsl:attribute name="handler">javascript:processChildSelection( 'parentobjtype<xsl:value-of select="@type"/>' , 'objtype<xsl:value-of select="@type"/>selection', 'critical');</xsl:attribute>
							<xsl:attribute name="returnvalue">critical</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">objtype<xsl:value-of select="@type"/>selection</xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
<xsl:attribute name="handler">javascript:processChildSelection( 'parentobjtype<xsl:value-of select="@type"/>' , 'objtype<xsl:value-of select="@type"/>selection', 'none');</xsl:attribute>
							<xsl:attribute name="returnvalue">none</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
			</ChildrenRows>
		</Row>
	</xsl:template>
	<xsl:template name="object">
		<Row tree="collapse">
			<xsl:attribute name="name"><xsl:value-of select="@oid"/>treecontrol</xsl:attribute>
			<SelectDataItem>
				<Data type="checkbox" width="20">
					<xsl:attribute name="name">checkbox<xsl:value-of select="@oid"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
				<xsl:attribute name="handler">javascript:processParentSelection(  'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>' );</xsl:attribute>
				</Data>
			</SelectDataItem>
			<ColumnData>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
			</ColumnData>
			<ChildrenRows>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">selection<xsl:value-of select="@oid"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
							<xsl:attribute name="handler">javascript:processChildSelection( 'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>', 'informational' );</xsl:attribute>
							<xsl:attribute name="returnvalue">informational</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12289;&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">selection<xsl:value-of select="@oid"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
							<xsl:attribute name="handler">javascript:processChildSelection( 'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>', 'warning' );</xsl:attribute>
							<xsl:attribute name="returnvalue">warning</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#21361;&#38522;&#12289;&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">selection<xsl:value-of select="@oid"/></xsl:attribute>
							<xsl:attribute name="event">onclick</xsl:attribute>
							<xsl:attribute name="handler">javascript:processChildSelection( 'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>', 'critical' );</xsl:attribute>
							<xsl:attribute name="returnvalue">critical</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#35201;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
				<Row>
					<SelectDataItem>
						<Data type="radio" width="20">
							<xsl:attribute name="name">selection<xsl:value-of select="@oid"/></xsl:attribute>
						<xsl:attribute name="event">onclick</xsl:attribute>
							<xsl:attribute name="handler">javascript:processChildSelection( 'checkbox<xsl:value-of select="@oid"/>', 'selection<xsl:value-of select="@oid"/>', 'none' );</xsl:attribute>
							<xsl:attribute name="returnvalue">none</xsl:attribute>
						</Data>
					</SelectDataItem>
					<ColumnData>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#12394;&#12375;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</ColumnData>
				</Row>
			</ChildrenRows>
		</Row>
	</xsl:template>
	<xsl:template name="getObjTypeName">
		<xsl:param name="objtype"/>
		<xsl:choose>
			<xsl:when test="$objtype =  2 "><!--XLATESTART-->&#20887;&#38263;&#24615;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  21 "><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  22 "><!--XLATESTART-->&#28201;&#24230;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  23 "><!--XLATESTART-->&#12501;&#12449;&#12531;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  24 "><!--XLATESTART-->&#38651;&#22311;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  25 "><!--XLATESTART-->&#38651;&#27969;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  28 "><!--XLATESTART-->&#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  31 "><!--XLATESTART-->&#12525;&#12464;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  35 "><!--XLATESTART-->&#12501;&#12449;&#12531;&#12456;&#12531;&#12463;&#12525;&#12540;&#12472;&#12515;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  37 "><!--XLATESTART-->AC &#12467;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$objtype =  225 "><!--XLATESTART-->&#12513;&#12514;&#12522;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>