<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml"  encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="OMAUserRights">
		<xsl:text disable-output-escaping="yes">	&lt;xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"></xsl:text>
			<xsl:element name="xsl:template">
				<xsl:attribute name="match">EventLog</xsl:attribute>
				<DataArea onLoad="true">
					<script language="javascript">
						function clearLog()
						{
							document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.ClearAlertLogWebPlugin';
							document.dataarea.submit();
						}
						function initializationRoutine()
						{
							document.getElementById("prompttext").innerHTML= "<!--XLATESTART-->&#25253;&#35686;&#26085;&#24535;&#21253;&#21547;...<!--XLATESTOP-->";
						}
						function saveLog()
						{
							document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
							document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
							document.dataarea.submit();
						}
					</script>
					<Header><!--XLATESTART-->&#39029;&#26631;&#39064;<!--XLATESTOP--></Header>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#25253;&#26085;&#24535;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<PromptText><!--XLATESTART-->&#25253;&#35686;&#26085;&#24535;&#21253;&#21547;&#65288;&#35831;&#31245;&#20505;&#12290; &#36825;&#21487;&#33021;&#38656;&#35201;&#19968;&#27573;&#26102;&#38388;&#65289;...<!--XLATESTOP--></PromptText>
						<CustomButton>
							<xsl:if test="number(.) > 1">
								<Data name="Clear" display="&#28165;&#38500;&#26085;&#24535;">
									<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
								</Data>
								<Data name="Save" display="&#21478;&#23384;&#20026;">
									<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
								</Data>
							</xsl:if>
							<Data name="Refresh" display="&#21047;&#26032;">
								<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin</xsl:attribute>
							</Data>
						</CustomButton>
					<TableData>
						<Header>
							<Data name="Severity" align="center" display="Severity" value="Severity" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogSevWebPlugin"/>
							<Data name="Description" display=" " value=" "/>
							<Data name="ID" display="ID" value="ID" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogIDWebPlugin"/>
							<Data name="Description" display=" " value=" "/>
							<Data name="DateTime" display="Date &amp; Time" value="Date &amp; Time" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin"/>
							<Data name="Description" display=" " value=" "/>
							<Data name="Description" display="Description" value="Description" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogDescWebPlugin"/>
						</Header>
						<xsl:element name="xsl:apply-templates">
							<xsl:attribute name="select">LogEntry</xsl:attribute>
							<xsl:element name="xsl:sort">
								<xsl:attribute name="select">TimeStamp</xsl:attribute>
							<xsl:attribute name="data-type">number</xsl:attribute>
							<xsl:attribute name="order">descending</xsl:attribute>
							</xsl:element>
						</xsl:element>
					</TableData>
				</DataArea>
			</xsl:element>
			<xsl:element name="xsl:template"><xsl:attribute name="match">LogEntry</xsl:attribute>
				<Row>
					<Data name="severity" type="status" align="center">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:call-template"><xsl:attribute name="name">alert-status2omsa</xsl:attribute>
								<xsl:element name="xsl:with-param"><xsl:attribute name="name">Status</xsl:attribute>
									<xsl:element name="xsl:value-of"><xsl:attribute name="select">Type</xsl:attribute></xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description" display=" " value=" "/>
					<Data name="ID">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">ID</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">ID</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description" display=" " value=" "/>
					<Data name="DateTime">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">TimeStamp</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">DateTime</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description" display=" " value=" "/>
					<Data name="Description">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">Description</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">Description</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
				</Row>
			</xsl:element>

			<xsl:element name="xsl:template"><xsl:attribute name="name">alert-status2omsa</xsl:attribute>
				<xsl:element name="xsl:param"><xsl:attribute name="name"/>Status</xsl:element>
				<xsl:element name="xsl:choose">
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=0</xsl:attribute>0</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=1</xsl:attribute>5</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=2</xsl:attribute>3</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=4</xsl:attribute>2</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=8</xsl:attribute>2</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=16</xsl:attribute>5</xsl:element>
					<xsl:element name="xsl:otherwise">0</xsl:element>
				</xsl:element>
			</xsl:element>
		<xsl:text disable-output-escaping="yes">
			&lt;/xsl:stylesheet>
		</xsl:text>
	</xsl:template>
</xsl:stylesheet>
