<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="BIOSView1/SMStatus = 0">
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->BIOS &#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<ListData type="custom">
						<xsl:call-template name="SystemBIOS"/>
						<xsl:call-template name="LastBIOSUpdate"/>
					</ListData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->BIOS &#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<PromptText status="3">
						<!--XLATESTART-->&#26080;&#27861;&#33719;&#21462; BIOS &#29256;&#26412;&#20449;&#24687;&#12290;<!--XLATESTOP-->
					</PromptText>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SystemBIOS">
		<Data name="Name">
			<xsl:attribute name="display"><!--XLATESTART-->&#21046;&#36896;&#21830;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Manufacturer"/></xsl:attribute>
		</Data>
		<Data name="Version">
			<xsl:attribute name="display"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/Version"/></xsl:attribute>
		</Data>
		<Data name="ReleaseDate">
			<xsl:attribute name="display"><!--XLATESTART-->&#21457;&#24067;&#26085;&#26399;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="BIOSView1/SystemBIOS/ReleaseDate"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template name="LastBIOSUpdate">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#25345;&#26381;&#21153;&#22120;&#31649;&#29702;&#21592; BIOS &#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable = '1'">
				<xsl:if test="UserAdmin = '1'">
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
						<xsl:attribute name="value"><!--XLATESTART-->&#26159;<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
						<xsl:attribute name="value"><!--XLATESTART-->&#21542; <!--XLATESTOP--></xsl:attribute>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(UserAdmin ) = '0'">
					<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#26381;&#21153;&#22120;&#31649;&#29702;&#21592; BIOS &#26368;&#36817;&#26356;&#26032;&#26085;&#26399;<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="LUUpdateable  = '1'">
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support = 1">
					<xsl:choose>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 17">
							<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:attribute>
						</xsl:when>
						<xsl:when test="BIOSView2/LastBIOSUpdate/CompletionCode = 3">
							<xsl:attribute name="value"><xsl:value-of select="concat(BIOSView2/LastBIOSUpdate/LastUpdateMonth, '/', BIOSView2/LastBIOSUpdate/LastUpdateDay, '/', BIOSView2/LastBIOSUpdate/LastUpdateYear)"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="BIOSView2/LastBIOSUpdate/Support != 1">
					<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count(LUUpdateable ) = '0'">
				<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	<xsl:template match="OMAUserRights"/>
</xsl:stylesheet>
