<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<xsl:choose>
		<xsl:when test="@cli='true'">
			<DataArea>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;&#65281; &#26410;&#25214;&#21040;&#22788;&#29702;&#22120;&#25110;&#22788;&#29702;&#22120;&#19981;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:attribute></PageTitle>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
				<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#39640;&#36895;&#32531;&#23384;<!--XLATESTOP--></xsl:attribute></PageTitle>
				<TableData>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data name=""  display="">
							<xsl:attribute name="value">
								<xsl:call-template name="smstatus">
									<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="success">
	<xsl:variable name="FoundExternal" select="count(CacheList/DevCache[Location='4'])"/>
	<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor">
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:attribute>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#39640;&#36895;&#32531;&#23384;<!--XLATESTOP--></xsl:attribute></PageTitle>		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="ServletArguments/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
		</CustomButton>		
		<TableData>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#19978;&#22788;&#29702;&#22120;&#30340;&#39640;&#36895;&#32531;&#23384;&#20449;&#24687;&#65306; <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="ProcessorConn/ExtName"/></xsl:attribute>	
			</SubHeader>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display">Cache <xsl:call-template name="count"/></xsl:attribute>
						<xsl:attribute name="value">Cache <xsl:call-template name="count"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Header>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="desc"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="desc"/></xsl:attribute>
						</Data>			
					</xsl:for-each>		
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="level"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="level"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>	
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data >
						<xsl:attribute name="display"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="speed"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="speed"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</Row>
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="maxsize"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="maxsize"/></xsl:attribute>
						</Data>
					</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#35013;&#22823;&#23567;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23433;&#35013;&#22823;&#23567;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="installedsize"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="installedsize"/></xsl:attribute>
					</Data>
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="type"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="type"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20301;&#32622;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20301;&#32622;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="location"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="location"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20889;&#31574;&#30053;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20889;&#31574;&#30053;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="writepolicy"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="writepolicy"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>		
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20851;&#32852;&#24615;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#32852;&#24615;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="associativity"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="associativity"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#25345;&#30340;&#39640;&#36895;&#32531;&#23384;&#35774;&#22791;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25903;&#25345;&#30340;&#39640;&#36895;&#32531;&#23384;&#35774;&#22791;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="SupSRAMTypeMap/*"><xsl:call-template name="supsram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069;&#30340;&#39640;&#36895;&#32531;&#23384;&#35774;&#22791;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#24403;&#21069;&#30340;&#39640;&#36895;&#32531;&#23384;&#35774;&#22791;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:for-each select="CurSRAMTypeMap/*"><xsl:call-template name="cursram"/></xsl:for-each>
							</xsl:attribute>
						</Data>		
					</xsl:for-each>
				</Row>
			</xsl:if>
			<xsl:if test="$FoundExternal > '0'">
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#25554;&#27133;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#22806;&#37096;&#25554;&#27133;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="CacheList/DevCache">
						<Data>
							<xsl:attribute name="display"><xsl:call-template name="extsock"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:call-template name="extsock"/></xsl:attribute>
						</Data>	
					</xsl:for-each>
				</Row>	
			</xsl:if>	
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32416;&#38169;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32416;&#38169;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="CacheList/DevCache">
					<Data>
						<xsl:attribute name="display"><xsl:call-template name="errcorr"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:call-template name="errcorr"/></xsl:attribute>
					</Data>		
				</xsl:for-each>
			</Row>
		</TableData>		
	</DataArea>
</xsl:template>
<xsl:template name="count">
	<xsl:choose>
		<xsl:when test="/OMA/CacheList/@count='1'"></xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index" select="@index"/>
			<xsl:value-of select="number($index)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="desc">
	<xsl:if test="CacheStatus='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='3'"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='4'"><!--XLATESTART-->&#29992;&#25143;&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
	<xsl:if test="CacheStatus='5'"><!--XLATESTART-->BIOS &#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
</xsl:template>
<xsl:template name="level">
	<xsl:choose>
		<xsl:when test="CacheLevel= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '3'"><!--XLATESTART-->&#20027;&#35201;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '4'"><!--XLATESTART-->&#27425;&#35201;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheLevel= '5'"><!--XLATESTART-->&#20877;&#27425;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="CacheType= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '3'"><!--XLATESTART-->&#25351;&#20196;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '4'"><!--XLATESTART-->&#25968;&#25454;<!--XLATESTOP--></xsl:when>
		<xsl:when test="CacheType= '5'"><!--XLATESTART-->&#32479;&#19968;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="location">
	<xsl:choose>
		<xsl:when test="Location= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '3'"><!--XLATESTART-->&#20869;&#37096;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Location= '4'"><!--XLATESTART-->&#22806;&#37096;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="writepolicy">
	<xsl:choose>
		<xsl:when test="WritePolicy= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '3'"><!--XLATESTART-->&#22238;&#20889;<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '4'"><!--XLATESTART-->&#30452;&#20889;<!--XLATESTOP--></xsl:when>
		<xsl:when test="WritePolicy= '5'"><!--XLATESTART-->&#38543;&#22320;&#22336;&#32780;&#21464;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="associativity">
	<xsl:choose>
		<xsl:when test="Associativity= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '3'"><!--XLATESTART-->&#30452;&#25509;&#26144;&#23556;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '4'"><!--XLATESTART-->&#21452;&#36335;&#25104;&#32452;&#30456;&#32852;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '5'"><!--XLATESTART-->&#22235;&#36335;&#25104;&#32452;&#30456;&#32852;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '6'"><!--XLATESTART-->&#23436;&#20840;&#30456;&#32852;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '7'"><!--XLATESTART-->&#20843;&#36335;&#25104;&#32452;&#30456;&#32852;<!--XLATESTOP--></xsl:when>
		<xsl:when test="Associativity= '8'"><!--XLATESTART-->&#21313;&#20845;&#36335;&#25104;&#32452;&#30456;&#32852;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="supsram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="cursram"><xsl:if test=".='true'"><xsl:value-of select="name()"/><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if></xsl:template>
<xsl:template name="extsock">
	<xsl:choose>
		<xsl:when test="IsSocketed='false'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="SocketExtName"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="errcorr">
	<xsl:choose>
		<xsl:when test="ErrCorrType= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '3'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '4'"><!--XLATESTART-->&#22855;&#20598;&#26657;&#39564;<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '5'"><!--XLATESTART-->&#21333;&#20301; ECC<!--XLATESTOP--></xsl:when>
		<xsl:when test="ErrCorrType= '6'"><!--XLATESTART-->&#22810;&#20301; ECC<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="speed">
	<xsl:choose>
		<xsl:when test="Speed='0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="Speed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Speed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="maxsize">
	<xsl:choose>
		<xsl:when test="MaxSize='0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="MaxSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="MaxSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="installedsize">
	<xsl:choose>
		<xsl:when test="InstalledSize='0'"><!--XLATESTART-->&#26410;&#30693;&#25110;&#26410;&#23433;&#35013;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="InstalledSize"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="InstalledSize/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="pindex">		
	<xsl:variable name="pindex" select="CacheList/@pindex"/>
	<xsl:value-of select="number($pindex)+1"/>	
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#39640;&#36895;&#32531;&#23384;&#25110;&#39640;&#36895;&#32531;&#23384;&#19981;&#23384;&#22312;&#65292;&#32034;&#24341;&#32534;&#21495;&#26080;&#25928;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#39640;&#36895;&#32531;&#23384;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#39640;&#36895;&#32531;&#23384;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#22815;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
