<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;ChassisProps1Oid=<xsl:value-of select="ChassisInfo/ChassisProps1/@oid"/>&amp;ChassisProps2Oid=<xsl:value-of select="ChassisInfo/ChassisProps2/@oid"/>&amp;SystemInfoOid=<xsl:value-of select="ChassisInfo/SystemInfo/@oid"/></xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display">
					<xsl:choose>
						<xsl:when test="ChassisInfo/ChassisProps1/ChassName='Main System Chassis'">
							<!--XLATESTART-->&#20027;&#31995;&#32479;&#26426;&#31665;<!--XLATESTOP-->
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="ChassisInfo/ChassisProps1/ChassName"/></xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#20449;&#24687;<!--XLATESTOP-->
				</xsl:attribute>
			</PageTitle>
			<Header>Header</Header>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ChassisWebPlugin&amp;oid=<xsl:value-of select="Chassis/@oid"/>&amp;help=Chassis</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData type="custom">
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
			<script language="javascript">
				function validate()
				{
					//Eliminate the spaces at the end
					while(document.dataarea.AssetTag.value.charAt(document.dataarea.AssetTag.value.length-1)==' ')
					{
						document.dataarea.AssetTag.value= document.dataarea.AssetTag.value.substring(0,document.dataarea.AssetTag.value.length-1);
					}
					if(!isAlphaNumeric(document.dataarea.AssetTag.value))
					{
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					if(document.dataarea.AssetTag.value.length > 10)
					{
						alert("&#36164;&#28304;&#26631;&#31614;&#19981;&#24471;&#36229;&#36807; 10 &#20010;&#23383;&#31526;");
						document.dataarea.AssetTag.focus();
						document.dataarea.AssetTag.select();
						return false;
					}
					//Check to see if the chassis led is there
					<xsl:if test="//ChassisProps2/IdentifySupport='true'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							var pretimeout = <xsl:value-of select="//ChassisProps2/ChassIdentifyTimeout"/>;													var timeout 	= document.getElementById("timeout").value;
							if(isNaN(timeout) == true)
							{
								alert("&#38169;&#35823;&#65281;&#26426;&#31665;&#26631;&#35782;&#36229;&#26102;&#24212;&#20026;&#25972;&#25968;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; " + timeout );
								document.getElementById("timeout").value = pretimeout ;
								return false;
							}
							if(timeout &lt; 1) {
								alert("&#38169;&#35823;&#65281; &#26426;&#31665;&#26631;&#35782;&#36229;&#26102;&#24517;&#39035;&#22823;&#20110; 0&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; " + timeout );
								document.getElementById("timeout").value = pretimeout ;								
								return false;
							}
							else
							{
								if(timeout.indexOf(".") != "-1")
														{
															alert("&#38169;&#35823;&#65281; &#26426;&#31665;&#26631;&#35782;&#36229;&#26102;&#24212;&#20026;&#25972;&#25968;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; " + timeout );
									document.getElementById("timeout").value = pretimeout ;						
									return false;
								}
							}
						</xsl:if>
					</xsl:if>
					<xsl:if test="/OMA/Chassis/@oid != '2'">
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							if(!isAlphaNumeric(document.dataarea.ChassisName.value))
								{
									document.dataarea.ChassisName.focus();
									document.dataarea.ChassisName.select();
									return false;
								}
						</xsl:if>
					</xsl:if>
					return true;
				}
				function isAlphaNumeric(text) {
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~";
					var ok = "yes";
					var temp;
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}
					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1")
						{
							ok = "no";
						}
						//Check for space
						if(temp == " ")
						{
							ok = "yes";
						}
					}
					if (ok == "no")
					{
						alert("&#38169;&#35823;&#65281;&#24212;&#20026;&#23383;&#27597;&#25968;&#23383;&#25110;&#31526;&#21495;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; " + text);
						return false;
					}
					return true;
				}				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="/OMA/Chassis/@oid = '2'">
			<Data name="HostName">
				<xsl:attribute name="display"><!--XLATESTART-->&#20027;&#26426;&#21517;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:apply-templates select="FirmwareList"/>
		<Data name="SystemModel" width="300">
			<xsl:attribute name="display"><!--XLATESTART-->&#26426;&#31665;&#22411;&#21495;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassModel"/></xsl:attribute>
		</Data>
		<Data name="ChassLock">
			<xsl:attribute name="display"><!--XLATESTART-->&#26426;&#31665;&#38145;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="ChassisProps1/ChassLockPresent='true'"><!--XLATESTART-->&#23384;&#22312;<!--XLATESTOP--></xsl:when>
					<xsl:when test="ChassisProps1/ChassLockPresent='false'"><!--XLATESTART-->&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		
		<xsl:apply-templates select="ChassisProps2"/>				
		<xsl:if test="/OMA/Chassis/@oid != '2'">
			<Data name="ChassisName">
				<xsl:attribute name="display"><!--XLATESTART-->&#26426;&#31665;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps1/ChassName"/></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
					 <xsl:attribute name="size">12</xsl:attribute>
					<xsl:attribute name="maxlength">31</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		
		<xsl:if test="/OMA/BaseBoardList/@count > '0'">
			<xsl:apply-templates select="/OMA/BaseBoardList"/>
		</xsl:if>

			
		
		<xsl:if test="ChassisProps2/IdentifySupport='true'">
			<Data name="indentify" returnvalue="1" type="checkbox">
				<xsl:attribute name="display"><!--XLATESTART-->&#35782;&#21035;&#26426;&#31665;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"></xsl:attribute>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:if test="ChassisProps2/ChassIdentifyState = '1'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="ChassisProps2/ChassIdentifyState = '1'">
								<xsl:attribute name="state">3</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>	
			</Data>
			<Data name="timeout">
				<xsl:attribute name="display"><!--XLATESTART-->&#26426;&#31665;&#26631;&#35782;&#36229;&#26102;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ChassisProps2/ChassIdentifyTimeout"/></xsl:attribute>
				<xsl:attribute name="unit"><!--XLATESTART-->&#31186;<!--XLATESTOP--></xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="type">editbox</xsl:attribute>
				</xsl:if>
			</Data>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
					<Data name="hdfault" type="checkbox">
						<xsl:attribute name="display"><!--XLATESTART-->&#28165;&#38500;&#30828;&#30424;&#39537;&#21160;&#22120;&#25925;&#38556;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</xsl:if>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault" type="select">
						<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556; LED &#22312;&#20005;&#37325;&#24615;&#32423;&#21035;&#19978;&#38378;&#28865;<!--XLATESTOP--></xsl:attribute>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->&#20005;&#37325;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">16</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=16">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
						<Choice>
							<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:if test="ChassisProps2/FaultLEDControl=8">
								<xsl:attribute name="default">true</xsl:attribute>
							</xsl:if>
						</Choice>
					</Data>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="ChassisProps2/FaultLEDControl != '0'">
					<Data name="ledfault">
						<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556; LED &#22312;&#35813;&#20005;&#37325;&#32423;&#21035;&#38378;&#28865;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="ChassisProps2/FaultLEDControl=8"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><!--XLATESTART-->&#20005;&#37325;<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ChassisProps2">	
		<Data name="ServiceTag" type="ustring">
			<xsl:attribute name="display">
				 <xsl:choose>
				<xsl:when test="/OMA/BaseBoardList/BaseBoard">
					<!--XLATESTART-->Server Module Asset Tag<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise><!--XLATESTART-->&#26426;&#31665;&#26381;&#21153;&#26631;&#31614;<!--XLATESTOP--></xsl:otherwise>
			    </xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
		</Data>		
		<Data name="AssetTag">
			<xsl:attribute name="display"><!--XLATESTART-->&#26426;&#31665;&#36164;&#20135;&#26631;&#31614;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="AssetTag"/></xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:attribute name="type">editbox</xsl:attribute>
				<xsl:attribute name="size">12</xsl:attribute>
				<xsl:attribute name="maxlength">10</xsl:attribute>
			</xsl:if>
		</Data>
	</xsl:template>
	
	<xsl:template match="/OMA/BaseBoardList">
		<xsl:for-each select="BaseBoard">
			<xsl:if test="FeatureFlags/HostingBoard='true'">
				<Data name="BladeServiceTag" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#26381;&#21153;&#22120;&#27169;&#22359;&#26381;&#21153;&#26631;&#31614;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ServiceTag"/></xsl:attribute>
				</Data>
			
				<Data name="BladeLocation" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#26381;&#21153;&#22120;&#27169;&#22359;&#20301;&#32622;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="BoardLocation"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="FirmwareList">
		<xsl:apply-templates select="Firmware"/>
	</xsl:template>
	
	<xsl:template match="Firmware">
		<Data name="fwtype">
			<xsl:attribute name="display">
				<xsl:call-template name="getFWType">
					<xsl:with-param name="type">
						<xsl:value-of select="FWType"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>			
		</Data>
	</xsl:template>
	
	<xsl:template name="status2txt">
		<xsl:param name="Status"/>
		<xsl:choose>
			<xsl:when test="$Status=1"><!--XLATESTART-->&#26426;&#31665;&#24050;&#25171;&#24320;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=2"><!--XLATESTART-->&#26426;&#31665;&#24050;&#20851;&#38381;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$Status=3"><!--XLATESTART-->&#26426;&#31665;&#20197;&#21069;&#25171;&#24320;&#36807;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getFWType">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='3'"><!-- XLATESTART-->BIOS &#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='4'"><!-- XLATESTART-->ESM &#22266;&#20214;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='5'"><!-- XLATESTART-->&#30005;&#28304;&#24182;&#34892;&#26495;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='6'"><!-- XLATESTART-->&#32972;&#26495;&#22266;&#20214;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='7'"><!-- XLATESTART-->&#20869;&#26680;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='8'"><!-- XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='9'"><!-- XLATESTART-->&#21069;&#38754;&#26495;&#25511;&#21046;&#22120;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='10'"><!-- XLATESTART-->&#22522;&#26495;&#31649;&#29702;&#25511;&#21046;&#22120;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='11'"><!-- XLATESTART-->&#28909;&#25554;&#22836; PCI &#25511;&#21046;&#22120;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='12'"><!-- XLATESTART-->&#20256;&#24863;&#22120;&#25968;&#25454;&#35760;&#24405;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='13'"><!-- XLATESTART-->&#22806;&#35774;&#25176;&#26550;&#32972;&#26495;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>
			<xsl:when test="$type='14'"><!-- XLATESTART-->PowerEdge 2450 &#27425;&#32972;&#26495;&#29256;&#26412;<!-- XLATESTOP--></xsl:when>			
			<xsl:otherwise><!-- XLATESTART-->&#26410;&#30693;&#22266;&#20214;&#29256;&#26412;<!-- XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
