<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA" priority="1">
		<xsl:choose>
			<xsl:when test="SMStatus = 0">
				<DataArea>
					<PageTitle> 
						<xsl:attribute name="display"><!--XLATESTART-->&#22266;&#20214;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<xsl:call-template name="FirmwareList"/>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FirmwareList" priority="2">
		<TableData>
			<Header>
				<Data name="Name" editable="false" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Version" editable="false" type="ustring">
					<xsl:attribute name="display"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<!--Data name="Status" display="Status" value="" editable="false" type="ustring"/-->
			</Header>
			<xsl:for-each select="FirmwareList/Firmware">
				<Row>
					<Data value="{FWText}"/>
					<Data value="{FWVersion}"/>
				</Row>
			</xsl:for-each>
		</TableData>
		<CustomButton>
			<Data name="Refresh" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FWViewWebPlugin&amp;help=Firmware">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
	</xsl:template>
	<xsl:template match="*/OMAUserRights"/>
		<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#26410;&#25104;&#21151;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#24050;&#25104;&#21151;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#26410;&#25191;&#34892;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#38169;&#35823;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#36229;&#26102;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#24050;&#21462;&#28040;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#24322;&#24120;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21629;&#20196;&#25346;&#36215;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#26080;&#27492;&#35774;&#22791;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#27491;&#24537;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#25925;&#38556;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#20551;&#20013;&#26029;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#36164;&#28304;&#38145;&#23450;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#32034;&#24341;&#26080;&#25928;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->&#38169;&#35823;&#65281; SMB &#38169;&#35823;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35774;&#22791;&#24050;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35813;&#31995;&#32479;&#19978;&#27809;&#26377;&#22266;&#20214;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#22266;&#20214;&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#22266;&#20214;&#23545;&#35937;&#24050;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#26410;&#25214;&#21040; INI &#25991;&#20214;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->&#38169;&#35823;&#65281; INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#19981;&#36866;&#24403;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->&#38169;&#35823;&#65281; INI &#37096;&#20998;&#19981;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->&#38169;&#35823;&#65281; INI &#38190;&#19981;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->&#38169;&#35823;&#65281; INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#19981;&#36866;&#24403;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#35775;&#38382;&#26435;&#38480;&#19981;&#36275;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#12290;</xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#20869;&#23384;&#19981;&#36275;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#38169;&#35823;&#65281; &#26410;&#25214;&#21040; XML &#25991;&#20214;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->&#38169;&#35823;&#65281; XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->&#38169;&#35823;&#65281; XML &#33410;&#28857;&#19981;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->&#38169;&#35823;&#65281; XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
