<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="Chassis/@display"/></xsl:attribute>
			</PageTitle>
			<ListData>
				<xsl:apply-templates select="ChassisInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="ChassisInfo">
		<xsl:if test="ChassisProps2/IdentifySupport">
			<xsl:if test="ChassisProps2 /IdentifySupport = 'true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#38378;&#23631;&#26426;&#31665;&#26631;&#35782; LED &#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '0'"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:when test="ChassisProps2/ ChassIdentifyState = '1'"><!--XLATESTART-->&#27491;&#22312;&#38378;&#28865;<!--XLATESTOP-->
				              </xsl:when>
				              <xsl:otherwise><!--XLATESTART-->&#26410;&#23450;&#20041;<!--XLATESTOP-->
				              </xsl:otherwise>
			               </xsl:choose>
	 				</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#38378;&#23631;&#26426;&#31665;&#26631;&#35782; LED &#36229;&#26102;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ChassisProps2 /ChassIdentifyTimeout " /></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
		<xsl:if test="ChassisProps2/HdLedSupport = 'true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#28165;&#38500;&#30828;&#30424;&#39537;&#21160;&#22120;&#25925;&#38556;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#25903;&#25345;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ChassisProps2/FaultLEDControl">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556; LED &#22312;&#23433;&#20840;&#32423;&#21035;&#19978;&#38378;&#28865;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
			 		<xsl:call-template name="FaultLEDSeverity">
						<xsl:with-param name="Severity">
  						<xsl:value-of select="ChassisProps2 /FaultLEDControl" /> 
  						</xsl:with-param>
					</xsl:call-template>
 				</xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="FaultLEDSeverity">
		<xsl:param name="Severity"/>
		<xsl:choose>
			<xsl:when test="$Severity = '8'"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$Severity = '16'"><!--XLATESTART-->&#20005;&#37325;<!--XLATESTOP-->
			</xsl:when>
			<xsl:otherwise><!--XLATESTART-->&#26410;&#23450;&#20041;<!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
