<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle display="&#20405;&#20837;">
				<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#26426;&#31665;&#20405;&#20837;&#29366;&#24577;&#26174;&#31034;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">
						/servlet/DataArea?plugin=com.dell.hip.webplugins.IntrusionWebPlugin&amp;poid=2
					</xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:choose>
				<xsl:when test="IntrusionList/@count = '0'">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#20405;&#20837;&#20449;&#24687;&#12290;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#20405;&#20837;&#20449;&#24687;&#12290;<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="IntrusionList"/>
				</xsl:otherwise>
			</xsl:choose>		
		</DataArea>
	</xsl:template>
	<xsl:template match="IntrusionList">
		<TableData>
			<Header>
				<Data name="status" align="center">
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="name">
					<xsl:attribute name="value"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data> 
				<Data name="state">
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data> 
			</Header>
			<xsl:apply-templates select="Intrusion"/>
		</TableData>
	</xsl:template>
	<xsl:template match="Intrusion">
		<Row>
			<Data name="status" type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
			</Data>
			<Data name="name">
				<xsl:attribute name="value">
					<xsl:value-of select="IntrusionLoc"/>
				</xsl:attribute>
			</Data>
			<Data name="State">
				<xsl:attribute name="value">
					<xsl:call-template name="status2txt">
						<xsl:with-param name="Status"><xsl:value-of select="IntrusionStatus"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
<xsl:template name="status2txt">
	<xsl:param name="Status"/>
	<xsl:choose>
		<xsl:when test="$Status=1"><!--XLATESTART-->&#26426;&#31665;&#24050;&#25171;&#24320;<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=2"><!--XLATESTART-->&#26426;&#31665;&#24050;&#20851;&#38381;<!--XLATESTOP--></xsl:when>
		<xsl:when test="$Status=3"><!--XLATESTART-->&#26426;&#31665;&#20197;&#21069;&#25171;&#24320;&#36807;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>
