<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<DataArea printable="false">
					<PageTitle/>
					<xsl:attribute name="display"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;<!--XLATESTOP--></xsl:attribute>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Row>
							<Data display="">
								<xsl:attribute name="value">
									<xsl:call-template name="smstatus">
										<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;<!--XLATESTOP--></xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/@cli = 'true'">
							</xsl:when>
							<xsl:otherwise>
							     <xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</PageTitle>
					<CustomButton>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.FanProbesWebPlugin&amp;poid=<xsl:value-of select="/OMA/FanProbeList/@poid"/>&amp;help=Fans</xsl:attribute>
						</Data>
					</CustomButton>
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'">
							<xsl:for-each select="Chassis">
								<xsl:call-template name="ChassisFans"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise><xsl:call-template name="ChassisFans"/></xsl:otherwise>
                    	</xsl:choose>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ChassisFans">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;<!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->&#39118;&#25159;&#20887;&#20313;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/>
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21015;&#34920;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21015;&#34920; <!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(FanProbeList/FanProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="FanProbeList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
						<xsl:otherwise>
							<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(FanProbeList/FanProbe) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Fans</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="FanProbeList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
<xsl:template match="FanProbeList">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
					</Data>

					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:when>
			<xsl:otherwise>
				<Header>
					<!--Data name="" display="" value="" ignoreonweb="true"/-->
					<Data name="" display="" value="" ignoreonweb="true"/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data name="" display="" value=""/>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data colspan="3" underlined="true" align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data ignoreonweb="true">
						<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="append"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="number" select="@index" order="ascending"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="FanProbe">
					<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Redundancy">
		<Header>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#20887;&#20313;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:call-template name="RedStatus">
					<xsl:with-param name="status">
						<xsl:value-of select="RedunStatus"/>
					</xsl:with-param>
				</xsl:call-template>
			</Data>
		</Row>
		<Row>
			<Data>
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;&#20887;&#20313;&#25152;&#38656;&#30340;&#35774;&#22791;&#25968;<!--	XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="RedunCount"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="FanProbe">
		<xsl:choose>
			<xsl:when test="(SubType != '1') and (SubType != '3')">
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
						<xsl:attribute name="type">status</xsl:attribute>
						<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:variable name="reading">
							<xsl:choose>
								<xsl:when test="ProbeReading = 'true'">
									<!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP-->
								</xsl:when>
								<xsl:otherwise>
									<!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:attribute name="value"><xsl:value-of select="$reading"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$reading"/></xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#19981;&#36866;&#29992;<!--XLATESTOP--></xsl:attribute>
					</xsl:element>
				</Row>
			</xsl:when>
			<xsl:otherwise>
				<Row>
					<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
						<xsl:attribute name="align">center</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
	<xsl:if test="((/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')) and (ProbeThresholds/LNCThreshold &gt; 0) and ( ProbeThresholds/UNCThreshold &gt; 0)">
		<xsl:attribute name="link">true</xsl:attribute>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.EditFanProbeWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;poid=<xsl:value-of select="@poid"/>&amp;help=EditFanProbe</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align"> left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeReading &gt;= 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeReading"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeReading &lt; 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UNCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UNCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/LCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/LCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="align">center</xsl:attribute>
						<xsl:choose>
							<xsl:when test="ProbeThresholds/UCThreshold &gt; 0">
								<xsl:attribute name="value"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/><!--XLATESTART-->&#36716;z&#20998;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:when test="ProbeThresholds/UCThreshold &lt;= 0">
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</Row>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RedStatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = 1">
				<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 2">
				<xsl:attribute name="value"><!--XLATESTART-->&#26242;&#32570;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 3">
				<xsl:attribute name="value"><!--XLATESTART-->&#33073;&#26426;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 4">
				<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 5">
				<xsl:attribute name="value"><!--XLATESTART-->&#38477;&#32423;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$status = 6">
				<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;<!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="value"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '0'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#39118;&#25159;&#25506;&#27979;&#22120;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#39118;&#25159;&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#39118;&#25159;&#23545;&#35937;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#22815;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus&#65306; <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
