<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:apply-templates select="LRAList"/>
	</xsl:template>
	<xsl:template match="LRAList">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#25253;&#25514;&#26045;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<Header>Header</Header>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<PromptText><!--XLATESTART-->&#21333;&#20987;&#20107;&#20214;&#21517;&#31216;&#21487;&#35774;&#32622;&#25805;&#20316;&#12290;<!--XLATESTOP--></PromptText>
			</xsl:if>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#20107;&#20214;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#20107;&#20214;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#25196;&#22768;&#22120;&#21716;&#38899;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25196;&#22768;&#22120;&#21716;&#38899;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#25511;&#21046;&#21488;&#35686;&#25253;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25511;&#21046;&#21488;&#35686;&#25253;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#24191;&#25773;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24191;&#25773;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#25191;&#34892;&#24212;&#29992;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25191;&#34892;&#24212;&#29992;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#30340;&#32477;&#23545;&#36335;&#24452;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#30340;&#32477;&#23545;&#36335;&#24452;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:when>
					<xsl:otherwise>
						<Header>
							<Data name="Event">
								<xsl:attribute name="display"></xsl:attribute>
							</Data>
							<Data name="Action" colspan="7" underlined="true" align="center">
								<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069;&#28608;&#27963;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24403;&#21069;&#28608;&#27963;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<Header>
							<Data name=" " value="" width="300">
								<xsl:attribute name="display"><!--XLATESTART-->&#20107;&#20214;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#20107;&#20214;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#25196;&#22768;&#22120;&#21716;&#38899;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25196;&#22768;&#22120;&#21716;&#38899;<!--XLATESTOP--></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#25511;&#21046;&#21488;&#35686;&#25253; <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25511;&#21046;&#21488;&#35686;&#25253; <!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#24191;&#25773;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24191;&#25773;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><!--XLATESTART-->&#25191;&#34892;&#24212;&#29992;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#25191;&#34892;&#24212;&#29992;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data name="" ignoreonweb="true">
								<xsl:attribute name="display"><!--XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#30340;&#32477;&#23545;&#36335;&#24452;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#30340;&#32477;&#23545;&#36335;&#24452;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="LRAResponse"/>			
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<Row>
			<xsl:element name="Data">
				<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')"><xsl:attribute name="link">true</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
			</xsl:element>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ExecApp = 'true'">
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="EPFName"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#36873;&#25321;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#36873;&#25321;<!--XLATESTOP--></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><!--XLATESTART-->&#20379;&#30005;&#21361;&#24613;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><!--XLATESTART-->&#30005;&#21387;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><!--XLATESTART-->&#30005;&#21387;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><!--XLATESTART-->&#30005;&#27969;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><!--XLATESTART-->&#30005;&#27969;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><!--XLATESTART-->&#26816;&#27979;&#21040;&#26426;&#31665;&#20405;&#20837;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><!--XLATESTART-->&#20887;&#20313;&#38477;&#32423;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><!--XLATESTART-->&#20887;&#20313;&#25481;&#22833;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><!--XLATESTART-->&#20869;&#23384;&#25925;&#38556;&#21069;&#20806;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><!--XLATESTART-->&#20869;&#23384;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getaction">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif-->/oma/images/check.gif</xsl:if>
		<xsl:if test="$status='false'">/oma/images/blank.gif</xsl:if>
	</xsl:template>
	<xsl:template name="getactiontxt">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif--><!--XLATESTART-->&#24050;&#36873;<!--XLATESTOP--></xsl:if>
		<xsl:if test="$status='false'"><!--XLATESTART-->&#26410;&#36873;&#25321;<!--XLATESTOP--></xsl:if>
	</xsl:template>
</xsl:stylesheet>
