<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="OMA">
	<xsl:choose>
		<xsl:when test="/OMA/@cli = 'true'">
		     <xsl:choose>
				<xsl:when test="SMStatus != '0'">
					<xsl:call-template name="failure"/>
				</xsl:when>
				<xsl:otherwise>
     					<DataArea>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;<!--XLATESTOP--></xsl:attribute>
						</PageTitle>
						<xsl:for-each select="Chassis">
							<xsl:call-template name="ChassisTemps"/>
						</xsl:for-each>
					</DataArea>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		     <xsl:choose>
				<xsl:when test="TemperatureProbeList/@count = '0' or SMStatus != '0'">
					<xsl:call-template name="failure"/>
				</xsl:when>
				<xsl:otherwise>
					<DataArea>
						<PageTitle>
							<xsl:attribute name="display"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="status"><xsl:value-of select="/OMA/ObjStatus"/></xsl:attribute>
						</PageTitle>
						<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
							<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:if>		
						<CustomButton>
							<Data name="Refresh">
								<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListTemperatureWebPlugin&amp;help=Temperatures&amp;poid=<xsl:value-of select="/OMA/TemperatureProbeList/@poid"/></xsl:attribute>
							
							</Data>
						</CustomButton>
						<TableData columnspacing="true">
							<xsl:apply-templates select="TemperatureProbeList"/>
						</TableData>
					</DataArea>
				</xsl:otherwise>
			</xsl:choose>
          </xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="ChassisTemps">
		<xsl:choose>
			<xsl:when test="Redundancy !=''">
				<xsl:variable name="redundata"><xsl:value-of select="Redundancy"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$redundata != '' ">
						<TableData name="reduntable">
							<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;<!--XLATESTOP--></xsl:attribute>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(TemperatureProbeList/TemperatureProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									         <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<SubHeader>
								<xsl:attribute name="display"><!--XLATESTART-->&#28201;&#24230;&#20887;&#20313;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
							</SubHeader>
							<xsl:apply-templates select="Redundancy"/>
						</TableData>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21015;&#34920;<!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
							<xsl:apply-templates select="TemperatureProbeList"/>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<TableData columnspacing="true" name="probestable">
							<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21015;&#34920; <!--XLATESTOP--></xsl:attribute>
							<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
								<xsl:choose>
									<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
									<xsl:otherwise>
										<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--	XLATESTOP--></PromptText>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						    <xsl:if test="/OMA/@cli = 'true'">
							     <SubHeader banner='true'>
									<xsl:choose>
			                     			<xsl:when test="(count(TemperatureProbeList/TemperatureProbe)) > 1">
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
									          <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
										</xsl:otherwise>
			                  			</xsl:choose>
							     </SubHeader>
							</xsl:if>
							<xsl:apply-templates select="TemperatureProbeList"/>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:choose>
						<xsl:when test="/OMA/@cli = 'true'"></xsl:when>
						<xsl:otherwise>
							<PromptText><!--XLATESTART-->&#21333;&#20987;&#25506;&#27979;&#22120;&#21517;&#31216;&#21487;&#37197;&#32622;&#38408;&#20540;&#65288;&#22914;&#26524;&#36866;&#29992;&#65289;&#12290;<!--XLATESTOP--></PromptText>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<TableData columnspacing="true" name="probestable">
					<xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
					<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>					
					<xsl:if test="/OMA/@cli = 'true'">
					    <SubHeader banner='true'>
							<xsl:choose>
	                     			<xsl:when test="count(TemperatureProbeList/TemperatureProbe) > 1">
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
									<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
							          <xsl:attribute name="display"><xsl:value-of select="@display"/> Temperatures</xsl:attribute>
											<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
								</xsl:otherwise>
	                  			</xsl:choose>
	                          </SubHeader>
	                      </xsl:if>
					<xsl:apply-templates select="TemperatureProbeList"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
				 	<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#28201;&#24230;&#25506;&#27979;&#22120;&#12290; &#32034;&#24341;&#21487;&#33021;&#26080;&#25928;&#12290;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="TemperatureProbeList">
	<xsl:choose>
		<xsl:when test="/OMA/@cli = 'true'">
			<Header>
				<Data name="index">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>						
					<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Status" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="ProbeName">
					<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Reading" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="min" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="max" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="min" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="max" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
		</xsl:when>
		<xsl:otherwise>
			<Header>
				<Data name="" display="" value="" ignoreonweb="true"/>
				<Data name="" display="" value=""/>
				<Data name="" display="" value=""/>
				<Data name="" display="" value=""/>
				<Data name="WarningThreshold"  colspan="3" underlined="true" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="FailureThreshold" colspan="3" underlined="true" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Header>
				<Data name="index">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>						
					<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Status" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="ProbeName">
					<xsl:attribute name="display"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25506;&#27979;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Reading" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#35835;&#21462;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="min" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="max" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="append"><!--XLATESTART-->&#35686;&#21578;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="min" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#23567;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="append"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="max" align="center">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="append"><!--XLATESTART-->&#25925;&#38556;&#38408;&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:choose>
		<xsl:when test="/OMA/@cli = 'true'">
			<xsl:apply-templates select="TemperatureProbe">
				<xsl:sort data-type="number" select="@index" order="ascending"/>
				<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="TemperatureProbe">
				<xsl:sort data-type="text" select="ProbeLocation" order="ascending"/>			
				<xsl:with-param name="poid"><xsl:value-of select="@poid"/></xsl:with-param>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="TemperatureProbe">
	<xsl:param name="poid"/>
	<Row>
		<xsl:element name="Data">
					<xsl:attribute name="ignoreonweb">true</xsl:attribute>
			<xsl:attribute name="display" ><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</xsl:element>
		<xsl:element name="Data">
			<xsl:attribute name="align">center</xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>			
		</xsl:element>
			<xsl:element name="Data">
			<xsl:attribute name="value"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="ProbeLocation"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:if test="(ProbeThresholds/LCThreshold != '-2147483648') and (ProbeThresholds/UCThreshold != '-2147483648') and (ProbeThresholds/LNCThreshold != '-2147483648') and (ProbeThresholds/UNCThreshold != '-2147483648') and (ProbeReading != '-2147483648') and (SubType != '16')">
					<xsl:choose>
						<xsl:when test="(Capabilities/ProbeUNCDefSetEnabled = 'false') and (Capabilities/ProbeLNCDefSetEnabled  = 'false') and (Capabilities/ProbeUNCSetEnabled = 'false') and (Capabilities/ProbeLNCSetEnabled = 'false')">
							<!-- need not provide a link to the editable page -->
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="link">true</xsl:attribute>
							<xsl:attribute name="href">
								/servlet/DataArea?plugin=com.dell.hip.webplugins.TemperatureWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=EditTemperatureProbes&amp;poid=<xsl:value-of select="@poid"/>&amp;help=Temperatures
							</xsl:attribute>						
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:if>
						<xsl:attribute name="align"> left</xsl:attribute>
		</xsl:element>
		<xsl:choose>
			<xsl:when test="SubType='16'">
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ProbeReading='true'"><!--XLATESTART-->&#26159;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#21542; <!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
				<Data name="LNCThreshhold" display="&#26242;&#32570;" value="Not Applicable" align="center"/>
				<Data name="UNCThreshhold" display="&#26242;&#32570;" value="Not Applicable" align="center"/>
				<Data name="LCThreshhold" display="&#26242;&#32570;" value="Not Applicable" align="center"/>
				<Data name="UCThreshhold" display="&#26242;&#32570;" value="Not Applicable" align="center"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:call-template name="calVolt">
							<xsl:with-param name="volt"><xsl:value-of select="ProbeReading"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeReading"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:call-template name="calVolt">
							<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:call-template name="calVolt">
							<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UNCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:call-template name="calVolt">
							<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/LCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
				<xsl:element name="Data">
					<xsl:attribute name="value">
						<xsl:call-template name="calVolt">
							<xsl:with-param name="volt"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="ProbeThresholds/UCThreshold"/></xsl:attribute>
					<xsl:attribute name="type">ustring</xsl:attribute>
			<xsl:attribute name="editable">false</xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>		
	</Row>
</xsl:template>

<xsl:template name="calVolt">
	<xsl:param name="volt"/>
	<xsl:choose>
					<xsl:when test="$volt = '-2147483648'">Unknown</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="formatval"><xsl:value-of select="format-number($volt div 10,'##0.0')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="contains($formatval , '.') and string-length(substring-after($formatval , '.')) = 1">.</xsl:when>
					<xsl:when test="contains($formatval , ',') and string-length(substring-after($formatval , ',')) = 1">,</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><!--XLATESTART-->.<!--XLATESTOP--></xsl:variable>
			<xsl:value-of select="translate($formatval, $univdecsep,$localdecsep)"/><!--XLATESTART--> C<!--XLATESTOP-->
		</xsl:otherwise>	
	</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
