<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<xsl:if test="OMAUserRights='7'">
					<xsl:if test="MemoryConfig and ((MemoryConfig/Capabilities/SpareBank!='false') or (MemoryConfig/Capabilities/Mirroring!='false'))"><xsl:attribute name="validate">true</xsl:attribute>
				<xsl:attribute name="onLoad">true</xsl:attribute>
				<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetMemConfigWebPlugin&amp;oid=<xsl:value-of select="MemoryConfig/@oid"/>&amp;poid=2</xsl:attribute>
				<script language="javascript">
				
					var memconfig;
					function validate()
					{
						var memconfig1;
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig1 = document.getElementById("dataarea").redconfg[i].value;
							}
						}
						if (memconfig1 == memconfig) {
							var confgval = ((memconfig1 == "2") ? "Disabled" : ((memconfig1 == "1") ? "SpareBank" : "Mirroring"));
							alert(confgval + " &#24050;&#35774;&#32622;&#22909;&#12290; &#35831;&#25351;&#23450;&#20854;&#23427;&#20540;&#12290;");
							return false;
						}
						else {
							alert("&#35201;&#20351;&#26356;&#25913;&#29983;&#25928;&#65292;&#38656;&#35201;&#37325;&#26032;&#24341;&#23548;&#26381;&#21153;&#22120;&#12290;");
							return true;
						}
					}
					
					function initializationRoutine()
					{
						var j = document.getElementById("dataarea").redconfg.length;
						for (i = 0; i &lt; j; i++){
							if(document.getElementById("dataarea").redconfg[i].checked == true)
							{				
								memconfig = document.getElementById("dataarea").redconfg[i].value;
							}
						}
					}
					
				</script>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="OMAUserRights='7'">
			<xsl:if test="ShutDownFlag='true'">
				<script language="javascript">
					function restart()
					{
						if (confirm("&#26159;&#21542;&#24050;&#23436;&#25104;&#20887;&#20313;&#37197;&#32622;&#65311;")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8		&amp;action1=1';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2	&amp;help=Memory';
							document.getElementById("dataarea").submit();
						}	
					}
				</script>
			</xsl:if>
		</xsl:if>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="status"><xsl:value-of select="ObjStatus"/></xsl:attribute>
		</PageTitle>
		
		<CustomButton>
			<xsl:if test="OMAUserRights='7'">
				<xsl:if test="ShutDownFlag='true'">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>						
					</Data>			
				</xsl:if>
			</xsl:if>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryArrayWebPlugin&amp;poid=2&amp;help=Memory</xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:if test="MemoryConfig">
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#20887;&#20313;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="status"><xsl:value-of select="Redundancy/@status"/></xsl:attribute>
			</SubHeader>
			<ListData>
				<xsl:apply-templates select="Redundancy"/>
				<xsl:apply-templates select="MemoryConfig"/>
			</ListData>
		</xsl:if>
		<xsl:call-template name="MemoryArray"/>
	</DataArea>
</xsl:template>

<xsl:template match="Redundancy">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="RedStat">
			<xsl:with-param name="status"><xsl:value-of select="RedunStatus"/></xsl:with-param>
		</xsl:call-template>
	</Data>
</xsl:template>

<xsl:template name="RedStat">
	<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status = 1">
			<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 2">
			<xsl:attribute name="value"><!--XLATESTART-->&#26242;&#32570;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 3">
			<xsl:attribute name="value"><!--XLATESTART-->&#33073;&#26426;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 4">
			<xsl:attribute name="value"><!--XLATESTART-->&#23436;&#20840;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 5">
			<xsl:attribute name="value"><!--XLATESTART-->&#38477;&#32423;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$status = 6">
			<xsl:attribute name="value"><!--XLATESTART-->&#25481;&#22833;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="MemoryConfig">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->&#25925;&#38556;&#36716;&#31227;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
		<xsl:call-template name="FOS">
			<xsl:with-param name="state"><xsl:value-of select="FailOverState"/></xsl:with-param>
		</xsl:call-template>
	</Data>
	<xsl:choose>
		<xsl:when test="/OMA/@cli='true'">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;&#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="State='0'"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
					<xsl:if test="State='2'"><!--XLATESTART-->&#38236;&#20687;<!--XLATESTOP--></xsl:if>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="/OMA/OMAUserRights='7'">
					<xsl:choose>
						<xsl:when test="(Capabilities/SpareBank != 'false') or (Capabilities/Mirroring != 'false')">
							<Data>
								<xsl:attribute name="name">redconfg</xsl:attribute>
								<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;&#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
								<xsl:attribute name="returnvalue">2</xsl:attribute>
								<xsl:attribute name="state"><xsl:if test="State='0'">1</xsl:if></xsl:attribute>
							</Data>
							<xsl:for-each select="Capabilities/*">
							<xsl:if test=".='true'">
								<Data type="radio">
									<xsl:attribute name="name">redconfg</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									<xsl:attribute name="returnvalue">
										<xsl:if test="name()='SpareBank'">1</xsl:if>
										<xsl:if test="name()='Mirroring'">3</xsl:if>
									</xsl:attribute>
									<xsl:attribute name="state">
										<xsl:if test="name()='SpareBank'"><xsl:if test="/OMA/MemoryConfig/State='1'">1</xsl:if></xsl:if>
										<xsl:if test="name()='Mirroring'"><xsl:if test="/OMA/MemoryConfig/State='2'">1</xsl:if></xsl:if>
									</xsl:attribute>
								</Data>
							</xsl:if>			
						</xsl:for-each>				
						</xsl:when>
						<xsl:otherwise>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;&#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
							</Data>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20887;&#20313;&#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:if test="State='0'"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='1'"><!--XLATESTART-->SpareBank<!--XLATESTOP--></xsl:if>
							<xsl:if test="State='2'"><!--XLATESTART-->&#38236;&#20687;<!--XLATESTOP--></xsl:if>
						</xsl:attribute>
					</Data>		
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="FOS">
	<xsl:param name="state"/>
	<xsl:choose>
		<xsl:when test="$state = 0">
			<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#28608;&#27963;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:when test="$state = 1">
			<xsl:attribute name="value"><!--XLATESTART-->&#28608;&#27963;<!--XLATESTOP--></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="value"><!--XLATESTART-->&#26242;&#32570;<!--XLATESTOP--></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="MemoryArray">
	<TableData name="genprop">
		<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015;&#30340;&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
		<SubHeader>
			<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015;&#30340;&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
		</SubHeader>
		<Header>
			<xsl:choose>
				<xsl:when test="MemoryArrayList/@count='1'">
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015; <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015; <xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="MemoryArrayList/MemoryArray/@index"/></xsl:with-param></xsl:call-template><!--XLATESTOP--></xsl:attribute>
					</Data>		
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:for-each select="MemoryArrayList/MemoryArray">
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015; <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015; <xsl:call-template name="count">
								<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
							</xsl:call-template><!--XLATESTOP--></xsl:attribute>
						</Data>		
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		</Header>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20301;&#32622;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20301;&#32622;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->&#31995;&#32479;&#26495;&#25110;&#27597;&#26495;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->ISA &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->EISA &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->PCI &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->MCA &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='8'"><!--XLATESTART-->PCMCIA &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='9'"><!--XLATESTART-->&#19987;&#29992;&#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='16'"><!--XLATESTART-->NuBus<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='160'"><!--XLATESTART-->PC-98/C20 &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='161'"><!--XLATESTART-->PC-98/C24 &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='162'"><!--XLATESTART-->PC-98/E &#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='163'"><!--XLATESTART-->PC-98/&#26412;&#22320;&#24635;&#32447;&#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='164'"><!--XLATESTART-->PC-98/&#21345;&#25554;&#27133;&#28155;&#21152;&#24335;&#21345;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>	
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#29992;&#36884;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29992;&#36884;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="Location='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='3'"><!--XLATESTART-->&#31995;&#32479;&#20869;&#23384;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='4'"><!--XLATESTART-->&#35270;&#39057;&#20869;&#23384;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='5'"><!--XLATESTART-->&#24555;&#25830;&#20889;&#23384;&#20648;&#22120;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='6'"><!--XLATESTART-->&#38750;&#26131;&#22833;&#24615; RAM<!--XLATESTOP--></xsl:when>
							<xsl:when test="Location='7'"><!--XLATESTART-->&#39640;&#36895;&#32531;&#23384;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#35013;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23433;&#35013;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display">
							<xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="InstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="InstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="InstalledSizeMBCumulative/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="MaxSizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
							<xsl:choose>
								<xsl:when test="MaxSizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
								<xsl:otherwise><xsl:value-of select="MaxSizeMB/@unit"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
		<Row>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#21487;&#29992;&#25554;&#27133;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#21487;&#29992;&#25554;&#27133;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="MemoryArrayList/MemoryArray">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NumSocketsTotal"/></xsl:attribute>
				</Data>			
			</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#24050;&#29992;&#25554;&#27133;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#29992;&#25554;&#27133;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="NumSocketsInUse"/></xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#32416;&#38169;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->ECC &#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<xsl:for-each select="MemoryArrayList/MemoryArray">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ErrCorrType='1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='3'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='4'"><!--XLATESTART-->&#22855;&#20598;&#26657;&#39564;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='5'"><!--XLATESTART-->&#21333;&#20301; ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='6'"><!--XLATESTART-->&#22810;&#20301; ECC<!--XLATESTOP--></xsl:when>
							<xsl:when test="ErrCorrType='7'"><!--XLATESTART-->CRC<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</Data>			
				</xsl:for-each>
			</Row>

		</TableData>
		<TableData name="totprop">
			<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015;&#24635;&#25968;<!--XLATESTOP--></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015;&#24635;&#25968;<!--XLATESTOP--></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#35013;&#24635;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#23433;&#35013;&#24635;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxInstalledSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxInstalledSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#21487;&#29992;&#30340;&#24635;&#23433;&#35013;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#21487;&#29992;&#30340;&#24635;&#23433;&#35013;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MemoryInfo/TotalPhysMemorySizeMB/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data colspan="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#24635;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#24635;&#23481;&#37327;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data colspan="15">
					<xsl:attribute name="display"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="/OMA/MaxSizeMBCumulative"/><xsl:text disable-output-escaping="yes">  </xsl:text>
						<xsl:choose>
							<xsl:when test="/OMA/MaxSizeMBCumulative/@unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><xsl:value-of select="/OMA/MaxSizeMBCumulative/@unit"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</Row>
	</TableData>
	
	<xsl:for-each select="MemoryArrayList/MemoryArray">
		<xsl:apply-templates select="MemPortConnList">
			<xsl:with-param name="memindex"><xsl:value-of select="@index"/></xsl:with-param>
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:template>	
	
<xsl:template match="MemPortConnList">
	<xsl:param name="memindex"/>
	<TableData>
		<xsl:attribute name="name">memarr<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23384;&#38453;&#21015;&#30340;&#36830;&#25509;&#22120;&#35814;&#32454;&#20449;&#24687;<xsl:text disable-output-escaping="yes"> </xsl:text>
			<xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><!--XLATESTOP-->
		</xsl:attribute>
		<PromptText><!--XLATESTART-->&#21333;&#20987;&#20869;&#23384;&#38453;&#21015;&#30340;&#36830;&#25509;&#22120;&#21517;&#31216;<xsl:text disable-output-escaping="yes"> </xsl:text><xsl:call-template name="count"><xsl:with-param name="index"><xsl:value-of select="$memindex"/></xsl:with-param></xsl:call-template><xsl:text disable-output-escaping="yes"> </xsl:text>&#26597;&#30475;&#20854;&#20869;&#23384;&#35774;&#22791;&#30340;&#35814;&#32454;&#20449;&#24687;&#12290;<!--XLATESTOP--></PromptText>
		
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data align="center">
				<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#22823;&#23567;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#22823;&#23567;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		
		<xsl:for-each select="PortGeneric">
			<xsl:sort select="ExtName" order="ascending"/>
			<xsl:call-template name="portgeneric">
				<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>     

	</TableData>
</xsl:template>

<xsl:template name="portgeneric">
<xsl:param name="index"/>
<Row>
	<Data ignoreonweb="true">
		<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="status" align="center">
		<xsl:attribute name="value"><xsl:value-of select="@status"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		<xsl:call-template name="link"/>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="occupied"/></xsl:attribute>
	</Data>
	<Data name=""  display="" type="">
		<xsl:attribute name="value"><xsl:call-template name="size"><xsl:with-param name="unit"><xsl:value-of select="MemoryDevice/SizeMB/@unit"/></xsl:with-param></xsl:call-template></xsl:attribute>
	</Data>
</Row>
</xsl:template>

<xsl:template name="link">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.MemoryDeviceListWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=MemoryDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="occupied">
	<xsl:choose>
		<xsl:when test="IsOccupied='true'">
			<xsl:call-template name="Type"/>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#26410;&#21344;&#29992;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="size">
	<xsl:param name="unit"/>
	<xsl:choose>
		<xsl:when test="IsOccupied='true'"><xsl:value-of select="MemoryDevice/SizeMB"/><xsl:text disable-output-escaping="yes">  </xsl:text>
			<xsl:choose>
				<xsl:when test="$unit='MB'"><!--XLATESTART-->MB<!--XLATESTOP--></xsl:when>
				<xsl:otherwise><xsl:value-of select="$unit"/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="count">
	<xsl:param name="index"/>
	<xsl:choose>
		<xsl:when test="/OMA/MemoryArrayList/@count='1'">1</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="index1" select="$index"/>
			<xsl:value-of select="number($index1)+1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Type">
	<xsl:choose>
		<xsl:when test="MemoryDevice/MemDevType= '1'"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '3'"><!--XLATESTART-->DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '4'"><!--XLATESTART-->EDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '5'"><!--XLATESTART-->VRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '6'"><!--XLATESTART-->SRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '7'"><!--XLATESTART-->RAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '8'"><!--XLATESTART-->ROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '9'"><!--XLATESTART-->FLASH<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '10'"><!--XLATESTART-->EEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '11'"><!--XLATESTART-->FEPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '12'"><!--XLATESTART-->EPROM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '13'"><!--XLATESTART-->CDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '14'"><!--XLATESTART-->3DRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '15'"><!--XLATESTART-->SDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '16'"><!--XLATESTART-->SGRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '17'"><!--XLATESTART-->RDRAM<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
		<xsl:when test="MemoryDevice/MemDevType= '18'"><!--XLATESTART-->DDR<!--XLATESTOP--><xsl:call-template name="TypeDetail"/></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="TypeDetail">
	<xsl:choose>
		<xsl:when test="MemoryDevice/TypeDetail= '1'">-<!--XLATESTART-->Other<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '2'">-<!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '3'">-<!--XLATESTART-->&#24555;&#36895;&#23547;&#21628;<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '4'">-<!--XLATESTART-->STATIC COL<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '5'">-<!--XLATESTART-->PSEUDO STATIC<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '6'">-<!--XLATESTART-->RAMBUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '7'">-<!--XLATESTART-->SYNCHRONOUS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '8'">-<!--XLATESTART-->CMOS<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '9'">-<!--XLATESTART-->EDO<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '10'">-<!--XLATESTART-->WIN DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '11'">-<!--XLATESTART-->&#39640;&#36895;&#32531;&#23384; DRAM<!--XLATESTOP--></xsl:when>
		<xsl:when test="MemoryDevice/TypeDetail= '12'">-<!--XLATESTART-->&#38750;&#26131;&#22833;&#24615;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#24471;&#19981;&#21040;&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#20869;&#23384;&#23545;&#35937;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#20869;&#23384;&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#20869;&#23384;&#23545;&#35937;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;: <!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus&#65306; <xsl:value-of select="$status"/><!--XLATESTOP--></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
