<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus != '0'">
		<DataArea printable="false">
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#25214;&#21040;  NIC  &#23545;&#35937;&#12290;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;  NIC  &#23545;&#35937;&#12290;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</DataArea>
	</xsl:when>
	<xsl:otherwise>
		<DataArea backpagetarget="/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#32593;&#21345;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#32593;&#21345;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<SubHeader>
			 	<xsl:attribute name="display"><!--XLATESTART-->&#21345;&#65306; <!--XLATESTOP--><xsl:value-of select="NICCard/Description"/></xsl:attribute>		
			</SubHeader>			
			<CustomButton>
				<Data name="Refresh" display="&#21047;&#26032;">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="NICCard/@oid"/></xsl:attribute>
				</Data>
			</CustomButton>
			<xsl:apply-templates select="NICCard"/>
		</DataArea>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="NICCard">
	<xsl:choose>
		<xsl:when test="/OMA/OSType='1'">
			<xsl:call-template name="SYSTEM_WINNT"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='2'">
			<xsl:call-template name="SYSTEM_LINUX"/>
		</xsl:when>
		<xsl:when test="/OMA/OSType='3'">
			<xsl:call-template name="SYSTEM_NETWARE"/>
		</xsl:when>
	</xsl:choose>	
</xsl:template>
<xsl:template name="SYSTEM_WINNT">
	<ListData type="custom">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#20379;&#24212;&#21830;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069; MAC &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#23376;&#32593;&#25513;&#30721;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->DHCP &#26381;&#21153;&#22120;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DHCPServer=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DHCPServer"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#40664;&#35748;&#32593;&#20851;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DefaultGateway=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26029;&#24320;&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#23433;&#35013;&#25110;&#26080;&#27861;&#27491;&#24120;&#20351;&#29992;&#39537;&#21160;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#21021;&#22987;&#21270;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#37325;&#35774;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36866;&#37197;&#22120;&#26410;&#20934;&#22791;&#23601;&#32490;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#39537;&#21160;&#31243;&#24207;&#22270;&#20687;&#36335;&#24452;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverImagePath=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverImagePath"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#39537;&#21160;&#31243;&#24207;&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_NETWARE">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#35828;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069; MAC &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#39537;&#21160;&#31243;&#24207;&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="DriverVersion=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="DriverVersion"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26029;&#24320;&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#23433;&#35013;&#25110;&#26080;&#27861;&#27491;&#24120;&#20351;&#29992;&#39537;&#21160;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#21021;&#22987;&#21270;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#37325;&#35774;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36866;&#37197;&#22120;&#26410;&#20934;&#22791;&#23601;&#32490;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->LAN &#39537;&#21160;&#31243;&#24207;&#30340;&#36923;&#36753;&#21517;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="ServiceName=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="ServiceName"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>			
		</Data>
 	</ListData>
</xsl:template>
<xsl:template name="SYSTEM_LINUX">
	<ListData type="custom">		
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#35828;&#26126;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Description=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069; MAC &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="CurrentMACAddr=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="CurrentMACAddr"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#20379;&#24212;&#21830;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="Vendor=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->IP &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="IPAddress=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#23376;&#32593;&#25513;&#30721;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="SubnetMask=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26029;&#24320;&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#23433;&#35013;&#25110;&#26080;&#27861;&#27491;&#24120;&#20351;&#29992;&#39537;&#21160;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#21021;&#22987;&#21270;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#37325;&#35774;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="value"><!--XLATESTART-->&#36866;&#37197;&#22120;&#26410;&#20934;&#22791;&#23601;&#32490;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#21345;&#25152;&#20351;&#29992;&#30340; IRQ<!--XLATESTOP--></xsl:attribute>
			<xsl:choose>	
				<xsl:when test="IRQ=''">
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="IRQ"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>		
	</ListData>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
