<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea printable="false">
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#25214;&#21040;  NIC  &#23545;&#35937;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;  NIC  &#23545;&#35937;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#32593;&#21345;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#21047;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICListWebPlugin&amp;help=NIC&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<xsl:call-template name="MainHeading"/>
				<xsl:apply-templates select="NICList "/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="MainHeading">
	<ListData type="custom">
		<Data width="200">
			<xsl:attribute name="display"><!--XLATESTART-->&#32593;&#21345;&#24635;&#25968;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/OMA/NICList/@count"/></xsl:attribute>
		</Data>
	</ListData>
</xsl:template>
<xsl:template match="NICList ">
	<TableData>
		<PromptText><!--XLATESTART-->&#21333;&#20987; IP &#22320;&#22336;&#21487;&#26597;&#30475;&#20854;&#35814;&#32454;&#20449;&#24687;&#12290;<!--XLATESTOP--></PromptText>
		<Header>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->IP &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IP &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#20379;&#24212;&#21830;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#20379;&#24212;&#21830;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#35828;&#26126;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#35828;&#26126;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="NICCard"/>		
	</TableData>
</xsl:template>
<xsl:template match="NICCard">
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="@index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:choose>
				<xsl:when test="IPAddress = ''">
					<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#33719;&#21462;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><xsl:value-of select="IPAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
						<xsl:attribute name="link">true</xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.NICCardWebPlugin&amp;help=NICInfo&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
		</Data>
		<Data name="Vendor" display="&#20379;&#24212;&#21830;" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Vendor"/></xsl:attribute>
		</Data>
		<Data name="Description" display="&#35828;&#26126;" type="ustring">
			<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="Description"/></xsl:attribute>
		</Data>
		<Data name="Connection Status" display="&#36830;&#25509;&#29366;&#20917;" type="ustring">
			<xsl:choose>
				<xsl:when test="NICStatus='1'">
					<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='2'">
					<xsl:attribute name="display"><!--XLATESTART-->&#26029;&#24320;&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26029;&#24320;&#36830;&#25509;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='3'">
					<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#23433;&#35013;&#25110;&#26080;&#27861;&#27491;&#24120;&#20351;&#29992;&#39537;&#21160;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#23433;&#35013;&#25110;&#26080;&#27861;&#27491;&#24120;&#20351;&#29992;&#39537;&#21160;&#31243;&#24207;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='4'">
					<xsl:attribute name="display"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='10'">
					<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#21021;&#22987;&#21270;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#21021;&#22987;&#21270;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='11'">
					<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#37325;&#35774;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#37325;&#35774;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='12'">
					<xsl:attribute name="display"><!--XLATESTART-->&#27491;&#22312;&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#27491;&#22312;&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:when test="NICStatus='13'">
					<xsl:attribute name="display"><!--XLATESTART-->&#36866;&#37197;&#22120;&#26410;&#20934;&#22791;&#23601;&#32490;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36866;&#37197;&#22120;&#26410;&#20934;&#22791;&#23601;&#32490;<!--XLATESTOP--></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Data>
	</Row>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
