<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		
		<xsl:choose>
			<xsl:when test="POSTLog"><xsl:apply-templates select="POSTLog"/></xsl:when>
			<xsl:otherwise><DataArea><PageTitle display="&#38169;&#35823;&#65281;&#35813;&#31995;&#32479;&#20013;&#26410;&#25214;&#21040;&#24320;&#26426;&#33258;&#26816;&#26085;&#24535;&#12290;"></PageTitle></DataArea></xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="POSTLog">
		<DataArea>
			<script language="javascript">
				function saveLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
					document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
					document.dataarea.submit();
				}
			</script>		
			<Header>Header</Header>
			<PageTitle display="&#24320;&#26426;&#33258;&#26816; (POST) &#26085;&#24535;"/>
			<xsl:choose>
				<xsl:when test="NumRecords = '0'">
					<PromptText><!--XLATESTART-->&#24320;&#26426;&#33258;&#26816;&#26085;&#24535;&#21253;&#21547;... &#26410;&#25214;&#21040;&#20219;&#20309;&#26465;&#30446;&#12290;<!--XLATESTOP--></PromptText>			
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->&#24320;&#26426;&#33258;&#26816;&#26085;&#24535;&#21253;&#21547;...<!--XLATESTOP--></PromptText>			
				</xsl:otherwise>
			</xsl:choose>
			<CustomButton>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">		
					<Data name="Save" display="&#21478;&#23384;&#20026;">
						<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>
				</xsl:if>
				<Data name="Refresh" display="&#21047;&#26032;">
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PostLogWebPlugin</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Header>
					<Data name="Log" display="POST Code:Description" value="&#24320;&#26426;&#33258;&#27979;&#20195;&#30721;&#35828;&#26126;"/>
				</Header>
				<xsl:apply-templates select="LogEntry"/>
			</TableData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="LogEntry">
		<Row>
			<Data name="description" type="ustring">
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
