<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute></PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<DataArea>
		<PageTitle><xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute></PageTitle>	
		<PromptText ignoreoncli="true"><!--XLATESTART-->&#21333;&#20987;&#36830;&#25509;&#22120;&#21517;&#21487;&#26597;&#30475;&#20854;&#39640;&#36895;&#32531;&#23384;&#35814;&#32454;&#20449;&#24687;&#12290;<!--XLATESTOP--></PromptText>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ProcessorWebPlugin&amp;poid=2&amp;help=Processor</xsl:attribute>
			</Data>
		</CustomButton>	
		<TableData  columnspacing="true">
			<Header>
				<Data ignoreonweb="true" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;&#22120;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="115">
					<xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#21046;&#36896;&#21830;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22788;&#29702;&#22120;&#21046;&#36896;&#21830;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#31995;&#21015;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22788;&#29702;&#22120;&#31995;&#21015;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="120">
					<xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22788;&#29702;&#22120;&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#39640;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#39640;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#24403;&#21069;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#24403;&#21069;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#26102;&#38047;&#36895;&#29575;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22806;&#37096;&#26102;&#38047;&#36895;&#29575;<!--XLATESTOP--></xsl:attribute>	
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#22788;&#29702;&#22120;&#21319;&#32423;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#22788;&#29702;&#22120;&#21319;&#32423;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data align="left" width="110">
					<xsl:attribute name="display"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#29366;&#24577;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			
			<xsl:for-each select="ProcessorList/ProcessorConn">
				<xsl:if test="IsOccupied='true'">
					<xsl:call-template name="Processor">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="IsOccupied='false'">
					<xsl:call-template name="Processor1">
						<xsl:with-param name="index"><xsl:value-of select="@index"/></xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="Processor">
	<xsl:param name="index"/>
		<Row>
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
			</Data>
			<Data link="true"  align="left">
				<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.CacheWebPlugin&amp;oid=<xsl:value-of select="DevProcessor/@oid"/>&amp;help=Cache</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Manufacturer" /></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value">
					<xsl:call-template name="family"/>
				</xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:value-of select="DevProcessor/Version"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="maxsp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="cursp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="extclksp"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="value"><xsl:call-template name="upgrade"/></xsl:attribute>
			</Data>
			<Data align="left">
				<xsl:attribute name="display"><xsl:call-template name="imagedesc1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="imagedesc1"/></xsl:attribute>
			</Data>
		</Row>
</xsl:template>
<xsl:template name="family">
	<xsl:choose>
		<xsl:when test="DevProcessor/Family= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '3'"><!--XLATESTART-->8086<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '4'"><!--XLATESTART-->80286<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '5'"><!--XLATESTART-->80386<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '6'"><!--XLATESTART-->80486<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '7'"><!--XLATESTART-->8087<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '8'"><!--XLATESTART-->80287<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '9'"><!--XLATESTART-->80387<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '10'"><!--XLATESTART-->80487<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '11'"><!--XLATESTART-->Pentium &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '12'"><!--XLATESTART-->Pentium Pro<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '13'"><!--XLATESTART-->Pentium II<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '14'"><!--XLATESTART-->Pentium MMX<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '15'"><!--XLATESTART-->Celeron<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '16'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '17'"><!--XLATESTART-->Pentium III<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '18'"><!--XLATESTART-->M1 &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '19'"><!--XLATESTART-->M2 &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '25'"><!--XLATESTART-->K5 &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '26'"><!--XLATESTART-->K6 &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '32'"><!--XLATESTART-->Power PC &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '33'"><!--XLATESTART-->Power PC 601<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '34'"><!--XLATESTART-->Power PC 603<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '35'"><!--XLATESTART-->Power PC 603+<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '36'"><!--XLATESTART-->Power PC 604<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '48'"><!--XLATESTART-->Alpha &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '64'"><!--XLATESTART-->MIPS &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '80'"><!--XLATESTART-->SPARC &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '96'"><!--XLATESTART-->68040<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '97'"><!--XLATESTART-->68xxx &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '98'"><!--XLATESTART-->68000<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '99'"><!--XLATESTART-->68010<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '100'"><!--XLATESTART-->68020<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '101'"><!--XLATESTART-->68030<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '112'"><!--XLATESTART-->Hobbit &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '128'"><!--XLATESTART-->Weitek<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '144'"><!--XLATESTART-->PA-RISC &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '160'"><!--XLATESTART-->V30 &#31995;&#21015;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '176'"><!--XLATESTART-->Pentium III Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '177'"><!--XLATESTART-->Pentium III&#65288;&#20351;&#29992; Intel SpeedStep &#25216;&#26415;&#65289;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '178'"><!--XLATESTART-->Pentium IV<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '179'"><!--XLATESTART-->Xeon<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Family= '181'"><!--XLATESTART-->Xeon MP<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="type">
	<xsl:choose>
		<xsl:when test="DevProcessor/ProcessorType= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '3'"><!--XLATESTART-->&#20013;&#22830;&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '4'"><!--XLATESTART-->&#25968;&#23398;&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '5'"><!--XLATESTART-->DSP &#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/ProcessorType= '6'"><!--XLATESTART-->&#35270;&#39057;&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="imagedesc1">
	<xsl:if test="DevProcessor/ProcessorStatus='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='3'"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='4'"><!--XLATESTART-->&#29992;&#25143;&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='5'"><!--XLATESTART-->BIOS &#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:if>
	<xsl:if test="DevProcessor/ProcessorStatus='6'"><!--XLATESTART-->&#38386;&#32622;<!--XLATESTOP--></xsl:if>
</xsl:template>

<xsl:template name="maxsp">
	<xsl:choose>
		<xsl:when test="DevProcessor/MaxSpeed='0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/MaxSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/MaxSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="cursp">
	<xsl:choose>
		<xsl:when test="DevProcessor/CurSpeed='0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/CurSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/CurSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="extclksp">
	<xsl:choose>
		<xsl:when test="DevProcessor/ExtClockSpeed='0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise><xsl:value-of select="DevProcessor/ExtClockSpeed"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="DevProcessor/ExtClockSpeed/@unit"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="upgrade">
	<xsl:choose>
		<xsl:when test="DevProcessor/Upgrade= '1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '2'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '3'"><!--XLATESTART-->&#23376;&#26495;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '4'"><!--XLATESTART-->ZIF &#25554;&#27133;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '5'"><!--XLATESTART-->&#26356;&#25442;&#39569;&#32972;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '6'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '7'"><!--XLATESTART-->&#20302;&#25554;&#20837;&#21147;&#25554;&#27133;<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '8'"><!--XLATESTART-->&#25554;&#27133; 1<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '9'"><!--XLATESTART-->&#25554;&#27133; 2<!--XLATESTOP--></xsl:when>
		<xsl:when test="DevProcessor/Upgrade= '10'"><!--XLATESTART-->370 &#38024;&#25554;&#27133;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="Processor1">
	<xsl:param name="index"/>
	<Row>
		<Data ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$index"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$index"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><xsl:value-of select="ExtName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
		</Data>
		<Data align="left">
			<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#21344;&#29992;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#21344;&#29992;<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data  ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;" align="left"/>
		<Data ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;"  align="left"/>
		<Data ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;"  align="left"/>
		<Data ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;"  align="left"/>
		<Data ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;"  align="left"/>
		<Data ignoreonweb="true" display="-" value="&#19981;&#36866;&#29992;" align="left"/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
		<Data  ignoreoncli="true" display="" value=""/>
	</Row>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#22788;&#29702;&#22120;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#22788;&#29702;&#22120;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#22815;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
		<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>

