<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:if test="onLoad">
				<xsl:attribute name="onLoad"><!--XLATESTART-->true<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="callerReplace">true</xsl:attribute>
				<xsl:attribute name="paramReplaced">onload</xsl:attribute>
				<xsl:attribute name="paramReplacing">load</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#25191;&#34892;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetSNMPconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->SNMP &#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#37197;&#32622; SNMP &#26681;&#23494;&#30721;&#12290;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SNMPconfgWebPlugin&amp;help=snmp</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#29992;&#25143;&#65306; <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">root</xsl:attribute>
				</Data>
				<Data name="oldpwd" editable="true" id="oldpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26087;&#30340;&#26681;&#23494;&#30721;&#65306;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="newpwd" editable="true" id="newpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#26032;&#30340;&#26681;&#23494;&#30721;&#65306;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="confnewpwd" editable="true" id="confnewpwd" type="password" align="left" size="15">
					<xsl:attribute name="display"><!--XLATESTART-->&#30830;&#35748;&#26032;&#30340;&#26681;&#23494;&#30721;&#65306;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</ListData>
			<ListData>
				<Data  display=" "  type="hidden" state="" align="left">
					<xsl:attribute name="name">caller</xsl:attribute>
					<xsl:attribute name="returnvalue">none</xsl:attribute>
				</Data>
			</ListData>
			<Table-Data>
				<PromptText><!--XLATESTART-->&#21551;&#29992; SNMP &#35686;&#21578;&#28040;&#24687;&#12290;<!--XLATESTOP--></PromptText>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->SNMP &#35686;&#21578;&#28040;&#24687;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SNMP &#35686;&#21578;&#28040;&#24687;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">snmp_warn_msg</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#21551;&#29992; SNMP &#35686;&#21578;&#28040;&#24687;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
				</Row>
			</Table-Data>
			
			<script language="javascript">
			
				<xsl:if test="onLoad">
					function initializationRoutine()
					{
						alert("SNMP &#26681;&#23494;&#30721;&#24050;&#25104;&#21151;&#35774;&#32622;&#12290;");
					}
				</xsl:if>
				
				
			
				function validate()
				{
					var oldpwd = document.getElementById("oldpwd").value;
					var newpwd = document.getElementById("newpwd").value;
					var confnewpwd = document.getElementById("confnewpwd").value;
					
					if (oldpwd == "")
					{
						alert("&#8220;&#26087;&#23494;&#30721;&#8221;&#23383;&#27573;&#19981;&#24471;&#20026;&#31354;&#12290;");
						document.getElementById("oldpwd").focus();
					}
					else if (newpwd == "")
					{
						alert("&#8220;&#26032;&#23494;&#30721;&#8221;&#23383;&#27573;&#19981;&#24471;&#20026;&#31354;&#12290;");
						document.getElementById("newpwd").focus();
					}
					else if (confnewpwd == "")
					{
						alert("&#8220;&#30830;&#35748;&#26032;&#23494;&#30721;&#8221;&#23383;&#27573;&#19981;&#24471;&#20026;&#31354;&#12290;");
						document.getElementById("confnewpwd").focus();
					}
					else 
					{
						if(newpwd != confnewpwd) 
								{	
									alert("&#8220;&#26032;&#23494;&#30721;&#8221;&#23383;&#27573;&#19981;&#21305;&#37197;&#12290;.");
									document.getElementById("confnewpwd").value = "";
									document.getElementById("confnewpwd").focus();						
								}
							else
								{
									document.getElementById("caller").value=document.location.href;
									return true;
								}			
					
					}
					return false;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
