<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21160;&#24674;&#22797;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<xsl:choose>
		<xsl:when test="@cli='true'"><xsl:call-template name="cli"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="web"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="web">
	<xsl:choose>
		<xsl:when test="OMAUserRights='7'"><xsl:call-template name="edit"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="view"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="edit">
		<DataArea>
			<xsl:if test="/OMA/WatchDog/TimerCapabilities = '1' or /OMA/WatchDog/TimerCapabilities='2' or /OMA/WatchDog/TimerCapabilities='4'">
				<xsl:attribute name="onLoad">true</xsl:attribute>
			</xsl:if>
			<xsl:if test="/OMA/WatchDog/TimerCapabilities = '1' or /OMA/WatchDog/TimerCapabilities='2' or /OMA/WatchDog/TimerCapabilities='4'">
				<xsl:attribute name="validate">true</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetWatchdogWebPlugin&amp;oid=<xsl:value-of select="WatchDog/@oid"/></xsl:attribute>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.WatchdogWebPlugin&amp;help=AutoRecovery</xsl:attribute>
				</Data>
			</CustomButton>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21160;&#24674;&#22797;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
			<TableData name="HungServer">
				<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<xsl:call-template name="edit1"/>
			</TableData>
			
			<xsl:if test="/OMA/WatchDog/TimerCapabilities = '1' or /OMA/WatchDog/TimerCapabilities='2' or /OMA/WatchDog/TimerCapabilities='4'">
				<TableData name="SystemTimer">
					<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#65288;&#31186;&#65289;<!--XLATESTOP-->	</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#65288;&#31186;&#65289;<!--XLATESTOP-->	</xsl:attribute>
						</Data>
					</Header>
					<xsl:call-template name="edit2"/>
				</TableData>
			</xsl:if>
		</DataArea>
</xsl:template>
<xsl:template name="edit1">
	<Row>
		<Data name="action1" returnvalue="0" type="radio">
			<xsl:attribute name="value"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="noneselect1"/></xsl:attribute>
		</Data>
	</Row>
	<xsl:if test="/OMA/WatchDog/Capabilities/Reboot='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="returnvalue">1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="rebootselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="/OMA/WatchDog/Capabilities/PwrOff='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">2</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="poweroffselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="/OMA/WatchDog/Capabilities/PwrCycle='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;&#21518;&#20877;&#24320;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">4</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="powercycleselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
</xsl:template>


<xsl:template name="noneselect1">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/Reboot"/>
<xsl:variable name="setting1" select="/OMA/WatchDog/Settings/PwrOff"/>
<xsl:variable name="setting2" select="/OMA/WatchDog/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='false'">
			<xsl:choose>
				<xsl:when test="$setting1='false'">
					<xsl:choose>
						<xsl:when test="$setting2='false'">1</xsl:when>
					</xsl:choose>
				</xsl:when>
			</xsl:choose>
		</xsl:when>		
	</xsl:choose>
</xsl:template>


<xsl:template name="rebootselect1">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/Reboot"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>

<xsl:template name="poweroffselect1">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/PwrOff"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>

<xsl:template name="powercycleselect1">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/PwrCycle"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>

<xsl:template name="edit2">
	
		<xsl:variable name="timer" select="/OMA/WatchDog/TimerCapabilities"/>
			<xsl:choose>
				<xsl:when test="$timer='1'">				
					
					<Row>
						<Data name="timer" display="" type="editbox" align="left" size="10" maxlength="255">
							<xsl:attribute name="value"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/></xsl:attribute>
						</Data>
					</Row>
					
									
					<script language="javascript">
							var timerval ;
							var lastval;
							var maxval;
							var minval;
							
							function initializationRoutine (){
								document.getElementById("timer").value = "";
								document.getElementById("timer").focus();
								document.getElementById("timer").value = "<xsl:value-of select="/OMA/WatchDog/ExpiryTime"/>";
								document.getElementById("timer").disabled = true;
								document.getElementById("timer").disabled = false;
							}
							
							function tonum(obj){
     								 return parseInt(obj);
   						       }

							function validate(){
							
								timerval = document.dataarea.timer.value;
								lastval = <xsl:value-of select="/OMA/WatchDog/ExpiryTime"/>;
								minval = 20;
								maxval = 480;
								if(timerval.indexOf(".") != -1)
								{
									alert("&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#24212;&#20026;&#26080;&#31526;&#21495;&#30340;&#25968;&#23383;");
									document.dataarea.timer.value = lastval;
									document.dataarea.timer.focus();
									return false;
								}
								if (document.dataarea.timer.value== "" ){
									alert("&#35831;&#25351;&#23450;&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#30340;&#20540;");
									document.dataarea.timer.value = lastval;
									document.dataarea.timer.focus();
								}
								else{
									if(isNaN(timerval) == true){
										alert("&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#30340;&#20540;&#19981;&#26159;&#25968;&#23383;");
										document.dataarea.timer.value = lastval;
										document.dataarea.timer.focus();
									}
									else if(!((tonum(timerval) &gt;= minval)&amp;&amp;(tonum(timerval) &lt;= maxval))){
										alert("&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#30340;&#20540;&#24212;&#20171;&#20110; " + minval + " &#21644; " + maxval);
										document.dataarea.timer.value = lastval;
										document.dataarea.timer.focus();
									}
									else {
										return true;
									}
									return false;
								}
								return false;	
							}								
						</script>
				</xsl:when>
				
				<xsl:when test="$timer='2'">
					
					<Row>
						<Data type="spincontrol" state="2" size="10">
							<xsl:attribute name="name">timer2</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/></xsl:attribute>
							<xsl:attribute name="uparrscript"><xsl:call-template name="script21"/></xsl:attribute>
							<xsl:attribute name="downarrscript"><xsl:call-template name="script22"/></xsl:attribute>
						</Data>
						<Data  display=" "  type="hidden" state="" align="left">
							<xsl:attribute name="name">timer</xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/></xsl:attribute>
						</Data>
					</Row>

					<script language="javascript">
								var lastobj;
								var curobj;
								var lastobj1;
								var curobj1;
								
								function initializationRoutine (){
									document.getElementById("timer2").disabled = false;
									document.getElementById("timer2").value = "";
									document.getElementById("timer2").focus();
									document.getElementById("timer2").value = "<xsl:value-of select="/OMA/WatchDog/ExpiryTime"/>";
									document.getElementById("timer2").disabled = true;
								}
					
								function validate()
								{
									return true;
								}
								function tonum(obj){
     									 return parseInt(obj);
   								 }
								function getvalue2(){
									lastobj = tonum(document.dataarea.timer2.value);
									return lastobj;
								}
								function getvalue21(){
									lastobj1 = tonum(document.dataarea.timer.value);
									return lastobj1;
								}

								function incr2(x , y , z){
									curobj=getvalue2();
									curobj1=getvalue21();

									if ( curobj == 0 ){
										curobj = curobj + x;
									}
									else if ( curobj &lt; 120 ){
										curobj = curobj*z;
									}
									else{
										curobj = curobj*2*z;
									}
		
									if ( y &gt;= curobj ){
										document.dataarea.timer2.value = curobj;
									}
									else{
									document.dataarea.timer2.value = y;
									}
									
									if ( curobj1 == 0 ){
										curobj1 = curobj1 + x;
									}
									else if ( curobj1 &lt; 120 ){
										curobj1= curobj1*z;
									}
									else{
										curobj1 = curobj1*2*z;
									}
		
									if ( y &gt;= curobj1 ){
										document.dataarea.timer.value = curobj1;
									}
									else{
									document.dataarea.timer.value = y;
									}

		
									return ;	
								}
								function decr2(y , z)	{
		
									curobj=getvalue2();
									curobj1=getvalue21();

									if ( curobj == 480 ){
										curobj = curobj/(2*z);
									}
									else if ( curobj &lt;=120 ){
										curobj = curobj/z;
									}
		
		
									if ( y &lt;= curobj ){
										document.dataarea.timer2.value = curobj;
									}
									else{
									document.dataarea.timer2.value = y;
									}
									
									if ( curobj1 == 480 ){
										curobj1 = curobj1/(2*z);
									}
									else if ( curobj1 &lt;=120 ){
										curobj1 = curobj1/z;
									}
		
		
									if ( y &lt;= curobj1 ){
										document.dataarea.timer.value = curobj1;
									}
									else{
									document.dataarea.timer.value = y;
									}

		
									return ;	
								}	
						</script>
				</xsl:when>
				
				<xsl:when test="$timer='4'">
					
					
					<Row>
						<Data type="spincontrol" state="2" size="10">
							<xsl:attribute name="name">timer3</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/></xsl:attribute>
							<xsl:attribute name="uparrscript"><xsl:call-template name="script31"/></xsl:attribute>
							<xsl:attribute name="downarrscript"><xsl:call-template name="script32"/></xsl:attribute>
						</Data>
						<Data  display=" "  type="hidden" state="" align="left">
							<xsl:attribute name="name">timer</xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/></xsl:attribute>
						</Data>
					</Row>

					<script language="javascript">
								var lastobj;
								var curobj;
								var lastobj1;
								var curobj1;
								
								function initializationRoutine (){
									document.getElementById("timer3").disabled = false;
									document.getElementById("timer3").value = "";
									document.getElementById("timer3").focus();
									document.getElementById("timer3").value = "<xsl:value-of select="/OMA/WatchDog/ExpiryTime"/>";
									document.getElementById("timer3").disabled = true;
								}
								
								function validate()
								{
									return true;
								}
								function tonum(obj){
     									 return parseInt(obj);
   								 }
								function getvalue3(){
									lastobj = tonum(document.dataarea.timer3.value);
									return lastobj;
								}
								function getvalue31(){
									lastobj1 = tonum(document.dataarea.timer.value);
									return lastobj1;
								}

								function incr3(x , y){
		
									curobj=getvalue3();
									curobj1=getvalue31();

									curobj = curobj+x;
									if ( y &gt;= curobj ){
										document.dataarea.timer3.value = curobj;
									}
									else{
										document.dataarea.timer3.value = y;
									}
									
									curobj1 = curobj1+x;
									if ( y &gt;= curobj1 ){
										document.dataarea.timer.value = curobj1;
									}
									else{
										document.dataarea.timer.value = y;
									}

		
									return ;	
								}
								function decr3(x , y)	{
		
									curobj=getvalue3();
									curobj1=getvalue31();

									curobj = curobj-x;
									if ( y &lt;= curobj ){
										document.dataarea.timer3.value = curobj;
									}
									else{
										document.dataarea.timer3.value = y;
									}
									
									curobj1 = curobj1-x;
									if ( y &lt;= curobj1 ){
										document.dataarea.timer.value = curobj1;
									}
									else{
										document.dataarea.timer.value = y;
									}

		
									return ;	
								}	
						</script>
				</xsl:when>

			</xsl:choose>	
</xsl:template>

<xsl:template name="script11">javascript:incr1(1,480)</xsl:template>
<xsl:template name="script12">javascript:decr1(1,20)</xsl:template>

<xsl:template name="script21">javascript:incr2(30,480,2)</xsl:template>
<xsl:template name="script22">javascript:decr2(30,2)</xsl:template>

<xsl:template name="script31">javascript:incr3(60,480)</xsl:template>
<xsl:template name="script32">javascript:decr3(60,60)</xsl:template>

<xsl:template name="view">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21160;&#24674;&#22797;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData name="HungServer">
			<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="view1"/>
		</TableData>
		<TableData name="SystemTimer">
			<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#65288;&#31186;&#65289;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;&#65288;&#31186;&#65289;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="view2"/>				
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="view1">
	<Row>
		<Data name="None" returnvalue="0" type="radio">
			<xsl:attribute name="value"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="noneselect"/></xsl:attribute>
		</Data>
	</Row>	
	<xsl:if test="/OMA/WatchDog/Capabilities/Reboot='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">Reboot</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">1</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="rebootselect"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
	<xsl:if test="/OMA/WatchDog/Capabilities/PwrOff='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">PowerOff</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">2</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="poweroffselect"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>		
	<xsl:if test="/OMA/WatchDog/Capabilities/PwrCycle='true'">
		<Row>	
			<Data type="radio">
				<xsl:attribute name="name">PowerCycle</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;&#21518;&#20877;&#24320;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">4</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="powercycleselect"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
</xsl:template>

<xsl:template name="noneselect">
	<xsl:variable name="setting" select="/OMA/WatchDog/Settings/Reboot"/>
	<xsl:variable name="setting1" select="/OMA/WatchDog/Settings/PwrOff"/>
	<xsl:variable name="setting2" select="/OMA/WatchDog/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='false'">
			<xsl:choose>
				<xsl:when test="$setting1='false'">
					<xsl:choose>
						<xsl:when test="$setting2='false'">3</xsl:when>
						<xsl:otherwise>2</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>2</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>		
	</xsl:choose>
</xsl:template>

<xsl:template name="rebootselect">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/Reboot"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="poweroffselect">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/PwrOff"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="powercycleselect">
<xsl:variable name="setting" select="/OMA/WatchDog/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="view2">
	<Row>
		<Data name=""  display="">
			<xsl:attribute name="value"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/><!--XLATESTART--> &#31186;<!--XLATESTOP--></xsl:attribute>
		</Data>
	</Row>		
</xsl:template>

<xsl:template name="cli">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#33258;&#21160;&#24674;&#22797;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<ListData>
			<xsl:choose>
				<xsl:when test="/OMA/WatchDog/Settings/Reboot='false'">
					<xsl:choose>
						<xsl:when test="/OMA/WatchDog/Settings/PwrOff='false'">
							<xsl:choose>
								<xsl:when test="/OMA/WatchDog/Settings/PwrCycle='false'">
									<Data value="None">
										<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
									</Data>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="cliotherwise"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="cliotherwise"/>
						</xsl:otherwise>
					</xsl:choose>			
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="cliotherwise"/>				
				</xsl:otherwise>
			</xsl:choose>
			<xsl:call-template name="clitimer"/>
		</ListData>
	</DataArea>
</xsl:template>


<xsl:template name="cliotherwise">
		<xsl:for-each select="/OMA/WatchDog/Capabilities/*">
			<xsl:if test=".='true'">
				<xsl:call-template name="cliotherwise1">
					<xsl:with-param name="name1"><xsl:value-of select="name()"/></xsl:with-param>
				</xsl:call-template>
			</xsl:if>	
		</xsl:for-each>
</xsl:template>

<xsl:template name="cliotherwise1">
	<xsl:param name="name1"/>
	<xsl:for-each select="/OMA/WatchDog/Settings/*">
		<xsl:if test="$name1=name()">
			<xsl:if test=".='true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26816;&#27979;&#21040;&#25805;&#20316;&#31995;&#32479;&#25346;&#36215;&#26102;&#30340;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$name1"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template name="clitimer">
	<Data>
		<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#37325;&#35774;&#35745;&#26102;&#22120;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="/OMA/WatchDog/ExpiryTime"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="/OMA/WatchDog/ExpiryTime/@unit"/></xsl:attribute>
	</Data>
</xsl:template>	

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#24674;&#22797;&#23545;&#35937;&#12290;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#24674;&#22797;&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#24674;&#22797;&#23545;&#35937;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
	
</xsl:stylesheet>
