<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<xsl:attribute name="backpagedisplay"><!--XLATESTART-->BIOS &#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
	<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->BIOS &#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
<DataArea>
	<xsl:attribute name="backpagedisplay"><!--XLATESTART-->BIOS &#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
	<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
	<xsl:if test="/OMA/BIOSSetup/ObjName='OnBoard RAID'"><xsl:attribute name="validate">true</xsl:attribute>
	</xsl:if>
	<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.setbiosobjWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/></xsl:attribute>
	
	<xsl:if test="ShutDownFlag='true'">
		<script language="javascript">
			function restart()
			{
				if (confirm("&#26159;&#21542;&#24050;&#23436;&#25104; BIOS &#35774;&#32622;&#25805;&#20316;&#65311;")){
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8&amp;action1=1';
					document.getElementById("dataarea").submit();
				}
				else{
					document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup';
					document.getElementById("dataarea").submit();
				}	
			}
		</script>
	</xsl:if>
	
	<xsl:if test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
		<script language="javascript">
			function validate(){
				if (confirm("&#26356;&#25913;&#27492;&#35774;&#32622;&#21487;&#33021;&#20250;&#33268;&#20351;&#24744;&#30340;&#26381;&#21153;&#22120;&#19981;&#33021;&#24037;&#20316;&#65292;&#25110;&#38656;&#35201;&#37325;&#26032;&#23433;&#35013;&#25972;&#20010;&#25805;&#20316;&#31995;&#32479;&#12290;&#26159;&#21542;&#30830;&#23454;&#35201;&#32487;&#32493;&#65311;")){
					return true;
				}
				return false;
			}
		</script>
	</xsl:if>
		
	<PageTitle>
		<xsl:attribute name="display"><xsl:value-of select="BIOSSetup/ObjName"/></xsl:attribute>
	</PageTitle>
	<xsl:choose>
		<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
			<PromptText status="3"><!--XLATESTART-->&#36873;&#25321;&#19968;&#20010;&#36873;&#39033;&#20197;&#35774;&#32622;&#20854;&#29366;&#24577;&#12290;&#20294;&#26356;&#25913;&#27492;&#35774;&#32622;&#21487;&#33021;&#20250;&#33268;&#20351;&#24744;&#30340;&#26381;&#21153;&#22120;&#19981;&#33021;&#24037;&#20316;&#65292;&#25110;&#38656;&#35201;&#37325;&#26032;&#23433;&#35013;&#25972;&#20010;&#25805;&#20316;&#31995;&#32479;&#12290;<!--XLATESTOP--></PromptText>
		</xsl:when>
		<xsl:otherwise><PromptText><!--XLATESTART-->&#36873;&#25321;&#19968;&#20010;&#36873;&#39033;&#20197;&#35774;&#32622;&#20854;&#29366;&#24577;&#12290;<!--XLATESTOP--></PromptText></xsl:otherwise>
	</xsl:choose>
	
	<CustomButton>
		<xsl:if test="ShutDownFlag='true'">
			<Data name="shtdwn">
				<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
			</Data>			
		</xsl:if>
		<Data name="Refresh">
			<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup</xsl:attribute>
		</Data>
	</CustomButton>
	<TableData>
		<Header>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="BIOSSetup/ObjName"/> <!--XLATESTART-->&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BIOSSetup/ObjName"/> <!--XLATESTART-->&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:for-each select="BIOSSetup/Capabilities/*">
			<xsl:if test=".='true'">
				<Row>
					<Data type="radio">
						<xsl:attribute name="name">actionsel</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:call-template name="objstatus">
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/BIOSSetup/@objtype='240'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='241'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Rdonly'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20889;&#20445;&#25252;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='242'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableNonePXE'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#21551;&#29992;&#65288;&#27809;&#26377; PXE&#65289;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='243'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='244'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='245'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='246'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Secondary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Primary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>		
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='249'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='251'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 1'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 2'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='252'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#20851;&#38381;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='260'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableWithBIOS'">
										<xsl:attribute name="value"><!--XLATESTART-->&#30001; BIOS &#25903;&#25345;&#30340;&#21551;&#29992;<!--XLATESTOP--></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="state">
							<xsl:call-template name="objselect">
								<xsl:with-param name="state"><xsl:value-of select="/OMA/BIOSSetup/State"/></xsl:with-param>
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
				</Row>
			</xsl:if>
		</xsl:for-each>
	</TableData>
</DataArea>
</xsl:template>

<xsl:template name="objselect">
	<xsl:param name="type"/>
	<xsl:param name="state"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Rdonly'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Off'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='SCSI'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='HDOnly'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='DeviceList'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='CDRomFirst'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT1'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT2'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT3'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='PS2'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='ECP'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EPP'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com1'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com2'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com3'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com4'">
				<xsl:if test="$state='6'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Low'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Medium'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='High'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAll'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>		
		</xsl:otherwise>		
	</xsl:choose>
</xsl:template>
	
<xsl:template name="objstatus">
	<xsl:param name="type"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>	
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Rdonly'">3</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">3</xsl:if>		
		</xsl:when>
		
		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">0</xsl:if>
				<xsl:if test="$name='Off'">1</xsl:if>
				<xsl:if test="$name='SCSI'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>	
		</xsl:when>
		
		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">1</xsl:if>
			<xsl:if test="$name='HDOnly'">2</xsl:if>
			<xsl:if test="$name='DeviceList'">3</xsl:if>
			<xsl:if test="$name='CDRomFirst'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='LPT1'">2</xsl:if>
			<xsl:if test="$name='LPT2'">3</xsl:if>
			<xsl:if test="$name='LPT3'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">1</xsl:if>
			<xsl:if test="$name='PS2'">2</xsl:if>
			<xsl:if test="$name='ECP'">3</xsl:if>
			<xsl:if test="$name='EPP'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Com1'">3</xsl:if>
			<xsl:if test="$name='Com2'">4</xsl:if>
			<xsl:if test="$name='Com3'">5</xsl:if>
			<xsl:if test="$name='Com4'">6</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='Low'">3</xsl:if>
			<xsl:if test="$name='Medium'">4</xsl:if>
			<xsl:if test="$name='High'">5</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">2</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">3</xsl:if>
			<xsl:if test="$name='EnableAll'">4</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">3</xsl:if>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>		
		</xsl:otherwise>		
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040; BIOS &#35774;&#32622;&#23545;&#35937;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->BIOS &#35774;&#32622;&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->BIOS &#35774;&#32622;&#23545;&#35937;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#22815;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus&#65306; <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>
	
<xsl:template match="*"/>

</xsl:stylesheet>
