<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus[0] = '0' or SMStatus[1] = '0'">
			<DataArea>
				<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#31471;&#21475;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#31471;&#21475;<!--XLATESTOP--> <xsl:value-of select="Port/@index" /><xsl:text> </xsl:text><!--XLATESTART-->&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#21047;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortWebPlugin&amp;oid=<xsl:value-of select="Port/@oid"/></xsl:attribute>
					</Data>
				</CustomButton>
				<ListData>
					<xsl:apply-templates select="Port"/>
					<xsl:apply-templates select="PortDevice"/>
				</ListData>			
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#31471;&#21475;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#31471;&#21475;&#20449;&#24687;&#12290; &#32034;&#24341;&#21487;&#33021;&#26080;&#25928;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#25214;&#21040;&#31471;&#21475;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="Port">
	<Data name="ExtName"  editable="false" type="ustring">
		<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="ExtName"/></xsl:attribute>
	</Data>
	<xsl:choose>
		<xsl:when test="ExtName='PARALLEL'">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#22522;&#26412; IO &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ &#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->IEEE 1284<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->PC-98-Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="ConnectorPinout"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#25554;&#38024;&#36755;&#20986;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorPinout='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='3'"><!--XLATESTART-->DB-25 &#25554;&#23380; - IEEE1284-A &#25554;&#24231;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='4'"><!--XLATESTART-->DB-25 &#25554;&#22836; - IEEE 1284-A &#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='5'"><!--XLATESTART-->Centronics - IEEE 1284-B &#25554;&#24231;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='6'"><!--XLATESTART-->Mini-Centronics - IEEE 1284-C &#25554;&#24231;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='7'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='161'"><!--XLATESTART-->DB-36 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorPinout='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#21151;&#33021;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:if test="Capabilities/XT_AT='true'"><!--XLATESTART-->XT AT<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PS2='true'"><!--XLATESTART-->PS2<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/ECP='true'"><!--XLATESTART-->ECP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/EPP='true'"><!--XLATESTART-->EPP<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98='true'"><!--XLATESTART-->PC-98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PC98_HIRESO='true'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
					<xsl:if test="Capabilities/PCH98='true'"><!--XLATESTART-->PC-H98<!--XLATESTOP--><xsl:text> </xsl:text></xsl:if>
				</xsl:attribute>
			</Data>
			<Data name="DmaSupported"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#25345; DMA<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="DmaSupported='true'"><!--XLATESTART-->&#26159;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#21542; <!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#20840;&#24615;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->&#36802;&#22238;&#24341;&#23548;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:when test="starts-with(ExtName,'SERIAL')">
			<Data name="BaseIOAddr"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#22522;&#26412; IO &#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BaseIOAddr"/></xsl:attribute>
			</Data>
			<Data name="IrqLevel"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ &#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IrqLevel"/></xsl:attribute>
			</Data>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='10'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='11'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics &#22411; 14<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics &#22411; 26<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Capabilities"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#21151;&#33021;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->XT/AT &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->16450 &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->16550 &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->16550A &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->8251 &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='161'"><!--XLATESTART-->8251FIFO &#20860;&#23481;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="MaxSpeed"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#39640;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#20840;&#24615;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='6'"><!--XLATESTART-->&#36802;&#22238;&#24341;&#23548;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:when>
		<xsl:otherwise>
			<Data name="ConnectorType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='3'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='4'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='5'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='6'"><!--XLATESTART-->&#32418;&#22806;&#32447;<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='7'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='8'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='9'"><!--XLATESTART-->&#35775;&#38382;&#24635;&#32447;&#25110;USB<!--XLATESTOP--></xsl:when>
						<xsl:when test="ConnectorType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SecuritySettings"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#23433;&#20840;&#24615;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SecuritySettings='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='3'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='4'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SecuritySettings='5'"><!--XLATESTART-->&#22806;&#37096;&#25509;&#21475;&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="SmbiosConnType"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->SMBIOS &#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50 Pin MiniSCSI<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->&#32418;&#22806;&#32447;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->&#35775;&#38382;&#24635;&#32447; (USB)<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA SCSI<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->&#26426;&#36733; IDE<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->&#26426;&#36733;&#36719;&#39537;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 &#38024;&#21452;&#21015;&#30452;&#25554;&#65288;&#21435;&#25481;&#38024; 10&#65289;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 &#38024;&#21452;&#21015;&#30452;&#25554;&#65288;&#21435;&#25481;&#38024; 26&#65289;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 &#38024;&#21452;&#21015;&#30452;&#25554;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 &#38024;&#21452;&#21015;&#30452;&#25554;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->&#26426;&#36733; CD-ROM &#22768;&#38899;&#36755;&#20837;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics &#22411; 14<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics &#22411; 26<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-jack&#65288;&#32819;&#26426;&#65289;<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
						<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="IsOccupied"  editable="false" type="ustring">
				<xsl:attribute name="display"><!--XLATESTART-->&#24050;&#21344;&#29992;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="IsOccupied='true'"><!--XLATESTART-->&#26159;<!--XLATESTOP--></xsl:when>
						<xsl:otherwise><!--XLATESTART-->&#21542; <!--XLATESTOP--></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="PortDevice">
	<xsl:if test="TypeName">
		<Data name="TypeName"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="TypeName"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="TypeName">
		<Data name="Layout"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#24067;&#23616;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="Layout"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="PointingDevType">
		<Data name="PointingDevType"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#23450;&#28857;&#35774;&#22791;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="PointingDevType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='3'"><!--XLATESTART-->&#20018;&#34892;<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='4'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='5'"><!--XLATESTART-->&#32418;&#22806;&#32447;<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->BusMouse<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='6'"><!--XLATESTART-->ADB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='160'"><!--XLATESTART-->DB-9<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='161'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='162'"><!--XLATESTART-->&#35775;&#38382;&#24635;&#32447;&#25110;USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="PointingDevType='163'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="NumButtons">
		<Data name="NumButtons"  editable="false" type="ustring">
			<xsl:attribute name="display"><!--XLATESTART-->&#25353;&#38062;&#25968;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="NumButtons"/></xsl:attribute>
		</Data>
	</xsl:if>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
