<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus !='0'">
			<DataArea>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#25214;&#21040;&#31471;&#21475;&#20449;&#24687;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#31471;&#21475;&#20449;&#24687;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#31471;&#21475;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#21047;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PortsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText><!--XLATESTART--><!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="PortsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="PortsList">
	<TableData name="" display="" columnspacing="true">
		<Header>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#31471;&#21475;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31471;&#21475;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#22806;&#37096;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#22806;&#37096;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#22522;&#26412;&#36755;&#20837;&#36755;&#20986;&#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#22522;&#26412;&#36755;&#20837;&#36755;&#20986;&#22320;&#22336;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->IRQ &#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->IRQ &#32423;&#21035;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#36830;&#25509;&#22120;&#31867;&#22411;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#26368;&#39640;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#26368;&#39640;&#36895;&#24230;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Port"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Port">
	<Row>
		<Data name="PortType"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@objtype='192'"><!--XLATESTART-->&#24182;&#34892;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='193'"><!--XLATESTART-->&#20018;&#34892;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='194'"><!--XLATESTART-->&#23450;&#28857;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='195'"><!--XLATESTART-->&#38190;&#30424;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='196'"><!--XLATESTART-->&#22788;&#29702;&#22120;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='197'"><!--XLATESTART-->&#20869;&#23384;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='198'"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='199'"><!--XLATESTART-->&#26174;&#31034;&#22120;<!--XLATESTOP--></xsl:when>
					<xsl:when test="@objtype='200'"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring" align="left">
			<xsl:attribute name="value"><xsl:value-of select="ExtName" /></xsl:attribute>
		</Data>
		<Data name="BaseIOAddr"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="BaseIOAddr = '0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="BaseIOAddr"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<Data name="IrqLevel"  editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="IrqLevel= '0'"><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><xsl:value-of select="IrqLevel"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
		<xsl:choose>
			<!-- objtype 192 is for parallel port-->
			<xsl:when test="@objtype='192'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-25 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-25 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->Mini-Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Centronics-14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->DB-36 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='162'"><!--XLATESTART-->Mini-Centronics-20<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:when>
			<!-- objtype 193 is for serial port-->
			<xsl:when test="@objtype='193'">
				<Data name="ConnectorType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="ConnectorType='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='3'"><!--XLATESTART-->DB-9 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='4'"><!--XLATESTART-->DB-9 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='5'"><!--XLATESTART-->DB-25 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='6'"><!--XLATESTART-->DB-25 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='7'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='8'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='9'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='10'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='11'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='160'"><!--XLATESTART-->Mini-Centronics &#22411; 14<!--XLATESTOP--></xsl:when>
							<xsl:when test="ConnectorType='161'"><!--XLATESTART-->Mini-Centronics &#22411; 26<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring">
					<xsl:attribute name="value"><xsl:value-of select="MaxSpeed"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data name="SmbiosConnType"  editable="false" type="ustring">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->&#26080;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='1'"><!--XLATESTART-->Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='2'"><!--XLATESTART-->Mini Centronics<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='3'"><!--XLATESTART-->&#19987;&#29992;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='4'"><!--XLATESTART-->DB-25 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='5'"><!--XLATESTART-->DB-25 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='6'"><!--XLATESTART-->DB-15 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='7'"><!--XLATESTART-->DB-15 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='8'"><!--XLATESTART-->DB-9 &#38024;&#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='9'"><!--XLATESTART-->DB-9 &#38024;&#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='10'"><!--XLATESTART-->RJ-11<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='11'"><!--XLATESTART-->RJ-45<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='12'"><!--XLATESTART-->50 Pin MiniSCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='13'"><!--XLATESTART-->Mini-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='14'"><!--XLATESTART-->Micro-DIN<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='15'"><!--XLATESTART-->PS/2<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='16'"><!--XLATESTART-->&#32418;&#22806;&#32447;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='17'"><!--XLATESTART-->HP-HIL<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='18'"><!--XLATESTART-->&#35775;&#38382;&#24635;&#32447; (USB)<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='19'"><!--XLATESTART-->SSA SCSI<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='20'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#22836;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='21'"><!--XLATESTART-->&#22278;&#24418; DIN-8 &#25554;&#23380;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='22'"><!--XLATESTART-->&#26426;&#36733; IDE<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='23'"><!--XLATESTART-->&#26426;&#36733;&#36719;&#39537;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='24'"><!--XLATESTART-->9 &#38024;&#21452;&#21015;&#30452;&#25554;&#65288;&#21435;&#25481;&#38024; 10&#65289;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='25'"><!--XLATESTART-->25 &#38024;&#21452;&#21015;&#30452;&#25554;&#65288;&#21435;&#25481;&#38024; 26&#65289;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='26'"><!--XLATESTART-->50 &#38024;&#21452;&#21015;&#30452;&#25554;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='27'"><!--XLATESTART-->68 &#38024;&#21452;&#21015;&#30452;&#25554;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='28'"><!--XLATESTART-->&#26426;&#36733; CD-ROM &#22768;&#38899;&#36755;&#20837;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='29'"><!--XLATESTART-->Mini-Centronics &#22411; 14<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='30'"><!--XLATESTART-->Mini-Centronics &#22411; 26<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='31'"><!--XLATESTART-->Mini-jack&#65288;&#32819;&#26426;&#65289;<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='32'"><!--XLATESTART-->BNC<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='33'"><!--XLATESTART-->1394<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='160'"><!--XLATESTART-->PC-98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='161'"><!--XLATESTART-->PC-98 Hireso<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='162'"><!--XLATESTART-->PC-H98<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='163'"><!--XLATESTART-->PC-98 Note<!--XLATESTOP--></xsl:when>
							<xsl:when test="SmbiosConnType='164'"><!--XLATESTART-->PC-98 Full<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
				<Data name="MaxSpeed"  editable="false" type="ustring" />
			</xsl:otherwise>
		</xsl:choose>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
