<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name=""  display="">
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
	<xsl:choose>
		<xsl:when test="@cli='true'"><xsl:call-template name="cli"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="web"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="web">	
	<xsl:choose>
		<xsl:when test="OMAUserRights='7'"><xsl:call-template name="edit"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="view"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="edit">
	<DataArea validate="true">
		<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;oid=<xsl:value-of select="HostControl/@oid"/></xsl:attribute>
		<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
		
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
			
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->&#31105;&#29992;&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->&#31105;&#29992;&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;&#12290;<!--XLATESTOP-->
				</PromptText>
			</xsl:when>
			<xsl:otherwise>
				<TableData name="osshutdown">
					<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="name">os</xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#20808;&#20851;&#38381;&#25805;&#20316;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
							<xsl:attribute name="returnvalue">8</xsl:attribute>
							<xsl:attribute name="state"><xsl:call-template name="OSselect1"/></xsl:attribute>
						</Data>
					</Row>
				</TableData>			
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="(HostControl/Capabilities/Reboot='false') and (HostControl/Settings/Reboot='false') and (HostControl/Capabilities/PwrOff='false') and (HostControl/Settings/PwrOff='false') and (HostControl/Capabilities/PwrCycle='false') and (HostControl/Settings/PwrCycle='false')">				
				<PromptText>
					<xsl:attribute name="display"><!--XLATESTART-->&#31105;&#29992;&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<!--XLATESTART-->&#31105;&#29992;&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP-->
				</PromptText>				
			</xsl:when>
			<xsl:otherwise>
				<TableData name="rshutdownaction">
					<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<Header>
						<Data name="">
							<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<xsl:call-template name="edit1"/>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
		
		<script language="javascript">
			function validate(){
				<xsl:choose>				
					<xsl:when test="(HostControl/Capabilities/OSShutdown='false') and (HostControl/Settings/OSShutdown='false')">
						if (confirm("&#26159;&#21542;&#30830;&#23454;&#35201;&#32487;&#32493;&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;&#65311;")){
							return true;
						}
						else{
							return false;
						}				
					</xsl:when>
					<xsl:otherwise>
						if (document.getElementById("dataarea").os.checked == true){
							if (confirm("&#26159;&#21542;&#30830;&#23454;&#35201;&#32487;&#32493;&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;&#65311;")){
								return true;
							}
							else{
								return false;
							}	
						}
						else {
							if (confirm("&#24744;&#24050;&#36873;&#25321;&#19981;&#20808;&#20851;&#38381;&#25805;&#20316;&#31995;&#32479;&#12290; &#36825;&#21487;&#33021;&#20250;&#36896;&#25104;&#25968;&#25454;&#25439;&#22351;&#25110;&#20002;&#22833;&#12290; &#26159;&#21542;&#30830;&#23450;&#65311;")){
								return true;
							}
							else{
								return false;
							}	
						}
						
					</xsl:otherwise>
				</xsl:choose>
				
			}								
		</script>
			
	</DataArea>
</xsl:template>
<xsl:template name="edit1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="returnvalue">1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="rebootselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">2</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="poweroffselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>	
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
		<Row>
			<Data type="radio">
				<xsl:attribute name="name">action1</xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;&#21518;&#20877;&#24320;&#26426;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="returnvalue">4</xsl:attribute>
				<xsl:attribute name="state"><xsl:call-template name="powercycleselect1"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:if>
</xsl:template>
<xsl:template name="rebootselect1">
<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">1</xsl:when>
			</xsl:choose>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="powercycleselect1">
<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:if test="$setting='true'">1</xsl:if>
</xsl:template>
<xsl:template name="OSselect1">
<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">1</xsl:when>
		<xsl:otherwise>1</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="view">
	<DataArea>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.GetshtdwnWebPlugin&amp;help=Shutdown</xsl:attribute>
			</Data>
		</CustomButton>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<TableData name="osshutdown">
			<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="name">os</xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#20808;&#20851;&#38381;&#25805;&#20316;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">8</xsl:attribute>
					<xsl:attribute name="state"><xsl:call-template name="OSselect"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
		<TableData name="rshutdownaction">
			<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->&#36828;&#31243;&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="view1"/>
		</TableData>
	</DataArea>
</xsl:template>
<xsl:template name="view1">
	<xsl:if test="HostControl/Capabilities/Reboot='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">Reboot</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">1</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="rebootselect"/></xsl:attribute>
		</Data>
	</Row>
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrOff='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerOff</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">2</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="poweroffselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>
	<xsl:if test="HostControl/Capabilities/PwrCycle='true'">
	<Row>
		<Data type="radio">
			<xsl:attribute name="name">PowerCycle</xsl:attribute>
			<xsl:attribute name="value"><!--XLATESTART-->&#31995;&#32479;&#20851;&#26426;&#21518;&#20877;&#24320;&#26426;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="returnvalue">4</xsl:attribute>
			<xsl:attribute name="state"><xsl:call-template name="powercycleselect"/></xsl:attribute>
		</Data>
	</Row>		
	</xsl:if>	
</xsl:template>
<xsl:template name="rebootselect">
	<xsl:variable name="setting" select="HostControl/Settings/Reboot"/>
	<xsl:variable name="setting1" select="HostControl/Settings/PwrOff"/>
	<xsl:variable name="setting2" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:when test="$setting1='false'">
			<xsl:choose>
				<xsl:when test="$setting2='false'">3</xsl:when>
				<xsl:otherwise>2</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="poweroffselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrOff"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="powercycleselect">
	<xsl:variable name="setting" select="HostControl/Settings/PwrCycle"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="OSselect">
	<xsl:variable name="setting" select="HostControl/Settings/OSShutdown"/>
	<xsl:choose>
		<xsl:when test="$setting='true'">3</xsl:when>
		<xsl:otherwise>3</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="cli">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#20851;&#26426;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<xsl:choose>
			<xsl:when test="HostControl/Settings/Reboot='false'">
				<xsl:choose>
					<xsl:when test="HostControl/Settings/PwrOff='false'">
						<xsl:choose>
							<xsl:when test="HostControl/Settings/PwrCycle='false'">
								<xsl:choose>
									<xsl:when test="HostControl/Settings/OSShutdown='false'">
										<ListData>
											<Data value="None">
												<xsl:attribute name="display"><!--XLATESTART-->&#20851;&#26426;&#25805;&#20316;&#25346;&#36215;<!--XLATESTOP--></xsl:attribute>
											</Data>
										</ListData>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="cliotherwise"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="cliotherwise"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="cliotherwise"/>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="cliotherwise"/>				
			</xsl:otherwise>
		</xsl:choose>
	</DataArea>
</xsl:template>


<xsl:template name="cliotherwise">
	<ListData>
		<xsl:for-each select="HostControl/Capabilities/*">
			<xsl:if test=".='true'">
				<xsl:call-template name="cliotherwise1">
					<xsl:with-param name="name1"><xsl:value-of select="name()"/></xsl:with-param>
				</xsl:call-template>
			</xsl:if>	
		</xsl:for-each>
	</ListData>	
</xsl:template>

<xsl:template name="cliotherwise1">
	<xsl:param name="name1"/>
	<xsl:for-each select="/OMA/HostControl/Settings/*">
		<xsl:if test="$name1=name()">
			<xsl:if test=".='true'">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20851;&#26426;&#25805;&#20316;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$name1"/></xsl:attribute>
				</Data>
			</xsl:if>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25104;&#21151;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '1'"><!--XLATESTART-->&#21629;&#20196;&#26410;&#25191;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '2'"><!--XLATESTART-->&#21629;&#20196;&#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '3'"><!--XLATESTART-->&#21629;&#20196;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '4'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#21462;&#28040;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '5'"><!--XLATESTART-->&#21629;&#20196;&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '6'"><!--XLATESTART-->&#21629;&#20196;&#25346;&#36215;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '7'"><!--XLATESTART-->&#27809;&#26377;&#27492;&#31867;&#35774;&#22791;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '8'"><!--XLATESTART-->&#35774;&#22791;&#27491;&#24537;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '9'"><!--XLATESTART-->&#35774;&#22791;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '10'"><!--XLATESTART-->&#20551;&#20013;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '11'"><!--XLATESTART-->&#36164;&#28304;&#38145;&#23450;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '12'"><!--XLATESTART-->&#32034;&#24341;&#26080;&#25928;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '13'"><!--XLATESTART-->SMB &#38169;&#35823;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '14'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#19981;&#21487;&#29992;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '15'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#22810;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '16'"><!--XLATESTART-->&#25152;&#35831;&#27714;&#30340;&#25968;&#25454;&#23569;&#20110;&#21487;&#29992;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '17'"><!--XLATESTART-->&#35774;&#22791;&#23578;&#26410;&#20934;&#22791;&#22909;&#65292;&#26080;&#27861;&#25509;&#21463;&#21629;&#20196;&#12290; &#35831;&#31245;&#21518;&#37325;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '18'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#27809;&#26377;&#25968;&#25454;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '19'"><!--XLATESTART-->&#35774;&#22791;&#19978;&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '20'"><!--XLATESTART-->&#35774;&#22791;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '256'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#23545;&#35937;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '257'"><!--XLATESTART-->&#23545;&#35937;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '258'"><!--XLATESTART-->&#23545;&#35937;&#24050;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '260'"><!--XLATESTART-->&#26410;&#25214;&#21040; INI &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '261'"><!--XLATESTART-->INI &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '262'"><!--XLATESTART-->INI &#37096;&#20998;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '263'"><!--XLATESTART-->INI &#38190;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '264'"><!--XLATESTART-->INI &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '270'"><!--XLATESTART-->&#35775;&#38382;&#26435;&#38480;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '271'"><!--XLATESTART-->&#21442;&#25968;&#21517;&#31216;&#25110;&#20540;&#26080;&#25928;&#65306; <!--XLATESTOP--><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><!--XLATESTART-->&#20869;&#23384;&#19981;&#36275;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '280'"><!--XLATESTART-->&#26410;&#25214;&#21040; XML &#25991;&#20214;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '281'"><!--XLATESTART-->XML &#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '282'"><!--XLATESTART-->XML &#33410;&#28857;&#19981;&#23384;&#22312;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$status = '283'"><!--XLATESTART-->XML &#20540;&#21464;&#24418;&#12289;&#25439;&#22351;&#25110;&#26159;&#22351;&#30340;<!--XLATESTOP--></xsl:when>
			<xsl:otherwise><!--XLATESTART-->SMStatus&#65306; <!--XLATESTOP--><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
