<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml"/>
<xsl:template match="/OMA">
	<xsl:choose>
		<xsl:when test="SMStatus != '0'">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#25554;&#27133;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<TableData>
					<Header>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#38169;&#35823;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="display"><!--XLATESTART-->&#26410;&#25214;&#21040;&#25554;&#27133;&#20449;&#24687;&#12290; &#32034;&#24341;&#21487;&#33021;&#26080;&#25928;&#12290;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="value"><!--XLATESTART-->&#26410;&#25214;&#21040;&#25554;&#27133;&#20449;&#24687;&#12290; &#32034;&#24341;&#21487;&#33021;&#26080;&#25928;&#12290;<!--XLATESTOP--></xsl:attribute>
						</Data>
					</Row>
				</TableData>
			</DataArea>
		</xsl:when>
		<xsl:otherwise>
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#25554;&#27133;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<CustomButton>
					<Data name="Refresh" display="&#21047;&#26032;">
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotsWebPlugin&amp;poid=2</xsl:attribute>
					</Data>
				</CustomButton>
				<PromptText ignoreoncli="true"><!--XLATESTART-->&#21333;&#20987;&#25554;&#27133;&#26631;&#35782;&#31526;&#25110;&#36866;&#37197;&#22120;&#21517;&#31216;&#21487;&#26597;&#30475;&#20854;&#35814;&#32454;&#20449;&#24687;&#12290;<!--XLATESTOP--></PromptText>
				<xsl:apply-templates select="SlotsList"/>
			</DataArea>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="SlotsList">
	<TableData name="" display="">
		<Header>
			<Data name="" editable="" type="" align="center" ignoreonweb="true">
				<xsl:attribute name="display"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#32034;&#24341;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="" width="80">
				<xsl:attribute name="display"><!--XLATESTART-->&#25554;&#27133;ID<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#25554;&#27133;ID<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#36866;&#37197;&#22120;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#36866;&#37197;&#22120;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<Data name="" editable="" type="">
				<xsl:attribute name="display"><!--XLATESTART-->&#25968;&#25454;&#24635;&#32447;&#23485;&#24230;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#25968;&#25454;&#24635;&#32447;&#23485;&#24230;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</Header>
		<xsl:apply-templates select="Slot"/>
	</TableData>
</xsl:template>	
	
<xsl:template match="Slot">
	<Row>
		<Data name=""  display="" editable="false" align="center" ignoreonweb="true">
			<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
               		<xsl:when test="ExtName='Embedded'">
						<!--XLATESTART-->&#24050;&#23884;&#20837;<!--XLATESTOP-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="ExtName"/>
					</xsl:otherwise>
            		</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotID!='0'">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;help=SlotDevice</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="SlotDevice"><xsl:value-of select="SlotDevice/DeviceDesc" /></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#26410;&#21344;&#29992;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="SlotDevice">
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.SlotDeviceWebPlugin&amp;poid=<xsl:value-of select="@oid" />&amp;slotid=<xsl:value-of select="SlotID"/>&amp;help=Adapter</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
			</xsl:if>
		</Data>
		<Data name=""  display="" editable="false" type="ustring">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='1'"><!--XLATESTART-->&#20854;&#23427;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='3'"><!--XLATESTART-->8 &#20301;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='4'"><!--XLATESTART-->16 &#20301;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='5'"><!--XLATESTART-->32 &#20301;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='6'"><!--XLATESTART-->64 &#20301;<!--XLATESTOP--></xsl:when>
					<xsl:when test="HotPlugSystemSlot/DataBusWidth='7'"><!--XLATESTART-->128 &#20301;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>
	</Row>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
