<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text> failed!</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5212'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5438'" />
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 
						<!--XLATESTART--><xsl:text> successfully</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  Parameters: </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">id</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->Command log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->Command log backup created<!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->Hardware-ESM log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->Alert log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->Probe threshold modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->LRA response modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->Asset Info Object type modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->Asset Info acquisition modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->Asset Info vendor/expensed modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->Asset Info cost center modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->Asset Info user info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->Asset Info extended warranty modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->Asset Info ownership code modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->Asset Info corporate owner modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->Asset Info hazard waste code modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->Asset Info deployment time modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->Asset Info training info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->Asset Info outsourcing modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->Asset Info insurance modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->Asset Info depreciation info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->Asset Info box modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->Asset Info OS additional info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->Asset Info cost event log modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->Asset Info warranty modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->Asset Info schedule number modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->Asset Info options modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->Asset Info maintenance modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->Asset Info repairs modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->Asset Info trouble ticket modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->Asset Info register modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->Asset Info service contracts modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->Asset Info lease info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->Asset Info support info modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->BIOS update package modified<!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>Auto Recovery action modified to </xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->No Action<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->PowerCycle<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->PowerOff<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->Reboot<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->Auto Recovery timer modified to <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> seconds<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->System shutdown initiated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text>Alert Actions for </xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text> modified</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Alert Actions executable app modified</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>Thermal protect shutdown setting changed to </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'">Disabled</xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'">Warning</xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'">Failure</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> Probe for </xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text>: maximum warning threshold modified</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Probe for </xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text>: minimum warning threshold modified</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->Security group: user verified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->Security group: user created<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->Security group: user deleted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->Security group: root user password changed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5089'"><!--XLATESTART-->Security group: root user password change failed !<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->System chassis name modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>Chassis fan control modified to</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"> Quiet Mode</xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"> Full Speed Mode</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->Chassis LED control modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->Chassis LED state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->Chassis power button control modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>Chassis identify</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->turned on<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> turned off<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->Chassis asset tag modified to <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->Chassis identify timeout modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->Harddrive fault LED cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->System Info location modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->System Info primary user name modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->System Info primary user phone modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->Memory error count cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->Memory redundancy configuration modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->AC switch mode modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->AC switch redundancy expected modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->ESM log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->Alert log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->BIOS Setup state modified<!--XLATESTOP--></xsl:when>
			<!-- ********************  HIPDA SNMP Traps ****************** -->
			<xsl:when test="$id = '5200'"><!--XLATESTART-->SNMP Traps for System enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5201'"><!--XLATESTART-->SNMP Traps for Power Supplies enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5202'"><!--XLATESTART-->SNMP Traps for Redundancy enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5203'"><!--XLATESTART-->SNMP Traps for Temperature enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5204'"><!--XLATESTART-->SNMP Traps for Fans enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5205'"><!--XLATESTART-->SNMP Traps for Volts enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5206'"><!--XLATESTART-->SNMP Traps for Currents enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5207'"><!--XLATESTART-->SNMP Traps for Logs enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5208'"><!--XLATESTART-->SNMP Traps for Fan Enclosure enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5209'"><!--XLATESTART-->SNMP Traps for AC Cord enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5210'"><!--XLATESTART-->SNMP Traps for Memory enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5211'"><!--XLATESTART-->SNMP Traps for Intrusion enabled/disabled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5212'"><!--XLATESTART-->SNMP Trap for <!--XLATESTOP--><xsl:value-of select="Name"/><!--XLATESTART--> enabled/disabled<!--XLATESTOP--></xsl:when>
			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->User login attempt from <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->User logged in from <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART--> with <!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART--> privileges<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->User logged out<!--XLATESTOP--></xsl:when>

			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->User access rights set to Administrator<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5312'"><!--XLATESTART-->User access rights set to Power User and above<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5313'"><!--XLATESTART-->User access rights set to User and above<!--XLATESTOP--></xsl:when>

			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->Remote access card modem dial type modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->Remote access card modem init string modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->Remote access card modem baudrate modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->Remote access card floppy TFTP state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->Remote access card firmware TFTP state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->Remote access card floppy TFTP IP address modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->Remote access card floppy TFTP path modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->Remote access card firmware update TFTP IP address modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->Remote access card firmware update TFTP path modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->Remote access card SMTP email state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->Remote access card SMTP IP address modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->Remote access card NIC state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->Remote access card NIC DHCP state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->Remote access card NIC IP address modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->Remote access card NIC subnet mask modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->Remote access card NIC gateway modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->Remote access card base IP address modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->Remote access card dial-in state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->Remote access card dial-in DHCP state modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->Remote access card dial-in authorization type modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->Remote access card dial-out user added<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->Remote access card dial-out user updated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->Remote access card dial-out user removed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->Remote access card dial-in user added<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->Remote access card dial-in user updated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->Remote access card dial-in user removed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->Remote access card SNMP trap added<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->Remote access card SNMP trap updated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->Remote access card SNMP trap removed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->Remote access card user added<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->Remote access card user updated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->Remote access card user removed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->Remote access card email test executed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->Remote access card alpha pager test executed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->Remote access card numeric pager test executed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->Remote access card SNMP trap test executed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->Remote access card reset<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->User login attempt from <!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/> failed: AUTHMETHOD=<xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>;REASON=<xsl:value-of select="Parameter[@name='REASON']/@value"/><!--XLATESTOP--></xsl:when>

			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->The Administrator deleted the update package: <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->The Administrator loaded the BIOS update package: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Previous Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Update Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->; the update will occur after the system reboots<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->The Administrator performed the update successfully.  Update Package Name: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Previous Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Updates Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->The Administrator performed the firmware update successfully.  Update Package Name: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Previous ESM Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  Update ESM Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->The Administrator failed to perform the update using the update package: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Update failed!  Local Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->Update Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->Diagnostics summary page requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->Diagnostics application level settings saved<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->Diagnostics application level settings requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->Diagnostics advanced settings for diagnostic run saved<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->Diagnostics get advanced level settings for the session completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->Diagnostics result history log requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->Diagnostics get difference history log completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->Diagnostics difference view requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->Diagnostics configuration difference acknowledged<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->Diagnostics session log requested <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->Diagnostics overall progress requested <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->Diagnostics progress requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->Diagnostics set overall progress completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->Diagnostics get overall progress request completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->Diagnostics aborted <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->Diagnostics completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->Diagnostics selected to run<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->No Diagnostic test selected; submitted request<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5721'"><!--XLATESTART-->Diagnostics advanced settings option selected<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->Diagnostics view by device type selected<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->Diagnostics view by test type selected<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->Diagnostics selection page viewed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->Diagnostics selection page viewed for the first time<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->Diagnostics scheduler page viewed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->Diagnostics scheduled task deleted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->No diagnostics task scheduled to be deleted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->Diagnostics task scheduled<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->Diagnostics result history log cleared<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->Diagnostics welcome page system alert set<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->Diagnostics About info was requested<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->OS scheduled run initiated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->OS scheduled run completed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->Command line diagnostic run started<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->Command line diagnostic run completed<!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> started<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> shutdown<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> User Preferences modified<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> Server Preferences modified<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> deleted<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> delete failed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generated<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generate failed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generated and made active<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generated but make active failed<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> imported<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->X.509 certificate <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> import failed<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->Unknown entry! ID(<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev">
		<xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->Power supply critical<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->Temperature probe warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->Temperature probe detects failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->Fan probe warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->Fan probe detects failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->Voltage probe warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->Voltage probe detects failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->Current probe warning<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->Current probe detects failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->Chassis intrusion detection<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->Power system redundancy degraded<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->Power system redundancy loss<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->Memory pre-failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->Memory failure<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->Powersupply<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->Temperature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->Fan<!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->Voltage<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->Current<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
