<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA/About">
		<Summary>
	<Section name="Software">
		<xsl:attribute name="display"><!--XLATESTART-->Software Profile<!--XLATESTOP--></xsl:attribute>
		<ListData name="SysMgmtSoftwareCtr">
			<xsl:attribute name="display"><!--XLATESTART-->System Management<!--XLATESTOP--></xsl:attribute>
			<Data name="ProductName">
				<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductName"><xsl:attribute name="value"><xsl:value-of select="ProductName"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Information Not Available.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductVersion">
				<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductVersion"><xsl:attribute name="value"><xsl:value-of select="ProductVersion"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Information Not Available.<!--XLATESTART--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductDescription">
				<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Systems Management Software<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="Component">
				<xsl:if test="count(preceding-sibling::*) > 0">
					<xsl:if test="Name">
						<Data>
							<xsl:attribute name="name">Contains_<xsl:value-of select="count(preceding-sibling::*)" /></xsl:attribute>
							<xsl:choose>
								<xsl:when test="position() = '1'">
									<xsl:attribute name="display"><!--XLATESTART-->Contains:<!--XLATESTOP--></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="display"></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test="ID = 'osia'">
										<xsl:value-of select="../OEMTitleCompanyName" /><xsl:text> </xsl:text><xsl:value-of select="../OEMTitleCoreProductName" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Name" />
									</xsl:otherwise>
								</xsl:choose>
								<xsl:text> </xsl:text><xsl:value-of select="Version" />
							</xsl:attribute>
						</Data>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
		</ListData>
	</Section>
		
		</Summary>
	</xsl:template>

	<xsl:template match="/OMA/SMStatus">
	</xsl:template>

</xsl:stylesheet>
