<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Zur&#252;ckgehen<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">
				<xsl:choose>
					<xsl:when test="Caller">
						<xsl:call-template name="Caller">
							<xsl:with-param name="caller">
								<xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
												<xsl:otherwise>javascript:history.back ()</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Fehlermeldung<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data  name="Failure  Reason : ">
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@mode='port'">
								<!--XLATESTART-->Schnittstelle<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->wird bereits verwendet<!--XLATESTOP-->
							</xsl:when>
							<xsl:when test="Failure/@mode='snmp'">
								<xsl:choose>
									<xsl:when test="Failure='2'"><!--XLATESTART-->Das eingegebene alte SNMP-Root-Kennwort stimmt nicht mit dem aktuell gesetzten SNMP-Root-Kennwort &#252;berein.<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->Setzen des SNMP-Root-Kennworts fehlgeschlagen!<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>								
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="Caller">
		<xsl:param name="caller"/>
		<xsl:choose>
			<xsl:when test="contains ( $caller , 'onload=true')">
				<xsl:variable name="first" select="substring-before($caller , 'onload=true')"/>
				<xsl:variable name="second" select="substring-after($caller , 'onload=true')"/>				
				<xsl:value-of select="concat($first , 'onload=false' , $second)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$caller"/>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	
	<xsl:template match="*"/>	
</xsl:stylesheet>
