<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  onLoad="true" validate="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SetSvrPrefWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#196;nderungen anwenden<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="(ServiceFlag='true') and (ServiceFlag/@osinability='false')">
				<script language="javascript">
					function restart()
					{
						if (confirm("Haben Sie die Server-Einstellungen beendet? Durch Dr&#252;cken auf OK wird der Web Server neu gestartet. Es wird jedoch empfohlen, bei n&#228;chster Gelegenheit das System neu zu starten.")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences';
							document.getElementById("dataarea").submit();
						}

					}
				</script>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Servereinstellungen<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="(ServiceFlag='true') and (ServiceFlag/@osinability='true')">
					<PromptText status="3"><!--XLATESTART-->Starten Sie das System neu, damit die &#196;nderung(en) wirksam wird (werden).<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->Bestimmen Sie die folgenden Server-Parameter.<!--XLATESTOP--></PromptText>
				</xsl:otherwise>
			</xsl:choose>
			
			<CustomButton>			
				<xsl:if test="(ServiceFlag='true') and (ServiceFlag/@osinability='false')">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->Web Server neu starten<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>			
				</xsl:if>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences</xsl:attribute>
				</Data>
			</CustomButton>					
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Attribut<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Wert<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Sitzungs-Zeitlimit (Minuten): <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Sitzungs-Zeitlimit (Minuten): <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:trapEnableDisable(0)</xsl:attribute>
						<xsl:attribute name="name">sessionvalue</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Deaktivieren<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">disable</xsl:attribute>
						<xsl:attribute name="state"><xsl:if test="Server/SesTimeout='-1'">1</xsl:if></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:trapEnableDisable(1)</xsl:attribute>						
						<xsl:attribute name="name">sessionvalue</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Aktivieren<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">enable</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Sitzungs-Zeitlimit (Minuten): <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state"><xsl:if test="Server/SesTimeout!='-1'">1</xsl:if></xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">						
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">javascript:constValTimer()</xsl:attribute>
						<xsl:attribute name="name">timer1</xsl:attribute>
						<xsl:attribute name="type">spincontrol</xsl:attribute>
						<xsl:attribute name="size">10</xsl:attribute>
						<xsl:attribute name="state"></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="Server/SesTimeout='-1'"><xsl:value-of select="Server/SesTimeout/@default"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="Server/SesTimeout"/></xsl:otherwise>
							</xsl:choose>							
						</xsl:attribute>
						<xsl:attribute name="uparrscript"><xsl:call-template name="script11"/></xsl:attribute>
						<xsl:attribute name="downarrscript"><xsl:call-template name="script12"/></xsl:attribute>
					</xsl:element>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">timer</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:choose>
								<xsl:when test="Server/SesTimeout='-1'"><xsl:value-of select="Server/SesTimeout/@default"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="Server/SesTimeout"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->HTTPS-Anschluss: <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->HTTPS-Anschluss: <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="radio" returnvalue="usedefault" name="httpsportnumradio" event="onclick" handler="javascript:setHttpsPortToDefault()">
						<xsl:attribute name="value"><!--XLATESTART-->Standardeinstellung verwenden<!--XLATESTOP--></xsl:attribute>
						<xsl:if test="Server/HTTPSPort = '1311'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
					</Data>
					<Data type="radio" value="Use" returnvalue="uservalue" name="httpsportnumradio" event="onclick" handler="javascript:setHttpsPortToUsrValue()">
						<xsl:attribute name="value"><!--XLATESTART-->Verwenden<!--XLATESTOP--></xsl:attribute>
						<xsl:if test="Server/HTTPSPort != '1311'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
					</Data>
					<Data name="httpsport" display="" editable="true" type="editbox" align="left" size="10" maxlength="5">
						<xsl:attribute name="event">onChange</xsl:attribute>
						<xsl:attribute name="handler">javascript:chgFlag()</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Server/HTTPSPort"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Zu bindende IP-Adresse: <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Zu bindende IP-Adresse: <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setAll()</xsl:attribute>						
						<xsl:attribute name="name">ipaddr</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Alle<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">default</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Zu bindende IP-Adresse: <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:choose><xsl:when test="Server/IPAddrBound/@default='true'">1</xsl:when></xsl:choose>
						</xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setSpecific()</xsl:attribute>
						<xsl:attribute name="name">ipaddr</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Spezifisch <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">specific</xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:choose><xsl:when test="Server/IPAddrBound/@default='false'">1</xsl:when></xsl:choose>
						</xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<Data name="IPAddress" display=" " editable="true"  type="select" event="onchange" handler="javascript:setIP()">
						<xsl:variable name="defval" select="Server/IPAddrBound/@defaultvalue"/>
						<xsl:variable name="selectval" select="Server/IPAddrBound/@selectedvalue"/>
						<xsl:for-each select="Server/IPAddrBound/IPAddrList/IPAddr">
							<xsl:sort select="." order="ascending"/>
							<Choice>
								<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
								<xsl:attribute name="default">
									<xsl:if test=".=$selectval">true</xsl:if>
								</xsl:attribute>
							</Choice>
						</xsl:for-each>
					</Data>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->SMTP-Servername (oder IP-Adresse):<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SMTP-Servername (oder IP-Adresse):<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="smtp" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="Server/SMTP"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->DNS-Suffix f&#252;r SMTP-Server:<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->DNS-Suffix f&#252;r SMTP-Server:<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="dns" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="Server/DNSSuffix"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Befehlsprotokollumfang (MB): <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Befehlsprotokollumfang (MB): <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="spincontrol" size="5">
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">javascript:constValCmd()</xsl:attribute>
						<xsl:attribute name="name">cmdlog1</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->Befehlsprotokollumfang (MB): <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
						<xsl:attribute name="state"></xsl:attribute>
						<xsl:attribute name="uparrscript">
							<xsl:call-template name="scriptcmd11">
								<xsl:with-param name="max"><xsl:value-of select="CmdLog/MaxLogSizeMB"/></xsl:with-param>
								<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="downarrscript">
							<xsl:call-template name="scriptcmd12">
								<xsl:with-param name="min"><xsl:value-of select="CmdLog/MinLogSizeMB"/></xsl:with-param>
								<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">cmdlog</xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
					</Data>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Support-Verkn&#252;pfung : <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Support-Verkn&#252;pfung : <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="support" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="OEM/WWWSupport"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">logoutBtn</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">restart</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">clbrowser</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">supportflag</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
				</Row>				
			</TableData>
			
			<script language="javascript">
			
				var lastobj;
				var curobj;
				var lastobj1;
				var curobj1;
				var lastobjcmd;
				var curobjcmd;
				var lastobjcmd1;
				var curobjcmd1;
				var session1;
				var timer1;
				var httpsport1;
				var ipaddr1;
				var ipaddbox;
				var smtpval;
				var dnsval;
				var supportval;
				var minval = 1;
				var maxval = 65535;
				var flag = false;
				var alertflag = false;
				var _enabled = false;
				var defaultport = 1311;				
				var httpsport = <xsl:value-of select="Server/HTTPSPort"/>;
				var ipaddrsettoall = <xsl:value-of select="Server/IPAddrBound/@default"/>;
				var portchangemsg = "<!--XLATESTART-->Das &#196;ndern der https-Anschl&#252;sse zu einer ung&#252;ltigen oder verwendeten Anschlussnummer kann den Zugriff anderer Anwendungen oder Browser auf <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  " " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>'+ "<!--XLATESTART--> verhindern.<!--XLATESTOP-->";
				var ipaddrbindchmsg = "<!--XLATESTART-->Das &#196;ndern der IP-Adresse auf einen anderen Wert als \"Alle\" kann den Zugriff anderer Anwendungen oder Browser auf <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  " " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>' + "<!--XLATESTART--> verhindern.<!--XLATESTOP-->";
				var ipaddrbindoptmsg = "<!--XLATESTART-->Das &#196;ndern der IP-Adresse auf einen anderen als den zuvor eingestellten Wert kann den Zugriff anderer Anwendungen oder Browser auf <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  " " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>' + "<!--XLATESTART--> verhindern.<!--XLATESTOP-->";				
				function initializationRoutine()
				{
					if(document.getElementById("dataarea").sessionvalue[1].checked == true)
					{
						session1 = "enable";
					}
					else
					{
						session1 = "disable";
					}
					timer1 = document.getElementById("timer").value;
					httpsport1 = document.getElementById("httpsport").value;
					if(document.getElementById("dataarea").ipaddr[0].checked == true)
					{
						ipaddr1 = "default";
					}
					else
					{
						ipaddr1 = "specific";
					}
					ipaddbox = document.getElementById("dataarea").IPAddress.value;
					if (ipaddbox == "<xsl:value-of select="Server/IPAddrBound/@defaultvalue"/>")
					{				
						document.getElementById("IPAddress").disabled = true;
					}
					smtpval = document.getElementById("smtp").value;
					dnsval = document.getElementById("dns").value;
					supportval = document.getElementById("support").value;
					
					var _tempTimeout = <xsl:value-of select="Server/SesTimeout"/>;					
					if( _tempTimeout == '-1')
					{
						trapEnableDisable(0);
					}
					else
					{
						trapEnableDisable(1);
					}
					
					if(httpsport == defaultport)
					{
						document.getElementById("httpsport").disabled = true;
					}
					
					if(ipaddrsettoall)
					{
						ipaddr1 = "default";
						document.getElementById("IPAddress").disabled = true;
					}
					else
					{
						ipaddr1 = "specific";
					}
				}
				
				function setHttpsPortToUsrValue()
				{
					if( confirm(portchangemsg) )
					{
						document.getElementById("httpsport").disabled = false;
					}
					else
					{
						document.getElementById("dataarea").httpsportnumradio[0].checked = true;
						document.getElementById("httpsport").value = defaultport;
						document.getElementById("httpsport").disabled = true;
					}
				}
				
				function setHttpsPortToDefault()
				{
					document.getElementById("httpsport").value = defaultport;
					document.getElementById("httpsport").disabled = true;
				}
								
				function setAll()
				{
					document.getElementById("IPAddress").disabled = true;
					chgFlag();					
				}

				function setSpecific()
				{		
					// alert user
					if( confirm(ipaddrbindchmsg) )
					{
						document.getElementById("IPAddress").disabled = false;
						chgFlag();
					}
					else
					{
						document.getElementById("dataarea").ipaddr[0].checked = true;
					}
				}
				
				function setIP()
				{
					if( confirm(ipaddrbindoptmsg) )
					{
						chgFlag();
					}
					else{
						return;
					}
				}

				function trapEnableDisable(_caller)
				{
					if(_caller == 0)
					{
						// disable
						_enabled	 = false;
						document.getElementById("timer1").disabled = true;
					}
					else if(_caller == 1)
					{
						// enable
						_enabled	 = true;
						document.getElementById("timer1").disabled = false;
					}
					
					chgFlag();
				}

				function chgFlag(){
					flag = true;
					return;
				}
				
				function constValTimer(){
					//document.getElementById("httpsport").focus();
					document.getElementById("smtp").focus();
					return false;
				}
				
				function constValCmd(){
					document.getElementById("support").focus();
					return false;
				}


				function isAlphaNumericport(text, varname)
				{
					var validValue = "ABCDEF0123456789";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", verwenden Sie nur Zeichen und Zahlen.");
						return false;
					}
					return true;
				}
				
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("Ung&#252;ltiger Wert f&#252;r \"" + varname + "\", verwenden Sie nur Zeichen und Zahlen.");
						return false;
					}
					return true;
				}

				function validate()
				{
					document.getElementById("httpsport").disabled = false;
				
					if (document.getElementById("httpsport").value == ""){
						alert("Das Feld HTTPS-Anschluss sollte nicht leer sein.");
						document.getElementById("httpsport").value = httpsport1;
						document.getElementById("httpsport").focus();
					}
					else{
						if(isNaN(document.getElementById("httpsport").value) == true){
							alert("Ung&#252;ltiger Wert f&#252;r \"HTTPS-Anschluss\", verwenden Sie nur Zahlen.");
							document.getElementById("httpsport").value = httpsport1;
							document.getElementById("httpsport").focus();
						}
						else if(!((tonum(document.getElementById("httpsport").value) &gt;= minval)&amp;&amp;(tonum(document.getElementById("httpsport").value) &lt;= maxval))){
							alert("Der Wert von HTTPS-Anschluss sollte zwischen " + minval + " und " + maxval + " liegen.");
							document.getElementById("httpsport").value = httpsport1;
							document.getElementById("httpsport").focus();
						}
						else if ((document.getElementById("dns").value =="") &amp;&amp;(document.getElementById("smtp").value !="")) {
							 alert("DNS-Suffix muss angegeben werden, wenn der SMTP-Servername angegeben wird.");
							 document.getElementById("dns").focus();
						}
						else if ((document.getElementById("smtp").value == "") &amp;&amp; (document.getElementById("dns").value !="")) {
								alert("SMTP-Servername muss angegeben werden, wenn der DNS-Suffix angegeben wird.");
								document.getElementById("smtp").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("smtp").value, "SMTP-Servername")){
							document.getElementById("smtp").value = smtpval;
							document.getElementById("smtp").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("dns").value, "DNS-Suffix f&#252;r SMTP-Server")){
							document.getElementById("dns").value = dnsval;
							document.getElementById("dns").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("support").value, "Support-Verkn&#252;pfung")){							
							document.getElementById("support").value = supportval;
							document.getElementById("support").focus();
						}
						else if(document.getElementById("support").value == ''){
							alert("Geben Sie den Wert f&#252;r Support-Verkn&#252;pfung ein.");
							document.getElementById("support").focus();
						}
						else{
							var sessionval1;
							var ipaddrval1;
							
							if(document.getElementById("dataarea").sessionvalue[1].checked == true)
							{
								sessionval1 = "enable";
							}
							else
							{
								sessionval1 = "disable";
							}
							var timerval1= document.getElementById("timer").value;
							var httpsportval1= document.getElementById("httpsport").value;
							if(document.getElementById("dataarea").ipaddr[0].checked == true)
							{
								ipaddrval1 = "default";
							}
							else
							{
								ipaddrval1 = "specific";
							}
							var ipaddboxval= document.getElementById("IPAddress").value;
							if((session1 != sessionval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								alertflag = true;
							}
							else if((timer1 != timerval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								alertflag = true;
							}
							else if((httpsport1 != httpsportval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							else if((ipaddr1 != ipaddrval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							else if((ipaddbox != ipaddboxval) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							
							var supportval1 = document.getElementById("support").value;
							
							if (supportval != supportval1){
								document.getElementById("supportflag").value = "true";
							}
							
							if(alertflag == true){
								<xsl:choose>
									<xsl:when test="/OMA/ServiceFlag/@osinability='true'">
										alert("Starten Sie das System neu, damit die &#196;nderung(en) wirksam wird (werden).");
									</xsl:when>
									<xsl:otherwise>alert("Starten Sie den Web Server neu, damit die &#196;nderung(en) wirksam wird (werden).");</xsl:otherwise>
								</xsl:choose>							
							}
							return true;
						}
						return false;
					}
					return false;
				}
				function tonum(obj){
					 return parseInt(obj);
   				 }
				function getvalue1(){
					lastobj = tonum(document.dataarea.timer1.value);
					return lastobj;
				}
				function getvalue11(){
					lastobj1 = tonum(document.dataarea.timer.value);
					return lastobj1;
				}
				
				function getvaluecmd(){
					lastobjcmd = tonum(document.dataarea.cmdlog1.value);
					return lastobjcmd;
				}
				function getvaluecmd1(){
					lastobjcmd1 = tonum(document.dataarea.cmdlog.value);
					return lastobjcmd1;
				}


				function incr1(x , y){
					if( _enabled == true)
					{
						curobj=getvalue1();
						curobj1=getvalue11();
						curobj = curobj + x;
						if ( y &gt;= curobj ){
							document.dataarea.timer1.value = curobj;
						}
						else{
							document.dataarea.timer1.value = y;	
						}
						curobj1 = curobj1 + x;
						if ( y &gt;= curobj1 ){
							document.dataarea.timer.value = curobj1;
						}
						else{
							document.dataarea.timer.value = y;	
						}
						chgFlag();
					}
				}
				
				function incrcmd(x , y){
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					curobjcmd = curobjcmd + x;
					if ( y &gt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = y;	
					}
					curobjcmd1 = curobjcmd1 + x;
					if ( y &gt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = y;	
					}
					return ;	
				}	


				function decr1(a , b)	{
					if( _enabled == true)
					{
						curobj=getvalue1();
						curobj1=getvalue11();
	
						curobj = curobj - a;
						if ( b &lt;= curobj ){
							document.dataarea.timer1.value = curobj;
						}
						else{
							document.dataarea.timer1.value = b;
						}	
						
						curobj1 = curobj1 - a;
						if ( b &lt;= curobj1 ){
							document.dataarea.timer.value = curobj1;
						}
						else{
							document.dataarea.timer.value = b;
						}
						chgFlag();
					}
				}
				
				function decrcmd(a , b)	{
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					
					curobjcmd = curobjcmd - a;
					if ( b &lt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = b;
					}	
					
					curobjcmd1 = curobjcmd1 - a;
					if ( b &lt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = b;
					}
					return ;			
				}

			</script>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="script11">javascript:incr1(3,30)</xsl:template>
	<xsl:template name="script12">javascript:decr1(3,3)</xsl:template>
	
	<xsl:template name="scriptcmd11">
		<xsl:param name="max"/>
		<xsl:param name="incr"/>
		javascript:incrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$max"/>)
	</xsl:template>
	<xsl:template name="scriptcmd12">
		<xsl:param name="min"/>
		<xsl:param name="incr"/>
		javascript:decrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$min"/>)
	</xsl:template>

	<xsl:template match="*"/>	
</xsl:stylesheet>
