<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text> fehlgeschlagen!</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 
						<!--XLATESTART--><xsl:text> erfolgreich</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  Parameter: </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">id</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->Befehlsprotokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->Sicherungskopie des Befehlsprotokolls erstellt<!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->Hardware-ESM-Protokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->Warnungsprotokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->Sonden-Schwellenwert ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->LRA-Reaktion ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->Bestandsinformations-Objekttyp ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->Bestandsinformationen - Erwerbung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->Bestandsinformationen - Hersteller bzw. Kosten verrechnet ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->Bestandsinformationen - Kostenstelle ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->Bestandsinformationen - Benutzerinformationen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->Bestandsinformationen - erweiterte Garantie ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->Bestandsinformationen - Besitzercode ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->Bestandsinformationen -  Besitzerfirma ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->Bestandsinformationen - Sonderm&#252;llcode ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->Bestandsinformationen - Einsatzzeit ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->Bestandsinformationen - Schulungsinformationen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->Bestandsinformationen - Outsourcing ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->Bestandsinformationen - Versicherung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->Bestandsinformationen - Abschreibungsinformationen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->Bestandsinformationen - Fenster ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->Bestandsinformationen - Zusatzinformationen zum Betriebssystem ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->Bestandsinformationen - kostenereignisprotokoll ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->Bestandsinformationen - Garantie ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->Bestandsinformationen - Zeitplannummer ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->Bestandsinformationen - Optionen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->Bestandsinformationen - Wartung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->Bestandsinformationen - Reparaturen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->Bestandsinformationen - Problemkennung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->Bestandsinformationen - Register ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->Bestandsinformationen - Wartungsvertr&#228;ge ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->Bestandsinformationen - Leasinginformationen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->Bestandsinformationen - Support-Informationen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->BIOS-Aktualisierungspaket ge&#228;ndert<!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>Ma&#223;nahme Autom. Wiederherstellung ge&#228;ndert zu </xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->Keine Ma&#223;nahme<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->Aus- und wieder einschalten<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->Ausschalten<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->Neustarten<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->Zeitgeber f&#252;r Autom. Wiederherstellung ge&#228;ndert zu <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> Sekunden<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->System-Herunterfahren eingeleitet<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text>Warnma&#223;nahmen f&#252;r </xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text> ge&#228;ndert</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Warnma&#223;nahmen - ausf&#252;hrbare Anwendung ge&#228;ndert</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>Einstellung f&#252;r Temperaturgesch&#252;tztes Herunterfahren ge&#228;ndert zu </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'"><!--XLATESTART-->Deaktiviert<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->Warnung<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART-->Fehler<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> Sonde f&#252;r </xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text>: maximaler Warnungsschwellenwert ge&#228;ndert</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Sonde f&#252;r </xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text>: minimaler Warnungsschwellenwert ge&#228;ndert</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->Sicherheitsgruppe: vom Benutzer &#252;berpr&#252;ft<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->Sicherheitsgruppe: vom Benutzer erstellt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->Sicherheitsgruppe: vom Benutzer gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->Sicherheitsgruppe: Stammbenutzerkennwort hat sich ge&#228;ndert<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5089'"><!--XLATESTART-->Sicherheitsgruppe: &#196;nderung des Stammbenutzerkennworts fehlgeschlagen !<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->Systemgeh&#228;usename ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>Geh&#228;usel&#252;ftersteuerung ge&#228;ndert zu</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART--> Ruhiger Modus<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART--> Vollgeschwindigkeitsmodus<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->Geh&#228;use-LED-Steuerung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->Geh&#228;use-LED-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->Geh&#228;use-Netzschaltersteuerung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>Geh&#228;useidentifizierung</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->eingeschaltet<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> ausgeschaltet<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->Geh&#228;use-Systemkennnummer ge&#228;ndert zu <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->Geh&#228;useidentifizierungs-Zeit&#252;berschreitung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->Festplattenlaufwerkfehler-LED gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->Systeminformationen - Standort ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->Systeminformationen - Prim&#228;rer Benutzername ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->Systeminformationen - Prim&#228;re Benutzertelefonnummer ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->Speicherfehler-Z&#228;hlwert gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->Speicherredundanz-Konfiguration ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->Wechselstromschalter-Modus ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->Wechselstromschalter-Redundanz&#228;nderung erwartet<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->ESM-Protokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->Warnungsprotokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->BIOS-Setup-Zustand ge&#228;ndert<!--XLATESTOP--></xsl:when>
			
			<!-- ********************  HIPDA SNMP Traps ****************** -->
			<xsl:when test="$id = '5200'"><!--XLATESTART-->SNMP-Traps f&#252;r System aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5201'"><!--XLATESTART-->SNMP-Traps f&#252;r Netzteile aktiviert/deaktiviert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5202'"><!--XLATESTART-->SNMP-Traps f&#252;r Redundanz aktiviert/deaktiviert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5203'"><!--XLATESTART-->SNMP-Traps f&#252;r Temperatur aktiviert/deaktiviert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5204'"><!--XLATESTART-->SNMP-Traps f&#252;r L&#252;fter aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5205'"><!--XLATESTART-->SNMP-Traps f&#252;r Volt aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5206'"><!--XLATESTART-->SNMP-Traps f&#252;r Strom aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5207'"><!--XLATESTART-->SNMP-Traps f&#252;r Protokolle aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5208'"><!--XLATESTART-->SNMP-Traps f&#252;r L&#252;ftergeh&#228;use aktiviert/deaktiviert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5209'"><!--XLATESTART-->SNMP-Traps f&#252;r Wechselstromkabel aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5210'"><!--XLATESTART-->SNMP-Traps f&#252;r Speicher aktiviert/deaktiviert <!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5211'"><!--XLATESTART-->SNMP-Traps f&#252;r Eingriff aktiviert/deaktiviert <!--XLATESTOP--></xsl:when>
			

			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->Benutzer-Anmeldeversuch von <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->Benutzer meldete sich an von <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART--> mit <!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART--> Rechten<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->Benutzer hat sich abgemeldet<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->Benutzerzugriffsrechte auf Administrator eingestellt<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5312'"><!--XLATESTART-->Benutzerzugriffsrechte auf Hauptbenutzer und h&#246;her eingestellt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5313'"><!--XLATESTART-->Benutzerzugriffsrechte auf Benutzer und h&#246;her eingestellt<!--XLATESTOPredictive FailureP--></xsl:when>

			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->Remote-Zugriffskarte - Modemw&#228;hltyp ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->Remote-Zugriffskarte - Modem-Init.-Zeichenkette ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->Remote-Zugriffskarte - Modem-Baudrate ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->Remote-Zugriffskarte - TFTP-Diskettenstatus ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->Remote-Zugriffskarte - Firmware-TFTP-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->Remote-Zugriffskarte - Disketten-TFTP IP-Adresse ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->Remote-Zugriffskarte - Disketten-TFTP-Pfad ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->Remote-Zugriffskarte - TFTP-IP-Adresse der Firmware-Aktualisierung ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->Remote-Zugriffskarte - Firmwareaktualisierungs-TFTP-Pfad ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->Remote-Zugriffskarte - SMTP-E-Mail-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->Remote-Zugriffskarte - SMTP-IP-Adresse ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->Remote-Zugriffskarte - NIC-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->Remote-Zugriffskarte - NIC-DHCP-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->Remote-Zugriffskarte - NIC-IP-Adresse ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->Remote-Zugriffskarte - NIC-Subnetzmaske ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->Remote-Zugriffskarte - NIC-Gateway ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->Remote-Zugriffskarte - IP-Basisadresse ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hlstatus ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hl-DHCP-Status ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hl-Berechtigungstyp ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->Remote-Zugriffskarte - Hinausw&#228;hl-Benutzer hinzugef&#252;gt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->Remote-Zugriffskarte - Hinausw&#228;hl-Benutzer aktualisiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->Remote-Zugriffskarte - Hinausw&#228;hl-Benutzer entfernt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hlbenutzer hinzugef&#252;gt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hlbenutzer aktualisiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->Remote-Zugriffskarte - Einw&#228;hlbenutzer entfernt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->Remote-Zugriffskarte - SNMP-Trap hinzugef&#252;gt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->Remote-Zugriffskarte - SNMP-Trap aktualisiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->Remote-Zugriffskarte - SNMP-Trap entfernt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->Remote-Zugriffskarte - Benutzer hinzugef&#252;gt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->Remote-Zugriffskarte - Benutzer aktualisiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->Remote-Zugriffskarte - Benutzer entfernt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->Remote-Zugriffskarte - E-Mail-Test ausgef&#252;hrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->Remote-Zugriffskarte - Alpha-Pagertest durchgef&#252;hrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->Remote-Zugriffskarte - Nummerischer Pager-Test durchgef&#252;hrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->Remote-Zugriffskarte - SNMP-Trap-Test durchgef&#252;hrt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->Remote-Zugriffskarten-Reset<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->Versuch der Benutzeranmeldung von <!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/><!--XLATESTART--> fehlgeschlagen: AUTHENTIFIZIERUNGSMETHODE = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>;<!--XLATESTART-->GRUND = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='REASON']/@value"/></xsl:when>

			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->Der Administrator hat das Aktualisierungspaket gel&#246;scht: <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->Der Administrator hat das BIOS-Aktualisierungspaket geladen: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Vorhergehende Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Aktualisierungsversion: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->; die Aktualisierung wird nach dem Neustart des Systems durchgef&#252;hrt.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->Der Administrator hat die Aktualisierung erfolgreich durchgef&#252;hrt.  Name des Aktualisierungspakets: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Vorhergehende Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Aktualisierungs-Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->Der Administrator hat die Firmware-Aktualisierung erfolgreich durchgef&#252;hrt.  Name des Aktualisierungspakets: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Vorhergehende ESM-Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  ESM-Version aktualisieren: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->Der Administrator hat die Aktualisierung mit dem Aktualisierungspaket nicht durchgef&#252;hrt: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Aktualisierung fehlerhaft!  Lokale Version: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->Aktualisierungsversion: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->Diagnose - Zusammenfassungsseite angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->Diagnose - Anwendungsstufeneinstellungen gespeichert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->Diagnose - Anwendungsstufeneinstellungen angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->Diagnose - erweiterte Einstellungen f&#252;r Diagnoseausf&#252;hrung gespeichert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->Diagnose - Abruf der erweiterten Stufeneinstellungen f&#252;r die Sitzung abgeschlossen.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->Diagnose - Ergebnis-Verlaufsprotokoll angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->Diagnose - Abruf des Unterschiedsverlaufsprotokolls abgeschlossen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->Diagnose - Unterschiedsansicht angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->Diagnose - Konfigurationsunterschied best&#228;tigt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->Diagnose - Sitzungsprotokoll angefordert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->Diagnose - Gesamtfortschrittsverlauf angefordert <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->Diagnose - Fortschrittsverlauf angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->Diagnose - Festsetzen des Gesamtfortschrittsverlaufs abgeschlossen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->Diagnose - Abruf des Gesamtfortsschrittverlaufs abgeschlossen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->Diagnose abgebrochen <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->Diagnose abgeschlossen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->Diagnose zur Ausf&#252;hrung gew&#228;hlt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->Kein Diagnosetest ausgew&#228;hlt; Anforderung gesendet<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5721'"><!--XLATESTART-->Diagnose - Option Erweiterte Einstellungen gew&#228;hlt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->Diagnose - Ansicht nach Ger&#228;tetyp gew&#228;hlt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->Diagnose - Ansicht nach Testtyp gew&#228;hlt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->Diagnose - Auswahlseite eingesehen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->Diagnose - Auswahlseite zum ersten Mal eingesehen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->Diagnose - Planerseite eingesehen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->Geplante Diagnoseaufgabe gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->Keine Diagnoseaufgabe zum L&#246;schen geplant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->Diagnoseaufgabe geplant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->Diagnoseergebnis - Verlaufsprotokoll gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->Diagnose-Einf&#252;hrungsseite - Systemwarnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->Info &#252;ber Diagnose wurde angefordert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->Vom Betriebssystem geplante Ausf&#252;hrung initiiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->Vom Betriebssystem geplante Ausf&#252;hrung beendet<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->Ausf&#252;hrung der Befehlszeilen-Diagnose gestartet<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->Ausf&#252;hrung der Befehlszeilen-Diagnose beendet<!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> begonnen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> Herunterfahren<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> Benutzereinstellungen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> Servereinstellungen ge&#228;ndert<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> gel&#246;scht<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> L&#246;schen fehlgeschlagen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> erstellt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> Erstellen fehlgeschlagen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> erstellt und aktiviert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> erstellt, aber Aktivierung fehlgeschlagen<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> importiert<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->X.509-Zertifikat <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> Import fehlgeschlagen<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->Unbekannter Eintrag! ID(<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
								<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev"><xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->Netzteil Kritisch<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->Temperatursonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->Temperatursonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->L&#252;ftersonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->L&#252;ftersonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->Spannungssonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->Spannungssonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->Stromsonden-Warnung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->Stromsonde stellt einen Fehler fest<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->Geh&#228;useeingriff festgestellt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->Stromversorgungs-Systemredundanz herabgesetzt<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->Stromversorgungs-Systemredundanzverlust<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->Speicher-Vorfehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->Speicherfehler<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->Netzteil<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->Temperatur<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->L&#252;fter<!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->Spannung<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->Strom<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
