<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text> falla</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 
						<!--XLATESTART--><xsl:text> satisfactorio</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  Par&#225;metros: </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">id</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->Registro de comandos borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->Copia de seguridad de registro de comandos creada<!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->Registro de hardware-ESM borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->Registro de alertas borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->Umbral de sonda modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->Respuesta LRA modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->Tipo de objeto de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->Adquisici&#243;n de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->Proveedor o gastos de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->Centro de costos de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->Informaci&#243;n de usuario de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->Garant&#237;a ampliada de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->C&#243;digo de propiedad de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->Propietario corporativo de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->C&#243;digo de desecho peligroso de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->Tiempo de instalaci&#243;n de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->Informaci&#243;n de formaci&#243;n de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->Subcontrataci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->Seguro de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->Informaci&#243;n de depreciaci&#243;n de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->Cuadro de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->Informaci&#243;n adicional del sistema operativo de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->Registro de sucesos de costo de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->Garant&#237;a de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->N&#250;mero de programa de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->Opciones de informaci&#243;n de propiedad modificadas<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->Mantenimiento de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->Reparaciones de informaci&#243;n de propiedad modificadas<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->Bolet&#237;n de aver&#237;a de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->Registro de informaci&#243;n de propiedad modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->Contratos de servicio de informaci&#243;n de propiedad modificados<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->Informaci&#243;n de arrendamiento de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->Informaci&#243;n de asistencia de informaci&#243;n de propiedad modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->Paquete de actualizaci&#243;n del BIOS modificado<!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>Acci&#243;n de recuperaci&#243;n autom&#225;tica modificada a </xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->Sin acci&#243;n<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->Ciclo de encendido<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->Apagar<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->Reiniciar<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->Temporizador de recuperaci&#243;n autom&#225;tica modificado a <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> segundos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->Apagado del sistema iniciado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text>Acciones de alerta para </xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text>modificado</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Aplicaci&#243;n ejecutable de acciones de alerta modificada</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>Valor de apagado de protecci&#243;n t&#233;rmica cambiado a </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'"><!--XLATESTART-->Desactivado<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->Advertencia<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART-->Fallo<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> Sonda para </xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text>: umbral de advertencia m&#225;ximo modificado</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Sonda para </xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text>: umbral de advertencia m&#237;nimo modificado</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->Grupo de seguridad: usuario verificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->Grupo de seguridad: usuario creado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->Grupo de seguridad: usuario eliminado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->Grupo de seguridad: La contrase&#241;a de usuario ra&#237;z ha cambiado<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5089'"><!--XLATESTART-->Grupo de seguridad: El cambio de la contrase&#241;a de usuario ra&#237;z ha fallado!<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->Nombre de chasis del sistema modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>Control de ventilador de chasis modificado a</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART--> Modo silencioso<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART--> Modo de velocidad completa<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->Control de LED de chasis modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->Estado de LED de chasis modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->Control de bot&#243;n de encendido de chasis modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>Identificaci&#243;n de chasis</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->activada<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> desactivada<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->Etiqueta de propiedad de chasis modificada a <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->Tiempo de espera de identificaci&#243;n de chasis modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->LED de falla de disco duro borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->Ubicaci&#243;n de informaci&#243;n del sistema modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->Nombre de usuario principal de informaci&#243;n del sistema modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->Tel&#233;fono de usuario principal de informaci&#243;n del sistema modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->Recuento de errores de memoria borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->Configuraci&#243;n de redundancia de memoria modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->Modo de interruptor de corriente alterna modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->Redundancia esperada de interruptor de corriente alterna modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->Registro de ESM borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->Registro de alertas borrado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->Estado de configuraci&#243;n de BIOS modificado<!--XLATESTOP--></xsl:when>
			<!-- ********************  HIPDA SNMP Traps ****************** -->
			<xsl:when test="$id = '5200'"><!--XLATESTART-->Activar/desactivar capturas SNMP para sistema<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5201'"><!--XLATESTART-->SNMP Activar/desactivar capturas SNMP para suministros de energ&#237;a<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5202'"><!--XLATESTART-->Activar/desactivar capturas SNMP para redundancia<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5203'"><!--XLATESTART-->Activar/desactivar capturas SNMP para  temperatura<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5204'"><!--XLATESTART-->Activar/desactivar capturas SNMP para ventiladores<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5205'"><!--XLATESTART-->Activar/desactivar capturas SNMP para  voltajes<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5206'"><!--XLATESTART-->Activar/desactivar capturas para corrientes<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5207'"><!--XLATESTART-->Activar/desactivar capturas SNMP para registros<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5208'"><!--XLATESTART-->Activar/desactivar capturas SNMP para gabinete del ventilador<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5209'"><!--XLATESTART-->Activar/desactivar capturas SNMP para cable de CA<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5210'"><!--XLATESTART-->Activar/desactivar capturas SNMP para memoria<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5211'"><!--XLATESTART-->Activar/desactivar capturas SNMP para intromisi&#243;n<!--XLATESTOP--></xsl:when>


			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->Intento de conexi&#243;n de usuario desde <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->Usuario conectado desde <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART--> con <!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART--> privilegios<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->Usuario desconectado<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->Se establecieron los derechos de acceso para administrador<!--XLATESTOP--></xsl:when> 
			<xsl:when test="$id = '5312'"><!--XLATESTART-->Se establecieron los derechos de acceso para usuarios avanzados como m&#237;nimo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5313'"><!--XLATESTART-->Se establecieron los derechos de acceso para usuario como m&#237;nimo<!--XLATESTOP--></xsl:when> 
			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->Tipo de marcaci&#243;n de m&#243;dem de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->Cadena inicial de m&#243;dem de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->Velocidad en baudios de m&#243;dem de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->Estado TFTP de disco de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->Estado TFTP de firmware de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->Direcci&#243;n IP TFTP de disco de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->Ruta de acceso TFTP de disco de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->Direcci&#243;n IP TFTP de actualizaci&#243;n de firmware de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->Ruta de acceso TFTP de actualizaci&#243;n de firmware de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->Estado de correo electr&#243;nico SMTP de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->Direcci&#243;n IP SMTP de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->Estado de NIC de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->Estado DHCP de NIC de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->Direcci&#243;n IP de NIC de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->M&#225;scara de subred de NIC de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->Puerta de enlace de NIC de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->Direcci&#243;n IP base de tarjeta de acceso remoto modificada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->Estado de marcaci&#243;n de entrada de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->Estado DHCP de marcaci&#243;n de entrada de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->Tipo de autorizaci&#243;n de marcaci&#243;n de entrada de tarjeta de acceso remoto modificado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->Usuario de marcaci&#243;n de salida de tarjeta de acceso remoto agregado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->Usuario de marcaci&#243;n de salida de tarjeta de acceso remoto actualizado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->Usuario de marcaci&#243;n de salida de tarjeta de acceso remoto quitado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->Usuario de marcaci&#243;n de entrada de tarjeta de acceso remoto agregado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->Usuario de marcaci&#243;n de entrada de tarjeta de acceso remoto actualizado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->Usuario de marcaci&#243;n de entrada de tarjeta de acceso remoto quitado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->Captura SNMP de tarjeta de acceso remoto agregada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->Captura SNMP de tarjeta de acceso remoto actualizada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->Captura SNMP de tarjeta de acceso remoto quitada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->Usuario de tarjeta de acceso remoto agregado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->Usuario de tarjeta de acceso remoto actualizado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->Usuario de tarjeta de acceso remoto quitado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->Prueba de correo electr&#243;nico de tarjeta de acceso remoto ejecutada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->Prueba de localizador alfanum&#233;rico de tarjeta de acceso remoto ejecutada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->Prueba de localizador num&#233;rico de tarjeta de acceso remoto ejecutada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->Prueba de captura SNMP de tarjeta de acceso remoto ejecutada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->Restablecimiento de tarjeta de acceso remoto<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->Intento de conexi&#243;n de usario desde<!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/> <!--XLATESTART-->falla: M&#201;TODO DE AUTENTICACI&#211;N=<!--XLATESTOP--><xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>;<!--XLATESTART-->RAZ&#211;N=<!--XLATESTOP--><xsl:value-of select="Parameter[@name='REASON']/@value"/></xsl:when>

			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->El administrador ha eliminado el paquete de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->El administrador ha cargado el paquete de actualizaci&#243;n del BIOS: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Versi&#243;n anterior: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Versi&#243;n de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->; la actualizaci&#243;n ocurrir&#225; tras reiniciar el sistema.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->El administrador ha realizado la actualizaci&#243;n satisfactoriamente.  Nombre del paquete de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Versi&#243;n anterior: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Versi&#243;n de las actualizaciones: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->El administrador ha realizado la actualizaci&#243;n de firmware satisfactoriamente.  Nombre del paquete de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Versi&#243;n de ESM anterior: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  Versi&#243;n de actualizaci&#243;n de ESM: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->El administrador no ha podido realizar la actualizaci&#243;n mediante el paquete de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->La actualizaci&#243;n ha fallado.  Versi&#243;n local: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->Versi&#243;n de actualizaci&#243;n: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->Se solicit&#243; la p&#225;gina de resumen de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->Se guardaron los valores de nivel de aplicaci&#243;n de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->Se solicitaron los valores de nivel de aplicaci&#243;n de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->Se guardaron los valores avanzados de diagn&#243;sticos para la ejecuci&#243;n del diagn&#243;stico<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->Se complet&#243; la obtenci&#243;n de valores de nivel avanzado para la sesi&#243;n de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->Se solicit&#243; el registro de historial de resultados de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->Se complet&#243; la obtenci&#243;n del registro de historial de diferencias de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->Se solicit&#243; la vista de diferencias de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->Se reconoci&#243; la diferencia de configuraci&#243;n de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->Se solicit&#243; el registro de sesi&#243;n de diagn&#243;sticos <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->Se solicit&#243; el progreso general de diagn&#243;sticos <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->Se solicit&#243; el progreso de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->Se complet&#243; el establecimiento del progreso general de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->Se completo la solicitud de obtenci&#243;n del progreso general de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->Se anularon los diagn&#243;sticos  <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->Se completaron los diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->Se seleccionaron los diagn&#243;sticos para su ejecuci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->No se ha seleccionado ninguna prueba de diagn&#243;stico; se ha enviado una petici&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5721'"><!--XLATESTART-->Se seleccion&#243; la opci&#243;n de configuraci&#243;n avanzada de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->Se seleccion&#243; la vista por tipo de dispositivo de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->Se seleccion&#243; la vista por tipo de prueba de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->Se muestra la p&#225;gina de selecci&#243;n de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->Se muestra la p&#225;gina de selecci&#243;n de diagn&#243;sticos por primera vez<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->Se muestra la p&#225;gina del programador de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->Se elimin&#243; la tarea de diagn&#243;sticos programada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->No hay tarea programada de diagn&#243;sticos para suprimir<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->Se program&#243; la tarea de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->Se borr&#243; el registro de historial de resultados de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->Se estableci&#243; la alerta del sistema de p&#225;gina de bienvenida de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->Se ha solicitado informaci&#243;n acerca de diagn&#243;sticos<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->Se inici&#243; la ejecuci&#243;n programada de sistema operativo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->Se complet&#243; la ejecuci&#243;n programada de sistema operativo<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->Se inici&#243; la ejecuci&#243;n de diagn&#243;stico de l&#237;nea de comando<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->Se complet&#243; la ejecuci&#243;n de diagn&#243;stico de l&#237;nea de comando<!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> iniciado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> Apagado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> Preferencias de usuario modificadas<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> Preferencias de servidor modificadas<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> eliminado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> falla de eliminaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> falla de generaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generado y activado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> generado pero con falla de activaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> importado<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->Certificado X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> falla de importaci&#243;n<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->Entrada desconocida Id.(<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
								<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev"><xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->Fuente de alimentaci&#243;n cr&#237;tica<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->Advertencia de sonda de temperatura<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->La sonda de temperatura detecta una falla<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->Advertencia de sonda de ventilador<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->La sonda de ventilador detecta una falla<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->Advertencia de sonda de voltaje<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->La sonda de voltaje detecta una falla<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->Advertencia de sonda de corriente<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->La sonda de corriente detecta una falla<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->Detecci&#243;n de intromisi&#243;n al chasis<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->Redundancia del sistema de alimentaci&#243;n degradada<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->P&#233;rdida de redundancia del sistema de alimentaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->Prefalla de memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->Falla de memoria<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->Fuente de alimentaci&#243;n<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->Temperatura<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->Ventilador<!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->Voltaje<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->Corriente<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
