<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>PageTitle</PageTitle>

			<Header>Header</Header>
			<SubHeader/>
			<ListData>
				<Data name="EchoString" display="EchoString">
					<xsl:attribute name="value"><xsl:value-of select="EchoString"/></xsl:attribute>
				</Data>
				<Data name="CompanyName" display="Nombre de la compa&#241;&#237;a">
					<xsl:choose>
						<xsl:when test="About/CompanyName">
							<xsl:attribute name="value"><xsl:value-of select="About/CompanyName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Informaci&#243;n no disponible.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="LegalCopyright" display="Copyright legal">
					<xsl:choose>
						<xsl:when test="About/LegalCopyright">
							<xsl:attribute name="value"><xsl:value-of select="About/LegalCopyright"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Informaci&#243;n no disponible.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductName" display="Nombre de producto">
					<xsl:choose>
						<xsl:when test="About/ProductName">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Informaci&#243;n no disponible.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductVersion" display="Versi&#243;n de producto">
					<xsl:choose>
						<xsl:when test="About/ProductVersion">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductVersion"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Informaci&#243;n no disponible.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductLanguage" display="Idioma de producto">
					<xsl:choose>
						<xsl:when test="ProductLanguage">
							<xsl:attribute name="value"><xsl:value-of select="ProductLanguage"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Informaci&#243;n no disponible.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<xsl:apply-templates select="ProductLaunchPointList"/>
			</ListData>
		</DataArea>
	</xsl:template>

	<xsl:template match="ProductLaunchPointList">
		<xsl:for-each select="ProductLaunchPoint">
			<Data name="LaunchPoint">
				<xsl:attribute name="display"><!--XLATESTART-->Punto de lanzamiento de producto <!--XLATESTART--><xsl:value-of select="@index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			</Data>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="*"/>

</xsl:stylesheet>
