<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMTPHost = ''">
				<DataArea email="false" cancel="true">
					<xsl:if test="OMAUserRights='7'">
						<xsl:attribute name="submitdisplay"><!--XLATESTART-->Ir a la p&#225;gina de preferencias del servidor<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="canceltarget"><xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/></xsl:attribute>
					<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Falla de correo electr&#243;nico<!--XLATESTART--></xsl:attribute>
					</PageTitle>
					<PromptText>
						<xsl:choose>
							<xsl:when test="OMAUserRights='7'"><!--XLATESTART-->Configure el nombre y el sufijo DNS del servidor SMTP en las preferencias de servidor.<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->Solicite al administrador del sistema que configure el nombre de servidor y el sufijo DNS del servidor SMTP en las preferencias de servidor.<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea email="false">
					<xsl:if test="Success != 'true'">
						<xsl:attribute name="cancel">true</xsl:attribute>
						<xsl:attribute name="canceltarget">javascript:cancel();</xsl:attribute>
					</xsl:if>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="Success ='true'">
								<xsl:attribute name="submit"><xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/></xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->Volver<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SendEmailWebPlugin</xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->Enviar correo electr&#243;nico<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="validate">true</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Enviar mensaje de correo electr&#243;nico<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<xsl:choose>
						<xsl:when test="Success ='true'">
							<PromptText><!--XLATESTART-->El mensaje de correo electr&#243;nico se ha enviado satisfactoriamente al destinatario <!--XLATESTOP--><xsl:value-of select="ToAddress"/></PromptText>
						</xsl:when>
						<xsl:when test="Exception != ''">
							<xsl:choose>
								<xsl:when test="Exception = '1'">
									<PromptText><!--XLATESTART-->El mensaje de correo electr&#243;nico no se ha enviado al destinatario: <!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART--> porque <!--XLATESTOP--><xsl:value-of select="ToAddress"/> <!--XLATESTART-->o    <!--XLATESTOP--><xsl:value-of select="FromAddress"/><!--XLATESTART--> no es v&#225;lido. Introduzca la direcci&#243;n de correo electr&#243;nico correcta.<!--XLATESTOP--></PromptText>
								</xsl:when>
								<xsl:otherwise>
									<PromptText><!--XLATESTART-->El mensaje de correo electr&#243;nico no se ha enviado al destinatario: <!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART-->. Es posible que la direcci&#243;n de correo electr&#243;nico o la configuraci&#243;n del servidor SMTP no sea v&#225;lida.<!--XLATESTOP--></PromptText>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<PromptText></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="Success !='true'">
						<ListData>
							<Data name="to" display="A" type="editbox" size="40">
								<xsl:attribute name="value"><xsl:value-of select="ToAddress"/></xsl:attribute>
							</Data>
							<Data name="from" display="De">
								<xsl:attribute name="value"><xsl:value-of select="FromAddress"/></xsl:attribute>
							</Data>
							<Data name="subject" display="Asunto" type="editbox" size="50">
								<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
							</Data>
							<Data name="desc" display="Mensaje" type="textarea" cols="35" rows="5">
								<xsl:attribute name="value"><xsl:value-of select="Message"/></xsl:attribute>
							</Data>
						</ListData>
						<ListData>
							<Data name="Attach" display="Anexos"/>
							<xsl:for-each select="Attachment/File">
								<xsl:variable name="filename"><xsl:value-of select="."/></xsl:variable>
								<xsl:if test="($filename != 'blank.html') and ($filename != 'calendar.html')">
									<Data name="attachment" type="checkbox" state="3">
										<xsl:attribute name="returnvalue"><xsl:value-of select="@count"/></xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
									<xsl:if test="@href != ''">
										<ExtraItem link="true">
											<xsl:attribute name="href">javascript:showFile('<xsl:value-of select="@href"/>');</xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
											</ExtraItem>					
										</xsl:if>
									</Data>
								</xsl:if>
							</xsl:for-each>
						</ListData>
						<ListData>
							<Data type="file" name="file" display="Agregar anexo" splcase="true">
								<ExtraItem  type="button" href="javascript:uploadFile();" display="Agregar anexo"/>
							</Data>
						</ListData>
						<HiddenTable>
							<Data type="hidden" name="smtp">
								<xsl:attribute name="returnvalue"><xsl:value-of select="SMTPHost"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="pageTitle">
								<xsl:attribute name="returnvalue"><xsl:value-of select="PageName"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="redirectURL">
								<xsl:attribute name="returnvalue"></xsl:attribute>
							</Data>
							<Data type="hidden" name="prevPage">
								<xsl:attribute name="returnvalue"><xsl:value-of select="Caller"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="fileName"/>
						</HiddenTable>
					</xsl:if>
					<script language="javascript">
						function showFile(url)
						{
							window.open(url, 'joe', config='scrollbars=yes,toolbar=no,menubar=no,resizable=no,location=no,directories=no,status=no');
						}
						function cancel()
						{
							location.href ='<xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/>';
						}
						function validate()
						{
							var inLength = <xsl:value-of select="string-length(Message)"/>
							if((document.getElementById("desc").value.length - inLength) > 256)
							{
								alert("Error: Se deben introducir menos de 256 caracteres en el campo de mensaje");
								document.getElementById("desc").select();
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("to").value, "to"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("subject").value, "subject"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("desc").value, "desc"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("file").value, "file"))
							{
								return false;
							}
							if (((document.getElementById("to").value).indexOf(',') != "-1") || ((document.getElementById("to").value).indexOf(';') != "-1")) {
								alert("\"Para\" no acepta m&#225;s de una direcci&#243;n de correo electr&#243;nico.");
								var to = "";
								var toVal = document.getElementById("to").value;
								if (toVal.indexOf(',') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(',')));
								}
								if (toVal.indexOf(';') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(';')));
								}
								document.getElementById("to").value = to;
								document.getElementById("to").focus();
								return false;
							}
							return true;
						}
						
						function isAlphaNumeric(text, context){
							var validValue = "&gt;&lt;&amp;?\"#%";
							var ok = "yes";
							var temp;
							for (var i=0; i&lt;text.length; i++)
							{
								temp = "" + text.substring(i, i+1);
								if (validValue.indexOf(temp) != "-1")
								{
									ok = "no";
									break;
								}
							}
							if (ok == "no")
							{
								if(context == "to")
								{
									msg = "Error: se esperaba un car&#225;cter alfanum&#233;rico o s&#237;mbolo en el campo de destinatario, se ha le&#237;do: ";
								}
								else if(context == "subject")
								{
									msg = "Error: se esperaba un car&#225;cter alfanum&#233;rico o s&#237;mbolo en el campo de asunto, se ha le&#237;do: ";

								}
								else if(context == "desc")
								{
									msg = "Error: se esperaba un car&#225;cter alfanum&#233;rico o s&#237;mbolo en el campo de mensaje, se ha le&#237;do: ";
								}
								else if(context == "file")
								{
									msg = "Error: se esperaba un car&#225;cter alfanum&#233;rico o s&#237;mbolo en el campo de anexo, se ha le&#237;do: ";
								}

								alert(msg + text);
								return false;
							}
							return true;
						}
						
						function ltrim ( s ) 
						{ 
							return s.replace( /^\s*/, "" ) 
						} 
				
						function rtrim ( s ) 
						{ 
							return s.replace( /\s*$/, "" ); 
						} 
						
						function trim ( s ) 
						{ 
							return rtrim(ltrim(s)); 
						}

						function uploadFile()
						{
							if(document.getElementById("file").value == '')
							{
								alert("Debe seleccionar un archivo de datos adjuntos.");
								return;
							}
							
							if(!isAlphaNumeric(document.getElementById("file").value, "file"))
							{
								return;
							}
							else
							{
								var _fname = document.getElementById("file").value;
								var _ext = ".gif";
								
								if(_fname.indexOf(_ext) != -1)
								{
									alert("No debe introducir un archivo con la extensi&#243;n \".gif\". Cambie el nombre del archivo.");
									return;
								}
							}
							
							var count = <xsl:value-of select="Attachment/Count"/>;
							document.getElementById("dataarea").encoding = "multipart/form-data";
							document.getElementById("dataarea").enctype = "multipart/form-data";
							var url = '/servlet/DataArea?plugin=com.dell.oma.webplugins.ShowSendEmailWebPlugin' + 
								'&amp;pageTitle=<xsl:call-template name="PageName"><xsl:with-param name="pagename"><xsl:value-of select="PageName"/></xsl:with-param></xsl:call-template>' ;
							if(count == 1)
							{
								url = url + '&amp;attachment=' +  document.getElementById("attachment").value;
							}
							else
							{
								for(i=0; i &lt;document.dataarea.attachment.length; i++)
								{
									if(document.dataarea.attachment[i].checked == true)
									{
										url = url + '&amp;attachment=' +  document.dataarea.attachment[i].value;
									}
								}  
							}	
							url = url +  '&amp;toAddr=' + document.getElementById("to").value;
							document.getElementById("dataarea").redirectURL.value = url;
							document.getElementById("dataarea").action = "/servlet/UploadServlet";
							uploadStart (document.dataarea.file.value, '');
							document.getElementById("dataarea").submit();
						}
					</script>
					<script language="JavaScript" src="/oma/js/Upload.js" />
					<HTMLData>
						<iframe id="uploadtest" name="uploadtest" style="visibility: hidden; height: 1px; width: 1px; top: 0px; left: 0px; position: absolute; z-index: -1" src="/oma/blank.html"></iframe>
					</HTMLData>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="PageName">
		<xsl:param name="pagename"/>
		
		<xsl:choose>
			<xsl:when test="contains($pagename , &quot;'&quot;)">
				<xsl:variable name="firststring"><xsl:value-of select="substring-before($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:variable name="secondstring"><xsl:value-of select="substring-after($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:value-of select="concat($firststring ,  '&#180;' , $secondstring)"/>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$pagename"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
