<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text> a &#233;chou&#233; !</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 						<!--XLATESTART--><xsl:text> a r&#233;ussi.</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  Param&#232;tres : </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">id</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->Le journal des commandes a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->La cr&#233;ation de la sauvegarde du journal de commandes <!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->Le journal mat&#233;riel ESM a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->Le journal des alertes a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->La modification du seuil du capteur <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->La modification de la r&#233;ponse LRA <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->La modification du type d'objet des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->La modification de l'option Acquisition des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->La modification de l'option Fournisseur ou Pass&#233; en charge des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->La modification de l'option Centre de co&#251;ts des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->La modification des infos sur l'utilisateur des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->La modification de l'option Garantie prorog&#233;e des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->La modification de l'option Code de propri&#233;t&#233; des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->La modification de l'option Entreprise propri&#233;taire des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->La modification de l'option Code de d&#233;chets dangereux des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->La modification de l'option Heure de d&#233;ploiement des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->La modification des infos sur la formation des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->La modification de l'option Sous-traitance des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->La modification de l'option Assurance des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->La modification des infos sur la d&#233;pr&#233;ciation des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->La modification de la case des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->La modification des infos suppl&#233;mentaires sur le syst&#232;me d'exploitation des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->La modification du journal des &#233;v&#233;nements de co&#251;ts des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->La modification de l'option Garantie des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->La modification de l'option Dur&#233;e des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->La modification des options des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->La modification de l'option Maintenance des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->La modification de l'option R&#233;parations des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->La modification de l'option Ticket d'incident des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->La modification de l'option Registre des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->La modification de l'option Contrats de service des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->La modification des infos sur le cr&#233;dit-bail des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->La modification des infos sur l'assistance des infos d'inventaire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->La modification du progiciel de mise &#224; jour du BIOS <!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>Le changement de l'action de r&#233;cup&#233;ration automatique sur </xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->Pas d'action<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->Cycle d'alimentation<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->Mise hors tension<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->R&#233;amor&#231;age<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->Le changement de l'horloge de r&#233;cup&#233;ration automatique sur <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> secondes<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->L'arr&#234;t du syst&#232;me a &#233;t&#233; initi&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text>La modification des actions d'alerte de </xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text></xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text>La modification des applications ex&#233;cutables pour les actions d'alerte </xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>Le changement du param&#232;tre de l'arr&#234;t pour protection thermique sur </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->Avertissement<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART-->Panne<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> Capteur de </xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text> : la modification du seuil maximum d'avertissement </xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> Capteur de </xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text> : la modification du seuil minimum d'avertissement </xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->Groupe de s&#233;curisation : la v&#233;rification de l'utilisateur <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->Groupe de s&#233;curisation : la cr&#233;ation de l'utilisateur <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->Groupe de s&#233;curisation : la suppression des donn&#233;es de l'utilisateur <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->Groupe de s&#233;curit&#233; : le mot de passe d'utilisateur racine a chang&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5089'"><!--XLATESTART-->Groupe de s&#233;curit&#233; : le changement du mot de passe d'utilisateur racine a &#233;chou&#233; !<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->La modification du nom du ch&#226;ssis du syst&#232;me <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>Le changement du contr&#244;le du ventilateur du ch&#226;ssis sur </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART--> Mode silencieux<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART--> Mode pleine vitesse<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->La modification du contr&#244;le de la LED du ch&#226;ssis <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->La modification de l'&#233;tat de la LED du ch&#226;ssis <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->La modification du contr&#244;le du bouton d'alimentation du ch&#226;ssis <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>L'identification du ch&#226;ssis </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->allum&#233;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> &#233;teint<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->Le changement du num&#233;ro d'inventaire du ch&#226;ssis sur <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->La modification du d&#233;lai d'identification du ch&#226;ssis <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->L'option LED d'erreur du disque dur a &#233;t&#233; effac&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->La modification de l'emplacement des infos syst&#232;me <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->La modification du nom de l'utilisateur principal des infos syst&#232;me <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->La modification de l'option t&#233;l&#233;phone de l'utilisateur principal des infos syst&#232;me <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->Le nombre d'erreurs en m&#233;moire a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->La modification de la configuration de la redondance de m&#233;moire <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->La modification du mode du commutateur de CA <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->La modification de la redondance pr&#233;vue pour le commutateur de CA <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->Le journal de ESM a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->Le journal des alertes a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->La modification de l'&#233;tat de configuration du BIOS <!--XLATESTOP--></xsl:when>
			
			<xsl:when test="$id = '5200'"><!--XLATESTART-->Les interruptions SNMP du syst&#232;me sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5201'"><!--XLATESTART-->Les interruptions SNMP des blocs d'alimentation sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when>
			
			 <xsl:when test="$id = '5202'"><!--XLATESTART-->Les interruptions SNMP de la redondance sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when>
			
			 <xsl:when test="$id = '5203'"><!--XLATESTART-->Les interruptions SNMP de la temp&#233;rature sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when>
			
			 <xsl:when test="$id = '5204'"><!--XLATESTART-->Les interruptions SNMP des ventilateurs sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5205'"><!--XLATESTART-->Les interruptions SNMP de tension sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5206'"><!--XLATESTART-->Les interruptions SNMP de courant sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5207'"><!--XLATESTART-->Les interruptions SNMP des journaux sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5208'"><!--XLATESTART-->Les interruptions SNMP d'enceinte de ventilateur sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when>
			
			 <xsl:when test="$id = '5209'"><!--XLATESTART-->Les interruptions SNMP de cordon de CA sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5210'"><!--XLATESTART-->Les interruptions SNMP de la m&#233;moire sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when> 
			 <xsl:when test="$id = '5211'"><!--XLATESTART-->Les interruptions SNMP d'intrusion sont activ&#233;es/d&#233;sactiv&#233;es. <!--XLATESTOP--></xsl:when>


			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->La tentative d'ouverture de session utilisateur sur <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->Un utilisateur a ouvert une session sur <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART--> avec des privil&#232;ges <!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART-->.<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->Un utilisateur a ferm&#233; une session.<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->Les droits d'acc&#232;s de l'utilisateur sont d&#233;finis sur Administrateur.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5312'"><!--XLATESTART-->Les droits d'acc&#232;s de l'utilisateur sont d&#233;finis sur Utilisateur privil&#233;gi&#233; et Droits sup&#233;rieurs. <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5313'"><!--XLATESTART-->Les droits d'acc&#232;s de l'utilisateur sont d&#233;finis sur Utilisateur et Droits sup&#233;rieurs.<!--XLATESTOP--></xsl:when>
			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->La modification du type de num&#233;rotation du modem de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->La modification de la cha&#238;ne d'initialisation du modem de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->La modification du d&#233;bit en bauds du modem de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->La modification de l'&#233;tat TFTP de la disquette de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->La modification de l'&#233;tat TFTP du micrologiciel de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->La modification de l'adresse IP TFTP de la disquette de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->La modification du chemin TFTP de la disquette de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->La modification de l'adresse IP TFTP de mise &#224; jour du micrologiciel de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->La modification du chemin TFTP de mise &#224; jour du micrologiciel de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->La modification de l'&#233;tat d'e-mail SMTP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->La modification de l'adresse IP SMTP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->La modification de l'&#233;tat du NIC de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->La modification de l'&#233;tat DHCP du NIC de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->La modification de l'adresse IP du NIC de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->La modification du masque de sous-r&#233;seau du NIC de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->La modification de la passerelle du NIC de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->La modification de l'adresse IP de base de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->La modification de l'&#233;tat d'appel entrant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->La modification de l'&#233;tat DHCP d'appel entrant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->La modification du type d'autorisation d'appel entrant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->L'ajout d'un utilisateur local de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->La mise &#224; jour d'un utilisateur local de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->La suppression des donn&#233;es d'un utilisateur local de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->
L'ajout d'un utilisateur distant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->La mise &#224; jour de l'utilisateur distant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->La suppression des donn&#233;es de l'utilisateur distant de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->L'ajout d'une interruption SNMP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->La mise &#224; jour d'une interruption SNMP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->La suppression d'une interruption SNMP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->L'ajout d'un utilisateur de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->La mise &#224; jour de l'utilisateur de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->La suppression des donn&#233;es de l'utilisateur de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->L'ex&#233;cution d'un test d'e-mail de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->L'ex&#233;cution d'un test de t&#233;l&#233;message alphanum&#233;rique de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->L'ex&#233;cution d'un test de t&#233;l&#233;message num&#233;rique de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->L'ex&#233;cution d'un test d'interruption SNMP de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->La r&#233;initialisation de la carte d'acc&#232;s &#224; distance <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->La tentative d'ouverture de session utilisateur sur <!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/><!--XLATESTART-->a &#233;chou&#233; : m&#233;thode d'authentification = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>; <!--XLATESTART-->Raison = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='REASON']/@value"/></xsl:when>


			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->L'administrateur a supprim&#233; le progiciel de mise &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->L'administrateur a charg&#233; le progiciel de mise &#224; jour du BIOS : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Version pr&#233;c&#233;dente : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Version de mise &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->; la mise &#224; jour aura lieu apr&#232;s le red&#233;marrage du syst&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->L'administrateur a r&#233;ussi la mise &#224; jour.  Nom du progiciel mis &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Version pr&#233;c&#233;dente : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->Version des mises &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->L'administrateur a r&#233;ussi la mise &#224; jour du progiciel.  Nom du progiciel mis &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->Version pr&#233;c&#233;dente d'ESM : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  Mettre &#224; jour la version d'ESM : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->L'administrateur n'a pas pu effectuer la mise &#224; jour avec le progiciel de mise &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->La mise &#224; jour a &#233;chou&#233; !  Version locale : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->Version de mise &#224; jour : <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->La requ&#234;te de la page du r&#233;sum&#233; des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->L'enregistrement des param&#232;tres de niveau d'application des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->La requ&#234;te des param&#232;tres du niveau d'application des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->L'enregistrement des param&#232;tres avanc&#233;s d'ex&#233;cution des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->L'obtention des param&#232;tres de niveau avanc&#233; des diagnostics pour cette session <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->La requ&#234;te du journal de l'historique des r&#233;sultats des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->L'obtention du journal de l'historique des diff&#233;rences de diagnostic <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->La requ&#234;te d'affichage des diff&#233;rences de diagnostic <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->La reconnaissance des diff&#233;rences de configuration des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->La requ&#234;te du journal des sessions de diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->La requ&#234;te de la progression g&#233;n&#233;rale des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->La requ&#234;te de progression des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->La d&#233;finition de la progression g&#233;n&#233;rale des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->L'obtention de la requ&#234;te de progression g&#233;n&#233;rale des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->L'interruption des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->L'ex&#233;cution des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->L'ex&#233;cution des diagnostics s&#233;lectionn&#233;s <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->Aucun test de diagnostic n'est s&#233;lectionn&#233; ; la requ&#234;te a &#233;t&#233; envoy&#233;e.<!--XLATESTOP--></xsl:when>

			<xsl:when test="$id = '5721'"><!--XLATESTART-->La s&#233;lection de l'option Param&#232;tres avanc&#233;s des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->La s&#233;lection de l'affichage des diagnostics par type de p&#233;riph&#233;rique <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->La s&#233;lection de l'affichage des diagnostics par type de test <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->L'affichage de la page de s&#233;lection des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->L'affichage initial de la page de s&#233;lection des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->L'affichage de la page de planification des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->La suppression des t&#226;ches de diagnostic planifi&#233;es <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->La planification des t&#226;ches de diagnostic &#224; supprimer <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->La planification des t&#226;ches de diagnostic <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->Le journal de l'historique des r&#233;sultats de diagnostic a &#233;t&#233; effac&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->La d&#233;finition d'alerte syst&#232;me de la page d'accueil des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->La requ&#234;te d'infos sur les diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->L'ex&#233;cution planifi&#233;e du syst&#232;me d'exploitation a &#233;t&#233; initi&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->L'ex&#233;cution planifi&#233;e du syst&#232;me d'exploitation est termin&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->Le lancement de l'ex&#233;cution de la ligne commande des diagnostics <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->L'ex&#233;cution de la ligne commande des diagnostics <!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> a commenc&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> s'est interrompu<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> La modification des pr&#233;f&#233;rences utilisateur <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> La modification des pr&#233;f&#233;rences serveur <!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->Le certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->est supprim&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->La suppression du certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->a &#233;chou&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->Le certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->est cr&#233;&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->La cr&#233;ation du certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->a &#233;chou&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->Le certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->est cr&#233;&#233; et activ&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->Le certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> a &#233;t&#233; cr&#233;&#233; mais l'activation a &#233;chou&#233;.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->Le certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> est import&#233;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->L'importation du certificat X.509 <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> a &#233;chou&#233;<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->Entr&#233;e inconnue ! ID (<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev">
		<xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->Bloc d'alimentation critique<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->Avertissement du capteur de temp&#233;rature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->Le capteur de temp&#233;rature d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->Avertissement du capteur du ventilateur<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->Le capteur du ventilateur d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->Avertissement du capteur de tension<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->Le capteur de tension d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->Avertissement du capteur de courant<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->Le capteur de courant d&#233;tecte un probl&#232;me.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->D&#233;tection d'intrusion dans le ch&#226;ssis<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->La redondance de l'alimentation du syst&#232;me est d&#233;grad&#233;e.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->La redondance de l'alimentation du syst&#232;me est perdue.<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->&#201;chec anticip&#233; de la m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->&#201;chec de la m&#233;moire<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->Bloc d'alimentation <!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->Temp&#233;rature<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->Ventilateur <!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->Tension<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->Courant <!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
