<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA/About">
		<Summary>
	<Section name="Software">
		<xsl:attribute name="display"><!--XLATESTART-->Profil du logiciel<!--XLATESTOP--></xsl:attribute>
		<ListData name="SysMgmtSoftwareCtr">
			<xsl:attribute name="display"><!--XLATESTART-->Gestion du syst&#232;me<!--XLATESTOP--></xsl:attribute>
			<Data name="ProductName">
				<xsl:attribute name="display"><!--XLATESTART-->Nom<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductName"><xsl:attribute name="value"><xsl:value-of select="ProductName"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Les informations ne sont pas disponibles.<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductVersion">
				<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductVersion"><xsl:attribute name="value"><xsl:value-of select="ProductVersion"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->Les informations ne sont pas disponibles.<!--XLATESTART--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductDescription">
				<xsl:attribute name="display"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Logiciel de gestion de syst&#232;mes<!--XLATESTOP--></xsl:attribute>
			</Data>
	
	<xsl:for-each select="Component">
		<xsl:if test="count(preceding-sibling::*) >
			 0">
					<Data>
						<xsl:attribute name="name">Contains_<xsl:value-of select="count(preceding-sibling::*)" /></xsl:attribute>
						<xsl:choose>
							<xsl:when test="position() = '1'">
								<xsl:attribute name="display"><!--XLATESTART-->Contient :<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="value"><xsl:value-of select="Name" /><xsl:text> </xsl:text><xsl:value-of select="Version" /></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:for-each>
		</ListData>
	</Section>
		
		</Summary>
	</xsl:template>

	<xsl:template match="/OMA/SMStatus">
	</xsl:template>

</xsl:stylesheet>
