<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
	<HTML>
	<HEAD>
	<TITLE><!--XLATESTART-->Fermer la session<!--XLATESTOP--></TITLE>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
		<xsl:if test="@language != ''">
			<link rel="stylesheet" type="text/css">
				<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/scheme.css</xsl:attribute>
			</link>
			<xsl:if test="@country != ''">
				<link rel="stylesheet" type="text/css">
					<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/<xsl:value-of select="@country"/>/scheme.css</xsl:attribute>
				</link>
			</xsl:if>
		</xsl:if>
	</xsl:if>
	</HEAD>
	<script language="javascript">
		function init() {
			<xsl:if test="RestartWebServer/@login='true'">
				document.getElementById("login").noWrap = true;
			</xsl:if>
			document.getElementById("clbr").noWrap = true;
		}
	</script>
	<BODY onload="javascript:init();">
		<br />
		<div align="center" class="logout-header">
			<!--XLATESTART-->Nous vous remercions d'utiliser <!--XLATESTOP-->
			<xsl:call-template name="ProdName"><xsl:with-param name="prodname"><xsl:value-of select="ProdName"/></xsl:with-param></xsl:call-template>
		</div>
		<br />
		<div align="center" class="logout-prompt-text">
			<xsl:choose>
				<xsl:when test="RestartWebServer='true'">
					<!--XLATESTART-->Web Server a &#233;t&#233; red&#233;marr&#233;.<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise>
					<!--XLATESTART-->Vous avez  ferm&#233; la session de <!--XLATESTOP-->
					<xsl:call-template name="ProdName"><xsl:with-param name="prodname"><xsl:value-of select="ProdName"/></xsl:with-param></xsl:call-template>	
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<br />
		<br />
		<div align="center">
			<table width="100" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<xsl:if test="RestartWebServer/@login='true'">
						<td>
							<table width="100" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="14" height="25">
										<img style="width: 14px; height:25">
											<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if 	test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
										</img>
									</td>
									<td id="login" class="data-area-button" align="center" valign="middle">
										<a target="_top">
											<xsl:attribute name="href"><xsl:value-of select="Scheme"/>://<xsl:value-of select="RestartWebServer/@ipaddress"/>:	<xsl:value-of select="RestartWebServer/@port"/>/servlet/OMSALogin?msgStatus=null</xsl:attribute>
											<!--XLATESTART-->Ouvrir une session<!--XLATESTOP-->
										</a>
									</td>
									<td width="14" height="25">
										<img style="width: 14px; height:25">
											<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if 	test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
										</img>
									</td>
								</tr>
							</table>
						</td>
						<td>
							<table width="100" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="15" height="25"></td>								
								</tr>
							</table>
						</td>
					</xsl:if>
					<td>
						<table width="100" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="14" height="25">
									<img style="width: 14px; height:25">
										<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
									</img>
								</td>
								<td id="clbr" class="data-area-button" align="center" valign="middle"><a href="javascript:window.close ()" target="_top"><!--XLATESTART-->Fermer le navigateur<!--XLATESTOP--></a></td>
								<td width="14" height="25">
									<img style="width: 14px; height:25">
										<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
									</img>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</div>
	</BODY>
	</HTML>
</xsl:template>

<xsl:template name="ProdName">
		<xsl:param name="prodname"/>
		<xsl:choose>
			<xsl:when test="$prodname = 'Preferences'"><!--XLATESTART-->Pr&#233;f&#233;rences<!--XLATESTART--></xsl:when>
			<xsl:otherwise><xsl:value-of select="$prodname"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
