<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#25147;&#12427;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">
				<xsl:choose>
					<xsl:when test="Caller">
						<xsl:call-template name="Caller">
							<xsl:with-param name="caller">
								<xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
												<xsl:otherwise>javascript:history.back ()</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#12513;&#12483;&#12475;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data  name="Failure  Reason : ">
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@mode='port'">
								<!--XLATESTART-->&#12509;&#12540;&#12488;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#12399;&#26082;&#12395;&#20351;&#29992;&#20013;&#12391;&#12377;!<!--XLATESTOP-->
							</xsl:when>
							<xsl:when test="Failure/@mode='snmp'">
								<xsl:choose>
									<xsl:when test="Failure='2'"><!--XLATESTART-->&#20837;&#21147;&#12375;&#12383;&#21476;&#12356; SNMP &#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12399;&#12289;SNMP &#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#29694;&#22312;&#12398;&#35373;&#23450;&#12395;&#19968;&#33268;&#12375;&#12414;&#12379;&#12435;!<!--XLATESTOP--></xsl:when>
									<xsl:otherwise><!--XLATESTART-->SNMP &#12523;&#12540;&#12488;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#35373;&#23450;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;!<!--XLATESTOP--></xsl:otherwise>
								</xsl:choose>								
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="Caller">
		<xsl:param name="caller"/>
		<xsl:choose>
			<xsl:when test="contains ( $caller , 'onload=true')">
				<xsl:variable name="first" select="substring-before($caller , 'onload=true')"/>
				<xsl:variable name="second" select="substring-after($caller , 'onload=true')"/>				
				<xsl:value-of select="concat($first , 'onload=false' , $second)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$caller"/>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	
	<xsl:template match="*"/>	
</xsl:stylesheet>
