<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrinfoWebPlugin&amp;help=SVRInfo</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData>
				<xsl:apply-templates select="Skin"/>
				<xsl:apply-templates select="Scheme"/>
				<xsl:apply-templates select="Sestimeout"/>
				<xsl:apply-templates select="Port"/>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="Skin">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#12473;&#12461;&#12531;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="Scheme">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#12473;&#12461;&#12540;&#12512;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="Sestimeout">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398;&#12475;&#12483;&#12471;&#12519;&#12531;&#12398;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test=".='-1'">disabled</xsl:when>
					<xsl:otherwise><xsl:value-of select="."/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="@unit"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</Data>				
	</xsl:template>
	<xsl:template match="Port">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#29694;&#22312;&#12398; HTTP &#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>				
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
