<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea>
	  	<script>
			function forceSubmit(actionStr)
			{
				document.getElementById("dataarea").action = actionStr;
				document.dataarea.submit();
			}
		</script>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;&#12524;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">
											
												
													#</xsl:attribute>
				<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<Header>
				<Data name="Name" display="Name">
					<xsl:attribute name="value"><!--XLATESTART-->&#21517;&#21069;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Version" display="Version">
					<xsl:attribute name="value"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Update" display="Server Administrator Updateable">
					<xsl:attribute name="value"><!--XLATESTART-->Server Administrator &#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#21487;&#33021;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates  select="Update"/>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="Update">
	<xsl:apply-templates  />
</xsl:template>

<xsl:template match="Application">
	<Row>
		<Data>
			<xsl:attribute name="name"><xsl:value-of select="@name" /></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@display" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="name"><xsl:value-of select="@name" />&#12496;&#12540;&#12472;&#12519;&#12531;</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@version" /></xsl:attribute>
		</Data>
		<Data editable="false">
			<xsl:attribute name="name"><xsl:value-of select="@name" />&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;</xsl:attribute>
			<xsl:if test="@update_href != ''">
				<xsl:choose>
					<xsl:when test="@update_href ='1' ">
						<xsl:attribute name="value"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12398;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:forceSubmit('<xsl:value-of select="@update_href"/>')</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
			<xsl:if test="@update_href = ''">
				<xsl:attribute name="value"><!--XLATESTART-->&#12399;&#12356;<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
	</Row>
	
</xsl:template>

</xsl:stylesheet>			
