<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text> &#22833;&#25943;!</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 
						<!--XLATESTART--><xsl:text> &#25104;&#21151;</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  &#12497;&#12521;&#12513;&#12540;&#12479;: </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">ID</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#12525;&#12464;&#12398;&#12496;&#12483;&#12463;&#12450;&#12483;&#12503;&#12364;&#20316;&#25104;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12454;&#12455;&#12450;-ESM &#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->&#12450;&#12521;&#12540;&#12488;&#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->&#12503;&#12525;&#12540;&#12502;&#12375;&#12365;&#12356;&#20516;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->LRA &#24540;&#31572;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12458;&#12502;&#12472;&#12455;&#12463;&#12488;&#12398;&#31278;&#39006;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#21462;&#24471;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12398;&#12505;&#12531;&#12480;&#12540;/&#25903;&#20986;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12467;&#12473;&#12488;&#12475;&#12531;&#12479;&#12540;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12518;&#12540;&#12470;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#24310;&#38263;&#20445;&#35388;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#25152;&#26377;&#32773;&#12467;&#12540;&#12489;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#20250;&#31038;&#25152;&#26377;&#32773;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#21361;&#38522;&#24259;&#26820;&#29289;&#12467;&#12540;&#12489;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#23566;&#20837;&#26178;&#38291;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12488;&#12524;&#12540;&#12491;&#12531;&#12464;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12450;&#12454;&#12488;&#12477;&#12540;&#12471;&#12531;&#12464;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#20445;&#38522;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#28187;&#20385;&#20767;&#21364;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12508;&#12483;&#12463;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577; OS &#36861;&#21152;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#21407;&#20385;&#12452;&#12505;&#12531;&#12488;&#12525;&#12464;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#20445;&#35388;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;&#30058;&#21495;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12458;&#12503;&#12471;&#12519;&#12531;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12513;&#12531;&#12486;&#12490;&#12531;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#20462;&#24489;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12488;&#12521;&#12502;&#12523;&#12481;&#12465;&#12483;&#12488;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12524;&#12472;&#12473;&#12479;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12469;&#12540;&#12499;&#12473;&#22865;&#32004;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12522;&#12540;&#12473;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->&#36039;&#29987;&#24773;&#22577;&#12469;&#12509;&#12540;&#12488;&#24773;&#22577;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->BIOS &#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12497;&#12483;&#12465;&#12540;&#12472;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>&#33258;&#21205;&#22238;&#24489;&#12391;&#22793;&#26356;&#12373;&#12428;&#12383;&#20966;&#32622;</xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->&#20966;&#32622;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->PowerCycle<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->PowerOff<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->Reboot<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->&#33258;&#21205;&#22238;&#24489;&#12391;&#22793;&#26356;&#12373;&#12428;&#12383;&#12479;&#12452;&#12510; <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> &#31186;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512; &#12471;&#12515;&#12483;&#12488;&#12480;&#12454;&#12531;&#12364;&#38283;&#22987;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text> &#35686;&#21578;&#20966;&#32622;</xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text>&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> &#35686;&#21578;&#20966;&#32622;&#23455;&#34892;&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>&#12469;&#12540;&#12510;&#12523;&#20445;&#35703;&#12471;&#12515;&#12483;&#12488;&#12480;&#12454;&#12531;&#35373;&#23450;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383; </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'"><!--XLATESTART-->&#28961;&#21177;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART-->&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> &#12503;&#12525;&#12540;&#12502;&#23550;&#35937;</xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text>: &#22793;&#26356;&#12373;&#12428;&#12383;&#26368;&#22823;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> &#12503;&#12525;&#12540;&#12502;&#23550;&#35937;</xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text>: &#22793;&#26356;&#12373;&#12428;&#12383;&#26368;&#23567;&#35686;&#21578;&#12375;&#12365;&#12356;&#20516;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->&#12475;&#12461;&#12517;&#12522;&#12486;&#12451;&#12464;&#12523;&#12540;&#12503;: &#30906;&#35469;&#12373;&#12428;&#12383;&#12518;&#12540;&#12470;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->&#12475;&#12461;&#12517;&#12522;&#12486;&#12451;&#12464;&#12523;&#12540;&#12503;: &#20316;&#25104;&#12373;&#12428;&#12383;&#12518;&#12540;&#12470;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->&#12475;&#12461;&#12517;&#12522;&#12486;&#12451;&#12464;&#12523;&#12540;&#12503;: &#21066;&#38500;&#12373;&#12428;&#12383;&#12518;&#12540;&#12470;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->&#12475;&#12461;&#12517;&#12522;&#12486;&#12451;&#12464;&#12523;&#12540;&#12503;&#58;&#32;&#12523;&#12540;&#12488;&#12518;&#12540;&#12470;&#12497;&#12473;&#12527;&#12540;&#12489;&#12399;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5089'"><!--XLATESTART-->&#12475;&#12461;&#12517;&#12522;&#12486;&#12451;&#12464;&#12523;&#12540;&#12503;: &#12523;&#12540;&#12488;&#12518;&#12540;&#12470;&#12497;&#12473;&#12527;&#12540;&#12489;&#12398;&#22793;&#26356;&#12399;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383; !<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->&#22793;&#26356;&#12373;&#12428;&#12383;&#12471;&#12473;&#12486;&#12512; &#12471;&#12515;&#12540;&#12471;&#21517;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>&#22793;&#26356;&#12373;&#12428;&#12383;&#12471;&#12515;&#12540;&#12471; &#12501;&#12449;&#12531; &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->  &#38750;&#34920;&#31034;&#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART--> &#12501;&#12523;&#12473;&#12500;&#12540;&#12489; &#12514;&#12540;&#12489;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; LED &#12467;&#12531;&#12488;&#12525;&#12540;&#12523;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; LED &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#38651;&#28304;&#12508;&#12479;&#12531;&#12467;&#12531;&#12488;&#12525;&#12540;&#12523;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>&#12471;&#12515;&#12540;&#12471;&#12398;&#35672;&#21029;</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->&#12458;&#12531;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> &#12458;&#12501;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->&#22793;&#26356;&#12373;&#12428;&#12383;&#12471;&#12515;&#12540;&#12471;&#31649;&#29702;&#12479;&#12464;<!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471;&#35672;&#21029;&#12479;&#12452;&#12512;&#12450;&#12454;&#12488;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12489;&#12521;&#12452;&#12502; &#12456;&#12521;&#12540; LED &#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;&#12398;&#22580;&#25152;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;&#12503;&#12521;&#12452;&#12510;&#12522;&#12518;&#12540;&#12470;&#21517;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;&#12503;&#12521;&#12452;&#12510;&#12522;&#12518;&#12540;&#12470;&#38651;&#35441;&#30058;&#21495;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12456;&#12521;&#12540;&#12459;&#12454;&#12531;&#12488;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#20887;&#38263;&#24615;&#35373;&#23450;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->AC &#12473;&#12452;&#12483;&#12481;&#12514;&#12540;&#12489;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->AC &#12473;&#12452;&#12483;&#12481;&#12398;&#20104;&#26399;&#20887;&#38263;&#24615;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->ESM &#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->&#12450;&#12521;&#12540;&#12488;&#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->BIOS &#35373;&#23450;&#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>

			<!-- ********************  HIPDA SNMP Traps ****************** -->
			<xsl:when test="$id = '5200'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5201'"><!--XLATESTART-->&#38651;&#28304;&#35013;&#32622;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5202'"><!--XLATESTART-->&#20887;&#38263;&#24615;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5203'"><!--XLATESTART-->&#28201;&#24230;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5204'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5205'"><!--XLATESTART-->&#38651;&#22311;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5206'"><!--XLATESTART-->&#38651;&#27969;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5207'"><!--XLATESTART-->&#12525;&#12464;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5208'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12456;&#12531;&#12463;&#12525;&#12540;&#12472;&#12515;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5209'"><!--XLATESTART-->AC &#12467;&#12540;&#12489;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5210'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5211'"><!--XLATESTART-->&#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#12398; SNMP &#12488;&#12521;&#12483;&#12503;&#32;&#26377;&#21177;&#47;&#28961;&#21177; <!--XLATESTOP--></xsl:when>
			
			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->&#12518;&#12540;&#12470; &#12525;&#12464;&#12452;&#12531;&#35430;&#34892;&#20803; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->&#12518;&#12540;&#12470;&#12525;&#12464;&#12452;&#12531;&#20803; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART--> <!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART--> (&#29305;&#27177;)<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->&#12518;&#12540;&#12470;&#12364;&#12525;&#12464;&#12450;&#12454;&#12488;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>

			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->&#12518;&#12540;&#12470;&#12450;&#12463;&#12475;&#12473;&#27177;&#12399;&#12300;&#31649;&#29702;&#32773;&#12301;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5312'"><!--XLATESTART-->&#12518;&#12540;&#12470;&#12450;&#12463;&#12475;&#12473;&#27177;&#12399;&#12300;&#12497;&#12527;&#12540;&#12518;&#12540;&#12470;&#12301;&#20197;&#19978;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5313'"><!--XLATESTART-->&#12518;&#12540;&#12470;&#12450;&#12463;&#12475;&#12473;&#27177;&#12399;&#12300;&#12518;&#12540;&#12470;&#12301;&#20197;&#19978;&#12395;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>


			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12514;&#12487;&#12512; &#12480;&#12452;&#12516;&#12523;&#12398;&#31278;&#39006;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12514;&#12487;&#12512;&#21021;&#26399;&#21270;&#25991;&#23383;&#21015;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12514;&#12487;&#12512;&#12398;&#12508;&#12540;&#12524;&#12540;&#12488;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12501;&#12525;&#12483;&#12500;&#12540; TFTP &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450; TFTP &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488; &#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12501;&#12525;&#12483;&#12500;&#12540; TFTP IP &#12450;&#12489;&#12524;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12501;&#12525;&#12483;&#12500;&#12540; TFTP &#12497;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488; &#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450; &#12450;&#12483;&#12503;&#12487;&#12540;&#12488; TFTP IP &#12450;&#12489;&#12524;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488; TFTP &#12497;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; SMTP &#38651;&#23376;&#12513;&#12540;&#12523;&#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; SMTP IP &#12450;&#12489;&#12524;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; NIC &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; NIC DHCP &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; NIC IP &#12450;&#12489;&#12524;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; NIC &#12469;&#12502;&#12493;&#12483;&#12488;&#12510;&#12473;&#12463;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; NIC &#12466;&#12540;&#12488;&#12454;&#12455;&#12452;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12505;&#12540;&#12473; IP &#12450;&#12489;&#12524;&#12473;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531;&#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531; DHCP &#29366;&#24907;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531;&#35469;&#35388;&#12398;&#31278;&#39006;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12480;&#12452;&#12516;&#12523;&#12450;&#12454;&#12488;&#12518;&#12540;&#12470;&#12364;&#36861;&#21152;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12450;&#12454;&#12488;&#12518;&#12540;&#12470;&#12364;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12450;&#12454;&#12488;&#12518;&#12540;&#12470;&#12364;&#21066;&#38500;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531;&#12518;&#12540;&#12470;&#12364;&#36861;&#21152;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531;&#12518;&#12540;&#12470;&#12364;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12480;&#12452;&#12516;&#12523;&#12452;&#12531;&#12518;&#12540;&#12470;&#12364;&#21066;&#38500;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; SNMP &#12488;&#12521;&#12483;&#12503;&#12364;&#36861;&#21152;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; SNMP &#12488;&#12521;&#12483;&#12503;&#12364;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; SNMP &#12488;&#12521;&#12483;&#12503;&#12364;&#21066;&#38500;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12518;&#12540;&#12470;&#12364;&#36861;&#21152;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12518;&#12540;&#12470;&#12364;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12518;&#12540;&#12470;&#12364;&#21066;&#38500;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#38651;&#23376;&#12513;&#12540;&#12523;&#12486;&#12473;&#12488;&#12364;&#23455;&#34892;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489; &#12450;&#12523;&#12501;&#12449; &#12506;&#12540;&#12472;&#12515;&#12540;&#12486;&#12473;&#12488;&#12364;&#23455;&#34892;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#25968;&#20516;&#12506;&#12540;&#12472;&#12515;&#12540;&#12486;&#12473;&#12488;&#12364;&#23455;&#34892;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473; &#12459;&#12540;&#12489; SNMP &#12488;&#12521;&#12483;&#12503;&#12486;&#12473;&#12488;&#12364;&#23455;&#34892;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->&#12522;&#12514;&#12540;&#12488;&#12450;&#12463;&#12475;&#12473;&#12459;&#12540;&#12489;&#12364;&#12522;&#12475;&#12483;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->&#12518;&#12540;&#12470;&#12525;&#12464;&#12452;&#12531;&#35430;&#34892;&#20803; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/> <!--XLATESTART-->&#12456;&#12521;&#12540;&#58;&#32;&#35469;&#35388;&#12513;&#12477;&#12483;&#12489; = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>;<!--XLATESTART-->&#21407;&#22240; = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='REASON']/@value"/><!--XLATESTOP--></xsl:when>
			

			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->&#31649;&#29702;&#32773;&#12364;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488; &#12497;&#12483;&#12465;&#12540;&#12472;&#12434;&#21066;&#38500;&#12375;&#12414;&#12375;&#12383;: <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->&#31649;&#29702;&#32773;&#12364; BIOS &#12450;&#12483;&#12503;&#12487;&#12540;&#12488; &#12497;&#12483;&#12465;&#12540;&#12472;&#12434;&#12525;&#12540;&#12489;&#12375;&#12414;&#12375;&#12383;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#21069;&#12398;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#20877;&#36215;&#21205;&#24460;&#12395;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12364;&#23455;&#34892;&#12373;&#12428;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->&#31649;&#29702;&#32773;&#12364;&#27491;&#24120;&#12395;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12434;&#23455;&#34892;&#12375;&#12414;&#12375;&#12383;&#12290;  &#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12497;&#12483;&#12465;&#12540;&#12472;&#21517;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#21069;&#12398;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->&#31649;&#29702;&#32773;&#12364;&#27491;&#24120;&#12395;&#12501;&#12449;&#12540;&#12512;&#12454;&#12455;&#12450;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12434;&#23455;&#34892;&#12375;&#12414;&#12375;&#12383;  &#12450;&#12483;&#12503;&#12487;&#12540;&#12488; &#12497;&#12483;&#12465;&#12540;&#12472;&#21517;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#21069;&#12398; ESM &#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  &#12450;&#12483;&#12503;&#12487;&#12540;&#12488; ESM &#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->&#31649;&#29702;&#32773;&#12399;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12497;&#12483;&#12465;&#12540;&#12472;&#12434;&#20351;&#29992;&#12375;&#12383;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12398;&#23455;&#34892;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;!  &#12525;&#12540;&#12459;&#12523;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12496;&#12540;&#12472;&#12519;&#12531;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->&#35386;&#26029;&#27010;&#35201;&#12506;&#12540;&#12472;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->&#35386;&#26029;&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12524;&#12505;&#12523;&#35373;&#23450;&#12364;&#20445;&#23384;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->&#35386;&#26029;&#12450;&#12503;&#12522;&#12465;&#12540;&#12471;&#12519;&#12531;&#12524;&#12505;&#12523;&#35373;&#23450;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->&#35386;&#26029;&#23455;&#34892;&#12398;&#35386;&#26029;&#35443;&#32048;&#35373;&#23450;&#12364;&#20445;&#23384;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->&#35386;&#26029;&#12399;&#23436;&#20102;&#12375;&#12383;&#12475;&#12483;&#12471;&#12519;&#12531;&#12398;&#35443;&#32048;&#12524;&#12505;&#12523;&#35373;&#23450;&#12434;&#21462;&#24471;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->&#35386;&#26029;&#32080;&#26524;&#23653;&#27508;&#12525;&#12464;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->&#35386;&#26029;&#12399;&#23436;&#20102;&#12375;&#12383;&#21029;&#12398;&#23653;&#27508;&#12525;&#12464;&#12434;&#21462;&#24471;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->&#35386;&#26029;&#30456;&#36949;&#12398;&#34920;&#31034;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->&#35386;&#26029;&#35373;&#23450;&#12398;&#30456;&#36949;&#12364;&#35469;&#35672;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->&#35386;&#26029;&#12475;&#12483;&#12471;&#12519;&#12531;&#12525;&#12464;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->&#20840;&#20307;&#12398;&#35386;&#26029;&#36914;&#34892;&#29366;&#27841;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->&#35386;&#26029;&#12398;&#36914;&#34892;&#29366;&#27841;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->&#35386;&#26029;&#12395;&#12424;&#12387;&#12390;&#12289;&#23436;&#20102;&#12375;&#12383;&#20840;&#20307;&#12398;&#36914;&#34892;&#29366;&#27841;&#12364;&#35373;&#23450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->&#35386;&#26029;&#12395;&#12424;&#12387;&#12390;&#12289;&#23436;&#20102;&#12375;&#12383;&#20840;&#20307;&#12398;&#36914;&#34892;&#29366;&#27841;&#35201;&#27714;&#12364;&#21462;&#24471;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->&#35386;&#26029;&#12364;&#20013;&#27490;&#12373;&#12428;&#12414;&#12375;&#12383; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->&#35386;&#26029;&#12364;&#23436;&#20102;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->&#35386;&#26029;&#12434;&#23455;&#34892;&#12377;&#12427;&#12424;&#12358;&#12395;&#36984;&#25246;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->&#35386;&#26029;&#12486;&#12473;&#12488;&#12364;&#36984;&#25246;&#12373;&#12428;&#12390;&#12356;&#12414;&#12379;&#12435;&#59;&#32;&#36865;&#20449;&#12373;&#12428;&#12383;&#12522;&#12463;&#12456;&#12473;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5721'"><!--XLATESTART-->&#35386;&#26029;&#35443;&#32048;&#35373;&#23450;&#12458;&#12503;&#12471;&#12519;&#12531;&#12364;&#36984;&#25246;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12398;&#31278;&#39006;&#21029;&#12398;&#35386;&#26029;&#34920;&#31034;&#12364;&#36984;&#25246;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->&#12486;&#12473;&#12488;&#12398;&#31278;&#39006;&#21029;&#35386;&#26029;&#34920;&#31034;&#12364;&#36984;&#25246;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->&#35386;&#26029;&#36984;&#25246;&#12506;&#12540;&#12472;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->&#35386;&#26029;&#36984;&#25246;&#12506;&#12540;&#12472;&#12364;&#26368;&#21021;&#12395;&#34920;&#31034;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->&#35386;&#26029;&#12473;&#12465;&#12472;&#12517;&#12540;&#12521; &#12506;&#12540;&#12472;&#12364;&#34920;&#31034;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->&#35386;&#26029;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523; &#12479;&#12473;&#12463;&#12364;&#21066;&#38500;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->&#21066;&#38500;&#12377;&#12427;&#12424;&#12358;&#12395;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12427;&#35386;&#26029;&#12479;&#12473;&#12463;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->&#35386;&#26029;&#12479;&#12473;&#12463;&#12364;&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->&#35386;&#26029;&#32080;&#26524;&#12398;&#23653;&#27508;&#12525;&#12464;&#12364;&#12463;&#12522;&#12450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->&#35386;&#26029;&#12454;&#12455;&#12523;&#12459;&#12512; &#12506;&#12540;&#12472; &#12471;&#12473;&#12486;&#12512;&#35686;&#21578;&#12364;&#35373;&#23450;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->&#35386;&#26029;&#24773;&#22577;&#12364;&#35201;&#27714;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12427; OS &#12398;&#23455;&#34892;&#12364;&#38283;&#22987;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->&#12473;&#12465;&#12472;&#12517;&#12540;&#12523;&#35373;&#23450;&#12373;&#12428;&#12390;&#12356;&#12427; OS &#12398;&#23455;&#34892;&#12364;&#32066;&#20102;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12521;&#12452;&#12531;&#35386;&#26029;&#12364;&#38283;&#22987;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489; &#12521;&#12452;&#12531;&#35386;&#26029;&#12398;&#23455;&#34892;&#12364;&#32066;&#20102;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> &#38283;&#22987;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> &#12471;&#12515;&#12483;&#12488;&#12480;&#12454;&#12531;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> &#12518;&#12540;&#12470;&#35373;&#23450;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> &#12469;&#12540;&#12496;&#35373;&#23450;&#12364;&#22793;&#26356;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#21066;&#38500;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#21066;&#38500;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#29983;&#25104;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#29983;&#25104;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#29983;&#25104;&#12375;&#12390;&#12450;&#12463;&#12486;&#12451;&#12502;&#21270;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#29983;&#25104;&#12375;&#12414;&#12375;&#12383;&#12364;&#12450;&#12463;&#12486;&#12451;&#12502;&#21270;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#12452;&#12531;&#12509;&#12540;&#12488;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->&#19981;&#26126;&#12398;&#12456;&#12531;&#12488;&#12522;! ID(<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
								<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev"><xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->&#37325;&#22823;&#12394;&#38651;&#28304;&#35013;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->&#28201;&#24230;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->&#12501;&#12449;&#12531;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->&#38651;&#22311;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->&#38651;&#27969;&#12503;&#12525;&#12540;&#12502;&#12395;&#12424;&#12387;&#12390;&#12456;&#12521;&#12540;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->&#12471;&#12515;&#12540;&#12471; &#12452;&#12531;&#12488;&#12523;&#12540;&#12472;&#12519;&#12531;&#26908;&#20986;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->&#38651;&#28304;&#12471;&#12473;&#12486;&#12512;&#20887;&#38263;&#24615;&#20302;&#19979;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->&#38651;&#28304;&#12471;&#12473;&#12486;&#12512;&#20887;&#38263;&#24615;&#21930;&#22833;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#20107;&#21069;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->&#12513;&#12514;&#12522;&#12456;&#12521;&#12540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->&#38651;&#28304;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->&#28201;&#24230;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->&#12501;&#12449;&#12531;<!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->&#38651;&#22311;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->&#38651;&#27969;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
