<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>PageTitle</PageTitle>

			<Header>Header</Header>
			<SubHeader/>
			<ListData>
				<Data name="EchoString" display="EchoString">
					<xsl:attribute name="value"><xsl:value-of select="EchoString"/></xsl:attribute>
				</Data>
				<Data name="CompanyName" display="&#20250;&#31038;&#21517;">
					<xsl:choose>
						<xsl:when test="About/CompanyName">
							<xsl:attribute name="value"><xsl:value-of select="About/CompanyName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="LegalCopyright" display="&#33879;&#20316;&#27177;">
					<xsl:choose>
						<xsl:when test="About/LegalCopyright">
							<xsl:attribute name="value"><xsl:value-of select="About/LegalCopyright"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductName" display="&#35069;&#21697;&#21517;">
					<xsl:choose>
						<xsl:when test="About/ProductName">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductVersion" display="&#35069;&#21697;&#12496;&#12540;&#12472;&#12519;&#12531;">
					<xsl:choose>
						<xsl:when test="About/ProductVersion">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductVersion"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductLanguage" display="&#35069;&#21697;&#35328;&#35486;">
					<xsl:choose>
						<xsl:when test="ProductLanguage">
							<xsl:attribute name="value"><xsl:value-of select="ProductLanguage"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<xsl:apply-templates select="ProductLaunchPointList"/>
			</ListData>
		</DataArea>
	</xsl:template>

	<xsl:template match="ProductLaunchPointList">
		<xsl:for-each select="ProductLaunchPoint">
			<Data name="LaunchPoint">
				<xsl:attribute name="display"><!--XLATESTART-->&#35069;&#21697;&#30330;&#36865;&#22580;&#25152; <!--XLATESTART--><xsl:value-of select="@index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			</Data>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="*"/>

</xsl:stylesheet>
