<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
	<HTML>
	<HEAD>
	<TITLE><!--XLATESTART-->&#12525;&#12464;&#12450;&#12454;&#12488;<!--XLATESTOP--></TITLE>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
		<xsl:if test="@language != ''">
			<link rel="stylesheet" type="text/css">
				<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/scheme.css</xsl:attribute>
			</link>
			<xsl:if test="@country != ''">
				<link rel="stylesheet" type="text/css">
					<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/<xsl:value-of select="@country"/>/scheme.css</xsl:attribute>
				</link>
			</xsl:if>
		</xsl:if>
	</xsl:if>
	</HEAD>
	
	<script language="javascript">
		function init() {
			<xsl:if test="RestartWebServer/@login='true'">
				document.getElementById("login").noWrap = true;
			</xsl:if>
			document.getElementById("clbr").noWrap = true;
		}
	</script>
	<BODY onload="javascript:init();">
		<br />
		<div align="center" class="logout-header">
			<xsl:call-template name="ProdName"><xsl:with-param name="prodname"><xsl:value-of select="ProdName"/></xsl:with-param></xsl:call-template>
			<!--XLATESTART-->&#12434;&#12372;&#21033;&#29992;&#12356;&#12383;&#12384;&#12365;&#12354;&#12426;&#12364;&#12392;&#12358;&#12372;&#12374;&#12356;&#12414;&#12375;&#12383; <!--XLATESTOP-->
		</div>
		<br />
		<div align="center" class="logout-prompt-text">
			<xsl:choose>
				<xsl:when test="RestartWebServer='true'">
					<!--XLATESTART-->&#12454;&#12455;&#12502;&#12469;&#12540;&#12496;&#12399;&#20877;&#36215;&#21205;&#12373;&#12428;&#12414;&#12375;&#12383;&#12290;<!--XLATESTOP-->
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="ProdName"><xsl:with-param name="prodname"><xsl:value-of select="ProdName"/></xsl:with-param></xsl:call-template>	
					<!--XLATESTART-->&#12363;&#12425;&#27491;&#24120;&#12395;&#12525;&#12464;&#12450;&#12454;&#12488;&#12375;&#12414;&#12375;&#12383; <!--XLATESTOP-->
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<br />
		<br />
		<div align="center">
			<table width="100" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<xsl:if test="RestartWebServer/@login='true'">
						<td>
							<table width="100" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="14" height="25">
										<img style="width: 14px; height:25">
											<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if 	test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
										</img>
									</td>
									<td id="login" class="data-area-button" align="center" valign="middle">
										<a target="_top">
											<xsl:attribute name="href"><xsl:value-of select="Scheme"/>://<xsl:value-of select="RestartWebServer/@ipaddress"/>:	<xsl:value-of select="RestartWebServer/@port"/>/servlet/OMSALogin?msgStatus=null</xsl:attribute>
											<!--XLATESTART-->&#12525;&#12464;&#12452;&#12531;<!--XLATESTOP-->
										</a>
									</td>
									<td width="14" height="25">
										<img style="width: 14px; height:25">
											<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if 	test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
										</img>
									</td>
								</tr>
							</table>
						</td>
						<td>
							<table width="100" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="15" height="25"></td>								
								</tr>
							</table>
						</td>
					</xsl:if>
					<td>
						<table width="100" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="14" height="25">
									<img style="width: 14px; height:25">
										<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
									</img>
								</td>
								<td id="clbr" class="data-area-button" align="center" valign="middle"><a href="javascript:window.close ()" target="_top"><!--XLATESTART-->&#12502;&#12521;&#12454;&#12470;&#12434;&#38281;&#12376;&#12427;<!--XLATESTOP--></a></td>
								<td width="14" height="25">
									<img style="width: 14px; height:25">
										<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/	<xsl:value-of 		select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
									</img>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</div>
	</BODY>
	</HTML>
</xsl:template>

<xsl:template name="ProdName">
		<xsl:param name="prodname"/>
		<xsl:choose>
			<xsl:when test="$prodname = 'Preferences'"><!--XLATESTART-->&#12503;&#12522;&#12501;&#12449;&#12521;&#12531;&#12473;<!--XLATESTART--></xsl:when>
			<xsl:otherwise><xsl:value-of select="$prodname"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
