<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:text disable-output-escaping="yes">
			&lt;xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
		</xsl:text>
		<xsl:element name="xsl:variable">
			<xsl:attribute name="name">displayparams</xsl:attribute>
			<xsl:attribute name="select">0</xsl:attribute>
		</xsl:element>
		<xsl:apply-templates select="IncludePath"/>
		<xsl:apply-templates select="OMAUserRights"/>
		<xsl:text disable-output-escaping="yes">
			&lt;/xsl:stylesheet>
		</xsl:text>	
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="OMAUserRights">
		<xsl:element name="xsl:template">
			<xsl:attribute name="match">EventLog</xsl:attribute>
			<DataArea>
				<xsl:if test="number(.) > 1">
					<script language="javascript">
					function clearLog()
					{
						document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.ClearCmdLogWebPlugin';
						document.dataarea.submit();
					}
					function saveLog()
					{
						document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
						document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
						document.dataarea.submit();
					}
					</script>
				</xsl:if>		
				<Header><!--XLATESTART-->&#12506;&#12540;&#12472; &#12504;&#12483;&#12480;&#12540;<!--XLATESTOP--></Header>
				<PageTitle display="&#12467;&#12510;&#12531;&#12489; &#12525;&#12464;"/>
				<PromptText><!--XLATESTART-->&#12467;&#12510;&#12531;&#12489;&#12525;&#12464;&#12398;&#20869;&#23481;...<!--XLATESTOP--></PromptText>				
					<CustomButton>
						<xsl:if test="number(.) > 1">
							<Data name="Clear" display="&#12525;&#12464;&#12398;&#12463;&#12522;&#12450;">
								<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
							</Data>
							<Data name="Clear" display="&#21517;&#21069;&#12434;&#20184;&#12369;&#12390;&#20445;&#23384;">
								<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
							</Data>
						</xsl:if>
						<Data name="Refresh" display="&#26356;&#26032;">
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin</xsl:attribute>
						</Data>
					</CustomButton>
				<TableData columnspacing="true">
					<Header>
						<Data name="Severity" display="Severity" value="Severity" width="80" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogSevWebPlugin"/>
						<Data name="DateTime" display="Date &amp; Time" value="Date &amp; Time" width="100" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin"/>
						<Data name="User" display="User" value="User" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogUsrWebPlugin"/>
						<Data name="Description" display="Description" value="Description"/>
					</Header>
						<xsl:element name="xsl:apply-templates">
							<xsl:attribute name="select">LogEntry</xsl:attribute>
						<xsl:element name="xsl:sort">
							<xsl:attribute name="select">TimeStamp</xsl:attribute>
							<xsl:attribute name="data-type">number</xsl:attribute>
							<xsl:attribute name="order">descending</xsl:attribute>
						</xsl:element>
					</xsl:element>
				</TableData>
			</DataArea>
		</xsl:element>

	</xsl:template> <!-- <xsl:template match="OMAUserRights"> -->

</xsl:stylesheet>
