<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMTPHost = ''">
				<DataArea email="false" cancel="true">
					<xsl:if test="OMAUserRights='7'">
						<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12503;&#12522;&#12501;&#12449;&#12521;&#12531;&#12473;&#12506;&#12540;&#12472;&#12395;&#36914;&#12416;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="canceltarget"><xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/></xsl:attribute>
					<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#12364;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290;<!--XLATESTART--></xsl:attribute>
					</PageTitle>
					<PromptText>
						<xsl:choose>
							<xsl:when test="OMAUserRights='7'"><!--XLATESTART-->[&#12469;&#12540;&#12496;&#12503;&#12522;&#12501;&#12449;&#12521;&#12531;&#12473;] &#12391; SMTP &#12469;&#12540;&#12496;&#12398; SMTP &#12469;&#12540;&#12496;&#21517;&#12392; DNS &#12469;&#12501;&#12451;&#12483;&#12463;&#12473;&#12434;&#35373;&#23450;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#31649;&#29702;&#32773;&#12395; [&#12469;&#12540;&#12496;&#35373;&#23450;] &#12391; SMTP &#12469;&#12540;&#12496;&#12398; SMTP &#12469;&#12540;&#12496;&#21517;&#12392; DNS &#12469;&#12501;&#12451;&#12483;&#12463;&#12473;&#12434;&#35373;&#23450;&#12375;&#12390;&#12418;&#12425;&#12387;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea email="false">
					<xsl:if test="Success != 'true'">
						<xsl:attribute name="cancel">true</xsl:attribute>
						<xsl:attribute name="canceltarget">javascript:cancel();</xsl:attribute>
					</xsl:if>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="Success ='true'">
								<xsl:attribute name="submit"><xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/></xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#25147;&#12427;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SendEmailWebPlugin</xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#36865;&#20449;<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="validate">true</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#12513;&#12483;&#12475;&#12540;&#12472;&#12434;&#36865;&#20449;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<xsl:choose>
						<xsl:when test="Success ='true'">
							<PromptText><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#12513;&#12483;&#12475;&#12540;&#12472;&#12364;&#21463;&#20449;&#32773;&#12395;&#27491;&#24120;&#12395;&#36865;&#20449;&#12373;&#12428;&#12414;&#12375;&#12383;&#12290;<!--XLATESTOP--><xsl:value-of select="ToAddress"/></PromptText>
						</xsl:when>
						<xsl:when test="Exception != ''">
							<xsl:choose>
								<xsl:when test="Exception = '1'">
									<PromptText><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#12513;&#12483;&#12475;&#12540;&#12472;&#12364;&#21463;&#20449;&#32773;&#12395;&#36865;&#20449;&#12373;&#12428;&#12414;&#12379;&#12435;&#12391;&#12375;&#12383;&#12290; <!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART--> &#29702;&#30001;: <!--XLATESTOP--><xsl:value-of select="ToAddress"/> <!--XLATESTART-->&#12414;&#12383;&#12399; <!--XLATESTOP--><xsl:value-of select="FromAddress"/><!--XLATESTART--> &#12364;&#28961;&#21177;&#12391;&#12377;&#12290; &#27491;&#12375;&#12356;&#38651;&#23376;&#12513;&#12540;&#12523;&#12450;&#12489;&#12524;&#12473;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
								</xsl:when>
								<xsl:otherwise>
									<PromptText><!--XLATESTART-->&#38651;&#23376;&#12513;&#12540;&#12523;&#12513;&#12483;&#12475;&#12540;&#12472;&#12399;&#21463;&#20449;&#32773;&#12395;&#27491;&#24120;&#12395;&#36865;&#20449;&#12373;&#12428;&#12414;&#12379;&#12435;&#12391;&#12375;&#12383;&#12290;<!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART-->. &#38651;&#23376;&#12513;&#12540;&#12523;&#12450;&#12489;&#12524;&#12473;&#12364;&#28961;&#21177;&#12363;&#12289;&#12414;&#12383;&#12399; SMTP &#12469;&#12540;&#12496;&#12398;&#12475;&#12483;&#12488;&#12450;&#12483;&#12503;&#12364;&#28961;&#21177;&#12391;&#12354;&#12427;&#21487;&#33021;&#24615;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<PromptText></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="Success !='true'">
						<ListData>
							<Data name="to" display="&#36865;&#20449;&#20808;" type="editbox" size="40">
								<xsl:attribute name="value"><xsl:value-of select="ToAddress"/></xsl:attribute>
							</Data>
							<Data name="from" display="&#36865;&#20449;&#20803;">
								<xsl:attribute name="value"><xsl:value-of select="FromAddress"/></xsl:attribute>
							</Data>
							<Data name="subject" display="&#12488;&#12500;&#12483;&#12463;" type="editbox" size="50">
								<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
							</Data>
							<Data name="desc" display="&#12513;&#12483;&#12475;&#12540;&#12472;" type="textarea" cols="35" rows="5">
								<xsl:attribute name="value"><xsl:value-of select="Message"/></xsl:attribute>
							</Data>
						</ListData>
						<ListData>
							<Data name="Attach" display="&#28155;&#20184;&#12501;&#12449;&#12452;&#12523;"/>
							<xsl:for-each select="Attachment/File">
								<xsl:variable name="filename"><xsl:value-of select="."/></xsl:variable>
								<xsl:if test="($filename != 'blank.html') and ($filename != 'calendar.html')">
									<Data name="attachment" type="checkbox" state="3">
										<xsl:attribute name="returnvalue"><xsl:value-of select="@count"/></xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
									<xsl:if test="@href != ''">
										<ExtraItem link="true">
											<xsl:attribute name="href">javascript:showFile('<xsl:value-of select="@href"/>');</xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
											</ExtraItem>					
										</xsl:if>
									</Data>
								</xsl:if>
							</xsl:for-each>
						</ListData>
						<ListData>
							<Data type="file" name="file" display="&#28155;&#20184;&#12501;&#12449;&#12452;&#12523;&#12398;&#36861;&#21152;" splcase="true">
								<ExtraItem  type="button" href="javascript:uploadFile();" display="&#28155;&#20184;&#12501;&#12449;&#12452;&#12523;&#12398;&#36861;&#21152;"/>
							</Data>
						</ListData>
						<HiddenTable>
							<Data type="hidden" name="smtp">
								<xsl:attribute name="returnvalue"><xsl:value-of select="SMTPHost"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="pageTitle">
								<xsl:attribute name="returnvalue"><xsl:value-of select="PageName"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="redirectURL">
								<xsl:attribute name="returnvalue"></xsl:attribute>
							</Data>
							<Data type="hidden" name="prevPage">
								<xsl:attribute name="returnvalue"><xsl:value-of select="Caller"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="fileName"/>
						</HiddenTable>
					</xsl:if>
					<script language="javascript">
						function showFile(url)
						{
							window.open(url, 'joe', config='scrollbars=yes,toolbar=no,menubar=no,resizable=no,location=no,directories=no,status=no');
						}
						function cancel()
						{
							location.href ='<xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/>';
						}
						function validate()
						{
							var inLength = <xsl:value-of select="string-length(Message)"/>
							if((document.getElementById("desc").value.length - inLength) > 256)
							{
								alert("&#12456;&#12521;&#12540;! 
&#65339;&#12513;&#12483;&#12475;&#12540;&#12472;&#65341;&#12501;&#12451;&#12540;&#12523;&#12489;&#12395;&#20837;&#21147;&#12391;&#12365;&#12427;&#12398;&#12399; 256 &#25991;&#23383;&#26410;&#28288;&#12391;&#12377;");
								document.getElementById("desc").select();
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("to").value, "to"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("subject").value, "subject"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("desc").value, "desc"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("file").value, "file"))
							{
								return false;
							}
							if (((document.getElementById("to").value).indexOf(',') != "-1") || ((document.getElementById("to").value).indexOf(';') != "-1")) {
								alert("[&#36865;&#20449;&#20808;] &#12391;&#12399; 2 &#12388;&#20197;&#19978;&#12398;&#38651;&#23376;&#12513;&#12540;&#12523;&#12450;&#12489;&#12524;&#12473;&#12434;&#21463;&#12369;&#21462;&#12426;&#12414;&#12379;&#12435;&#12290;");
								var to = "";
								var toVal = document.getElementById("to").value;
								if (toVal.indexOf(',') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(',')));
								}
								if (toVal.indexOf(';') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(';')));
								}
								document.getElementById("to").value = to;
								document.getElementById("to").focus();
								return false;
							}
							return true;
						}
						
						function isAlphaNumeric(text, context){
							var validValue = "&gt;&lt;&amp;?\"#%";
							var ok = "yes";
							var temp;
							for (var i=0; i&lt;text.length; i++)
							{
								temp = "" + text.substring(i, i+1);
								if (validValue.indexOf(temp) != "-1")
								{
									ok = "no";
									break;
								}
							}
							if (ok == "no")
							{
								if(context == "to")
								{
									msg = "&#12456;&#12521;&#12540;! [&#23451;&#20808;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12395;&#20837;&#21147;&#12391;&#12365;&#12427;&#12398;&#12399;&#21322;&#35282;&#33521;&#25968;&#23383;&#12414;&#12383;&#12399;&#35352;&#21495;&#12391;&#12377;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: ";
								}
								else if(context == "subject")
								{
									msg = "&#12456;&#12521;&#12540;! [&#20214;&#21517;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12395;&#20837;&#21147;&#12391;&#12365;&#12427;&#12398;&#12399;&#21322;&#35282;&#33521;&#25968;&#23383;&#12414;&#12383;&#12399;&#35352;&#21495;&#12391;&#12377;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: ";

								}
								else if(context == "desc")
								{
									msg = "&#12456;&#12521;&#12540;! [&#12513;&#12483;&#12475;&#12540;&#12472;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12395;&#20837;&#21147;&#12391;&#12365;&#12427;&#12398;&#12399;&#21322;&#35282;&#33521;&#25968;&#23383;&#12414;&#12383;&#12399;&#35352;&#21495;&#12391;&#12377;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: ";
								}
								else if(context == "file")
								{
									msg = "&#12456;&#12521;&#12540;! [&#28155;&#20184;] &#12501;&#12451;&#12540;&#12523;&#12489;&#12395;&#20837;&#21147;&#12391;&#12365;&#12427;&#12398;&#12399;&#21322;&#35282;&#33521;&#25968;&#23383;&#12414;&#12383;&#12399;&#35352;&#21495;&#12391;&#12377;&#12290;&#35501;&#12415;&#21462;&#12426;&#20516;: ";
								}

								alert(msg + text);
								return false;
							}
							return true;
						}
						
						function ltrim ( s ) 
						{ 
							return s.replace( /^\s*/, "" ) 
						} 
				
						function rtrim ( s ) 
						{ 
							return s.replace( /\s*$/, "" ); 
						} 
						
						function trim ( s ) 
						{ 
							return rtrim(ltrim(s)); 
						}

						function uploadFile()
						{
							if(document.getElementById("file").value == '')
							{
								alert("&#28155;&#20184;&#12501;&#12449;&#12452;&#12523;&#12434;&#36984;&#25246;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;");
								return;
							}
							
							if(!isAlphaNumeric(document.getElementById("file").value, "file"))
							{
								return;
							}
							else
							{
								var _fname = document.getElementById("file").value;
								var _ext = ".gif";
								
								if(_fname.indexOf(_ext) != -1)
								{
									alert("&#12501;&#12449;&#12452;&#12523;&#12395; \".gif\" &#12398;&#25313;&#24373;&#23376;&#12434;&#12388;&#12369;&#12394;&#12356;&#12391;&#12367;&#12384;&#12373;&#12356;&#12290; &#12501;&#12449;&#12452;&#12523;&#12398;&#21517;&#21069;&#12434;&#22793;&#26356;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;");
									return;
								}
							}
							
							var count = <xsl:value-of select="Attachment/Count"/>;
							document.getElementById("dataarea").encoding = "multipart/form-data";
							document.getElementById("dataarea").enctype = "multipart/form-data";
							var url = '/servlet/DataArea?plugin=com.dell.oma.webplugins.ShowSendEmailWebPlugin' + 
								'&amp;pageTitle=<xsl:call-template name="PageName"><xsl:with-param name="pagename"><xsl:value-of select="PageName"/></xsl:with-param></xsl:call-template>' ;
							if(count == 1)
							{
								url = url + '&amp;attachment=' +  document.getElementById("attachment").value;
							}
							else
							{
								for(i=0; i &lt;document.dataarea.attachment.length; i++)
								{
									if(document.dataarea.attachment[i].checked == true)
									{
										url = url + '&amp;attachment=' +  document.dataarea.attachment[i].value;
									}
								}  
							}	
							url = url +  '&amp;toAddr=' + document.getElementById("to").value;
							document.getElementById("dataarea").redirectURL.value = url;
							document.getElementById("dataarea").action = "/servlet/UploadServlet";
							uploadStart (document.dataarea.file.value, '');
							document.getElementById("dataarea").submit();
						}
					</script>
					<script language="JavaScript" src="/oma/js/Upload.js" />
					<HTMLData>
						<iframe id="uploadtest" name="uploadtest" style="visibility: hidden; height: 1px; width: 1px; top: 0px; left: 0px; position: absolute; z-index: -1" src="/oma/blank.html"></iframe>
					</HTMLData>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="PageName">
		<xsl:param name="pagename"/>
		
		<xsl:choose>
			<xsl:when test="contains($pagename , &quot;'&quot;)">
				<xsl:variable name="firststring"><xsl:value-of select="substring-before($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:variable name="secondstring"><xsl:value-of select="substring-after($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:value-of select="concat($firststring ,  '&#180;' , $secondstring)"/>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$pagename"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
