<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea  onLoad="true" validate="true">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SetSvrPrefWebPlugin</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#25191;&#34892;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
			<xsl:if test="(ServiceFlag='true') and (ServiceFlag/@osinability='false')">
				<script language="javascript">
					function restart()
					{
						if (confirm("&#26159;&#21542;&#24050;&#23436;&#25104;&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;&#30340;&#35774;&#32622;&#65311; &#25353;&#8220;&#30830;&#23450;&#8221;&#23558;&#37325;&#26032;&#21551;&#21160; Web &#26381;&#21153;&#22120;&#12290; &#19981;&#36807;&#65292;&#24314;&#35758;&#24744;&#22312;&#26041;&#20415;&#30340;&#26102;&#20505;&#37325;&#26032;&#21551;&#21160;&#31995;&#32479;&#12290;")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin';
							document.getElementById("dataarea").submit();
						}
						else{
							document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences';
							document.getElementById("dataarea").submit();
						}

					}
				</script>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="(ServiceFlag='true') and (ServiceFlag/@osinability='true')">
					<PromptText status="3"><!--XLATESTART-->&#24744;&#38656;&#35201;&#37325;&#26032;&#21551;&#21160;&#31995;&#32479;&#65292;&#20197;&#20415;&#20351;&#26356;&#25913;&#29983;&#25928;&#12290;<!--XLATESTOP--></PromptText>
				</xsl:when>
				<xsl:otherwise>
					<PromptText><!--XLATESTART-->&#25351;&#23450;&#20197;&#19979;&#26381;&#21153;&#22120;&#21442;&#25968;&#12290;<!--XLATESTOP--></PromptText>
				</xsl:otherwise>
			</xsl:choose>
			
			<CustomButton>			
				<xsl:if test="(ServiceFlag='true') and (ServiceFlag/@osinability='false')">
					<Data name="shtdwn">
						<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#26032;&#21551;&#21160; Web &#26381;&#21153;&#22120;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>			
				</xsl:if>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences</xsl:attribute>
				</Data>
			</CustomButton>					
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#20540;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#20250;&#35805;&#36229;&#26102;&#65288;&#20998;&#38047;&#65289;&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#20250;&#35805;&#36229;&#26102;&#65288;&#20998;&#38047;&#65289;&#65306; <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:trapEnableDisable(0)</xsl:attribute>
						<xsl:attribute name="name">sessionvalue</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#31105;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">disable</xsl:attribute>
						<xsl:attribute name="state"><xsl:if test="Server/SesTimeout='-1'">1</xsl:if></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:trapEnableDisable(1)</xsl:attribute>						
						<xsl:attribute name="name">sessionvalue</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#24050;&#21551;&#29992;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">enable</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#20250;&#35805;&#36229;&#26102;&#65288;&#20998;&#38047;&#65289;&#65306; <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state"><xsl:if test="Server/SesTimeout!='-1'">1</xsl:if></xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">						
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">javascript:constValTimer()</xsl:attribute>
						<xsl:attribute name="name">timer1</xsl:attribute>
						<xsl:attribute name="type">spincontrol</xsl:attribute>
						<xsl:attribute name="size">10</xsl:attribute>
						<xsl:attribute name="state"></xsl:attribute>
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="Server/SesTimeout='-1'"><xsl:value-of select="Server/SesTimeout/@default"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="Server/SesTimeout"/></xsl:otherwise>
							</xsl:choose>							
						</xsl:attribute>
						<xsl:attribute name="uparrscript"><xsl:call-template name="script11"/></xsl:attribute>
						<xsl:attribute name="downarrscript"><xsl:call-template name="script12"/></xsl:attribute>
					</xsl:element>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">timer</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:choose>
								<xsl:when test="Server/SesTimeout='-1'"><xsl:value-of select="Server/SesTimeout/@default"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="Server/SesTimeout"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->HTTPS &#31471;&#21475;&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->HTTPS &#31471;&#21475;&#65306; <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="radio" returnvalue="usedefault" name="httpsportnumradio" event="onclick" handler="javascript:setHttpsPortToDefault()">
						<xsl:attribute name="value"><!--XLATESTART-->&#20351;&#29992;&#40664;&#35748;&#20540;<!--XLATESTOP--></xsl:attribute>
						<xsl:if test="Server/HTTPSPort = '1311'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
					</Data>
					<Data type="radio" value="Use" returnvalue="uservalue" name="httpsportnumradio" event="onclick" handler="javascript:setHttpsPortToUsrValue()">
						<xsl:attribute name="value"><!--XLATESTART-->&#29992;&#36884;<!--XLATESTOP--></xsl:attribute>
						<xsl:if test="Server/HTTPSPort != '1311'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
					</Data>
					<Data name="httpsport" display="" editable="true" type="editbox" align="left" size="10" maxlength="5">
						<xsl:attribute name="event">onChange</xsl:attribute>
						<xsl:attribute name="handler">javascript:chgFlag()</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Server/HTTPSPort"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->IP &#22320;&#22336;&#25414;&#32465;&#21040;&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->IP &#22320;&#22336;&#25414;&#32465;&#21040;&#65306; <!--XLATESTOP--></xsl:attribute>
					</Data>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setAll()</xsl:attribute>						
						<xsl:attribute name="name">ipaddr</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#20840;&#37096;<!--XLATESTOP--></xsl:attribute>
							<xsl:attribute name="returnvalue">default</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->IP &#22320;&#22336;&#25414;&#32465;&#21040;&#65306; <!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:choose><xsl:when test="Server/IPAddrBound/@default='true'">1</xsl:when></xsl:choose>
						</xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:setSpecific()</xsl:attribute>
						<xsl:attribute name="name">ipaddr</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29305;&#23450; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="returnvalue">specific</xsl:attribute>
								<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:choose><xsl:when test="Server/IPAddrBound/@default='false'">1</xsl:when></xsl:choose>
						</xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
					</xsl:element>
					<Data name="IPAddress" display=" " editable="true"  type="select" event="onchange" handler="javascript:setIP()">
						<xsl:variable name="defval" select="Server/IPAddrBound/@defaultvalue"/>
						<xsl:variable name="selectval" select="Server/IPAddrBound/@selectedvalue"/>
						<xsl:for-each select="Server/IPAddrBound/IPAddrList/IPAddr">
							<xsl:sort select="." order="ascending"/>
							<Choice>
								<xsl:attribute name="returnvalue"><xsl:value-of select="."/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
								<xsl:attribute name="default">
									<xsl:if test=".=$selectval">true</xsl:if>
								</xsl:attribute>
							</Choice>
						</xsl:for-each>
					</Data>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#65288;&#25110; IP &#22320;&#22336;&#65289;&#65306;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#65288;&#25110; IP &#22320;&#22336;&#65289;&#65306;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="smtp" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="Server/SMTP"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->SMTP &#26381;&#21153;&#22120;&#30340; DNS &#21518;&#32512;&#65306;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->SMTP &#26381;&#21153;&#22120;&#30340; DNS &#21518;&#32512;&#65306;<!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="dns" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="Server/DNSSuffix"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#21629;&#20196;&#26085;&#24535;&#22823;&#23567; (MB)&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#21629;&#20196;&#26085;&#24535;&#22823;&#23567; (MB)&#65306; <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data type="spincontrol" size="5">
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">javascript:constValCmd()</xsl:attribute>
						<xsl:attribute name="name">cmdlog1</xsl:attribute>
						<xsl:attribute name="display"><!--XLATESTART-->&#21629;&#20196;&#26085;&#24535;&#22823;&#23567; (MB)&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
						<xsl:attribute name="state"></xsl:attribute>
						<xsl:attribute name="uparrscript">
							<xsl:call-template name="scriptcmd11">
								<xsl:with-param name="max"><xsl:value-of select="CmdLog/MaxLogSizeMB"/></xsl:with-param>
								<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:attribute name="downarrscript">
							<xsl:call-template name="scriptcmd12">
								<xsl:with-param name="min"><xsl:value-of select="CmdLog/MinLogSizeMB"/></xsl:with-param>
								<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data display=" " value=" "/>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">cmdlog</xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
					</Data>
				</Row>
				
				<Row>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#25903;&#25345;&#38142;&#25509;&#65306; <!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25903;&#25345;&#38142;&#25509;&#65306; <!--XLATESTOP--></xsl:attribute>
					</Data>
					<Data name="support" display="" editable="true" type="editbox" align="left" size="20">
						<xsl:attribute name="value"><xsl:value-of select="OEM/WWWSupport"/></xsl:attribute>
					</Data>
					<Data display=" " value=" "/>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">logoutBtn</xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">restart</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">clbrowser</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">supportflag</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
				</Row>				
			</TableData>
			
			<script language="javascript">
			
				var lastobj;
				var curobj;
				var lastobj1;
				var curobj1;
				var lastobjcmd;
				var curobjcmd;
				var lastobjcmd1;
				var curobjcmd1;
				var session1;
				var timer1;
				var httpsport1;
				var ipaddr1;
				var ipaddbox;
				var smtpval;
				var dnsval;
				var supportval;
				var minval = 1;
				var maxval = 65535;
				var flag = false;
				var alertflag = false;
				var _enabled = false;
				var defaultport = 1311;				
				var httpsport = <xsl:value-of select="Server/HTTPSPort"/>;
				var ipaddrsettoall = <xsl:value-of select="Server/IPAddrBound/@default"/>;
				var portchangemsg = "<!--XLATESTOP-->&#22914;&#26524;&#23558; https &#31471;&#21475;&#26356;&#25913;&#20026;&#26080;&#25928;&#30340;&#31471;&#21475;&#21495;&#25110;&#27491;&#22312;&#20351;&#29992;&#30340;&#31471;&#21475;&#21495;&#65292;&#21487;&#33021;&#20250;&#20351;&#20854;&#23427;&#24212;&#29992;&#31243;&#24207;&#25110;&#27983;&#35272;&#22120;&#26080;&#27861;&#35775;&#38382; <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  "  " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>'+ "&#12290;";
				var ipaddrbindchmsg = "<!--XLATESTART-->&#22914;&#26524;&#23558; IP &#22320;&#22336;&#26356;&#25913;&#20026;\"All\&#8221;&#20197;&#22806;&#30340;&#20540;&#65292;&#21487;&#33021;&#20250;&#20351;&#20854;&#23427;&#24212;&#29992;&#31243;&#24207;&#25110;&#27983;&#35272;&#22120;&#26080;&#27861;&#35775;&#38382; <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  "  " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>'+ "&#12290;";
				var ipaddrbindoptmsg = "<!--XLATESTART-->&#22914;&#26524;&#23558; IP &#22320;&#22336;&#26356;&#25913;&#20026;&#38750;&#20197;&#21069;&#35774;&#32622;&#30340;&#20540;&#65292;&#21487;&#33021;&#20250;&#20351;&#20854;&#23427;&#24212;&#29992;&#31243;&#24207;&#25110;&#27983;&#35272;&#22120;&#26080;&#27861;&#35775;&#38382; <!--XLATESTOP-->" + '<xsl:value-of select="OEM/OEMTitleCompanyName"/>' +  "  " + '<xsl:value-of select="OEM/OEMTitleCoreProductName"/>'+ "&#12290;";
				
				function initializationRoutine()
				{
					if(document.getElementById("dataarea").sessionvalue[1].checked == true)
					{
						session1 = "enable";
					}
					else
					{
						session1 = "disable";
					}
					timer1 = document.getElementById("timer").value;
					httpsport1 = document.getElementById("httpsport").value;
					if(document.getElementById("dataarea").ipaddr[0].checked == true)
					{
						ipaddr1 = "default";
					}
					else
					{
						ipaddr1 = "specific";
					}
					ipaddbox = document.getElementById("dataarea").IPAddress.value;
					if (ipaddbox == "<xsl:value-of select="Server/IPAddrBound/@defaultvalue"/>")
					{				
						document.getElementById("IPAddress").disabled = true;
					}
					smtpval = document.getElementById("smtp").value;
					dnsval = document.getElementById("dns").value;
					supportval = document.getElementById("support").value;
					
					var _tempTimeout = <xsl:value-of select="Server/SesTimeout"/>;					
					if( _tempTimeout == '-1')
					{
						trapEnableDisable(0);
					}
					else
					{
						trapEnableDisable(1);
					}
					
					if(httpsport == defaultport)
					{
						document.getElementById("httpsport").disabled = true;
					}
					
					if(ipaddrsettoall)
					{
						ipaddr1 = "default";
						document.getElementById("IPAddress").disabled = true;
					}
					else
					{
						ipaddr1 = "specific";
					}
				}
				
				function setHttpsPortToUsrValue()
				{
					if( confirm(portchangemsg) )
					{
						document.getElementById("httpsport").disabled = false;
					}
					else
					{
						document.getElementById("dataarea").httpsportnumradio[0].checked = true;
						document.getElementById("httpsport").value = defaultport;
						document.getElementById("httpsport").disabled = true;
					}
				}
				
				function setHttpsPortToDefault()
				{
					document.getElementById("httpsport").value = defaultport;
					document.getElementById("httpsport").disabled = true;
				}
								
				function setAll()
				{
					document.getElementById("IPAddress").disabled = true;
					chgFlag();					
				}

				function setSpecific()
				{		
					// alert user
					if( confirm(ipaddrbindchmsg) )
					{
						document.getElementById("IPAddress").disabled = false;
						chgFlag();
					}
					else
					{
						document.getElementById("dataarea").ipaddr[0].checked = true;
					}
				}
				
				function setIP()
				{
					if( confirm(ipaddrbindoptmsg) )
					{
						chgFlag();
					}
					else{
						return;
					}
				}

				function trapEnableDisable(_caller)
				{
					if(_caller == 0)
					{
						// disable
						_enabled	 = false;
						document.getElementById("timer1").disabled = true;
					}
					else if(_caller == 1)
					{
						// enable
						_enabled	 = true;
						document.getElementById("timer1").disabled = false;
					}
					
					chgFlag();
				}

				function chgFlag(){
					flag = true;
					return;
				}
				
				function constValTimer(){
					//document.getElementById("httpsport").focus();
					document.getElementById("smtp").focus();
					return false;
				}
				
				function constValCmd(){
					document.getElementById("support").focus();
					return false;
				}


				function isAlphaNumericport(text, varname)
				{
					var validValue = "ABCDEF0123456789";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("\"" + varname + "\"&#20026;&#26080;&#25928;&#20540;&#12290; &#21482;&#21487;&#20351;&#29992;&#23383;&#31526;&#21644;&#25968;&#23383;&#12290;");
						return false;
					}
					return true;
				}
				
				
				function isAlphaNumericsp(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!%():[]=/?+~@";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						alert("\"" + varname + "\" &#20026;&#26080;&#25928;&#20540;&#12290; &#21482;&#21487;&#20351;&#29992;&#23383;&#31526;&#21644;&#25968;&#23383;&#12290;");
						return false;
					}
					return true;
				}

				function validate()
				{
					document.getElementById("httpsport").disabled = false;
				
					if (document.getElementById("httpsport").value == ""){
						alert("HTTPS &#31471;&#21475;&#19981;&#24471;&#20026;&#31354;&#12290;");
						document.getElementById("httpsport").value = httpsport1;
						document.getElementById("httpsport").focus();
					}
					else{
						if(isNaN(document.getElementById("httpsport").value) == true){
							alert("\"HTTPS Port\" &#20026;&#26080;&#25928;&#20540;&#12290;&#21482;&#21487;&#20351;&#29992;&#25968;&#23383;&#12290;");
							document.getElementById("httpsport").value = httpsport1;
							document.getElementById("httpsport").focus();
						}
						else if(!((tonum(document.getElementById("httpsport").value) &gt;= minval)&amp;&amp;(tonum(document.getElementById("httpsport").value) &lt;= maxval))){
							alert("HTTPS &#31471;&#21475;&#20540;&#19981;&#21487;&#20351;&#29992; " + minval + " &#21644; " + maxval);
							document.getElementById("httpsport").value = httpsport1;
							document.getElementById("httpsport").focus();
						}
						else if ((document.getElementById("dns").value =="") &amp;&amp;(document.getElementById("smtp").value !="")) {
							 alert(" &#22914;&#26524;&#25552;&#20379;&#20102; SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#65292;&#36824;&#24517;&#39035;&#25552;&#20379; DNS &#21518;&#32512;&#12290;");
							 document.getElementById("dns").focus();
						}
						else if ((document.getElementById("smtp").value == "") &amp;&amp; (document.getElementById("dns").value !="")) {
								alert("&#22914;&#26524;&#25552;&#20379;&#20102; DNS &#21518;&#32512;&#65292;&#36824;&#24517;&#39035;&#25552;&#20379; SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#12290;");
								document.getElementById("smtp").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("smtp").value, "SMTP &#26381;&#21153;&#22120;&#30340;")){
							document.getElementById("smtp").value = smtpval;
							document.getElementById("smtp").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("dns").value, "SMTP &#26381;&#21153;&#22120;&#30340; DNS &#21518;&#32512;")){
							document.getElementById("dns").value = dnsval;
							document.getElementById("dns").focus();
						}
						else if( ! isAlphaNumericsp(document.getElementById("support").value, "&#25903;&#25345;&#38142;&#25509;")){							
							document.getElementById("support").value = supportval;
							document.getElementById("support").focus();
						}
						else if(document.getElementById("support").value == ''){
							alert("&#35831;&#36755;&#20837;&#25903;&#25345;&#38142;&#25509;&#20540;&#12290;");
							document.getElementById("support").focus();
						}
						else{
							var sessionval1;
							var ipaddrval1;
							
							if(document.getElementById("dataarea").sessionvalue[1].checked == true)
							{
								sessionval1 = "enable";
							}
							else
							{
								sessionval1 = "disable";
							}
							var timerval1= document.getElementById("timer").value;
							var httpsportval1= document.getElementById("httpsport").value;
							if(document.getElementById("dataarea").ipaddr[0].checked == true)
							{
								ipaddrval1 = "default";
							}
							else
							{
								ipaddrval1 = "specific";
							}
							var ipaddboxval= document.getElementById("IPAddress").value;
							if((session1 != sessionval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								alertflag = true;
							}
							else if((timer1 != timerval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								alertflag = true;
							}
							else if((httpsport1 != httpsportval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							else if((ipaddr1 != ipaddrval1) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							else if((ipaddbox != ipaddboxval) &amp;&amp; (flag == true)){
								document.getElementById("restart").value = "true";
								document.getElementById("clbrowser").value = "true";
								document.getElementById("logoutBtn").value = "false";
								alertflag = true;
							}
							
							var supportval1 = document.getElementById("support").value;
							
							if (supportval != supportval1){
								document.getElementById("supportflag").value = "true";
							}
							
							if(alertflag == true){
								<xsl:choose>
									<xsl:when test="/OMA/ServiceFlag/@osinability='true'">
										alert("&#24744;&#38656;&#35201;&#37325;&#26032;&#21551;&#21160;&#31995;&#32479;&#65292;&#20197;&#20415;&#20351;&#26356;&#25913;&#29983;&#25928;&#12290;");
									</xsl:when>
									<xsl:otherwise>alert("&#24744;&#38656;&#35201;&#37325;&#26032;&#21551;&#21160; web &#26381;&#21153;&#22120;&#65292;&#20197;&#20415;&#20351;&#26356;&#25913;&#29983;&#25928;&#12290;");</xsl:otherwise>
								</xsl:choose>							
							}
							return true;
						}
						return false;
					}
					return false;
				}
				function tonum(obj){
					 return parseInt(obj);
   				 }
				function getvalue1(){
					lastobj = tonum(document.dataarea.timer1.value);
					return lastobj;
				}
				function getvalue11(){
					lastobj1 = tonum(document.dataarea.timer.value);
					return lastobj1;
				}
				
				function getvaluecmd(){
					lastobjcmd = tonum(document.dataarea.cmdlog1.value);
					return lastobjcmd;
				}
				function getvaluecmd1(){
					lastobjcmd1 = tonum(document.dataarea.cmdlog.value);
					return lastobjcmd1;
				}


				function incr1(x , y){
					if( _enabled == true)
					{
						curobj=getvalue1();
						curobj1=getvalue11();
						curobj = curobj + x;
						if ( y &gt;= curobj ){
							document.dataarea.timer1.value = curobj;
						}
						else{
							document.dataarea.timer1.value = y;	
						}
						curobj1 = curobj1 + x;
						if ( y &gt;= curobj1 ){
							document.dataarea.timer.value = curobj1;
						}
						else{
							document.dataarea.timer.value = y;	
						}
						chgFlag();
					}
				}
				
				function incrcmd(x , y){
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					curobjcmd = curobjcmd + x;
					if ( y &gt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = y;	
					}
					curobjcmd1 = curobjcmd1 + x;
					if ( y &gt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = y;	
					}
					return ;	
				}	


				function decr1(a , b)	{
					if( _enabled == true)
					{
						curobj=getvalue1();
						curobj1=getvalue11();
	
						curobj = curobj - a;
						if ( b &lt;= curobj ){
							document.dataarea.timer1.value = curobj;
						}
						else{
							document.dataarea.timer1.value = b;
						}	
						
						curobj1 = curobj1 - a;
						if ( b &lt;= curobj1 ){
							document.dataarea.timer.value = curobj1;
						}
						else{
							document.dataarea.timer.value = b;
						}
						chgFlag();
					}
				}
				
				function decrcmd(a , b)	{
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					
					curobjcmd = curobjcmd - a;
					if ( b &lt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = b;
					}	
					
					curobjcmd1 = curobjcmd1 - a;
					if ( b &lt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = b;
					}
					return ;			
				}

			</script>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="script11">javascript:incr1(3,30)</xsl:template>
	<xsl:template name="script12">javascript:decr1(3,3)</xsl:template>
	
	<xsl:template name="scriptcmd11">
		<xsl:param name="max"/>
		<xsl:param name="incr"/>
		javascript:incrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$max"/>)
	</xsl:template>
	<xsl:template name="scriptcmd12">
		<xsl:param name="min"/>
		<xsl:param name="incr"/>
		javascript:decrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$min"/>)
	</xsl:template>

	<xsl:template match="*"/>	
</xsl:stylesheet>
