<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea>
	  	<script>
			function forceSubmit(actionStr)
			{
				document.getElementById("dataarea").action = actionStr;
				document.dataarea.submit();
			}
		</script>
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#29256;&#26412;&#25253;&#21578;<!--XLATESTOP--></xsl:attribute>
		</PageTitle>
		<CustomButton>
			<Data name="Refresh" display="&#21047;&#26032;">
				<xsl:attribute name="href">
											
												
													#</xsl:attribute>
				<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
			</Data>
		</CustomButton>
		<TableData>
			<Header>
				<Data name="Name" value="&#21517;&#31216;">
					<xsl:attribute name="display"><!--XLATESTART-->&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Version" value="&#29256;&#26412;">
					<xsl:attribute name="display"><!--XLATESTART-->&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Update" value="Server Administrator &#21487;&#26356;&#26032;">
					<xsl:attribute name="display"><!--XLATESTART-->&#26381;&#21153;&#22120;&#31649;&#29702;&#21592;&#21487;&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates  select="Update"/>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template match="Update">
	<xsl:apply-templates  />
</xsl:template>

<xsl:template match="Application">
	<Row>
		<Data>
			<xsl:attribute name="name"><xsl:value-of select="@name" /></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@display" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="name"><xsl:value-of select="@name" />_version</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@version" /></xsl:attribute>
		</Data>
		<Data editable="false">
			<xsl:attribute name="name"><xsl:value-of select="@name" />_update</xsl:attribute>
			<xsl:if test="@update_href != ''">
				<xsl:choose>
					<xsl:when test="@update_href ='1' ">
						<xsl:attribute name="value"><!--XLATESTART-->&#26242;&#32570;<!--XLATESTOP--></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><!--XLATESTART-->&#25191;&#34892;&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:forceSubmit('<xsl:value-of select="@update_href"/>')</xsl:attribute>
						<xsl:attribute name="link">true</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
			<xsl:if test="@update_href = ''">
				<xsl:attribute name="value"><!--XLATESTART-->&#26159;<!--XLATESTOP--></xsl:attribute>
			</xsl:if>
		</Data>
	</Row>
	
</xsl:template>

</xsl:stylesheet>			
