<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="LogEntry">
		<Row>
			<Data align="center" type="status" name="severity">
				<xsl:attribute name="sevlevel">
					<xsl:call-template name="status2lev">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="status2omsa">
						<xsl:with-param name="Status">
							<xsl:value-of select="Type"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="DateTime" width="175">
				<xsl:attribute name="display">
					<xsl:value-of select="TimeStamp"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="DateTime"/>
				</xsl:attribute>
			</Data>
			<Data name="User">
				<xsl:attribute name="display">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="UserInfo"/>
				</xsl:attribute>
			</Data>
			<Data name="DescriptionNoPre">
				<xsl:attribute name="display">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:apply-templates select="Description">
						<xsl:with-param name="idd">
							<xsl:value-of select="ID"/>
						</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Description">
		<xsl:param name="idd"/>
		<xsl:call-template name="descriptionString">
			<xsl:with-param name="id">
				<xsl:value-of select="$idd"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="SMStatus != '0'">
				<xsl:if test="SMStatus">
					<xsl:choose>
						<xsl:when test="$idd = '0'"/>
						<xsl:when test="$idd = '1'"/>
						<xsl:otherwise> 
							<!--XLATESTART--><xsl:text>  &#24050;&#22833;&#36133;&#65281;</xsl:text><!--XLATESTOP-->
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$idd = '0'"/>
					<xsl:when test="$idd = '1'"/>
					<xsl:when test="$idd = '5062'"/>
					<xsl:when test="$idd = '5089'"/>
					<xsl:when test="$idd = '5200'"/>
					<xsl:when test="$idd = '5201'"/>
					<xsl:when test="$idd = '5202'"/>
					<xsl:when test="$idd = '5203'"/>
					<xsl:when test="$idd = '5204'"/>
					<xsl:when test="$idd = '5205'"/>
					<xsl:when test="$idd = '5206'"/>
					<xsl:when test="$idd = '5207'"/>
					<xsl:when test="$idd = '5208'"/>
					<xsl:when test="$idd = '5209'"/>
					<xsl:when test="$idd = '5210'"/>
					<xsl:when test="$idd = '5211'"/>
					<xsl:when test="$idd = '5301'"/>
					<xsl:when test="$idd = '5302'"/>
					<xsl:when test="$idd = '5602'"/>
					<xsl:when test="$idd = '5603'"/>
					<xsl:when test="$idd = '5604'"/>
					<xsl:when test="$idd = '5605'"/>
					<xsl:when test="$idd = '5901'"/>
					<xsl:when test="$idd = '5902'"/>
					<xsl:when test="$idd = '5903'"/>
					<xsl:when test="$idd = '5910'"/>
					<xsl:when test="$idd = '6001'"/>
					<xsl:when test="$idd = '6002'"/>
					<xsl:when test="$idd = '6003'"/>
					<xsl:when test="$idd = '6004'"/>
					<xsl:when test="$idd = '6005'"/>
					<xsl:when test="$idd = '6006'"/>
					<xsl:when test="$idd = '6007'"/>
					<xsl:when test="$idd = '6008'"/>
					<xsl:otherwise> 
						<!--XLATESTART--><xsl:text> &#25104;&#21151;</xsl:text><!--XLATESTOP-->
						<xsl:if test="$displayparams = 1">
							<!--XLATESTART--><xsl:text>  &#21442;&#25968;&#65306; </xsl:text><!--XLATESTOP-->
							<xsl:apply-templates select="Parameter" />
						</xsl:if>		
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="descriptionString">
		<xsl:param name="">id</xsl:param>
		<xsl:choose>
			<!-- ******************** RESERVED (0-999) ******************** -->
			<xsl:when test="$id = '0'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#21629;&#20196;&#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '1'"><!--XLATESTART-->&#24050;&#21019;&#24314;&#21629;&#20196;&#26085;&#24535;&#22791;&#20221;<!--XLATESTOP--></xsl:when>

			<!-- ******************** HIPDA (5000-5299) ******************** -->
			<xsl:when test="$id = '5001'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#30828;&#20214; ESM &#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5002'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#25253;&#35686;&#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5003'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#25506;&#27979;&#22120;&#38408;&#20540;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5004'"><!--XLATESTART-->&#24050;&#20462;&#25913; LRA &#21709;&#24212;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5010'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#23545;&#35937;&#31867;&#22411;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5011'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25910;&#38598;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5012'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20379;&#24212;&#21830;&#25110;&#33457;&#36153;&#36164;&#20135;&#30340;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5013'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25104;&#26412;&#20013;&#24515;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5014'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#29992;&#25143;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5015'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25193;&#23637;&#25285;&#20445;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5016'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25152;&#26377;&#26435;&#20195;&#30721;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5017'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20225;&#19994;&#25152;&#26377;&#32773;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5018'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#21361;&#38505;&#31354;&#20195;&#30721;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5019'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#37096;&#32626;&#26102;&#38388;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5020'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#22521;&#35757;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5021'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20013;&#30340;&#22806;&#21253;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5022'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20445;&#38505;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5023'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#30340;&#25240;&#26087;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5024'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#26694;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5025'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20013;&#25805;&#20316;&#31995;&#32479;&#30340;&#38468;&#21152;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5026'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25104;&#26412;&#20107;&#20214;&#35760;&#24405;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5027'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25285;&#20445;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5028'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#35745;&#21010;&#32534;&#21495;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5029'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#36873;&#39033;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5030'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#32500;&#25252;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5031'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#20462;&#22797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5032'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25925;&#38556;&#35760;&#24405;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5033'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#27880;&#20876;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5034'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#26381;&#21153;&#21512;&#21516;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5035'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#31199;&#36161;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5036'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36164;&#20135;&#20449;&#24687;&#25903;&#25345;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5050'"><!--XLATESTART-->&#24050;&#20462;&#25913; BIOS &#26356;&#26032;&#36719;&#20214;&#21253;<!--XLATESTOP--></xsl:when>  
			<xsl:when test="$id = '5060'"><!--XLATESTART--><xsl:text>&#33258;&#21160;&#24674;&#22797;&#25805;&#20316;&#24050;&#20462;&#25913;&#20026;</xsl:text><!--XLATESTOP-->
				<xsl:variable name="child"><xsl:value-of select="count(Parameter[@newval='true'])"/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$child='0'"><!--XLATESTART-->&#26080;&#25805;&#20316;<!--XLATESTOP--></xsl:when>
					<xsl:otherwise>
					<xsl:variable name="mode"><xsl:value-of select="Parameter[@newval='true']/@name"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="$mode='PwrCycle'"><!--XLATESTART-->&#20851;&#26426;&#21518;&#20877;&#24320;&#26426;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='PwrOff'"><!--XLATESTART-->&#20851;&#26426;<!--XLATESTOP--></xsl:when>
						<xsl:when test="$mode='Reboot'"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;<!--XLATESTOP--></xsl:when>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5061'"><!--XLATESTART-->&#33258;&#21160;&#24674;&#22797;&#35745;&#26102;&#22120;&#24050;&#20462;&#25913;&#20026;<!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/><!--XLATESTART--> &#31186;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5062'"><!--XLATESTART-->&#24050;&#21551;&#21160;&#31995;&#32479;&#20851;&#26426;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5070'">
				<!--XLATESTART--><xsl:text>&#35686;&#25253;&#34892;&#21160; </xsl:text><!--XLATESTOP-->
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>				
				<!--XLATESTART--><xsl:text>&#24050;&#20462;&#25913;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5071'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> &#35686;&#25253;&#34892;&#21160;&#21487;&#25191;&#34892;&#31243;&#24207;&#24050;&#20462;&#25913;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5072'"><!--XLATESTART--><xsl:text>&#28201;&#24230;&#20445;&#25252;&#20851;&#26426;&#35774;&#32622;&#24050;&#26356;&#25913;&#20026; </xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '0'"><!--XLATESTART-->&#24050;&#31105;&#29992;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART-->&#25925;&#38556;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5080'"> 
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
 				<!--XLATESTART--><xsl:text> &#25506;&#27979;&#22120;</xsl:text><!--XLATESTOP-->
				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/>
				<!--XLATESTART--><xsl:text>&#65306;&#24050;&#20462;&#25913;&#26368;&#22823;&#35686;&#21578;&#38408;&#20540;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5081'">
				<xsl:call-template name="objectType">
					<xsl:with-param name="type">
						<xsl:value-of select="Parameter[@name='ObjType']/@value"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--XLATESTART--><xsl:text> &#25506;&#27979;&#22120;</xsl:text><!--XLATESTOP-->
 				<xsl:value-of select="Parameter[@name='ProbeLocation']/@value"/> 
				<!--XLATESTART--><xsl:text>&#65306;&#24050;&#20462;&#25913;&#26368;&#23567;&#35686;&#21578;&#38408;&#20540;</xsl:text><!--XLATESTOP-->
			</xsl:when>
			<xsl:when test="$id = '5085'"><!--XLATESTART-->&#23433;&#20840;&#20445;&#25252;&#32452;&#65306; &#24050;&#39564;&#35777;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5086'"><!--XLATESTART-->&#23433;&#20840;&#20445;&#25252;&#32452;&#65306; &#24050;&#21019;&#24314;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5087'"><!--XLATESTART-->&#23433;&#20840;&#20445;&#25252;&#32452;&#65306; &#24050;&#21024;&#38500;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5088'"><!--XLATESTART-->&#23433;&#20840;&#20445;&#25252;&#32452;&#65306;&#26681;&#29992;&#25143;&#23494;&#30721;&#24050;&#25913;&#21464;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5089'"><!--XLATESTART-->&#23433;&#20840;&#20445;&#25252;&#32452;&#65306;&#26681;&#29992;&#25143;&#23494;&#30721;&#25913;&#21464;&#22833;&#36133;&#65281;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5090'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#31995;&#32479;&#26426;&#31665;&#21517;&#31216;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5091'"><!--XLATESTART--><xsl:text>&#26426;&#31665;&#39118;&#25159;&#25511;&#21046;&#24050;&#20462;&#25913;&#20026;</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@newval = '1'"><!--XLATESTART--> &#23433;&#38745;&#27169;&#24335;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@newval = '2'"><!--XLATESTART--> &#20840;&#36895;&#27169;&#24335;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5092'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#26426;&#31665; LED &#25511;&#21046;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5093'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#26426;&#31665; LED &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5094'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#26426;&#31665;&#30005;&#28304;&#25353;&#38062;&#25511;&#21046;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5095'"><!--XLATESTART--><xsl:text>&#35782;&#21035;&#26426;&#31665;</xsl:text><!--XLATESTOP-->
				<xsl:choose>
					<xsl:when test="Parameter[1]/@value = '0'"><!--XLATESTART-->&#25171;&#24320;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Parameter[1]/@value = '1'"><!--XLATESTART--> &#20851;&#38381;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5096'"><!--XLATESTART-->&#26426;&#31665;&#36164;&#20135;&#26631;&#31614;&#24050;&#20462;&#25913;&#20026; <!--XLATESTOP--><xsl:value-of select="Parameter[1]/@newval"/></xsl:when>
			<xsl:when test="$id = '5097'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#26426;&#31665;&#26631;&#35782;&#36229;&#26102;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5098'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#30828;&#30424;&#39537;&#21160;&#22120;&#25925;&#38556; LED<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5100'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#31995;&#32479;&#20449;&#24687;&#20301;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5101'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#31995;&#32479;&#20449;&#24687;&#20027;&#35201;&#29992;&#25143;&#22995;&#21517;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5102'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#31995;&#32479;&#20449;&#24687;&#20027;&#35201;&#29992;&#25143;&#30005;&#35805;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5105'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#20869;&#23384;&#38169;&#35823;&#35745;&#25968;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5106'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#20869;&#23384;&#20887;&#20313;&#37197;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5110'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#20132;&#27969;&#24320;&#20851;&#27169;&#24335;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5111'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#26399;&#26395;&#30340;&#20132;&#27969;&#24320;&#20851;&#20887;&#20313;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5115'"><!--XLATESTART-->&#24050;&#28165;&#38500; ESM &#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5120'"><!--XLATESTART-->&#24050;&#28165;&#38500;&#25253;&#35686;&#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5125'"><!--XLATESTART-->&#24050;&#20462;&#25913; BIOS &#35774;&#32622;&#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<!-- ********************  HIPDA SNMP Traps ****************** -->
			<xsl:when test="$id = '5200'"><!--XLATESTART-->&#31995;&#32479; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5201'"><!--XLATESTART-->&#30005;&#28304; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5202'"><!--XLATESTART-->&#20887;&#20313; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5203'"><!--XLATESTART-->&#28201;&#24230; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5204'"><!--XLATESTART-->&#39118;&#25159; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5205'"><!--XLATESTART-->&#30005;&#21387; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5206'"><!--XLATESTART-->&#30005;&#27969; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5207'"><!--XLATESTART-->&#26085;&#24535; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5208'"><!--XLATESTART-->&#39118;&#25159;&#31665; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5209'"><!--XLATESTART-->&#20132;&#27969;&#30005;&#28304;&#32447; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5210'"><!--XLATESTART-->&#20869;&#23384; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5211'"><!--XLATESTART-->&#20405;&#20837; SNMP &#38519;&#38449;&#24050;&#21551;&#29992;&#47;&#24050;&#31105;&#29992; <!--XLATESTOP--></xsl:when>
			
			<!-- ******************** CSDA (5300-5399) ******************** -->
			<xsl:when test="$id = '5301'">
				<xsl:choose>
<xsl:when test="SMStatus != '0'"><!--XLATESTART-->&#29992;&#25143;&#23581;&#35797;&#30331;&#24405;&#30340;&#20301;&#32622;&#20026;<!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/></xsl:when>
<xsl:otherwise><!--XLATESTART-->&#29992;&#25143;&#30331;&#24405;&#30340;&#20301;&#32622;&#20026;<!--XLATESTOP--><xsl:value-of select="Parameter[@name='ipaddr']/@value"/><!--XLATESTART-->&#20351;&#29992;<!--XLATESTOP--><xsl:value-of select="Parameter[@name='priviliges']/@value"/><!--XLATESTART-->&#26435;&#38480;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$id = '5302'"><!--XLATESTART-->&#29992;&#25143;&#24050;&#27880;&#38144;<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** ACCESS CONFIGURATION (5310 - 5315) ******************** -->
			<xsl:when test="$id = '5311'"><!--XLATESTART-->&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;&#35774;&#32622;&#20026;&#31649;&#29702;&#21592;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5312'"><!--XLATESTART-->&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;&#35774;&#32622;&#20026;&#24378;&#22823;&#29992;&#25143;&#21644;&#26356;&#39640;<!--XLATESTOP--></xsl:when>				<xsl:when test="$id = '5313'"><!--XLATESTART-->&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;&#35774;&#32622;&#20026;&#29992;&#25143;&#21644;&#26356;&#39640;<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** DRSDA (5400-5499) ******************** -->
			<xsl:when test="$id = '5401'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#35843;&#21046;&#35299;&#35843;&#22120;&#25320;&#21495;&#31867;&#22411;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5402'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#35843;&#21046;&#35299;&#35843;&#22120;&#21021;&#22987;&#21270;&#23383;&#31526;&#20018;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5403'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#35843;&#21046;&#35299;&#35843;&#22120;&#27874;&#29305;&#29575;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5404'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#36719;&#39537; TFTP &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5405'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#22266;&#20214; TFTP &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5406'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#36719;&#39537; TFTP IP &#22320;&#22336;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5407'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#36719;&#39537; TFTP &#36335;&#24452;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5408'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#22266;&#20214;&#26356;&#26032; TFTP IP &#22320;&#22336;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5409'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#22266;&#20214;&#26356;&#26032; TFTP &#36335;&#24452;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5410'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; SMTP &#30005;&#23376;&#37038;&#20214;&#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5411'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; SMTP IP &#22320;&#22336;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5412'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; NIC &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5413'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; NIC DHCP &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5414'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; NIC IP &#22320;&#22336;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5415'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; NIC &#23376;&#32593;&#25513;&#30721;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5416'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345; NIC &#32593;&#20851;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5417'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#22522;&#26412; IP &#22320;&#22336;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5418'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837;&#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5419'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837; DHCP &#29366;&#24577;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5420'"><!--XLATESTART-->&#24050;&#20462;&#25913;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837;&#39564;&#35777;&#31867;&#22411;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5421'"><!--XLATESTART-->&#24050;&#28155;&#21152;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20986;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5422'"><!--XLATESTART-->&#24050;&#26356;&#26032;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20986;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5423'"><!--XLATESTART-->&#24050;&#21024;&#38500;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20986;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5424'"><!--XLATESTART-->&#24050;&#28155;&#21152;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5425'"><!--XLATESTART-->&#24050;&#26356;&#26032;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5426'"><!--XLATESTART-->&#24050;&#21024;&#38500;&#36828;&#31243;&#35775;&#38382;&#21345;&#25320;&#20837;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5427'"><!--XLATESTART-->&#24050;&#28155;&#21152;&#36828;&#31243;&#35775;&#38382;&#21345; SNMP &#38519;&#38449;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5428'"><!--XLATESTART-->&#24050;&#26356;&#26032;&#36828;&#31243;&#35775;&#38382;&#21345; SNMP &#38519;&#38449;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5429'"><!--XLATESTART-->&#24050;&#21024;&#38500;&#36828;&#31243;&#35775;&#38382;&#21345; SNMP &#38519;&#38449;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5430'"><!--XLATESTART-->&#24050;&#28155;&#21152;&#36828;&#31243;&#35775;&#38382;&#21345;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5431'"><!--XLATESTART-->&#24050;&#26356;&#26032;&#36828;&#31243;&#35775;&#38382;&#21345;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5432'"><!--XLATESTART-->&#24050;&#21024;&#38500;&#36828;&#31243;&#35775;&#38382;&#21345;&#29992;&#25143;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5433'"><!--XLATESTART-->&#24050;&#25191;&#34892;&#36828;&#31243;&#35775;&#38382;&#21345;&#30005;&#23376;&#37038;&#20214;&#27979;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5434'"><!--XLATESTART-->&#24050;&#25191;&#34892;&#36828;&#31243;&#35775;&#38382;&#21345;&#23383;&#27597;&#23547;&#21628;&#26426;&#27979;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5435'"><!--XLATESTART-->&#24050;&#25191;&#34892;&#36828;&#31243;&#35775;&#38382;&#21345;&#25968;&#23383;&#23547;&#21628;&#26426;&#27979;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5436'"><!--XLATESTART-->&#24050;&#25191;&#34892;&#36828;&#31243;&#35775;&#38382;&#21345; SNMP &#38519;&#38449;&#27979;&#35797;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5437'"><!--XLATESTART-->&#24050;&#37325;&#35774;&#36828;&#31243;&#35775;&#38382;&#21345;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5438'"><!--XLATESTART-->&#29992;&#25143;&#35797;&#22270;&#20174;&#36825;&#37324;&#30331;&#24405;<!--XLATESTOP--><xsl:value-of select="Parameter[@name='IPADDR']/@value"/> <!--XLATESTART-->&#22833;&#36133;&#58;&#32;&#39564;&#35777;&#26041;&#27861; = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='AUTHMETHOD']/@value"/>;<!--XLATESTART-->&#21407;&#22240; = <!--XLATESTOP--><xsl:value-of select="Parameter[@name='REASON']/@value"/></xsl:when>

			<!-- ******************** AMDA (5500-5599) ******************** -->

			<!-- ******************** LUDA (5600-5699) ******************** -->
			<xsl:when test="$id = '5601'"><!--XLATESTART-->&#31649;&#29702;&#21592;&#21024;&#38500;&#20102;&#26356;&#26032;&#36719;&#20214;&#21253;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter/@value"/></xsl:when>
			<xsl:when test="$id = '5602'"><!--XLATESTART-->&#31649;&#29702;&#21592;&#21152;&#36733;&#20102; BIOS &#26356;&#26032;&#36719;&#20214;&#21253;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#20197;&#21069;&#30340;&#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->&#26356;&#26032;&#29256;&#26412;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/><!--XLATESTART-->; &#26356;&#26032;&#23558;&#22312;&#31995;&#32479;&#37325;&#26032;&#21551;&#21160;&#21518;&#36827;&#34892;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5603'"><!--XLATESTART-->&#31649;&#29702;&#21592;&#24050;&#25104;&#21151;&#25191;&#34892;&#20102;&#26356;&#26032;&#12290;  &#26356;&#26032;&#36719;&#20214;&#21253;&#21517;&#31216;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#20197;&#21069;&#30340;&#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.  <!--XLATESTART-->&#26356;&#26032;&#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5604'"><!--XLATESTART-->&#31649;&#29702;&#21592;&#24050;&#25104;&#21151;&#25191;&#34892;&#20102;&#22266;&#20214;&#26356;&#26032;&#12290;  &#26356;&#26032;&#36719;&#20214;&#21253;&#21517;&#31216;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#20197;&#21069;&#30340; ESM &#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/><!--XLATESTART-->.  &#26356;&#26032; ESM &#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>
			<xsl:when test="$id = '5605'"><!--XLATESTART-->&#31649;&#29702;&#21592;&#26080;&#27861;&#20351;&#29992;&#26356;&#26032;&#36719;&#20214;&#21253;&#25191;&#34892;&#26356;&#26032;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgname']/@value"/>.  <!--XLATESTART-->&#26356;&#26032;&#22833;&#36133;&#65281;  &#26412;&#22320;&#29256;&#26412;&#65306; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='locver']/@value"/>.<!--XLATESTART-->&#26356;&#26032;&#29256;&#26412;: <!--XLATESTOP--><xsl:value-of select="Parameter[@name='pkgver']/@value"/></xsl:when>

			<!-- ******************** OLDDA (5700-5799) ******************** -->
			<xsl:when test="$id = '5702'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#31243;&#24207;&#25688;&#35201;&#39029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5703'"><!--XLATESTART-->&#24050;&#20445;&#23384;&#35786;&#26029;&#24212;&#29992;&#31243;&#24207;&#32423;&#35774;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5704'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#24212;&#29992;&#31243;&#24207;&#32423;&#35774;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5705'"><!--XLATESTART-->&#24050;&#20445;&#23384;&#36816;&#34892;&#35786;&#26029;&#30340;&#39640;&#32423;&#35774;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5706'"><!--XLATESTART-->&#24050;&#23436;&#25104;&#35786;&#26029;&#33719;&#21462;&#20250;&#35805;&#39640;&#32423;&#35774;&#32622;&#30340;&#36807;&#31243;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5707'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#35760;&#24405;&#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5708'"><!--XLATESTART-->&#24050;&#23436;&#25104;&#35786;&#26029;&#31243;&#24207;&#33719;&#21462;&#24046;&#24322;&#21382;&#21490;&#26085;&#24535;&#30340;&#36807;&#31243;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5709'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#31243;&#24207;&#24046;&#24322;&#35270;&#22270;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5710'"><!--XLATESTART-->&#24050;&#30830;&#35748;&#35786;&#26029;&#31243;&#24207;&#37197;&#32622;&#24046;&#24322;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5712'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#31243;&#24207;&#20250;&#35805;&#26085;&#24535;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5713'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#31243;&#24207;&#24635;&#20307;&#36827;&#24230; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5714'"><!--XLATESTART-->&#24050;&#35831;&#27714;&#35786;&#26029;&#31243;&#24207;&#36827;&#24230;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5715'"><!--XLATESTART-->&#24050;&#23436;&#25104;&#35786;&#26029;&#31243;&#24207;&#35774;&#32622;&#24635;&#20307;&#36827;&#24230;&#30340;&#36807;&#31243;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5716'"><!--XLATESTART-->&#24050;&#23436;&#25104;&#35786;&#26029;&#31243;&#24207;&#33719;&#24471;&#24635;&#20307;&#36827;&#24230;&#30340;&#35831;&#27714;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5717'"><!--XLATESTART-->&#35786;&#26029;&#31243;&#24207;&#24322;&#24120;&#20013;&#26029; <!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5718'"><!--XLATESTART-->&#35786;&#26029;&#31243;&#24207;&#24050;&#23436;&#25104;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5719'"><!--XLATESTART-->&#24050;&#36873;&#25321;&#35201;&#36816;&#34892;&#30340;&#35786;&#26029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5720'"><!--XLATESTART-->&#27809;&#26377;&#36873;&#25321;&#35786;&#26029;&#27979;&#35797;&#65307;&#38656;&#35201;&#25552;&#20132;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5721'"><!--XLATESTART-->&#24050;&#36873;&#25321;&#35786;&#26029;&#31243;&#24207;&#39640;&#32423;&#35774;&#32622;&#36873;&#39033;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5722'"><!--XLATESTART-->&#24050;&#36873;&#25321;&#25353;&#35774;&#22791;&#31867;&#22411;&#21010;&#20998;&#30340;&#35786;&#26029;&#31243;&#24207;&#35270;&#22270;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5723'"><!--XLATESTART-->&#24050;&#36873;&#25321;&#25353;&#27979;&#35797;&#31867;&#22411;&#21010;&#20998;&#30340;&#35786;&#26029;&#31243;&#24207;&#35270;&#22270;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5724'"><!--XLATESTART-->&#24050;&#26597;&#30475;&#35786;&#26029;&#31243;&#24207;&#36873;&#25321;&#39029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5725'"><!--XLATESTART-->&#24050;&#39318;&#27425;&#26597;&#30475;&#35786;&#26029;&#31243;&#24207;&#36873;&#25321;&#39029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5726'"><!--XLATESTART-->&#24050;&#26597;&#30475;&#35786;&#26029;&#31243;&#24207;&#35745;&#21010;&#39029;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5727'"><!--XLATESTART-->&#35745;&#21010;&#30340;&#35786;&#26029;&#20219;&#21153;&#24050;&#21024;&#38500;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5728'"><!--XLATESTART-->&#26410;&#35745;&#21010;&#21024;&#38500;&#20219;&#20309;&#35786;&#26029;&#20219;&#21153;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5729'"><!--XLATESTART-->&#35786;&#26029;&#20219;&#21153;&#24050;&#21015;&#20837;&#35745;&#21010;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5730'"><!--XLATESTART-->&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#35760;&#24405;&#26085;&#24535;&#24050;&#28165;&#38500;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5731'"><!--XLATESTART-->&#35786;&#26029;&#31243;&#24207;&#27426;&#36814;&#39029;&#31995;&#32479;&#35686;&#25253;&#35774;&#32622;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5732'"><!--XLATESTART-->&#35201;&#27714;&#35786;&#26029;&#26377;&#20851;&#20449;&#24687;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5733'"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#35745;&#21010;&#30340;&#36816;&#34892;&#24050;&#21551;&#21160;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5734'"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#35745;&#21010;&#30340;&#36816;&#34892;&#24050;&#23436;&#25104;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5735'"><!--XLATESTART-->&#21629;&#20196;&#34892;&#35786;&#26029;&#36816;&#34892;&#24050;&#24320;&#22987;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5736'"><!--XLATESTART-->&#21629;&#20196;&#34892;&#35786;&#26029;&#36816;&#34892;&#24050;&#23436;&#25104;<!--XLATESTOP--></xsl:when>

			<!-- ******************** OMASERVER (5900-5999) ******************** -->
			<xsl:when test="$id = '5901'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> started<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5902'"><xsl:value-of select="Parameter[@name='Name']/@value"/><!--XLATESTART--> &#20851;&#26426;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5903'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> &#24050;&#20462;&#25913;&#29992;&#25143;&#39318;&#36873;&#39033;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '5910'"><xsl:value-of select="Parameter[@name='ProductName']/@value"/><!--XLATESTART--> &#24050;&#20462;&#25913;&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;<!--XLATESTOP--></xsl:when>
			
			<!-- ******************** OMASERVER (6000-6010) ******************** -->
			<xsl:when test="$id = '6001'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#24050;&#21024;&#38500;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6002'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#21024;&#38500;&#22833;&#36133;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6003'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#24050;&#29983;&#25104;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6004'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#29983;&#25104;&#22833;&#36133;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6005'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#24050;&#29983;&#25104;&#24182;&#28608;&#27963;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6006'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART--> &#24050;&#29983;&#25104;&#20294;&#26159;&#26080;&#27861;&#28608;&#27963;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6007'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->&#24050;&#23548;&#20837;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$id = '6008'"><!--XLATESTART-->X.509 &#35748;&#35777; <!--XLATESTOP--><xsl:value-of select="Parameter[@name='certificate']/@value"/><!--XLATESTART-->&#23548;&#20837;&#22833;&#36133;<!--XLATESTOP--></xsl:when>

			<!-- ******************** UNKNOWN ******************** -->
			<xsl:otherwise><!--XLATESTART-->&#26410;&#30693;&#26465;&#30446;&#65281; ID(<!--XLATESTOP--><xsl:value-of select="$id"/>) </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2omsa">
		<xsl:param name="Status"></xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">2</xsl:when>
			<xsl:when test="$Status=1">5</xsl:when>
			<xsl:when test="$Status=2">3</xsl:when>
			<xsl:when test="$Status=4">2</xsl:when>
			<xsl:when test="$Status=8">2</xsl:when>
			<xsl:when test="$Status=16">5</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="status2lev">
		<xsl:param name="">Status</xsl:param>
		<xsl:choose>
			<xsl:when test="$Status=0">1</xsl:when>
			<xsl:when test="$Status=1">3</xsl:when>
			<xsl:when test="$Status=2">2</xsl:when>
			<xsl:when test="$Status=4">1</xsl:when>
			<xsl:when test="$Status=8">0</xsl:when>
			<xsl:when test="$Status=10">0</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" match="Parameter">
		<xsl:choose>
			<xsl:when test="@newval"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@newval"/>)</xsl:when>
			<xsl:when test="@value"><xsl:text> </xsl:text><xsl:value-of select="@name"/>(<xsl:value-of select="@value"/>)</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template xmlns:fo="http://www.w3.org/1999/XSL/Format" name="objectType">
		<xsl:param name="type"></xsl:param>
		<xsl:choose>
			<xsl:when test="$type='177'"><!--XLATESTART-->&#20379;&#30005;&#32039;&#24352;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='178'"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='179'"><!--XLATESTART-->&#28201;&#24230;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='180'"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='181'"><!--XLATESTART-->&#39118;&#25159;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='182'"><!--XLATESTART-->&#30005;&#21387;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='183'"><!--XLATESTART-->&#30005;&#21387;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='184'"><!--XLATESTART-->&#30005;&#27969;&#25506;&#27979;&#22120;&#35686;&#21578;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='185'"><!--XLATESTART-->&#30005;&#27969;&#25506;&#27979;&#22120;&#26816;&#27979;&#21040;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='186'"><!--XLATESTART-->&#26426;&#31665;&#20405;&#20837;&#26816;&#27979;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='187'"><!--XLATESTART-->&#30005;&#28304;&#31995;&#32479;&#20887;&#20313;&#38477;&#32423;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='188'"><!--XLATESTART-->&#26410;&#25214;&#21040;&#30005;&#28304;&#31995;&#32479;&#20887;&#20313;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='189'"><!--XLATESTART-->&#20869;&#23384;&#25925;&#38556;&#21069;&#20806;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='190'"><!--XLATESTART-->&#20869;&#23384;&#25925;&#38556;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='21'"><!--XLATESTART-->&#30005;&#28304;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='22'"><!--XLATESTART-->&#28201;&#24230;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='23'"><!--XLATESTART-->&#39118;&#25159;<!--XLATESTOP--></xsl:when>			
			<xsl:when test="$type='24'"><!--XLATESTART-->&#30005;&#21387;<!--XLATESTOP--></xsl:when>
			<xsl:when test="$type='25'"><!--XLATESTART-->&#30005;&#27969;<!--XLATESTOP--></xsl:when>
		</xsl:choose>
	</xsl:template>
		

</xsl:stylesheet>
