<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>PageTitle</PageTitle>

			<Header>&#26631;&#39064;</Header>
			<SubHeader/>
			<ListData>
				<Data name="EchoString" display="EchoString">
					<xsl:attribute name="value"><xsl:value-of select="EchoString"/></xsl:attribute>
				</Data>
				<Data name="CompanyName" display="&#20844;&#21496;&#21517;&#31216;">
					<xsl:choose>
						<xsl:when test="About/CompanyName">
							<xsl:attribute name="value"><xsl:value-of select="About/CompanyName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#20449;&#24687;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="LegalCopyright" display="&#27861;&#24459;&#29256;&#26435;">
					<xsl:choose>
						<xsl:when test="About/LegalCopyright">
							<xsl:attribute name="value"><xsl:value-of select="About/LegalCopyright"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#20449;&#24687;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductName" display="&#20135;&#21697;&#21517;&#31216;">
					<xsl:choose>
						<xsl:when test="About/ProductName">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#20449;&#24687;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductVersion" display="&#20135;&#21697;&#29256;&#26412;">
					<xsl:choose>
						<xsl:when test="About/ProductVersion">
							<xsl:attribute name="value"><xsl:value-of select="About/ProductVersion"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#20449;&#24687;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="ProductLanguage" display="&#20135;&#21697;&#35821;&#35328;">
					<xsl:choose>
						<xsl:when test="ProductLanguage">
							<xsl:attribute name="value"><xsl:value-of select="ProductLanguage"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#20449;&#24687;&#19981;&#21487;&#29992;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</Data>
				<xsl:apply-templates select="ProductLaunchPointList"/>
			</ListData>
		</DataArea>
	</xsl:template>

	<xsl:template match="ProductLaunchPointList">
		<xsl:for-each select="ProductLaunchPoint">
			<Data name="LaunchPoint">
				<xsl:attribute name="display"><!--XLATESTART-->&#20135;&#21697;&#21551;&#21160;&#20301;&#32622; <!--XLATESTART--><xsl:value-of select="@index"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			</Data>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="*"/>

</xsl:stylesheet>
