<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="SMTPHost = ''">
				<DataArea email="false" cancel="true">
					<xsl:if test="OMAUserRights='7'">
						<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#36716;&#21040;&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;&#39029;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin&amp;help=Serverpreferences</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="canceltarget"><xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/></xsl:attribute>
					<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->&#30005;&#23376;&#37038;&#20214;&#25925;&#38556;&#65281;<!--XLATESTART--></xsl:attribute>
					</PageTitle>
					<PromptText>
						<xsl:choose>
							<xsl:when test="OMAUserRights='7'"><!--XLATESTART-->&#22312;&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;&#20013;&#35774;&#32622; SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#20197;&#21450; SMTP &#26381;&#21153;&#22120;&#30340; DNS &#21518;&#32512;&#12290;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#35201;&#22312;&#26381;&#21153;&#22120;&#39318;&#36873;&#39033;&#20013;&#35774;&#32622; SMTP &#26381;&#21153;&#22120;&#21517;&#31216;&#20197;&#21450; SMTP &#26381;&#21153;&#22120;&#30340; DNS &#21518;&#32512;&#65292;&#35831;&#19982;&#31995;&#32479;&#31649;&#29702;&#21592;&#32852;&#31995;&#12290;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</PromptText>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea email="false">
					<xsl:if test="Success != 'true'">
						<xsl:attribute name="cancel">true</xsl:attribute>
						<xsl:attribute name="canceltarget">javascript:cancel();</xsl:attribute>
					</xsl:if>
					<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
						<xsl:choose>
							<xsl:when test="Success ='true'">
								<xsl:attribute name="submit"><xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/></xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#36820;&#22238;<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SendEmailWebPlugin</xsl:attribute>
								<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#21457;&#36865;&#30005;&#23376;&#37038;&#20214;<!--XLATESTOP--></xsl:attribute>
									<xsl:attribute name="validate">true</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#21457;&#36865;&#30005;&#23376;&#37038;&#20214;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
					<xsl:choose>
						<xsl:when test="Success ='true'">
							<PromptText><!--XLATESTART-->&#30005;&#23376;&#37038;&#20214;&#24050;&#25104;&#21151;&#21457;&#36865;&#32473;&#25910;&#20214;&#20154; <!--XLATESTOP--><xsl:value-of select="ToAddress"/></PromptText>
						</xsl:when>
						<xsl:when test="Exception != ''">
							<xsl:choose>
								<xsl:when test="Exception = '1'">
									<PromptText><!--XLATESTART-->&#30005;&#23376;&#37038;&#20214;&#26410;&#21457;&#36865;&#32473;&#25910;&#20214;&#20154;&#65306; <!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART-->&#22240;&#20026; <!--XLATESTOP--><xsl:value-of select="ToAddress"/> <!--XLATESTART-->&#25110; <!--XLATESTOP--><xsl:value-of select="FromAddress"/><!--XLATESTART--> &#26080;&#25928;&#12290; &#36755;&#20837;&#27491;&#30830;&#30340;&#30005;&#23376;&#37038;&#20214;&#22320;&#22336;&#12290;<!--XLATESTOP--></PromptText>
								</xsl:when>
								<xsl:otherwise>
									<PromptText><!--XLATESTART-->&#30005;&#23376;&#37038;&#20214;&#26410;&#21457;&#36865;&#32473;&#25910;&#20214;&#20154;&#65306; <!--XLATESTOP--><xsl:value-of select="ToAddress"/><!--XLATESTART-->&#21487;&#33021;&#26159;&#30005;&#23376;&#37038;&#20214;&#22320;&#22336;&#26080;&#25928;&#65292;&#25110; SMTP &#26381;&#21153;&#22120;&#35774;&#32622;&#26080;&#25928;&#12290;<!--XLATESTOP--></PromptText>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<PromptText></PromptText>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="Success !='true'">
						<ListData>
							<Data name="to" display="&#25910;&#20214;&#20154;" type="editbox" size="40">
								<xsl:attribute name="value"><xsl:value-of select="ToAddress"/></xsl:attribute>
							</Data>
							<Data name="from" display="&#21457;&#20214;&#20154;">
								<xsl:attribute name="value"><xsl:value-of select="FromAddress"/></xsl:attribute>
							</Data>
							<Data name="subject" display="&#20027;&#39064;" type="editbox" size="50">
								<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
							</Data>
							<Data name="desc" display="&#20449;&#24687;" type="textarea" cols="35" rows="5">
								<xsl:attribute name="value"><xsl:value-of select="Message"/></xsl:attribute>
							</Data>
						</ListData>
						<ListData>
							<Data name="Attach" display="&#38468;&#20214;"/>
							<xsl:for-each select="Attachment/File">
								<xsl:variable name="filename"><xsl:value-of select="."/></xsl:variable>
								<xsl:if test="($filename != 'blank.html') and ($filename != 'calendar.html')">
									<Data name="attachment" type="checkbox" state="3">
										<xsl:attribute name="returnvalue"><xsl:value-of select="@count"/></xsl:attribute>
									<xsl:attribute name="splcase">true</xsl:attribute>
									<xsl:if test="@href != ''">
										<ExtraItem link="true">
											<xsl:attribute name="href">javascript:showFile('<xsl:value-of select="@href"/>');</xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
											</ExtraItem>					
										</xsl:if>
									</Data>
								</xsl:if>
							</xsl:for-each>
						</ListData>
						<ListData>
							<Data type="file" name="file" display="&#28155;&#21152;&#38468;&#20214;" splcase="true">
								<ExtraItem  type="button" href="javascript:uploadFile();" display="&#28155;&#21152;&#38468;&#20214;"/>
							</Data>
						</ListData>
						<HiddenTable>
							<Data type="hidden" name="smtp">
								<xsl:attribute name="returnvalue"><xsl:value-of select="SMTPHost"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="pageTitle">
								<xsl:attribute name="returnvalue"><xsl:value-of select="PageName"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="redirectURL">
								<xsl:attribute name="returnvalue"></xsl:attribute>
							</Data>
							<Data type="hidden" name="prevPage">
								<xsl:attribute name="returnvalue"><xsl:value-of select="Caller"/></xsl:attribute>
							</Data>
							<Data type="hidden" name="fileName"/>
						</HiddenTable>
					</xsl:if>
					<script language="javascript">
						function showFile(url)
						{
							window.open(url, 'joe', config='scrollbars=yes,toolbar=no,menubar=no,resizable=no,location=no,directories=no,status=no');
						}
						function cancel()
						{
							location.href ='<xsl:value-of select="translate(//Caller, ';', '&amp;amp;')"/>';
						}
						function validate()
						{
							var inLength = <xsl:value-of select="string-length(Message)"/>
							if((document.getElementById("desc").value.length - inLength) > 256)
							{
								alert("&#38169;&#35823;&#65281; &#28040;&#24687;&#23383;&#27573;&#20013;&#30340;&#23383;&#31526;&#25968;&#24212;&#23569;&#20110; 256 &#20010;");
								document.getElementById("desc").select();
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("to").value, "&#25910;&#20214;&#20154;"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("subject").value, "&#20027;&#39064;"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("desc").value, "&#35828;&#26126;"))
							{
								return false;
							}
							if(!isAlphaNumeric(document.getElementById("file").value, "&#25991;&#20214;"))
							{
								return false;
							}
							if (((document.getElementById("to").value).indexOf(',') != "-1") || ((document.getElementById("to").value).indexOf(';') != "-1")) {
								alert("&#8220;&#25910;&#20214;&#20154;&#8221;&#19981;&#25509;&#21463;&#22810;&#20010;&#30005;&#23376;&#37038;&#20214;&#22320;&#22336;&#12290;");
								var to = "";
								var toVal = document.getElementById("to").value;
								if (toVal.indexOf(',') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(',')));
								}
								if (toVal.indexOf(';') != "-1"){
									to = trim(toVal.substring(0 , toVal.indexOf(';')));
								}
								document.getElementById("to").value = to;
								document.getElementById("to").focus();
								return false;
							}
							return true;
						}
						
						function isAlphaNumeric(text, context){
							var validValue = "&gt;&lt;&amp;?\"#%";
							var ok = "yes";
							var temp;
							for (var i=0; i&lt;text.length; i++)
							{
								temp = "" + text.substring(i, i+1);
								if (validValue.indexOf(temp) != "-1")
								{
									ok = "no";
									break;
								}
							}
							if (ok == "no")
							{
								if(context == "to")
								{
									msg = "&#38169;&#35823;! &#8220;&#25910;&#20214;&#20154;&#8220;&#23383;&#27573;&#20013;&#24212;&#20026;&#23383;&#27597;&#25968;&#23383;&#25110;&#31526;&#21495;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; ";
								}
								else if(context == "subject")
								{
									msg = "&#38169;&#35823;&#65281; &#8220;&#20027;&#39064;&#8220;&#23383;&#27573;&#20013;&#24212;&#20026;&#23383;&#27597;&#25968;&#23383;&#25110;&#31526;&#21495;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; ";

								}
								else if(context == "desc")
								{
									msg = "&#38169;&#35823;&#65281; &#8220;&#28040;&#24687;&#8220;&#23383;&#27573;&#20013;&#24212;&#20026;&#23383;&#27597;&#25968;&#23383;&#25110;&#31526;&#21495;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; ";
								}
								else if(context == "file")
								{
									msg = "&#38169;&#35823;&#65281; &#8220;&#38468;&#20214;&#8220;&#23383;&#27573;&#20013;&#24212;&#20026;&#23383;&#27597;&#25968;&#23383;&#25110;&#31526;&#21495;&#65292;&#20294;&#26159;&#26174;&#31034;&#65306; ";
								}

								alert(msg + text);
								return false;
							}
							return true;
						}
						
						function ltrim ( s ) 
						{ 
							return s.replace( /^\s*/, "" ) 
						} 
				
						function rtrim ( s ) 
						{ 
							return s.replace( /\s*$/, "" ); 
						} 
						
						function trim ( s ) 
						{ 
							return rtrim(ltrim(s)); 
						}

						function uploadFile()
						{
							if(document.getElementById("file").value == '')
							{
								alert("&#24517;&#39035;&#36873;&#25321;&#38468;&#20214;&#12290;");
								return;
							}
							
							if(!isAlphaNumeric(document.getElementById("file").value, "file"))
							{
								return;
							}
							else
							{
								var _fname = document.getElementById("file").value;
								var _ext = ".gif";
								
								if(_fname.indexOf(_ext) != -1)
								{
									alert("&#19981;&#24212;&#20026;&#25991;&#20214;&#36755;&#20837;\".gif\"&#25193;&#23637;&#21517;&#12290; &#35831;&#37325;&#21629;&#21517;&#25991;&#20214;&#12290;");
									return;
								}
							}
							
							var count = <xsl:value-of select="Attachment/Count"/>;
							document.getElementById("dataarea").encoding = "multipart/form-data";
							document.getElementById("dataarea").enctype = "multipart/form-data";
							var url = '/servlet/DataArea?plugin=com.dell.oma.webplugins.ShowSendEmailWebPlugin' + 
								'&amp;pageTitle=<xsl:call-template name="PageName"><xsl:with-param name="pagename"><xsl:value-of select="PageName"/></xsl:with-param></xsl:call-template>' ;
							if(count == 1)
							{
								url = url + '&amp;attachment=' +  document.getElementById("attachment").value;
							}
							else
							{
								for(i=0; i &lt;document.dataarea.attachment.length; i++)
								{
									if(document.dataarea.attachment[i].checked == true)
									{
										url = url + '&amp;attachment=' +  document.dataarea.attachment[i].value;
									}
								}  
							}	
							url = url +  '&amp;toAddr=' + document.getElementById("to").value;
							document.getElementById("dataarea").redirectURL.value = url;
							document.getElementById("dataarea").action = "/servlet/UploadServlet";
							uploadStart (document.dataarea.file.value, '');
							document.getElementById("dataarea").submit();
						}
					</script>
					<script language="JavaScript" src="/oma/js/Upload.js" />
					<HTMLData>
						<iframe id="uploadtest" name="uploadtest" style="visibility: hidden; height: 1px; width: 1px; top: 0px; left: 0px; position: absolute; z-index: -1" src="/oma/blank.html"></iframe>
					</HTMLData>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="PageName">
		<xsl:param name="pagename"/>
		
		<xsl:choose>
			<xsl:when test="contains($pagename , &quot;'&quot;)">
				<xsl:variable name="firststring"><xsl:value-of select="substring-before($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:variable name="secondstring"><xsl:value-of select="substring-after($pagename , &quot;'&quot;)"/></xsl:variable>
				<xsl:value-of select="concat($firststring ,  '&#180;' , $secondstring)"/>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$pagename"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
